#include <tree_sitter/parser.h>

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic push
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 10
#define STATE_COUNT 1214
#define SYMBOL_COUNT 224
#define ALIAS_COUNT 7
#define TOKEN_COUNT 119
#define EXTERNAL_TOKEN_COUNT 2
#define FIELD_COUNT 34
#define MAX_ALIAS_SEQUENCE_LENGTH 9

enum {
  sym_identifier = 1,
  sym_hash_bang_line = 2,
  anon_sym_export = 3,
  anon_sym_STAR = 4,
  anon_sym_default = 5,
  anon_sym_LBRACE = 6,
  anon_sym_COMMA = 7,
  anon_sym_RBRACE = 8,
  anon_sym_as = 9,
  anon_sym_import = 10,
  anon_sym_from = 11,
  anon_sym_var = 12,
  anon_sym_let = 13,
  anon_sym_const = 14,
  anon_sym_if = 15,
  anon_sym_else = 16,
  anon_sym_switch = 17,
  anon_sym_LPAREN = 18,
  anon_sym_RPAREN = 19,
  anon_sym_for = 20,
  anon_sym_in = 21,
  anon_sym_await = 22,
  anon_sym_of = 23,
  anon_sym_while = 24,
  anon_sym_do = 25,
  anon_sym_try = 26,
  anon_sym_with = 27,
  anon_sym_break = 28,
  anon_sym_continue = 29,
  anon_sym_debugger = 30,
  anon_sym_return = 31,
  anon_sym_throw = 32,
  anon_sym_SEMI = 33,
  anon_sym_COLON = 34,
  anon_sym_case = 35,
  anon_sym_catch = 36,
  anon_sym_finally = 37,
  anon_sym_yield = 38,
  anon_sym_EQ = 39,
  anon_sym_LBRACK = 40,
  anon_sym_RBRACK = 41,
  anon_sym_LT = 42,
  anon_sym_GT = 43,
  anon_sym_SLASH = 44,
  sym_jsx_text = 45,
  sym_jsx_identifier = 46,
  anon_sym_DOT = 47,
  anon_sym_class = 48,
  anon_sym_extends = 49,
  anon_sym_async = 50,
  anon_sym_function = 51,
  anon_sym_EQ_GT = 52,
  anon_sym_new = 53,
  anon_sym_PLUS_EQ = 54,
  anon_sym_DASH_EQ = 55,
  anon_sym_STAR_EQ = 56,
  anon_sym_SLASH_EQ = 57,
  anon_sym_PERCENT_EQ = 58,
  anon_sym_CARET_EQ = 59,
  anon_sym_AMP_EQ = 60,
  anon_sym_PIPE_EQ = 61,
  anon_sym_GT_GT_EQ = 62,
  anon_sym_GT_GT_GT_EQ = 63,
  anon_sym_LT_LT_EQ = 64,
  anon_sym_STAR_STAR_EQ = 65,
  anon_sym_DOT_DOT_DOT = 66,
  anon_sym_QMARK = 67,
  anon_sym_AMP_AMP = 68,
  anon_sym_PIPE_PIPE = 69,
  anon_sym_GT_GT = 70,
  anon_sym_GT_GT_GT = 71,
  anon_sym_LT_LT = 72,
  anon_sym_AMP = 73,
  anon_sym_CARET = 74,
  anon_sym_PIPE = 75,
  anon_sym_PLUS = 76,
  anon_sym_DASH = 77,
  anon_sym_PERCENT = 78,
  anon_sym_STAR_STAR = 79,
  anon_sym_LT_EQ = 80,
  anon_sym_EQ_EQ = 81,
  anon_sym_EQ_EQ_EQ = 82,
  anon_sym_BANG_EQ = 83,
  anon_sym_BANG_EQ_EQ = 84,
  anon_sym_GT_EQ = 85,
  anon_sym_instanceof = 86,
  anon_sym_BANG = 87,
  anon_sym_TILDE = 88,
  anon_sym_typeof = 89,
  anon_sym_void = 90,
  anon_sym_delete = 91,
  anon_sym_PLUS_PLUS = 92,
  anon_sym_DASH_DASH = 93,
  anon_sym_DQUOTE = 94,
  aux_sym_string_token1 = 95,
  anon_sym_SQUOTE = 96,
  aux_sym_string_token2 = 97,
  sym_escape_sequence = 98,
  sym_comment = 99,
  anon_sym_BQUOTE = 100,
  anon_sym_DOLLAR_LBRACE = 101,
  anon_sym_SLASH2 = 102,
  sym_regex_pattern = 103,
  sym_regex_flags = 104,
  sym_number = 105,
  anon_sym_target = 106,
  sym_this = 107,
  sym_super = 108,
  sym_true = 109,
  sym_false = 110,
  sym_null = 111,
  sym_undefined = 112,
  anon_sym_AT = 113,
  anon_sym_static = 114,
  anon_sym_get = 115,
  anon_sym_set = 116,
  sym__automatic_semicolon = 117,
  sym__template_chars = 118,
  sym_program = 119,
  sym_export_statement = 120,
  sym_export_clause = 121,
  sym__import_export_specifier = 122,
  sym__declaration = 123,
  sym_import_statement = 124,
  sym_import_clause = 125,
  sym__from_clause = 126,
  sym_namespace_import = 127,
  sym_named_imports = 128,
  sym_expression_statement = 129,
  sym_variable_declaration = 130,
  sym_lexical_declaration = 131,
  sym_variable_declarator = 132,
  sym_statement_block = 133,
  sym_if_statement = 134,
  sym_switch_statement = 135,
  sym_for_statement = 136,
  sym_for_in_statement = 137,
  sym_for_of_statement = 138,
  sym_while_statement = 139,
  sym_do_statement = 140,
  sym_try_statement = 141,
  sym_with_statement = 142,
  sym_break_statement = 143,
  sym_continue_statement = 144,
  sym_debugger_statement = 145,
  sym_return_statement = 146,
  sym_throw_statement = 147,
  sym_empty_statement = 148,
  sym_labeled_statement = 149,
  sym_switch_body = 150,
  sym_switch_case = 151,
  sym_switch_default = 152,
  sym_catch_clause = 153,
  sym_finally_clause = 154,
  sym_parenthesized_expression = 155,
  sym__expression = 156,
  sym_yield_expression = 157,
  sym_object = 158,
  sym_assignment_pattern = 159,
  sym_array = 160,
  sym_jsx_element = 161,
  sym_jsx_fragment = 162,
  sym_jsx_expression = 163,
  sym_jsx_opening_element = 164,
  sym_nested_identifier = 165,
  sym_jsx_namespace_name = 166,
  sym_jsx_closing_element = 167,
  sym_jsx_self_closing_element = 168,
  sym_jsx_attribute = 169,
  sym_class = 170,
  sym_class_declaration = 171,
  sym_class_heritage = 172,
  sym_function = 173,
  sym_function_declaration = 174,
  sym_generator_function = 175,
  sym_generator_function_declaration = 176,
  sym_arrow_function = 177,
  sym_call_expression = 178,
  sym_new_expression = 179,
  sym_await_expression = 180,
  sym_member_expression = 181,
  sym_subscript_expression = 182,
  sym_assignment_expression = 183,
  sym_augmented_assignment_expression = 184,
  sym__initializer = 185,
  sym_spread_element = 186,
  sym_ternary_expression = 187,
  sym_binary_expression = 188,
  sym_unary_expression = 189,
  sym_update_expression = 190,
  sym_sequence_expression = 191,
  sym_string = 192,
  sym_template_string = 193,
  sym_template_substitution = 194,
  sym_regex = 195,
  sym_meta_property = 196,
  sym_arguments = 197,
  sym_decorator = 198,
  sym_decorator_member_expression = 199,
  sym_decorator_call_expression = 200,
  sym_class_body = 201,
  sym_public_field_definition = 202,
  sym_formal_parameters = 203,
  sym_rest_parameter = 204,
  sym_method_definition = 205,
  sym_pair = 206,
  sym__property_name = 207,
  sym_computed_property_name = 208,
  aux_sym_program_repeat1 = 209,
  aux_sym_export_statement_repeat1 = 210,
  aux_sym_export_clause_repeat1 = 211,
  aux_sym_named_imports_repeat1 = 212,
  aux_sym_variable_declaration_repeat1 = 213,
  aux_sym_switch_body_repeat1 = 214,
  aux_sym_object_repeat1 = 215,
  aux_sym_array_repeat1 = 216,
  aux_sym_jsx_element_repeat1 = 217,
  aux_sym_jsx_opening_element_repeat1 = 218,
  aux_sym_string_repeat1 = 219,
  aux_sym_string_repeat2 = 220,
  aux_sym_template_string_repeat1 = 221,
  aux_sym_class_body_repeat1 = 222,
  aux_sym_formal_parameters_repeat1 = 223,
  alias_sym_import_specifier = 224,
  alias_sym_shorthand_property_identifier = 225,
  alias_sym_array_pattern = 226,
  alias_sym_property_identifier = 227,
  alias_sym_object_pattern = 228,
  alias_sym_export_specifier = 229,
  alias_sym_statement_identifier = 230,
};

static const char *ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_identifier] = "identifier",
  [sym_hash_bang_line] = "hash_bang_line",
  [anon_sym_export] = "export",
  [anon_sym_STAR] = "*",
  [anon_sym_default] = "default",
  [anon_sym_LBRACE] = "{",
  [anon_sym_COMMA] = ",",
  [anon_sym_RBRACE] = "}",
  [anon_sym_as] = "as",
  [anon_sym_import] = "import",
  [anon_sym_from] = "from",
  [anon_sym_var] = "var",
  [anon_sym_let] = "let",
  [anon_sym_const] = "const",
  [anon_sym_if] = "if",
  [anon_sym_else] = "else",
  [anon_sym_switch] = "switch",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_for] = "for",
  [anon_sym_in] = "in",
  [anon_sym_await] = "await",
  [anon_sym_of] = "of",
  [anon_sym_while] = "while",
  [anon_sym_do] = "do",
  [anon_sym_try] = "try",
  [anon_sym_with] = "with",
  [anon_sym_break] = "break",
  [anon_sym_continue] = "continue",
  [anon_sym_debugger] = "debugger",
  [anon_sym_return] = "return",
  [anon_sym_throw] = "throw",
  [anon_sym_SEMI] = ";",
  [anon_sym_COLON] = ":",
  [anon_sym_case] = "case",
  [anon_sym_catch] = "catch",
  [anon_sym_finally] = "finally",
  [anon_sym_yield] = "yield",
  [anon_sym_EQ] = "=",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_LT] = "<",
  [anon_sym_GT] = ">",
  [anon_sym_SLASH] = "/",
  [sym_jsx_text] = "jsx_text",
  [sym_jsx_identifier] = "identifier",
  [anon_sym_DOT] = ".",
  [anon_sym_class] = "class",
  [anon_sym_extends] = "extends",
  [anon_sym_async] = "async",
  [anon_sym_function] = "function",
  [anon_sym_EQ_GT] = "=>",
  [anon_sym_new] = "new",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_GT_GT_GT_EQ] = ">>>=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_STAR_STAR_EQ] = "**=",
  [anon_sym_DOT_DOT_DOT] = "...",
  [anon_sym_QMARK] = "?",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_GT_GT_GT] = ">>>",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_AMP] = "&",
  [anon_sym_CARET] = "^",
  [anon_sym_PIPE] = "|",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_PERCENT] = "%",
  [anon_sym_STAR_STAR] = "**",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_EQ_EQ_EQ] = "===",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_BANG_EQ_EQ] = "!==",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_instanceof] = "instanceof",
  [anon_sym_BANG] = "!",
  [anon_sym_TILDE] = "~",
  [anon_sym_typeof] = "typeof",
  [anon_sym_void] = "void",
  [anon_sym_delete] = "delete",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_DASH_DASH] = "--",
  [anon_sym_DQUOTE] = "\"",
  [aux_sym_string_token1] = "string_token1",
  [anon_sym_SQUOTE] = "'",
  [aux_sym_string_token2] = "string_token2",
  [sym_escape_sequence] = "escape_sequence",
  [sym_comment] = "comment",
  [anon_sym_BQUOTE] = "`",
  [anon_sym_DOLLAR_LBRACE] = "${",
  [anon_sym_SLASH2] = "/",
  [sym_regex_pattern] = "regex_pattern",
  [sym_regex_flags] = "regex_flags",
  [sym_number] = "number",
  [anon_sym_target] = "target",
  [sym_this] = "this",
  [sym_super] = "super",
  [sym_true] = "true",
  [sym_false] = "false",
  [sym_null] = "null",
  [sym_undefined] = "undefined",
  [anon_sym_AT] = "@",
  [anon_sym_static] = "static",
  [anon_sym_get] = "get",
  [anon_sym_set] = "set",
  [sym__automatic_semicolon] = "_automatic_semicolon",
  [sym__template_chars] = "_template_chars",
  [sym_program] = "program",
  [sym_export_statement] = "export_statement",
  [sym_export_clause] = "export_clause",
  [sym__import_export_specifier] = "_import_export_specifier",
  [sym__declaration] = "_declaration",
  [sym_import_statement] = "import_statement",
  [sym_import_clause] = "import_clause",
  [sym__from_clause] = "_from_clause",
  [sym_namespace_import] = "namespace_import",
  [sym_named_imports] = "named_imports",
  [sym_expression_statement] = "expression_statement",
  [sym_variable_declaration] = "variable_declaration",
  [sym_lexical_declaration] = "lexical_declaration",
  [sym_variable_declarator] = "variable_declarator",
  [sym_statement_block] = "statement_block",
  [sym_if_statement] = "if_statement",
  [sym_switch_statement] = "switch_statement",
  [sym_for_statement] = "for_statement",
  [sym_for_in_statement] = "for_in_statement",
  [sym_for_of_statement] = "for_of_statement",
  [sym_while_statement] = "while_statement",
  [sym_do_statement] = "do_statement",
  [sym_try_statement] = "try_statement",
  [sym_with_statement] = "with_statement",
  [sym_break_statement] = "break_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_debugger_statement] = "debugger_statement",
  [sym_return_statement] = "return_statement",
  [sym_throw_statement] = "throw_statement",
  [sym_empty_statement] = "empty_statement",
  [sym_labeled_statement] = "labeled_statement",
  [sym_switch_body] = "switch_body",
  [sym_switch_case] = "switch_case",
  [sym_switch_default] = "switch_default",
  [sym_catch_clause] = "catch_clause",
  [sym_finally_clause] = "finally_clause",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym__expression] = "_expression",
  [sym_yield_expression] = "yield_expression",
  [sym_object] = "object",
  [sym_assignment_pattern] = "assignment_pattern",
  [sym_array] = "array",
  [sym_jsx_element] = "jsx_element",
  [sym_jsx_fragment] = "jsx_fragment",
  [sym_jsx_expression] = "jsx_expression",
  [sym_jsx_opening_element] = "jsx_opening_element",
  [sym_nested_identifier] = "nested_identifier",
  [sym_jsx_namespace_name] = "jsx_namespace_name",
  [sym_jsx_closing_element] = "jsx_closing_element",
  [sym_jsx_self_closing_element] = "jsx_self_closing_element",
  [sym_jsx_attribute] = "jsx_attribute",
  [sym_class] = "class",
  [sym_class_declaration] = "class_declaration",
  [sym_class_heritage] = "class_heritage",
  [sym_function] = "function",
  [sym_function_declaration] = "function_declaration",
  [sym_generator_function] = "generator_function",
  [sym_generator_function_declaration] = "generator_function_declaration",
  [sym_arrow_function] = "arrow_function",
  [sym_call_expression] = "call_expression",
  [sym_new_expression] = "new_expression",
  [sym_await_expression] = "await_expression",
  [sym_member_expression] = "member_expression",
  [sym_subscript_expression] = "subscript_expression",
  [sym_assignment_expression] = "assignment_expression",
  [sym_augmented_assignment_expression] = "augmented_assignment_expression",
  [sym__initializer] = "_initializer",
  [sym_spread_element] = "spread_element",
  [sym_ternary_expression] = "ternary_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_unary_expression] = "unary_expression",
  [sym_update_expression] = "update_expression",
  [sym_sequence_expression] = "sequence_expression",
  [sym_string] = "string",
  [sym_template_string] = "template_string",
  [sym_template_substitution] = "template_substitution",
  [sym_regex] = "regex",
  [sym_meta_property] = "meta_property",
  [sym_arguments] = "arguments",
  [sym_decorator] = "decorator",
  [sym_decorator_member_expression] = "member_expression",
  [sym_decorator_call_expression] = "call_expression",
  [sym_class_body] = "class_body",
  [sym_public_field_definition] = "public_field_definition",
  [sym_formal_parameters] = "formal_parameters",
  [sym_rest_parameter] = "rest_parameter",
  [sym_method_definition] = "method_definition",
  [sym_pair] = "pair",
  [sym__property_name] = "_property_name",
  [sym_computed_property_name] = "computed_property_name",
  [aux_sym_program_repeat1] = "program_repeat1",
  [aux_sym_export_statement_repeat1] = "export_statement_repeat1",
  [aux_sym_export_clause_repeat1] = "export_clause_repeat1",
  [aux_sym_named_imports_repeat1] = "named_imports_repeat1",
  [aux_sym_variable_declaration_repeat1] = "variable_declaration_repeat1",
  [aux_sym_switch_body_repeat1] = "switch_body_repeat1",
  [aux_sym_object_repeat1] = "object_repeat1",
  [aux_sym_array_repeat1] = "array_repeat1",
  [aux_sym_jsx_element_repeat1] = "jsx_element_repeat1",
  [aux_sym_jsx_opening_element_repeat1] = "jsx_opening_element_repeat1",
  [aux_sym_string_repeat1] = "string_repeat1",
  [aux_sym_string_repeat2] = "string_repeat2",
  [aux_sym_template_string_repeat1] = "template_string_repeat1",
  [aux_sym_class_body_repeat1] = "class_body_repeat1",
  [aux_sym_formal_parameters_repeat1] = "formal_parameters_repeat1",
  [alias_sym_import_specifier] = "import_specifier",
  [alias_sym_shorthand_property_identifier] = "shorthand_property_identifier",
  [alias_sym_array_pattern] = "array_pattern",
  [alias_sym_property_identifier] = "property_identifier",
  [alias_sym_object_pattern] = "object_pattern",
  [alias_sym_export_specifier] = "export_specifier",
  [alias_sym_statement_identifier] = "statement_identifier",
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_hash_bang_line] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_export] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_default] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_as] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_import] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_from] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_var] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_let] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_const] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_switch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_in] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_await] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_of] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_do] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_with] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_continue] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_debugger] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_throw] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_catch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_finally] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_yield] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [sym_jsx_text] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_class] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_extends] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_async] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_function] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_new] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_instanceof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_typeof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_void] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_delete] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_string_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_string_token2] = {
    .visible = false,
    .named = false,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_BQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH2] = {
    .visible = true,
    .named = false,
  },
  [sym_regex_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_regex_flags] = {
    .visible = true,
    .named = true,
  },
  [sym_number] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_target] = {
    .visible = true,
    .named = false,
  },
  [sym_this] = {
    .visible = true,
    .named = true,
  },
  [sym_super] = {
    .visible = true,
    .named = true,
  },
  [sym_true] = {
    .visible = true,
    .named = true,
  },
  [sym_false] = {
    .visible = true,
    .named = true,
  },
  [sym_null] = {
    .visible = true,
    .named = true,
  },
  [sym_undefined] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_static] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_get] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_set] = {
    .visible = true,
    .named = false,
  },
  [sym__automatic_semicolon] = {
    .visible = false,
    .named = true,
  },
  [sym__template_chars] = {
    .visible = false,
    .named = true,
  },
  [sym_program] = {
    .visible = true,
    .named = true,
  },
  [sym_export_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_export_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__import_export_specifier] = {
    .visible = false,
    .named = true,
  },
  [sym__declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_import_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_import_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__from_clause] = {
    .visible = false,
    .named = true,
  },
  [sym_namespace_import] = {
    .visible = true,
    .named = true,
  },
  [sym_named_imports] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_lexical_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_statement_block] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_in_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_of_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_do_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_with_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_debugger_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_throw_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_empty_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_labeled_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_body] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_case] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_default] = {
    .visible = true,
    .named = true,
  },
  [sym_catch_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_finally_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__expression] = {
    .visible = false,
    .named = true,
  },
  [sym_yield_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_object] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_array] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_element] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_fragment] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_opening_element] = {
    .visible = true,
    .named = true,
  },
  [sym_nested_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_namespace_name] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_closing_element] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_self_closing_element] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_class] = {
    .visible = true,
    .named = true,
  },
  [sym_class_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_class_heritage] = {
    .visible = true,
    .named = true,
  },
  [sym_function] = {
    .visible = true,
    .named = true,
  },
  [sym_function_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_generator_function] = {
    .visible = true,
    .named = true,
  },
  [sym_generator_function_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_arrow_function] = {
    .visible = true,
    .named = true,
  },
  [sym_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_new_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_await_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_member_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_augmented_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__initializer] = {
    .visible = false,
    .named = true,
  },
  [sym_spread_element] = {
    .visible = true,
    .named = true,
  },
  [sym_ternary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_update_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_sequence_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_template_string] = {
    .visible = true,
    .named = true,
  },
  [sym_template_substitution] = {
    .visible = true,
    .named = true,
  },
  [sym_regex] = {
    .visible = true,
    .named = true,
  },
  [sym_meta_property] = {
    .visible = true,
    .named = true,
  },
  [sym_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator_member_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_class_body] = {
    .visible = true,
    .named = true,
  },
  [sym_public_field_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_formal_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_rest_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_method_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_pair] = {
    .visible = true,
    .named = true,
  },
  [sym__property_name] = {
    .visible = false,
    .named = true,
  },
  [sym_computed_property_name] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_program_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_export_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_export_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_named_imports_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_variable_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_switch_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_object_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_jsx_element_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_jsx_opening_element_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_template_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_class_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_formal_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_import_specifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_shorthand_property_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_array_pattern] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_property_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_object_pattern] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_export_specifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_statement_identifier] = {
    .visible = true,
    .named = true,
  },
};

enum {
  field_alias = 1,
  field_alternative = 2,
  field_argument = 3,
  field_arguments = 4,
  field_attribute = 5,
  field_body = 6,
  field_close_tag = 7,
  field_condition = 8,
  field_consequence = 9,
  field_constructor = 10,
  field_declaration = 11,
  field_decorator = 12,
  field_finalizer = 13,
  field_flags = 14,
  field_function = 15,
  field_handler = 16,
  field_increment = 17,
  field_index = 18,
  field_initializer = 19,
  field_key = 20,
  field_label = 21,
  field_left = 22,
  field_member = 23,
  field_name = 24,
  field_object = 25,
  field_open_tag = 26,
  field_operator = 27,
  field_parameter = 28,
  field_parameters = 29,
  field_pattern = 30,
  field_property = 31,
  field_right = 32,
  field_source = 33,
  field_value = 34,
};

static const char *ts_field_names[] = {
  [0] = NULL,
  [field_alias] = "alias",
  [field_alternative] = "alternative",
  [field_argument] = "argument",
  [field_arguments] = "arguments",
  [field_attribute] = "attribute",
  [field_body] = "body",
  [field_close_tag] = "close_tag",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_constructor] = "constructor",
  [field_declaration] = "declaration",
  [field_decorator] = "decorator",
  [field_finalizer] = "finalizer",
  [field_flags] = "flags",
  [field_function] = "function",
  [field_handler] = "handler",
  [field_increment] = "increment",
  [field_index] = "index",
  [field_initializer] = "initializer",
  [field_key] = "key",
  [field_label] = "label",
  [field_left] = "left",
  [field_member] = "member",
  [field_name] = "name",
  [field_object] = "object",
  [field_open_tag] = "open_tag",
  [field_operator] = "operator",
  [field_parameter] = "parameter",
  [field_parameters] = "parameters",
  [field_pattern] = "pattern",
  [field_property] = "property",
  [field_right] = "right",
  [field_source] = "source",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[] = {
  [2] = {.index = 0, .length = 1},
  [3] = {.index = 1, .length = 2},
  [4] = {.index = 3, .length = 1},
  [6] = {.index = 4, .length = 1},
  [7] = {.index = 4, .length = 1},
  [8] = {.index = 4, .length = 1},
  [10] = {.index = 5, .length = 2},
  [11] = {.index = 7, .length = 1},
  [12] = {.index = 8, .length = 1},
  [13] = {.index = 8, .length = 1},
  [14] = {.index = 9, .length = 1},
  [15] = {.index = 10, .length = 2},
  [16] = {.index = 12, .length = 2},
  [17] = {.index = 14, .length = 2},
  [18] = {.index = 16, .length = 1},
  [19] = {.index = 17, .length = 1},
  [20] = {.index = 18, .length = 2},
  [21] = {.index = 20, .length = 1},
  [22] = {.index = 5, .length = 2},
  [23] = {.index = 21, .length = 2},
  [24] = {.index = 23, .length = 2},
  [25] = {.index = 25, .length = 2},
  [26] = {.index = 27, .length = 2},
  [27] = {.index = 27, .length = 2},
  [28] = {.index = 27, .length = 2},
  [29] = {.index = 29, .length = 1},
  [30] = {.index = 30, .length = 2},
  [32] = {.index = 32, .length = 2},
  [35] = {.index = 34, .length = 1},
  [36] = {.index = 35, .length = 1},
  [37] = {.index = 36, .length = 2},
  [38] = {.index = 23, .length = 2},
  [39] = {.index = 21, .length = 2},
  [40] = {.index = 38, .length = 1},
  [41] = {.index = 39, .length = 3},
  [42] = {.index = 42, .length = 2},
  [43] = {.index = 44, .length = 1},
  [44] = {.index = 45, .length = 1},
  [45] = {.index = 46, .length = 2},
  [46] = {.index = 46, .length = 2},
  [47] = {.index = 48, .length = 2},
  [48] = {.index = 50, .length = 2},
  [49] = {.index = 21, .length = 2},
  [50] = {.index = 52, .length = 2},
  [51] = {.index = 54, .length = 2},
  [52] = {.index = 21, .length = 2},
  [53] = {.index = 56, .length = 2},
  [54] = {.index = 58, .length = 1},
  [55] = {.index = 59, .length = 2},
  [56] = {.index = 61, .length = 1},
  [57] = {.index = 62, .length = 2},
  [58] = {.index = 64, .length = 2},
  [59] = {.index = 66, .length = 3},
  [60] = {.index = 69, .length = 2},
  [61] = {.index = 71, .length = 1},
  [62] = {.index = 72, .length = 2},
  [63] = {.index = 74, .length = 1},
  [64] = {.index = 21, .length = 2},
  [65] = {.index = 75, .length = 2},
  [66] = {.index = 77, .length = 3},
  [67] = {.index = 80, .length = 2},
  [68] = {.index = 82, .length = 2},
  [69] = {.index = 84, .length = 2},
  [70] = {.index = 86, .length = 2},
  [71] = {.index = 88, .length = 2},
  [72] = {.index = 90, .length = 2},
  [73] = {.index = 72, .length = 2},
  [74] = {.index = 92, .length = 1},
  [75] = {.index = 93, .length = 3},
  [76] = {.index = 96, .length = 3},
  [77] = {.index = 99, .length = 2},
  [78] = {.index = 101, .length = 2},
  [79] = {.index = 103, .length = 3},
  [80] = {.index = 106, .length = 2},
  [81] = {.index = 108, .length = 3},
  [82] = {.index = 111, .length = 2},
  [83] = {.index = 113, .length = 2},
  [84] = {.index = 115, .length = 2},
  [85] = {.index = 117, .length = 3},
  [86] = {.index = 120, .length = 3},
  [87] = {.index = 123, .length = 1},
  [88] = {.index = 124, .length = 3},
  [89] = {.index = 127, .length = 3},
  [90] = {.index = 130, .length = 2},
  [91] = {.index = 132, .length = 3},
  [92] = {.index = 135, .length = 4},
  [93] = {.index = 132, .length = 3},
  [94] = {.index = 132, .length = 3},
  [95] = {.index = 139, .length = 4},
  [96] = {.index = 143, .length = 3},
  [97] = {.index = 143, .length = 3},
  [98] = {.index = 143, .length = 3},
  [99] = {.index = 146, .length = 3},
  [100] = {.index = 146, .length = 3},
  [101] = {.index = 146, .length = 3},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_decorator, 0},
  [1] =
    {field_argument, 1},
    {field_operator, 0},
  [3] =
    {field_body, 1},
  [4] =
    {field_name, 0},
  [5] =
    {field_arguments, 1},
    {field_function, 0},
  [7] =
    {field_argument, 1},
  [8] =
    {field_constructor, 1},
  [9] =
    {field_declaration, 1},
  [10] =
    {field_decorator, 0, .inherited = true},
    {field_decorator, 1, .inherited = true},
  [12] =
    {field_argument, 0},
    {field_operator, 1},
  [14] =
    {field_close_tag, 1},
    {field_open_tag, 0},
  [16] =
    {field_member, 0},
  [17] =
    {field_property, 0},
  [18] =
    {field_body, 2},
    {field_name, 1},
  [20] =
    {field_body, 2},
  [21] =
    {field_left, 0},
    {field_right, 2},
  [23] =
    {field_object, 0},
    {field_property, 2},
  [25] =
    {field_body, 2},
    {field_parameters, 1},
  [27] =
    {field_name, 0},
    {field_value, 1, .inherited = true},
  [29] =
    {field_source, 1},
  [30] =
    {field_condition, 1},
    {field_consequence, 2},
  [32] =
    {field_body, 2},
    {field_object, 1},
  [34] =
    {field_pattern, 1},
  [35] =
    {field_label, 1},
  [36] =
    {field_body, 2},
    {field_condition, 1},
  [38] =
    {field_label, 0},
  [39] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [42] =
    {field_body, 2},
    {field_parameter, 0},
  [44] =
    {field_name, 1},
  [45] =
    {field_attribute, 0},
  [46] =
    {field_arguments, 2},
    {field_constructor, 1},
  [48] =
    {field_body, 1},
    {field_handler, 2},
  [50] =
    {field_body, 1},
    {field_finalizer, 2},
  [52] =
    {field_declaration, 2},
    {field_decorator, 0, .inherited = true},
  [54] =
    {field_body, 2},
    {field_parameters, 0},
  [56] =
    {field_close_tag, 2},
    {field_open_tag, 0},
  [58] =
    {field_property, 1},
  [59] =
    {field_property, 0},
    {field_value, 1, .inherited = true},
  [61] =
    {field_member, 1, .inherited = true},
  [62] =
    {field_member, 0, .inherited = true},
    {field_member, 1, .inherited = true},
  [64] =
    {field_body, 3},
    {field_name, 1},
  [66] =
    {field_body, 3},
    {field_name, 1},
    {field_parameters, 2},
  [69] =
    {field_body, 3},
    {field_parameters, 2},
  [71] =
    {field_value, 1},
  [72] =
    {field_alias, 1, .inherited = true},
    {field_name, 1, .inherited = true},
  [74] =
    {field_source, 2, .inherited = true},
  [75] =
    {field_key, 0},
    {field_value, 2},
  [77] =
    {field_body, 2},
    {field_name, 0},
    {field_parameters, 1},
  [80] =
    {field_flags, 3},
    {field_pattern, 1},
  [82] =
    {field_index, 2},
    {field_object, 0},
  [84] =
    {field_attribute, 2, .inherited = true},
    {field_name, 1},
  [86] =
    {field_attribute, 0, .inherited = true},
    {field_attribute, 1, .inherited = true},
  [88] =
    {field_body, 3},
    {field_parameter, 1},
  [90] =
    {field_body, 3},
    {field_parameters, 1},
  [92] =
    {field_value, 2},
  [93] =
    {field_body, 1},
    {field_finalizer, 3},
    {field_handler, 2},
  [96] =
    {field_body, 3},
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
  [99] =
    {field_body, 3},
    {field_decorator, 0, .inherited = true},
  [101] =
    {field_property, 1},
    {field_value, 2, .inherited = true},
  [103] =
    {field_body, 4},
    {field_name, 2},
    {field_parameters, 3},
  [106] =
    {field_alias, 2},
    {field_name, 0},
  [108] =
    {field_alternative, 4},
    {field_condition, 1},
    {field_consequence, 2},
  [111] =
    {field_body, 4},
    {field_value, 2},
  [113] =
    {field_body, 1},
    {field_condition, 3},
  [115] =
    {field_decorator, 0, .inherited = true},
    {field_value, 3},
  [117] =
    {field_body, 4},
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
  [120] =
    {field_alternative, 4},
    {field_condition, 0},
    {field_consequence, 2},
  [123] =
    {field_name, 2},
  [124] =
    {field_body, 5},
    {field_condition, 3},
    {field_initializer, 2},
  [127] =
    {field_body, 5},
    {field_name, 3},
    {field_parameters, 4},
  [130] =
    {field_body, 4},
    {field_parameter, 2},
  [132] =
    {field_body, 6},
    {field_left, 2},
    {field_right, 4},
  [135] =
    {field_body, 6},
    {field_condition, 3},
    {field_increment, 4},
    {field_initializer, 2},
  [139] =
    {field_body, 6},
    {field_decorator, 0, .inherited = true},
    {field_name, 4},
    {field_parameters, 5},
  [143] =
    {field_body, 7},
    {field_left, 3},
    {field_right, 5},
  [146] =
    {field_body, 8},
    {field_left, 4},
    {field_right, 6},
};

static TSSymbol ts_alias_sequences[102][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [1] = {
    [0] = sym_identifier,
  },
  [5] = {
    [1] = sym_identifier,
  },
  [7] = {
    [0] = alias_sym_array_pattern,
  },
  [8] = {
    [0] = alias_sym_object_pattern,
  },
  [9] = {
    [0] = alias_sym_property_identifier,
  },
  [13] = {
    [1] = sym_identifier,
  },
  [22] = {
    [0] = sym_identifier,
  },
  [23] = {
    [0] = sym_identifier,
  },
  [24] = {
    [0] = sym_identifier,
    [2] = alias_sym_property_identifier,
  },
  [27] = {
    [0] = alias_sym_array_pattern,
  },
  [28] = {
    [0] = alias_sym_object_pattern,
  },
  [31] = {
    [1] = alias_sym_shorthand_property_identifier,
  },
  [33] = {
    [1] = alias_sym_object_pattern,
  },
  [34] = {
    [1] = alias_sym_array_pattern,
  },
  [36] = {
    [1] = alias_sym_statement_identifier,
  },
  [38] = {
    [2] = alias_sym_property_identifier,
  },
  [40] = {
    [0] = alias_sym_statement_identifier,
  },
  [46] = {
    [1] = sym_identifier,
  },
  [49] = {
    [0] = alias_sym_object_pattern,
  },
  [52] = {
    [0] = alias_sym_array_pattern,
  },
  [62] = {
    [1] = alias_sym_import_specifier,
  },
  [64] = {
    [0] = alias_sym_shorthand_property_identifier,
  },
  [73] = {
    [1] = alias_sym_export_specifier,
  },
  [93] = {
    [2] = alias_sym_object_pattern,
  },
  [94] = {
    [2] = alias_sym_array_pattern,
  },
  [97] = {
    [3] = alias_sym_array_pattern,
  },
  [98] = {
    [3] = alias_sym_object_pattern,
  },
  [100] = {
    [4] = alias_sym_array_pattern,
  },
  [101] = {
    [4] = alias_sym_object_pattern,
  },
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  switch (state) {
    case 0:
      if (lookahead == 0) ADVANCE(43);
      if (lookahead == '!') ADVANCE(120);
      if (lookahead == '"') ADVANCE(124);
      if (lookahead == '#') ADVANCE(7);
      if (lookahead == '$') ADVANCE(157);
      if (lookahead == '%') ADVANCE(110);
      if (lookahead == '&') ADVANCE(100);
      if (lookahead == '\'') ADVANCE(130);
      if (lookahead == '(') ADVANCE(51);
      if (lookahead == ')') ADVANCE(52);
      if (lookahead == '*') ADVANCE(46);
      if (lookahead == '+') ADVANCE(106);
      if (lookahead == ',') ADVANCE(49);
      if (lookahead == '-') ADVANCE(108);
      if (lookahead == '.') ADVANCE(74);
      if (lookahead == '/') ADVANCE(144);
      if (lookahead == '0') ADVANCE(149);
      if (lookahead == ':') ADVANCE(54);
      if (lookahead == ';') ADVANCE(53);
      if (lookahead == '<') ADVANCE(60);
      if (lookahead == '=') ADVANCE(56);
      if (lookahead == '>') ADVANCE(63);
      if (lookahead == '?') ADVANCE(90);
      if (lookahead == '@') ADVANCE(159);
      if (lookahead == '[') ADVANCE(57);
      if (lookahead == '\\') ADVANCE(28);
      if (lookahead == ']') ADVANCE(58);
      if (lookahead == '^') ADVANCE(102);
      if (lookahead == '`') ADVANCE(142);
      if (lookahead == '{') ADVANCE(48);
      if (lookahead == '|') ADVANCE(103);
      if (lookahead == '}') ADVANCE(50);
      if (lookahead == '~') ADVANCE(121);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(1)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(150);
      if (lookahead != 0) ADVANCE(158);
      END_STATE();
    case 1:
      if (lookahead == 0) ADVANCE(43);
      if (lookahead == '!') ADVANCE(120);
      if (lookahead == '"') ADVANCE(124);
      if (lookahead == '#') ADVANCE(7);
      if (lookahead == '$') ADVANCE(157);
      if (lookahead == '%') ADVANCE(110);
      if (lookahead == '&') ADVANCE(100);
      if (lookahead == '\'') ADVANCE(130);
      if (lookahead == '(') ADVANCE(51);
      if (lookahead == ')') ADVANCE(52);
      if (lookahead == '*') ADVANCE(46);
      if (lookahead == '+') ADVANCE(106);
      if (lookahead == ',') ADVANCE(49);
      if (lookahead == '-') ADVANCE(108);
      if (lookahead == '.') ADVANCE(74);
      if (lookahead == '/') ADVANCE(65);
      if (lookahead == '0') ADVANCE(149);
      if (lookahead == ':') ADVANCE(54);
      if (lookahead == ';') ADVANCE(53);
      if (lookahead == '<') ADVANCE(60);
      if (lookahead == '=') ADVANCE(56);
      if (lookahead == '>') ADVANCE(63);
      if (lookahead == '?') ADVANCE(90);
      if (lookahead == '@') ADVANCE(159);
      if (lookahead == '[') ADVANCE(57);
      if (lookahead == ']') ADVANCE(58);
      if (lookahead == '^') ADVANCE(102);
      if (lookahead == '`') ADVANCE(142);
      if (lookahead == '{') ADVANCE(48);
      if (lookahead == '|') ADVANCE(103);
      if (lookahead == '}') ADVANCE(50);
      if (lookahead == '~') ADVANCE(121);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(1)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(150);
      if (lookahead != 0 &&
          lookahead != '\\') ADVANCE(158);
      END_STATE();
    case 2:
      if (lookahead == 0) ADVANCE(43);
      if (lookahead == '!') ADVANCE(120);
      if (lookahead == '"') ADVANCE(124);
      if (lookahead == '%') ADVANCE(109);
      if (lookahead == '&') ADVANCE(99);
      if (lookahead == '\'') ADVANCE(130);
      if (lookahead == '(') ADVANCE(51);
      if (lookahead == ')') ADVANCE(52);
      if (lookahead == '*') ADVANCE(47);
      if (lookahead == '+') ADVANCE(105);
      if (lookahead == ',') ADVANCE(49);
      if (lookahead == '-') ADVANCE(107);
      if (lookahead == '.') ADVANCE(75);
      if (lookahead == '/') ADVANCE(65);
      if (lookahead == '0') ADVANCE(149);
      if (lookahead == ':') ADVANCE(54);
      if (lookahead == ';') ADVANCE(53);
      if (lookahead == '<') ADVANCE(61);
      if (lookahead == '=') ADVANCE(56);
      if (lookahead == '>') ADVANCE(64);
      if (lookahead == '?') ADVANCE(90);
      if (lookahead == '@') ADVANCE(159);
      if (lookahead == '[') ADVANCE(57);
      if (lookahead == ']') ADVANCE(58);
      if (lookahead == '^') ADVANCE(101);
      if (lookahead == '`') ADVANCE(142);
      if (lookahead == '{') ADVANCE(48);
      if (lookahead == '|') ADVANCE(104);
      if (lookahead == '}') ADVANCE(50);
      if (lookahead == '~') ADVANCE(121);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(2)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(150);
      if (lookahead != 0 &&
          lookahead != '#' &&
          lookahead != '\\') ADVANCE(158);
      END_STATE();
    case 3:
      if (lookahead == 0) ADVANCE(43);
      if (lookahead == '!') ADVANCE(119);
      if (lookahead == '"') ADVANCE(124);
      if (lookahead == '#') ADVANCE(7);
      if (lookahead == '\'') ADVANCE(130);
      if (lookahead == '(') ADVANCE(51);
      if (lookahead == ')') ADVANCE(52);
      if (lookahead == '*') ADVANCE(45);
      if (lookahead == '+') ADVANCE(105);
      if (lookahead == ',') ADVANCE(49);
      if (lookahead == '-') ADVANCE(107);
      if (lookahead == '.') ADVANCE(19);
      if (lookahead == '/') ADVANCE(65);
      if (lookahead == '0') ADVANCE(149);
      if (lookahead == ':') ADVANCE(54);
      if (lookahead == ';') ADVANCE(53);
      if (lookahead == '<') ADVANCE(59);
      if (lookahead == '=') ADVANCE(55);
      if (lookahead == '@') ADVANCE(159);
      if (lookahead == '[') ADVANCE(57);
      if (lookahead == ']') ADVANCE(58);
      if (lookahead == '`') ADVANCE(142);
      if (lookahead == '{') ADVANCE(48);
      if (lookahead == '}') ADVANCE(50);
      if (lookahead == '~') ADVANCE(121);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(3)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(150);
      if (lookahead != 0 &&
          (lookahead < '%' || '?' < lookahead) &&
          (lookahead < '\\' || '^' < lookahead) &&
          lookahead != '|') ADVANCE(158);
      END_STATE();
    case 4:
      if (lookahead == '\n') SKIP(15)
      if (lookahead == '\'') ADVANCE(130);
      if (lookahead == '/') ADVANCE(131);
      if (lookahead == '\\') ADVANCE(28);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) ADVANCE(134);
      if (lookahead != 0) ADVANCE(135);
      END_STATE();
    case 5:
      if (lookahead == '\n') SKIP(22)
      if (lookahead == '/') ADVANCE(16);
      if (lookahead == '[') ADVANCE(26);
      if (lookahead == '\\') ADVANCE(42);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) ADVANCE(145);
      if (lookahead != 0) ADVANCE(146);
      END_STATE();
    case 6:
      if (lookahead == '\n') SKIP(12)
      if (lookahead == '"') ADVANCE(124);
      if (lookahead == '/') ADVANCE(125);
      if (lookahead == '\\') ADVANCE(28);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) ADVANCE(128);
      if (lookahead != 0) ADVANCE(129);
      END_STATE();
    case 7:
      if (lookahead == '!') ADVANCE(44);
      END_STATE();
    case 8:
      if (lookahead == '!') ADVANCE(119);
      if (lookahead == '"') ADVANCE(124);
      if (lookahead == '\'') ADVANCE(130);
      if (lookahead == '(') ADVANCE(51);
      if (lookahead == '+') ADVANCE(105);
      if (lookahead == '-') ADVANCE(107);
      if (lookahead == '.') ADVANCE(75);
      if (lookahead == '/') ADVANCE(65);
      if (lookahead == '0') ADVANCE(149);
      if (lookahead == '<') ADVANCE(59);
      if (lookahead == '@') ADVANCE(159);
      if (lookahead == '[') ADVANCE(57);
      if (lookahead == '`') ADVANCE(142);
      if (lookahead == '{') ADVANCE(48);
      if (lookahead == '~') ADVANCE(121);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(8)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(150);
      if (lookahead != 0 &&
          lookahead != '#' &&
          (lookahead < '%' || '?' < lookahead) &&
          (lookahead < '\\' || '^' < lookahead) &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(158);
      END_STATE();
    case 9:
      if (lookahead == '!') ADVANCE(24);
      if (lookahead == '"') ADVANCE(124);
      if (lookahead == '%') ADVANCE(110);
      if (lookahead == '&') ADVANCE(100);
      if (lookahead == '\'') ADVANCE(130);
      if (lookahead == '(') ADVANCE(51);
      if (lookahead == ')') ADVANCE(52);
      if (lookahead == '*') ADVANCE(46);
      if (lookahead == '+') ADVANCE(106);
      if (lookahead == ',') ADVANCE(49);
      if (lookahead == '-') ADVANCE(108);
      if (lookahead == '.') ADVANCE(75);
      if (lookahead == '/') ADVANCE(66);
      if (lookahead == '0') ADVANCE(149);
      if (lookahead == ':') ADVANCE(54);
      if (lookahead == ';') ADVANCE(53);
      if (lookahead == '<') ADVANCE(60);
      if (lookahead == '=') ADVANCE(56);
      if (lookahead == '>') ADVANCE(63);
      if (lookahead == '?') ADVANCE(90);
      if (lookahead == '@') ADVANCE(159);
      if (lookahead == '[') ADVANCE(57);
      if (lookahead == ']') ADVANCE(58);
      if (lookahead == '^') ADVANCE(102);
      if (lookahead == '`') ADVANCE(142);
      if (lookahead == '{') ADVANCE(48);
      if (lookahead == '|') ADVANCE(103);
      if (lookahead == '}') ADVANCE(50);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(9)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(150);
      if (lookahead != 0 &&
          lookahead != '#' &&
          lookahead != '\\' &&
          lookahead != '~') ADVANCE(158);
      END_STATE();
    case 10:
      if (lookahead == '!') ADVANCE(24);
      if (lookahead == '%') ADVANCE(109);
      if (lookahead == '&') ADVANCE(99);
      if (lookahead == '(') ADVANCE(51);
      if (lookahead == ')') ADVANCE(52);
      if (lookahead == '*') ADVANCE(47);
      if (lookahead == '+') ADVANCE(105);
      if (lookahead == ',') ADVANCE(49);
      if (lookahead == '-') ADVANCE(107);
      if (lookahead == '.') ADVANCE(73);
      if (lookahead == '/') ADVANCE(65);
      if (lookahead == ':') ADVANCE(54);
      if (lookahead == ';') ADVANCE(53);
      if (lookahead == '<') ADVANCE(61);
      if (lookahead == '=') ADVANCE(25);
      if (lookahead == '>') ADVANCE(64);
      if (lookahead == '?') ADVANCE(90);
      if (lookahead == '[') ADVANCE(57);
      if (lookahead == ']') ADVANCE(58);
      if (lookahead == '^') ADVANCE(101);
      if (lookahead == '`') ADVANCE(142);
      if (lookahead == '{') ADVANCE(48);
      if (lookahead == '|') ADVANCE(104);
      if (lookahead == '}') ADVANCE(50);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(11)
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(147);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '#' &&
          (lookahead < '\'' || '@' < lookahead) &&
          lookahead != '\\' &&
          lookahead != '~') ADVANCE(158);
      END_STATE();
    case 11:
      if (lookahead == '!') ADVANCE(24);
      if (lookahead == '%') ADVANCE(109);
      if (lookahead == '&') ADVANCE(99);
      if (lookahead == '(') ADVANCE(51);
      if (lookahead == ')') ADVANCE(52);
      if (lookahead == '*') ADVANCE(47);
      if (lookahead == '+') ADVANCE(105);
      if (lookahead == ',') ADVANCE(49);
      if (lookahead == '-') ADVANCE(107);
      if (lookahead == '.') ADVANCE(73);
      if (lookahead == '/') ADVANCE(65);
      if (lookahead == ':') ADVANCE(54);
      if (lookahead == ';') ADVANCE(53);
      if (lookahead == '<') ADVANCE(61);
      if (lookahead == '=') ADVANCE(25);
      if (lookahead == '>') ADVANCE(64);
      if (lookahead == '?') ADVANCE(90);
      if (lookahead == '[') ADVANCE(57);
      if (lookahead == ']') ADVANCE(58);
      if (lookahead == '^') ADVANCE(101);
      if (lookahead == '`') ADVANCE(142);
      if (lookahead == '{') ADVANCE(48);
      if (lookahead == '|') ADVANCE(104);
      if (lookahead == '}') ADVANCE(50);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(11)
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '#' &&
          (lookahead < '\'' || '@' < lookahead) &&
          lookahead != '\\' &&
          lookahead != '~') ADVANCE(158);
      END_STATE();
    case 12:
      if (lookahead == '"') ADVANCE(124);
      if (lookahead == '/') ADVANCE(16);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(12)
      END_STATE();
    case 13:
      if (lookahead == '$') ADVANCE(29);
      if (lookahead == '(') ADVANCE(51);
      if (lookahead == '.') ADVANCE(73);
      if (lookahead == '/') ADVANCE(144);
      if (lookahead == ':') ADVANCE(54);
      if (lookahead == '>') ADVANCE(62);
      if (lookahead == '[') ADVANCE(57);
      if (lookahead == '\\') ADVANCE(28);
      if (lookahead == '`') ADVANCE(142);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(14)
      END_STATE();
    case 14:
      if (lookahead == '$') ADVANCE(29);
      if (lookahead == '(') ADVANCE(51);
      if (lookahead == '.') ADVANCE(73);
      if (lookahead == '/') ADVANCE(16);
      if (lookahead == ':') ADVANCE(54);
      if (lookahead == '>') ADVANCE(62);
      if (lookahead == '[') ADVANCE(57);
      if (lookahead == '`') ADVANCE(142);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(14)
      END_STATE();
    case 15:
      if (lookahead == '\'') ADVANCE(130);
      if (lookahead == '/') ADVANCE(16);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(15)
      END_STATE();
    case 16:
      if (lookahead == '*') ADVANCE(18);
      if (lookahead == '/') ADVANCE(141);
      END_STATE();
    case 17:
      if (lookahead == '*') ADVANCE(17);
      if (lookahead == '/') ADVANCE(139);
      if (lookahead != 0) ADVANCE(18);
      END_STATE();
    case 18:
      if (lookahead == '*') ADVANCE(17);
      if (lookahead != 0) ADVANCE(18);
      END_STATE();
    case 19:
      if (lookahead == '.') ADVANCE(20);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(152);
      END_STATE();
    case 20:
      if (lookahead == '.') ADVANCE(89);
      END_STATE();
    case 21:
      if (lookahead == '.') ADVANCE(73);
      if (lookahead == '/') ADVANCE(65);
      if (lookahead == ':') ADVANCE(54);
      if (lookahead == '=') ADVANCE(55);
      if (lookahead == '>') ADVANCE(62);
      if (lookahead == '{') ADVANCE(48);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(21)
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(156);
      if (lookahead != 0 &&
          (lookahead < '!' || '~' < lookahead)) ADVANCE(158);
      END_STATE();
    case 22:
      if (lookahead == '/') ADVANCE(16);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(22)
      END_STATE();
    case 23:
      if (lookahead == '/') ADVANCE(67);
      if (lookahead == '<') ADVANCE(59);
      if (lookahead == '{') ADVANCE(48);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) ADVANCE(70);
      if (lookahead != 0 &&
          lookahead != '>' &&
          lookahead != '}') ADVANCE(71);
      END_STATE();
    case 24:
      if (lookahead == '=') ADVANCE(116);
      END_STATE();
    case 25:
      if (lookahead == '=') ADVANCE(114);
      END_STATE();
    case 26:
      if (lookahead == '\\') ADVANCE(41);
      if (lookahead == ']') ADVANCE(146);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(26);
      END_STATE();
    case 27:
      if (lookahead == 'n') ADVANCE(148);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(27);
      END_STATE();
    case 28:
      if (lookahead == 'u') ADVANCE(30);
      if (lookahead == 'x') ADVANCE(40);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(138);
      if (lookahead != 0) ADVANCE(136);
      END_STATE();
    case 29:
      if (lookahead == '{') ADVANCE(143);
      END_STATE();
    case 30:
      if (lookahead == '{') ADVANCE(38);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(39);
      END_STATE();
    case 31:
      if (lookahead == '}') ADVANCE(136);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(31);
      END_STATE();
    case 32:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(35);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(154);
      END_STATE();
    case 33:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(151);
      END_STATE();
    case 34:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(153);
      END_STATE();
    case 35:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(154);
      END_STATE();
    case 36:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(136);
      END_STATE();
    case 37:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(155);
      END_STATE();
    case 38:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(31);
      END_STATE();
    case 39:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(40);
      END_STATE();
    case 40:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(36);
      END_STATE();
    case 41:
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(26);
      END_STATE();
    case 42:
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(146);
      END_STATE();
    case 43:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 44:
      ACCEPT_TOKEN(sym_hash_bang_line);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(44);
      END_STATE();
    case 45:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 46:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(112);
      if (lookahead == '=') ADVANCE(79);
      END_STATE();
    case 47:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(111);
      END_STATE();
    case 48:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 49:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 50:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 51:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 52:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 53:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 54:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 55:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 56:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(114);
      if (lookahead == '>') ADVANCE(76);
      END_STATE();
    case 57:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 58:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 59:
      ACCEPT_TOKEN(anon_sym_LT);
      END_STATE();
    case 60:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(98);
      if (lookahead == '=') ADVANCE(113);
      END_STATE();
    case 61:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(97);
      if (lookahead == '=') ADVANCE(113);
      END_STATE();
    case 62:
      ACCEPT_TOKEN(anon_sym_GT);
      END_STATE();
    case 63:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(118);
      if (lookahead == '>') ADVANCE(93);
      END_STATE();
    case 64:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(118);
      if (lookahead == '>') ADVANCE(94);
      END_STATE();
    case 65:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(18);
      if (lookahead == '/') ADVANCE(141);
      END_STATE();
    case 66:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(18);
      if (lookahead == '/') ADVANCE(141);
      if (lookahead == '=') ADVANCE(80);
      END_STATE();
    case 67:
      ACCEPT_TOKEN(sym_jsx_text);
      if (lookahead == '*') ADVANCE(69);
      if (lookahead == '/') ADVANCE(140);
      if (lookahead != 0 &&
          lookahead != '<' &&
          lookahead != '>' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(71);
      END_STATE();
    case 68:
      ACCEPT_TOKEN(sym_jsx_text);
      if (lookahead == '*') ADVANCE(68);
      if (lookahead == '/') ADVANCE(139);
      if (lookahead == '<' ||
          lookahead == '>' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(18);
      if (lookahead != 0) ADVANCE(69);
      END_STATE();
    case 69:
      ACCEPT_TOKEN(sym_jsx_text);
      if (lookahead == '*') ADVANCE(68);
      if (lookahead == '<' ||
          lookahead == '>' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(18);
      if (lookahead != 0) ADVANCE(69);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(sym_jsx_text);
      if (lookahead == '/') ADVANCE(67);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) ADVANCE(70);
      if (lookahead != 0 &&
          lookahead != '<' &&
          lookahead != '>' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(71);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(sym_jsx_text);
      if (lookahead != 0 &&
          lookahead != '<' &&
          lookahead != '>' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(71);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(sym_jsx_identifier);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(72);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(20);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(152);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(152);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(anon_sym_EQ_GT);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 81:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT_EQ);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(anon_sym_STAR_STAR_EQ);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(85);
      if (lookahead == '>') ADVANCE(96);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '>') ADVANCE(95);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT);
      if (lookahead == '=') ADVANCE(86);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(87);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(91);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(91);
      if (lookahead == '=') ADVANCE(83);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(82);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(84);
      if (lookahead == '|') ADVANCE(92);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(92);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(122);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(122);
      if (lookahead == '=') ADVANCE(77);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(123);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(123);
      if (lookahead == '=') ADVANCE(78);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(81);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      if (lookahead == '=') ADVANCE(88);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      if (lookahead == '=') ADVANCE(115);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(anon_sym_EQ_EQ_EQ);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      if (lookahead == '=') ADVANCE(117);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(anon_sym_BANG_EQ_EQ);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(116);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(aux_sym_string_token1);
      if (lookahead == '*') ADVANCE(127);
      if (lookahead == '/') ADVANCE(129);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(129);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(aux_sym_string_token1);
      if (lookahead == '*') ADVANCE(126);
      if (lookahead == '/') ADVANCE(129);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(127);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(aux_sym_string_token1);
      if (lookahead == '*') ADVANCE(126);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(127);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(aux_sym_string_token1);
      if (lookahead == '/') ADVANCE(125);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) ADVANCE(128);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(129);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(aux_sym_string_token1);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(129);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(aux_sym_string_token2);
      if (lookahead == '*') ADVANCE(133);
      if (lookahead == '/') ADVANCE(135);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(135);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(aux_sym_string_token2);
      if (lookahead == '*') ADVANCE(132);
      if (lookahead == '/') ADVANCE(135);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(133);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(aux_sym_string_token2);
      if (lookahead == '*') ADVANCE(132);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(133);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(aux_sym_string_token2);
      if (lookahead == '/') ADVANCE(131);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) ADVANCE(134);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(135);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(aux_sym_string_token2);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(135);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(136);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(137);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(sym_comment);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '<' ||
          lookahead == '>' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(141);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(140);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(141);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(anon_sym_BQUOTE);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(anon_sym_DOLLAR_LBRACE);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(anon_sym_SLASH2);
      if (lookahead == '*') ADVANCE(18);
      if (lookahead == '/') ADVANCE(141);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(sym_regex_pattern);
      if (lookahead == '/') ADVANCE(16);
      if (lookahead == '[') ADVANCE(26);
      if (lookahead == '\\') ADVANCE(42);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) ADVANCE(145);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(146);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(sym_regex_pattern);
      if (lookahead == '[') ADVANCE(26);
      if (lookahead == '\\') ADVANCE(42);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '/') ADVANCE(146);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(sym_regex_flags);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(147);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          (lookahead < ' ' || '#' < lookahead) &&
          (lookahead < '%' || '/' < lookahead) &&
          (lookahead < ':' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '`' || '~' < lookahead) &&
          lookahead != 160 &&
          lookahead != 8203 &&
          lookahead != 8288 &&
          lookahead != 65279) ADVANCE(158);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(sym_number);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '.') ADVANCE(152);
      if (lookahead == '0') ADVANCE(27);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(33);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(32);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(34);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(37);
      if (lookahead == 'n') ADVANCE(148);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(150);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '.') ADVANCE(152);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(32);
      if (lookahead == 'n') ADVANCE(148);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(150);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(151);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(32);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(152);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(sym_number);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(153);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(sym_number);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(154);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(sym_number);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(155);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(72);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(156);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          (lookahead < ' ' || '~' < lookahead) &&
          lookahead != 160 &&
          lookahead != 8203 &&
          lookahead != 8288 &&
          lookahead != 65279) ADVANCE(158);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '{') ADVANCE(143);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          (lookahead < ' ' || '#' < lookahead) &&
          (lookahead < '%' || '/' < lookahead) &&
          (lookahead < ':' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '|' || '~' < lookahead) &&
          lookahead != 160 &&
          lookahead != 8203 &&
          lookahead != 8288 &&
          lookahead != 65279) ADVANCE(158);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          (lookahead < ' ' || '#' < lookahead) &&
          (lookahead < '%' || '/' < lookahead) &&
          (lookahead < ':' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead) &&
          lookahead != 160 &&
          lookahead != 8203 &&
          lookahead != 8288 &&
          lookahead != 65279) ADVANCE(158);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  switch (state) {
    case 0:
      if (lookahead == 'a') ADVANCE(1);
      if (lookahead == 'b') ADVANCE(2);
      if (lookahead == 'c') ADVANCE(3);
      if (lookahead == 'd') ADVANCE(4);
      if (lookahead == 'e') ADVANCE(5);
      if (lookahead == 'f') ADVANCE(6);
      if (lookahead == 'g') ADVANCE(7);
      if (lookahead == 'i') ADVANCE(8);
      if (lookahead == 'l') ADVANCE(9);
      if (lookahead == 'n') ADVANCE(10);
      if (lookahead == 'o') ADVANCE(11);
      if (lookahead == 'r') ADVANCE(12);
      if (lookahead == 's') ADVANCE(13);
      if (lookahead == 't') ADVANCE(14);
      if (lookahead == 'u') ADVANCE(15);
      if (lookahead == 'v') ADVANCE(16);
      if (lookahead == 'w') ADVANCE(17);
      if (lookahead == 'y') ADVANCE(18);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(0)
      END_STATE();
    case 1:
      if (lookahead == 's') ADVANCE(19);
      if (lookahead == 'w') ADVANCE(20);
      END_STATE();
    case 2:
      if (lookahead == 'r') ADVANCE(21);
      END_STATE();
    case 3:
      if (lookahead == 'a') ADVANCE(22);
      if (lookahead == 'l') ADVANCE(23);
      if (lookahead == 'o') ADVANCE(24);
      END_STATE();
    case 4:
      if (lookahead == 'e') ADVANCE(25);
      if (lookahead == 'o') ADVANCE(26);
      END_STATE();
    case 5:
      if (lookahead == 'l') ADVANCE(27);
      if (lookahead == 'x') ADVANCE(28);
      END_STATE();
    case 6:
      if (lookahead == 'a') ADVANCE(29);
      if (lookahead == 'i') ADVANCE(30);
      if (lookahead == 'o') ADVANCE(31);
      if (lookahead == 'r') ADVANCE(32);
      if (lookahead == 'u') ADVANCE(33);
      END_STATE();
    case 7:
      if (lookahead == 'e') ADVANCE(34);
      END_STATE();
    case 8:
      if (lookahead == 'f') ADVANCE(35);
      if (lookahead == 'm') ADVANCE(36);
      if (lookahead == 'n') ADVANCE(37);
      END_STATE();
    case 9:
      if (lookahead == 'e') ADVANCE(38);
      END_STATE();
    case 10:
      if (lookahead == 'e') ADVANCE(39);
      if (lookahead == 'u') ADVANCE(40);
      END_STATE();
    case 11:
      if (lookahead == 'f') ADVANCE(41);
      END_STATE();
    case 12:
      if (lookahead == 'e') ADVANCE(42);
      END_STATE();
    case 13:
      if (lookahead == 'e') ADVANCE(43);
      if (lookahead == 't') ADVANCE(44);
      if (lookahead == 'u') ADVANCE(45);
      if (lookahead == 'w') ADVANCE(46);
      END_STATE();
    case 14:
      if (lookahead == 'a') ADVANCE(47);
      if (lookahead == 'h') ADVANCE(48);
      if (lookahead == 'r') ADVANCE(49);
      if (lookahead == 'y') ADVANCE(50);
      END_STATE();
    case 15:
      if (lookahead == 'n') ADVANCE(51);
      END_STATE();
    case 16:
      if (lookahead == 'a') ADVANCE(52);
      if (lookahead == 'o') ADVANCE(53);
      END_STATE();
    case 17:
      if (lookahead == 'h') ADVANCE(54);
      if (lookahead == 'i') ADVANCE(55);
      END_STATE();
    case 18:
      if (lookahead == 'i') ADVANCE(56);
      END_STATE();
    case 19:
      ACCEPT_TOKEN(anon_sym_as);
      if (lookahead == 'y') ADVANCE(57);
      END_STATE();
    case 20:
      if (lookahead == 'a') ADVANCE(58);
      END_STATE();
    case 21:
      if (lookahead == 'e') ADVANCE(59);
      END_STATE();
    case 22:
      if (lookahead == 's') ADVANCE(60);
      if (lookahead == 't') ADVANCE(61);
      END_STATE();
    case 23:
      if (lookahead == 'a') ADVANCE(62);
      END_STATE();
    case 24:
      if (lookahead == 'n') ADVANCE(63);
      END_STATE();
    case 25:
      if (lookahead == 'b') ADVANCE(64);
      if (lookahead == 'f') ADVANCE(65);
      if (lookahead == 'l') ADVANCE(66);
      END_STATE();
    case 26:
      ACCEPT_TOKEN(anon_sym_do);
      END_STATE();
    case 27:
      if (lookahead == 's') ADVANCE(67);
      END_STATE();
    case 28:
      if (lookahead == 'p') ADVANCE(68);
      if (lookahead == 't') ADVANCE(69);
      END_STATE();
    case 29:
      if (lookahead == 'l') ADVANCE(70);
      END_STATE();
    case 30:
      if (lookahead == 'n') ADVANCE(71);
      END_STATE();
    case 31:
      if (lookahead == 'r') ADVANCE(72);
      END_STATE();
    case 32:
      if (lookahead == 'o') ADVANCE(73);
      END_STATE();
    case 33:
      if (lookahead == 'n') ADVANCE(74);
      END_STATE();
    case 34:
      if (lookahead == 't') ADVANCE(75);
      END_STATE();
    case 35:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 36:
      if (lookahead == 'p') ADVANCE(76);
      END_STATE();
    case 37:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == 's') ADVANCE(77);
      END_STATE();
    case 38:
      if (lookahead == 't') ADVANCE(78);
      END_STATE();
    case 39:
      if (lookahead == 'w') ADVANCE(79);
      END_STATE();
    case 40:
      if (lookahead == 'l') ADVANCE(80);
      END_STATE();
    case 41:
      ACCEPT_TOKEN(anon_sym_of);
      END_STATE();
    case 42:
      if (lookahead == 't') ADVANCE(81);
      END_STATE();
    case 43:
      if (lookahead == 't') ADVANCE(82);
      END_STATE();
    case 44:
      if (lookahead == 'a') ADVANCE(83);
      END_STATE();
    case 45:
      if (lookahead == 'p') ADVANCE(84);
      END_STATE();
    case 46:
      if (lookahead == 'i') ADVANCE(85);
      END_STATE();
    case 47:
      if (lookahead == 'r') ADVANCE(86);
      END_STATE();
    case 48:
      if (lookahead == 'i') ADVANCE(87);
      if (lookahead == 'r') ADVANCE(88);
      END_STATE();
    case 49:
      if (lookahead == 'u') ADVANCE(89);
      if (lookahead == 'y') ADVANCE(90);
      END_STATE();
    case 50:
      if (lookahead == 'p') ADVANCE(91);
      END_STATE();
    case 51:
      if (lookahead == 'd') ADVANCE(92);
      END_STATE();
    case 52:
      if (lookahead == 'r') ADVANCE(93);
      END_STATE();
    case 53:
      if (lookahead == 'i') ADVANCE(94);
      END_STATE();
    case 54:
      if (lookahead == 'i') ADVANCE(95);
      END_STATE();
    case 55:
      if (lookahead == 't') ADVANCE(96);
      END_STATE();
    case 56:
      if (lookahead == 'e') ADVANCE(97);
      END_STATE();
    case 57:
      if (lookahead == 'n') ADVANCE(98);
      END_STATE();
    case 58:
      if (lookahead == 'i') ADVANCE(99);
      END_STATE();
    case 59:
      if (lookahead == 'a') ADVANCE(100);
      END_STATE();
    case 60:
      if (lookahead == 'e') ADVANCE(101);
      END_STATE();
    case 61:
      if (lookahead == 'c') ADVANCE(102);
      END_STATE();
    case 62:
      if (lookahead == 's') ADVANCE(103);
      END_STATE();
    case 63:
      if (lookahead == 's') ADVANCE(104);
      if (lookahead == 't') ADVANCE(105);
      END_STATE();
    case 64:
      if (lookahead == 'u') ADVANCE(106);
      END_STATE();
    case 65:
      if (lookahead == 'a') ADVANCE(107);
      END_STATE();
    case 66:
      if (lookahead == 'e') ADVANCE(108);
      END_STATE();
    case 67:
      if (lookahead == 'e') ADVANCE(109);
      END_STATE();
    case 68:
      if (lookahead == 'o') ADVANCE(110);
      END_STATE();
    case 69:
      if (lookahead == 'e') ADVANCE(111);
      END_STATE();
    case 70:
      if (lookahead == 's') ADVANCE(112);
      END_STATE();
    case 71:
      if (lookahead == 'a') ADVANCE(113);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 73:
      if (lookahead == 'm') ADVANCE(114);
      END_STATE();
    case 74:
      if (lookahead == 'c') ADVANCE(115);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(anon_sym_get);
      END_STATE();
    case 76:
      if (lookahead == 'o') ADVANCE(116);
      END_STATE();
    case 77:
      if (lookahead == 't') ADVANCE(117);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(anon_sym_let);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(anon_sym_new);
      END_STATE();
    case 80:
      if (lookahead == 'l') ADVANCE(118);
      END_STATE();
    case 81:
      if (lookahead == 'u') ADVANCE(119);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(anon_sym_set);
      END_STATE();
    case 83:
      if (lookahead == 't') ADVANCE(120);
      END_STATE();
    case 84:
      if (lookahead == 'e') ADVANCE(121);
      END_STATE();
    case 85:
      if (lookahead == 't') ADVANCE(122);
      END_STATE();
    case 86:
      if (lookahead == 'g') ADVANCE(123);
      END_STATE();
    case 87:
      if (lookahead == 's') ADVANCE(124);
      END_STATE();
    case 88:
      if (lookahead == 'o') ADVANCE(125);
      END_STATE();
    case 89:
      if (lookahead == 'e') ADVANCE(126);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(anon_sym_try);
      END_STATE();
    case 91:
      if (lookahead == 'e') ADVANCE(127);
      END_STATE();
    case 92:
      if (lookahead == 'e') ADVANCE(128);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(anon_sym_var);
      END_STATE();
    case 94:
      if (lookahead == 'd') ADVANCE(129);
      END_STATE();
    case 95:
      if (lookahead == 'l') ADVANCE(130);
      END_STATE();
    case 96:
      if (lookahead == 'h') ADVANCE(131);
      END_STATE();
    case 97:
      if (lookahead == 'l') ADVANCE(132);
      END_STATE();
    case 98:
      if (lookahead == 'c') ADVANCE(133);
      END_STATE();
    case 99:
      if (lookahead == 't') ADVANCE(134);
      END_STATE();
    case 100:
      if (lookahead == 'k') ADVANCE(135);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 102:
      if (lookahead == 'h') ADVANCE(136);
      END_STATE();
    case 103:
      if (lookahead == 's') ADVANCE(137);
      END_STATE();
    case 104:
      if (lookahead == 't') ADVANCE(138);
      END_STATE();
    case 105:
      if (lookahead == 'i') ADVANCE(139);
      END_STATE();
    case 106:
      if (lookahead == 'g') ADVANCE(140);
      END_STATE();
    case 107:
      if (lookahead == 'u') ADVANCE(141);
      END_STATE();
    case 108:
      if (lookahead == 't') ADVANCE(142);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 110:
      if (lookahead == 'r') ADVANCE(143);
      END_STATE();
    case 111:
      if (lookahead == 'n') ADVANCE(144);
      END_STATE();
    case 112:
      if (lookahead == 'e') ADVANCE(145);
      END_STATE();
    case 113:
      if (lookahead == 'l') ADVANCE(146);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(anon_sym_from);
      END_STATE();
    case 115:
      if (lookahead == 't') ADVANCE(147);
      END_STATE();
    case 116:
      if (lookahead == 'r') ADVANCE(148);
      END_STATE();
    case 117:
      if (lookahead == 'a') ADVANCE(149);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(sym_null);
      END_STATE();
    case 119:
      if (lookahead == 'r') ADVANCE(150);
      END_STATE();
    case 120:
      if (lookahead == 'i') ADVANCE(151);
      END_STATE();
    case 121:
      if (lookahead == 'r') ADVANCE(152);
      END_STATE();
    case 122:
      if (lookahead == 'c') ADVANCE(153);
      END_STATE();
    case 123:
      if (lookahead == 'e') ADVANCE(154);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(sym_this);
      END_STATE();
    case 125:
      if (lookahead == 'w') ADVANCE(155);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(sym_true);
      END_STATE();
    case 127:
      if (lookahead == 'o') ADVANCE(156);
      END_STATE();
    case 128:
      if (lookahead == 'f') ADVANCE(157);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(anon_sym_void);
      END_STATE();
    case 130:
      if (lookahead == 'e') ADVANCE(158);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(anon_sym_with);
      END_STATE();
    case 132:
      if (lookahead == 'd') ADVANCE(159);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_async);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(anon_sym_await);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(anon_sym_break);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(anon_sym_catch);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(anon_sym_class);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(anon_sym_const);
      END_STATE();
    case 139:
      if (lookahead == 'n') ADVANCE(160);
      END_STATE();
    case 140:
      if (lookahead == 'g') ADVANCE(161);
      END_STATE();
    case 141:
      if (lookahead == 'l') ADVANCE(162);
      END_STATE();
    case 142:
      if (lookahead == 'e') ADVANCE(163);
      END_STATE();
    case 143:
      if (lookahead == 't') ADVANCE(164);
      END_STATE();
    case 144:
      if (lookahead == 'd') ADVANCE(165);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(sym_false);
      END_STATE();
    case 146:
      if (lookahead == 'l') ADVANCE(166);
      END_STATE();
    case 147:
      if (lookahead == 'i') ADVANCE(167);
      END_STATE();
    case 148:
      if (lookahead == 't') ADVANCE(168);
      END_STATE();
    case 149:
      if (lookahead == 'n') ADVANCE(169);
      END_STATE();
    case 150:
      if (lookahead == 'n') ADVANCE(170);
      END_STATE();
    case 151:
      if (lookahead == 'c') ADVANCE(171);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(sym_super);
      END_STATE();
    case 153:
      if (lookahead == 'h') ADVANCE(172);
      END_STATE();
    case 154:
      if (lookahead == 't') ADVANCE(173);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(anon_sym_throw);
      END_STATE();
    case 156:
      if (lookahead == 'f') ADVANCE(174);
      END_STATE();
    case 157:
      if (lookahead == 'i') ADVANCE(175);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(anon_sym_yield);
      END_STATE();
    case 160:
      if (lookahead == 'u') ADVANCE(176);
      END_STATE();
    case 161:
      if (lookahead == 'e') ADVANCE(177);
      END_STATE();
    case 162:
      if (lookahead == 't') ADVANCE(178);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(anon_sym_delete);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(anon_sym_export);
      END_STATE();
    case 165:
      if (lookahead == 's') ADVANCE(179);
      END_STATE();
    case 166:
      if (lookahead == 'y') ADVANCE(180);
      END_STATE();
    case 167:
      if (lookahead == 'o') ADVANCE(181);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(anon_sym_import);
      END_STATE();
    case 169:
      if (lookahead == 'c') ADVANCE(182);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(anon_sym_static);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(anon_sym_switch);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(anon_sym_target);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(anon_sym_typeof);
      END_STATE();
    case 175:
      if (lookahead == 'n') ADVANCE(183);
      END_STATE();
    case 176:
      if (lookahead == 'e') ADVANCE(184);
      END_STATE();
    case 177:
      if (lookahead == 'r') ADVANCE(185);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(anon_sym_default);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(anon_sym_extends);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(anon_sym_finally);
      END_STATE();
    case 181:
      if (lookahead == 'n') ADVANCE(186);
      END_STATE();
    case 182:
      if (lookahead == 'e') ADVANCE(187);
      END_STATE();
    case 183:
      if (lookahead == 'e') ADVANCE(188);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(anon_sym_continue);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(anon_sym_debugger);
      END_STATE();
    case 186:
      ACCEPT_TOKEN(anon_sym_function);
      END_STATE();
    case 187:
      if (lookahead == 'o') ADVANCE(189);
      END_STATE();
    case 188:
      if (lookahead == 'd') ADVANCE(190);
      END_STATE();
    case 189:
      if (lookahead == 'f') ADVANCE(191);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(sym_undefined);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(anon_sym_instanceof);
      END_STATE();
    default:
      return false;
  }
}

static TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 3},
  [2] = {.lex_state = 3},
  [3] = {.lex_state = 3},
  [4] = {.lex_state = 3},
  [5] = {.lex_state = 3},
  [6] = {.lex_state = 13, .external_lex_state = 2},
  [7] = {.lex_state = 3},
  [8] = {.lex_state = 9, .external_lex_state = 3},
  [9] = {.lex_state = 3},
  [10] = {.lex_state = 3},
  [11] = {.lex_state = 3},
  [12] = {.lex_state = 0},
  [13] = {.lex_state = 3},
  [14] = {.lex_state = 3},
  [15] = {.lex_state = 0},
  [16] = {.lex_state = 3},
  [17] = {.lex_state = 3},
  [18] = {.lex_state = 3},
  [19] = {.lex_state = 4},
  [20] = {.lex_state = 3},
  [21] = {.lex_state = 5},
  [22] = {.lex_state = 3},
  [23] = {.lex_state = 3, .external_lex_state = 3},
  [24] = {.lex_state = 3},
  [25] = {.lex_state = 0, .external_lex_state = 3},
  [26] = {.lex_state = 0},
  [27] = {.lex_state = 13},
  [28] = {.lex_state = 9, .external_lex_state = 3},
  [29] = {.lex_state = 21},
  [30] = {.lex_state = 2, .external_lex_state = 3},
  [31] = {.lex_state = 6},
  [32] = {.lex_state = 9, .external_lex_state = 3},
  [33] = {.lex_state = 8},
  [34] = {.lex_state = 3},
  [35] = {.lex_state = 0},
  [36] = {.lex_state = 3},
  [37] = {.lex_state = 3, .external_lex_state = 3},
  [38] = {.lex_state = 0},
  [39] = {.lex_state = 3, .external_lex_state = 3},
  [40] = {.lex_state = 3},
  [41] = {.lex_state = 3},
  [42] = {.lex_state = 9, .external_lex_state = 3},
  [43] = {.lex_state = 2, .external_lex_state = 3},
  [44] = {.lex_state = 3},
  [45] = {.lex_state = 0, .external_lex_state = 3},
  [46] = {.lex_state = 2, .external_lex_state = 3},
  [47] = {.lex_state = 2, .external_lex_state = 3},
  [48] = {.lex_state = 0},
  [49] = {.lex_state = 3},
  [50] = {.lex_state = 3},
  [51] = {.lex_state = 0},
  [52] = {.lex_state = 2, .external_lex_state = 3},
  [53] = {.lex_state = 23},
  [54] = {.lex_state = 3},
  [55] = {.lex_state = 3},
  [56] = {.lex_state = 3},
  [57] = {.lex_state = 9, .external_lex_state = 3},
  [58] = {.lex_state = 9, .external_lex_state = 3},
  [59] = {.lex_state = 2, .external_lex_state = 3},
  [60] = {.lex_state = 3},
  [61] = {.lex_state = 2, .external_lex_state = 3},
  [62] = {.lex_state = 3},
  [63] = {.lex_state = 3},
  [64] = {.lex_state = 3},
  [65] = {.lex_state = 2, .external_lex_state = 3},
  [66] = {.lex_state = 0},
  [67] = {.lex_state = 2, .external_lex_state = 3},
  [68] = {.lex_state = 3},
  [69] = {.lex_state = 2, .external_lex_state = 3},
  [70] = {.lex_state = 13, .external_lex_state = 2},
  [71] = {.lex_state = 9},
  [72] = {.lex_state = 9},
  [73] = {.lex_state = 3},
  [74] = {.lex_state = 3},
  [75] = {.lex_state = 3},
  [76] = {.lex_state = 3},
  [77] = {.lex_state = 3},
  [78] = {.lex_state = 0},
  [79] = {.lex_state = 3},
  [80] = {.lex_state = 0},
  [81] = {.lex_state = 0, .external_lex_state = 3},
  [82] = {.lex_state = 0, .external_lex_state = 3},
  [83] = {.lex_state = 0, .external_lex_state = 3},
  [84] = {.lex_state = 0, .external_lex_state = 3},
  [85] = {.lex_state = 3},
  [86] = {.lex_state = 3},
  [87] = {.lex_state = 3},
  [88] = {.lex_state = 3},
  [89] = {.lex_state = 0, .external_lex_state = 3},
  [90] = {.lex_state = 3},
  [91] = {.lex_state = 3},
  [92] = {.lex_state = 3},
  [93] = {.lex_state = 2, .external_lex_state = 3},
  [94] = {.lex_state = 9, .external_lex_state = 3},
  [95] = {.lex_state = 3},
  [96] = {.lex_state = 9, .external_lex_state = 3},
  [97] = {.lex_state = 3},
  [98] = {.lex_state = 3},
  [99] = {.lex_state = 2, .external_lex_state = 3},
  [100] = {.lex_state = 9, .external_lex_state = 3},
  [101] = {.lex_state = 2, .external_lex_state = 3},
  [102] = {.lex_state = 3},
  [103] = {.lex_state = 9, .external_lex_state = 3},
  [104] = {.lex_state = 0},
  [105] = {.lex_state = 2, .external_lex_state = 3},
  [106] = {.lex_state = 3},
  [107] = {.lex_state = 0},
  [108] = {.lex_state = 3},
  [109] = {.lex_state = 0},
  [110] = {.lex_state = 2, .external_lex_state = 3},
  [111] = {.lex_state = 3},
  [112] = {.lex_state = 2, .external_lex_state = 3},
  [113] = {.lex_state = 0, .external_lex_state = 3},
  [114] = {.lex_state = 9},
  [115] = {.lex_state = 3},
  [116] = {.lex_state = 0},
  [117] = {.lex_state = 9},
  [118] = {.lex_state = 9},
  [119] = {.lex_state = 0},
  [120] = {.lex_state = 2},
  [121] = {.lex_state = 2},
  [122] = {.lex_state = 0},
  [123] = {.lex_state = 2},
  [124] = {.lex_state = 2, .external_lex_state = 3},
  [125] = {.lex_state = 2, .external_lex_state = 3},
  [126] = {.lex_state = 4},
  [127] = {.lex_state = 3},
  [128] = {.lex_state = 2, .external_lex_state = 3},
  [129] = {.lex_state = 2},
  [130] = {.lex_state = 0},
  [131] = {.lex_state = 0},
  [132] = {.lex_state = 13},
  [133] = {.lex_state = 3},
  [134] = {.lex_state = 3},
  [135] = {.lex_state = 0, .external_lex_state = 3},
  [136] = {.lex_state = 3},
  [137] = {.lex_state = 3},
  [138] = {.lex_state = 3},
  [139] = {.lex_state = 3},
  [140] = {.lex_state = 3},
  [141] = {.lex_state = 2, .external_lex_state = 3},
  [142] = {.lex_state = 3},
  [143] = {.lex_state = 3},
  [144] = {.lex_state = 3},
  [145] = {.lex_state = 3},
  [146] = {.lex_state = 3},
  [147] = {.lex_state = 21},
  [148] = {.lex_state = 21},
  [149] = {.lex_state = 23},
  [150] = {.lex_state = 21},
  [151] = {.lex_state = 21},
  [152] = {.lex_state = 2, .external_lex_state = 3},
  [153] = {.lex_state = 6},
  [154] = {.lex_state = 3},
  [155] = {.lex_state = 0},
  [156] = {.lex_state = 0},
  [157] = {.lex_state = 2, .external_lex_state = 3},
  [158] = {.lex_state = 9, .external_lex_state = 3},
  [159] = {.lex_state = 9, .external_lex_state = 3},
  [160] = {.lex_state = 3},
  [161] = {.lex_state = 9, .external_lex_state = 3},
  [162] = {.lex_state = 9, .external_lex_state = 3},
  [163] = {.lex_state = 2},
  [164] = {.lex_state = 2, .external_lex_state = 3},
  [165] = {.lex_state = 2, .external_lex_state = 3},
  [166] = {.lex_state = 2, .external_lex_state = 3},
  [167] = {.lex_state = 0, .external_lex_state = 3},
  [168] = {.lex_state = 3},
  [169] = {.lex_state = 3},
  [170] = {.lex_state = 3},
  [171] = {.lex_state = 3},
  [172] = {.lex_state = 3},
  [173] = {.lex_state = 3},
  [174] = {.lex_state = 3},
  [175] = {.lex_state = 3},
  [176] = {.lex_state = 3},
  [177] = {.lex_state = 3, .external_lex_state = 3},
  [178] = {.lex_state = 3},
  [179] = {.lex_state = 0, .external_lex_state = 3},
  [180] = {.lex_state = 3},
  [181] = {.lex_state = 3},
  [182] = {.lex_state = 3},
  [183] = {.lex_state = 2, .external_lex_state = 3},
  [184] = {.lex_state = 0, .external_lex_state = 3},
  [185] = {.lex_state = 3},
  [186] = {.lex_state = 0},
  [187] = {.lex_state = 3},
  [188] = {.lex_state = 3},
  [189] = {.lex_state = 3},
  [190] = {.lex_state = 3},
  [191] = {.lex_state = 3},
  [192] = {.lex_state = 3},
  [193] = {.lex_state = 3},
  [194] = {.lex_state = 3},
  [195] = {.lex_state = 3},
  [196] = {.lex_state = 3},
  [197] = {.lex_state = 3},
  [198] = {.lex_state = 2, .external_lex_state = 3},
  [199] = {.lex_state = 3},
  [200] = {.lex_state = 3},
  [201] = {.lex_state = 3},
  [202] = {.lex_state = 3},
  [203] = {.lex_state = 3},
  [204] = {.lex_state = 3},
  [205] = {.lex_state = 21},
  [206] = {.lex_state = 2, .external_lex_state = 3},
  [207] = {.lex_state = 23},
  [208] = {.lex_state = 3},
  [209] = {.lex_state = 0},
  [210] = {.lex_state = 3},
  [211] = {.lex_state = 3},
  [212] = {.lex_state = 0},
  [213] = {.lex_state = 3},
  [214] = {.lex_state = 3},
  [215] = {.lex_state = 2, .external_lex_state = 3},
  [216] = {.lex_state = 0},
  [217] = {.lex_state = 3},
  [218] = {.lex_state = 0},
  [219] = {.lex_state = 3},
  [220] = {.lex_state = 3},
  [221] = {.lex_state = 3, .external_lex_state = 3},
  [222] = {.lex_state = 3, .external_lex_state = 3},
  [223] = {.lex_state = 3, .external_lex_state = 3},
  [224] = {.lex_state = 3},
  [225] = {.lex_state = 2, .external_lex_state = 3},
  [226] = {.lex_state = 0, .external_lex_state = 3},
  [227] = {.lex_state = 3},
  [228] = {.lex_state = 0, .external_lex_state = 3},
  [229] = {.lex_state = 0, .external_lex_state = 3},
  [230] = {.lex_state = 3},
  [231] = {.lex_state = 2, .external_lex_state = 3},
  [232] = {.lex_state = 0},
  [233] = {.lex_state = 2},
  [234] = {.lex_state = 2, .external_lex_state = 3},
  [235] = {.lex_state = 2},
  [236] = {.lex_state = 0},
  [237] = {.lex_state = 2, .external_lex_state = 3},
  [238] = {.lex_state = 13, .external_lex_state = 2},
  [239] = {.lex_state = 3},
  [240] = {.lex_state = 3},
  [241] = {.lex_state = 3},
  [242] = {.lex_state = 3},
  [243] = {.lex_state = 2, .external_lex_state = 3},
  [244] = {.lex_state = 2, .external_lex_state = 3},
  [245] = {.lex_state = 9, .external_lex_state = 3},
  [246] = {.lex_state = 0},
  [247] = {.lex_state = 0},
  [248] = {.lex_state = 0},
  [249] = {.lex_state = 0},
  [250] = {.lex_state = 0},
  [251] = {.lex_state = 0},
  [252] = {.lex_state = 0},
  [253] = {.lex_state = 2, .external_lex_state = 3},
  [254] = {.lex_state = 3},
  [255] = {.lex_state = 0, .external_lex_state = 3},
  [256] = {.lex_state = 3},
  [257] = {.lex_state = 3},
  [258] = {.lex_state = 0, .external_lex_state = 3},
  [259] = {.lex_state = 0, .external_lex_state = 3},
  [260] = {.lex_state = 0, .external_lex_state = 3},
  [261] = {.lex_state = 3},
  [262] = {.lex_state = 0},
  [263] = {.lex_state = 3},
  [264] = {.lex_state = 0},
  [265] = {.lex_state = 0},
  [266] = {.lex_state = 3},
  [267] = {.lex_state = 0},
  [268] = {.lex_state = 0, .external_lex_state = 3},
  [269] = {.lex_state = 3},
  [270] = {.lex_state = 3},
  [271] = {.lex_state = 2, .external_lex_state = 3},
  [272] = {.lex_state = 3},
  [273] = {.lex_state = 3},
  [274] = {.lex_state = 3},
  [275] = {.lex_state = 0},
  [276] = {.lex_state = 0},
  [277] = {.lex_state = 2},
  [278] = {.lex_state = 3},
  [279] = {.lex_state = 3},
  [280] = {.lex_state = 3},
  [281] = {.lex_state = 0},
  [282] = {.lex_state = 0},
  [283] = {.lex_state = 0},
  [284] = {.lex_state = 2},
  [285] = {.lex_state = 3},
  [286] = {.lex_state = 2, .external_lex_state = 3},
  [287] = {.lex_state = 0},
  [288] = {.lex_state = 3},
  [289] = {.lex_state = 3},
  [290] = {.lex_state = 3},
  [291] = {.lex_state = 0},
  [292] = {.lex_state = 3},
  [293] = {.lex_state = 0},
  [294] = {.lex_state = 3},
  [295] = {.lex_state = 3},
  [296] = {.lex_state = 3},
  [297] = {.lex_state = 3},
  [298] = {.lex_state = 0},
  [299] = {.lex_state = 0},
  [300] = {.lex_state = 0},
  [301] = {.lex_state = 3},
  [302] = {.lex_state = 0},
  [303] = {.lex_state = 0},
  [304] = {.lex_state = 2, .external_lex_state = 3},
  [305] = {.lex_state = 0},
  [306] = {.lex_state = 3},
  [307] = {.lex_state = 0},
  [308] = {.lex_state = 0},
  [309] = {.lex_state = 3},
  [310] = {.lex_state = 0},
  [311] = {.lex_state = 2, .external_lex_state = 3},
  [312] = {.lex_state = 4},
  [313] = {.lex_state = 2},
  [314] = {.lex_state = 0},
  [315] = {.lex_state = 2, .external_lex_state = 3},
  [316] = {.lex_state = 0},
  [317] = {.lex_state = 0},
  [318] = {.lex_state = 10, .external_lex_state = 3},
  [319] = {.lex_state = 3},
  [320] = {.lex_state = 3},
  [321] = {.lex_state = 2},
  [322] = {.lex_state = 0},
  [323] = {.lex_state = 2, .external_lex_state = 3},
  [324] = {.lex_state = 2},
  [325] = {.lex_state = 0},
  [326] = {.lex_state = 0},
  [327] = {.lex_state = 9, .external_lex_state = 3},
  [328] = {.lex_state = 2, .external_lex_state = 3},
  [329] = {.lex_state = 3},
  [330] = {.lex_state = 2, .external_lex_state = 3},
  [331] = {.lex_state = 2, .external_lex_state = 3},
  [332] = {.lex_state = 2, .external_lex_state = 3},
  [333] = {.lex_state = 2, .external_lex_state = 3},
  [334] = {.lex_state = 21},
  [335] = {.lex_state = 23},
  [336] = {.lex_state = 3},
  [337] = {.lex_state = 21},
  [338] = {.lex_state = 0},
  [339] = {.lex_state = 21},
  [340] = {.lex_state = 21},
  [341] = {.lex_state = 21},
  [342] = {.lex_state = 21},
  [343] = {.lex_state = 23},
  [344] = {.lex_state = 6},
  [345] = {.lex_state = 0},
  [346] = {.lex_state = 0},
  [347] = {.lex_state = 3},
  [348] = {.lex_state = 3},
  [349] = {.lex_state = 2, .external_lex_state = 3},
  [350] = {.lex_state = 2, .external_lex_state = 3},
  [351] = {.lex_state = 2, .external_lex_state = 3},
  [352] = {.lex_state = 2, .external_lex_state = 3},
  [353] = {.lex_state = 3},
  [354] = {.lex_state = 0, .external_lex_state = 3},
  [355] = {.lex_state = 2},
  [356] = {.lex_state = 0},
  [357] = {.lex_state = 0},
  [358] = {.lex_state = 3, .external_lex_state = 3},
  [359] = {.lex_state = 0},
  [360] = {.lex_state = 3},
  [361] = {.lex_state = 2, .external_lex_state = 3},
  [362] = {.lex_state = 3},
  [363] = {.lex_state = 0},
  [364] = {.lex_state = 3},
  [365] = {.lex_state = 0, .external_lex_state = 3},
  [366] = {.lex_state = 3},
  [367] = {.lex_state = 3},
  [368] = {.lex_state = 3},
  [369] = {.lex_state = 3},
  [370] = {.lex_state = 0},
  [371] = {.lex_state = 0},
  [372] = {.lex_state = 3},
  [373] = {.lex_state = 3},
  [374] = {.lex_state = 3},
  [375] = {.lex_state = 3},
  [376] = {.lex_state = 9, .external_lex_state = 3},
  [377] = {.lex_state = 3},
  [378] = {.lex_state = 3},
  [379] = {.lex_state = 2, .external_lex_state = 3},
  [380] = {.lex_state = 2, .external_lex_state = 3},
  [381] = {.lex_state = 3},
  [382] = {.lex_state = 0},
  [383] = {.lex_state = 2, .external_lex_state = 3},
  [384] = {.lex_state = 3},
  [385] = {.lex_state = 3},
  [386] = {.lex_state = 3},
  [387] = {.lex_state = 0},
  [388] = {.lex_state = 2, .external_lex_state = 3},
  [389] = {.lex_state = 2, .external_lex_state = 3},
  [390] = {.lex_state = 2, .external_lex_state = 3},
  [391] = {.lex_state = 2, .external_lex_state = 3},
  [392] = {.lex_state = 2, .external_lex_state = 3},
  [393] = {.lex_state = 2, .external_lex_state = 3},
  [394] = {.lex_state = 0, .external_lex_state = 3},
  [395] = {.lex_state = 2},
  [396] = {.lex_state = 2, .external_lex_state = 3},
  [397] = {.lex_state = 2, .external_lex_state = 3},
  [398] = {.lex_state = 2, .external_lex_state = 3},
  [399] = {.lex_state = 23},
  [400] = {.lex_state = 2},
  [401] = {.lex_state = 0},
  [402] = {.lex_state = 21},
  [403] = {.lex_state = 2, .external_lex_state = 3},
  [404] = {.lex_state = 23},
  [405] = {.lex_state = 2, .external_lex_state = 3},
  [406] = {.lex_state = 0},
  [407] = {.lex_state = 0},
  [408] = {.lex_state = 0},
  [409] = {.lex_state = 3},
  [410] = {.lex_state = 3},
  [411] = {.lex_state = 3},
  [412] = {.lex_state = 0},
  [413] = {.lex_state = 3},
  [414] = {.lex_state = 0, .external_lex_state = 3},
  [415] = {.lex_state = 2},
  [416] = {.lex_state = 3},
  [417] = {.lex_state = 0, .external_lex_state = 3},
  [418] = {.lex_state = 2, .external_lex_state = 3},
  [419] = {.lex_state = 3},
  [420] = {.lex_state = 3},
  [421] = {.lex_state = 2, .external_lex_state = 3},
  [422] = {.lex_state = 13, .external_lex_state = 2},
  [423] = {.lex_state = 9},
  [424] = {.lex_state = 9},
  [425] = {.lex_state = 2, .external_lex_state = 3},
  [426] = {.lex_state = 0},
  [427] = {.lex_state = 2, .external_lex_state = 3},
  [428] = {.lex_state = 2, .external_lex_state = 3},
  [429] = {.lex_state = 0, .external_lex_state = 3},
  [430] = {.lex_state = 3},
  [431] = {.lex_state = 0, .external_lex_state = 3},
  [432] = {.lex_state = 3},
  [433] = {.lex_state = 3},
  [434] = {.lex_state = 3},
  [435] = {.lex_state = 3},
  [436] = {.lex_state = 0},
  [437] = {.lex_state = 3},
  [438] = {.lex_state = 3},
  [439] = {.lex_state = 0, .external_lex_state = 3},
  [440] = {.lex_state = 3},
  [441] = {.lex_state = 3},
  [442] = {.lex_state = 0},
  [443] = {.lex_state = 3},
  [444] = {.lex_state = 3},
  [445] = {.lex_state = 2, .external_lex_state = 3},
  [446] = {.lex_state = 0},
  [447] = {.lex_state = 2, .external_lex_state = 3},
  [448] = {.lex_state = 2, .external_lex_state = 3},
  [449] = {.lex_state = 2, .external_lex_state = 3},
  [450] = {.lex_state = 2, .external_lex_state = 3},
  [451] = {.lex_state = 3},
  [452] = {.lex_state = 2},
  [453] = {.lex_state = 3},
  [454] = {.lex_state = 2, .external_lex_state = 3},
  [455] = {.lex_state = 0},
  [456] = {.lex_state = 0},
  [457] = {.lex_state = 0},
  [458] = {.lex_state = 0},
  [459] = {.lex_state = 0},
  [460] = {.lex_state = 0},
  [461] = {.lex_state = 3},
  [462] = {.lex_state = 0},
  [463] = {.lex_state = 0},
  [464] = {.lex_state = 3},
  [465] = {.lex_state = 0},
  [466] = {.lex_state = 3},
  [467] = {.lex_state = 0},
  [468] = {.lex_state = 3},
  [469] = {.lex_state = 2, .external_lex_state = 3},
  [470] = {.lex_state = 2, .external_lex_state = 3},
  [471] = {.lex_state = 9, .external_lex_state = 3},
  [472] = {.lex_state = 2, .external_lex_state = 3},
  [473] = {.lex_state = 0},
  [474] = {.lex_state = 3},
  [475] = {.lex_state = 21},
  [476] = {.lex_state = 21},
  [477] = {.lex_state = 2, .external_lex_state = 3},
  [478] = {.lex_state = 3},
  [479] = {.lex_state = 23},
  [480] = {.lex_state = 0},
  [481] = {.lex_state = 21},
  [482] = {.lex_state = 0},
  [483] = {.lex_state = 21},
  [484] = {.lex_state = 0},
  [485] = {.lex_state = 2, .external_lex_state = 3},
  [486] = {.lex_state = 2, .external_lex_state = 3},
  [487] = {.lex_state = 2, .external_lex_state = 3},
  [488] = {.lex_state = 2, .external_lex_state = 3},
  [489] = {.lex_state = 2, .external_lex_state = 3},
  [490] = {.lex_state = 3},
  [491] = {.lex_state = 2, .external_lex_state = 3},
  [492] = {.lex_state = 3},
  [493] = {.lex_state = 0},
  [494] = {.lex_state = 3, .external_lex_state = 3},
  [495] = {.lex_state = 3},
  [496] = {.lex_state = 3, .external_lex_state = 3},
  [497] = {.lex_state = 0},
  [498] = {.lex_state = 3, .external_lex_state = 3},
  [499] = {.lex_state = 0},
  [500] = {.lex_state = 3},
  [501] = {.lex_state = 0},
  [502] = {.lex_state = 0},
  [503] = {.lex_state = 0},
  [504] = {.lex_state = 3},
  [505] = {.lex_state = 3},
  [506] = {.lex_state = 3},
  [507] = {.lex_state = 3},
  [508] = {.lex_state = 3},
  [509] = {.lex_state = 3},
  [510] = {.lex_state = 3, .external_lex_state = 3},
  [511] = {.lex_state = 3, .external_lex_state = 3},
  [512] = {.lex_state = 3, .external_lex_state = 3},
  [513] = {.lex_state = 3},
  [514] = {.lex_state = 3},
  [515] = {.lex_state = 3},
  [516] = {.lex_state = 3},
  [517] = {.lex_state = 3},
  [518] = {.lex_state = 3},
  [519] = {.lex_state = 3},
  [520] = {.lex_state = 3},
  [521] = {.lex_state = 3},
  [522] = {.lex_state = 3},
  [523] = {.lex_state = 3},
  [524] = {.lex_state = 0, .external_lex_state = 3},
  [525] = {.lex_state = 2, .external_lex_state = 3},
  [526] = {.lex_state = 2, .external_lex_state = 3},
  [527] = {.lex_state = 0},
  [528] = {.lex_state = 2, .external_lex_state = 3},
  [529] = {.lex_state = 3},
  [530] = {.lex_state = 23},
  [531] = {.lex_state = 13},
  [532] = {.lex_state = 0},
  [533] = {.lex_state = 13},
  [534] = {.lex_state = 0},
  [535] = {.lex_state = 21},
  [536] = {.lex_state = 2, .external_lex_state = 3},
  [537] = {.lex_state = 2, .external_lex_state = 3},
  [538] = {.lex_state = 0},
  [539] = {.lex_state = 2},
  [540] = {.lex_state = 2},
  [541] = {.lex_state = 2},
  [542] = {.lex_state = 0},
  [543] = {.lex_state = 2, .external_lex_state = 3},
  [544] = {.lex_state = 0},
  [545] = {.lex_state = 0, .external_lex_state = 3},
  [546] = {.lex_state = 0, .external_lex_state = 3},
  [547] = {.lex_state = 3},
  [548] = {.lex_state = 3},
  [549] = {.lex_state = 2, .external_lex_state = 3},
  [550] = {.lex_state = 0},
  [551] = {.lex_state = 3},
  [552] = {.lex_state = 0},
  [553] = {.lex_state = 3},
  [554] = {.lex_state = 0},
  [555] = {.lex_state = 3},
  [556] = {.lex_state = 0},
  [557] = {.lex_state = 0},
  [558] = {.lex_state = 3},
  [559] = {.lex_state = 3},
  [560] = {.lex_state = 3},
  [561] = {.lex_state = 0},
  [562] = {.lex_state = 3},
  [563] = {.lex_state = 0},
  [564] = {.lex_state = 0},
  [565] = {.lex_state = 0},
  [566] = {.lex_state = 2, .external_lex_state = 3},
  [567] = {.lex_state = 21},
  [568] = {.lex_state = 21},
  [569] = {.lex_state = 2, .external_lex_state = 3},
  [570] = {.lex_state = 2, .external_lex_state = 3},
  [571] = {.lex_state = 0},
  [572] = {.lex_state = 2, .external_lex_state = 3},
  [573] = {.lex_state = 9},
  [574] = {.lex_state = 3},
  [575] = {.lex_state = 3},
  [576] = {.lex_state = 3, .external_lex_state = 3},
  [577] = {.lex_state = 0},
  [578] = {.lex_state = 3},
  [579] = {.lex_state = 0},
  [580] = {.lex_state = 3, .external_lex_state = 3},
  [581] = {.lex_state = 0},
  [582] = {.lex_state = 3, .external_lex_state = 3},
  [583] = {.lex_state = 0},
  [584] = {.lex_state = 3, .external_lex_state = 3},
  [585] = {.lex_state = 0},
  [586] = {.lex_state = 0},
  [587] = {.lex_state = 3},
  [588] = {.lex_state = 3},
  [589] = {.lex_state = 3},
  [590] = {.lex_state = 3},
  [591] = {.lex_state = 3},
  [592] = {.lex_state = 3},
  [593] = {.lex_state = 2, .external_lex_state = 3},
  [594] = {.lex_state = 0},
  [595] = {.lex_state = 2},
  [596] = {.lex_state = 3},
  [597] = {.lex_state = 2},
  [598] = {.lex_state = 0},
  [599] = {.lex_state = 2},
  [600] = {.lex_state = 2, .external_lex_state = 3},
  [601] = {.lex_state = 0},
  [602] = {.lex_state = 2},
  [603] = {.lex_state = 2, .external_lex_state = 3},
  [604] = {.lex_state = 0},
  [605] = {.lex_state = 3},
  [606] = {.lex_state = 3},
  [607] = {.lex_state = 3},
  [608] = {.lex_state = 3},
  [609] = {.lex_state = 3},
  [610] = {.lex_state = 3},
  [611] = {.lex_state = 2, .external_lex_state = 3},
  [612] = {.lex_state = 2, .external_lex_state = 3},
  [613] = {.lex_state = 2, .external_lex_state = 3},
  [614] = {.lex_state = 2, .external_lex_state = 3},
  [615] = {.lex_state = 2, .external_lex_state = 3},
  [616] = {.lex_state = 2, .external_lex_state = 3},
  [617] = {.lex_state = 3},
  [618] = {.lex_state = 3},
  [619] = {.lex_state = 3},
  [620] = {.lex_state = 3},
  [621] = {.lex_state = 0},
  [622] = {.lex_state = 0},
  [623] = {.lex_state = 2, .external_lex_state = 3},
  [624] = {.lex_state = 3},
  [625] = {.lex_state = 3},
  [626] = {.lex_state = 3},
  [627] = {.lex_state = 0},
  [628] = {.lex_state = 3},
  [629] = {.lex_state = 3, .external_lex_state = 3},
  [630] = {.lex_state = 3},
  [631] = {.lex_state = 3, .external_lex_state = 3},
  [632] = {.lex_state = 3, .external_lex_state = 3},
  [633] = {.lex_state = 3, .external_lex_state = 3},
  [634] = {.lex_state = 0},
  [635] = {.lex_state = 2},
  [636] = {.lex_state = 2},
  [637] = {.lex_state = 0},
  [638] = {.lex_state = 2},
  [639] = {.lex_state = 2},
  [640] = {.lex_state = 0},
  [641] = {.lex_state = 2},
  [642] = {.lex_state = 2},
  [643] = {.lex_state = 0},
  [644] = {.lex_state = 3},
  [645] = {.lex_state = 3},
  [646] = {.lex_state = 3},
  [647] = {.lex_state = 3},
  [648] = {.lex_state = 3},
  [649] = {.lex_state = 3},
  [650] = {.lex_state = 3},
  [651] = {.lex_state = 3},
  [652] = {.lex_state = 3},
  [653] = {.lex_state = 3},
  [654] = {.lex_state = 3},
  [655] = {.lex_state = 3},
  [656] = {.lex_state = 3},
  [657] = {.lex_state = 0},
  [658] = {.lex_state = 2},
  [659] = {.lex_state = 0},
  [660] = {.lex_state = 3},
  [661] = {.lex_state = 3},
  [662] = {.lex_state = 3},
  [663] = {.lex_state = 3},
  [664] = {.lex_state = 3},
  [665] = {.lex_state = 3},
  [666] = {.lex_state = 3},
  [667] = {.lex_state = 3},
  [668] = {.lex_state = 3},
  [669] = {.lex_state = 3},
  [670] = {.lex_state = 3},
  [671] = {.lex_state = 3},
  [672] = {.lex_state = 3},
  [673] = {.lex_state = 3},
  [674] = {.lex_state = 3},
  [675] = {.lex_state = 3},
  [676] = {.lex_state = 3},
  [677] = {.lex_state = 2},
  [678] = {.lex_state = 2},
  [679] = {.lex_state = 2},
  [680] = {.lex_state = 3},
  [681] = {.lex_state = 3},
  [682] = {.lex_state = 3},
  [683] = {.lex_state = 3},
  [684] = {.lex_state = 3},
  [685] = {.lex_state = 3},
  [686] = {.lex_state = 3},
  [687] = {.lex_state = 3},
  [688] = {.lex_state = 3},
  [689] = {.lex_state = 3},
  [690] = {.lex_state = 3},
  [691] = {.lex_state = 3},
  [692] = {.lex_state = 3},
  [693] = {.lex_state = 3},
  [694] = {.lex_state = 3},
  [695] = {.lex_state = 3},
  [696] = {.lex_state = 3},
  [697] = {.lex_state = 9},
  [698] = {.lex_state = 3},
  [699] = {.lex_state = 3},
  [700] = {.lex_state = 2},
  [701] = {.lex_state = 9},
  [702] = {.lex_state = 2},
  [703] = {.lex_state = 2},
  [704] = {.lex_state = 2},
  [705] = {.lex_state = 9},
  [706] = {.lex_state = 9},
  [707] = {.lex_state = 2},
  [708] = {.lex_state = 2},
  [709] = {.lex_state = 2},
  [710] = {.lex_state = 2},
  [711] = {.lex_state = 2},
  [712] = {.lex_state = 3},
  [713] = {.lex_state = 3},
  [714] = {.lex_state = 2},
  [715] = {.lex_state = 2},
  [716] = {.lex_state = 2},
  [717] = {.lex_state = 2},
  [718] = {.lex_state = 2},
  [719] = {.lex_state = 2},
  [720] = {.lex_state = 3},
  [721] = {.lex_state = 3},
  [722] = {.lex_state = 3},
  [723] = {.lex_state = 3},
  [724] = {.lex_state = 2},
  [725] = {.lex_state = 2},
  [726] = {.lex_state = 9},
  [727] = {.lex_state = 9},
  [728] = {.lex_state = 9},
  [729] = {.lex_state = 9},
  [730] = {.lex_state = 2},
  [731] = {.lex_state = 2},
  [732] = {.lex_state = 2},
  [733] = {.lex_state = 3},
  [734] = {.lex_state = 3},
  [735] = {.lex_state = 3},
  [736] = {.lex_state = 3},
  [737] = {.lex_state = 3},
  [738] = {.lex_state = 3},
  [739] = {.lex_state = 2},
  [740] = {.lex_state = 3},
  [741] = {.lex_state = 3},
  [742] = {.lex_state = 3},
  [743] = {.lex_state = 2},
  [744] = {.lex_state = 2},
  [745] = {.lex_state = 2},
  [746] = {.lex_state = 0},
  [747] = {.lex_state = 2, .external_lex_state = 3},
  [748] = {.lex_state = 2},
  [749] = {.lex_state = 2},
  [750] = {.lex_state = 2},
  [751] = {.lex_state = 2},
  [752] = {.lex_state = 9},
  [753] = {.lex_state = 2},
  [754] = {.lex_state = 2},
  [755] = {.lex_state = 3, .external_lex_state = 3},
  [756] = {.lex_state = 3, .external_lex_state = 3},
  [757] = {.lex_state = 3},
  [758] = {.lex_state = 2},
  [759] = {.lex_state = 3},
  [760] = {.lex_state = 2, .external_lex_state = 3},
  [761] = {.lex_state = 3},
  [762] = {.lex_state = 3},
  [763] = {.lex_state = 2},
  [764] = {.lex_state = 2},
  [765] = {.lex_state = 10},
  [766] = {.lex_state = 2},
  [767] = {.lex_state = 9},
  [768] = {.lex_state = 2},
  [769] = {.lex_state = 2},
  [770] = {.lex_state = 2},
  [771] = {.lex_state = 2},
  [772] = {.lex_state = 2},
  [773] = {.lex_state = 3},
  [774] = {.lex_state = 3},
  [775] = {.lex_state = 2},
  [776] = {.lex_state = 2},
  [777] = {.lex_state = 2},
  [778] = {.lex_state = 2},
  [779] = {.lex_state = 2, .external_lex_state = 3},
  [780] = {.lex_state = 2},
  [781] = {.lex_state = 2},
  [782] = {.lex_state = 2},
  [783] = {.lex_state = 2},
  [784] = {.lex_state = 2},
  [785] = {.lex_state = 2},
  [786] = {.lex_state = 2},
  [787] = {.lex_state = 0},
  [788] = {.lex_state = 2},
  [789] = {.lex_state = 2},
  [790] = {.lex_state = 2},
  [791] = {.lex_state = 21},
  [792] = {.lex_state = 2},
  [793] = {.lex_state = 2},
  [794] = {.lex_state = 2},
  [795] = {.lex_state = 2, .external_lex_state = 3},
  [796] = {.lex_state = 2, .external_lex_state = 3},
  [797] = {.lex_state = 2},
  [798] = {.lex_state = 2},
  [799] = {.lex_state = 0},
  [800] = {.lex_state = 2},
  [801] = {.lex_state = 2},
  [802] = {.lex_state = 2},
  [803] = {.lex_state = 2},
  [804] = {.lex_state = 2},
  [805] = {.lex_state = 2},
  [806] = {.lex_state = 9},
  [807] = {.lex_state = 2},
  [808] = {.lex_state = 2},
  [809] = {.lex_state = 2},
  [810] = {.lex_state = 2},
  [811] = {.lex_state = 2},
  [812] = {.lex_state = 2},
  [813] = {.lex_state = 2},
  [814] = {.lex_state = 2},
  [815] = {.lex_state = 2, .external_lex_state = 3},
  [816] = {.lex_state = 2},
  [817] = {.lex_state = 3},
  [818] = {.lex_state = 21},
  [819] = {.lex_state = 2},
  [820] = {.lex_state = 2},
  [821] = {.lex_state = 2},
  [822] = {.lex_state = 0},
  [823] = {.lex_state = 2, .external_lex_state = 3},
  [824] = {.lex_state = 2},
  [825] = {.lex_state = 2},
  [826] = {.lex_state = 2},
  [827] = {.lex_state = 2, .external_lex_state = 3},
  [828] = {.lex_state = 2, .external_lex_state = 3},
  [829] = {.lex_state = 2},
  [830] = {.lex_state = 2},
  [831] = {.lex_state = 2},
  [832] = {.lex_state = 2},
  [833] = {.lex_state = 2},
  [834] = {.lex_state = 2},
  [835] = {.lex_state = 2, .external_lex_state = 3},
  [836] = {.lex_state = 21},
  [837] = {.lex_state = 3, .external_lex_state = 3},
  [838] = {.lex_state = 23},
  [839] = {.lex_state = 3, .external_lex_state = 3},
  [840] = {.lex_state = 3, .external_lex_state = 3},
  [841] = {.lex_state = 3, .external_lex_state = 3},
  [842] = {.lex_state = 3, .external_lex_state = 3},
  [843] = {.lex_state = 2},
  [844] = {.lex_state = 2},
  [845] = {.lex_state = 21},
  [846] = {.lex_state = 3, .external_lex_state = 3},
  [847] = {.lex_state = 2},
  [848] = {.lex_state = 23},
  [849] = {.lex_state = 3, .external_lex_state = 3},
  [850] = {.lex_state = 3, .external_lex_state = 3},
  [851] = {.lex_state = 3, .external_lex_state = 3},
  [852] = {.lex_state = 3, .external_lex_state = 3},
  [853] = {.lex_state = 23},
  [854] = {.lex_state = 23},
  [855] = {.lex_state = 21},
  [856] = {.lex_state = 23},
  [857] = {.lex_state = 21},
  [858] = {.lex_state = 21},
  [859] = {.lex_state = 3, .external_lex_state = 3},
  [860] = {.lex_state = 3, .external_lex_state = 3},
  [861] = {.lex_state = 21},
  [862] = {.lex_state = 21},
  [863] = {.lex_state = 21},
  [864] = {.lex_state = 21},
  [865] = {.lex_state = 3},
  [866] = {.lex_state = 3},
  [867] = {.lex_state = 13, .external_lex_state = 2},
  [868] = {.lex_state = 3},
  [869] = {.lex_state = 4},
  [870] = {.lex_state = 3},
  [871] = {.lex_state = 13},
  [872] = {.lex_state = 6},
  [873] = {.lex_state = 8},
  [874] = {.lex_state = 0},
  [875] = {.lex_state = 23},
  [876] = {.lex_state = 3},
  [877] = {.lex_state = 3},
  [878] = {.lex_state = 3},
  [879] = {.lex_state = 3},
  [880] = {.lex_state = 0},
  [881] = {.lex_state = 13, .external_lex_state = 2},
  [882] = {.lex_state = 3},
  [883] = {.lex_state = 0},
  [884] = {.lex_state = 9, .external_lex_state = 3},
  [885] = {.lex_state = 9, .external_lex_state = 3},
  [886] = {.lex_state = 9, .external_lex_state = 3},
  [887] = {.lex_state = 3},
  [888] = {.lex_state = 9, .external_lex_state = 3},
  [889] = {.lex_state = 0},
  [890] = {.lex_state = 3},
  [891] = {.lex_state = 0},
  [892] = {.lex_state = 2},
  [893] = {.lex_state = 0},
  [894] = {.lex_state = 4},
  [895] = {.lex_state = 2},
  [896] = {.lex_state = 0},
  [897] = {.lex_state = 0},
  [898] = {.lex_state = 13},
  [899] = {.lex_state = 3},
  [900] = {.lex_state = 3},
  [901] = {.lex_state = 3},
  [902] = {.lex_state = 6},
  [903] = {.lex_state = 0},
  [904] = {.lex_state = 0},
  [905] = {.lex_state = 9, .external_lex_state = 3},
  [906] = {.lex_state = 3},
  [907] = {.lex_state = 2},
  [908] = {.lex_state = 3},
  [909] = {.lex_state = 3},
  [910] = {.lex_state = 3},
  [911] = {.lex_state = 23},
  [912] = {.lex_state = 3},
  [913] = {.lex_state = 3},
  [914] = {.lex_state = 0},
  [915] = {.lex_state = 3},
  [916] = {.lex_state = 3},
  [917] = {.lex_state = 3},
  [918] = {.lex_state = 3},
  [919] = {.lex_state = 0},
  [920] = {.lex_state = 0},
  [921] = {.lex_state = 0},
  [922] = {.lex_state = 0},
  [923] = {.lex_state = 2},
  [924] = {.lex_state = 0},
  [925] = {.lex_state = 0},
  [926] = {.lex_state = 2},
  [927] = {.lex_state = 0},
  [928] = {.lex_state = 2},
  [929] = {.lex_state = 0},
  [930] = {.lex_state = 0},
  [931] = {.lex_state = 0},
  [932] = {.lex_state = 0},
  [933] = {.lex_state = 3},
  [934] = {.lex_state = 3},
  [935] = {.lex_state = 3},
  [936] = {.lex_state = 3},
  [937] = {.lex_state = 0},
  [938] = {.lex_state = 2},
  [939] = {.lex_state = 2},
  [940] = {.lex_state = 0},
  [941] = {.lex_state = 0},
  [942] = {.lex_state = 0},
  [943] = {.lex_state = 3},
  [944] = {.lex_state = 2},
  [945] = {.lex_state = 0},
  [946] = {.lex_state = 0},
  [947] = {.lex_state = 0},
  [948] = {.lex_state = 0},
  [949] = {.lex_state = 0},
  [950] = {.lex_state = 0},
  [951] = {.lex_state = 3},
  [952] = {.lex_state = 0},
  [953] = {.lex_state = 13},
  [954] = {.lex_state = 0},
  [955] = {.lex_state = 13},
  [956] = {.lex_state = 0},
  [957] = {.lex_state = 0},
  [958] = {.lex_state = 0},
  [959] = {.lex_state = 0},
  [960] = {.lex_state = 0},
  [961] = {.lex_state = 0},
  [962] = {.lex_state = 3},
  [963] = {.lex_state = 4},
  [964] = {.lex_state = 3},
  [965] = {.lex_state = 13},
  [966] = {.lex_state = 6},
  [967] = {.lex_state = 23},
  [968] = {.lex_state = 3},
  [969] = {.lex_state = 3},
  [970] = {.lex_state = 0},
  [971] = {.lex_state = 3},
  [972] = {.lex_state = 0},
  [973] = {.lex_state = 2},
  [974] = {.lex_state = 0},
  [975] = {.lex_state = 4},
  [976] = {.lex_state = 2},
  [977] = {.lex_state = 0},
  [978] = {.lex_state = 0},
  [979] = {.lex_state = 6},
  [980] = {.lex_state = 3},
  [981] = {.lex_state = 23},
  [982] = {.lex_state = 3},
  [983] = {.lex_state = 0},
  [984] = {.lex_state = 3},
  [985] = {.lex_state = 3},
  [986] = {.lex_state = 3},
  [987] = {.lex_state = 0},
  [988] = {.lex_state = 0},
  [989] = {.lex_state = 0},
  [990] = {.lex_state = 0},
  [991] = {.lex_state = 0},
  [992] = {.lex_state = 0},
  [993] = {.lex_state = 13},
  [994] = {.lex_state = 0},
  [995] = {.lex_state = 13},
  [996] = {.lex_state = 0},
  [997] = {.lex_state = 0},
  [998] = {.lex_state = 23},
  [999] = {.lex_state = 3},
  [1000] = {.lex_state = 3},
  [1001] = {.lex_state = 23},
  [1002] = {.lex_state = 0},
  [1003] = {.lex_state = 0},
  [1004] = {.lex_state = 13},
  [1005] = {.lex_state = 0},
  [1006] = {.lex_state = 13},
  [1007] = {.lex_state = 0},
  [1008] = {.lex_state = 3},
  [1009] = {.lex_state = 3},
  [1010] = {.lex_state = 3},
  [1011] = {.lex_state = 5},
  [1012] = {.lex_state = 8},
  [1013] = {.lex_state = 0},
  [1014] = {.lex_state = 3},
  [1015] = {.lex_state = 9, .external_lex_state = 3},
  [1016] = {.lex_state = 3},
  [1017] = {.lex_state = 3},
  [1018] = {.lex_state = 3},
  [1019] = {.lex_state = 0},
  [1020] = {.lex_state = 3},
  [1021] = {.lex_state = 3},
  [1022] = {.lex_state = 3},
  [1023] = {.lex_state = 3},
  [1024] = {.lex_state = 3},
  [1025] = {.lex_state = 3},
  [1026] = {.lex_state = 3},
  [1027] = {.lex_state = 3},
  [1028] = {.lex_state = 3},
  [1029] = {.lex_state = 21},
  [1030] = {.lex_state = 21},
  [1031] = {.lex_state = 21},
  [1032] = {.lex_state = 21},
  [1033] = {.lex_state = 2, .external_lex_state = 3},
  [1034] = {.lex_state = 0},
  [1035] = {.lex_state = 0},
  [1036] = {.lex_state = 9, .external_lex_state = 3},
  [1037] = {.lex_state = 3},
  [1038] = {.lex_state = 3},
  [1039] = {.lex_state = 3},
  [1040] = {.lex_state = 3},
  [1041] = {.lex_state = 3},
  [1042] = {.lex_state = 3},
  [1043] = {.lex_state = 3},
  [1044] = {.lex_state = 3},
  [1045] = {.lex_state = 3},
  [1046] = {.lex_state = 3},
  [1047] = {.lex_state = 3},
  [1048] = {.lex_state = 0},
  [1049] = {.lex_state = 3},
  [1050] = {.lex_state = 3},
  [1051] = {.lex_state = 3},
  [1052] = {.lex_state = 2, .external_lex_state = 3},
  [1053] = {.lex_state = 2, .external_lex_state = 3},
  [1054] = {.lex_state = 0},
  [1055] = {.lex_state = 2, .external_lex_state = 3},
  [1056] = {.lex_state = 2, .external_lex_state = 3},
  [1057] = {.lex_state = 2, .external_lex_state = 3},
  [1058] = {.lex_state = 2, .external_lex_state = 3},
  [1059] = {.lex_state = 21},
  [1060] = {.lex_state = 21},
  [1061] = {.lex_state = 0},
  [1062] = {.lex_state = 3},
  [1063] = {.lex_state = 2, .external_lex_state = 3},
  [1064] = {.lex_state = 2, .external_lex_state = 3},
  [1065] = {.lex_state = 2, .external_lex_state = 3},
  [1066] = {.lex_state = 2, .external_lex_state = 3},
  [1067] = {.lex_state = 2, .external_lex_state = 3},
  [1068] = {.lex_state = 2, .external_lex_state = 3},
  [1069] = {.lex_state = 2, .external_lex_state = 3},
  [1070] = {.lex_state = 21},
  [1071] = {.lex_state = 0},
  [1072] = {.lex_state = 0},
  [1073] = {.lex_state = 3},
  [1074] = {.lex_state = 21},
  [1075] = {.lex_state = 2, .external_lex_state = 3},
  [1076] = {.lex_state = 2, .external_lex_state = 3},
  [1077] = {.lex_state = 0},
  [1078] = {.lex_state = 3},
  [1079] = {.lex_state = 0},
  [1080] = {.lex_state = 0},
  [1081] = {.lex_state = 3},
  [1082] = {.lex_state = 2, .external_lex_state = 3},
  [1083] = {.lex_state = 3},
  [1084] = {.lex_state = 3},
  [1085] = {.lex_state = 3},
  [1086] = {.lex_state = 3},
  [1087] = {.lex_state = 3},
  [1088] = {.lex_state = 3},
  [1089] = {.lex_state = 3},
  [1090] = {.lex_state = 3},
  [1091] = {.lex_state = 3},
  [1092] = {.lex_state = 3},
  [1093] = {.lex_state = 3},
  [1094] = {.lex_state = 3},
  [1095] = {.lex_state = 3},
  [1096] = {.lex_state = 3},
  [1097] = {.lex_state = 3},
  [1098] = {.lex_state = 3},
  [1099] = {.lex_state = 21},
  [1100] = {.lex_state = 21},
  [1101] = {.lex_state = 21},
  [1102] = {.lex_state = 21},
  [1103] = {.lex_state = 21},
  [1104] = {.lex_state = 21},
  [1105] = {.lex_state = 21},
  [1106] = {.lex_state = 21},
  [1107] = {.lex_state = 21},
  [1108] = {.lex_state = 21},
  [1109] = {.lex_state = 21},
  [1110] = {.lex_state = 21},
  [1111] = {.lex_state = 21},
  [1112] = {.lex_state = 21},
  [1113] = {.lex_state = 3},
  [1114] = {.lex_state = 3},
  [1115] = {.lex_state = 3},
  [1116] = {.lex_state = 9, .external_lex_state = 3},
  [1117] = {.lex_state = 3},
  [1118] = {.lex_state = 0},
  [1119] = {.lex_state = 3},
  [1120] = {.lex_state = 0},
  [1121] = {.lex_state = 3},
  [1122] = {.lex_state = 0},
  [1123] = {.lex_state = 9, .external_lex_state = 3},
  [1124] = {.lex_state = 21},
  [1125] = {.lex_state = 2, .external_lex_state = 3},
  [1126] = {.lex_state = 3},
  [1127] = {.lex_state = 9, .external_lex_state = 3},
  [1128] = {.lex_state = 2, .external_lex_state = 3},
  [1129] = {.lex_state = 3},
  [1130] = {.lex_state = 2, .external_lex_state = 3},
  [1131] = {.lex_state = 9, .external_lex_state = 3},
  [1132] = {.lex_state = 2, .external_lex_state = 3},
  [1133] = {.lex_state = 3},
  [1134] = {.lex_state = 23},
  [1135] = {.lex_state = 3},
  [1136] = {.lex_state = 3},
  [1137] = {.lex_state = 21},
  [1138] = {.lex_state = 3},
  [1139] = {.lex_state = 23},
  [1140] = {.lex_state = 0},
  [1141] = {.lex_state = 2},
  [1142] = {.lex_state = 0},
  [1143] = {.lex_state = 0},
  [1144] = {.lex_state = 3},
  [1145] = {.lex_state = 2, .external_lex_state = 3},
  [1146] = {.lex_state = 0},
  [1147] = {.lex_state = 2},
  [1148] = {.lex_state = 2},
  [1149] = {.lex_state = 0},
  [1150] = {.lex_state = 2},
  [1151] = {.lex_state = 2, .external_lex_state = 3},
  [1152] = {.lex_state = 0},
  [1153] = {.lex_state = 2},
  [1154] = {.lex_state = 2, .external_lex_state = 3},
  [1155] = {.lex_state = 0},
  [1156] = {.lex_state = 2},
  [1157] = {.lex_state = 2},
  [1158] = {.lex_state = 0},
  [1159] = {.lex_state = 2},
  [1160] = {.lex_state = 2},
  [1161] = {.lex_state = 0},
  [1162] = {.lex_state = 2},
  [1163] = {.lex_state = 2},
  [1164] = {.lex_state = 0},
  [1165] = {.lex_state = 2},
  [1166] = {.lex_state = 2},
  [1167] = {.lex_state = 2},
  [1168] = {.lex_state = 21},
  [1169] = {.lex_state = 23},
  [1170] = {.lex_state = 21},
  [1171] = {.lex_state = 23},
  [1172] = {.lex_state = 21},
  [1173] = {.lex_state = 9, .external_lex_state = 3},
  [1174] = {.lex_state = 3},
  [1175] = {.lex_state = 3},
  [1176] = {.lex_state = 3},
  [1177] = {.lex_state = 3},
  [1178] = {.lex_state = 3},
  [1179] = {.lex_state = 3},
  [1180] = {.lex_state = 3},
  [1181] = {.lex_state = 3},
  [1182] = {.lex_state = 3},
  [1183] = {.lex_state = 3},
  [1184] = {.lex_state = 3},
  [1185] = {.lex_state = 3},
  [1186] = {.lex_state = 3},
  [1187] = {.lex_state = 3},
  [1188] = {.lex_state = 3},
  [1189] = {.lex_state = 3},
  [1190] = {.lex_state = 3},
  [1191] = {.lex_state = 3},
  [1192] = {.lex_state = 3},
  [1193] = {.lex_state = 3},
  [1194] = {.lex_state = 3},
  [1195] = {.lex_state = 3},
  [1196] = {.lex_state = 9, .external_lex_state = 3},
  [1197] = {.lex_state = 2, .external_lex_state = 3},
  [1198] = {.lex_state = 2, .external_lex_state = 3},
  [1199] = {.lex_state = 3, .external_lex_state = 3},
  [1200] = {.lex_state = 3, .external_lex_state = 3},
  [1201] = {.lex_state = 3, .external_lex_state = 3},
  [1202] = {.lex_state = 3},
  [1203] = {.lex_state = 3},
  [1204] = {.lex_state = 3},
  [1205] = {.lex_state = 3},
  [1206] = {.lex_state = 3},
  [1207] = {.lex_state = 3},
  [1208] = {.lex_state = 3},
  [1209] = {.lex_state = 3},
  [1210] = {.lex_state = 3},
  [1211] = {.lex_state = 3},
  [1212] = {.lex_state = 3},
  [1213] = {.lex_state = 0},
};

enum {
  ts_external_token__automatic_semicolon = 0,
  ts_external_token__template_chars = 1,
};

static TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__automatic_semicolon] = sym__automatic_semicolon,
  [ts_external_token__template_chars] = sym__template_chars,
};

static bool ts_external_scanner_states[4][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__template_chars] = true,
  },
  [2] = {
    [ts_external_token__template_chars] = true,
  },
  [3] = {
    [ts_external_token__automatic_semicolon] = true,
  },
};

static uint16_t ts_parse_table[STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [anon_sym_instanceof] = ACTIONS(1),
    [anon_sym_target] = ACTIONS(1),
    [anon_sym_class] = ACTIONS(1),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [sym__automatic_semicolon] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_static] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_import] = ACTIONS(1),
    [anon_sym_STAR_STAR] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_delete] = ACTIONS(1),
    [anon_sym_throw] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [sym_this] = ACTIONS(1),
    [anon_sym_extends] = ACTIONS(1),
    [sym_true] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(1),
    [sym__template_chars] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_get] = ACTIONS(1),
    [anon_sym_from] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_default] = ACTIONS(1),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [sym_super] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [sym_false] = ACTIONS(1),
    [anon_sym_catch] = ACTIONS(1),
    [sym_number] = ACTIONS(1),
    [anon_sym_yield] = ACTIONS(1),
    [anon_sym_LT_LT_EQ] = ACTIONS(1),
    [anon_sym_set] = ACTIONS(1),
    [anon_sym_async] = ACTIONS(1),
    [anon_sym_var] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_const] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [anon_sym_try] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_typeof] = ACTIONS(1),
    [anon_sym_await] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [sym_null] = ACTIONS(1),
    [anon_sym_finally] = ACTIONS(1),
    [sym_escape_sequence] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1),
    [anon_sym_function] = ACTIONS(1),
    [anon_sym_let] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_as] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_with] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [anon_sym_in] = ACTIONS(1),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1),
    [anon_sym_of] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [sym_undefined] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_EQ_GT] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [sym_hash_bang_line] = ACTIONS(1),
    [anon_sym_GT_GT_GT] = ACTIONS(1),
    [anon_sym_break] = ACTIONS(1),
    [anon_sym_debugger] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [sym_identifier] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_BQUOTE] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_SLASH2] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [ts_builtin_sym_end] = ACTIONS(1),
    [anon_sym_new] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_switch] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_export] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_continue] = ACTIONS(1),
    [anon_sym_void] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1),
    [anon_sym_do] = ACTIONS(1),
  },
  [1] = {
    [sym_arrow_function] = STATE(46),
    [sym__declaration] = STATE(49),
    [sym_subscript_expression] = STATE(42),
    [sym_ternary_expression] = STATE(46),
    [sym_if_statement] = STATE(49),
    [sym_template_string] = STATE(46),
    [sym_do_statement] = STATE(49),
    [sym_return_statement] = STATE(49),
    [sym_yield_expression] = STATE(46),
    [sym_jsx_fragment] = STATE(46),
    [sym_function_declaration] = STATE(49),
    [sym_import_statement] = STATE(49),
    [sym_expression_statement] = STATE(49),
    [sym_switch_statement] = STATE(49),
    [sym_update_expression] = STATE(46),
    [sym_try_statement] = STATE(49),
    [sym_meta_property] = STATE(46),
    [sym_throw_statement] = STATE(49),
    [sym_object] = STATE(43),
    [aux_sym_export_statement_repeat1] = STATE(44),
    [sym_generator_function] = STATE(46),
    [sym_await_expression] = STATE(46),
    [sym_sequence_expression] = STATE(45),
    [sym_for_of_statement] = STATE(49),
    [sym_continue_statement] = STATE(49),
    [sym_call_expression] = STATE(46),
    [sym_assignment_expression] = STATE(46),
    [sym_statement_block] = STATE(49),
    [sym_binary_expression] = STATE(46),
    [sym_while_statement] = STATE(49),
    [sym_debugger_statement] = STATE(49),
    [sym__expression] = STATE(46),
    [sym_jsx_element] = STATE(46),
    [sym_function] = STATE(47),
    [sym_program] = STATE(48),
    [sym_new_expression] = STATE(46),
    [sym_augmented_assignment_expression] = STATE(46),
    [sym_variable_declaration] = STATE(49),
    [sym_unary_expression] = STATE(46),
    [sym_for_statement] = STATE(49),
    [sym_regex] = STATE(46),
    [sym_with_statement] = STATE(49),
    [sym_empty_statement] = STATE(49),
    [aux_sym_program_repeat1] = STATE(49),
    [sym_class] = STATE(46),
    [sym_export_statement] = STATE(49),
    [sym_generator_function_declaration] = STATE(49),
    [sym_member_expression] = STATE(42),
    [sym_lexical_declaration] = STATE(49),
    [sym_for_in_statement] = STATE(49),
    [sym_string] = STATE(46),
    [sym_break_statement] = STATE(49),
    [sym_decorator] = STATE(50),
    [sym_labeled_statement] = STATE(49),
    [sym_formal_parameters] = STATE(51),
    [sym_parenthesized_expression] = STATE(46),
    [sym_array] = STATE(52),
    [sym_jsx_opening_element] = STATE(53),
    [sym_jsx_self_closing_element] = STATE(46),
    [sym_class_declaration] = STATE(49),
    [anon_sym_await] = ACTIONS(5),
    [anon_sym_PLUS] = ACTIONS(7),
    [sym_null] = ACTIONS(9),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_continue] = ACTIONS(13),
    [anon_sym_try] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_for] = ACTIONS(19),
    [anon_sym_do] = ACTIONS(21),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_function] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_import] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_with] = ACTIONS(35),
    [anon_sym_throw] = ACTIONS(37),
    [anon_sym_delete] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [anon_sym_SLASH] = ACTIONS(45),
    [sym_this] = ACTIONS(9),
    [sym_undefined] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(23),
    [sym_hash_bang_line] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [sym_super] = ACTIONS(63),
    [sym_identifier] = ACTIONS(65),
    [sym_false] = ACTIONS(9),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_LT] = ACTIONS(69),
    [sym_number] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [ts_builtin_sym_end] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(43),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_set] = ACTIONS(23),
    [anon_sym_async] = ACTIONS(81),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_switch] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_void] = ACTIONS(39),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_export] = ACTIONS(89),
    [anon_sym_typeof] = ACTIONS(39),
  },
  [2] = {
    [sym_arrow_function] = STATE(59),
    [sym_call_expression] = STATE(59),
    [sym_subscript_expression] = STATE(42),
    [sym_assignment_expression] = STATE(59),
    [sym_ternary_expression] = STATE(59),
    [sym_binary_expression] = STATE(59),
    [sym_template_string] = STATE(59),
    [sym__expression] = STATE(59),
    [sym_yield_expression] = STATE(59),
    [sym_jsx_element] = STATE(59),
    [sym_jsx_fragment] = STATE(59),
    [sym_function] = STATE(47),
    [sym_new_expression] = STATE(59),
    [sym_augmented_assignment_expression] = STATE(59),
    [sym_unary_expression] = STATE(59),
    [sym_update_expression] = STATE(59),
    [sym_regex] = STATE(59),
    [sym_meta_property] = STATE(59),
    [sym_object] = STATE(43),
    [aux_sym_export_statement_repeat1] = STATE(60),
    [sym_class] = STATE(59),
    [sym_generator_function] = STATE(59),
    [sym_await_expression] = STATE(59),
    [sym_member_expression] = STATE(42),
    [sym_string] = STATE(59),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(51),
    [sym_parenthesized_expression] = STATE(59),
    [sym_array] = STATE(52),
    [sym_jsx_opening_element] = STATE(53),
    [sym_jsx_self_closing_element] = STATE(59),
    [anon_sym_await] = ACTIONS(5),
    [sym_null] = ACTIONS(91),
    [anon_sym_class] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_function] = ACTIONS(95),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(97),
    [anon_sym_delete] = ACTIONS(39),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(91),
    [sym_undefined] = ACTIONS(91),
    [sym_true] = ACTIONS(91),
    [anon_sym_SLASH] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(49),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(63),
    [sym_identifier] = ACTIONS(99),
    [sym_false] = ACTIONS(91),
    [anon_sym_LT] = ACTIONS(69),
    [sym_number] = ACTIONS(101),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_set] = ACTIONS(23),
    [anon_sym_async] = ACTIONS(103),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_void] = ACTIONS(39),
    [anon_sym_typeof] = ACTIONS(39),
  },
  [3] = {
    [sym_arrow_function] = STATE(61),
    [sym_call_expression] = STATE(61),
    [sym_subscript_expression] = STATE(42),
    [sym_assignment_expression] = STATE(61),
    [sym_ternary_expression] = STATE(61),
    [sym_binary_expression] = STATE(61),
    [sym_template_string] = STATE(61),
    [sym__expression] = STATE(61),
    [sym_yield_expression] = STATE(61),
    [sym_jsx_element] = STATE(61),
    [sym_jsx_fragment] = STATE(61),
    [sym_function] = STATE(47),
    [sym_new_expression] = STATE(61),
    [sym_augmented_assignment_expression] = STATE(61),
    [sym_unary_expression] = STATE(61),
    [sym_update_expression] = STATE(61),
    [sym_regex] = STATE(61),
    [sym_meta_property] = STATE(61),
    [sym_object] = STATE(43),
    [aux_sym_export_statement_repeat1] = STATE(60),
    [sym_class] = STATE(61),
    [sym_generator_function] = STATE(61),
    [sym_await_expression] = STATE(61),
    [sym_member_expression] = STATE(42),
    [sym_string] = STATE(61),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(51),
    [sym_parenthesized_expression] = STATE(61),
    [sym_array] = STATE(52),
    [sym_jsx_opening_element] = STATE(53),
    [sym_jsx_self_closing_element] = STATE(61),
    [anon_sym_await] = ACTIONS(5),
    [sym_null] = ACTIONS(105),
    [anon_sym_class] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_function] = ACTIONS(95),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(97),
    [anon_sym_delete] = ACTIONS(39),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(105),
    [sym_undefined] = ACTIONS(105),
    [sym_true] = ACTIONS(105),
    [anon_sym_SLASH] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(49),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(63),
    [sym_identifier] = ACTIONS(99),
    [sym_false] = ACTIONS(105),
    [anon_sym_LT] = ACTIONS(69),
    [sym_number] = ACTIONS(107),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_set] = ACTIONS(23),
    [anon_sym_async] = ACTIONS(103),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_void] = ACTIONS(39),
    [anon_sym_typeof] = ACTIONS(39),
  },
  [4] = {
    [sym_class_body] = STATE(65),
    [sym_class_heritage] = STATE(66),
    [anon_sym_LBRACE] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_identifier] = ACTIONS(111),
    [anon_sym_extends] = ACTIONS(113),
  },
  [5] = {
    [sym_arrow_function] = STATE(67),
    [sym_call_expression] = STATE(67),
    [sym_subscript_expression] = STATE(42),
    [sym_assignment_expression] = STATE(67),
    [sym_ternary_expression] = STATE(67),
    [sym_binary_expression] = STATE(67),
    [sym_template_string] = STATE(67),
    [sym__expression] = STATE(67),
    [sym_yield_expression] = STATE(67),
    [sym_jsx_element] = STATE(67),
    [sym_jsx_fragment] = STATE(67),
    [sym_function] = STATE(47),
    [sym_new_expression] = STATE(67),
    [sym_augmented_assignment_expression] = STATE(67),
    [sym_unary_expression] = STATE(67),
    [sym_update_expression] = STATE(67),
    [sym_regex] = STATE(67),
    [sym_meta_property] = STATE(67),
    [sym_object] = STATE(43),
    [aux_sym_export_statement_repeat1] = STATE(60),
    [sym_class] = STATE(67),
    [sym_generator_function] = STATE(67),
    [sym_await_expression] = STATE(67),
    [sym_member_expression] = STATE(42),
    [sym_string] = STATE(67),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(51),
    [sym_parenthesized_expression] = STATE(67),
    [sym_array] = STATE(52),
    [sym_jsx_opening_element] = STATE(53),
    [sym_jsx_self_closing_element] = STATE(67),
    [anon_sym_await] = ACTIONS(5),
    [sym_null] = ACTIONS(115),
    [anon_sym_class] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_function] = ACTIONS(95),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(97),
    [anon_sym_delete] = ACTIONS(39),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(115),
    [sym_undefined] = ACTIONS(115),
    [sym_true] = ACTIONS(115),
    [anon_sym_SLASH] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(49),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(63),
    [sym_identifier] = ACTIONS(99),
    [sym_false] = ACTIONS(115),
    [anon_sym_LT] = ACTIONS(69),
    [sym_number] = ACTIONS(117),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_set] = ACTIONS(23),
    [anon_sym_async] = ACTIONS(103),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_void] = ACTIONS(39),
    [anon_sym_typeof] = ACTIONS(39),
  },
  [6] = {
    [sym_template_substitution] = STATE(70),
    [aux_sym_template_string_repeat1] = STATE(70),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(119),
    [sym_escape_sequence] = ACTIONS(121),
    [sym__template_chars] = ACTIONS(121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(123),
  },
  [7] = {
    [sym_decorator_member_expression] = STATE(72),
    [sym_decorator_call_expression] = STATE(73),
    [anon_sym_set] = ACTIONS(125),
    [anon_sym_async] = ACTIONS(125),
    [anon_sym_static] = ACTIONS(125),
    [sym_comment] = ACTIONS(3),
    [sym_identifier] = ACTIONS(127),
    [anon_sym_get] = ACTIONS(125),
  },
  [8] = {
    [anon_sym_instanceof] = ACTIONS(129),
    [sym__automatic_semicolon] = ACTIONS(129),
    [anon_sym_AMP_EQ] = ACTIONS(131),
    [anon_sym_GT_GT_EQ] = ACTIONS(131),
    [anon_sym_STAR_EQ] = ACTIONS(131),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_STAR_STAR] = ACTIONS(133),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_GT_EQ] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(129),
    [anon_sym_PIPE_EQ] = ACTIONS(131),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(131),
    [anon_sym_SLASH_EQ] = ACTIONS(131),
    [anon_sym_LT_EQ] = ACTIONS(129),
    [anon_sym_COMMA] = ACTIONS(129),
    [anon_sym_PLUS_PLUS] = ACTIONS(129),
    [anon_sym_SEMI] = ACTIONS(129),
    [anon_sym_RPAREN] = ACTIONS(129),
    [anon_sym_LT] = ACTIONS(133),
    [anon_sym_LT_LT_EQ] = ACTIONS(131),
    [anon_sym_EQ_EQ] = ACTIONS(133),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_DASH_DASH] = ACTIONS(129),
    [anon_sym_GT] = ACTIONS(133),
    [anon_sym_EQ] = ACTIONS(135),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(131),
    [anon_sym_CARET] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(129),
    [anon_sym_GT_GT] = ACTIONS(133),
    [anon_sym_in] = ACTIONS(133),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(129),
    [anon_sym_SLASH] = ACTIONS(133),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(129),
    [anon_sym_PERCENT_EQ] = ACTIONS(131),
    [anon_sym_PLUS_EQ] = ACTIONS(131),
    [anon_sym_PIPE] = ACTIONS(133),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_GT_GT_GT] = ACTIONS(133),
    [anon_sym_BANG_EQ] = ACTIONS(133),
    [anon_sym_DOT] = ACTIONS(137),
    [anon_sym_BQUOTE] = ACTIONS(129),
    [anon_sym_CARET_EQ] = ACTIONS(131),
    [anon_sym_DASH_EQ] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_LT_LT] = ACTIONS(133),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(129),
  },
  [9] = {
    [sym_formal_parameters] = STATE(80),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_STAR] = ACTIONS(143),
  },
  [10] = {
    [sym_variable_declarator] = STATE(82),
    [sym_array] = STATE(83),
    [sym_object] = STATE(84),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(49),
    [sym_identifier] = ACTIONS(145),
  },
  [11] = {
    [sym_import_clause] = STATE(88),
    [sym_string] = STATE(89),
    [sym_named_imports] = STATE(90),
    [sym_namespace_import] = STATE(90),
    [anon_sym_LBRACE] = ACTIONS(147),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_identifier] = ACTIONS(149),
    [anon_sym_STAR] = ACTIONS(151),
  },
  [12] = {
    [sym_parenthesized_expression] = STATE(92),
    [anon_sym_LPAREN] = ACTIONS(153),
    [sym_comment] = ACTIONS(3),
  },
  [13] = {
    [sym_arrow_function] = STATE(93),
    [sym_call_expression] = STATE(93),
    [sym_subscript_expression] = STATE(42),
    [sym_assignment_expression] = STATE(93),
    [sym_ternary_expression] = STATE(93),
    [sym_binary_expression] = STATE(93),
    [sym_template_string] = STATE(93),
    [sym__expression] = STATE(93),
    [sym_yield_expression] = STATE(93),
    [sym_jsx_element] = STATE(93),
    [sym_jsx_fragment] = STATE(93),
    [sym_function] = STATE(47),
    [sym_new_expression] = STATE(93),
    [sym_augmented_assignment_expression] = STATE(93),
    [sym_unary_expression] = STATE(93),
    [sym_update_expression] = STATE(93),
    [sym_regex] = STATE(93),
    [sym_meta_property] = STATE(93),
    [sym_object] = STATE(43),
    [aux_sym_export_statement_repeat1] = STATE(60),
    [sym_class] = STATE(93),
    [sym_generator_function] = STATE(93),
    [sym_await_expression] = STATE(93),
    [sym_member_expression] = STATE(42),
    [sym_string] = STATE(93),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(51),
    [sym_parenthesized_expression] = STATE(93),
    [sym_array] = STATE(52),
    [sym_jsx_opening_element] = STATE(53),
    [sym_jsx_self_closing_element] = STATE(93),
    [anon_sym_await] = ACTIONS(5),
    [sym_null] = ACTIONS(155),
    [anon_sym_class] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_function] = ACTIONS(95),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(97),
    [anon_sym_delete] = ACTIONS(39),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(155),
    [sym_undefined] = ACTIONS(155),
    [sym_true] = ACTIONS(155),
    [anon_sym_SLASH] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(49),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(63),
    [sym_identifier] = ACTIONS(99),
    [sym_false] = ACTIONS(155),
    [anon_sym_LT] = ACTIONS(69),
    [sym_number] = ACTIONS(157),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_set] = ACTIONS(23),
    [anon_sym_async] = ACTIONS(103),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_void] = ACTIONS(39),
    [anon_sym_typeof] = ACTIONS(39),
  },
  [14] = {
    [sym_arrow_function] = STATE(46),
    [sym__declaration] = STATE(108),
    [sym_subscript_expression] = STATE(42),
    [sym_ternary_expression] = STATE(46),
    [sym_if_statement] = STATE(108),
    [sym_template_string] = STATE(46),
    [sym_do_statement] = STATE(108),
    [sym_return_statement] = STATE(108),
    [sym_yield_expression] = STATE(46),
    [sym_jsx_fragment] = STATE(46),
    [sym_function_declaration] = STATE(108),
    [sym_import_statement] = STATE(108),
    [sym_expression_statement] = STATE(108),
    [sym_switch_statement] = STATE(108),
    [sym_update_expression] = STATE(46),
    [sym_try_statement] = STATE(108),
    [sym_meta_property] = STATE(46),
    [sym_throw_statement] = STATE(108),
    [sym_pair] = STATE(104),
    [sym_object] = STATE(105),
    [aux_sym_export_statement_repeat1] = STATE(106),
    [sym_generator_function] = STATE(46),
    [sym_await_expression] = STATE(46),
    [sym_sequence_expression] = STATE(45),
    [sym_for_of_statement] = STATE(108),
    [sym_continue_statement] = STATE(108),
    [sym__property_name] = STATE(107),
    [sym_call_expression] = STATE(46),
    [sym_assignment_expression] = STATE(46),
    [sym_statement_block] = STATE(108),
    [sym_binary_expression] = STATE(46),
    [sym_while_statement] = STATE(108),
    [sym_debugger_statement] = STATE(108),
    [sym__expression] = STATE(46),
    [sym_jsx_element] = STATE(46),
    [sym_function] = STATE(47),
    [sym_new_expression] = STATE(46),
    [sym_augmented_assignment_expression] = STATE(46),
    [sym_variable_declaration] = STATE(108),
    [sym_unary_expression] = STATE(46),
    [sym_for_statement] = STATE(108),
    [sym_regex] = STATE(46),
    [sym_with_statement] = STATE(108),
    [sym_empty_statement] = STATE(108),
    [sym_method_definition] = STATE(104),
    [aux_sym_program_repeat1] = STATE(108),
    [sym_assignment_pattern] = STATE(104),
    [aux_sym_object_repeat1] = STATE(109),
    [sym_class] = STATE(46),
    [sym_export_statement] = STATE(108),
    [sym_generator_function_declaration] = STATE(108),
    [sym_member_expression] = STATE(42),
    [sym_lexical_declaration] = STATE(108),
    [sym_spread_element] = STATE(104),
    [sym_for_in_statement] = STATE(108),
    [sym_string] = STATE(99),
    [sym_break_statement] = STATE(108),
    [sym_decorator] = STATE(50),
    [sym_labeled_statement] = STATE(108),
    [sym_formal_parameters] = STATE(51),
    [sym_parenthesized_expression] = STATE(46),
    [sym_computed_property_name] = STATE(107),
    [sym_array] = STATE(110),
    [sym_jsx_opening_element] = STATE(53),
    [sym_jsx_self_closing_element] = STATE(46),
    [sym_class_declaration] = STATE(108),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_static] = ACTIONS(159),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(29),
    [anon_sym_STAR] = ACTIONS(161),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_delete] = ACTIONS(39),
    [anon_sym_throw] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [anon_sym_get] = ACTIONS(163),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(165),
    [anon_sym_COMMA] = ACTIONS(167),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(69),
    [sym_false] = ACTIONS(9),
    [sym_number] = ACTIONS(169),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_set] = ACTIONS(163),
    [anon_sym_async] = ACTIONS(171),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_RBRACE] = ACTIONS(173),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_try] = ACTIONS(15),
    [anon_sym_for] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(5),
    [sym_null] = ACTIONS(9),
    [anon_sym_function] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(35),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_SLASH] = ACTIONS(45),
    [sym_undefined] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(175),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(61),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_switch] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(13),
    [anon_sym_void] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_do] = ACTIONS(21),
  },
  [15] = {
    [sym_parenthesized_expression] = STATE(111),
    [anon_sym_LPAREN] = ACTIONS(153),
    [sym_comment] = ACTIONS(3),
  },
  [16] = {
    [sym_arrow_function] = STATE(112),
    [sym_call_expression] = STATE(112),
    [sym_subscript_expression] = STATE(42),
    [sym_assignment_expression] = STATE(112),
    [sym_ternary_expression] = STATE(112),
    [sym_binary_expression] = STATE(112),
    [sym_template_string] = STATE(112),
    [sym__expression] = STATE(112),
    [sym_yield_expression] = STATE(112),
    [sym_jsx_element] = STATE(112),
    [sym_jsx_fragment] = STATE(112),
    [sym_function] = STATE(47),
    [sym_new_expression] = STATE(112),
    [sym_augmented_assignment_expression] = STATE(112),
    [sym_unary_expression] = STATE(112),
    [sym_update_expression] = STATE(112),
    [sym_regex] = STATE(112),
    [sym_meta_property] = STATE(112),
    [sym_object] = STATE(43),
    [aux_sym_export_statement_repeat1] = STATE(60),
    [sym_class] = STATE(112),
    [sym_generator_function] = STATE(112),
    [sym_await_expression] = STATE(112),
    [sym_member_expression] = STATE(42),
    [sym_sequence_expression] = STATE(113),
    [sym_string] = STATE(112),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(51),
    [sym_parenthesized_expression] = STATE(112),
    [sym_array] = STATE(52),
    [sym_jsx_opening_element] = STATE(53),
    [sym_jsx_self_closing_element] = STATE(112),
    [anon_sym_await] = ACTIONS(5),
    [sym_null] = ACTIONS(179),
    [anon_sym_class] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_function] = ACTIONS(95),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(97),
    [anon_sym_delete] = ACTIONS(39),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(179),
    [sym_undefined] = ACTIONS(179),
    [sym_true] = ACTIONS(179),
    [anon_sym_SLASH] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(49),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(63),
    [sym_identifier] = ACTIONS(99),
    [sym_false] = ACTIONS(179),
    [anon_sym_LT] = ACTIONS(69),
    [sym_number] = ACTIONS(181),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_set] = ACTIONS(23),
    [anon_sym_async] = ACTIONS(103),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_void] = ACTIONS(39),
    [anon_sym_typeof] = ACTIONS(39),
  },
  [17] = {
    [sym_arrow_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_subscript_expression] = STATE(701),
    [sym_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym_rest_parameter] = STATE(119),
    [sym__expression] = STATE(120),
    [sym_yield_expression] = STATE(120),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_function] = STATE(703),
    [sym_new_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_regex] = STATE(120),
    [sym_meta_property] = STATE(120),
    [sym_object] = STATE(121),
    [aux_sym_export_statement_repeat1] = STATE(1016),
    [sym_assignment_pattern] = STATE(119),
    [sym_class] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(701),
    [sym_sequence_expression] = STATE(122),
    [sym_string] = STATE(120),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(874),
    [sym_parenthesized_expression] = STATE(120),
    [sym_array] = STATE(123),
    [sym_jsx_opening_element] = STATE(875),
    [sym_jsx_self_closing_element] = STATE(120),
    [anon_sym_class] = ACTIONS(183),
    [anon_sym_static] = ACTIONS(185),
    [anon_sym_DASH] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_delete] = ACTIONS(191),
    [anon_sym_LPAREN] = ACTIONS(193),
    [anon_sym_BANG] = ACTIONS(195),
    [sym_this] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [anon_sym_get] = ACTIONS(185),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(199),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_RPAREN] = ACTIONS(205),
    [anon_sym_TILDE] = ACTIONS(195),
    [sym_super] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(209),
    [sym_false] = ACTIONS(197),
    [sym_number] = ACTIONS(211),
    [anon_sym_yield] = ACTIONS(213),
    [anon_sym_set] = ACTIONS(185),
    [anon_sym_async] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_typeof] = ACTIONS(191),
    [anon_sym_await] = ACTIONS(217),
    [sym_null] = ACTIONS(197),
    [anon_sym_function] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [anon_sym_SLASH] = ACTIONS(223),
    [sym_undefined] = ACTIONS(197),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(225),
    [sym_identifier] = ACTIONS(227),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(187),
    [anon_sym_void] = ACTIONS(191),
  },
  [18] = {
    [sym_arrow_function] = STATE(124),
    [sym_call_expression] = STATE(124),
    [sym_subscript_expression] = STATE(42),
    [sym_assignment_expression] = STATE(124),
    [sym_ternary_expression] = STATE(124),
    [sym_binary_expression] = STATE(124),
    [sym_template_string] = STATE(124),
    [sym__expression] = STATE(124),
    [sym_yield_expression] = STATE(124),
    [sym_jsx_element] = STATE(124),
    [sym_jsx_fragment] = STATE(124),
    [sym_function] = STATE(47),
    [sym_new_expression] = STATE(124),
    [sym_augmented_assignment_expression] = STATE(124),
    [sym_unary_expression] = STATE(124),
    [sym_update_expression] = STATE(124),
    [sym_regex] = STATE(124),
    [sym_meta_property] = STATE(124),
    [sym_object] = STATE(43),
    [aux_sym_export_statement_repeat1] = STATE(60),
    [sym_class] = STATE(124),
    [sym_generator_function] = STATE(124),
    [sym_await_expression] = STATE(124),
    [sym_member_expression] = STATE(42),
    [sym_string] = STATE(124),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(51),
    [sym_parenthesized_expression] = STATE(124),
    [sym_array] = STATE(52),
    [sym_jsx_opening_element] = STATE(53),
    [sym_jsx_self_closing_element] = STATE(124),
    [anon_sym_await] = ACTIONS(5),
    [sym_null] = ACTIONS(233),
    [anon_sym_class] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_function] = ACTIONS(95),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(97),
    [anon_sym_delete] = ACTIONS(39),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(233),
    [sym_undefined] = ACTIONS(233),
    [sym_true] = ACTIONS(233),
    [anon_sym_SLASH] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(49),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(63),
    [sym_identifier] = ACTIONS(99),
    [sym_false] = ACTIONS(233),
    [anon_sym_LT] = ACTIONS(69),
    [sym_number] = ACTIONS(235),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_set] = ACTIONS(23),
    [anon_sym_async] = ACTIONS(103),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_void] = ACTIONS(39),
    [anon_sym_typeof] = ACTIONS(39),
  },
  [19] = {
    [aux_sym_string_repeat2] = STATE(126),
    [sym_comment] = ACTIONS(237),
    [anon_sym_SQUOTE] = ACTIONS(239),
    [sym_escape_sequence] = ACTIONS(241),
    [aux_sym_string_token2] = ACTIONS(241),
  },
  [20] = {
    [sym_arrow_function] = STATE(129),
    [sym_call_expression] = STATE(129),
    [sym_subscript_expression] = STATE(701),
    [sym_assignment_expression] = STATE(129),
    [sym_ternary_expression] = STATE(129),
    [sym_binary_expression] = STATE(129),
    [sym_template_string] = STATE(129),
    [sym__expression] = STATE(129),
    [sym_yield_expression] = STATE(129),
    [sym_jsx_element] = STATE(129),
    [sym_jsx_fragment] = STATE(129),
    [sym_function] = STATE(703),
    [sym_new_expression] = STATE(129),
    [sym_augmented_assignment_expression] = STATE(129),
    [sym_unary_expression] = STATE(129),
    [sym_update_expression] = STATE(129),
    [sym_regex] = STATE(129),
    [sym_meta_property] = STATE(129),
    [sym_object] = STATE(702),
    [aux_sym_export_statement_repeat1] = STATE(1016),
    [aux_sym_array_repeat1] = STATE(130),
    [sym_class] = STATE(129),
    [sym_generator_function] = STATE(129),
    [sym_await_expression] = STATE(129),
    [sym_member_expression] = STATE(701),
    [sym_spread_element] = STATE(131),
    [sym_string] = STATE(129),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(874),
    [sym_parenthesized_expression] = STATE(129),
    [sym_array] = STATE(704),
    [sym_jsx_opening_element] = STATE(875),
    [sym_jsx_self_closing_element] = STATE(129),
    [anon_sym_class] = ACTIONS(183),
    [anon_sym_static] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_delete] = ACTIONS(191),
    [anon_sym_LPAREN] = ACTIONS(193),
    [anon_sym_BANG] = ACTIONS(195),
    [sym_this] = ACTIONS(245),
    [sym_true] = ACTIONS(245),
    [anon_sym_get] = ACTIONS(243),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(165),
    [anon_sym_COMMA] = ACTIONS(247),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_TILDE] = ACTIONS(195),
    [sym_super] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(209),
    [sym_false] = ACTIONS(245),
    [sym_number] = ACTIONS(249),
    [anon_sym_yield] = ACTIONS(213),
    [anon_sym_set] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(251),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_typeof] = ACTIONS(191),
    [anon_sym_await] = ACTIONS(217),
    [sym_null] = ACTIONS(245),
    [anon_sym_function] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [anon_sym_SLASH] = ACTIONS(223),
    [sym_undefined] = ACTIONS(245),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(225),
    [sym_identifier] = ACTIONS(253),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_RBRACK] = ACTIONS(255),
    [anon_sym_new] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(187),
    [anon_sym_void] = ACTIONS(191),
  },
  [21] = {
    [sym_regex_pattern] = ACTIONS(257),
    [sym_comment] = ACTIONS(237),
  },
  [22] = {
    [sym_arrow_function] = STATE(46),
    [sym__declaration] = STATE(133),
    [sym_subscript_expression] = STATE(42),
    [sym_ternary_expression] = STATE(46),
    [sym_if_statement] = STATE(133),
    [sym_template_string] = STATE(46),
    [sym_do_statement] = STATE(133),
    [sym_return_statement] = STATE(133),
    [sym_yield_expression] = STATE(46),
    [sym_jsx_fragment] = STATE(46),
    [sym_function_declaration] = STATE(133),
    [sym_import_statement] = STATE(133),
    [sym_expression_statement] = STATE(133),
    [sym_switch_statement] = STATE(133),
    [sym_update_expression] = STATE(46),
    [sym_try_statement] = STATE(133),
    [sym_meta_property] = STATE(46),
    [sym_throw_statement] = STATE(133),
    [sym_object] = STATE(43),
    [aux_sym_export_statement_repeat1] = STATE(44),
    [sym_generator_function] = STATE(46),
    [sym_await_expression] = STATE(46),
    [sym_sequence_expression] = STATE(45),
    [sym_for_of_statement] = STATE(133),
    [sym_continue_statement] = STATE(133),
    [sym_call_expression] = STATE(46),
    [sym_assignment_expression] = STATE(46),
    [sym_statement_block] = STATE(133),
    [sym_binary_expression] = STATE(46),
    [sym_while_statement] = STATE(133),
    [sym_debugger_statement] = STATE(133),
    [sym__expression] = STATE(46),
    [sym_jsx_element] = STATE(46),
    [sym_function] = STATE(47),
    [sym_new_expression] = STATE(46),
    [sym_augmented_assignment_expression] = STATE(46),
    [sym_variable_declaration] = STATE(133),
    [sym_unary_expression] = STATE(46),
    [sym_for_statement] = STATE(133),
    [sym_regex] = STATE(46),
    [sym_with_statement] = STATE(133),
    [sym_empty_statement] = STATE(133),
    [aux_sym_program_repeat1] = STATE(133),
    [sym_class] = STATE(46),
    [sym_export_statement] = STATE(133),
    [sym_generator_function_declaration] = STATE(133),
    [sym_member_expression] = STATE(42),
    [sym_lexical_declaration] = STATE(133),
    [sym_for_in_statement] = STATE(133),
    [sym_string] = STATE(46),
    [sym_break_statement] = STATE(133),
    [sym_decorator] = STATE(50),
    [sym_labeled_statement] = STATE(133),
    [sym_formal_parameters] = STATE(51),
    [sym_parenthesized_expression] = STATE(46),
    [sym_array] = STATE(52),
    [sym_jsx_opening_element] = STATE(53),
    [sym_jsx_self_closing_element] = STATE(46),
    [sym_class_declaration] = STATE(133),
    [anon_sym_await] = ACTIONS(5),
    [anon_sym_PLUS] = ACTIONS(7),
    [sym_null] = ACTIONS(9),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_continue] = ACTIONS(13),
    [anon_sym_try] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_for] = ACTIONS(19),
    [anon_sym_do] = ACTIONS(21),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_function] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_import] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_with] = ACTIONS(35),
    [anon_sym_throw] = ACTIONS(37),
    [anon_sym_delete] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [anon_sym_SLASH] = ACTIONS(45),
    [sym_this] = ACTIONS(9),
    [sym_undefined] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(23),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [sym_super] = ACTIONS(63),
    [sym_identifier] = ACTIONS(65),
    [sym_false] = ACTIONS(9),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_LT] = ACTIONS(69),
    [sym_number] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [ts_builtin_sym_end] = ACTIONS(259),
    [anon_sym_TILDE] = ACTIONS(43),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_set] = ACTIONS(23),
    [anon_sym_async] = ACTIONS(81),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_switch] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_void] = ACTIONS(39),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_export] = ACTIONS(89),
    [anon_sym_typeof] = ACTIONS(39),
  },
  [23] = {
    [sym__automatic_semicolon] = ACTIONS(261),
    [sym_comment] = ACTIONS(3),
    [sym_identifier] = ACTIONS(263),
    [anon_sym_SEMI] = ACTIONS(261),
  },
  [24] = {
    [anon_sym_class] = ACTIONS(265),
    [anon_sym_static] = ACTIONS(265),
    [anon_sym_DASH] = ACTIONS(265),
    [anon_sym_import] = ACTIONS(265),
    [anon_sym_LBRACE] = ACTIONS(267),
    [anon_sym_delete] = ACTIONS(265),
    [anon_sym_throw] = ACTIONS(265),
    [anon_sym_LPAREN] = ACTIONS(267),
    [anon_sym_BANG] = ACTIONS(267),
    [sym_this] = ACTIONS(265),
    [sym_true] = ACTIONS(265),
    [anon_sym_case] = ACTIONS(265),
    [anon_sym_get] = ACTIONS(265),
    [anon_sym_default] = ACTIONS(265),
    [anon_sym_PLUS_PLUS] = ACTIONS(267),
    [anon_sym_SEMI] = ACTIONS(267),
    [anon_sym_DQUOTE] = ACTIONS(267),
    [anon_sym_RPAREN] = ACTIONS(267),
    [anon_sym_TILDE] = ACTIONS(267),
    [sym_super] = ACTIONS(265),
    [anon_sym_LT] = ACTIONS(267),
    [sym_false] = ACTIONS(265),
    [sym_number] = ACTIONS(267),
    [anon_sym_yield] = ACTIONS(265),
    [anon_sym_set] = ACTIONS(265),
    [anon_sym_async] = ACTIONS(265),
    [anon_sym_var] = ACTIONS(265),
    [anon_sym_const] = ACTIONS(265),
    [anon_sym_RBRACE] = ACTIONS(267),
    [anon_sym_DASH_DASH] = ACTIONS(267),
    [anon_sym_try] = ACTIONS(265),
    [anon_sym_for] = ACTIONS(265),
    [anon_sym_typeof] = ACTIONS(265),
    [anon_sym_await] = ACTIONS(265),
    [sym_null] = ACTIONS(265),
    [anon_sym_function] = ACTIONS(265),
    [anon_sym_let] = ACTIONS(265),
    [anon_sym_if] = ACTIONS(265),
    [anon_sym_with] = ACTIONS(265),
    [anon_sym_SQUOTE] = ACTIONS(267),
    [anon_sym_SLASH] = ACTIONS(265),
    [sym_undefined] = ACTIONS(265),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(267),
    [anon_sym_else] = ACTIONS(265),
    [anon_sym_break] = ACTIONS(265),
    [anon_sym_debugger] = ACTIONS(265),
    [anon_sym_while] = ACTIONS(265),
    [sym_identifier] = ACTIONS(265),
    [anon_sym_BQUOTE] = ACTIONS(267),
    [ts_builtin_sym_end] = ACTIONS(267),
    [anon_sym_new] = ACTIONS(265),
    [anon_sym_AT] = ACTIONS(267),
    [anon_sym_PLUS] = ACTIONS(265),
    [anon_sym_switch] = ACTIONS(265),
    [anon_sym_export] = ACTIONS(265),
    [anon_sym_continue] = ACTIONS(265),
    [anon_sym_void] = ACTIONS(265),
    [anon_sym_return] = ACTIONS(265),
    [anon_sym_do] = ACTIONS(265),
  },
  [25] = {
    [sym__automatic_semicolon] = ACTIONS(269),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(269),
  },
  [26] = {
    [sym_parenthesized_expression] = STATE(137),
    [anon_sym_LPAREN] = ACTIONS(153),
    [sym_comment] = ACTIONS(3),
  },
  [27] = {
    [sym_template_string] = STATE(141),
    [sym_arguments] = STATE(141),
    [anon_sym_LPAREN] = ACTIONS(271),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(273),
    [anon_sym_DOT] = ACTIONS(275),
    [anon_sym_BQUOTE] = ACTIONS(67),
  },
  [28] = {
    [anon_sym_instanceof] = ACTIONS(277),
    [sym__automatic_semicolon] = ACTIONS(277),
    [anon_sym_COLON] = ACTIONS(279),
    [anon_sym_AMP_EQ] = ACTIONS(281),
    [anon_sym_GT_GT_EQ] = ACTIONS(281),
    [anon_sym_STAR_EQ] = ACTIONS(281),
    [anon_sym_DASH] = ACTIONS(283),
    [anon_sym_STAR_STAR] = ACTIONS(283),
    [anon_sym_STAR] = ACTIONS(283),
    [anon_sym_AMP] = ACTIONS(283),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_PIPE_EQ] = ACTIONS(281),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(281),
    [anon_sym_SLASH_EQ] = ACTIONS(281),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_COMMA] = ACTIONS(277),
    [anon_sym_PLUS_PLUS] = ACTIONS(277),
    [anon_sym_SEMI] = ACTIONS(277),
    [anon_sym_LT] = ACTIONS(283),
    [anon_sym_LT_LT_EQ] = ACTIONS(281),
    [anon_sym_EQ_EQ] = ACTIONS(283),
    [anon_sym_QMARK] = ACTIONS(277),
    [anon_sym_DASH_DASH] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(283),
    [anon_sym_EQ] = ACTIONS(285),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(281),
    [anon_sym_CARET] = ACTIONS(283),
    [anon_sym_AMP_AMP] = ACTIONS(277),
    [anon_sym_GT_GT] = ACTIONS(283),
    [anon_sym_in] = ACTIONS(287),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(277),
    [anon_sym_SLASH] = ACTIONS(283),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(277),
    [anon_sym_PERCENT_EQ] = ACTIONS(281),
    [anon_sym_EQ_GT] = ACTIONS(289),
    [anon_sym_PLUS_EQ] = ACTIONS(281),
    [anon_sym_PIPE] = ACTIONS(283),
    [anon_sym_PIPE_PIPE] = ACTIONS(277),
    [anon_sym_GT_GT_GT] = ACTIONS(283),
    [anon_sym_BANG_EQ] = ACTIONS(283),
    [anon_sym_DOT] = ACTIONS(275),
    [anon_sym_BQUOTE] = ACTIONS(277),
    [anon_sym_CARET_EQ] = ACTIONS(281),
    [anon_sym_DASH_EQ] = ACTIONS(281),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_PERCENT] = ACTIONS(283),
    [anon_sym_LT_LT] = ACTIONS(283),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(277),
  },
  [29] = {
    [sym_nested_identifier] = STATE(150),
    [sym_jsx_namespace_name] = STATE(151),
    [sym_jsx_identifier] = ACTIONS(291),
    [anon_sym_GT] = ACTIONS(293),
    [sym_comment] = ACTIONS(3),
    [sym_identifier] = ACTIONS(295),
  },
  [30] = {
    [sym_arrow_function] = STATE(152),
    [sym_call_expression] = STATE(152),
    [sym_subscript_expression] = STATE(42),
    [sym_assignment_expression] = STATE(152),
    [sym_ternary_expression] = STATE(152),
    [sym_binary_expression] = STATE(152),
    [sym_template_string] = STATE(152),
    [sym__expression] = STATE(152),
    [sym_yield_expression] = STATE(152),
    [sym_jsx_element] = STATE(152),
    [sym_jsx_fragment] = STATE(152),
    [sym_function] = STATE(47),
    [sym_new_expression] = STATE(152),
    [sym_augmented_assignment_expression] = STATE(152),
    [sym_unary_expression] = STATE(152),
    [sym_update_expression] = STATE(152),
    [sym_regex] = STATE(152),
    [sym_meta_property] = STATE(152),
    [sym_object] = STATE(43),
    [aux_sym_export_statement_repeat1] = STATE(60),
    [sym_class] = STATE(152),
    [sym_generator_function] = STATE(152),
    [sym_await_expression] = STATE(152),
    [sym_member_expression] = STATE(42),
    [sym_string] = STATE(152),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(51),
    [sym_parenthesized_expression] = STATE(152),
    [sym_array] = STATE(52),
    [sym_jsx_opening_element] = STATE(53),
    [sym_jsx_self_closing_element] = STATE(152),
    [anon_sym_instanceof] = ACTIONS(297),
    [sym__automatic_semicolon] = ACTIONS(299),
    [anon_sym_class] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_STAR_STAR] = ACTIONS(299),
    [anon_sym_STAR] = ACTIONS(297),
    [anon_sym_AMP] = ACTIONS(297),
    [anon_sym_LBRACE] = ACTIONS(97),
    [anon_sym_delete] = ACTIONS(39),
    [anon_sym_GT_EQ] = ACTIONS(299),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(301),
    [sym_this] = ACTIONS(303),
    [sym_true] = ACTIONS(303),
    [anon_sym_get] = ACTIONS(23),
    [anon_sym_LT_EQ] = ACTIONS(299),
    [anon_sym_COMMA] = ACTIONS(299),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(299),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_RPAREN] = ACTIONS(299),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(305),
    [sym_false] = ACTIONS(303),
    [sym_number] = ACTIONS(307),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_set] = ACTIONS(23),
    [anon_sym_async] = ACTIONS(103),
    [anon_sym_EQ_EQ] = ACTIONS(297),
    [anon_sym_QMARK] = ACTIONS(299),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_typeof] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(5),
    [anon_sym_GT] = ACTIONS(297),
    [sym_null] = ACTIONS(303),
    [anon_sym_function] = ACTIONS(95),
    [anon_sym_CARET] = ACTIONS(299),
    [anon_sym_AMP_AMP] = ACTIONS(299),
    [anon_sym_GT_GT] = ACTIONS(297),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_in] = ACTIONS(297),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(299),
    [anon_sym_SLASH] = ACTIONS(45),
    [sym_undefined] = ACTIONS(303),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_PIPE] = ACTIONS(297),
    [anon_sym_PIPE_PIPE] = ACTIONS(299),
    [anon_sym_GT_GT_GT] = ACTIONS(299),
    [anon_sym_BANG_EQ] = ACTIONS(297),
    [sym_identifier] = ACTIONS(99),
    [anon_sym_DOT] = ACTIONS(297),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_PERCENT] = ACTIONS(299),
    [anon_sym_LT_LT] = ACTIONS(299),
    [anon_sym_void] = ACTIONS(39),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(299),
  },
  [31] = {
    [aux_sym_string_repeat1] = STATE(153),
    [anon_sym_DQUOTE] = ACTIONS(239),
    [sym_comment] = ACTIONS(237),
    [sym_escape_sequence] = ACTIONS(309),
    [aux_sym_string_token1] = ACTIONS(309),
  },
  [32] = {
    [sym_formal_parameters] = STATE(156),
    [anon_sym_instanceof] = ACTIONS(133),
    [sym__automatic_semicolon] = ACTIONS(129),
    [anon_sym_AMP_EQ] = ACTIONS(131),
    [anon_sym_GT_GT_EQ] = ACTIONS(131),
    [anon_sym_STAR_EQ] = ACTIONS(131),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_STAR_STAR] = ACTIONS(133),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_GT_EQ] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(311),
    [anon_sym_PIPE_EQ] = ACTIONS(131),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(131),
    [anon_sym_SLASH_EQ] = ACTIONS(131),
    [anon_sym_LT_EQ] = ACTIONS(129),
    [anon_sym_COMMA] = ACTIONS(129),
    [anon_sym_PLUS_PLUS] = ACTIONS(129),
    [anon_sym_SEMI] = ACTIONS(129),
    [anon_sym_LT] = ACTIONS(133),
    [anon_sym_LT_LT_EQ] = ACTIONS(131),
    [anon_sym_EQ_EQ] = ACTIONS(133),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_DASH_DASH] = ACTIONS(129),
    [anon_sym_GT] = ACTIONS(133),
    [anon_sym_EQ] = ACTIONS(135),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(314),
    [anon_sym_CARET] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(129),
    [anon_sym_GT_GT] = ACTIONS(133),
    [anon_sym_in] = ACTIONS(133),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(129),
    [anon_sym_SLASH] = ACTIONS(133),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(129),
    [anon_sym_PERCENT_EQ] = ACTIONS(131),
    [anon_sym_PLUS_EQ] = ACTIONS(131),
    [anon_sym_PIPE] = ACTIONS(133),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_GT_GT_GT] = ACTIONS(133),
    [anon_sym_BANG_EQ] = ACTIONS(133),
    [sym_identifier] = ACTIONS(316),
    [anon_sym_DOT] = ACTIONS(137),
    [anon_sym_BQUOTE] = ACTIONS(129),
    [anon_sym_CARET_EQ] = ACTIONS(131),
    [anon_sym_DASH_EQ] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_LT_LT] = ACTIONS(133),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(129),
  },
  [33] = {
    [sym_arrow_function] = STATE(157),
    [sym_call_expression] = STATE(163),
    [sym_subscript_expression] = STATE(162),
    [sym_assignment_expression] = STATE(163),
    [sym_ternary_expression] = STATE(163),
    [sym_binary_expression] = STATE(163),
    [sym_template_string] = STATE(157),
    [sym__expression] = STATE(163),
    [sym_yield_expression] = STATE(163),
    [sym_jsx_element] = STATE(163),
    [sym_jsx_fragment] = STATE(163),
    [sym_function] = STATE(164),
    [sym_new_expression] = STATE(157),
    [sym_augmented_assignment_expression] = STATE(163),
    [sym_unary_expression] = STATE(163),
    [sym_update_expression] = STATE(163),
    [sym_regex] = STATE(157),
    [sym_meta_property] = STATE(157),
    [sym_object] = STATE(165),
    [aux_sym_export_statement_repeat1] = STATE(60),
    [sym_class] = STATE(157),
    [sym_generator_function] = STATE(157),
    [sym_await_expression] = STATE(163),
    [sym_member_expression] = STATE(162),
    [sym_string] = STATE(157),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(51),
    [sym_parenthesized_expression] = STATE(157),
    [sym_array] = STATE(166),
    [sym_jsx_opening_element] = STATE(875),
    [sym_jsx_self_closing_element] = STATE(163),
    [anon_sym_await] = ACTIONS(217),
    [sym_null] = ACTIONS(318),
    [anon_sym_class] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(320),
    [anon_sym_function] = ACTIONS(95),
    [anon_sym_DASH] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(97),
    [anon_sym_delete] = ACTIONS(191),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(195),
    [sym_this] = ACTIONS(318),
    [sym_undefined] = ACTIONS(318),
    [sym_true] = ACTIONS(318),
    [anon_sym_SLASH] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(49),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(320),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(195),
    [sym_super] = ACTIONS(322),
    [sym_identifier] = ACTIONS(324),
    [sym_false] = ACTIONS(318),
    [anon_sym_LT] = ACTIONS(209),
    [sym_number] = ACTIONS(326),
    [anon_sym_yield] = ACTIONS(213),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_DOT] = ACTIONS(328),
    [anon_sym_set] = ACTIONS(320),
    [anon_sym_async] = ACTIONS(330),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_void] = ACTIONS(191),
    [anon_sym_typeof] = ACTIONS(191),
  },
  [34] = {
    [sym_variable_declarator] = STATE(167),
    [sym_array] = STATE(83),
    [sym_object] = STATE(84),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(49),
    [sym_identifier] = ACTIONS(145),
  },
  [35] = {
    [anon_sym_LPAREN] = ACTIONS(332),
    [sym_comment] = ACTIONS(3),
  },
  [36] = {
    [sym_lexical_declaration] = STATE(175),
    [sym__declaration] = STATE(175),
    [sym_decorator] = STATE(50),
    [aux_sym_export_statement_repeat1] = STATE(176),
    [sym_function_declaration] = STATE(175),
    [sym_variable_declaration] = STATE(175),
    [sym_generator_function_declaration] = STATE(175),
    [sym_export_clause] = STATE(177),
    [sym_class_declaration] = STATE(175),
    [anon_sym_class] = ACTIONS(334),
    [anon_sym_default] = ACTIONS(336),
    [anon_sym_function] = ACTIONS(338),
    [anon_sym_let] = ACTIONS(340),
    [anon_sym_STAR] = ACTIONS(342),
    [anon_sym_LBRACE] = ACTIONS(344),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_var] = ACTIONS(348),
    [anon_sym_const] = ACTIONS(340),
    [sym_comment] = ACTIONS(3),
  },
  [37] = {
    [sym__automatic_semicolon] = ACTIONS(350),
    [sym_comment] = ACTIONS(3),
    [sym_identifier] = ACTIONS(352),
    [anon_sym_SEMI] = ACTIONS(350),
  },
  [38] = {
    [sym_statement_block] = STATE(181),
    [anon_sym_LBRACE] = ACTIONS(354),
    [sym_comment] = ACTIONS(3),
  },
  [39] = {
    [sym_arrow_function] = STATE(183),
    [sym_call_expression] = STATE(183),
    [sym_subscript_expression] = STATE(42),
    [sym_assignment_expression] = STATE(183),
    [sym_ternary_expression] = STATE(183),
    [sym_binary_expression] = STATE(183),
    [sym_template_string] = STATE(183),
    [sym__expression] = STATE(183),
    [sym_yield_expression] = STATE(183),
    [sym_jsx_element] = STATE(183),
    [sym_jsx_fragment] = STATE(183),
    [sym_function] = STATE(47),
    [sym_new_expression] = STATE(183),
    [sym_augmented_assignment_expression] = STATE(183),
    [sym_unary_expression] = STATE(183),
    [sym_update_expression] = STATE(183),
    [sym_regex] = STATE(183),
    [sym_meta_property] = STATE(183),
    [sym_object] = STATE(43),
    [aux_sym_export_statement_repeat1] = STATE(60),
    [sym_class] = STATE(183),
    [sym_generator_function] = STATE(183),
    [sym_await_expression] = STATE(183),
    [sym_member_expression] = STATE(42),
    [sym_sequence_expression] = STATE(184),
    [sym_string] = STATE(183),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(51),
    [sym_parenthesized_expression] = STATE(183),
    [sym_array] = STATE(52),
    [sym_jsx_opening_element] = STATE(53),
    [sym_jsx_self_closing_element] = STATE(183),
    [sym__automatic_semicolon] = ACTIONS(356),
    [anon_sym_class] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(97),
    [anon_sym_delete] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(358),
    [sym_true] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(356),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(69),
    [sym_false] = ACTIONS(358),
    [sym_number] = ACTIONS(360),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_set] = ACTIONS(23),
    [anon_sym_async] = ACTIONS(103),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_typeof] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(5),
    [sym_null] = ACTIONS(358),
    [anon_sym_function] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_SLASH] = ACTIONS(45),
    [sym_undefined] = ACTIONS(358),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(49),
    [sym_identifier] = ACTIONS(99),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_void] = ACTIONS(39),
  },
  [40] = {
    [anon_sym_await] = ACTIONS(362),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(364),
  },
  [41] = {
    [sym_arrow_function] = STATE(46),
    [sym__declaration] = STATE(187),
    [sym_subscript_expression] = STATE(42),
    [sym_ternary_expression] = STATE(46),
    [sym_if_statement] = STATE(187),
    [sym_template_string] = STATE(46),
    [sym_do_statement] = STATE(187),
    [sym_return_statement] = STATE(187),
    [sym_yield_expression] = STATE(46),
    [sym_jsx_fragment] = STATE(46),
    [sym_function_declaration] = STATE(187),
    [sym_import_statement] = STATE(187),
    [sym_expression_statement] = STATE(187),
    [sym_switch_statement] = STATE(187),
    [sym_update_expression] = STATE(46),
    [sym_try_statement] = STATE(187),
    [sym_meta_property] = STATE(46),
    [sym_throw_statement] = STATE(187),
    [sym_object] = STATE(43),
    [aux_sym_export_statement_repeat1] = STATE(1129),
    [sym_generator_function] = STATE(46),
    [sym_await_expression] = STATE(46),
    [sym_sequence_expression] = STATE(45),
    [sym_for_of_statement] = STATE(187),
    [sym_continue_statement] = STATE(187),
    [sym_call_expression] = STATE(46),
    [sym_assignment_expression] = STATE(46),
    [sym_statement_block] = STATE(187),
    [sym_binary_expression] = STATE(46),
    [sym_while_statement] = STATE(187),
    [sym_debugger_statement] = STATE(187),
    [sym__expression] = STATE(46),
    [sym_jsx_element] = STATE(46),
    [sym_function] = STATE(47),
    [sym_new_expression] = STATE(46),
    [sym_augmented_assignment_expression] = STATE(46),
    [sym_variable_declaration] = STATE(187),
    [sym_unary_expression] = STATE(46),
    [sym_for_statement] = STATE(187),
    [sym_regex] = STATE(46),
    [sym_with_statement] = STATE(187),
    [sym_empty_statement] = STATE(187),
    [sym_class] = STATE(46),
    [sym_export_statement] = STATE(187),
    [sym_generator_function_declaration] = STATE(187),
    [sym_member_expression] = STATE(42),
    [sym_lexical_declaration] = STATE(187),
    [sym_for_in_statement] = STATE(187),
    [sym_string] = STATE(46),
    [sym_break_statement] = STATE(187),
    [sym_decorator] = STATE(50),
    [sym_labeled_statement] = STATE(187),
    [sym_formal_parameters] = STATE(51),
    [sym_parenthesized_expression] = STATE(46),
    [sym_array] = STATE(52),
    [sym_jsx_opening_element] = STATE(53),
    [sym_jsx_self_closing_element] = STATE(46),
    [sym_class_declaration] = STATE(187),
    [anon_sym_class] = ACTIONS(366),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_delete] = ACTIONS(39),
    [anon_sym_throw] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [anon_sym_get] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(69),
    [sym_false] = ACTIONS(9),
    [sym_number] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_set] = ACTIONS(23),
    [anon_sym_async] = ACTIONS(368),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_try] = ACTIONS(15),
    [anon_sym_for] = ACTIONS(370),
    [anon_sym_typeof] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(5),
    [sym_null] = ACTIONS(9),
    [anon_sym_function] = ACTIONS(372),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_if] = ACTIONS(374),
    [anon_sym_with] = ACTIONS(376),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_SLASH] = ACTIONS(45),
    [sym_undefined] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(378),
    [sym_identifier] = ACTIONS(380),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_switch] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(382),
    [anon_sym_continue] = ACTIONS(13),
    [anon_sym_void] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_do] = ACTIONS(21),
  },
  [42] = {
    [anon_sym_instanceof] = ACTIONS(277),
    [sym__automatic_semicolon] = ACTIONS(277),
    [anon_sym_AMP_EQ] = ACTIONS(281),
    [anon_sym_GT_GT_EQ] = ACTIONS(281),
    [anon_sym_STAR_EQ] = ACTIONS(281),
    [anon_sym_DASH] = ACTIONS(283),
    [anon_sym_STAR_STAR] = ACTIONS(283),
    [anon_sym_STAR] = ACTIONS(283),
    [anon_sym_AMP] = ACTIONS(283),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_PIPE_EQ] = ACTIONS(281),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(281),
    [anon_sym_SLASH_EQ] = ACTIONS(281),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_COMMA] = ACTIONS(277),
    [anon_sym_PLUS_PLUS] = ACTIONS(277),
    [anon_sym_SEMI] = ACTIONS(277),
    [anon_sym_RPAREN] = ACTIONS(277),
    [anon_sym_LT] = ACTIONS(283),
    [anon_sym_LT_LT_EQ] = ACTIONS(281),
    [anon_sym_EQ_EQ] = ACTIONS(283),
    [anon_sym_QMARK] = ACTIONS(277),
    [anon_sym_DASH_DASH] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(283),
    [anon_sym_EQ] = ACTIONS(285),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(281),
    [anon_sym_CARET] = ACTIONS(283),
    [anon_sym_AMP_AMP] = ACTIONS(277),
    [anon_sym_GT_GT] = ACTIONS(283),
    [anon_sym_in] = ACTIONS(283),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(277),
    [anon_sym_SLASH] = ACTIONS(283),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(277),
    [anon_sym_PERCENT_EQ] = ACTIONS(281),
    [anon_sym_PLUS_EQ] = ACTIONS(281),
    [anon_sym_PIPE] = ACTIONS(283),
    [anon_sym_PIPE_PIPE] = ACTIONS(277),
    [anon_sym_GT_GT_GT] = ACTIONS(283),
    [anon_sym_BANG_EQ] = ACTIONS(283),
    [anon_sym_DOT] = ACTIONS(277),
    [anon_sym_BQUOTE] = ACTIONS(277),
    [anon_sym_CARET_EQ] = ACTIONS(281),
    [anon_sym_DASH_EQ] = ACTIONS(281),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_PERCENT] = ACTIONS(283),
    [anon_sym_LT_LT] = ACTIONS(283),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(277),
  },
  [43] = {
    [anon_sym_instanceof] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(283),
    [sym__automatic_semicolon] = ACTIONS(277),
    [anon_sym_EQ] = ACTIONS(384),
    [anon_sym_DASH] = ACTIONS(283),
    [anon_sym_CARET] = ACTIONS(277),
    [anon_sym_STAR_STAR] = ACTIONS(277),
    [anon_sym_STAR] = ACTIONS(283),
    [anon_sym_AMP_AMP] = ACTIONS(277),
    [anon_sym_GT_GT] = ACTIONS(283),
    [anon_sym_AMP] = ACTIONS(283),
    [anon_sym_in] = ACTIONS(287),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(277),
    [anon_sym_SLASH] = ACTIONS(283),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(277),
    [anon_sym_PIPE] = ACTIONS(283),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_PIPE_PIPE] = ACTIONS(277),
    [anon_sym_COMMA] = ACTIONS(277),
    [anon_sym_GT_GT_GT] = ACTIONS(277),
    [anon_sym_SEMI] = ACTIONS(277),
    [anon_sym_PLUS_PLUS] = ACTIONS(277),
    [anon_sym_BANG_EQ] = ACTIONS(283),
    [anon_sym_RPAREN] = ACTIONS(277),
    [anon_sym_LT] = ACTIONS(283),
    [anon_sym_DOT] = ACTIONS(277),
    [anon_sym_BQUOTE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_EQ_EQ] = ACTIONS(283),
    [anon_sym_PERCENT] = ACTIONS(277),
    [anon_sym_QMARK] = ACTIONS(277),
    [anon_sym_LT_LT] = ACTIONS(277),
    [anon_sym_DASH_DASH] = ACTIONS(277),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(277),
  },
  [44] = {
    [sym_decorator] = STATE(50),
    [aux_sym_export_statement_repeat1] = STATE(191),
    [anon_sym_export] = ACTIONS(386),
    [anon_sym_class] = ACTIONS(388),
    [sym_comment] = ACTIONS(3),
    [anon_sym_AT] = ACTIONS(77),
  },
  [45] = {
    [sym__automatic_semicolon] = ACTIONS(390),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(390),
  },
  [46] = {
    [sym_template_string] = STATE(141),
    [sym_arguments] = STATE(141),
    [sym__automatic_semicolon] = ACTIONS(390),
    [anon_sym_GT] = ACTIONS(287),
    [anon_sym_instanceof] = ACTIONS(392),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_CARET] = ACTIONS(396),
    [anon_sym_STAR_STAR] = ACTIONS(398),
    [anon_sym_STAR] = ACTIONS(400),
    [anon_sym_AMP_AMP] = ACTIONS(402),
    [anon_sym_GT_GT] = ACTIONS(400),
    [anon_sym_AMP] = ACTIONS(404),
    [anon_sym_in] = ACTIONS(287),
    [anon_sym_LPAREN] = ACTIONS(271),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(392),
    [anon_sym_GT_EQ] = ACTIONS(392),
    [anon_sym_SLASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(273),
    [anon_sym_PIPE] = ACTIONS(406),
    [anon_sym_LT_EQ] = ACTIONS(392),
    [anon_sym_PIPE_PIPE] = ACTIONS(396),
    [anon_sym_GT_GT_GT] = ACTIONS(408),
    [anon_sym_PLUS_PLUS] = ACTIONS(410),
    [anon_sym_SEMI] = ACTIONS(390),
    [anon_sym_COMMA] = ACTIONS(412),
    [anon_sym_BANG_EQ] = ACTIONS(287),
    [anon_sym_LT] = ACTIONS(287),
    [anon_sym_DOT] = ACTIONS(275),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_EQ_EQ] = ACTIONS(287),
    [anon_sym_PERCENT] = ACTIONS(408),
    [anon_sym_QMARK] = ACTIONS(414),
    [anon_sym_LT_LT] = ACTIONS(408),
    [anon_sym_DASH_DASH] = ACTIONS(410),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(392),
  },
  [47] = {
    [sym_template_string] = STATE(141),
    [sym_arguments] = STATE(141),
    [anon_sym_instanceof] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(283),
    [sym__automatic_semicolon] = ACTIONS(277),
    [anon_sym_DASH] = ACTIONS(283),
    [anon_sym_CARET] = ACTIONS(277),
    [anon_sym_STAR_STAR] = ACTIONS(277),
    [anon_sym_STAR] = ACTIONS(283),
    [anon_sym_AMP_AMP] = ACTIONS(277),
    [anon_sym_GT_GT] = ACTIONS(283),
    [anon_sym_AMP] = ACTIONS(283),
    [anon_sym_in] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(271),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(277),
    [anon_sym_SLASH] = ACTIONS(283),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(277),
    [anon_sym_PIPE] = ACTIONS(283),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_PIPE_PIPE] = ACTIONS(277),
    [anon_sym_COMMA] = ACTIONS(277),
    [anon_sym_GT_GT_GT] = ACTIONS(277),
    [anon_sym_SEMI] = ACTIONS(277),
    [anon_sym_PLUS_PLUS] = ACTIONS(277),
    [anon_sym_BANG_EQ] = ACTIONS(283),
    [anon_sym_RPAREN] = ACTIONS(277),
    [anon_sym_LT] = ACTIONS(283),
    [anon_sym_DOT] = ACTIONS(277),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_EQ_EQ] = ACTIONS(283),
    [anon_sym_PERCENT] = ACTIONS(277),
    [anon_sym_QMARK] = ACTIONS(277),
    [anon_sym_LT_LT] = ACTIONS(277),
    [anon_sym_DASH_DASH] = ACTIONS(277),
    [anon_sym_RBRACE] = ACTIONS(277),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(277),
  },
  [48] = {
    [sym_comment] = ACTIONS(3),
    [ts_builtin_sym_end] = ACTIONS(416),
  },
  [49] = {
    [sym_arrow_function] = STATE(46),
    [sym__declaration] = STATE(201),
    [sym_subscript_expression] = STATE(42),
    [sym_ternary_expression] = STATE(46),
    [sym_if_statement] = STATE(201),
    [sym_template_string] = STATE(46),
    [sym_do_statement] = STATE(201),
    [sym_return_statement] = STATE(201),
    [sym_yield_expression] = STATE(46),
    [sym_jsx_fragment] = STATE(46),
    [sym_function_declaration] = STATE(201),
    [sym_import_statement] = STATE(201),
    [sym_expression_statement] = STATE(201),
    [sym_switch_statement] = STATE(201),
    [sym_update_expression] = STATE(46),
    [sym_try_statement] = STATE(201),
    [sym_meta_property] = STATE(46),
    [sym_throw_statement] = STATE(201),
    [sym_object] = STATE(43),
    [aux_sym_export_statement_repeat1] = STATE(44),
    [sym_generator_function] = STATE(46),
    [sym_await_expression] = STATE(46),
    [sym_sequence_expression] = STATE(45),
    [sym_for_of_statement] = STATE(201),
    [sym_continue_statement] = STATE(201),
    [sym_call_expression] = STATE(46),
    [sym_assignment_expression] = STATE(46),
    [sym_statement_block] = STATE(201),
    [sym_binary_expression] = STATE(46),
    [sym_while_statement] = STATE(201),
    [sym_debugger_statement] = STATE(201),
    [sym__expression] = STATE(46),
    [sym_jsx_element] = STATE(46),
    [sym_function] = STATE(47),
    [sym_new_expression] = STATE(46),
    [sym_augmented_assignment_expression] = STATE(46),
    [sym_variable_declaration] = STATE(201),
    [sym_unary_expression] = STATE(46),
    [sym_for_statement] = STATE(201),
    [sym_regex] = STATE(46),
    [sym_with_statement] = STATE(201),
    [sym_empty_statement] = STATE(201),
    [aux_sym_program_repeat1] = STATE(201),
    [sym_class] = STATE(46),
    [sym_export_statement] = STATE(201),
    [sym_generator_function_declaration] = STATE(201),
    [sym_member_expression] = STATE(42),
    [sym_lexical_declaration] = STATE(201),
    [sym_for_in_statement] = STATE(201),
    [sym_string] = STATE(46),
    [sym_break_statement] = STATE(201),
    [sym_decorator] = STATE(50),
    [sym_labeled_statement] = STATE(201),
    [sym_formal_parameters] = STATE(51),
    [sym_parenthesized_expression] = STATE(46),
    [sym_array] = STATE(52),
    [sym_jsx_opening_element] = STATE(53),
    [sym_jsx_self_closing_element] = STATE(46),
    [sym_class_declaration] = STATE(201),
    [anon_sym_await] = ACTIONS(5),
    [anon_sym_PLUS] = ACTIONS(7),
    [sym_null] = ACTIONS(9),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_continue] = ACTIONS(13),
    [anon_sym_try] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_for] = ACTIONS(19),
    [anon_sym_do] = ACTIONS(21),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_function] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_import] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_with] = ACTIONS(35),
    [anon_sym_throw] = ACTIONS(37),
    [anon_sym_delete] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [anon_sym_SLASH] = ACTIONS(45),
    [sym_this] = ACTIONS(9),
    [sym_undefined] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(23),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [sym_super] = ACTIONS(63),
    [sym_identifier] = ACTIONS(65),
    [sym_false] = ACTIONS(9),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_LT] = ACTIONS(69),
    [sym_number] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [ts_builtin_sym_end] = ACTIONS(259),
    [anon_sym_TILDE] = ACTIONS(43),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_set] = ACTIONS(23),
    [anon_sym_async] = ACTIONS(81),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_switch] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_void] = ACTIONS(39),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_export] = ACTIONS(89),
    [anon_sym_typeof] = ACTIONS(39),
  },
  [50] = {
    [anon_sym_class] = ACTIONS(418),
    [anon_sym_DQUOTE] = ACTIONS(420),
    [anon_sym_static] = ACTIONS(418),
    [sym_identifier] = ACTIONS(418),
    [anon_sym_STAR] = ACTIONS(420),
    [sym_number] = ACTIONS(420),
    [anon_sym_SQUOTE] = ACTIONS(420),
    [anon_sym_set] = ACTIONS(418),
    [anon_sym_AT] = ACTIONS(420),
    [anon_sym_async] = ACTIONS(418),
    [anon_sym_export] = ACTIONS(418),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(420),
    [anon_sym_get] = ACTIONS(418),
  },
  [51] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(422),
  },
  [52] = {
    [anon_sym_instanceof] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(283),
    [sym__automatic_semicolon] = ACTIONS(277),
    [anon_sym_EQ] = ACTIONS(424),
    [anon_sym_DASH] = ACTIONS(283),
    [anon_sym_CARET] = ACTIONS(277),
    [anon_sym_STAR_STAR] = ACTIONS(277),
    [anon_sym_STAR] = ACTIONS(283),
    [anon_sym_AMP_AMP] = ACTIONS(277),
    [anon_sym_GT_GT] = ACTIONS(283),
    [anon_sym_AMP] = ACTIONS(283),
    [anon_sym_in] = ACTIONS(287),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(277),
    [anon_sym_SLASH] = ACTIONS(283),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(277),
    [anon_sym_PIPE] = ACTIONS(283),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_PIPE_PIPE] = ACTIONS(277),
    [anon_sym_COMMA] = ACTIONS(277),
    [anon_sym_GT_GT_GT] = ACTIONS(277),
    [anon_sym_SEMI] = ACTIONS(277),
    [anon_sym_PLUS_PLUS] = ACTIONS(277),
    [anon_sym_BANG_EQ] = ACTIONS(283),
    [anon_sym_RPAREN] = ACTIONS(277),
    [anon_sym_LT] = ACTIONS(283),
    [anon_sym_DOT] = ACTIONS(277),
    [anon_sym_BQUOTE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_EQ_EQ] = ACTIONS(283),
    [anon_sym_PERCENT] = ACTIONS(277),
    [anon_sym_QMARK] = ACTIONS(277),
    [anon_sym_LT_LT] = ACTIONS(277),
    [anon_sym_DASH_DASH] = ACTIONS(277),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(277),
  },
  [53] = {
    [sym_jsx_expression] = STATE(207),
    [sym_jsx_closing_element] = STATE(206),
    [aux_sym_jsx_element_repeat1] = STATE(207),
    [sym_jsx_opening_element] = STATE(967),
    [sym_jsx_self_closing_element] = STATE(207),
    [sym_jsx_element] = STATE(207),
    [anon_sym_LBRACE] = ACTIONS(426),
    [sym_comment] = ACTIONS(237),
    [sym_jsx_text] = ACTIONS(428),
    [anon_sym_LT] = ACTIONS(430),
  },
  [54] = {
    [sym_class_body] = STATE(65),
    [sym_class_heritage] = STATE(66),
    [anon_sym_LBRACE] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_identifier] = ACTIONS(432),
    [anon_sym_extends] = ACTIONS(113),
  },
  [55] = {
    [sym_formal_parameters] = STATE(80),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(139),
    [sym_identifier] = ACTIONS(434),
    [anon_sym_STAR] = ACTIONS(436),
  },
  [56] = {
    [sym_method_definition] = STATE(104),
    [sym_pair] = STATE(104),
    [sym_object] = STATE(216),
    [aux_sym_export_statement_repeat1] = STATE(217),
    [aux_sym_object_repeat1] = STATE(109),
    [sym_assignment_pattern] = STATE(104),
    [sym_spread_element] = STATE(104),
    [sym_string] = STATE(107),
    [sym_decorator] = STATE(50),
    [sym__property_name] = STATE(107),
    [sym_computed_property_name] = STATE(107),
    [sym_array] = STATE(218),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(165),
    [anon_sym_COMMA] = ACTIONS(167),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_static] = ACTIONS(438),
    [sym_identifier] = ACTIONS(440),
    [anon_sym_STAR] = ACTIONS(161),
    [sym_number] = ACTIONS(442),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [anon_sym_set] = ACTIONS(444),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_async] = ACTIONS(446),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(448),
    [anon_sym_RBRACE] = ACTIONS(450),
    [anon_sym_get] = ACTIONS(444),
  },
  [57] = {
    [anon_sym_instanceof] = ACTIONS(277),
    [sym__automatic_semicolon] = ACTIONS(277),
    [anon_sym_AMP_EQ] = ACTIONS(281),
    [anon_sym_GT_GT_EQ] = ACTIONS(281),
    [anon_sym_STAR_EQ] = ACTIONS(281),
    [anon_sym_DASH] = ACTIONS(283),
    [anon_sym_STAR_STAR] = ACTIONS(283),
    [anon_sym_STAR] = ACTIONS(283),
    [anon_sym_AMP] = ACTIONS(283),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_PIPE_EQ] = ACTIONS(281),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(281),
    [anon_sym_SLASH_EQ] = ACTIONS(281),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_COMMA] = ACTIONS(277),
    [anon_sym_PLUS_PLUS] = ACTIONS(277),
    [anon_sym_SEMI] = ACTIONS(277),
    [anon_sym_RPAREN] = ACTIONS(277),
    [anon_sym_LT] = ACTIONS(283),
    [anon_sym_LT_LT_EQ] = ACTIONS(281),
    [anon_sym_EQ_EQ] = ACTIONS(283),
    [anon_sym_QMARK] = ACTIONS(277),
    [anon_sym_DASH_DASH] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(283),
    [anon_sym_EQ] = ACTIONS(285),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(281),
    [anon_sym_CARET] = ACTIONS(283),
    [anon_sym_AMP_AMP] = ACTIONS(277),
    [anon_sym_GT_GT] = ACTIONS(283),
    [anon_sym_in] = ACTIONS(287),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(277),
    [anon_sym_SLASH] = ACTIONS(283),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(277),
    [anon_sym_PERCENT_EQ] = ACTIONS(281),
    [anon_sym_EQ_GT] = ACTIONS(289),
    [anon_sym_PLUS_EQ] = ACTIONS(281),
    [anon_sym_PIPE] = ACTIONS(283),
    [anon_sym_PIPE_PIPE] = ACTIONS(277),
    [anon_sym_GT_GT_GT] = ACTIONS(283),
    [anon_sym_BANG_EQ] = ACTIONS(283),
    [anon_sym_DOT] = ACTIONS(275),
    [anon_sym_BQUOTE] = ACTIONS(277),
    [anon_sym_CARET_EQ] = ACTIONS(281),
    [anon_sym_DASH_EQ] = ACTIONS(281),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_PERCENT] = ACTIONS(283),
    [anon_sym_LT_LT] = ACTIONS(283),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(277),
  },
  [58] = {
    [sym_formal_parameters] = STATE(156),
    [anon_sym_instanceof] = ACTIONS(133),
    [sym__automatic_semicolon] = ACTIONS(129),
    [anon_sym_AMP_EQ] = ACTIONS(131),
    [anon_sym_GT_GT_EQ] = ACTIONS(131),
    [anon_sym_STAR_EQ] = ACTIONS(131),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_STAR_STAR] = ACTIONS(133),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_GT_EQ] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(311),
    [anon_sym_PIPE_EQ] = ACTIONS(131),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(131),
    [anon_sym_SLASH_EQ] = ACTIONS(131),
    [anon_sym_LT_EQ] = ACTIONS(129),
    [anon_sym_COMMA] = ACTIONS(129),
    [anon_sym_PLUS_PLUS] = ACTIONS(129),
    [anon_sym_SEMI] = ACTIONS(129),
    [anon_sym_RPAREN] = ACTIONS(129),
    [anon_sym_LT] = ACTIONS(133),
    [anon_sym_LT_LT_EQ] = ACTIONS(131),
    [anon_sym_EQ_EQ] = ACTIONS(133),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_DASH_DASH] = ACTIONS(129),
    [anon_sym_GT] = ACTIONS(133),
    [anon_sym_EQ] = ACTIONS(135),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(452),
    [anon_sym_CARET] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(129),
    [anon_sym_GT_GT] = ACTIONS(133),
    [anon_sym_in] = ACTIONS(133),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(129),
    [anon_sym_SLASH] = ACTIONS(133),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(129),
    [anon_sym_PERCENT_EQ] = ACTIONS(131),
    [anon_sym_PLUS_EQ] = ACTIONS(131),
    [anon_sym_PIPE] = ACTIONS(133),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_GT_GT_GT] = ACTIONS(133),
    [anon_sym_BANG_EQ] = ACTIONS(133),
    [sym_identifier] = ACTIONS(316),
    [anon_sym_DOT] = ACTIONS(137),
    [anon_sym_BQUOTE] = ACTIONS(129),
    [anon_sym_CARET_EQ] = ACTIONS(131),
    [anon_sym_DASH_EQ] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_LT_LT] = ACTIONS(133),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(129),
  },
  [59] = {
    [sym_template_string] = STATE(141),
    [sym_arguments] = STATE(141),
    [anon_sym_instanceof] = ACTIONS(392),
    [anon_sym_GT] = ACTIONS(287),
    [sym__automatic_semicolon] = ACTIONS(454),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_CARET] = ACTIONS(396),
    [anon_sym_STAR_STAR] = ACTIONS(398),
    [anon_sym_STAR] = ACTIONS(400),
    [anon_sym_AMP_AMP] = ACTIONS(402),
    [anon_sym_GT_GT] = ACTIONS(400),
    [anon_sym_AMP] = ACTIONS(404),
    [anon_sym_in] = ACTIONS(287),
    [anon_sym_LPAREN] = ACTIONS(271),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(392),
    [anon_sym_SLASH] = ACTIONS(400),
    [anon_sym_GT_EQ] = ACTIONS(392),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(273),
    [anon_sym_PIPE] = ACTIONS(406),
    [anon_sym_LT_EQ] = ACTIONS(392),
    [anon_sym_PIPE_PIPE] = ACTIONS(396),
    [anon_sym_COMMA] = ACTIONS(454),
    [anon_sym_GT_GT_GT] = ACTIONS(408),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_PLUS_PLUS] = ACTIONS(410),
    [anon_sym_BANG_EQ] = ACTIONS(287),
    [anon_sym_RPAREN] = ACTIONS(454),
    [anon_sym_LT] = ACTIONS(287),
    [anon_sym_DOT] = ACTIONS(275),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_EQ_EQ] = ACTIONS(287),
    [anon_sym_PERCENT] = ACTIONS(408),
    [anon_sym_QMARK] = ACTIONS(414),
    [anon_sym_LT_LT] = ACTIONS(408),
    [anon_sym_DASH_DASH] = ACTIONS(410),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(392),
  },
  [60] = {
    [sym_decorator] = STATE(50),
    [aux_sym_export_statement_repeat1] = STATE(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(456),
    [anon_sym_AT] = ACTIONS(77),
  },
  [61] = {
    [sym_template_string] = STATE(141),
    [sym_arguments] = STATE(141),
    [anon_sym_instanceof] = ACTIONS(458),
    [anon_sym_GT] = ACTIONS(460),
    [sym__automatic_semicolon] = ACTIONS(458),
    [anon_sym_DASH] = ACTIONS(460),
    [anon_sym_CARET] = ACTIONS(458),
    [anon_sym_STAR_STAR] = ACTIONS(458),
    [anon_sym_STAR] = ACTIONS(460),
    [anon_sym_AMP_AMP] = ACTIONS(458),
    [anon_sym_GT_GT] = ACTIONS(460),
    [anon_sym_AMP] = ACTIONS(460),
    [anon_sym_in] = ACTIONS(460),
    [anon_sym_LPAREN] = ACTIONS(271),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(458),
    [anon_sym_SLASH] = ACTIONS(460),
    [anon_sym_GT_EQ] = ACTIONS(458),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(273),
    [anon_sym_PIPE] = ACTIONS(460),
    [anon_sym_LT_EQ] = ACTIONS(458),
    [anon_sym_PIPE_PIPE] = ACTIONS(458),
    [anon_sym_COMMA] = ACTIONS(458),
    [anon_sym_GT_GT_GT] = ACTIONS(458),
    [anon_sym_SEMI] = ACTIONS(458),
    [anon_sym_PLUS_PLUS] = ACTIONS(410),
    [anon_sym_BANG_EQ] = ACTIONS(460),
    [anon_sym_RPAREN] = ACTIONS(458),
    [anon_sym_LT] = ACTIONS(460),
    [anon_sym_DOT] = ACTIONS(275),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(460),
    [anon_sym_EQ_EQ] = ACTIONS(460),
    [anon_sym_PERCENT] = ACTIONS(458),
    [anon_sym_QMARK] = ACTIONS(458),
    [anon_sym_LT_LT] = ACTIONS(458),
    [anon_sym_DASH_DASH] = ACTIONS(410),
    [anon_sym_RBRACE] = ACTIONS(458),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(458),
  },
  [62] = {
    [sym_method_definition] = STATE(227),
    [sym_string] = STATE(229),
    [aux_sym_export_statement_repeat1] = STATE(217),
    [sym_decorator] = STATE(50),
    [sym_public_field_definition] = STATE(228),
    [sym__property_name] = STATE(229),
    [sym_computed_property_name] = STATE(229),
    [aux_sym_class_body_repeat1] = STATE(230),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_static] = ACTIONS(462),
    [sym_identifier] = ACTIONS(464),
    [anon_sym_STAR] = ACTIONS(161),
    [sym_number] = ACTIONS(466),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_set] = ACTIONS(468),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_async] = ACTIONS(470),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(472),
    [anon_sym_RBRACE] = ACTIONS(474),
    [anon_sym_get] = ACTIONS(468),
  },
  [63] = {
    [sym_class_body] = STATE(231),
    [sym_class_heritage] = STATE(232),
    [anon_sym_LBRACE] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [anon_sym_extends] = ACTIONS(476),
  },
  [64] = {
    [sym_arrow_function] = STATE(233),
    [sym_call_expression] = STATE(233),
    [sym_subscript_expression] = STATE(701),
    [sym_assignment_expression] = STATE(233),
    [sym_ternary_expression] = STATE(233),
    [sym_binary_expression] = STATE(233),
    [sym_template_string] = STATE(233),
    [sym__expression] = STATE(233),
    [sym_yield_expression] = STATE(233),
    [sym_jsx_element] = STATE(233),
    [sym_jsx_fragment] = STATE(233),
    [sym_function] = STATE(703),
    [sym_new_expression] = STATE(233),
    [sym_augmented_assignment_expression] = STATE(233),
    [sym_unary_expression] = STATE(233),
    [sym_update_expression] = STATE(233),
    [sym_regex] = STATE(233),
    [sym_meta_property] = STATE(233),
    [sym_object] = STATE(702),
    [aux_sym_export_statement_repeat1] = STATE(1016),
    [sym_class] = STATE(233),
    [sym_generator_function] = STATE(233),
    [sym_await_expression] = STATE(233),
    [sym_member_expression] = STATE(701),
    [sym_string] = STATE(233),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(874),
    [sym_parenthesized_expression] = STATE(233),
    [sym_array] = STATE(704),
    [sym_jsx_opening_element] = STATE(875),
    [sym_jsx_self_closing_element] = STATE(233),
    [anon_sym_await] = ACTIONS(217),
    [sym_null] = ACTIONS(478),
    [anon_sym_class] = ACTIONS(183),
    [anon_sym_static] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(219),
    [anon_sym_DASH] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_delete] = ACTIONS(191),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [anon_sym_LPAREN] = ACTIONS(193),
    [anon_sym_BANG] = ACTIONS(195),
    [sym_this] = ACTIONS(478),
    [sym_undefined] = ACTIONS(478),
    [sym_true] = ACTIONS(478),
    [anon_sym_SLASH] = ACTIONS(223),
    [anon_sym_LBRACK] = ACTIONS(225),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(243),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_TILDE] = ACTIONS(195),
    [sym_super] = ACTIONS(207),
    [sym_identifier] = ACTIONS(253),
    [sym_false] = ACTIONS(478),
    [anon_sym_LT] = ACTIONS(209),
    [sym_number] = ACTIONS(480),
    [anon_sym_yield] = ACTIONS(213),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_set] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(251),
    [anon_sym_new] = ACTIONS(231),
    [anon_sym_PLUS] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_void] = ACTIONS(191),
    [anon_sym_typeof] = ACTIONS(191),
  },
  [65] = {
    [anon_sym_instanceof] = ACTIONS(482),
    [anon_sym_GT] = ACTIONS(484),
    [sym__automatic_semicolon] = ACTIONS(482),
    [anon_sym_DASH] = ACTIONS(484),
    [anon_sym_CARET] = ACTIONS(482),
    [anon_sym_STAR_STAR] = ACTIONS(482),
    [anon_sym_STAR] = ACTIONS(484),
    [anon_sym_AMP_AMP] = ACTIONS(482),
    [anon_sym_GT_GT] = ACTIONS(484),
    [anon_sym_AMP] = ACTIONS(484),
    [anon_sym_in] = ACTIONS(484),
    [anon_sym_LPAREN] = ACTIONS(482),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(482),
    [anon_sym_SLASH] = ACTIONS(484),
    [anon_sym_GT_EQ] = ACTIONS(482),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(482),
    [anon_sym_PIPE] = ACTIONS(484),
    [anon_sym_LT_EQ] = ACTIONS(482),
    [anon_sym_PIPE_PIPE] = ACTIONS(482),
    [anon_sym_COMMA] = ACTIONS(482),
    [anon_sym_GT_GT_GT] = ACTIONS(482),
    [anon_sym_SEMI] = ACTIONS(482),
    [anon_sym_PLUS_PLUS] = ACTIONS(482),
    [anon_sym_BANG_EQ] = ACTIONS(484),
    [anon_sym_RPAREN] = ACTIONS(482),
    [anon_sym_LT] = ACTIONS(484),
    [anon_sym_DOT] = ACTIONS(482),
    [anon_sym_BQUOTE] = ACTIONS(482),
    [anon_sym_PLUS] = ACTIONS(484),
    [anon_sym_EQ_EQ] = ACTIONS(484),
    [anon_sym_PERCENT] = ACTIONS(482),
    [anon_sym_QMARK] = ACTIONS(482),
    [anon_sym_LT_LT] = ACTIONS(482),
    [anon_sym_DASH_DASH] = ACTIONS(482),
    [anon_sym_RBRACE] = ACTIONS(482),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(482),
  },
  [66] = {
    [sym_class_body] = STATE(234),
    [anon_sym_LBRACE] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
  },
  [67] = {
    [sym_template_string] = STATE(141),
    [sym_arguments] = STATE(141),
    [anon_sym_instanceof] = ACTIONS(486),
    [anon_sym_GT] = ACTIONS(488),
    [sym__automatic_semicolon] = ACTIONS(486),
    [anon_sym_DASH] = ACTIONS(488),
    [anon_sym_CARET] = ACTIONS(486),
    [anon_sym_STAR_STAR] = ACTIONS(486),
    [anon_sym_STAR] = ACTIONS(488),
    [anon_sym_AMP_AMP] = ACTIONS(486),
    [anon_sym_GT_GT] = ACTIONS(488),
    [anon_sym_AMP] = ACTIONS(488),
    [anon_sym_in] = ACTIONS(488),
    [anon_sym_LPAREN] = ACTIONS(271),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(486),
    [anon_sym_SLASH] = ACTIONS(488),
    [anon_sym_GT_EQ] = ACTIONS(486),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(273),
    [anon_sym_PIPE] = ACTIONS(488),
    [anon_sym_LT_EQ] = ACTIONS(486),
    [anon_sym_PIPE_PIPE] = ACTIONS(486),
    [anon_sym_COMMA] = ACTIONS(486),
    [anon_sym_GT_GT_GT] = ACTIONS(486),
    [anon_sym_SEMI] = ACTIONS(486),
    [anon_sym_PLUS_PLUS] = ACTIONS(486),
    [anon_sym_BANG_EQ] = ACTIONS(488),
    [anon_sym_RPAREN] = ACTIONS(486),
    [anon_sym_LT] = ACTIONS(488),
    [anon_sym_DOT] = ACTIONS(275),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(488),
    [anon_sym_EQ_EQ] = ACTIONS(488),
    [anon_sym_PERCENT] = ACTIONS(486),
    [anon_sym_QMARK] = ACTIONS(486),
    [anon_sym_LT_LT] = ACTIONS(486),
    [anon_sym_DASH_DASH] = ACTIONS(486),
    [anon_sym_RBRACE] = ACTIONS(486),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(486),
  },
  [68] = {
    [sym_arrow_function] = STATE(235),
    [sym_call_expression] = STATE(235),
    [sym_subscript_expression] = STATE(701),
    [sym_assignment_expression] = STATE(235),
    [sym_ternary_expression] = STATE(235),
    [sym_binary_expression] = STATE(235),
    [sym_template_string] = STATE(235),
    [sym__expression] = STATE(235),
    [sym_yield_expression] = STATE(235),
    [sym_jsx_element] = STATE(235),
    [sym_jsx_fragment] = STATE(235),
    [sym_function] = STATE(703),
    [sym_new_expression] = STATE(235),
    [sym_augmented_assignment_expression] = STATE(235),
    [sym_unary_expression] = STATE(235),
    [sym_update_expression] = STATE(235),
    [sym_regex] = STATE(235),
    [sym_meta_property] = STATE(235),
    [sym_object] = STATE(702),
    [aux_sym_export_statement_repeat1] = STATE(1016),
    [sym_class] = STATE(235),
    [sym_generator_function] = STATE(235),
    [sym_await_expression] = STATE(235),
    [sym_member_expression] = STATE(701),
    [sym_sequence_expression] = STATE(236),
    [sym_string] = STATE(235),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(874),
    [sym_parenthesized_expression] = STATE(235),
    [sym_array] = STATE(704),
    [sym_jsx_opening_element] = STATE(875),
    [sym_jsx_self_closing_element] = STATE(235),
    [anon_sym_await] = ACTIONS(217),
    [sym_null] = ACTIONS(490),
    [anon_sym_class] = ACTIONS(183),
    [anon_sym_static] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(219),
    [anon_sym_DASH] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_delete] = ACTIONS(191),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [anon_sym_LPAREN] = ACTIONS(193),
    [anon_sym_BANG] = ACTIONS(195),
    [sym_this] = ACTIONS(490),
    [sym_undefined] = ACTIONS(490),
    [sym_true] = ACTIONS(490),
    [anon_sym_SLASH] = ACTIONS(223),
    [anon_sym_LBRACK] = ACTIONS(225),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(243),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_TILDE] = ACTIONS(195),
    [sym_super] = ACTIONS(207),
    [sym_identifier] = ACTIONS(253),
    [sym_false] = ACTIONS(490),
    [anon_sym_LT] = ACTIONS(209),
    [sym_number] = ACTIONS(492),
    [anon_sym_yield] = ACTIONS(213),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_set] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(251),
    [anon_sym_new] = ACTIONS(231),
    [anon_sym_PLUS] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_void] = ACTIONS(191),
    [anon_sym_typeof] = ACTIONS(191),
  },
  [69] = {
    [anon_sym_instanceof] = ACTIONS(494),
    [anon_sym_GT] = ACTIONS(496),
    [sym__automatic_semicolon] = ACTIONS(494),
    [anon_sym_DASH] = ACTIONS(496),
    [anon_sym_CARET] = ACTIONS(494),
    [anon_sym_STAR_STAR] = ACTIONS(494),
    [anon_sym_STAR] = ACTIONS(496),
    [anon_sym_AMP_AMP] = ACTIONS(494),
    [anon_sym_GT_GT] = ACTIONS(496),
    [anon_sym_AMP] = ACTIONS(496),
    [anon_sym_in] = ACTIONS(496),
    [anon_sym_LPAREN] = ACTIONS(494),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(494),
    [anon_sym_SLASH] = ACTIONS(496),
    [anon_sym_GT_EQ] = ACTIONS(494),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(494),
    [anon_sym_PIPE] = ACTIONS(496),
    [anon_sym_LT_EQ] = ACTIONS(494),
    [anon_sym_PIPE_PIPE] = ACTIONS(494),
    [anon_sym_COMMA] = ACTIONS(494),
    [anon_sym_GT_GT_GT] = ACTIONS(494),
    [anon_sym_SEMI] = ACTIONS(494),
    [anon_sym_PLUS_PLUS] = ACTIONS(494),
    [anon_sym_BANG_EQ] = ACTIONS(496),
    [anon_sym_RPAREN] = ACTIONS(494),
    [anon_sym_LT] = ACTIONS(496),
    [anon_sym_DOT] = ACTIONS(494),
    [anon_sym_BQUOTE] = ACTIONS(494),
    [anon_sym_PLUS] = ACTIONS(496),
    [anon_sym_EQ_EQ] = ACTIONS(496),
    [anon_sym_PERCENT] = ACTIONS(494),
    [anon_sym_QMARK] = ACTIONS(494),
    [anon_sym_LT_LT] = ACTIONS(494),
    [anon_sym_DASH_DASH] = ACTIONS(494),
    [anon_sym_RBRACE] = ACTIONS(494),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(494),
  },
  [70] = {
    [sym_template_substitution] = STATE(238),
    [aux_sym_template_string_repeat1] = STATE(238),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(119),
    [sym_escape_sequence] = ACTIONS(498),
    [sym__template_chars] = ACTIONS(498),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(500),
  },
  [71] = {
    [sym_arguments] = STATE(240),
    [anon_sym_class] = ACTIONS(502),
    [anon_sym_DQUOTE] = ACTIONS(504),
    [anon_sym_static] = ACTIONS(502),
    [sym_identifier] = ACTIONS(502),
    [anon_sym_DOT] = ACTIONS(506),
    [anon_sym_STAR] = ACTIONS(504),
    [sym_number] = ACTIONS(504),
    [anon_sym_SQUOTE] = ACTIONS(504),
    [anon_sym_set] = ACTIONS(502),
    [anon_sym_AT] = ACTIONS(504),
    [anon_sym_LPAREN] = ACTIONS(508),
    [anon_sym_async] = ACTIONS(502),
    [anon_sym_export] = ACTIONS(502),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(504),
    [anon_sym_get] = ACTIONS(502),
  },
  [72] = {
    [sym_arguments] = STATE(242),
    [anon_sym_class] = ACTIONS(510),
    [anon_sym_DQUOTE] = ACTIONS(512),
    [anon_sym_static] = ACTIONS(510),
    [sym_identifier] = ACTIONS(510),
    [anon_sym_DOT] = ACTIONS(514),
    [anon_sym_STAR] = ACTIONS(512),
    [sym_number] = ACTIONS(512),
    [anon_sym_SQUOTE] = ACTIONS(512),
    [anon_sym_set] = ACTIONS(510),
    [anon_sym_AT] = ACTIONS(512),
    [anon_sym_LPAREN] = ACTIONS(508),
    [anon_sym_async] = ACTIONS(510),
    [anon_sym_export] = ACTIONS(510),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(512),
    [anon_sym_get] = ACTIONS(510),
  },
  [73] = {
    [anon_sym_class] = ACTIONS(510),
    [anon_sym_DQUOTE] = ACTIONS(512),
    [anon_sym_static] = ACTIONS(510),
    [sym_identifier] = ACTIONS(510),
    [anon_sym_STAR] = ACTIONS(512),
    [sym_number] = ACTIONS(512),
    [anon_sym_SQUOTE] = ACTIONS(512),
    [anon_sym_set] = ACTIONS(510),
    [anon_sym_AT] = ACTIONS(512),
    [anon_sym_async] = ACTIONS(510),
    [anon_sym_export] = ACTIONS(510),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(512),
    [anon_sym_get] = ACTIONS(510),
  },
  [74] = {
    [sym_arrow_function] = STATE(243),
    [sym_call_expression] = STATE(243),
    [sym_subscript_expression] = STATE(42),
    [sym_assignment_expression] = STATE(243),
    [sym_ternary_expression] = STATE(243),
    [sym_binary_expression] = STATE(243),
    [sym_template_string] = STATE(243),
    [sym__expression] = STATE(243),
    [sym_yield_expression] = STATE(243),
    [sym_jsx_element] = STATE(243),
    [sym_jsx_fragment] = STATE(243),
    [sym_function] = STATE(47),
    [sym_new_expression] = STATE(243),
    [sym_augmented_assignment_expression] = STATE(243),
    [sym_unary_expression] = STATE(243),
    [sym_update_expression] = STATE(243),
    [sym_regex] = STATE(243),
    [sym_meta_property] = STATE(243),
    [sym_object] = STATE(43),
    [aux_sym_export_statement_repeat1] = STATE(60),
    [sym_class] = STATE(243),
    [sym_generator_function] = STATE(243),
    [sym_await_expression] = STATE(243),
    [sym_member_expression] = STATE(42),
    [sym_string] = STATE(243),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(51),
    [sym_parenthesized_expression] = STATE(243),
    [sym_array] = STATE(52),
    [sym_jsx_opening_element] = STATE(53),
    [sym_jsx_self_closing_element] = STATE(243),
    [anon_sym_await] = ACTIONS(5),
    [sym_null] = ACTIONS(516),
    [anon_sym_class] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_function] = ACTIONS(95),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(97),
    [anon_sym_delete] = ACTIONS(39),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(516),
    [sym_undefined] = ACTIONS(516),
    [sym_true] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(49),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(63),
    [sym_identifier] = ACTIONS(99),
    [sym_false] = ACTIONS(516),
    [anon_sym_LT] = ACTIONS(69),
    [sym_number] = ACTIONS(518),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_set] = ACTIONS(23),
    [anon_sym_async] = ACTIONS(103),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_void] = ACTIONS(39),
    [anon_sym_typeof] = ACTIONS(39),
  },
  [75] = {
    [sym_arrow_function] = STATE(244),
    [sym_call_expression] = STATE(244),
    [sym_subscript_expression] = STATE(42),
    [sym_assignment_expression] = STATE(244),
    [sym_ternary_expression] = STATE(244),
    [sym_binary_expression] = STATE(244),
    [sym_template_string] = STATE(244),
    [sym__expression] = STATE(244),
    [sym_yield_expression] = STATE(244),
    [sym_jsx_element] = STATE(244),
    [sym_jsx_fragment] = STATE(244),
    [sym_function] = STATE(47),
    [sym_new_expression] = STATE(244),
    [sym_augmented_assignment_expression] = STATE(244),
    [sym_unary_expression] = STATE(244),
    [sym_update_expression] = STATE(244),
    [sym_regex] = STATE(244),
    [sym_meta_property] = STATE(244),
    [sym_object] = STATE(43),
    [aux_sym_export_statement_repeat1] = STATE(60),
    [sym_class] = STATE(244),
    [sym_generator_function] = STATE(244),
    [sym_await_expression] = STATE(244),
    [sym_member_expression] = STATE(42),
    [sym_string] = STATE(244),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(51),
    [sym_parenthesized_expression] = STATE(244),
    [sym_array] = STATE(52),
    [sym_jsx_opening_element] = STATE(53),
    [sym_jsx_self_closing_element] = STATE(244),
    [anon_sym_await] = ACTIONS(5),
    [sym_null] = ACTIONS(520),
    [anon_sym_class] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_function] = ACTIONS(95),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(97),
    [anon_sym_delete] = ACTIONS(39),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(520),
    [sym_undefined] = ACTIONS(520),
    [sym_true] = ACTIONS(520),
    [anon_sym_SLASH] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(49),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(63),
    [sym_identifier] = ACTIONS(99),
    [sym_false] = ACTIONS(520),
    [anon_sym_LT] = ACTIONS(69),
    [sym_number] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_set] = ACTIONS(23),
    [anon_sym_async] = ACTIONS(103),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_void] = ACTIONS(39),
    [anon_sym_typeof] = ACTIONS(39),
  },
  [76] = {
    [sym_identifier] = ACTIONS(524),
    [sym_comment] = ACTIONS(3),
  },
  [77] = {
    [sym_array] = STATE(248),
    [sym_object] = STATE(249),
    [sym_assignment_pattern] = STATE(119),
    [sym_rest_parameter] = STATE(119),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(199),
    [anon_sym_RPAREN] = ACTIONS(205),
    [anon_sym_static] = ACTIONS(526),
    [sym_identifier] = ACTIONS(528),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_set] = ACTIONS(526),
    [anon_sym_async] = ACTIONS(526),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_get] = ACTIONS(526),
  },
  [78] = {
    [sym_formal_parameters] = STATE(250),
    [anon_sym_LPAREN] = ACTIONS(139),
    [sym_comment] = ACTIONS(3),
  },
  [79] = {
    [sym_formal_parameters] = STATE(252),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(139),
    [sym_identifier] = ACTIONS(530),
  },
  [80] = {
    [sym_statement_block] = STATE(253),
    [anon_sym_LBRACE] = ACTIONS(532),
    [sym_comment] = ACTIONS(3),
  },
  [81] = {
    [sym__initializer] = STATE(255),
    [sym__automatic_semicolon] = ACTIONS(534),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(534),
    [anon_sym_EQ] = ACTIONS(536),
    [anon_sym_SEMI] = ACTIONS(534),
  },
  [82] = {
    [aux_sym_variable_declaration_repeat1] = STATE(258),
    [sym__automatic_semicolon] = ACTIONS(538),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(540),
    [anon_sym_SEMI] = ACTIONS(538),
  },
  [83] = {
    [sym__initializer] = STATE(259),
    [sym__automatic_semicolon] = ACTIONS(542),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(542),
    [anon_sym_EQ] = ACTIONS(536),
    [anon_sym_SEMI] = ACTIONS(542),
  },
  [84] = {
    [sym__initializer] = STATE(260),
    [sym__automatic_semicolon] = ACTIONS(544),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(544),
    [anon_sym_EQ] = ACTIONS(536),
    [anon_sym_SEMI] = ACTIONS(544),
  },
  [85] = {
    [sym__import_export_specifier] = STATE(264),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACE] = ACTIONS(546),
    [sym_identifier] = ACTIONS(548),
    [anon_sym_COMMA] = ACTIONS(550),
  },
  [86] = {
    [anon_sym_from] = ACTIONS(552),
    [anon_sym_COMMA] = ACTIONS(554),
    [sym_comment] = ACTIONS(3),
  },
  [87] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_as] = ACTIONS(556),
  },
  [88] = {
    [sym__from_clause] = STATE(268),
    [anon_sym_from] = ACTIONS(558),
    [sym_comment] = ACTIONS(3),
  },
  [89] = {
    [sym__automatic_semicolon] = ACTIONS(560),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(560),
  },
  [90] = {
    [anon_sym_from] = ACTIONS(552),
    [sym_comment] = ACTIONS(3),
  },
  [91] = {
    [sym_arrow_function] = STATE(892),
    [sym_call_expression] = STATE(892),
    [sym_subscript_expression] = STATE(701),
    [sym_assignment_expression] = STATE(892),
    [sym_ternary_expression] = STATE(892),
    [sym_binary_expression] = STATE(892),
    [sym_template_string] = STATE(892),
    [sym__expression] = STATE(892),
    [sym_yield_expression] = STATE(892),
    [sym_jsx_element] = STATE(892),
    [sym_jsx_fragment] = STATE(892),
    [sym_function] = STATE(703),
    [sym_new_expression] = STATE(892),
    [sym_augmented_assignment_expression] = STATE(892),
    [sym_unary_expression] = STATE(892),
    [sym_update_expression] = STATE(892),
    [sym_regex] = STATE(892),
    [sym_meta_property] = STATE(892),
    [sym_object] = STATE(702),
    [aux_sym_export_statement_repeat1] = STATE(1016),
    [sym_class] = STATE(892),
    [sym_generator_function] = STATE(892),
    [sym_await_expression] = STATE(892),
    [sym_member_expression] = STATE(701),
    [sym_sequence_expression] = STATE(893),
    [sym_string] = STATE(892),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(874),
    [sym_parenthesized_expression] = STATE(892),
    [sym_array] = STATE(704),
    [sym_jsx_opening_element] = STATE(875),
    [sym_jsx_self_closing_element] = STATE(892),
    [anon_sym_await] = ACTIONS(217),
    [sym_null] = ACTIONS(562),
    [anon_sym_class] = ACTIONS(183),
    [anon_sym_static] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(219),
    [anon_sym_DASH] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_delete] = ACTIONS(191),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [anon_sym_LPAREN] = ACTIONS(193),
    [anon_sym_BANG] = ACTIONS(195),
    [sym_this] = ACTIONS(562),
    [sym_undefined] = ACTIONS(562),
    [sym_true] = ACTIONS(562),
    [anon_sym_SLASH] = ACTIONS(223),
    [anon_sym_LBRACK] = ACTIONS(225),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(243),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_TILDE] = ACTIONS(195),
    [sym_super] = ACTIONS(207),
    [sym_identifier] = ACTIONS(253),
    [sym_false] = ACTIONS(562),
    [anon_sym_LT] = ACTIONS(209),
    [sym_number] = ACTIONS(564),
    [anon_sym_yield] = ACTIONS(213),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_set] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(251),
    [anon_sym_new] = ACTIONS(231),
    [anon_sym_PLUS] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_void] = ACTIONS(191),
    [anon_sym_typeof] = ACTIONS(191),
  },
  [92] = {
    [sym_arrow_function] = STATE(46),
    [sym__declaration] = STATE(270),
    [sym_subscript_expression] = STATE(42),
    [sym_ternary_expression] = STATE(46),
    [sym_if_statement] = STATE(270),
    [sym_template_string] = STATE(46),
    [sym_do_statement] = STATE(270),
    [sym_return_statement] = STATE(270),
    [sym_yield_expression] = STATE(46),
    [sym_jsx_fragment] = STATE(46),
    [sym_function_declaration] = STATE(270),
    [sym_import_statement] = STATE(270),
    [sym_expression_statement] = STATE(270),
    [sym_switch_statement] = STATE(270),
    [sym_update_expression] = STATE(46),
    [sym_try_statement] = STATE(270),
    [sym_meta_property] = STATE(46),
    [sym_throw_statement] = STATE(270),
    [sym_object] = STATE(43),
    [aux_sym_export_statement_repeat1] = STATE(44),
    [sym_generator_function] = STATE(46),
    [sym_await_expression] = STATE(46),
    [sym_sequence_expression] = STATE(45),
    [sym_for_of_statement] = STATE(270),
    [sym_continue_statement] = STATE(270),
    [sym_call_expression] = STATE(46),
    [sym_assignment_expression] = STATE(46),
    [sym_statement_block] = STATE(270),
    [sym_binary_expression] = STATE(46),
    [sym_while_statement] = STATE(270),
    [sym_debugger_statement] = STATE(270),
    [sym__expression] = STATE(46),
    [sym_jsx_element] = STATE(46),
    [sym_function] = STATE(47),
    [sym_new_expression] = STATE(46),
    [sym_augmented_assignment_expression] = STATE(46),
    [sym_variable_declaration] = STATE(270),
    [sym_unary_expression] = STATE(46),
    [sym_for_statement] = STATE(270),
    [sym_regex] = STATE(46),
    [sym_with_statement] = STATE(270),
    [sym_empty_statement] = STATE(270),
    [sym_class] = STATE(46),
    [sym_export_statement] = STATE(270),
    [sym_generator_function_declaration] = STATE(270),
    [sym_member_expression] = STATE(42),
    [sym_lexical_declaration] = STATE(270),
    [sym_for_in_statement] = STATE(270),
    [sym_string] = STATE(46),
    [sym_break_statement] = STATE(270),
    [sym_decorator] = STATE(50),
    [sym_labeled_statement] = STATE(270),
    [sym_formal_parameters] = STATE(51),
    [sym_parenthesized_expression] = STATE(46),
    [sym_array] = STATE(52),
    [sym_jsx_opening_element] = STATE(53),
    [sym_jsx_self_closing_element] = STATE(46),
    [sym_class_declaration] = STATE(270),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_delete] = ACTIONS(39),
    [anon_sym_throw] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [anon_sym_get] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(69),
    [sym_false] = ACTIONS(9),
    [sym_number] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_set] = ACTIONS(23),
    [anon_sym_async] = ACTIONS(81),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_try] = ACTIONS(15),
    [anon_sym_for] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(5),
    [sym_null] = ACTIONS(9),
    [anon_sym_function] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(35),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_SLASH] = ACTIONS(45),
    [sym_undefined] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(61),
    [sym_identifier] = ACTIONS(65),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_switch] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(13),
    [anon_sym_void] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_do] = ACTIONS(21),
  },
  [93] = {
    [sym_template_string] = STATE(141),
    [sym_arguments] = STATE(141),
    [anon_sym_instanceof] = ACTIONS(458),
    [anon_sym_GT] = ACTIONS(460),
    [sym__automatic_semicolon] = ACTIONS(458),
    [anon_sym_DASH] = ACTIONS(460),
    [anon_sym_CARET] = ACTIONS(458),
    [anon_sym_STAR_STAR] = ACTIONS(458),
    [anon_sym_STAR] = ACTIONS(460),
    [anon_sym_AMP_AMP] = ACTIONS(458),
    [anon_sym_GT_GT] = ACTIONS(460),
    [anon_sym_AMP] = ACTIONS(460),
    [anon_sym_in] = ACTIONS(460),
    [anon_sym_LPAREN] = ACTIONS(271),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(458),
    [anon_sym_SLASH] = ACTIONS(460),
    [anon_sym_GT_EQ] = ACTIONS(458),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(273),
    [anon_sym_PIPE] = ACTIONS(460),
    [anon_sym_LT_EQ] = ACTIONS(458),
    [anon_sym_PIPE_PIPE] = ACTIONS(458),
    [anon_sym_COMMA] = ACTIONS(458),
    [anon_sym_GT_GT_GT] = ACTIONS(458),
    [anon_sym_SEMI] = ACTIONS(458),
    [anon_sym_PLUS_PLUS] = ACTIONS(410),
    [anon_sym_BANG_EQ] = ACTIONS(460),
    [anon_sym_RPAREN] = ACTIONS(458),
    [anon_sym_LT] = ACTIONS(460),
    [anon_sym_DOT] = ACTIONS(275),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(460),
    [anon_sym_EQ_EQ] = ACTIONS(460),
    [anon_sym_PERCENT] = ACTIONS(458),
    [anon_sym_QMARK] = ACTIONS(458),
    [anon_sym_LT_LT] = ACTIONS(458),
    [anon_sym_DASH_DASH] = ACTIONS(410),
    [anon_sym_RBRACE] = ACTIONS(458),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(458),
  },
  [94] = {
    [sym_computed_property_name] = STATE(276),
    [sym_string] = STATE(276),
    [aux_sym_object_repeat1] = STATE(275),
    [sym__property_name] = STATE(276),
    [anon_sym_instanceof] = ACTIONS(133),
    [sym__automatic_semicolon] = ACTIONS(129),
    [anon_sym_COLON] = ACTIONS(566),
    [anon_sym_AMP_EQ] = ACTIONS(131),
    [anon_sym_GT_GT_EQ] = ACTIONS(131),
    [anon_sym_static] = ACTIONS(568),
    [anon_sym_STAR_EQ] = ACTIONS(131),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_STAR_STAR] = ACTIONS(133),
    [anon_sym_STAR] = ACTIONS(570),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_GT_EQ] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(573),
    [anon_sym_PIPE_EQ] = ACTIONS(131),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(131),
    [anon_sym_get] = ACTIONS(576),
    [anon_sym_SLASH_EQ] = ACTIONS(131),
    [anon_sym_LT_EQ] = ACTIONS(129),
    [anon_sym_COMMA] = ACTIONS(167),
    [anon_sym_PLUS_PLUS] = ACTIONS(129),
    [anon_sym_SEMI] = ACTIONS(129),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_LT] = ACTIONS(133),
    [sym_number] = ACTIONS(578),
    [anon_sym_LT_LT_EQ] = ACTIONS(131),
    [anon_sym_set] = ACTIONS(576),
    [anon_sym_async] = ACTIONS(580),
    [anon_sym_EQ_EQ] = ACTIONS(133),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_RBRACE] = ACTIONS(582),
    [anon_sym_DASH_DASH] = ACTIONS(129),
    [anon_sym_GT] = ACTIONS(133),
    [anon_sym_EQ] = ACTIONS(135),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(131),
    [anon_sym_CARET] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(129),
    [anon_sym_GT_GT] = ACTIONS(133),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [anon_sym_in] = ACTIONS(133),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(129),
    [anon_sym_SLASH] = ACTIONS(133),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(584),
    [anon_sym_PERCENT_EQ] = ACTIONS(131),
    [anon_sym_PLUS_EQ] = ACTIONS(131),
    [anon_sym_PIPE] = ACTIONS(133),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_GT_GT_GT] = ACTIONS(133),
    [anon_sym_BANG_EQ] = ACTIONS(133),
    [sym_identifier] = ACTIONS(568),
    [anon_sym_DOT] = ACTIONS(587),
    [anon_sym_BQUOTE] = ACTIONS(129),
    [anon_sym_CARET_EQ] = ACTIONS(131),
    [anon_sym_DASH_EQ] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_LT_LT] = ACTIONS(133),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(129),
  },
  [95] = {
    [sym_computed_property_name] = STATE(276),
    [sym_string] = STATE(276),
    [sym__property_name] = STATE(276),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_static] = ACTIONS(568),
    [sym_identifier] = ACTIONS(568),
    [sym_number] = ACTIONS(578),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [anon_sym_set] = ACTIONS(568),
    [anon_sym_async] = ACTIONS(568),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(589),
    [anon_sym_get] = ACTIONS(568),
  },
  [96] = {
    [sym_computed_property_name] = STATE(276),
    [sym_string] = STATE(276),
    [aux_sym_object_repeat1] = STATE(275),
    [sym__property_name] = STATE(276),
    [anon_sym_instanceof] = ACTIONS(133),
    [sym__automatic_semicolon] = ACTIONS(129),
    [anon_sym_COLON] = ACTIONS(566),
    [anon_sym_AMP_EQ] = ACTIONS(131),
    [anon_sym_GT_GT_EQ] = ACTIONS(131),
    [anon_sym_static] = ACTIONS(568),
    [anon_sym_STAR_EQ] = ACTIONS(131),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_STAR_STAR] = ACTIONS(133),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_GT_EQ] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(573),
    [anon_sym_PIPE_EQ] = ACTIONS(131),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(131),
    [anon_sym_get] = ACTIONS(568),
    [anon_sym_SLASH_EQ] = ACTIONS(131),
    [anon_sym_LT_EQ] = ACTIONS(129),
    [anon_sym_COMMA] = ACTIONS(167),
    [anon_sym_PLUS_PLUS] = ACTIONS(129),
    [anon_sym_SEMI] = ACTIONS(129),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_LT] = ACTIONS(133),
    [sym_number] = ACTIONS(578),
    [anon_sym_LT_LT_EQ] = ACTIONS(131),
    [anon_sym_set] = ACTIONS(568),
    [anon_sym_async] = ACTIONS(568),
    [anon_sym_EQ_EQ] = ACTIONS(133),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_RBRACE] = ACTIONS(582),
    [anon_sym_DASH_DASH] = ACTIONS(129),
    [anon_sym_GT] = ACTIONS(133),
    [anon_sym_EQ] = ACTIONS(135),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(131),
    [anon_sym_CARET] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(129),
    [anon_sym_GT_GT] = ACTIONS(133),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [anon_sym_in] = ACTIONS(133),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(129),
    [anon_sym_SLASH] = ACTIONS(133),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(584),
    [anon_sym_PERCENT_EQ] = ACTIONS(131),
    [anon_sym_PLUS_EQ] = ACTIONS(131),
    [anon_sym_PIPE] = ACTIONS(133),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_GT_GT_GT] = ACTIONS(133),
    [anon_sym_BANG_EQ] = ACTIONS(133),
    [sym_identifier] = ACTIONS(568),
    [anon_sym_DOT] = ACTIONS(587),
    [anon_sym_BQUOTE] = ACTIONS(129),
    [anon_sym_CARET_EQ] = ACTIONS(131),
    [anon_sym_DASH_EQ] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_LT_LT] = ACTIONS(133),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(129),
  },
  [97] = {
    [sym_arrow_function] = STATE(277),
    [sym_call_expression] = STATE(277),
    [sym_subscript_expression] = STATE(701),
    [sym_assignment_expression] = STATE(277),
    [sym_ternary_expression] = STATE(277),
    [sym_binary_expression] = STATE(277),
    [sym_template_string] = STATE(277),
    [sym__expression] = STATE(277),
    [sym_yield_expression] = STATE(277),
    [sym_jsx_element] = STATE(277),
    [sym_jsx_fragment] = STATE(277),
    [sym_function] = STATE(703),
    [sym_new_expression] = STATE(277),
    [sym_augmented_assignment_expression] = STATE(277),
    [sym_unary_expression] = STATE(277),
    [sym_update_expression] = STATE(277),
    [sym_regex] = STATE(277),
    [sym_meta_property] = STATE(277),
    [sym_object] = STATE(702),
    [aux_sym_export_statement_repeat1] = STATE(1016),
    [sym_class] = STATE(277),
    [sym_generator_function] = STATE(277),
    [sym_await_expression] = STATE(277),
    [sym_member_expression] = STATE(701),
    [sym_string] = STATE(277),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(874),
    [sym_parenthesized_expression] = STATE(277),
    [sym_array] = STATE(704),
    [sym_jsx_opening_element] = STATE(875),
    [sym_jsx_self_closing_element] = STATE(277),
    [anon_sym_await] = ACTIONS(217),
    [sym_null] = ACTIONS(591),
    [anon_sym_class] = ACTIONS(183),
    [anon_sym_static] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(219),
    [anon_sym_DASH] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_delete] = ACTIONS(191),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [anon_sym_LPAREN] = ACTIONS(193),
    [anon_sym_BANG] = ACTIONS(195),
    [sym_this] = ACTIONS(591),
    [sym_undefined] = ACTIONS(591),
    [sym_true] = ACTIONS(591),
    [anon_sym_SLASH] = ACTIONS(223),
    [anon_sym_LBRACK] = ACTIONS(225),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(243),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_TILDE] = ACTIONS(195),
    [sym_super] = ACTIONS(207),
    [sym_identifier] = ACTIONS(253),
    [sym_false] = ACTIONS(591),
    [anon_sym_LT] = ACTIONS(209),
    [sym_number] = ACTIONS(593),
    [anon_sym_yield] = ACTIONS(213),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_set] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(251),
    [anon_sym_new] = ACTIONS(231),
    [anon_sym_PLUS] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_void] = ACTIONS(191),
    [anon_sym_typeof] = ACTIONS(191),
  },
  [98] = {
    [sym_spread_element] = STATE(282),
    [sym_method_definition] = STATE(282),
    [sym_string] = STATE(107),
    [sym_object] = STATE(216),
    [aux_sym_export_statement_repeat1] = STATE(217),
    [sym_decorator] = STATE(50),
    [sym_assignment_pattern] = STATE(282),
    [sym__property_name] = STATE(107),
    [sym_computed_property_name] = STATE(107),
    [sym_array] = STATE(218),
    [sym_pair] = STATE(282),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(165),
    [anon_sym_COMMA] = ACTIONS(595),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_static] = ACTIONS(597),
    [sym_identifier] = ACTIONS(599),
    [anon_sym_STAR] = ACTIONS(161),
    [sym_number] = ACTIONS(442),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [anon_sym_set] = ACTIONS(601),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_async] = ACTIONS(603),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACE] = ACTIONS(595),
    [anon_sym_LBRACK] = ACTIONS(448),
    [anon_sym_get] = ACTIONS(601),
  },
  [99] = {
    [anon_sym_instanceof] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(283),
    [sym__automatic_semicolon] = ACTIONS(277),
    [anon_sym_COLON] = ACTIONS(605),
    [anon_sym_DASH] = ACTIONS(283),
    [anon_sym_CARET] = ACTIONS(277),
    [anon_sym_STAR_STAR] = ACTIONS(277),
    [anon_sym_STAR] = ACTIONS(283),
    [anon_sym_AMP_AMP] = ACTIONS(277),
    [anon_sym_GT_GT] = ACTIONS(283),
    [anon_sym_AMP] = ACTIONS(283),
    [anon_sym_in] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(607),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(277),
    [anon_sym_SLASH] = ACTIONS(283),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(277),
    [anon_sym_PIPE] = ACTIONS(283),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_PIPE_PIPE] = ACTIONS(277),
    [anon_sym_COMMA] = ACTIONS(277),
    [anon_sym_GT_GT_GT] = ACTIONS(277),
    [anon_sym_SEMI] = ACTIONS(277),
    [anon_sym_PLUS_PLUS] = ACTIONS(277),
    [anon_sym_BANG_EQ] = ACTIONS(283),
    [anon_sym_LT] = ACTIONS(283),
    [anon_sym_DOT] = ACTIONS(277),
    [anon_sym_BQUOTE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_EQ_EQ] = ACTIONS(283),
    [anon_sym_PERCENT] = ACTIONS(277),
    [anon_sym_QMARK] = ACTIONS(277),
    [anon_sym_LT_LT] = ACTIONS(277),
    [anon_sym_DASH_DASH] = ACTIONS(277),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(277),
  },
  [100] = {
    [sym_string] = STATE(276),
    [aux_sym_object_repeat1] = STATE(275),
    [sym_formal_parameters] = STATE(156),
    [sym__property_name] = STATE(276),
    [sym_computed_property_name] = STATE(276),
    [anon_sym_instanceof] = ACTIONS(133),
    [sym__automatic_semicolon] = ACTIONS(129),
    [anon_sym_COLON] = ACTIONS(566),
    [anon_sym_AMP_EQ] = ACTIONS(131),
    [anon_sym_GT_GT_EQ] = ACTIONS(131),
    [anon_sym_static] = ACTIONS(568),
    [anon_sym_STAR_EQ] = ACTIONS(131),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_STAR_STAR] = ACTIONS(133),
    [anon_sym_STAR] = ACTIONS(570),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_GT_EQ] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(610),
    [anon_sym_PIPE_EQ] = ACTIONS(131),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(131),
    [anon_sym_get] = ACTIONS(576),
    [anon_sym_SLASH_EQ] = ACTIONS(131),
    [anon_sym_LT_EQ] = ACTIONS(129),
    [anon_sym_COMMA] = ACTIONS(167),
    [anon_sym_PLUS_PLUS] = ACTIONS(129),
    [anon_sym_SEMI] = ACTIONS(129),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_LT] = ACTIONS(133),
    [sym_number] = ACTIONS(578),
    [anon_sym_LT_LT_EQ] = ACTIONS(131),
    [anon_sym_set] = ACTIONS(576),
    [anon_sym_async] = ACTIONS(568),
    [anon_sym_EQ_EQ] = ACTIONS(133),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_RBRACE] = ACTIONS(582),
    [anon_sym_DASH_DASH] = ACTIONS(129),
    [anon_sym_GT] = ACTIONS(133),
    [anon_sym_EQ] = ACTIONS(135),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(314),
    [anon_sym_CARET] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(129),
    [anon_sym_GT_GT] = ACTIONS(133),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [anon_sym_in] = ACTIONS(133),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(129),
    [anon_sym_SLASH] = ACTIONS(133),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(584),
    [anon_sym_PERCENT_EQ] = ACTIONS(131),
    [anon_sym_PLUS_EQ] = ACTIONS(131),
    [anon_sym_PIPE] = ACTIONS(133),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_GT_GT_GT] = ACTIONS(133),
    [anon_sym_BANG_EQ] = ACTIONS(133),
    [sym_identifier] = ACTIONS(614),
    [anon_sym_DOT] = ACTIONS(587),
    [anon_sym_BQUOTE] = ACTIONS(129),
    [anon_sym_CARET_EQ] = ACTIONS(131),
    [anon_sym_DASH_EQ] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_LT_LT] = ACTIONS(133),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(129),
  },
  [101] = {
    [anon_sym_instanceof] = ACTIONS(616),
    [sym__automatic_semicolon] = ACTIONS(618),
    [anon_sym_class] = ACTIONS(620),
    [anon_sym_DASH] = ACTIONS(616),
    [anon_sym_STAR] = ACTIONS(616),
    [anon_sym_AMP] = ACTIONS(616),
    [anon_sym_throw] = ACTIONS(620),
    [anon_sym_GT_EQ] = ACTIONS(618),
    [sym_this] = ACTIONS(620),
    [anon_sym_case] = ACTIONS(620),
    [anon_sym_get] = ACTIONS(620),
    [anon_sym_LT_EQ] = ACTIONS(618),
    [anon_sym_COMMA] = ACTIONS(618),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_RPAREN] = ACTIONS(618),
    [anon_sym_TILDE] = ACTIONS(622),
    [anon_sym_LT] = ACTIONS(616),
    [sym_false] = ACTIONS(620),
    [anon_sym_yield] = ACTIONS(620),
    [anon_sym_async] = ACTIONS(620),
    [anon_sym_const] = ACTIONS(620),
    [anon_sym_QMARK] = ACTIONS(618),
    [anon_sym_try] = ACTIONS(620),
    [anon_sym_await] = ACTIONS(620),
    [anon_sym_let] = ACTIONS(620),
    [anon_sym_CARET] = ACTIONS(618),
    [anon_sym_GT_GT] = ACTIONS(616),
    [anon_sym_in] = ACTIONS(616),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(618),
    [anon_sym_SLASH] = ACTIONS(616),
    [sym_undefined] = ACTIONS(620),
    [anon_sym_LBRACK] = ACTIONS(618),
    [anon_sym_else] = ACTIONS(620),
    [anon_sym_PIPE_PIPE] = ACTIONS(618),
    [anon_sym_break] = ACTIONS(620),
    [anon_sym_while] = ACTIONS(620),
    [anon_sym_DOT] = ACTIONS(616),
    [anon_sym_BQUOTE] = ACTIONS(618),
    [anon_sym_PLUS] = ACTIONS(616),
    [anon_sym_export] = ACTIONS(620),
    [anon_sym_LT_LT] = ACTIONS(618),
    [anon_sym_return] = ACTIONS(620),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(618),
    [anon_sym_static] = ACTIONS(620),
    [anon_sym_import] = ACTIONS(620),
    [anon_sym_STAR_STAR] = ACTIONS(618),
    [anon_sym_LBRACE] = ACTIONS(622),
    [anon_sym_delete] = ACTIONS(620),
    [anon_sym_LPAREN] = ACTIONS(618),
    [anon_sym_BANG] = ACTIONS(620),
    [sym_true] = ACTIONS(620),
    [anon_sym_default] = ACTIONS(620),
    [anon_sym_SEMI] = ACTIONS(618),
    [anon_sym_DQUOTE] = ACTIONS(622),
    [sym_super] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [anon_sym_set] = ACTIONS(620),
    [anon_sym_var] = ACTIONS(620),
    [anon_sym_EQ_EQ] = ACTIONS(616),
    [anon_sym_RBRACE] = ACTIONS(622),
    [anon_sym_DASH_DASH] = ACTIONS(618),
    [anon_sym_for] = ACTIONS(620),
    [anon_sym_typeof] = ACTIONS(620),
    [anon_sym_GT] = ACTIONS(616),
    [sym_null] = ACTIONS(620),
    [anon_sym_EQ] = ACTIONS(616),
    [anon_sym_function] = ACTIONS(620),
    [anon_sym_if] = ACTIONS(620),
    [anon_sym_AMP_AMP] = ACTIONS(618),
    [anon_sym_with] = ACTIONS(620),
    [anon_sym_SQUOTE] = ACTIONS(622),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(616),
    [anon_sym_GT_GT_GT] = ACTIONS(618),
    [anon_sym_debugger] = ACTIONS(620),
    [anon_sym_BANG_EQ] = ACTIONS(616),
    [sym_identifier] = ACTIONS(620),
    [ts_builtin_sym_end] = ACTIONS(622),
    [anon_sym_new] = ACTIONS(620),
    [anon_sym_AT] = ACTIONS(622),
    [anon_sym_switch] = ACTIONS(620),
    [anon_sym_PERCENT] = ACTIONS(618),
    [anon_sym_continue] = ACTIONS(620),
    [anon_sym_void] = ACTIONS(620),
    [anon_sym_do] = ACTIONS(620),
  },
  [102] = {
    [sym_arrow_function] = STATE(284),
    [sym_call_expression] = STATE(284),
    [sym_subscript_expression] = STATE(701),
    [sym_assignment_expression] = STATE(284),
    [sym_ternary_expression] = STATE(284),
    [sym_binary_expression] = STATE(284),
    [sym_template_string] = STATE(284),
    [sym__expression] = STATE(284),
    [sym_yield_expression] = STATE(284),
    [sym_jsx_element] = STATE(284),
    [sym_jsx_fragment] = STATE(284),
    [sym_function] = STATE(703),
    [sym_new_expression] = STATE(284),
    [sym_augmented_assignment_expression] = STATE(284),
    [sym_unary_expression] = STATE(284),
    [sym_update_expression] = STATE(284),
    [sym_regex] = STATE(284),
    [sym_meta_property] = STATE(284),
    [sym_object] = STATE(702),
    [aux_sym_export_statement_repeat1] = STATE(1016),
    [aux_sym_array_repeat1] = STATE(130),
    [sym_class] = STATE(284),
    [sym_generator_function] = STATE(284),
    [sym_await_expression] = STATE(284),
    [sym_member_expression] = STATE(701),
    [sym_spread_element] = STATE(131),
    [sym_string] = STATE(284),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(874),
    [sym_parenthesized_expression] = STATE(284),
    [sym_array] = STATE(704),
    [sym_jsx_opening_element] = STATE(875),
    [sym_jsx_self_closing_element] = STATE(284),
    [anon_sym_await] = ACTIONS(217),
    [sym_null] = ACTIONS(624),
    [anon_sym_class] = ACTIONS(183),
    [anon_sym_static] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(219),
    [anon_sym_DASH] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_delete] = ACTIONS(191),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [anon_sym_LPAREN] = ACTIONS(193),
    [anon_sym_BANG] = ACTIONS(195),
    [sym_this] = ACTIONS(624),
    [sym_undefined] = ACTIONS(624),
    [sym_true] = ACTIONS(624),
    [anon_sym_SLASH] = ACTIONS(223),
    [anon_sym_LBRACK] = ACTIONS(225),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(243),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(165),
    [anon_sym_COMMA] = ACTIONS(247),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_TILDE] = ACTIONS(195),
    [sym_super] = ACTIONS(207),
    [sym_identifier] = ACTIONS(253),
    [sym_false] = ACTIONS(624),
    [anon_sym_LT] = ACTIONS(209),
    [sym_number] = ACTIONS(626),
    [anon_sym_yield] = ACTIONS(213),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_RBRACK] = ACTIONS(255),
    [anon_sym_set] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(251),
    [anon_sym_new] = ACTIONS(231),
    [anon_sym_PLUS] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_void] = ACTIONS(191),
    [anon_sym_typeof] = ACTIONS(191),
  },
  [103] = {
    [aux_sym_object_repeat1] = STATE(275),
    [anon_sym_instanceof] = ACTIONS(277),
    [sym__automatic_semicolon] = ACTIONS(277),
    [anon_sym_COLON] = ACTIONS(628),
    [anon_sym_AMP_EQ] = ACTIONS(281),
    [anon_sym_GT_GT_EQ] = ACTIONS(281),
    [anon_sym_STAR_EQ] = ACTIONS(281),
    [anon_sym_DASH] = ACTIONS(283),
    [anon_sym_STAR_STAR] = ACTIONS(283),
    [anon_sym_STAR] = ACTIONS(283),
    [anon_sym_AMP] = ACTIONS(283),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [anon_sym_LPAREN] = ACTIONS(631),
    [anon_sym_PIPE_EQ] = ACTIONS(281),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(281),
    [anon_sym_SLASH_EQ] = ACTIONS(281),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_COMMA] = ACTIONS(167),
    [anon_sym_PLUS_PLUS] = ACTIONS(277),
    [anon_sym_SEMI] = ACTIONS(277),
    [anon_sym_LT] = ACTIONS(283),
    [anon_sym_LT_LT_EQ] = ACTIONS(281),
    [anon_sym_EQ_EQ] = ACTIONS(283),
    [anon_sym_QMARK] = ACTIONS(277),
    [anon_sym_RBRACE] = ACTIONS(582),
    [anon_sym_DASH_DASH] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(283),
    [anon_sym_EQ] = ACTIONS(634),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(281),
    [anon_sym_CARET] = ACTIONS(283),
    [anon_sym_AMP_AMP] = ACTIONS(277),
    [anon_sym_GT_GT] = ACTIONS(283),
    [anon_sym_in] = ACTIONS(287),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(277),
    [anon_sym_SLASH] = ACTIONS(283),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(277),
    [anon_sym_PERCENT_EQ] = ACTIONS(281),
    [anon_sym_EQ_GT] = ACTIONS(289),
    [anon_sym_PLUS_EQ] = ACTIONS(281),
    [anon_sym_PIPE] = ACTIONS(283),
    [anon_sym_PIPE_PIPE] = ACTIONS(277),
    [anon_sym_GT_GT_GT] = ACTIONS(283),
    [anon_sym_BANG_EQ] = ACTIONS(283),
    [anon_sym_DOT] = ACTIONS(275),
    [anon_sym_BQUOTE] = ACTIONS(277),
    [anon_sym_CARET_EQ] = ACTIONS(281),
    [anon_sym_DASH_EQ] = ACTIONS(281),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_PERCENT] = ACTIONS(283),
    [anon_sym_LT_LT] = ACTIONS(283),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(277),
  },
  [104] = {
    [aux_sym_object_repeat1] = STATE(287),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACE] = ACTIONS(636),
    [anon_sym_COMMA] = ACTIONS(167),
  },
  [105] = {
    [anon_sym_instanceof] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(283),
    [sym__automatic_semicolon] = ACTIONS(277),
    [anon_sym_EQ] = ACTIONS(638),
    [anon_sym_DASH] = ACTIONS(283),
    [anon_sym_CARET] = ACTIONS(277),
    [anon_sym_STAR_STAR] = ACTIONS(277),
    [anon_sym_STAR] = ACTIONS(283),
    [anon_sym_AMP_AMP] = ACTIONS(277),
    [anon_sym_GT_GT] = ACTIONS(283),
    [anon_sym_AMP] = ACTIONS(283),
    [anon_sym_in] = ACTIONS(287),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(277),
    [anon_sym_SLASH] = ACTIONS(283),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(277),
    [anon_sym_PIPE] = ACTIONS(283),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_PIPE_PIPE] = ACTIONS(277),
    [anon_sym_COMMA] = ACTIONS(277),
    [anon_sym_GT_GT_GT] = ACTIONS(277),
    [anon_sym_SEMI] = ACTIONS(277),
    [anon_sym_PLUS_PLUS] = ACTIONS(277),
    [anon_sym_BANG_EQ] = ACTIONS(283),
    [anon_sym_LT] = ACTIONS(283),
    [anon_sym_DOT] = ACTIONS(277),
    [anon_sym_BQUOTE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_EQ_EQ] = ACTIONS(283),
    [anon_sym_PERCENT] = ACTIONS(277),
    [anon_sym_QMARK] = ACTIONS(277),
    [anon_sym_LT_LT] = ACTIONS(277),
    [anon_sym_DASH_DASH] = ACTIONS(277),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(277),
  },
  [106] = {
    [sym_computed_property_name] = STATE(276),
    [sym_string] = STATE(276),
    [sym_decorator] = STATE(50),
    [aux_sym_export_statement_repeat1] = STATE(191),
    [sym__property_name] = STATE(276),
    [sym_number] = ACTIONS(578),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [anon_sym_set] = ACTIONS(576),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_async] = ACTIONS(580),
    [anon_sym_class] = ACTIONS(640),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_static] = ACTIONS(642),
    [anon_sym_LBRACK] = ACTIONS(589),
    [anon_sym_export] = ACTIONS(644),
    [sym_identifier] = ACTIONS(568),
    [sym_comment] = ACTIONS(3),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_get] = ACTIONS(576),
  },
  [107] = {
    [sym_formal_parameters] = STATE(291),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_COLON] = ACTIONS(648),
    [sym_comment] = ACTIONS(3),
  },
  [108] = {
    [sym_arrow_function] = STATE(46),
    [sym__declaration] = STATE(201),
    [sym_subscript_expression] = STATE(42),
    [sym_ternary_expression] = STATE(46),
    [sym_if_statement] = STATE(201),
    [sym_template_string] = STATE(46),
    [sym_do_statement] = STATE(201),
    [sym_return_statement] = STATE(201),
    [sym_yield_expression] = STATE(46),
    [sym_jsx_fragment] = STATE(46),
    [sym_function_declaration] = STATE(201),
    [sym_import_statement] = STATE(201),
    [sym_expression_statement] = STATE(201),
    [sym_switch_statement] = STATE(201),
    [sym_update_expression] = STATE(46),
    [sym_try_statement] = STATE(201),
    [sym_meta_property] = STATE(46),
    [sym_throw_statement] = STATE(201),
    [sym_object] = STATE(43),
    [aux_sym_export_statement_repeat1] = STATE(44),
    [sym_generator_function] = STATE(46),
    [sym_await_expression] = STATE(46),
    [sym_sequence_expression] = STATE(45),
    [sym_for_of_statement] = STATE(201),
    [sym_continue_statement] = STATE(201),
    [sym_call_expression] = STATE(46),
    [sym_assignment_expression] = STATE(46),
    [sym_statement_block] = STATE(201),
    [sym_binary_expression] = STATE(46),
    [sym_while_statement] = STATE(201),
    [sym_debugger_statement] = STATE(201),
    [sym__expression] = STATE(46),
    [sym_jsx_element] = STATE(46),
    [sym_function] = STATE(47),
    [sym_new_expression] = STATE(46),
    [sym_augmented_assignment_expression] = STATE(46),
    [sym_variable_declaration] = STATE(201),
    [sym_unary_expression] = STATE(46),
    [sym_for_statement] = STATE(201),
    [sym_regex] = STATE(46),
    [sym_with_statement] = STATE(201),
    [sym_empty_statement] = STATE(201),
    [aux_sym_program_repeat1] = STATE(201),
    [sym_class] = STATE(46),
    [sym_export_statement] = STATE(201),
    [sym_generator_function_declaration] = STATE(201),
    [sym_member_expression] = STATE(42),
    [sym_lexical_declaration] = STATE(201),
    [sym_for_in_statement] = STATE(201),
    [sym_string] = STATE(46),
    [sym_break_statement] = STATE(201),
    [sym_decorator] = STATE(50),
    [sym_labeled_statement] = STATE(201),
    [sym_formal_parameters] = STATE(51),
    [sym_parenthesized_expression] = STATE(46),
    [sym_array] = STATE(52),
    [sym_jsx_opening_element] = STATE(53),
    [sym_jsx_self_closing_element] = STATE(46),
    [sym_class_declaration] = STATE(201),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_delete] = ACTIONS(39),
    [anon_sym_throw] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [anon_sym_get] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(69),
    [sym_false] = ACTIONS(9),
    [sym_number] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_set] = ACTIONS(23),
    [anon_sym_async] = ACTIONS(81),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_RBRACE] = ACTIONS(650),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_try] = ACTIONS(15),
    [anon_sym_for] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(5),
    [sym_null] = ACTIONS(9),
    [anon_sym_function] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(35),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_SLASH] = ACTIONS(45),
    [sym_undefined] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(61),
    [sym_identifier] = ACTIONS(65),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_switch] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(13),
    [anon_sym_void] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_do] = ACTIONS(21),
  },
  [109] = {
    [aux_sym_object_repeat1] = STATE(293),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACE] = ACTIONS(636),
    [anon_sym_COMMA] = ACTIONS(167),
  },
  [110] = {
    [anon_sym_instanceof] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(283),
    [sym__automatic_semicolon] = ACTIONS(277),
    [anon_sym_EQ] = ACTIONS(652),
    [anon_sym_DASH] = ACTIONS(283),
    [anon_sym_CARET] = ACTIONS(277),
    [anon_sym_STAR_STAR] = ACTIONS(277),
    [anon_sym_STAR] = ACTIONS(283),
    [anon_sym_AMP_AMP] = ACTIONS(277),
    [anon_sym_GT_GT] = ACTIONS(283),
    [anon_sym_AMP] = ACTIONS(283),
    [anon_sym_in] = ACTIONS(287),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(277),
    [anon_sym_SLASH] = ACTIONS(283),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(277),
    [anon_sym_PIPE] = ACTIONS(283),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_PIPE_PIPE] = ACTIONS(277),
    [anon_sym_COMMA] = ACTIONS(277),
    [anon_sym_GT_GT_GT] = ACTIONS(277),
    [anon_sym_SEMI] = ACTIONS(277),
    [anon_sym_PLUS_PLUS] = ACTIONS(277),
    [anon_sym_BANG_EQ] = ACTIONS(283),
    [anon_sym_LT] = ACTIONS(283),
    [anon_sym_DOT] = ACTIONS(277),
    [anon_sym_BQUOTE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_EQ_EQ] = ACTIONS(283),
    [anon_sym_PERCENT] = ACTIONS(277),
    [anon_sym_QMARK] = ACTIONS(277),
    [anon_sym_LT_LT] = ACTIONS(277),
    [anon_sym_DASH_DASH] = ACTIONS(277),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(277),
  },
  [111] = {
    [sym_arrow_function] = STATE(46),
    [sym__declaration] = STATE(295),
    [sym_subscript_expression] = STATE(42),
    [sym_ternary_expression] = STATE(46),
    [sym_if_statement] = STATE(295),
    [sym_template_string] = STATE(46),
    [sym_do_statement] = STATE(295),
    [sym_return_statement] = STATE(295),
    [sym_yield_expression] = STATE(46),
    [sym_jsx_fragment] = STATE(46),
    [sym_function_declaration] = STATE(295),
    [sym_import_statement] = STATE(295),
    [sym_expression_statement] = STATE(295),
    [sym_switch_statement] = STATE(295),
    [sym_update_expression] = STATE(46),
    [sym_try_statement] = STATE(295),
    [sym_meta_property] = STATE(46),
    [sym_throw_statement] = STATE(295),
    [sym_object] = STATE(43),
    [aux_sym_export_statement_repeat1] = STATE(44),
    [sym_generator_function] = STATE(46),
    [sym_await_expression] = STATE(46),
    [sym_sequence_expression] = STATE(45),
    [sym_for_of_statement] = STATE(295),
    [sym_continue_statement] = STATE(295),
    [sym_call_expression] = STATE(46),
    [sym_assignment_expression] = STATE(46),
    [sym_statement_block] = STATE(295),
    [sym_binary_expression] = STATE(46),
    [sym_while_statement] = STATE(295),
    [sym_debugger_statement] = STATE(295),
    [sym__expression] = STATE(46),
    [sym_jsx_element] = STATE(46),
    [sym_function] = STATE(47),
    [sym_new_expression] = STATE(46),
    [sym_augmented_assignment_expression] = STATE(46),
    [sym_variable_declaration] = STATE(295),
    [sym_unary_expression] = STATE(46),
    [sym_for_statement] = STATE(295),
    [sym_regex] = STATE(46),
    [sym_with_statement] = STATE(295),
    [sym_empty_statement] = STATE(295),
    [sym_class] = STATE(46),
    [sym_export_statement] = STATE(295),
    [sym_generator_function_declaration] = STATE(295),
    [sym_member_expression] = STATE(42),
    [sym_lexical_declaration] = STATE(295),
    [sym_for_in_statement] = STATE(295),
    [sym_string] = STATE(46),
    [sym_break_statement] = STATE(295),
    [sym_decorator] = STATE(50),
    [sym_labeled_statement] = STATE(295),
    [sym_formal_parameters] = STATE(51),
    [sym_parenthesized_expression] = STATE(46),
    [sym_array] = STATE(52),
    [sym_jsx_opening_element] = STATE(53),
    [sym_jsx_self_closing_element] = STATE(46),
    [sym_class_declaration] = STATE(295),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_delete] = ACTIONS(39),
    [anon_sym_throw] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [anon_sym_get] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(69),
    [sym_false] = ACTIONS(9),
    [sym_number] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_set] = ACTIONS(23),
    [anon_sym_async] = ACTIONS(81),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_try] = ACTIONS(15),
    [anon_sym_for] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(5),
    [sym_null] = ACTIONS(9),
    [anon_sym_function] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(35),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_SLASH] = ACTIONS(45),
    [sym_undefined] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(61),
    [sym_identifier] = ACTIONS(65),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_switch] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(13),
    [anon_sym_void] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_do] = ACTIONS(21),
  },
  [112] = {
    [sym_template_string] = STATE(141),
    [sym_arguments] = STATE(141),
    [anon_sym_instanceof] = ACTIONS(392),
    [anon_sym_GT] = ACTIONS(287),
    [sym__automatic_semicolon] = ACTIONS(654),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_CARET] = ACTIONS(396),
    [anon_sym_STAR_STAR] = ACTIONS(398),
    [anon_sym_STAR] = ACTIONS(400),
    [anon_sym_AMP_AMP] = ACTIONS(402),
    [anon_sym_GT_GT] = ACTIONS(400),
    [anon_sym_AMP] = ACTIONS(404),
    [anon_sym_in] = ACTIONS(287),
    [anon_sym_LPAREN] = ACTIONS(271),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(392),
    [anon_sym_GT_EQ] = ACTIONS(392),
    [anon_sym_SLASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(273),
    [anon_sym_PIPE] = ACTIONS(406),
    [anon_sym_LT_EQ] = ACTIONS(392),
    [anon_sym_PIPE_PIPE] = ACTIONS(396),
    [anon_sym_GT_GT_GT] = ACTIONS(408),
    [anon_sym_PLUS_PLUS] = ACTIONS(410),
    [anon_sym_COMMA] = ACTIONS(412),
    [anon_sym_SEMI] = ACTIONS(654),
    [anon_sym_BANG_EQ] = ACTIONS(287),
    [anon_sym_LT] = ACTIONS(287),
    [anon_sym_DOT] = ACTIONS(275),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_EQ_EQ] = ACTIONS(287),
    [anon_sym_PERCENT] = ACTIONS(408),
    [anon_sym_QMARK] = ACTIONS(414),
    [anon_sym_LT_LT] = ACTIONS(408),
    [anon_sym_DASH_DASH] = ACTIONS(410),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(392),
  },
  [113] = {
    [sym__automatic_semicolon] = ACTIONS(654),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(654),
  },
  [114] = {
    [aux_sym_formal_parameters_repeat1] = STATE(299),
    [anon_sym_instanceof] = ACTIONS(129),
    [anon_sym_GT] = ACTIONS(133),
    [anon_sym_EQ] = ACTIONS(656),
    [anon_sym_AMP_EQ] = ACTIONS(658),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(658),
    [anon_sym_GT_GT_EQ] = ACTIONS(658),
    [anon_sym_STAR_EQ] = ACTIONS(658),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_CARET] = ACTIONS(133),
    [anon_sym_STAR_STAR] = ACTIONS(133),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(129),
    [anon_sym_GT_GT] = ACTIONS(133),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_in] = ACTIONS(133),
    [anon_sym_LPAREN] = ACTIONS(129),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(129),
    [anon_sym_SLASH] = ACTIONS(133),
    [anon_sym_GT_EQ] = ACTIONS(129),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(129),
    [anon_sym_PIPE_EQ] = ACTIONS(658),
    [anon_sym_PERCENT_EQ] = ACTIONS(658),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(658),
    [anon_sym_SLASH_EQ] = ACTIONS(658),
    [anon_sym_PLUS_EQ] = ACTIONS(658),
    [anon_sym_PIPE] = ACTIONS(133),
    [anon_sym_LT_EQ] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_COMMA] = ACTIONS(660),
    [anon_sym_GT_GT_GT] = ACTIONS(133),
    [anon_sym_PLUS_PLUS] = ACTIONS(129),
    [anon_sym_RPAREN] = ACTIONS(663),
    [anon_sym_BANG_EQ] = ACTIONS(133),
    [anon_sym_LT] = ACTIONS(133),
    [anon_sym_DOT] = ACTIONS(666),
    [anon_sym_BQUOTE] = ACTIONS(129),
    [anon_sym_CARET_EQ] = ACTIONS(658),
    [anon_sym_LT_LT_EQ] = ACTIONS(658),
    [anon_sym_DASH_EQ] = ACTIONS(658),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_EQ_EQ] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_LT_LT] = ACTIONS(133),
    [anon_sym_DASH_DASH] = ACTIONS(129),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(129),
  },
  [115] = {
    [sym_identifier] = ACTIONS(668),
    [sym_comment] = ACTIONS(3),
  },
  [116] = {
    [anon_sym_LBRACE] = ACTIONS(670),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(670),
  },
  [117] = {
    [aux_sym_formal_parameters_repeat1] = STATE(303),
    [anon_sym_instanceof] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(283),
    [anon_sym_EQ] = ACTIONS(672),
    [anon_sym_AMP_EQ] = ACTIONS(674),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(674),
    [anon_sym_GT_GT_EQ] = ACTIONS(674),
    [anon_sym_STAR_EQ] = ACTIONS(674),
    [anon_sym_DASH] = ACTIONS(283),
    [anon_sym_CARET] = ACTIONS(283),
    [anon_sym_STAR_STAR] = ACTIONS(283),
    [anon_sym_STAR] = ACTIONS(283),
    [anon_sym_AMP_AMP] = ACTIONS(277),
    [anon_sym_GT_GT] = ACTIONS(283),
    [anon_sym_AMP] = ACTIONS(283),
    [anon_sym_in] = ACTIONS(676),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(277),
    [anon_sym_SLASH] = ACTIONS(283),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(277),
    [anon_sym_PIPE_EQ] = ACTIONS(674),
    [anon_sym_PERCENT_EQ] = ACTIONS(674),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(674),
    [anon_sym_EQ_GT] = ACTIONS(678),
    [anon_sym_SLASH_EQ] = ACTIONS(674),
    [anon_sym_PLUS_EQ] = ACTIONS(674),
    [anon_sym_PIPE] = ACTIONS(283),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_PIPE_PIPE] = ACTIONS(277),
    [anon_sym_COMMA] = ACTIONS(680),
    [anon_sym_GT_GT_GT] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(277),
    [anon_sym_RPAREN] = ACTIONS(683),
    [anon_sym_BANG_EQ] = ACTIONS(283),
    [anon_sym_LT] = ACTIONS(283),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_BQUOTE] = ACTIONS(277),
    [anon_sym_CARET_EQ] = ACTIONS(674),
    [anon_sym_LT_LT_EQ] = ACTIONS(674),
    [anon_sym_DASH_EQ] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_EQ_EQ] = ACTIONS(283),
    [anon_sym_PERCENT] = ACTIONS(283),
    [anon_sym_QMARK] = ACTIONS(277),
    [anon_sym_LT_LT] = ACTIONS(283),
    [anon_sym_DASH_DASH] = ACTIONS(277),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(277),
  },
  [118] = {
    [aux_sym_formal_parameters_repeat1] = STATE(299),
    [sym_formal_parameters] = STATE(904),
    [anon_sym_instanceof] = ACTIONS(133),
    [anon_sym_GT] = ACTIONS(133),
    [anon_sym_EQ] = ACTIONS(656),
    [anon_sym_AMP_EQ] = ACTIONS(658),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(658),
    [anon_sym_GT_GT_EQ] = ACTIONS(658),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_STAR_EQ] = ACTIONS(658),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_CARET] = ACTIONS(133),
    [anon_sym_STAR_STAR] = ACTIONS(133),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(129),
    [anon_sym_GT_GT] = ACTIONS(133),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_in] = ACTIONS(133),
    [anon_sym_LPAREN] = ACTIONS(311),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(129),
    [anon_sym_SLASH] = ACTIONS(133),
    [anon_sym_GT_EQ] = ACTIONS(129),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(129),
    [anon_sym_PIPE_EQ] = ACTIONS(658),
    [anon_sym_PERCENT_EQ] = ACTIONS(658),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(658),
    [anon_sym_SLASH_EQ] = ACTIONS(658),
    [anon_sym_PLUS_EQ] = ACTIONS(658),
    [anon_sym_PIPE] = ACTIONS(133),
    [anon_sym_LT_EQ] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_COMMA] = ACTIONS(660),
    [anon_sym_GT_GT_GT] = ACTIONS(133),
    [anon_sym_PLUS_PLUS] = ACTIONS(129),
    [anon_sym_RPAREN] = ACTIONS(663),
    [anon_sym_BANG_EQ] = ACTIONS(133),
    [anon_sym_LT] = ACTIONS(133),
    [anon_sym_DOT] = ACTIONS(666),
    [anon_sym_BQUOTE] = ACTIONS(129),
    [sym_identifier] = ACTIONS(690),
    [anon_sym_CARET_EQ] = ACTIONS(658),
    [anon_sym_LT_LT_EQ] = ACTIONS(658),
    [anon_sym_DASH_EQ] = ACTIONS(658),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_EQ_EQ] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_LT_LT] = ACTIONS(133),
    [anon_sym_DASH_DASH] = ACTIONS(129),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(129),
  },
  [119] = {
    [aux_sym_formal_parameters_repeat1] = STATE(303),
    [anon_sym_RPAREN] = ACTIONS(692),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(694),
  },
  [120] = {
    [sym_template_string] = STATE(719),
    [sym_arguments] = STATE(719),
    [anon_sym_instanceof] = ACTIONS(696),
    [anon_sym_GT] = ACTIONS(676),
    [anon_sym_DASH] = ACTIONS(698),
    [anon_sym_CARET] = ACTIONS(700),
    [anon_sym_STAR_STAR] = ACTIONS(702),
    [anon_sym_STAR] = ACTIONS(704),
    [anon_sym_AMP_AMP] = ACTIONS(706),
    [anon_sym_GT_GT] = ACTIONS(704),
    [anon_sym_AMP] = ACTIONS(708),
    [anon_sym_in] = ACTIONS(676),
    [anon_sym_LPAREN] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(696),
    [anon_sym_GT_EQ] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(704),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(710),
    [anon_sym_PIPE] = ACTIONS(712),
    [anon_sym_LT_EQ] = ACTIONS(696),
    [anon_sym_PIPE_PIPE] = ACTIONS(700),
    [anon_sym_GT_GT_GT] = ACTIONS(714),
    [anon_sym_PLUS_PLUS] = ACTIONS(716),
    [anon_sym_COMMA] = ACTIONS(718),
    [anon_sym_BANG_EQ] = ACTIONS(676),
    [anon_sym_RPAREN] = ACTIONS(720),
    [anon_sym_LT] = ACTIONS(676),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_PLUS] = ACTIONS(698),
    [anon_sym_EQ_EQ] = ACTIONS(676),
    [anon_sym_PERCENT] = ACTIONS(714),
    [anon_sym_QMARK] = ACTIONS(722),
    [anon_sym_LT_LT] = ACTIONS(714),
    [anon_sym_DASH_DASH] = ACTIONS(716),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(696),
  },
  [121] = {
    [aux_sym_formal_parameters_repeat1] = STATE(307),
    [anon_sym_instanceof] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(283),
    [anon_sym_EQ] = ACTIONS(724),
    [anon_sym_DASH] = ACTIONS(283),
    [anon_sym_CARET] = ACTIONS(277),
    [anon_sym_STAR_STAR] = ACTIONS(277),
    [anon_sym_STAR] = ACTIONS(283),
    [anon_sym_AMP_AMP] = ACTIONS(277),
    [anon_sym_GT_GT] = ACTIONS(283),
    [anon_sym_AMP] = ACTIONS(283),
    [anon_sym_in] = ACTIONS(676),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(277),
    [anon_sym_SLASH] = ACTIONS(283),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(277),
    [anon_sym_PIPE] = ACTIONS(283),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_PIPE_PIPE] = ACTIONS(277),
    [anon_sym_COMMA] = ACTIONS(726),
    [anon_sym_GT_GT_GT] = ACTIONS(277),
    [anon_sym_PLUS_PLUS] = ACTIONS(277),
    [anon_sym_RPAREN] = ACTIONS(729),
    [anon_sym_BANG_EQ] = ACTIONS(283),
    [anon_sym_LT] = ACTIONS(283),
    [anon_sym_DOT] = ACTIONS(277),
    [anon_sym_BQUOTE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_EQ_EQ] = ACTIONS(283),
    [anon_sym_PERCENT] = ACTIONS(277),
    [anon_sym_QMARK] = ACTIONS(277),
    [anon_sym_LT_LT] = ACTIONS(277),
    [anon_sym_DASH_DASH] = ACTIONS(277),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(277),
  },
  [122] = {
    [anon_sym_RPAREN] = ACTIONS(720),
    [sym_comment] = ACTIONS(3),
  },
  [123] = {
    [aux_sym_formal_parameters_repeat1] = STATE(310),
    [anon_sym_instanceof] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(283),
    [anon_sym_EQ] = ACTIONS(732),
    [anon_sym_DASH] = ACTIONS(283),
    [anon_sym_CARET] = ACTIONS(277),
    [anon_sym_STAR_STAR] = ACTIONS(277),
    [anon_sym_STAR] = ACTIONS(283),
    [anon_sym_AMP_AMP] = ACTIONS(277),
    [anon_sym_GT_GT] = ACTIONS(283),
    [anon_sym_AMP] = ACTIONS(283),
    [anon_sym_in] = ACTIONS(676),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(277),
    [anon_sym_SLASH] = ACTIONS(283),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(277),
    [anon_sym_PIPE] = ACTIONS(283),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_PIPE_PIPE] = ACTIONS(277),
    [anon_sym_COMMA] = ACTIONS(734),
    [anon_sym_GT_GT_GT] = ACTIONS(277),
    [anon_sym_PLUS_PLUS] = ACTIONS(277),
    [anon_sym_RPAREN] = ACTIONS(737),
    [anon_sym_BANG_EQ] = ACTIONS(283),
    [anon_sym_LT] = ACTIONS(283),
    [anon_sym_DOT] = ACTIONS(277),
    [anon_sym_BQUOTE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_EQ_EQ] = ACTIONS(283),
    [anon_sym_PERCENT] = ACTIONS(277),
    [anon_sym_QMARK] = ACTIONS(277),
    [anon_sym_LT_LT] = ACTIONS(277),
    [anon_sym_DASH_DASH] = ACTIONS(277),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(277),
  },
  [124] = {
    [sym_template_string] = STATE(141),
    [sym_arguments] = STATE(141),
    [anon_sym_instanceof] = ACTIONS(458),
    [anon_sym_GT] = ACTIONS(460),
    [sym__automatic_semicolon] = ACTIONS(458),
    [anon_sym_DASH] = ACTIONS(460),
    [anon_sym_CARET] = ACTIONS(458),
    [anon_sym_STAR_STAR] = ACTIONS(458),
    [anon_sym_STAR] = ACTIONS(460),
    [anon_sym_AMP_AMP] = ACTIONS(458),
    [anon_sym_GT_GT] = ACTIONS(460),
    [anon_sym_AMP] = ACTIONS(460),
    [anon_sym_in] = ACTIONS(460),
    [anon_sym_LPAREN] = ACTIONS(271),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(458),
    [anon_sym_SLASH] = ACTIONS(460),
    [anon_sym_GT_EQ] = ACTIONS(458),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(273),
    [anon_sym_PIPE] = ACTIONS(460),
    [anon_sym_LT_EQ] = ACTIONS(458),
    [anon_sym_PIPE_PIPE] = ACTIONS(458),
    [anon_sym_COMMA] = ACTIONS(458),
    [anon_sym_GT_GT_GT] = ACTIONS(458),
    [anon_sym_SEMI] = ACTIONS(458),
    [anon_sym_PLUS_PLUS] = ACTIONS(410),
    [anon_sym_BANG_EQ] = ACTIONS(460),
    [anon_sym_RPAREN] = ACTIONS(458),
    [anon_sym_LT] = ACTIONS(460),
    [anon_sym_DOT] = ACTIONS(275),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(460),
    [anon_sym_EQ_EQ] = ACTIONS(460),
    [anon_sym_PERCENT] = ACTIONS(458),
    [anon_sym_QMARK] = ACTIONS(458),
    [anon_sym_LT_LT] = ACTIONS(458),
    [anon_sym_DASH_DASH] = ACTIONS(410),
    [anon_sym_RBRACE] = ACTIONS(458),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(458),
  },
  [125] = {
    [anon_sym_instanceof] = ACTIONS(740),
    [anon_sym_GT] = ACTIONS(742),
    [sym__automatic_semicolon] = ACTIONS(740),
    [anon_sym_COLON] = ACTIONS(740),
    [anon_sym_EQ] = ACTIONS(742),
    [anon_sym_DASH] = ACTIONS(742),
    [anon_sym_CARET] = ACTIONS(740),
    [anon_sym_STAR_STAR] = ACTIONS(740),
    [anon_sym_STAR] = ACTIONS(742),
    [anon_sym_AMP_AMP] = ACTIONS(740),
    [anon_sym_GT_GT] = ACTIONS(742),
    [anon_sym_AMP] = ACTIONS(742),
    [anon_sym_in] = ACTIONS(742),
    [anon_sym_LPAREN] = ACTIONS(740),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(740),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_GT_EQ] = ACTIONS(740),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(740),
    [anon_sym_PIPE] = ACTIONS(742),
    [anon_sym_LT_EQ] = ACTIONS(740),
    [anon_sym_PIPE_PIPE] = ACTIONS(740),
    [anon_sym_COMMA] = ACTIONS(740),
    [anon_sym_GT_GT_GT] = ACTIONS(740),
    [anon_sym_SEMI] = ACTIONS(740),
    [anon_sym_PLUS_PLUS] = ACTIONS(740),
    [anon_sym_BANG_EQ] = ACTIONS(742),
    [anon_sym_RPAREN] = ACTIONS(740),
    [anon_sym_LT] = ACTIONS(742),
    [anon_sym_DOT] = ACTIONS(740),
    [anon_sym_BQUOTE] = ACTIONS(740),
    [anon_sym_PLUS] = ACTIONS(742),
    [anon_sym_EQ_EQ] = ACTIONS(742),
    [anon_sym_PERCENT] = ACTIONS(740),
    [anon_sym_QMARK] = ACTIONS(740),
    [anon_sym_LT_LT] = ACTIONS(740),
    [anon_sym_DASH_DASH] = ACTIONS(740),
    [anon_sym_RBRACE] = ACTIONS(740),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(740),
  },
  [126] = {
    [aux_sym_string_repeat2] = STATE(312),
    [sym_comment] = ACTIONS(237),
    [anon_sym_SQUOTE] = ACTIONS(744),
    [sym_escape_sequence] = ACTIONS(746),
    [aux_sym_string_token2] = ACTIONS(746),
  },
  [127] = {
    [sym_arrow_function] = STATE(313),
    [sym_call_expression] = STATE(313),
    [sym_subscript_expression] = STATE(701),
    [sym_assignment_expression] = STATE(313),
    [sym_ternary_expression] = STATE(313),
    [sym_binary_expression] = STATE(313),
    [sym_template_string] = STATE(313),
    [sym__expression] = STATE(313),
    [sym_yield_expression] = STATE(313),
    [sym_jsx_element] = STATE(313),
    [sym_jsx_fragment] = STATE(313),
    [sym_function] = STATE(703),
    [sym_new_expression] = STATE(313),
    [sym_augmented_assignment_expression] = STATE(313),
    [sym_unary_expression] = STATE(313),
    [sym_update_expression] = STATE(313),
    [sym_regex] = STATE(313),
    [sym_meta_property] = STATE(313),
    [sym_object] = STATE(702),
    [aux_sym_export_statement_repeat1] = STATE(1016),
    [sym_class] = STATE(313),
    [sym_generator_function] = STATE(313),
    [sym_await_expression] = STATE(313),
    [sym_member_expression] = STATE(701),
    [sym_spread_element] = STATE(314),
    [sym_string] = STATE(313),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(874),
    [sym_parenthesized_expression] = STATE(313),
    [sym_array] = STATE(704),
    [sym_jsx_opening_element] = STATE(875),
    [sym_jsx_self_closing_element] = STATE(313),
    [anon_sym_class] = ACTIONS(183),
    [anon_sym_static] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_delete] = ACTIONS(191),
    [anon_sym_LPAREN] = ACTIONS(193),
    [anon_sym_BANG] = ACTIONS(195),
    [sym_this] = ACTIONS(748),
    [sym_true] = ACTIONS(748),
    [anon_sym_get] = ACTIONS(243),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(165),
    [anon_sym_COMMA] = ACTIONS(750),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_RPAREN] = ACTIONS(750),
    [anon_sym_TILDE] = ACTIONS(195),
    [sym_super] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(209),
    [sym_false] = ACTIONS(748),
    [sym_number] = ACTIONS(752),
    [anon_sym_yield] = ACTIONS(213),
    [anon_sym_set] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(251),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_typeof] = ACTIONS(191),
    [anon_sym_await] = ACTIONS(217),
    [sym_null] = ACTIONS(748),
    [anon_sym_function] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [anon_sym_SLASH] = ACTIONS(223),
    [sym_undefined] = ACTIONS(748),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(225),
    [sym_identifier] = ACTIONS(253),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_RBRACK] = ACTIONS(750),
    [anon_sym_new] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(187),
    [anon_sym_void] = ACTIONS(191),
  },
  [128] = {
    [anon_sym_instanceof] = ACTIONS(754),
    [sym__automatic_semicolon] = ACTIONS(754),
    [anon_sym_DASH] = ACTIONS(756),
    [anon_sym_STAR_STAR] = ACTIONS(754),
    [anon_sym_STAR] = ACTIONS(756),
    [anon_sym_AMP] = ACTIONS(756),
    [anon_sym_GT_EQ] = ACTIONS(754),
    [anon_sym_LPAREN] = ACTIONS(754),
    [anon_sym_LT_EQ] = ACTIONS(754),
    [anon_sym_COMMA] = ACTIONS(754),
    [anon_sym_PLUS_PLUS] = ACTIONS(754),
    [anon_sym_SEMI] = ACTIONS(754),
    [anon_sym_RPAREN] = ACTIONS(754),
    [anon_sym_LT] = ACTIONS(756),
    [anon_sym_EQ_EQ] = ACTIONS(756),
    [anon_sym_QMARK] = ACTIONS(754),
    [anon_sym_RBRACE] = ACTIONS(754),
    [anon_sym_DASH_DASH] = ACTIONS(754),
    [anon_sym_GT] = ACTIONS(756),
    [anon_sym_EQ] = ACTIONS(756),
    [anon_sym_CARET] = ACTIONS(754),
    [anon_sym_AMP_AMP] = ACTIONS(754),
    [anon_sym_GT_GT] = ACTIONS(756),
    [anon_sym_in] = ACTIONS(756),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(754),
    [anon_sym_of] = ACTIONS(754),
    [anon_sym_SLASH] = ACTIONS(756),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(754),
    [anon_sym_PIPE] = ACTIONS(756),
    [anon_sym_PIPE_PIPE] = ACTIONS(754),
    [anon_sym_GT_GT_GT] = ACTIONS(754),
    [anon_sym_BANG_EQ] = ACTIONS(756),
    [anon_sym_DOT] = ACTIONS(754),
    [anon_sym_BQUOTE] = ACTIONS(754),
    [anon_sym_PLUS] = ACTIONS(756),
    [anon_sym_PERCENT] = ACTIONS(754),
    [anon_sym_LT_LT] = ACTIONS(754),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(754),
  },
  [129] = {
    [sym_arguments] = STATE(719),
    [aux_sym_array_repeat1] = STATE(316),
    [sym_template_string] = STATE(719),
    [anon_sym_instanceof] = ACTIONS(696),
    [anon_sym_GT] = ACTIONS(676),
    [anon_sym_DASH] = ACTIONS(698),
    [anon_sym_CARET] = ACTIONS(700),
    [anon_sym_STAR_STAR] = ACTIONS(702),
    [anon_sym_STAR] = ACTIONS(704),
    [anon_sym_AMP_AMP] = ACTIONS(706),
    [anon_sym_GT_GT] = ACTIONS(704),
    [anon_sym_AMP] = ACTIONS(708),
    [anon_sym_in] = ACTIONS(676),
    [anon_sym_LPAREN] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(696),
    [anon_sym_GT_EQ] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(704),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(710),
    [anon_sym_PIPE] = ACTIONS(712),
    [anon_sym_LT_EQ] = ACTIONS(696),
    [anon_sym_PIPE_PIPE] = ACTIONS(700),
    [anon_sym_COMMA] = ACTIONS(247),
    [anon_sym_GT_GT_GT] = ACTIONS(714),
    [anon_sym_PLUS_PLUS] = ACTIONS(716),
    [anon_sym_BANG_EQ] = ACTIONS(676),
    [anon_sym_LT] = ACTIONS(676),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_RBRACK] = ACTIONS(758),
    [anon_sym_PLUS] = ACTIONS(698),
    [anon_sym_EQ_EQ] = ACTIONS(676),
    [anon_sym_PERCENT] = ACTIONS(714),
    [anon_sym_QMARK] = ACTIONS(722),
    [anon_sym_LT_LT] = ACTIONS(714),
    [anon_sym_DASH_DASH] = ACTIONS(716),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(696),
  },
  [130] = {
    [aux_sym_array_repeat1] = STATE(317),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(247),
    [anon_sym_RBRACK] = ACTIONS(758),
  },
  [131] = {
    [aux_sym_array_repeat1] = STATE(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(247),
    [anon_sym_RBRACK] = ACTIONS(758),
  },
  [132] = {
    [anon_sym_SLASH2] = ACTIONS(760),
    [sym_comment] = ACTIONS(3),
  },
  [133] = {
    [sym_arrow_function] = STATE(46),
    [sym__declaration] = STATE(201),
    [sym_subscript_expression] = STATE(42),
    [sym_ternary_expression] = STATE(46),
    [sym_if_statement] = STATE(201),
    [sym_template_string] = STATE(46),
    [sym_do_statement] = STATE(201),
    [sym_return_statement] = STATE(201),
    [sym_yield_expression] = STATE(46),
    [sym_jsx_fragment] = STATE(46),
    [sym_function_declaration] = STATE(201),
    [sym_import_statement] = STATE(201),
    [sym_expression_statement] = STATE(201),
    [sym_switch_statement] = STATE(201),
    [sym_update_expression] = STATE(46),
    [sym_try_statement] = STATE(201),
    [sym_meta_property] = STATE(46),
    [sym_throw_statement] = STATE(201),
    [sym_object] = STATE(43),
    [aux_sym_export_statement_repeat1] = STATE(44),
    [sym_generator_function] = STATE(46),
    [sym_await_expression] = STATE(46),
    [sym_sequence_expression] = STATE(45),
    [sym_for_of_statement] = STATE(201),
    [sym_continue_statement] = STATE(201),
    [sym_call_expression] = STATE(46),
    [sym_assignment_expression] = STATE(46),
    [sym_statement_block] = STATE(201),
    [sym_binary_expression] = STATE(46),
    [sym_while_statement] = STATE(201),
    [sym_debugger_statement] = STATE(201),
    [sym__expression] = STATE(46),
    [sym_jsx_element] = STATE(46),
    [sym_function] = STATE(47),
    [sym_new_expression] = STATE(46),
    [sym_augmented_assignment_expression] = STATE(46),
    [sym_variable_declaration] = STATE(201),
    [sym_unary_expression] = STATE(46),
    [sym_for_statement] = STATE(201),
    [sym_regex] = STATE(46),
    [sym_with_statement] = STATE(201),
    [sym_empty_statement] = STATE(201),
    [aux_sym_program_repeat1] = STATE(201),
    [sym_class] = STATE(46),
    [sym_export_statement] = STATE(201),
    [sym_generator_function_declaration] = STATE(201),
    [sym_member_expression] = STATE(42),
    [sym_lexical_declaration] = STATE(201),
    [sym_for_in_statement] = STATE(201),
    [sym_string] = STATE(46),
    [sym_break_statement] = STATE(201),
    [sym_decorator] = STATE(50),
    [sym_labeled_statement] = STATE(201),
    [sym_formal_parameters] = STATE(51),
    [sym_parenthesized_expression] = STATE(46),
    [sym_array] = STATE(52),
    [sym_jsx_opening_element] = STATE(53),
    [sym_jsx_self_closing_element] = STATE(46),
    [sym_class_declaration] = STATE(201),
    [anon_sym_await] = ACTIONS(5),
    [anon_sym_PLUS] = ACTIONS(7),
    [sym_null] = ACTIONS(9),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_continue] = ACTIONS(13),
    [anon_sym_try] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_for] = ACTIONS(19),
    [anon_sym_do] = ACTIONS(21),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_function] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_import] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_with] = ACTIONS(35),
    [anon_sym_throw] = ACTIONS(37),
    [anon_sym_delete] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [anon_sym_SLASH] = ACTIONS(45),
    [sym_this] = ACTIONS(9),
    [sym_undefined] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(23),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [sym_super] = ACTIONS(63),
    [sym_identifier] = ACTIONS(65),
    [sym_false] = ACTIONS(9),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_LT] = ACTIONS(69),
    [sym_number] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [ts_builtin_sym_end] = ACTIONS(762),
    [anon_sym_TILDE] = ACTIONS(43),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_set] = ACTIONS(23),
    [anon_sym_async] = ACTIONS(81),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_switch] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_void] = ACTIONS(39),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_export] = ACTIONS(89),
    [anon_sym_typeof] = ACTIONS(39),
  },
  [134] = {
    [anon_sym_class] = ACTIONS(764),
    [anon_sym_static] = ACTIONS(764),
    [anon_sym_DASH] = ACTIONS(764),
    [anon_sym_import] = ACTIONS(764),
    [anon_sym_LBRACE] = ACTIONS(766),
    [anon_sym_delete] = ACTIONS(764),
    [anon_sym_throw] = ACTIONS(764),
    [anon_sym_LPAREN] = ACTIONS(766),
    [anon_sym_BANG] = ACTIONS(766),
    [sym_this] = ACTIONS(764),
    [sym_true] = ACTIONS(764),
    [anon_sym_case] = ACTIONS(764),
    [anon_sym_get] = ACTIONS(764),
    [anon_sym_default] = ACTIONS(764),
    [anon_sym_PLUS_PLUS] = ACTIONS(766),
    [anon_sym_SEMI] = ACTIONS(766),
    [anon_sym_DQUOTE] = ACTIONS(766),
    [anon_sym_TILDE] = ACTIONS(766),
    [sym_super] = ACTIONS(764),
    [anon_sym_LT] = ACTIONS(766),
    [sym_false] = ACTIONS(764),
    [sym_number] = ACTIONS(766),
    [anon_sym_yield] = ACTIONS(764),
    [anon_sym_set] = ACTIONS(764),
    [anon_sym_async] = ACTIONS(764),
    [anon_sym_var] = ACTIONS(764),
    [anon_sym_const] = ACTIONS(764),
    [anon_sym_RBRACE] = ACTIONS(766),
    [anon_sym_DASH_DASH] = ACTIONS(766),
    [anon_sym_try] = ACTIONS(764),
    [anon_sym_for] = ACTIONS(764),
    [anon_sym_typeof] = ACTIONS(764),
    [anon_sym_await] = ACTIONS(764),
    [sym_null] = ACTIONS(764),
    [anon_sym_function] = ACTIONS(764),
    [anon_sym_let] = ACTIONS(764),
    [anon_sym_if] = ACTIONS(764),
    [anon_sym_with] = ACTIONS(764),
    [anon_sym_SQUOTE] = ACTIONS(766),
    [anon_sym_SLASH] = ACTIONS(764),
    [sym_undefined] = ACTIONS(764),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(766),
    [anon_sym_else] = ACTIONS(764),
    [anon_sym_break] = ACTIONS(764),
    [anon_sym_debugger] = ACTIONS(764),
    [anon_sym_while] = ACTIONS(764),
    [sym_identifier] = ACTIONS(764),
    [anon_sym_BQUOTE] = ACTIONS(766),
    [ts_builtin_sym_end] = ACTIONS(766),
    [anon_sym_new] = ACTIONS(764),
    [anon_sym_AT] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(764),
    [anon_sym_switch] = ACTIONS(764),
    [anon_sym_export] = ACTIONS(764),
    [anon_sym_continue] = ACTIONS(764),
    [anon_sym_void] = ACTIONS(764),
    [anon_sym_return] = ACTIONS(764),
    [anon_sym_do] = ACTIONS(764),
  },
  [135] = {
    [sym__automatic_semicolon] = ACTIONS(768),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(768),
  },
  [136] = {
    [anon_sym_class] = ACTIONS(770),
    [anon_sym_static] = ACTIONS(770),
    [anon_sym_DASH] = ACTIONS(770),
    [anon_sym_import] = ACTIONS(770),
    [anon_sym_LBRACE] = ACTIONS(772),
    [anon_sym_delete] = ACTIONS(770),
    [anon_sym_throw] = ACTIONS(770),
    [anon_sym_LPAREN] = ACTIONS(772),
    [anon_sym_BANG] = ACTIONS(772),
    [sym_this] = ACTIONS(770),
    [sym_true] = ACTIONS(770),
    [anon_sym_case] = ACTIONS(770),
    [anon_sym_get] = ACTIONS(770),
    [anon_sym_default] = ACTIONS(770),
    [anon_sym_PLUS_PLUS] = ACTIONS(772),
    [anon_sym_SEMI] = ACTIONS(772),
    [anon_sym_DQUOTE] = ACTIONS(772),
    [anon_sym_TILDE] = ACTIONS(772),
    [sym_super] = ACTIONS(770),
    [anon_sym_LT] = ACTIONS(772),
    [sym_false] = ACTIONS(770),
    [sym_number] = ACTIONS(772),
    [anon_sym_yield] = ACTIONS(770),
    [anon_sym_set] = ACTIONS(770),
    [anon_sym_async] = ACTIONS(770),
    [anon_sym_var] = ACTIONS(770),
    [anon_sym_const] = ACTIONS(770),
    [anon_sym_RBRACE] = ACTIONS(772),
    [anon_sym_DASH_DASH] = ACTIONS(772),
    [anon_sym_try] = ACTIONS(770),
    [anon_sym_for] = ACTIONS(770),
    [anon_sym_typeof] = ACTIONS(770),
    [anon_sym_await] = ACTIONS(770),
    [sym_null] = ACTIONS(770),
    [anon_sym_function] = ACTIONS(770),
    [anon_sym_let] = ACTIONS(770),
    [anon_sym_if] = ACTIONS(770),
    [anon_sym_with] = ACTIONS(770),
    [anon_sym_SQUOTE] = ACTIONS(772),
    [anon_sym_SLASH] = ACTIONS(770),
    [sym_undefined] = ACTIONS(770),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(772),
    [anon_sym_else] = ACTIONS(770),
    [anon_sym_break] = ACTIONS(770),
    [anon_sym_debugger] = ACTIONS(770),
    [anon_sym_while] = ACTIONS(770),
    [sym_identifier] = ACTIONS(770),
    [anon_sym_BQUOTE] = ACTIONS(772),
    [ts_builtin_sym_end] = ACTIONS(772),
    [anon_sym_new] = ACTIONS(770),
    [anon_sym_AT] = ACTIONS(772),
    [anon_sym_PLUS] = ACTIONS(770),
    [anon_sym_switch] = ACTIONS(770),
    [anon_sym_export] = ACTIONS(770),
    [anon_sym_continue] = ACTIONS(770),
    [anon_sym_void] = ACTIONS(770),
    [anon_sym_return] = ACTIONS(770),
    [anon_sym_do] = ACTIONS(770),
  },
  [137] = {
    [sym_arrow_function] = STATE(46),
    [sym__declaration] = STATE(320),
    [sym_subscript_expression] = STATE(42),
    [sym_ternary_expression] = STATE(46),
    [sym_if_statement] = STATE(320),
    [sym_template_string] = STATE(46),
    [sym_do_statement] = STATE(320),
    [sym_return_statement] = STATE(320),
    [sym_yield_expression] = STATE(46),
    [sym_jsx_fragment] = STATE(46),
    [sym_function_declaration] = STATE(320),
    [sym_import_statement] = STATE(320),
    [sym_expression_statement] = STATE(320),
    [sym_switch_statement] = STATE(320),
    [sym_update_expression] = STATE(46),
    [sym_try_statement] = STATE(320),
    [sym_meta_property] = STATE(46),
    [sym_throw_statement] = STATE(320),
    [sym_object] = STATE(43),
    [aux_sym_export_statement_repeat1] = STATE(44),
    [sym_generator_function] = STATE(46),
    [sym_await_expression] = STATE(46),
    [sym_sequence_expression] = STATE(45),
    [sym_for_of_statement] = STATE(320),
    [sym_continue_statement] = STATE(320),
    [sym_call_expression] = STATE(46),
    [sym_assignment_expression] = STATE(46),
    [sym_statement_block] = STATE(320),
    [sym_binary_expression] = STATE(46),
    [sym_while_statement] = STATE(320),
    [sym_debugger_statement] = STATE(320),
    [sym__expression] = STATE(46),
    [sym_jsx_element] = STATE(46),
    [sym_function] = STATE(47),
    [sym_new_expression] = STATE(46),
    [sym_augmented_assignment_expression] = STATE(46),
    [sym_variable_declaration] = STATE(320),
    [sym_unary_expression] = STATE(46),
    [sym_for_statement] = STATE(320),
    [sym_regex] = STATE(46),
    [sym_with_statement] = STATE(320),
    [sym_empty_statement] = STATE(320),
    [sym_class] = STATE(46),
    [sym_export_statement] = STATE(320),
    [sym_generator_function_declaration] = STATE(320),
    [sym_member_expression] = STATE(42),
    [sym_lexical_declaration] = STATE(320),
    [sym_for_in_statement] = STATE(320),
    [sym_string] = STATE(46),
    [sym_break_statement] = STATE(320),
    [sym_decorator] = STATE(50),
    [sym_labeled_statement] = STATE(320),
    [sym_formal_parameters] = STATE(51),
    [sym_parenthesized_expression] = STATE(46),
    [sym_array] = STATE(52),
    [sym_jsx_opening_element] = STATE(53),
    [sym_jsx_self_closing_element] = STATE(46),
    [sym_class_declaration] = STATE(320),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_delete] = ACTIONS(39),
    [anon_sym_throw] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [anon_sym_get] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(69),
    [sym_false] = ACTIONS(9),
    [sym_number] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_set] = ACTIONS(23),
    [anon_sym_async] = ACTIONS(81),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_try] = ACTIONS(15),
    [anon_sym_for] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(5),
    [sym_null] = ACTIONS(9),
    [anon_sym_function] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(35),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_SLASH] = ACTIONS(45),
    [sym_undefined] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(61),
    [sym_identifier] = ACTIONS(65),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_switch] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(13),
    [anon_sym_void] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_do] = ACTIONS(21),
  },
  [138] = {
    [sym_arrow_function] = STATE(321),
    [sym_call_expression] = STATE(321),
    [sym_subscript_expression] = STATE(701),
    [sym_assignment_expression] = STATE(321),
    [sym_ternary_expression] = STATE(321),
    [sym_binary_expression] = STATE(321),
    [sym_template_string] = STATE(321),
    [sym__expression] = STATE(321),
    [sym_yield_expression] = STATE(321),
    [sym_jsx_element] = STATE(321),
    [sym_jsx_fragment] = STATE(321),
    [sym_function] = STATE(703),
    [sym_new_expression] = STATE(321),
    [sym_augmented_assignment_expression] = STATE(321),
    [sym_unary_expression] = STATE(321),
    [sym_update_expression] = STATE(321),
    [sym_regex] = STATE(321),
    [sym_meta_property] = STATE(321),
    [sym_object] = STATE(702),
    [aux_sym_export_statement_repeat1] = STATE(1016),
    [sym_class] = STATE(321),
    [sym_generator_function] = STATE(321),
    [sym_await_expression] = STATE(321),
    [sym_member_expression] = STATE(701),
    [sym_sequence_expression] = STATE(322),
    [sym_string] = STATE(321),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(874),
    [sym_parenthesized_expression] = STATE(321),
    [sym_array] = STATE(704),
    [sym_jsx_opening_element] = STATE(875),
    [sym_jsx_self_closing_element] = STATE(321),
    [anon_sym_await] = ACTIONS(217),
    [sym_null] = ACTIONS(774),
    [anon_sym_class] = ACTIONS(183),
    [anon_sym_static] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(219),
    [anon_sym_DASH] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_delete] = ACTIONS(191),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [anon_sym_LPAREN] = ACTIONS(193),
    [anon_sym_BANG] = ACTIONS(195),
    [sym_this] = ACTIONS(774),
    [sym_undefined] = ACTIONS(774),
    [sym_true] = ACTIONS(774),
    [anon_sym_SLASH] = ACTIONS(223),
    [anon_sym_LBRACK] = ACTIONS(225),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(243),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_TILDE] = ACTIONS(195),
    [sym_super] = ACTIONS(207),
    [sym_identifier] = ACTIONS(253),
    [sym_false] = ACTIONS(774),
    [anon_sym_LT] = ACTIONS(209),
    [sym_number] = ACTIONS(776),
    [anon_sym_yield] = ACTIONS(213),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_set] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(251),
    [anon_sym_new] = ACTIONS(231),
    [anon_sym_PLUS] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_void] = ACTIONS(191),
    [anon_sym_typeof] = ACTIONS(191),
  },
  [139] = {
    [sym_arrow_function] = STATE(324),
    [sym_call_expression] = STATE(324),
    [sym_subscript_expression] = STATE(701),
    [sym_assignment_expression] = STATE(324),
    [sym_ternary_expression] = STATE(324),
    [sym_binary_expression] = STATE(324),
    [sym_template_string] = STATE(324),
    [sym__expression] = STATE(324),
    [sym_yield_expression] = STATE(324),
    [sym_jsx_element] = STATE(324),
    [sym_jsx_fragment] = STATE(324),
    [sym_function] = STATE(703),
    [sym_new_expression] = STATE(324),
    [sym_augmented_assignment_expression] = STATE(324),
    [sym_unary_expression] = STATE(324),
    [sym_update_expression] = STATE(324),
    [sym_regex] = STATE(324),
    [sym_meta_property] = STATE(324),
    [sym_object] = STATE(702),
    [aux_sym_export_statement_repeat1] = STATE(1016),
    [aux_sym_array_repeat1] = STATE(325),
    [sym_class] = STATE(324),
    [sym_generator_function] = STATE(324),
    [sym_await_expression] = STATE(324),
    [sym_member_expression] = STATE(701),
    [sym_spread_element] = STATE(326),
    [sym_string] = STATE(324),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(874),
    [sym_parenthesized_expression] = STATE(324),
    [sym_array] = STATE(704),
    [sym_jsx_opening_element] = STATE(875),
    [sym_jsx_self_closing_element] = STATE(324),
    [anon_sym_class] = ACTIONS(183),
    [anon_sym_static] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_delete] = ACTIONS(191),
    [anon_sym_LPAREN] = ACTIONS(193),
    [anon_sym_BANG] = ACTIONS(195),
    [sym_this] = ACTIONS(778),
    [sym_true] = ACTIONS(778),
    [anon_sym_get] = ACTIONS(243),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(165),
    [anon_sym_COMMA] = ACTIONS(247),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_RPAREN] = ACTIONS(780),
    [anon_sym_TILDE] = ACTIONS(195),
    [sym_super] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(209),
    [sym_false] = ACTIONS(778),
    [sym_number] = ACTIONS(782),
    [anon_sym_yield] = ACTIONS(213),
    [anon_sym_set] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(251),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_typeof] = ACTIONS(191),
    [anon_sym_await] = ACTIONS(217),
    [sym_null] = ACTIONS(778),
    [anon_sym_function] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [anon_sym_SLASH] = ACTIONS(223),
    [sym_undefined] = ACTIONS(778),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(225),
    [sym_identifier] = ACTIONS(253),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(187),
    [anon_sym_void] = ACTIONS(191),
  },
  [140] = {
    [sym_identifier] = ACTIONS(784),
    [sym_comment] = ACTIONS(3),
  },
  [141] = {
    [anon_sym_instanceof] = ACTIONS(786),
    [anon_sym_GT] = ACTIONS(788),
    [sym__automatic_semicolon] = ACTIONS(786),
    [anon_sym_DASH] = ACTIONS(788),
    [anon_sym_CARET] = ACTIONS(786),
    [anon_sym_STAR_STAR] = ACTIONS(786),
    [anon_sym_STAR] = ACTIONS(788),
    [anon_sym_AMP_AMP] = ACTIONS(786),
    [anon_sym_GT_GT] = ACTIONS(788),
    [anon_sym_AMP] = ACTIONS(788),
    [anon_sym_in] = ACTIONS(788),
    [anon_sym_LPAREN] = ACTIONS(786),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(786),
    [anon_sym_SLASH] = ACTIONS(788),
    [anon_sym_GT_EQ] = ACTIONS(786),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(786),
    [anon_sym_PIPE] = ACTIONS(788),
    [anon_sym_LT_EQ] = ACTIONS(786),
    [anon_sym_PIPE_PIPE] = ACTIONS(786),
    [anon_sym_COMMA] = ACTIONS(786),
    [anon_sym_GT_GT_GT] = ACTIONS(786),
    [anon_sym_SEMI] = ACTIONS(786),
    [anon_sym_PLUS_PLUS] = ACTIONS(786),
    [anon_sym_BANG_EQ] = ACTIONS(788),
    [anon_sym_RPAREN] = ACTIONS(786),
    [anon_sym_LT] = ACTIONS(788),
    [anon_sym_DOT] = ACTIONS(786),
    [anon_sym_BQUOTE] = ACTIONS(786),
    [anon_sym_PLUS] = ACTIONS(788),
    [anon_sym_EQ_EQ] = ACTIONS(788),
    [anon_sym_PERCENT] = ACTIONS(786),
    [anon_sym_QMARK] = ACTIONS(786),
    [anon_sym_LT_LT] = ACTIONS(786),
    [anon_sym_DASH_DASH] = ACTIONS(786),
    [anon_sym_RBRACE] = ACTIONS(786),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(786),
  },
  [142] = {
    [sym_arrow_function] = STATE(328),
    [sym_call_expression] = STATE(328),
    [sym_subscript_expression] = STATE(42),
    [sym_assignment_expression] = STATE(328),
    [sym_ternary_expression] = STATE(328),
    [sym_binary_expression] = STATE(328),
    [sym_template_string] = STATE(328),
    [sym__expression] = STATE(328),
    [sym_yield_expression] = STATE(328),
    [sym_jsx_element] = STATE(328),
    [sym_jsx_fragment] = STATE(328),
    [sym_function] = STATE(47),
    [sym_new_expression] = STATE(328),
    [sym_augmented_assignment_expression] = STATE(328),
    [sym_unary_expression] = STATE(328),
    [sym_update_expression] = STATE(328),
    [sym_regex] = STATE(328),
    [sym_meta_property] = STATE(328),
    [sym_object] = STATE(43),
    [aux_sym_export_statement_repeat1] = STATE(60),
    [sym_class] = STATE(328),
    [sym_generator_function] = STATE(328),
    [sym_await_expression] = STATE(328),
    [sym_member_expression] = STATE(42),
    [sym_string] = STATE(328),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(51),
    [sym_parenthesized_expression] = STATE(328),
    [sym_array] = STATE(52),
    [sym_jsx_opening_element] = STATE(53),
    [sym_jsx_self_closing_element] = STATE(328),
    [anon_sym_await] = ACTIONS(5),
    [sym_null] = ACTIONS(790),
    [anon_sym_class] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_function] = ACTIONS(95),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(97),
    [anon_sym_delete] = ACTIONS(39),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(790),
    [sym_undefined] = ACTIONS(790),
    [sym_true] = ACTIONS(790),
    [anon_sym_SLASH] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(49),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(63),
    [sym_identifier] = ACTIONS(99),
    [sym_false] = ACTIONS(790),
    [anon_sym_LT] = ACTIONS(69),
    [sym_number] = ACTIONS(792),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_set] = ACTIONS(23),
    [anon_sym_async] = ACTIONS(103),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_void] = ACTIONS(39),
    [anon_sym_typeof] = ACTIONS(39),
  },
  [143] = {
    [sym_arrow_function] = STATE(46),
    [sym__declaration] = STATE(329),
    [sym_subscript_expression] = STATE(42),
    [sym_ternary_expression] = STATE(46),
    [sym_if_statement] = STATE(329),
    [sym_template_string] = STATE(46),
    [sym_do_statement] = STATE(329),
    [sym_return_statement] = STATE(329),
    [sym_yield_expression] = STATE(46),
    [sym_jsx_fragment] = STATE(46),
    [sym_function_declaration] = STATE(329),
    [sym_import_statement] = STATE(329),
    [sym_expression_statement] = STATE(329),
    [sym_switch_statement] = STATE(329),
    [sym_update_expression] = STATE(46),
    [sym_try_statement] = STATE(329),
    [sym_meta_property] = STATE(46),
    [sym_throw_statement] = STATE(329),
    [sym_object] = STATE(43),
    [aux_sym_export_statement_repeat1] = STATE(44),
    [sym_generator_function] = STATE(46),
    [sym_await_expression] = STATE(46),
    [sym_sequence_expression] = STATE(45),
    [sym_for_of_statement] = STATE(329),
    [sym_continue_statement] = STATE(329),
    [sym_call_expression] = STATE(46),
    [sym_assignment_expression] = STATE(46),
    [sym_statement_block] = STATE(329),
    [sym_binary_expression] = STATE(46),
    [sym_while_statement] = STATE(329),
    [sym_debugger_statement] = STATE(329),
    [sym__expression] = STATE(46),
    [sym_jsx_element] = STATE(46),
    [sym_function] = STATE(47),
    [sym_new_expression] = STATE(46),
    [sym_augmented_assignment_expression] = STATE(46),
    [sym_variable_declaration] = STATE(329),
    [sym_unary_expression] = STATE(46),
    [sym_for_statement] = STATE(329),
    [sym_regex] = STATE(46),
    [sym_with_statement] = STATE(329),
    [sym_empty_statement] = STATE(329),
    [sym_class] = STATE(46),
    [sym_export_statement] = STATE(329),
    [sym_generator_function_declaration] = STATE(329),
    [sym_member_expression] = STATE(42),
    [sym_lexical_declaration] = STATE(329),
    [sym_for_in_statement] = STATE(329),
    [sym_string] = STATE(46),
    [sym_break_statement] = STATE(329),
    [sym_decorator] = STATE(50),
    [sym_labeled_statement] = STATE(329),
    [sym_formal_parameters] = STATE(51),
    [sym_parenthesized_expression] = STATE(46),
    [sym_array] = STATE(52),
    [sym_jsx_opening_element] = STATE(53),
    [sym_jsx_self_closing_element] = STATE(46),
    [sym_class_declaration] = STATE(329),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_delete] = ACTIONS(39),
    [anon_sym_throw] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [anon_sym_get] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(69),
    [sym_false] = ACTIONS(9),
    [sym_number] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_set] = ACTIONS(23),
    [anon_sym_async] = ACTIONS(81),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_try] = ACTIONS(15),
    [anon_sym_for] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(5),
    [sym_null] = ACTIONS(9),
    [anon_sym_function] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(35),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_SLASH] = ACTIONS(45),
    [sym_undefined] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(61),
    [sym_identifier] = ACTIONS(65),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_switch] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(13),
    [anon_sym_void] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_do] = ACTIONS(21),
  },
  [144] = {
    [sym_arrow_function] = STATE(330),
    [sym_call_expression] = STATE(330),
    [sym_subscript_expression] = STATE(42),
    [sym_assignment_expression] = STATE(330),
    [sym_ternary_expression] = STATE(330),
    [sym_binary_expression] = STATE(330),
    [sym_template_string] = STATE(330),
    [sym__expression] = STATE(330),
    [sym_yield_expression] = STATE(330),
    [sym_jsx_element] = STATE(330),
    [sym_jsx_fragment] = STATE(330),
    [sym_function] = STATE(47),
    [sym_new_expression] = STATE(330),
    [sym_augmented_assignment_expression] = STATE(330),
    [sym_unary_expression] = STATE(330),
    [sym_update_expression] = STATE(330),
    [sym_regex] = STATE(330),
    [sym_meta_property] = STATE(330),
    [sym_object] = STATE(43),
    [aux_sym_export_statement_repeat1] = STATE(60),
    [sym_class] = STATE(330),
    [sym_generator_function] = STATE(330),
    [sym_await_expression] = STATE(330),
    [sym_member_expression] = STATE(42),
    [sym_string] = STATE(330),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(51),
    [sym_parenthesized_expression] = STATE(330),
    [sym_array] = STATE(52),
    [sym_jsx_opening_element] = STATE(53),
    [sym_jsx_self_closing_element] = STATE(330),
    [anon_sym_await] = ACTIONS(5),
    [sym_null] = ACTIONS(794),
    [anon_sym_class] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_function] = ACTIONS(95),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(97),
    [anon_sym_delete] = ACTIONS(39),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(794),
    [sym_undefined] = ACTIONS(794),
    [sym_true] = ACTIONS(794),
    [anon_sym_SLASH] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(49),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(63),
    [sym_identifier] = ACTIONS(99),
    [sym_false] = ACTIONS(794),
    [anon_sym_LT] = ACTIONS(69),
    [sym_number] = ACTIONS(796),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_set] = ACTIONS(23),
    [anon_sym_async] = ACTIONS(103),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_void] = ACTIONS(39),
    [anon_sym_typeof] = ACTIONS(39),
  },
  [145] = {
    [sym_arrow_function] = STATE(331),
    [sym_call_expression] = STATE(331),
    [sym_subscript_expression] = STATE(42),
    [sym_assignment_expression] = STATE(331),
    [sym_ternary_expression] = STATE(331),
    [sym_binary_expression] = STATE(331),
    [sym_template_string] = STATE(331),
    [sym__expression] = STATE(331),
    [sym_yield_expression] = STATE(331),
    [sym_jsx_element] = STATE(331),
    [sym_jsx_fragment] = STATE(331),
    [sym_function] = STATE(47),
    [sym_new_expression] = STATE(331),
    [sym_augmented_assignment_expression] = STATE(331),
    [sym_unary_expression] = STATE(331),
    [sym_update_expression] = STATE(331),
    [sym_regex] = STATE(331),
    [sym_meta_property] = STATE(331),
    [sym_object] = STATE(43),
    [aux_sym_export_statement_repeat1] = STATE(60),
    [sym_class] = STATE(331),
    [sym_generator_function] = STATE(331),
    [sym_await_expression] = STATE(331),
    [sym_member_expression] = STATE(42),
    [sym_string] = STATE(331),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(51),
    [sym_parenthesized_expression] = STATE(331),
    [sym_array] = STATE(52),
    [sym_jsx_opening_element] = STATE(53),
    [sym_jsx_self_closing_element] = STATE(331),
    [anon_sym_await] = ACTIONS(5),
    [sym_null] = ACTIONS(798),
    [anon_sym_class] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_function] = ACTIONS(95),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(97),
    [anon_sym_delete] = ACTIONS(39),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(798),
    [sym_undefined] = ACTIONS(798),
    [sym_true] = ACTIONS(798),
    [anon_sym_SLASH] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(49),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(63),
    [sym_identifier] = ACTIONS(99),
    [sym_false] = ACTIONS(798),
    [anon_sym_LT] = ACTIONS(69),
    [sym_number] = ACTIONS(800),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_set] = ACTIONS(23),
    [anon_sym_async] = ACTIONS(103),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_void] = ACTIONS(39),
    [anon_sym_typeof] = ACTIONS(39),
  },
  [146] = {
    [sym_arrow_function] = STATE(333),
    [sym_call_expression] = STATE(333),
    [sym_subscript_expression] = STATE(42),
    [sym_assignment_expression] = STATE(333),
    [sym_ternary_expression] = STATE(333),
    [sym_binary_expression] = STATE(333),
    [sym_template_string] = STATE(333),
    [sym_statement_block] = STATE(332),
    [sym__expression] = STATE(333),
    [sym_yield_expression] = STATE(333),
    [sym_jsx_element] = STATE(333),
    [sym_jsx_fragment] = STATE(333),
    [sym_function] = STATE(47),
    [sym_new_expression] = STATE(333),
    [sym_augmented_assignment_expression] = STATE(333),
    [sym_unary_expression] = STATE(333),
    [sym_update_expression] = STATE(333),
    [sym_regex] = STATE(333),
    [sym_meta_property] = STATE(333),
    [sym_object] = STATE(43),
    [aux_sym_export_statement_repeat1] = STATE(60),
    [sym_class] = STATE(333),
    [sym_generator_function] = STATE(333),
    [sym_await_expression] = STATE(333),
    [sym_member_expression] = STATE(42),
    [sym_string] = STATE(333),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(51),
    [sym_parenthesized_expression] = STATE(333),
    [sym_array] = STATE(52),
    [sym_jsx_opening_element] = STATE(53),
    [sym_jsx_self_closing_element] = STATE(333),
    [anon_sym_await] = ACTIONS(5),
    [sym_null] = ACTIONS(802),
    [anon_sym_class] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_function] = ACTIONS(95),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(804),
    [anon_sym_delete] = ACTIONS(39),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(802),
    [sym_undefined] = ACTIONS(802),
    [sym_true] = ACTIONS(802),
    [anon_sym_SLASH] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(49),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(63),
    [sym_identifier] = ACTIONS(99),
    [sym_false] = ACTIONS(802),
    [anon_sym_LT] = ACTIONS(69),
    [sym_number] = ACTIONS(806),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_set] = ACTIONS(23),
    [anon_sym_async] = ACTIONS(103),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_void] = ACTIONS(39),
    [anon_sym_typeof] = ACTIONS(39),
  },
  [147] = {
    [sym_jsx_namespace_name] = STATE(339),
    [sym_jsx_attribute] = STATE(340),
    [sym_jsx_expression] = STATE(340),
    [aux_sym_jsx_opening_element_repeat1] = STATE(341),
    [anon_sym_LBRACE] = ACTIONS(808),
    [anon_sym_GT] = ACTIONS(810),
    [anon_sym_COLON] = ACTIONS(812),
    [anon_sym_SLASH] = ACTIONS(814),
    [sym_jsx_identifier] = ACTIONS(816),
    [sym_comment] = ACTIONS(3),
    [sym_identifier] = ACTIONS(818),
    [anon_sym_DOT] = ACTIONS(820),
  },
  [148] = {
    [sym_jsx_namespace_name] = STATE(339),
    [sym_jsx_attribute] = STATE(340),
    [sym_jsx_expression] = STATE(340),
    [aux_sym_jsx_opening_element_repeat1] = STATE(341),
    [anon_sym_LBRACE] = ACTIONS(808),
    [anon_sym_GT] = ACTIONS(810),
    [anon_sym_COLON] = ACTIONS(812),
    [anon_sym_SLASH] = ACTIONS(814),
    [sym_jsx_identifier] = ACTIONS(816),
    [sym_comment] = ACTIONS(3),
    [sym_identifier] = ACTIONS(818),
  },
  [149] = {
    [sym_jsx_expression] = STATE(343),
    [aux_sym_jsx_element_repeat1] = STATE(343),
    [sym_jsx_opening_element] = STATE(967),
    [sym_jsx_self_closing_element] = STATE(343),
    [sym_jsx_element] = STATE(343),
    [anon_sym_LBRACE] = ACTIONS(426),
    [sym_comment] = ACTIONS(237),
    [sym_jsx_text] = ACTIONS(822),
    [anon_sym_LT] = ACTIONS(824),
  },
  [150] = {
    [sym_jsx_namespace_name] = STATE(339),
    [sym_jsx_attribute] = STATE(340),
    [sym_jsx_expression] = STATE(340),
    [aux_sym_jsx_opening_element_repeat1] = STATE(341),
    [anon_sym_LBRACE] = ACTIONS(808),
    [anon_sym_GT] = ACTIONS(810),
    [anon_sym_SLASH] = ACTIONS(814),
    [sym_jsx_identifier] = ACTIONS(816),
    [sym_comment] = ACTIONS(3),
    [sym_identifier] = ACTIONS(818),
    [anon_sym_DOT] = ACTIONS(820),
  },
  [151] = {
    [sym_jsx_namespace_name] = STATE(339),
    [sym_jsx_attribute] = STATE(340),
    [sym_jsx_expression] = STATE(340),
    [aux_sym_jsx_opening_element_repeat1] = STATE(341),
    [anon_sym_LBRACE] = ACTIONS(808),
    [anon_sym_GT] = ACTIONS(810),
    [anon_sym_SLASH] = ACTIONS(814),
    [sym_jsx_identifier] = ACTIONS(816),
    [sym_comment] = ACTIONS(3),
    [sym_identifier] = ACTIONS(818),
  },
  [152] = {
    [sym_template_string] = STATE(141),
    [sym_arguments] = STATE(141),
    [anon_sym_instanceof] = ACTIONS(392),
    [anon_sym_GT] = ACTIONS(287),
    [sym__automatic_semicolon] = ACTIONS(826),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_CARET] = ACTIONS(396),
    [anon_sym_STAR_STAR] = ACTIONS(398),
    [anon_sym_STAR] = ACTIONS(400),
    [anon_sym_AMP_AMP] = ACTIONS(402),
    [anon_sym_GT_GT] = ACTIONS(400),
    [anon_sym_AMP] = ACTIONS(404),
    [anon_sym_in] = ACTIONS(287),
    [anon_sym_LPAREN] = ACTIONS(271),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(392),
    [anon_sym_SLASH] = ACTIONS(400),
    [anon_sym_GT_EQ] = ACTIONS(392),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(273),
    [anon_sym_PIPE] = ACTIONS(406),
    [anon_sym_LT_EQ] = ACTIONS(392),
    [anon_sym_PIPE_PIPE] = ACTIONS(396),
    [anon_sym_COMMA] = ACTIONS(826),
    [anon_sym_GT_GT_GT] = ACTIONS(408),
    [anon_sym_SEMI] = ACTIONS(826),
    [anon_sym_PLUS_PLUS] = ACTIONS(410),
    [anon_sym_BANG_EQ] = ACTIONS(287),
    [anon_sym_RPAREN] = ACTIONS(826),
    [anon_sym_LT] = ACTIONS(287),
    [anon_sym_DOT] = ACTIONS(275),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_EQ_EQ] = ACTIONS(287),
    [anon_sym_PERCENT] = ACTIONS(408),
    [anon_sym_QMARK] = ACTIONS(414),
    [anon_sym_LT_LT] = ACTIONS(408),
    [anon_sym_DASH_DASH] = ACTIONS(410),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(392),
  },
  [153] = {
    [aux_sym_string_repeat1] = STATE(344),
    [anon_sym_DQUOTE] = ACTIONS(744),
    [sym_comment] = ACTIONS(237),
    [sym_escape_sequence] = ACTIONS(828),
    [aux_sym_string_token1] = ACTIONS(828),
  },
  [154] = {
    [sym_formal_parameters] = STATE(346),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(139),
    [sym_identifier] = ACTIONS(830),
  },
  [155] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(832),
  },
  [156] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(834),
  },
  [157] = {
    [sym_arguments] = STATE(349),
    [anon_sym_instanceof] = ACTIONS(836),
    [anon_sym_GT] = ACTIONS(838),
    [sym__automatic_semicolon] = ACTIONS(836),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_CARET] = ACTIONS(836),
    [anon_sym_STAR_STAR] = ACTIONS(836),
    [anon_sym_STAR] = ACTIONS(838),
    [anon_sym_AMP_AMP] = ACTIONS(836),
    [anon_sym_GT_GT] = ACTIONS(838),
    [anon_sym_AMP] = ACTIONS(838),
    [anon_sym_in] = ACTIONS(838),
    [anon_sym_LPAREN] = ACTIONS(271),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(836),
    [anon_sym_SLASH] = ACTIONS(838),
    [anon_sym_GT_EQ] = ACTIONS(836),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(836),
    [anon_sym_PIPE] = ACTIONS(838),
    [anon_sym_LT_EQ] = ACTIONS(836),
    [anon_sym_PIPE_PIPE] = ACTIONS(836),
    [anon_sym_GT_GT_GT] = ACTIONS(836),
    [anon_sym_PLUS_PLUS] = ACTIONS(836),
    [anon_sym_COMMA] = ACTIONS(836),
    [anon_sym_SEMI] = ACTIONS(836),
    [anon_sym_BANG_EQ] = ACTIONS(838),
    [anon_sym_RPAREN] = ACTIONS(836),
    [anon_sym_LT] = ACTIONS(838),
    [anon_sym_DOT] = ACTIONS(836),
    [anon_sym_BQUOTE] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_EQ_EQ] = ACTIONS(838),
    [anon_sym_PERCENT] = ACTIONS(836),
    [anon_sym_QMARK] = ACTIONS(836),
    [anon_sym_LT_LT] = ACTIONS(836),
    [anon_sym_DASH_DASH] = ACTIONS(836),
    [anon_sym_RBRACE] = ACTIONS(836),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(836),
  },
  [158] = {
    [sym_arguments] = STATE(350),
    [anon_sym_instanceof] = ACTIONS(840),
    [sym__automatic_semicolon] = ACTIONS(840),
    [anon_sym_AMP_EQ] = ACTIONS(658),
    [anon_sym_GT_GT_EQ] = ACTIONS(658),
    [anon_sym_STAR_EQ] = ACTIONS(658),
    [anon_sym_DASH] = ACTIONS(842),
    [anon_sym_STAR_STAR] = ACTIONS(842),
    [anon_sym_STAR] = ACTIONS(842),
    [anon_sym_AMP] = ACTIONS(842),
    [anon_sym_GT_EQ] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(271),
    [anon_sym_PIPE_EQ] = ACTIONS(658),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(658),
    [anon_sym_SLASH_EQ] = ACTIONS(658),
    [anon_sym_LT_EQ] = ACTIONS(840),
    [anon_sym_COMMA] = ACTIONS(840),
    [anon_sym_PLUS_PLUS] = ACTIONS(840),
    [anon_sym_SEMI] = ACTIONS(840),
    [anon_sym_RPAREN] = ACTIONS(840),
    [anon_sym_LT] = ACTIONS(842),
    [anon_sym_LT_LT_EQ] = ACTIONS(658),
    [anon_sym_EQ_EQ] = ACTIONS(842),
    [anon_sym_QMARK] = ACTIONS(840),
    [anon_sym_RBRACE] = ACTIONS(840),
    [anon_sym_DASH_DASH] = ACTIONS(840),
    [anon_sym_GT] = ACTIONS(842),
    [anon_sym_EQ] = ACTIONS(656),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(658),
    [anon_sym_CARET] = ACTIONS(842),
    [anon_sym_AMP_AMP] = ACTIONS(840),
    [anon_sym_GT_GT] = ACTIONS(842),
    [anon_sym_in] = ACTIONS(842),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(840),
    [anon_sym_SLASH] = ACTIONS(842),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(840),
    [anon_sym_PERCENT_EQ] = ACTIONS(658),
    [anon_sym_PLUS_EQ] = ACTIONS(658),
    [anon_sym_PIPE] = ACTIONS(842),
    [anon_sym_PIPE_PIPE] = ACTIONS(840),
    [anon_sym_GT_GT_GT] = ACTIONS(842),
    [anon_sym_BANG_EQ] = ACTIONS(842),
    [anon_sym_DOT] = ACTIONS(137),
    [anon_sym_BQUOTE] = ACTIONS(840),
    [anon_sym_CARET_EQ] = ACTIONS(658),
    [anon_sym_DASH_EQ] = ACTIONS(658),
    [anon_sym_PLUS] = ACTIONS(842),
    [anon_sym_PERCENT] = ACTIONS(842),
    [anon_sym_LT_LT] = ACTIONS(842),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(840),
  },
  [159] = {
    [sym_arguments] = STATE(349),
    [anon_sym_instanceof] = ACTIONS(836),
    [sym__automatic_semicolon] = ACTIONS(836),
    [anon_sym_AMP_EQ] = ACTIONS(674),
    [anon_sym_GT_GT_EQ] = ACTIONS(674),
    [anon_sym_STAR_EQ] = ACTIONS(674),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_STAR_STAR] = ACTIONS(838),
    [anon_sym_STAR] = ACTIONS(838),
    [anon_sym_AMP] = ACTIONS(838),
    [anon_sym_GT_EQ] = ACTIONS(836),
    [anon_sym_LPAREN] = ACTIONS(271),
    [anon_sym_PIPE_EQ] = ACTIONS(674),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(674),
    [anon_sym_SLASH_EQ] = ACTIONS(674),
    [anon_sym_LT_EQ] = ACTIONS(836),
    [anon_sym_COMMA] = ACTIONS(836),
    [anon_sym_PLUS_PLUS] = ACTIONS(836),
    [anon_sym_SEMI] = ACTIONS(836),
    [anon_sym_RPAREN] = ACTIONS(836),
    [anon_sym_LT] = ACTIONS(838),
    [anon_sym_LT_LT_EQ] = ACTIONS(674),
    [anon_sym_EQ_EQ] = ACTIONS(838),
    [anon_sym_QMARK] = ACTIONS(836),
    [anon_sym_DASH_DASH] = ACTIONS(836),
    [anon_sym_GT] = ACTIONS(838),
    [anon_sym_EQ] = ACTIONS(844),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(674),
    [anon_sym_CARET] = ACTIONS(838),
    [anon_sym_AMP_AMP] = ACTIONS(836),
    [anon_sym_GT_GT] = ACTIONS(838),
    [anon_sym_in] = ACTIONS(838),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(836),
    [anon_sym_SLASH] = ACTIONS(838),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(836),
    [anon_sym_PERCENT_EQ] = ACTIONS(674),
    [anon_sym_EQ_GT] = ACTIONS(289),
    [anon_sym_PLUS_EQ] = ACTIONS(674),
    [anon_sym_PIPE] = ACTIONS(838),
    [anon_sym_PIPE_PIPE] = ACTIONS(836),
    [anon_sym_GT_GT_GT] = ACTIONS(838),
    [anon_sym_BANG_EQ] = ACTIONS(838),
    [anon_sym_DOT] = ACTIONS(275),
    [anon_sym_BQUOTE] = ACTIONS(836),
    [anon_sym_CARET_EQ] = ACTIONS(674),
    [anon_sym_DASH_EQ] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_PERCENT] = ACTIONS(838),
    [anon_sym_LT_LT] = ACTIONS(838),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(836),
  },
  [160] = {
    [anon_sym_target] = ACTIONS(846),
    [sym_comment] = ACTIONS(3),
  },
  [161] = {
    [sym_formal_parameters] = STATE(156),
    [sym_arguments] = STATE(350),
    [anon_sym_instanceof] = ACTIONS(842),
    [sym__automatic_semicolon] = ACTIONS(840),
    [anon_sym_AMP_EQ] = ACTIONS(658),
    [anon_sym_GT_GT_EQ] = ACTIONS(658),
    [anon_sym_STAR_EQ] = ACTIONS(658),
    [anon_sym_DASH] = ACTIONS(842),
    [anon_sym_STAR_STAR] = ACTIONS(842),
    [anon_sym_STAR] = ACTIONS(842),
    [anon_sym_AMP] = ACTIONS(842),
    [anon_sym_GT_EQ] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(840),
    [anon_sym_PIPE_EQ] = ACTIONS(658),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(658),
    [anon_sym_SLASH_EQ] = ACTIONS(658),
    [anon_sym_LT_EQ] = ACTIONS(840),
    [anon_sym_COMMA] = ACTIONS(840),
    [anon_sym_PLUS_PLUS] = ACTIONS(840),
    [anon_sym_SEMI] = ACTIONS(840),
    [anon_sym_RPAREN] = ACTIONS(840),
    [anon_sym_LT] = ACTIONS(842),
    [anon_sym_LT_LT_EQ] = ACTIONS(658),
    [anon_sym_EQ_EQ] = ACTIONS(842),
    [anon_sym_QMARK] = ACTIONS(840),
    [anon_sym_DASH_DASH] = ACTIONS(840),
    [anon_sym_GT] = ACTIONS(842),
    [anon_sym_EQ] = ACTIONS(656),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(658),
    [anon_sym_function] = ACTIONS(452),
    [anon_sym_CARET] = ACTIONS(842),
    [anon_sym_AMP_AMP] = ACTIONS(840),
    [anon_sym_GT_GT] = ACTIONS(842),
    [anon_sym_in] = ACTIONS(842),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(840),
    [anon_sym_SLASH] = ACTIONS(842),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(840),
    [anon_sym_PERCENT_EQ] = ACTIONS(658),
    [anon_sym_PLUS_EQ] = ACTIONS(658),
    [anon_sym_PIPE] = ACTIONS(842),
    [anon_sym_PIPE_PIPE] = ACTIONS(840),
    [anon_sym_GT_GT_GT] = ACTIONS(842),
    [anon_sym_BANG_EQ] = ACTIONS(842),
    [sym_identifier] = ACTIONS(316),
    [anon_sym_DOT] = ACTIONS(137),
    [anon_sym_BQUOTE] = ACTIONS(840),
    [anon_sym_CARET_EQ] = ACTIONS(658),
    [anon_sym_DASH_EQ] = ACTIONS(658),
    [anon_sym_PLUS] = ACTIONS(842),
    [anon_sym_PERCENT] = ACTIONS(842),
    [anon_sym_LT_LT] = ACTIONS(842),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(840),
  },
  [162] = {
    [sym_arguments] = STATE(349),
    [anon_sym_instanceof] = ACTIONS(836),
    [sym__automatic_semicolon] = ACTIONS(836),
    [anon_sym_AMP_EQ] = ACTIONS(674),
    [anon_sym_GT_GT_EQ] = ACTIONS(674),
    [anon_sym_STAR_EQ] = ACTIONS(674),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_STAR_STAR] = ACTIONS(838),
    [anon_sym_STAR] = ACTIONS(838),
    [anon_sym_AMP] = ACTIONS(838),
    [anon_sym_GT_EQ] = ACTIONS(836),
    [anon_sym_LPAREN] = ACTIONS(271),
    [anon_sym_PIPE_EQ] = ACTIONS(674),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(674),
    [anon_sym_SLASH_EQ] = ACTIONS(674),
    [anon_sym_LT_EQ] = ACTIONS(836),
    [anon_sym_COMMA] = ACTIONS(836),
    [anon_sym_PLUS_PLUS] = ACTIONS(836),
    [anon_sym_SEMI] = ACTIONS(836),
    [anon_sym_RPAREN] = ACTIONS(836),
    [anon_sym_LT] = ACTIONS(838),
    [anon_sym_LT_LT_EQ] = ACTIONS(674),
    [anon_sym_EQ_EQ] = ACTIONS(838),
    [anon_sym_QMARK] = ACTIONS(836),
    [anon_sym_RBRACE] = ACTIONS(836),
    [anon_sym_DASH_DASH] = ACTIONS(836),
    [anon_sym_GT] = ACTIONS(838),
    [anon_sym_EQ] = ACTIONS(844),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(674),
    [anon_sym_CARET] = ACTIONS(838),
    [anon_sym_AMP_AMP] = ACTIONS(836),
    [anon_sym_GT_GT] = ACTIONS(838),
    [anon_sym_in] = ACTIONS(838),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(836),
    [anon_sym_SLASH] = ACTIONS(838),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(836),
    [anon_sym_PERCENT_EQ] = ACTIONS(674),
    [anon_sym_PLUS_EQ] = ACTIONS(674),
    [anon_sym_PIPE] = ACTIONS(838),
    [anon_sym_PIPE_PIPE] = ACTIONS(836),
    [anon_sym_GT_GT_GT] = ACTIONS(838),
    [anon_sym_BANG_EQ] = ACTIONS(838),
    [anon_sym_DOT] = ACTIONS(836),
    [anon_sym_BQUOTE] = ACTIONS(836),
    [anon_sym_CARET_EQ] = ACTIONS(674),
    [anon_sym_DASH_EQ] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_PERCENT] = ACTIONS(838),
    [anon_sym_LT_LT] = ACTIONS(838),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(836),
  },
  [163] = {
    [sym_template_string] = STATE(719),
    [sym_arguments] = STATE(719),
    [anon_sym_instanceof] = ACTIONS(696),
    [anon_sym_GT] = ACTIONS(676),
    [anon_sym_DASH] = ACTIONS(698),
    [anon_sym_CARET] = ACTIONS(700),
    [anon_sym_STAR_STAR] = ACTIONS(702),
    [anon_sym_STAR] = ACTIONS(704),
    [anon_sym_AMP_AMP] = ACTIONS(706),
    [anon_sym_GT_GT] = ACTIONS(704),
    [anon_sym_AMP] = ACTIONS(708),
    [anon_sym_in] = ACTIONS(676),
    [anon_sym_LPAREN] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(696),
    [anon_sym_GT_EQ] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(704),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(273),
    [anon_sym_PIPE] = ACTIONS(712),
    [anon_sym_LT_EQ] = ACTIONS(696),
    [anon_sym_PIPE_PIPE] = ACTIONS(700),
    [anon_sym_GT_GT_GT] = ACTIONS(714),
    [anon_sym_PLUS_PLUS] = ACTIONS(716),
    [anon_sym_BANG_EQ] = ACTIONS(676),
    [anon_sym_LT] = ACTIONS(676),
    [anon_sym_DOT] = ACTIONS(275),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_PLUS] = ACTIONS(698),
    [anon_sym_EQ_EQ] = ACTIONS(676),
    [anon_sym_PERCENT] = ACTIONS(714),
    [anon_sym_QMARK] = ACTIONS(722),
    [anon_sym_LT_LT] = ACTIONS(714),
    [anon_sym_DASH_DASH] = ACTIONS(716),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(696),
  },
  [164] = {
    [sym_template_string] = STATE(719),
    [sym_arguments] = STATE(352),
    [anon_sym_instanceof] = ACTIONS(836),
    [anon_sym_GT] = ACTIONS(838),
    [sym__automatic_semicolon] = ACTIONS(836),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_CARET] = ACTIONS(836),
    [anon_sym_STAR_STAR] = ACTIONS(836),
    [anon_sym_STAR] = ACTIONS(838),
    [anon_sym_AMP_AMP] = ACTIONS(836),
    [anon_sym_GT_GT] = ACTIONS(838),
    [anon_sym_AMP] = ACTIONS(838),
    [anon_sym_in] = ACTIONS(838),
    [anon_sym_LPAREN] = ACTIONS(836),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(836),
    [anon_sym_SLASH] = ACTIONS(838),
    [anon_sym_GT_EQ] = ACTIONS(836),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(836),
    [anon_sym_PIPE] = ACTIONS(838),
    [anon_sym_LT_EQ] = ACTIONS(836),
    [anon_sym_PIPE_PIPE] = ACTIONS(836),
    [anon_sym_GT_GT_GT] = ACTIONS(836),
    [anon_sym_PLUS_PLUS] = ACTIONS(836),
    [anon_sym_COMMA] = ACTIONS(836),
    [anon_sym_SEMI] = ACTIONS(836),
    [anon_sym_BANG_EQ] = ACTIONS(838),
    [anon_sym_RPAREN] = ACTIONS(836),
    [anon_sym_LT] = ACTIONS(838),
    [anon_sym_DOT] = ACTIONS(836),
    [anon_sym_BQUOTE] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_EQ_EQ] = ACTIONS(838),
    [anon_sym_PERCENT] = ACTIONS(836),
    [anon_sym_QMARK] = ACTIONS(836),
    [anon_sym_LT_LT] = ACTIONS(836),
    [anon_sym_DASH_DASH] = ACTIONS(836),
    [anon_sym_RBRACE] = ACTIONS(836),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(836),
  },
  [165] = {
    [sym_arguments] = STATE(349),
    [anon_sym_instanceof] = ACTIONS(836),
    [anon_sym_GT] = ACTIONS(838),
    [sym__automatic_semicolon] = ACTIONS(836),
    [anon_sym_EQ] = ACTIONS(848),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_CARET] = ACTIONS(836),
    [anon_sym_STAR_STAR] = ACTIONS(836),
    [anon_sym_STAR] = ACTIONS(838),
    [anon_sym_AMP_AMP] = ACTIONS(836),
    [anon_sym_GT_GT] = ACTIONS(838),
    [anon_sym_AMP] = ACTIONS(838),
    [anon_sym_in] = ACTIONS(838),
    [anon_sym_LPAREN] = ACTIONS(271),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(836),
    [anon_sym_SLASH] = ACTIONS(838),
    [anon_sym_GT_EQ] = ACTIONS(836),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(836),
    [anon_sym_PIPE] = ACTIONS(838),
    [anon_sym_LT_EQ] = ACTIONS(836),
    [anon_sym_PIPE_PIPE] = ACTIONS(836),
    [anon_sym_GT_GT_GT] = ACTIONS(836),
    [anon_sym_PLUS_PLUS] = ACTIONS(836),
    [anon_sym_COMMA] = ACTIONS(836),
    [anon_sym_SEMI] = ACTIONS(836),
    [anon_sym_BANG_EQ] = ACTIONS(838),
    [anon_sym_RPAREN] = ACTIONS(836),
    [anon_sym_LT] = ACTIONS(838),
    [anon_sym_DOT] = ACTIONS(836),
    [anon_sym_BQUOTE] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_EQ_EQ] = ACTIONS(838),
    [anon_sym_PERCENT] = ACTIONS(836),
    [anon_sym_QMARK] = ACTIONS(836),
    [anon_sym_LT_LT] = ACTIONS(836),
    [anon_sym_DASH_DASH] = ACTIONS(836),
    [anon_sym_RBRACE] = ACTIONS(836),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(836),
  },
  [166] = {
    [sym_arguments] = STATE(349),
    [anon_sym_instanceof] = ACTIONS(836),
    [anon_sym_GT] = ACTIONS(838),
    [sym__automatic_semicolon] = ACTIONS(836),
    [anon_sym_EQ] = ACTIONS(850),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_CARET] = ACTIONS(836),
    [anon_sym_STAR_STAR] = ACTIONS(836),
    [anon_sym_STAR] = ACTIONS(838),
    [anon_sym_AMP_AMP] = ACTIONS(836),
    [anon_sym_GT_GT] = ACTIONS(838),
    [anon_sym_AMP] = ACTIONS(838),
    [anon_sym_in] = ACTIONS(838),
    [anon_sym_LPAREN] = ACTIONS(271),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(836),
    [anon_sym_SLASH] = ACTIONS(838),
    [anon_sym_GT_EQ] = ACTIONS(836),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(836),
    [anon_sym_PIPE] = ACTIONS(838),
    [anon_sym_LT_EQ] = ACTIONS(836),
    [anon_sym_PIPE_PIPE] = ACTIONS(836),
    [anon_sym_GT_GT_GT] = ACTIONS(836),
    [anon_sym_PLUS_PLUS] = ACTIONS(836),
    [anon_sym_COMMA] = ACTIONS(836),
    [anon_sym_SEMI] = ACTIONS(836),
    [anon_sym_BANG_EQ] = ACTIONS(838),
    [anon_sym_RPAREN] = ACTIONS(836),
    [anon_sym_LT] = ACTIONS(838),
    [anon_sym_DOT] = ACTIONS(836),
    [anon_sym_BQUOTE] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_EQ_EQ] = ACTIONS(838),
    [anon_sym_PERCENT] = ACTIONS(836),
    [anon_sym_QMARK] = ACTIONS(836),
    [anon_sym_LT_LT] = ACTIONS(836),
    [anon_sym_DASH_DASH] = ACTIONS(836),
    [anon_sym_RBRACE] = ACTIONS(836),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(836),
  },
  [167] = {
    [aux_sym_variable_declaration_repeat1] = STATE(354),
    [sym__automatic_semicolon] = ACTIONS(852),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(540),
    [anon_sym_SEMI] = ACTIONS(852),
  },
  [168] = {
    [sym_arrow_function] = STATE(355),
    [sym_call_expression] = STATE(355),
    [sym_subscript_expression] = STATE(701),
    [sym_assignment_expression] = STATE(355),
    [sym_ternary_expression] = STATE(355),
    [sym_binary_expression] = STATE(355),
    [sym_template_string] = STATE(355),
    [sym__expression] = STATE(355),
    [sym_yield_expression] = STATE(355),
    [sym_jsx_element] = STATE(355),
    [sym_jsx_fragment] = STATE(355),
    [sym_function] = STATE(703),
    [sym_new_expression] = STATE(355),
    [sym_augmented_assignment_expression] = STATE(355),
    [sym_unary_expression] = STATE(355),
    [sym_update_expression] = STATE(355),
    [sym_regex] = STATE(355),
    [sym_meta_property] = STATE(355),
    [sym_object] = STATE(702),
    [aux_sym_export_statement_repeat1] = STATE(1016),
    [sym_class] = STATE(355),
    [sym_generator_function] = STATE(355),
    [sym_await_expression] = STATE(355),
    [sym_member_expression] = STATE(701),
    [sym_sequence_expression] = STATE(356),
    [sym_string] = STATE(355),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(874),
    [sym_parenthesized_expression] = STATE(355),
    [sym_array] = STATE(704),
    [sym_jsx_opening_element] = STATE(875),
    [sym_jsx_self_closing_element] = STATE(355),
    [anon_sym_await] = ACTIONS(217),
    [sym_null] = ACTIONS(854),
    [anon_sym_class] = ACTIONS(183),
    [anon_sym_static] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(219),
    [anon_sym_DASH] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_delete] = ACTIONS(191),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [anon_sym_LPAREN] = ACTIONS(193),
    [anon_sym_BANG] = ACTIONS(195),
    [sym_this] = ACTIONS(854),
    [sym_undefined] = ACTIONS(854),
    [sym_true] = ACTIONS(854),
    [anon_sym_SLASH] = ACTIONS(223),
    [anon_sym_LBRACK] = ACTIONS(225),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(243),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_TILDE] = ACTIONS(195),
    [sym_super] = ACTIONS(207),
    [sym_identifier] = ACTIONS(253),
    [sym_false] = ACTIONS(854),
    [anon_sym_LT] = ACTIONS(209),
    [sym_number] = ACTIONS(856),
    [anon_sym_yield] = ACTIONS(213),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_set] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(251),
    [anon_sym_new] = ACTIONS(231),
    [anon_sym_PLUS] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_void] = ACTIONS(191),
    [anon_sym_typeof] = ACTIONS(191),
  },
  [169] = {
    [sym__import_export_specifier] = STATE(359),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACE] = ACTIONS(858),
    [sym_identifier] = ACTIONS(548),
    [anon_sym_COMMA] = ACTIONS(860),
  },
  [170] = {
    [sym_identifier] = ACTIONS(862),
    [sym_comment] = ACTIONS(3),
  },
  [171] = {
    [sym_arrow_function] = STATE(361),
    [sym_call_expression] = STATE(361),
    [sym_subscript_expression] = STATE(42),
    [sym_assignment_expression] = STATE(361),
    [sym_ternary_expression] = STATE(361),
    [sym_binary_expression] = STATE(361),
    [sym_template_string] = STATE(361),
    [sym__expression] = STATE(361),
    [sym_yield_expression] = STATE(361),
    [sym_jsx_element] = STATE(361),
    [sym_jsx_fragment] = STATE(361),
    [sym_function] = STATE(47),
    [sym_new_expression] = STATE(361),
    [sym_augmented_assignment_expression] = STATE(361),
    [sym_unary_expression] = STATE(361),
    [sym_update_expression] = STATE(361),
    [sym_regex] = STATE(361),
    [sym_meta_property] = STATE(361),
    [sym_object] = STATE(43),
    [aux_sym_export_statement_repeat1] = STATE(60),
    [sym_class] = STATE(361),
    [sym_generator_function] = STATE(361),
    [sym_await_expression] = STATE(361),
    [sym_member_expression] = STATE(42),
    [sym_string] = STATE(361),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(51),
    [sym_parenthesized_expression] = STATE(361),
    [sym_array] = STATE(52),
    [sym_jsx_opening_element] = STATE(53),
    [sym_jsx_self_closing_element] = STATE(361),
    [anon_sym_await] = ACTIONS(5),
    [sym_null] = ACTIONS(864),
    [anon_sym_class] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_function] = ACTIONS(95),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(97),
    [anon_sym_delete] = ACTIONS(39),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(864),
    [sym_undefined] = ACTIONS(864),
    [sym_true] = ACTIONS(864),
    [anon_sym_SLASH] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(49),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(63),
    [sym_identifier] = ACTIONS(99),
    [sym_false] = ACTIONS(864),
    [anon_sym_LT] = ACTIONS(69),
    [sym_number] = ACTIONS(866),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_set] = ACTIONS(23),
    [anon_sym_async] = ACTIONS(103),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_void] = ACTIONS(39),
    [anon_sym_typeof] = ACTIONS(39),
  },
  [172] = {
    [anon_sym_function] = ACTIONS(868),
    [sym_comment] = ACTIONS(3),
  },
  [173] = {
    [sym_comment] = ACTIONS(3),
    [sym_identifier] = ACTIONS(870),
    [anon_sym_STAR] = ACTIONS(872),
  },
  [174] = {
    [sym__from_clause] = STATE(365),
    [anon_sym_from] = ACTIONS(558),
    [sym_comment] = ACTIONS(3),
  },
  [175] = {
    [anon_sym_class] = ACTIONS(874),
    [anon_sym_static] = ACTIONS(874),
    [anon_sym_DASH] = ACTIONS(874),
    [anon_sym_import] = ACTIONS(874),
    [anon_sym_LBRACE] = ACTIONS(876),
    [anon_sym_delete] = ACTIONS(874),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_LPAREN] = ACTIONS(876),
    [anon_sym_BANG] = ACTIONS(876),
    [sym_this] = ACTIONS(874),
    [sym_true] = ACTIONS(874),
    [anon_sym_case] = ACTIONS(874),
    [anon_sym_get] = ACTIONS(874),
    [anon_sym_default] = ACTIONS(874),
    [anon_sym_PLUS_PLUS] = ACTIONS(876),
    [anon_sym_SEMI] = ACTIONS(876),
    [anon_sym_DQUOTE] = ACTIONS(876),
    [anon_sym_TILDE] = ACTIONS(876),
    [sym_super] = ACTIONS(874),
    [anon_sym_LT] = ACTIONS(876),
    [sym_false] = ACTIONS(874),
    [sym_number] = ACTIONS(876),
    [anon_sym_yield] = ACTIONS(874),
    [anon_sym_set] = ACTIONS(874),
    [anon_sym_async] = ACTIONS(874),
    [anon_sym_var] = ACTIONS(874),
    [anon_sym_const] = ACTIONS(874),
    [anon_sym_RBRACE] = ACTIONS(876),
    [anon_sym_DASH_DASH] = ACTIONS(876),
    [anon_sym_try] = ACTIONS(874),
    [anon_sym_for] = ACTIONS(874),
    [anon_sym_typeof] = ACTIONS(874),
    [anon_sym_await] = ACTIONS(874),
    [sym_null] = ACTIONS(874),
    [anon_sym_function] = ACTIONS(874),
    [anon_sym_let] = ACTIONS(874),
    [anon_sym_if] = ACTIONS(874),
    [anon_sym_with] = ACTIONS(874),
    [anon_sym_SQUOTE] = ACTIONS(876),
    [anon_sym_SLASH] = ACTIONS(874),
    [sym_undefined] = ACTIONS(874),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(876),
    [anon_sym_else] = ACTIONS(874),
    [anon_sym_break] = ACTIONS(874),
    [anon_sym_debugger] = ACTIONS(874),
    [anon_sym_while] = ACTIONS(874),
    [sym_identifier] = ACTIONS(874),
    [anon_sym_BQUOTE] = ACTIONS(876),
    [ts_builtin_sym_end] = ACTIONS(876),
    [anon_sym_new] = ACTIONS(874),
    [anon_sym_AT] = ACTIONS(876),
    [anon_sym_PLUS] = ACTIONS(874),
    [anon_sym_switch] = ACTIONS(874),
    [anon_sym_export] = ACTIONS(874),
    [anon_sym_continue] = ACTIONS(874),
    [anon_sym_void] = ACTIONS(874),
    [anon_sym_return] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(874),
  },
  [176] = {
    [sym_decorator] = STATE(50),
    [aux_sym_export_statement_repeat1] = STATE(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(878),
    [anon_sym_AT] = ACTIONS(77),
  },
  [177] = {
    [sym__from_clause] = STATE(365),
    [sym__automatic_semicolon] = ACTIONS(880),
    [anon_sym_from] = ACTIONS(558),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(880),
  },
  [178] = {
    [anon_sym_class] = ACTIONS(882),
    [anon_sym_static] = ACTIONS(882),
    [anon_sym_DASH] = ACTIONS(882),
    [anon_sym_import] = ACTIONS(882),
    [anon_sym_LBRACE] = ACTIONS(884),
    [anon_sym_delete] = ACTIONS(882),
    [anon_sym_throw] = ACTIONS(882),
    [anon_sym_LPAREN] = ACTIONS(884),
    [anon_sym_BANG] = ACTIONS(884),
    [sym_this] = ACTIONS(882),
    [sym_true] = ACTIONS(882),
    [anon_sym_case] = ACTIONS(882),
    [anon_sym_get] = ACTIONS(882),
    [anon_sym_default] = ACTIONS(882),
    [anon_sym_PLUS_PLUS] = ACTIONS(884),
    [anon_sym_SEMI] = ACTIONS(884),
    [anon_sym_DQUOTE] = ACTIONS(884),
    [anon_sym_TILDE] = ACTIONS(884),
    [sym_super] = ACTIONS(882),
    [anon_sym_LT] = ACTIONS(884),
    [sym_false] = ACTIONS(882),
    [sym_number] = ACTIONS(884),
    [anon_sym_yield] = ACTIONS(882),
    [anon_sym_set] = ACTIONS(882),
    [anon_sym_async] = ACTIONS(882),
    [anon_sym_var] = ACTIONS(882),
    [anon_sym_const] = ACTIONS(882),
    [anon_sym_RBRACE] = ACTIONS(884),
    [anon_sym_DASH_DASH] = ACTIONS(884),
    [anon_sym_try] = ACTIONS(882),
    [anon_sym_for] = ACTIONS(882),
    [anon_sym_typeof] = ACTIONS(882),
    [anon_sym_await] = ACTIONS(882),
    [sym_null] = ACTIONS(882),
    [anon_sym_function] = ACTIONS(882),
    [anon_sym_let] = ACTIONS(882),
    [anon_sym_if] = ACTIONS(882),
    [anon_sym_with] = ACTIONS(882),
    [anon_sym_SQUOTE] = ACTIONS(884),
    [anon_sym_SLASH] = ACTIONS(882),
    [sym_undefined] = ACTIONS(882),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(884),
    [anon_sym_else] = ACTIONS(882),
    [anon_sym_break] = ACTIONS(882),
    [anon_sym_debugger] = ACTIONS(882),
    [anon_sym_while] = ACTIONS(882),
    [sym_identifier] = ACTIONS(882),
    [anon_sym_BQUOTE] = ACTIONS(884),
    [ts_builtin_sym_end] = ACTIONS(884),
    [anon_sym_new] = ACTIONS(882),
    [anon_sym_AT] = ACTIONS(884),
    [anon_sym_PLUS] = ACTIONS(882),
    [anon_sym_switch] = ACTIONS(882),
    [anon_sym_export] = ACTIONS(882),
    [anon_sym_continue] = ACTIONS(882),
    [anon_sym_void] = ACTIONS(882),
    [anon_sym_return] = ACTIONS(882),
    [anon_sym_do] = ACTIONS(882),
  },
  [179] = {
    [sym__automatic_semicolon] = ACTIONS(886),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(886),
  },
  [180] = {
    [sym_arrow_function] = STATE(46),
    [sym__declaration] = STATE(108),
    [sym_subscript_expression] = STATE(42),
    [sym_ternary_expression] = STATE(46),
    [sym_if_statement] = STATE(108),
    [sym_template_string] = STATE(46),
    [sym_do_statement] = STATE(108),
    [sym_return_statement] = STATE(108),
    [sym_yield_expression] = STATE(46),
    [sym_jsx_fragment] = STATE(46),
    [sym_function_declaration] = STATE(108),
    [sym_import_statement] = STATE(108),
    [sym_expression_statement] = STATE(108),
    [sym_switch_statement] = STATE(108),
    [sym_update_expression] = STATE(46),
    [sym_try_statement] = STATE(108),
    [sym_meta_property] = STATE(46),
    [sym_throw_statement] = STATE(108),
    [sym_object] = STATE(43),
    [aux_sym_export_statement_repeat1] = STATE(44),
    [sym_generator_function] = STATE(46),
    [sym_await_expression] = STATE(46),
    [sym_sequence_expression] = STATE(45),
    [sym_for_of_statement] = STATE(108),
    [sym_continue_statement] = STATE(108),
    [sym_call_expression] = STATE(46),
    [sym_assignment_expression] = STATE(46),
    [sym_statement_block] = STATE(108),
    [sym_binary_expression] = STATE(46),
    [sym_while_statement] = STATE(108),
    [sym_debugger_statement] = STATE(108),
    [sym__expression] = STATE(46),
    [sym_jsx_element] = STATE(46),
    [sym_function] = STATE(47),
    [sym_new_expression] = STATE(46),
    [sym_augmented_assignment_expression] = STATE(46),
    [sym_variable_declaration] = STATE(108),
    [sym_unary_expression] = STATE(46),
    [sym_for_statement] = STATE(108),
    [sym_regex] = STATE(46),
    [sym_with_statement] = STATE(108),
    [sym_empty_statement] = STATE(108),
    [aux_sym_program_repeat1] = STATE(108),
    [sym_class] = STATE(46),
    [sym_export_statement] = STATE(108),
    [sym_generator_function_declaration] = STATE(108),
    [sym_member_expression] = STATE(42),
    [sym_lexical_declaration] = STATE(108),
    [sym_for_in_statement] = STATE(108),
    [sym_string] = STATE(46),
    [sym_break_statement] = STATE(108),
    [sym_decorator] = STATE(50),
    [sym_labeled_statement] = STATE(108),
    [sym_formal_parameters] = STATE(51),
    [sym_parenthesized_expression] = STATE(46),
    [sym_array] = STATE(52),
    [sym_jsx_opening_element] = STATE(53),
    [sym_jsx_self_closing_element] = STATE(46),
    [sym_class_declaration] = STATE(108),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_delete] = ACTIONS(39),
    [anon_sym_throw] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [anon_sym_get] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(69),
    [sym_false] = ACTIONS(9),
    [sym_number] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_set] = ACTIONS(23),
    [anon_sym_async] = ACTIONS(81),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_RBRACE] = ACTIONS(888),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_try] = ACTIONS(15),
    [anon_sym_for] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(5),
    [sym_null] = ACTIONS(9),
    [anon_sym_function] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(35),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_SLASH] = ACTIONS(45),
    [sym_undefined] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(61),
    [sym_identifier] = ACTIONS(65),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_switch] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(13),
    [anon_sym_void] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_do] = ACTIONS(21),
  },
  [181] = {
    [sym_catch_clause] = STATE(372),
    [sym_finally_clause] = STATE(373),
    [anon_sym_class] = ACTIONS(890),
    [anon_sym_static] = ACTIONS(890),
    [anon_sym_DASH] = ACTIONS(890),
    [anon_sym_import] = ACTIONS(890),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym_delete] = ACTIONS(890),
    [anon_sym_throw] = ACTIONS(890),
    [anon_sym_LPAREN] = ACTIONS(892),
    [anon_sym_BANG] = ACTIONS(892),
    [sym_this] = ACTIONS(890),
    [sym_true] = ACTIONS(890),
    [anon_sym_case] = ACTIONS(890),
    [anon_sym_get] = ACTIONS(890),
    [anon_sym_default] = ACTIONS(890),
    [anon_sym_PLUS_PLUS] = ACTIONS(892),
    [anon_sym_SEMI] = ACTIONS(892),
    [anon_sym_DQUOTE] = ACTIONS(892),
    [anon_sym_TILDE] = ACTIONS(892),
    [sym_super] = ACTIONS(890),
    [anon_sym_LT] = ACTIONS(892),
    [sym_false] = ACTIONS(890),
    [anon_sym_catch] = ACTIONS(894),
    [sym_number] = ACTIONS(892),
    [anon_sym_yield] = ACTIONS(890),
    [anon_sym_set] = ACTIONS(890),
    [anon_sym_async] = ACTIONS(890),
    [anon_sym_var] = ACTIONS(890),
    [anon_sym_const] = ACTIONS(890),
    [anon_sym_RBRACE] = ACTIONS(892),
    [anon_sym_DASH_DASH] = ACTIONS(892),
    [anon_sym_try] = ACTIONS(890),
    [anon_sym_for] = ACTIONS(890),
    [anon_sym_typeof] = ACTIONS(890),
    [anon_sym_await] = ACTIONS(890),
    [sym_null] = ACTIONS(890),
    [anon_sym_finally] = ACTIONS(896),
    [anon_sym_function] = ACTIONS(890),
    [anon_sym_let] = ACTIONS(890),
    [anon_sym_if] = ACTIONS(890),
    [anon_sym_with] = ACTIONS(890),
    [anon_sym_SQUOTE] = ACTIONS(892),
    [anon_sym_SLASH] = ACTIONS(890),
    [sym_undefined] = ACTIONS(890),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(892),
    [anon_sym_else] = ACTIONS(890),
    [anon_sym_break] = ACTIONS(890),
    [anon_sym_debugger] = ACTIONS(890),
    [anon_sym_while] = ACTIONS(890),
    [sym_identifier] = ACTIONS(890),
    [anon_sym_BQUOTE] = ACTIONS(892),
    [ts_builtin_sym_end] = ACTIONS(892),
    [anon_sym_new] = ACTIONS(890),
    [anon_sym_AT] = ACTIONS(892),
    [anon_sym_PLUS] = ACTIONS(890),
    [anon_sym_switch] = ACTIONS(890),
    [anon_sym_export] = ACTIONS(890),
    [anon_sym_continue] = ACTIONS(890),
    [anon_sym_void] = ACTIONS(890),
    [anon_sym_return] = ACTIONS(890),
    [anon_sym_do] = ACTIONS(890),
  },
  [182] = {
    [anon_sym_class] = ACTIONS(898),
    [anon_sym_static] = ACTIONS(898),
    [anon_sym_DASH] = ACTIONS(898),
    [anon_sym_import] = ACTIONS(898),
    [anon_sym_LBRACE] = ACTIONS(900),
    [anon_sym_delete] = ACTIONS(898),
    [anon_sym_throw] = ACTIONS(898),
    [anon_sym_LPAREN] = ACTIONS(900),
    [anon_sym_BANG] = ACTIONS(900),
    [sym_this] = ACTIONS(898),
    [sym_true] = ACTIONS(898),
    [anon_sym_case] = ACTIONS(898),
    [anon_sym_get] = ACTIONS(898),
    [anon_sym_default] = ACTIONS(898),
    [anon_sym_PLUS_PLUS] = ACTIONS(900),
    [anon_sym_SEMI] = ACTIONS(900),
    [anon_sym_DQUOTE] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [sym_super] = ACTIONS(898),
    [anon_sym_LT] = ACTIONS(900),
    [sym_false] = ACTIONS(898),
    [sym_number] = ACTIONS(900),
    [anon_sym_yield] = ACTIONS(898),
    [anon_sym_set] = ACTIONS(898),
    [anon_sym_async] = ACTIONS(898),
    [anon_sym_var] = ACTIONS(898),
    [anon_sym_const] = ACTIONS(898),
    [anon_sym_RBRACE] = ACTIONS(900),
    [anon_sym_DASH_DASH] = ACTIONS(900),
    [anon_sym_try] = ACTIONS(898),
    [anon_sym_for] = ACTIONS(898),
    [anon_sym_typeof] = ACTIONS(898),
    [anon_sym_await] = ACTIONS(898),
    [sym_null] = ACTIONS(898),
    [anon_sym_function] = ACTIONS(898),
    [anon_sym_let] = ACTIONS(898),
    [anon_sym_if] = ACTIONS(898),
    [anon_sym_with] = ACTIONS(898),
    [anon_sym_SQUOTE] = ACTIONS(900),
    [anon_sym_SLASH] = ACTIONS(898),
    [sym_undefined] = ACTIONS(898),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(900),
    [anon_sym_else] = ACTIONS(898),
    [anon_sym_break] = ACTIONS(898),
    [anon_sym_debugger] = ACTIONS(898),
    [anon_sym_while] = ACTIONS(898),
    [sym_identifier] = ACTIONS(898),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [ts_builtin_sym_end] = ACTIONS(900),
    [anon_sym_new] = ACTIONS(898),
    [anon_sym_AT] = ACTIONS(900),
    [anon_sym_PLUS] = ACTIONS(898),
    [anon_sym_switch] = ACTIONS(898),
    [anon_sym_export] = ACTIONS(898),
    [anon_sym_continue] = ACTIONS(898),
    [anon_sym_void] = ACTIONS(898),
    [anon_sym_return] = ACTIONS(898),
    [anon_sym_do] = ACTIONS(898),
  },
  [183] = {
    [sym_template_string] = STATE(141),
    [sym_arguments] = STATE(141),
    [anon_sym_instanceof] = ACTIONS(392),
    [anon_sym_GT] = ACTIONS(287),
    [sym__automatic_semicolon] = ACTIONS(902),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_CARET] = ACTIONS(396),
    [anon_sym_STAR_STAR] = ACTIONS(398),
    [anon_sym_STAR] = ACTIONS(400),
    [anon_sym_AMP_AMP] = ACTIONS(402),
    [anon_sym_GT_GT] = ACTIONS(400),
    [anon_sym_AMP] = ACTIONS(404),
    [anon_sym_in] = ACTIONS(287),
    [anon_sym_LPAREN] = ACTIONS(271),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(392),
    [anon_sym_GT_EQ] = ACTIONS(392),
    [anon_sym_SLASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(273),
    [anon_sym_PIPE] = ACTIONS(406),
    [anon_sym_LT_EQ] = ACTIONS(392),
    [anon_sym_PIPE_PIPE] = ACTIONS(396),
    [anon_sym_GT_GT_GT] = ACTIONS(408),
    [anon_sym_PLUS_PLUS] = ACTIONS(410),
    [anon_sym_COMMA] = ACTIONS(412),
    [anon_sym_SEMI] = ACTIONS(902),
    [anon_sym_BANG_EQ] = ACTIONS(287),
    [anon_sym_LT] = ACTIONS(287),
    [anon_sym_DOT] = ACTIONS(275),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_EQ_EQ] = ACTIONS(287),
    [anon_sym_PERCENT] = ACTIONS(408),
    [anon_sym_QMARK] = ACTIONS(414),
    [anon_sym_LT_LT] = ACTIONS(408),
    [anon_sym_DASH_DASH] = ACTIONS(410),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(392),
  },
  [184] = {
    [sym__automatic_semicolon] = ACTIONS(902),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(902),
  },
  [185] = {
    [sym_arrow_function] = STATE(46),
    [sym_call_expression] = STATE(46),
    [sym_subscript_expression] = STATE(42),
    [sym_assignment_expression] = STATE(46),
    [sym_ternary_expression] = STATE(46),
    [sym_binary_expression] = STATE(46),
    [sym_template_string] = STATE(46),
    [sym__expression] = STATE(46),
    [sym_yield_expression] = STATE(46),
    [sym_jsx_element] = STATE(46),
    [sym_jsx_fragment] = STATE(46),
    [sym_function] = STATE(47),
    [sym_new_expression] = STATE(46),
    [sym_augmented_assignment_expression] = STATE(46),
    [sym_expression_statement] = STATE(378),
    [sym_unary_expression] = STATE(46),
    [sym_update_expression] = STATE(46),
    [sym_regex] = STATE(46),
    [sym_meta_property] = STATE(46),
    [sym_variable_declaration] = STATE(378),
    [sym_empty_statement] = STATE(378),
    [sym_object] = STATE(379),
    [aux_sym_export_statement_repeat1] = STATE(60),
    [sym_class] = STATE(46),
    [sym_generator_function] = STATE(46),
    [sym_await_expression] = STATE(46),
    [sym_member_expression] = STATE(42),
    [sym_lexical_declaration] = STATE(378),
    [sym_sequence_expression] = STATE(45),
    [sym_string] = STATE(46),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(51),
    [sym_parenthesized_expression] = STATE(46),
    [sym_array] = STATE(380),
    [sym_jsx_opening_element] = STATE(53),
    [sym_jsx_self_closing_element] = STATE(46),
    [anon_sym_class] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(97),
    [anon_sym_delete] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [anon_sym_get] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(69),
    [sym_false] = ACTIONS(9),
    [sym_number] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_set] = ACTIONS(23),
    [anon_sym_async] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(904),
    [anon_sym_const] = ACTIONS(906),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_typeof] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(5),
    [sym_null] = ACTIONS(9),
    [anon_sym_function] = ACTIONS(95),
    [anon_sym_let] = ACTIONS(906),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_SLASH] = ACTIONS(45),
    [sym_undefined] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(49),
    [sym_identifier] = ACTIONS(908),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_void] = ACTIONS(39),
  },
  [186] = {
    [anon_sym_LPAREN] = ACTIONS(910),
    [sym_comment] = ACTIONS(3),
  },
  [187] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_while] = ACTIONS(912),
  },
  [188] = {
    [sym_arrow_function] = STATE(383),
    [sym_call_expression] = STATE(383),
    [sym_subscript_expression] = STATE(42),
    [sym_assignment_expression] = STATE(383),
    [sym_ternary_expression] = STATE(383),
    [sym_binary_expression] = STATE(383),
    [sym_template_string] = STATE(383),
    [sym__expression] = STATE(383),
    [sym_yield_expression] = STATE(383),
    [sym_jsx_element] = STATE(383),
    [sym_jsx_fragment] = STATE(383),
    [sym_function] = STATE(47),
    [sym_new_expression] = STATE(383),
    [sym_augmented_assignment_expression] = STATE(383),
    [sym_unary_expression] = STATE(383),
    [sym_update_expression] = STATE(383),
    [sym_regex] = STATE(383),
    [sym_meta_property] = STATE(383),
    [sym_object] = STATE(43),
    [aux_sym_export_statement_repeat1] = STATE(60),
    [sym_class] = STATE(383),
    [sym_generator_function] = STATE(383),
    [sym_await_expression] = STATE(383),
    [sym_member_expression] = STATE(42),
    [sym_string] = STATE(383),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(51),
    [sym_parenthesized_expression] = STATE(383),
    [sym_array] = STATE(52),
    [sym_jsx_opening_element] = STATE(53),
    [sym_jsx_self_closing_element] = STATE(383),
    [anon_sym_await] = ACTIONS(5),
    [sym_null] = ACTIONS(914),
    [anon_sym_class] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_function] = ACTIONS(95),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(97),
    [anon_sym_delete] = ACTIONS(39),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(914),
    [sym_undefined] = ACTIONS(914),
    [sym_true] = ACTIONS(914),
    [anon_sym_SLASH] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(49),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(63),
    [sym_identifier] = ACTIONS(99),
    [sym_false] = ACTIONS(914),
    [anon_sym_LT] = ACTIONS(69),
    [sym_number] = ACTIONS(916),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_set] = ACTIONS(23),
    [anon_sym_async] = ACTIONS(103),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_void] = ACTIONS(39),
    [anon_sym_typeof] = ACTIONS(39),
  },
  [189] = {
    [sym_lexical_declaration] = STATE(385),
    [sym__declaration] = STATE(385),
    [sym_decorator] = STATE(50),
    [aux_sym_export_statement_repeat1] = STATE(176),
    [sym_function_declaration] = STATE(385),
    [sym_variable_declaration] = STATE(385),
    [sym_generator_function_declaration] = STATE(385),
    [sym_class_declaration] = STATE(385),
    [anon_sym_class] = ACTIONS(334),
    [anon_sym_default] = ACTIONS(918),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_var] = ACTIONS(348),
    [anon_sym_const] = ACTIONS(340),
    [anon_sym_function] = ACTIONS(338),
    [sym_comment] = ACTIONS(3),
    [anon_sym_let] = ACTIONS(340),
  },
  [190] = {
    [sym_class_body] = STATE(234),
    [sym_class_heritage] = STATE(387),
    [anon_sym_LBRACE] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_identifier] = ACTIONS(920),
    [anon_sym_extends] = ACTIONS(113),
  },
  [191] = {
    [sym_decorator] = STATE(50),
    [aux_sym_export_statement_repeat1] = STATE(191),
    [anon_sym_class] = ACTIONS(922),
    [anon_sym_DQUOTE] = ACTIONS(924),
    [anon_sym_static] = ACTIONS(922),
    [sym_identifier] = ACTIONS(922),
    [anon_sym_STAR] = ACTIONS(924),
    [sym_number] = ACTIONS(924),
    [anon_sym_SQUOTE] = ACTIONS(924),
    [anon_sym_set] = ACTIONS(922),
    [anon_sym_AT] = ACTIONS(926),
    [anon_sym_async] = ACTIONS(922),
    [anon_sym_export] = ACTIONS(922),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(924),
    [anon_sym_get] = ACTIONS(922),
  },
  [192] = {
    [anon_sym_class] = ACTIONS(929),
    [anon_sym_static] = ACTIONS(929),
    [anon_sym_DASH] = ACTIONS(929),
    [anon_sym_import] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_delete] = ACTIONS(929),
    [anon_sym_throw] = ACTIONS(929),
    [anon_sym_LPAREN] = ACTIONS(931),
    [anon_sym_BANG] = ACTIONS(931),
    [sym_this] = ACTIONS(929),
    [sym_true] = ACTIONS(929),
    [anon_sym_case] = ACTIONS(929),
    [anon_sym_get] = ACTIONS(929),
    [anon_sym_default] = ACTIONS(929),
    [anon_sym_PLUS_PLUS] = ACTIONS(931),
    [anon_sym_SEMI] = ACTIONS(931),
    [anon_sym_DQUOTE] = ACTIONS(931),
    [anon_sym_RPAREN] = ACTIONS(931),
    [anon_sym_TILDE] = ACTIONS(931),
    [sym_super] = ACTIONS(929),
    [anon_sym_LT] = ACTIONS(931),
    [sym_false] = ACTIONS(929),
    [sym_number] = ACTIONS(931),
    [anon_sym_yield] = ACTIONS(929),
    [anon_sym_set] = ACTIONS(929),
    [anon_sym_async] = ACTIONS(929),
    [anon_sym_var] = ACTIONS(929),
    [anon_sym_const] = ACTIONS(929),
    [anon_sym_RBRACE] = ACTIONS(931),
    [anon_sym_DASH_DASH] = ACTIONS(931),
    [anon_sym_try] = ACTIONS(929),
    [anon_sym_for] = ACTIONS(929),
    [anon_sym_typeof] = ACTIONS(929),
    [anon_sym_await] = ACTIONS(929),
    [sym_null] = ACTIONS(929),
    [anon_sym_function] = ACTIONS(929),
    [anon_sym_let] = ACTIONS(929),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_with] = ACTIONS(929),
    [anon_sym_SQUOTE] = ACTIONS(931),
    [anon_sym_SLASH] = ACTIONS(929),
    [sym_undefined] = ACTIONS(929),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(931),
    [anon_sym_else] = ACTIONS(929),
    [anon_sym_break] = ACTIONS(929),
    [anon_sym_debugger] = ACTIONS(929),
    [anon_sym_while] = ACTIONS(929),
    [sym_identifier] = ACTIONS(929),
    [anon_sym_BQUOTE] = ACTIONS(931),
    [ts_builtin_sym_end] = ACTIONS(931),
    [anon_sym_new] = ACTIONS(929),
    [anon_sym_AT] = ACTIONS(931),
    [anon_sym_PLUS] = ACTIONS(929),
    [anon_sym_switch] = ACTIONS(929),
    [anon_sym_export] = ACTIONS(929),
    [anon_sym_continue] = ACTIONS(929),
    [anon_sym_void] = ACTIONS(929),
    [anon_sym_return] = ACTIONS(929),
    [anon_sym_do] = ACTIONS(929),
  },
  [193] = {
    [sym_arrow_function] = STATE(388),
    [sym_call_expression] = STATE(388),
    [sym_subscript_expression] = STATE(42),
    [sym_assignment_expression] = STATE(388),
    [sym_ternary_expression] = STATE(388),
    [sym_binary_expression] = STATE(388),
    [sym_template_string] = STATE(388),
    [sym__expression] = STATE(388),
    [sym_yield_expression] = STATE(388),
    [sym_jsx_element] = STATE(388),
    [sym_jsx_fragment] = STATE(388),
    [sym_function] = STATE(47),
    [sym_new_expression] = STATE(388),
    [sym_augmented_assignment_expression] = STATE(388),
    [sym_unary_expression] = STATE(388),
    [sym_update_expression] = STATE(388),
    [sym_regex] = STATE(388),
    [sym_meta_property] = STATE(388),
    [sym_object] = STATE(43),
    [aux_sym_export_statement_repeat1] = STATE(60),
    [sym_class] = STATE(388),
    [sym_generator_function] = STATE(388),
    [sym_await_expression] = STATE(388),
    [sym_member_expression] = STATE(42),
    [sym_string] = STATE(388),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(51),
    [sym_parenthesized_expression] = STATE(388),
    [sym_array] = STATE(52),
    [sym_jsx_opening_element] = STATE(53),
    [sym_jsx_self_closing_element] = STATE(388),
    [anon_sym_await] = ACTIONS(5),
    [sym_null] = ACTIONS(933),
    [anon_sym_class] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_function] = ACTIONS(95),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(97),
    [anon_sym_delete] = ACTIONS(39),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(933),
    [sym_undefined] = ACTIONS(933),
    [sym_true] = ACTIONS(933),
    [anon_sym_SLASH] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(49),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(63),
    [sym_identifier] = ACTIONS(99),
    [sym_false] = ACTIONS(933),
    [anon_sym_LT] = ACTIONS(69),
    [sym_number] = ACTIONS(935),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_set] = ACTIONS(23),
    [anon_sym_async] = ACTIONS(103),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_void] = ACTIONS(39),
    [anon_sym_typeof] = ACTIONS(39),
  },
  [194] = {
    [sym_arrow_function] = STATE(389),
    [sym_call_expression] = STATE(389),
    [sym_subscript_expression] = STATE(42),
    [sym_assignment_expression] = STATE(389),
    [sym_ternary_expression] = STATE(389),
    [sym_binary_expression] = STATE(389),
    [sym_template_string] = STATE(389),
    [sym__expression] = STATE(389),
    [sym_yield_expression] = STATE(389),
    [sym_jsx_element] = STATE(389),
    [sym_jsx_fragment] = STATE(389),
    [sym_function] = STATE(47),
    [sym_new_expression] = STATE(389),
    [sym_augmented_assignment_expression] = STATE(389),
    [sym_unary_expression] = STATE(389),
    [sym_update_expression] = STATE(389),
    [sym_regex] = STATE(389),
    [sym_meta_property] = STATE(389),
    [sym_object] = STATE(43),
    [aux_sym_export_statement_repeat1] = STATE(60),
    [sym_class] = STATE(389),
    [sym_generator_function] = STATE(389),
    [sym_await_expression] = STATE(389),
    [sym_member_expression] = STATE(42),
    [sym_string] = STATE(389),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(51),
    [sym_parenthesized_expression] = STATE(389),
    [sym_array] = STATE(52),
    [sym_jsx_opening_element] = STATE(53),
    [sym_jsx_self_closing_element] = STATE(389),
    [anon_sym_await] = ACTIONS(5),
    [sym_null] = ACTIONS(937),
    [anon_sym_class] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_function] = ACTIONS(95),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(97),
    [anon_sym_delete] = ACTIONS(39),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(937),
    [sym_undefined] = ACTIONS(937),
    [sym_true] = ACTIONS(937),
    [anon_sym_SLASH] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(49),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(63),
    [sym_identifier] = ACTIONS(99),
    [sym_false] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(69),
    [sym_number] = ACTIONS(939),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_set] = ACTIONS(23),
    [anon_sym_async] = ACTIONS(103),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_void] = ACTIONS(39),
    [anon_sym_typeof] = ACTIONS(39),
  },
  [195] = {
    [sym_arrow_function] = STATE(390),
    [sym_call_expression] = STATE(390),
    [sym_subscript_expression] = STATE(42),
    [sym_assignment_expression] = STATE(390),
    [sym_ternary_expression] = STATE(390),
    [sym_binary_expression] = STATE(390),
    [sym_template_string] = STATE(390),
    [sym__expression] = STATE(390),
    [sym_yield_expression] = STATE(390),
    [sym_jsx_element] = STATE(390),
    [sym_jsx_fragment] = STATE(390),
    [sym_function] = STATE(47),
    [sym_new_expression] = STATE(390),
    [sym_augmented_assignment_expression] = STATE(390),
    [sym_unary_expression] = STATE(390),
    [sym_update_expression] = STATE(390),
    [sym_regex] = STATE(390),
    [sym_meta_property] = STATE(390),
    [sym_object] = STATE(43),
    [aux_sym_export_statement_repeat1] = STATE(60),
    [sym_class] = STATE(390),
    [sym_generator_function] = STATE(390),
    [sym_await_expression] = STATE(390),
    [sym_member_expression] = STATE(42),
    [sym_string] = STATE(390),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(51),
    [sym_parenthesized_expression] = STATE(390),
    [sym_array] = STATE(52),
    [sym_jsx_opening_element] = STATE(53),
    [sym_jsx_self_closing_element] = STATE(390),
    [anon_sym_await] = ACTIONS(5),
    [sym_null] = ACTIONS(941),
    [anon_sym_class] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_function] = ACTIONS(95),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(97),
    [anon_sym_delete] = ACTIONS(39),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(941),
    [sym_undefined] = ACTIONS(941),
    [sym_true] = ACTIONS(941),
    [anon_sym_SLASH] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(49),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(63),
    [sym_identifier] = ACTIONS(99),
    [sym_false] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(69),
    [sym_number] = ACTIONS(943),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_set] = ACTIONS(23),
    [anon_sym_async] = ACTIONS(103),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_void] = ACTIONS(39),
    [anon_sym_typeof] = ACTIONS(39),
  },
  [196] = {
    [sym_arrow_function] = STATE(391),
    [sym_call_expression] = STATE(391),
    [sym_subscript_expression] = STATE(42),
    [sym_assignment_expression] = STATE(391),
    [sym_ternary_expression] = STATE(391),
    [sym_binary_expression] = STATE(391),
    [sym_template_string] = STATE(391),
    [sym__expression] = STATE(391),
    [sym_yield_expression] = STATE(391),
    [sym_jsx_element] = STATE(391),
    [sym_jsx_fragment] = STATE(391),
    [sym_function] = STATE(47),
    [sym_new_expression] = STATE(391),
    [sym_augmented_assignment_expression] = STATE(391),
    [sym_unary_expression] = STATE(391),
    [sym_update_expression] = STATE(391),
    [sym_regex] = STATE(391),
    [sym_meta_property] = STATE(391),
    [sym_object] = STATE(43),
    [aux_sym_export_statement_repeat1] = STATE(60),
    [sym_class] = STATE(391),
    [sym_generator_function] = STATE(391),
    [sym_await_expression] = STATE(391),
    [sym_member_expression] = STATE(42),
    [sym_string] = STATE(391),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(51),
    [sym_parenthesized_expression] = STATE(391),
    [sym_array] = STATE(52),
    [sym_jsx_opening_element] = STATE(53),
    [sym_jsx_self_closing_element] = STATE(391),
    [anon_sym_await] = ACTIONS(5),
    [sym_null] = ACTIONS(945),
    [anon_sym_class] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_function] = ACTIONS(95),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(97),
    [anon_sym_delete] = ACTIONS(39),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(945),
    [sym_undefined] = ACTIONS(945),
    [sym_true] = ACTIONS(945),
    [anon_sym_SLASH] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(49),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(63),
    [sym_identifier] = ACTIONS(99),
    [sym_false] = ACTIONS(945),
    [anon_sym_LT] = ACTIONS(69),
    [sym_number] = ACTIONS(947),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_set] = ACTIONS(23),
    [anon_sym_async] = ACTIONS(103),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_void] = ACTIONS(39),
    [anon_sym_typeof] = ACTIONS(39),
  },
  [197] = {
    [sym_arrow_function] = STATE(392),
    [sym_call_expression] = STATE(392),
    [sym_subscript_expression] = STATE(42),
    [sym_assignment_expression] = STATE(392),
    [sym_ternary_expression] = STATE(392),
    [sym_binary_expression] = STATE(392),
    [sym_template_string] = STATE(392),
    [sym__expression] = STATE(392),
    [sym_yield_expression] = STATE(392),
    [sym_jsx_element] = STATE(392),
    [sym_jsx_fragment] = STATE(392),
    [sym_function] = STATE(47),
    [sym_new_expression] = STATE(392),
    [sym_augmented_assignment_expression] = STATE(392),
    [sym_unary_expression] = STATE(392),
    [sym_update_expression] = STATE(392),
    [sym_regex] = STATE(392),
    [sym_meta_property] = STATE(392),
    [sym_object] = STATE(43),
    [aux_sym_export_statement_repeat1] = STATE(60),
    [sym_class] = STATE(392),
    [sym_generator_function] = STATE(392),
    [sym_await_expression] = STATE(392),
    [sym_member_expression] = STATE(42),
    [sym_string] = STATE(392),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(51),
    [sym_parenthesized_expression] = STATE(392),
    [sym_array] = STATE(52),
    [sym_jsx_opening_element] = STATE(53),
    [sym_jsx_self_closing_element] = STATE(392),
    [anon_sym_await] = ACTIONS(5),
    [sym_null] = ACTIONS(949),
    [anon_sym_class] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_function] = ACTIONS(95),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(97),
    [anon_sym_delete] = ACTIONS(39),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(949),
    [sym_undefined] = ACTIONS(949),
    [sym_true] = ACTIONS(949),
    [anon_sym_SLASH] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(49),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(63),
    [sym_identifier] = ACTIONS(99),
    [sym_false] = ACTIONS(949),
    [anon_sym_LT] = ACTIONS(69),
    [sym_number] = ACTIONS(951),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_set] = ACTIONS(23),
    [anon_sym_async] = ACTIONS(103),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_void] = ACTIONS(39),
    [anon_sym_typeof] = ACTIONS(39),
  },
  [198] = {
    [anon_sym_instanceof] = ACTIONS(953),
    [anon_sym_GT] = ACTIONS(955),
    [sym__automatic_semicolon] = ACTIONS(953),
    [anon_sym_DASH] = ACTIONS(955),
    [anon_sym_CARET] = ACTIONS(953),
    [anon_sym_STAR_STAR] = ACTIONS(953),
    [anon_sym_STAR] = ACTIONS(955),
    [anon_sym_AMP_AMP] = ACTIONS(953),
    [anon_sym_GT_GT] = ACTIONS(955),
    [anon_sym_AMP] = ACTIONS(955),
    [anon_sym_in] = ACTIONS(955),
    [anon_sym_LPAREN] = ACTIONS(953),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(953),
    [anon_sym_SLASH] = ACTIONS(955),
    [anon_sym_GT_EQ] = ACTIONS(953),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_PIPE] = ACTIONS(955),
    [anon_sym_LT_EQ] = ACTIONS(953),
    [anon_sym_PIPE_PIPE] = ACTIONS(953),
    [anon_sym_COMMA] = ACTIONS(953),
    [anon_sym_GT_GT_GT] = ACTIONS(953),
    [anon_sym_SEMI] = ACTIONS(953),
    [anon_sym_PLUS_PLUS] = ACTIONS(953),
    [anon_sym_BANG_EQ] = ACTIONS(955),
    [anon_sym_RPAREN] = ACTIONS(953),
    [anon_sym_LT] = ACTIONS(955),
    [anon_sym_DOT] = ACTIONS(953),
    [anon_sym_BQUOTE] = ACTIONS(953),
    [anon_sym_PLUS] = ACTIONS(955),
    [anon_sym_EQ_EQ] = ACTIONS(955),
    [anon_sym_PERCENT] = ACTIONS(953),
    [anon_sym_QMARK] = ACTIONS(953),
    [anon_sym_LT_LT] = ACTIONS(953),
    [anon_sym_DASH_DASH] = ACTIONS(953),
    [anon_sym_RBRACE] = ACTIONS(953),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(953),
  },
  [199] = {
    [sym_arrow_function] = STATE(393),
    [sym_call_expression] = STATE(393),
    [sym_subscript_expression] = STATE(42),
    [sym_assignment_expression] = STATE(393),
    [sym_ternary_expression] = STATE(393),
    [sym_binary_expression] = STATE(393),
    [sym_template_string] = STATE(393),
    [sym__expression] = STATE(393),
    [sym_yield_expression] = STATE(393),
    [sym_jsx_element] = STATE(393),
    [sym_jsx_fragment] = STATE(393),
    [sym_function] = STATE(47),
    [sym_new_expression] = STATE(393),
    [sym_augmented_assignment_expression] = STATE(393),
    [sym_unary_expression] = STATE(393),
    [sym_update_expression] = STATE(393),
    [sym_regex] = STATE(393),
    [sym_meta_property] = STATE(393),
    [sym_object] = STATE(43),
    [aux_sym_export_statement_repeat1] = STATE(60),
    [sym_class] = STATE(393),
    [sym_generator_function] = STATE(393),
    [sym_await_expression] = STATE(393),
    [sym_member_expression] = STATE(42),
    [sym_sequence_expression] = STATE(394),
    [sym_string] = STATE(393),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(51),
    [sym_parenthesized_expression] = STATE(393),
    [sym_array] = STATE(52),
    [sym_jsx_opening_element] = STATE(53),
    [sym_jsx_self_closing_element] = STATE(393),
    [anon_sym_await] = ACTIONS(5),
    [sym_null] = ACTIONS(957),
    [anon_sym_class] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_function] = ACTIONS(95),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(97),
    [anon_sym_delete] = ACTIONS(39),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(957),
    [sym_undefined] = ACTIONS(957),
    [sym_true] = ACTIONS(957),
    [anon_sym_SLASH] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(49),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(63),
    [sym_identifier] = ACTIONS(99),
    [sym_false] = ACTIONS(957),
    [anon_sym_LT] = ACTIONS(69),
    [sym_number] = ACTIONS(959),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_set] = ACTIONS(23),
    [anon_sym_async] = ACTIONS(103),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_void] = ACTIONS(39),
    [anon_sym_typeof] = ACTIONS(39),
  },
  [200] = {
    [sym_arrow_function] = STATE(395),
    [sym_call_expression] = STATE(395),
    [sym_subscript_expression] = STATE(701),
    [sym_assignment_expression] = STATE(395),
    [sym_ternary_expression] = STATE(395),
    [sym_binary_expression] = STATE(395),
    [sym_template_string] = STATE(395),
    [sym__expression] = STATE(395),
    [sym_yield_expression] = STATE(395),
    [sym_jsx_element] = STATE(395),
    [sym_jsx_fragment] = STATE(395),
    [sym_function] = STATE(703),
    [sym_new_expression] = STATE(395),
    [sym_augmented_assignment_expression] = STATE(395),
    [sym_unary_expression] = STATE(395),
    [sym_update_expression] = STATE(395),
    [sym_regex] = STATE(395),
    [sym_meta_property] = STATE(395),
    [sym_object] = STATE(702),
    [aux_sym_export_statement_repeat1] = STATE(1016),
    [sym_class] = STATE(395),
    [sym_generator_function] = STATE(395),
    [sym_await_expression] = STATE(395),
    [sym_member_expression] = STATE(701),
    [sym_string] = STATE(395),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(874),
    [sym_parenthesized_expression] = STATE(395),
    [sym_array] = STATE(704),
    [sym_jsx_opening_element] = STATE(875),
    [sym_jsx_self_closing_element] = STATE(395),
    [anon_sym_await] = ACTIONS(217),
    [sym_null] = ACTIONS(961),
    [anon_sym_class] = ACTIONS(183),
    [anon_sym_static] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(219),
    [anon_sym_DASH] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_delete] = ACTIONS(191),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [anon_sym_LPAREN] = ACTIONS(193),
    [anon_sym_BANG] = ACTIONS(195),
    [sym_this] = ACTIONS(961),
    [sym_undefined] = ACTIONS(961),
    [sym_true] = ACTIONS(961),
    [anon_sym_SLASH] = ACTIONS(223),
    [anon_sym_LBRACK] = ACTIONS(225),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(243),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_TILDE] = ACTIONS(195),
    [sym_super] = ACTIONS(207),
    [sym_identifier] = ACTIONS(253),
    [sym_false] = ACTIONS(961),
    [anon_sym_LT] = ACTIONS(209),
    [sym_number] = ACTIONS(963),
    [anon_sym_yield] = ACTIONS(213),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_set] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(251),
    [anon_sym_new] = ACTIONS(231),
    [anon_sym_PLUS] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_void] = ACTIONS(191),
    [anon_sym_typeof] = ACTIONS(191),
  },
  [201] = {
    [sym_arrow_function] = STATE(46),
    [sym__declaration] = STATE(201),
    [sym_subscript_expression] = STATE(42),
    [sym_ternary_expression] = STATE(46),
    [sym_if_statement] = STATE(201),
    [sym_template_string] = STATE(46),
    [sym_do_statement] = STATE(201),
    [sym_return_statement] = STATE(201),
    [sym_yield_expression] = STATE(46),
    [sym_jsx_fragment] = STATE(46),
    [sym_function_declaration] = STATE(201),
    [sym_import_statement] = STATE(201),
    [sym_expression_statement] = STATE(201),
    [sym_switch_statement] = STATE(201),
    [sym_update_expression] = STATE(46),
    [sym_try_statement] = STATE(201),
    [sym_meta_property] = STATE(46),
    [sym_throw_statement] = STATE(201),
    [sym_object] = STATE(43),
    [aux_sym_export_statement_repeat1] = STATE(44),
    [sym_generator_function] = STATE(46),
    [sym_await_expression] = STATE(46),
    [sym_sequence_expression] = STATE(45),
    [sym_for_of_statement] = STATE(201),
    [sym_continue_statement] = STATE(201),
    [sym_call_expression] = STATE(46),
    [sym_assignment_expression] = STATE(46),
    [sym_statement_block] = STATE(201),
    [sym_binary_expression] = STATE(46),
    [sym_while_statement] = STATE(201),
    [sym_debugger_statement] = STATE(201),
    [sym__expression] = STATE(46),
    [sym_jsx_element] = STATE(46),
    [sym_function] = STATE(47),
    [sym_new_expression] = STATE(46),
    [sym_augmented_assignment_expression] = STATE(46),
    [sym_variable_declaration] = STATE(201),
    [sym_unary_expression] = STATE(46),
    [sym_for_statement] = STATE(201),
    [sym_regex] = STATE(46),
    [sym_with_statement] = STATE(201),
    [sym_empty_statement] = STATE(201),
    [aux_sym_program_repeat1] = STATE(201),
    [sym_class] = STATE(46),
    [sym_export_statement] = STATE(201),
    [sym_generator_function_declaration] = STATE(201),
    [sym_member_expression] = STATE(42),
    [sym_lexical_declaration] = STATE(201),
    [sym_for_in_statement] = STATE(201),
    [sym_string] = STATE(46),
    [sym_break_statement] = STATE(201),
    [sym_decorator] = STATE(50),
    [sym_labeled_statement] = STATE(201),
    [sym_formal_parameters] = STATE(51),
    [sym_parenthesized_expression] = STATE(46),
    [sym_array] = STATE(52),
    [sym_jsx_opening_element] = STATE(53),
    [sym_jsx_self_closing_element] = STATE(46),
    [sym_class_declaration] = STATE(201),
    [anon_sym_class] = ACTIONS(965),
    [anon_sym_static] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(971),
    [anon_sym_import] = ACTIONS(974),
    [anon_sym_LBRACE] = ACTIONS(977),
    [anon_sym_delete] = ACTIONS(980),
    [anon_sym_throw] = ACTIONS(983),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_BANG] = ACTIONS(989),
    [sym_this] = ACTIONS(992),
    [sym_true] = ACTIONS(992),
    [anon_sym_case] = ACTIONS(995),
    [anon_sym_get] = ACTIONS(968),
    [anon_sym_default] = ACTIONS(995),
    [anon_sym_PLUS_PLUS] = ACTIONS(997),
    [anon_sym_SEMI] = ACTIONS(1000),
    [anon_sym_DQUOTE] = ACTIONS(1003),
    [anon_sym_TILDE] = ACTIONS(989),
    [sym_super] = ACTIONS(1006),
    [anon_sym_LT] = ACTIONS(1009),
    [sym_false] = ACTIONS(992),
    [sym_number] = ACTIONS(1012),
    [anon_sym_yield] = ACTIONS(1015),
    [anon_sym_set] = ACTIONS(968),
    [anon_sym_async] = ACTIONS(1018),
    [anon_sym_var] = ACTIONS(1021),
    [anon_sym_const] = ACTIONS(1024),
    [anon_sym_RBRACE] = ACTIONS(1027),
    [anon_sym_DASH_DASH] = ACTIONS(997),
    [anon_sym_try] = ACTIONS(1029),
    [anon_sym_for] = ACTIONS(1032),
    [anon_sym_typeof] = ACTIONS(980),
    [anon_sym_await] = ACTIONS(1035),
    [sym_null] = ACTIONS(992),
    [anon_sym_function] = ACTIONS(1038),
    [anon_sym_let] = ACTIONS(1024),
    [anon_sym_if] = ACTIONS(1041),
    [anon_sym_with] = ACTIONS(1044),
    [anon_sym_SQUOTE] = ACTIONS(1047),
    [anon_sym_SLASH] = ACTIONS(1050),
    [sym_undefined] = ACTIONS(992),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(1053),
    [anon_sym_break] = ACTIONS(1056),
    [anon_sym_debugger] = ACTIONS(1059),
    [anon_sym_while] = ACTIONS(1062),
    [sym_identifier] = ACTIONS(1065),
    [anon_sym_BQUOTE] = ACTIONS(1068),
    [ts_builtin_sym_end] = ACTIONS(1027),
    [anon_sym_new] = ACTIONS(1071),
    [anon_sym_AT] = ACTIONS(1074),
    [anon_sym_PLUS] = ACTIONS(971),
    [anon_sym_switch] = ACTIONS(1077),
    [anon_sym_export] = ACTIONS(1080),
    [anon_sym_continue] = ACTIONS(1083),
    [anon_sym_void] = ACTIONS(980),
    [anon_sym_return] = ACTIONS(1086),
    [anon_sym_do] = ACTIONS(1089),
  },
  [202] = {
    [sym_arrow_function] = STATE(397),
    [sym_call_expression] = STATE(397),
    [sym_subscript_expression] = STATE(42),
    [sym_assignment_expression] = STATE(397),
    [sym_ternary_expression] = STATE(397),
    [sym_binary_expression] = STATE(397),
    [sym_template_string] = STATE(397),
    [sym_statement_block] = STATE(396),
    [sym__expression] = STATE(397),
    [sym_yield_expression] = STATE(397),
    [sym_jsx_element] = STATE(397),
    [sym_jsx_fragment] = STATE(397),
    [sym_function] = STATE(47),
    [sym_new_expression] = STATE(397),
    [sym_augmented_assignment_expression] = STATE(397),
    [sym_unary_expression] = STATE(397),
    [sym_update_expression] = STATE(397),
    [sym_regex] = STATE(397),
    [sym_meta_property] = STATE(397),
    [sym_object] = STATE(43),
    [aux_sym_export_statement_repeat1] = STATE(60),
    [sym_class] = STATE(397),
    [sym_generator_function] = STATE(397),
    [sym_await_expression] = STATE(397),
    [sym_member_expression] = STATE(42),
    [sym_string] = STATE(397),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(51),
    [sym_parenthesized_expression] = STATE(397),
    [sym_array] = STATE(52),
    [sym_jsx_opening_element] = STATE(53),
    [sym_jsx_self_closing_element] = STATE(397),
    [anon_sym_await] = ACTIONS(5),
    [sym_null] = ACTIONS(1092),
    [anon_sym_class] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_function] = ACTIONS(95),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(804),
    [anon_sym_delete] = ACTIONS(39),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(1092),
    [sym_undefined] = ACTIONS(1092),
    [sym_true] = ACTIONS(1092),
    [anon_sym_SLASH] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(49),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(63),
    [sym_identifier] = ACTIONS(99),
    [sym_false] = ACTIONS(1092),
    [anon_sym_LT] = ACTIONS(69),
    [sym_number] = ACTIONS(1094),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_set] = ACTIONS(23),
    [anon_sym_async] = ACTIONS(103),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_void] = ACTIONS(39),
    [anon_sym_typeof] = ACTIONS(39),
  },
  [203] = {
    [sym_arrow_function] = STATE(398),
    [sym_call_expression] = STATE(398),
    [sym_subscript_expression] = STATE(42),
    [sym_assignment_expression] = STATE(398),
    [sym_ternary_expression] = STATE(398),
    [sym_binary_expression] = STATE(398),
    [sym_template_string] = STATE(398),
    [sym__expression] = STATE(398),
    [sym_yield_expression] = STATE(398),
    [sym_jsx_element] = STATE(398),
    [sym_jsx_fragment] = STATE(398),
    [sym_function] = STATE(47),
    [sym_new_expression] = STATE(398),
    [sym_augmented_assignment_expression] = STATE(398),
    [sym_unary_expression] = STATE(398),
    [sym_update_expression] = STATE(398),
    [sym_regex] = STATE(398),
    [sym_meta_property] = STATE(398),
    [sym_object] = STATE(43),
    [aux_sym_export_statement_repeat1] = STATE(60),
    [sym_class] = STATE(398),
    [sym_generator_function] = STATE(398),
    [sym_await_expression] = STATE(398),
    [sym_member_expression] = STATE(42),
    [sym_string] = STATE(398),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(51),
    [sym_parenthesized_expression] = STATE(398),
    [sym_array] = STATE(52),
    [sym_jsx_opening_element] = STATE(53),
    [sym_jsx_self_closing_element] = STATE(398),
    [anon_sym_await] = ACTIONS(5),
    [sym_null] = ACTIONS(1096),
    [anon_sym_class] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_function] = ACTIONS(95),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(97),
    [anon_sym_delete] = ACTIONS(39),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(1096),
    [sym_undefined] = ACTIONS(1096),
    [sym_true] = ACTIONS(1096),
    [anon_sym_SLASH] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(49),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(63),
    [sym_identifier] = ACTIONS(99),
    [sym_false] = ACTIONS(1096),
    [anon_sym_LT] = ACTIONS(69),
    [sym_number] = ACTIONS(1098),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_set] = ACTIONS(23),
    [anon_sym_async] = ACTIONS(103),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_void] = ACTIONS(39),
    [anon_sym_typeof] = ACTIONS(39),
  },
  [204] = {
    [sym_arrow_function] = STATE(400),
    [sym_call_expression] = STATE(400),
    [sym_subscript_expression] = STATE(701),
    [sym_assignment_expression] = STATE(400),
    [sym_ternary_expression] = STATE(400),
    [sym_binary_expression] = STATE(400),
    [sym_template_string] = STATE(400),
    [sym__expression] = STATE(400),
    [sym_yield_expression] = STATE(400),
    [sym_jsx_element] = STATE(400),
    [sym_jsx_fragment] = STATE(400),
    [sym_function] = STATE(703),
    [sym_new_expression] = STATE(400),
    [sym_augmented_assignment_expression] = STATE(400),
    [sym_unary_expression] = STATE(400),
    [sym_update_expression] = STATE(400),
    [sym_regex] = STATE(400),
    [sym_meta_property] = STATE(400),
    [sym_object] = STATE(702),
    [aux_sym_export_statement_repeat1] = STATE(1016),
    [sym_class] = STATE(400),
    [sym_generator_function] = STATE(400),
    [sym_await_expression] = STATE(400),
    [sym_member_expression] = STATE(701),
    [sym_spread_element] = STATE(401),
    [sym_sequence_expression] = STATE(401),
    [sym_string] = STATE(400),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(874),
    [sym_parenthesized_expression] = STATE(400),
    [sym_array] = STATE(704),
    [sym_jsx_opening_element] = STATE(875),
    [sym_jsx_self_closing_element] = STATE(400),
    [anon_sym_await] = ACTIONS(217),
    [sym_null] = ACTIONS(1100),
    [anon_sym_class] = ACTIONS(183),
    [anon_sym_static] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(219),
    [anon_sym_DASH] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_delete] = ACTIONS(191),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [anon_sym_LPAREN] = ACTIONS(193),
    [anon_sym_BANG] = ACTIONS(195),
    [sym_this] = ACTIONS(1100),
    [sym_undefined] = ACTIONS(1100),
    [sym_true] = ACTIONS(1100),
    [anon_sym_SLASH] = ACTIONS(223),
    [anon_sym_LBRACK] = ACTIONS(225),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(243),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(165),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_TILDE] = ACTIONS(195),
    [sym_super] = ACTIONS(207),
    [sym_identifier] = ACTIONS(253),
    [sym_false] = ACTIONS(1100),
    [anon_sym_LT] = ACTIONS(209),
    [sym_number] = ACTIONS(1102),
    [anon_sym_yield] = ACTIONS(213),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_set] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(251),
    [anon_sym_new] = ACTIONS(231),
    [anon_sym_PLUS] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_RBRACE] = ACTIONS(1104),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_void] = ACTIONS(191),
    [anon_sym_typeof] = ACTIONS(191),
  },
  [205] = {
    [sym_nested_identifier] = STATE(1101),
    [sym_jsx_namespace_name] = STATE(1102),
    [sym_jsx_identifier] = ACTIONS(1106),
    [sym_comment] = ACTIONS(3),
    [sym_identifier] = ACTIONS(1108),
    [anon_sym_SLASH] = ACTIONS(1110),
  },
  [206] = {
    [anon_sym_instanceof] = ACTIONS(1112),
    [anon_sym_GT] = ACTIONS(1114),
    [sym__automatic_semicolon] = ACTIONS(1112),
    [anon_sym_DASH] = ACTIONS(1114),
    [anon_sym_CARET] = ACTIONS(1112),
    [anon_sym_STAR_STAR] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1114),
    [anon_sym_AMP_AMP] = ACTIONS(1112),
    [anon_sym_GT_GT] = ACTIONS(1114),
    [anon_sym_AMP] = ACTIONS(1114),
    [anon_sym_in] = ACTIONS(1114),
    [anon_sym_LPAREN] = ACTIONS(1112),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1112),
    [anon_sym_SLASH] = ACTIONS(1114),
    [anon_sym_GT_EQ] = ACTIONS(1112),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(1112),
    [anon_sym_PIPE] = ACTIONS(1114),
    [anon_sym_LT_EQ] = ACTIONS(1112),
    [anon_sym_PIPE_PIPE] = ACTIONS(1112),
    [anon_sym_COMMA] = ACTIONS(1112),
    [anon_sym_GT_GT_GT] = ACTIONS(1112),
    [anon_sym_SEMI] = ACTIONS(1112),
    [anon_sym_PLUS_PLUS] = ACTIONS(1112),
    [anon_sym_BANG_EQ] = ACTIONS(1114),
    [anon_sym_RPAREN] = ACTIONS(1112),
    [anon_sym_LT] = ACTIONS(1114),
    [anon_sym_DOT] = ACTIONS(1112),
    [anon_sym_BQUOTE] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1114),
    [anon_sym_EQ_EQ] = ACTIONS(1114),
    [anon_sym_PERCENT] = ACTIONS(1112),
    [anon_sym_QMARK] = ACTIONS(1112),
    [anon_sym_LT_LT] = ACTIONS(1112),
    [anon_sym_DASH_DASH] = ACTIONS(1112),
    [anon_sym_RBRACE] = ACTIONS(1112),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1112),
  },
  [207] = {
    [sym_jsx_expression] = STATE(404),
    [sym_jsx_closing_element] = STATE(403),
    [aux_sym_jsx_element_repeat1] = STATE(404),
    [sym_jsx_opening_element] = STATE(967),
    [sym_jsx_self_closing_element] = STATE(404),
    [sym_jsx_element] = STATE(404),
    [anon_sym_LBRACE] = ACTIONS(426),
    [sym_comment] = ACTIONS(237),
    [sym_jsx_text] = ACTIONS(1116),
    [anon_sym_LT] = ACTIONS(430),
  },
  [208] = {
    [sym_class_body] = STATE(405),
    [sym_class_heritage] = STATE(406),
    [anon_sym_LBRACE] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [anon_sym_extends] = ACTIONS(476),
  },
  [209] = {
    [sym_formal_parameters] = STATE(407),
    [anon_sym_LPAREN] = ACTIONS(139),
    [sym_comment] = ACTIONS(3),
  },
  [210] = {
    [sym_formal_parameters] = STATE(252),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(139),
    [sym_identifier] = ACTIONS(1118),
  },
  [211] = {
    [sym_computed_property_name] = STATE(276),
    [sym_string] = STATE(276),
    [aux_sym_object_repeat1] = STATE(275),
    [sym__property_name] = STATE(276),
    [anon_sym_COLON] = ACTIONS(566),
    [anon_sym_COMMA] = ACTIONS(167),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_static] = ACTIONS(568),
    [sym_identifier] = ACTIONS(568),
    [anon_sym_STAR] = ACTIONS(646),
    [sym_number] = ACTIONS(578),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [anon_sym_set] = ACTIONS(576),
    [anon_sym_LPAREN] = ACTIONS(566),
    [anon_sym_async] = ACTIONS(580),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(589),
    [anon_sym_RBRACE] = ACTIONS(582),
    [anon_sym_get] = ACTIONS(576),
  },
  [212] = {
    [aux_sym_object_repeat1] = STATE(275),
    [anon_sym_LPAREN] = ACTIONS(566),
    [anon_sym_COLON] = ACTIONS(566),
    [anon_sym_COMMA] = ACTIONS(167),
    [anon_sym_EQ] = ACTIONS(1120),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACE] = ACTIONS(582),
  },
  [213] = {
    [sym_computed_property_name] = STATE(276),
    [sym_string] = STATE(276),
    [aux_sym_object_repeat1] = STATE(275),
    [sym__property_name] = STATE(276),
    [anon_sym_COLON] = ACTIONS(566),
    [anon_sym_COMMA] = ACTIONS(167),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_static] = ACTIONS(568),
    [sym_identifier] = ACTIONS(568),
    [sym_number] = ACTIONS(578),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [anon_sym_set] = ACTIONS(568),
    [anon_sym_LPAREN] = ACTIONS(566),
    [anon_sym_async] = ACTIONS(568),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(589),
    [anon_sym_RBRACE] = ACTIONS(582),
    [anon_sym_get] = ACTIONS(568),
  },
  [214] = {
    [sym_computed_property_name] = STATE(276),
    [sym_string] = STATE(276),
    [aux_sym_object_repeat1] = STATE(275),
    [sym__property_name] = STATE(276),
    [anon_sym_COLON] = ACTIONS(566),
    [anon_sym_COMMA] = ACTIONS(167),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_static] = ACTIONS(568),
    [sym_identifier] = ACTIONS(568),
    [anon_sym_STAR] = ACTIONS(646),
    [sym_number] = ACTIONS(578),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [anon_sym_set] = ACTIONS(576),
    [anon_sym_LPAREN] = ACTIONS(566),
    [anon_sym_async] = ACTIONS(568),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(589),
    [anon_sym_RBRACE] = ACTIONS(582),
    [anon_sym_get] = ACTIONS(576),
  },
  [215] = {
    [anon_sym_instanceof] = ACTIONS(618),
    [sym__automatic_semicolon] = ACTIONS(618),
    [anon_sym_DASH] = ACTIONS(616),
    [anon_sym_STAR_STAR] = ACTIONS(618),
    [anon_sym_STAR] = ACTIONS(616),
    [anon_sym_AMP] = ACTIONS(616),
    [anon_sym_GT_EQ] = ACTIONS(618),
    [anon_sym_LPAREN] = ACTIONS(618),
    [anon_sym_LT_EQ] = ACTIONS(618),
    [anon_sym_COMMA] = ACTIONS(618),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_SEMI] = ACTIONS(618),
    [anon_sym_RPAREN] = ACTIONS(618),
    [anon_sym_LT] = ACTIONS(616),
    [anon_sym_EQ_EQ] = ACTIONS(616),
    [anon_sym_QMARK] = ACTIONS(618),
    [anon_sym_RBRACE] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(618),
    [anon_sym_GT] = ACTIONS(616),
    [anon_sym_EQ] = ACTIONS(616),
    [anon_sym_CARET] = ACTIONS(618),
    [anon_sym_AMP_AMP] = ACTIONS(618),
    [anon_sym_GT_GT] = ACTIONS(616),
    [anon_sym_in] = ACTIONS(616),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(618),
    [anon_sym_of] = ACTIONS(618),
    [anon_sym_SLASH] = ACTIONS(616),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(618),
    [anon_sym_PIPE] = ACTIONS(616),
    [anon_sym_PIPE_PIPE] = ACTIONS(618),
    [anon_sym_GT_GT_GT] = ACTIONS(618),
    [anon_sym_BANG_EQ] = ACTIONS(616),
    [anon_sym_DOT] = ACTIONS(618),
    [anon_sym_BQUOTE] = ACTIONS(618),
    [anon_sym_PLUS] = ACTIONS(616),
    [anon_sym_PERCENT] = ACTIONS(618),
    [anon_sym_LT_LT] = ACTIONS(618),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(618),
  },
  [216] = {
    [anon_sym_EQ] = ACTIONS(1122),
    [sym_comment] = ACTIONS(3),
  },
  [217] = {
    [sym_string] = STATE(276),
    [sym_decorator] = STATE(50),
    [aux_sym_export_statement_repeat1] = STATE(191),
    [sym__property_name] = STATE(276),
    [sym_computed_property_name] = STATE(276),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_static] = ACTIONS(642),
    [sym_identifier] = ACTIONS(568),
    [anon_sym_STAR] = ACTIONS(646),
    [sym_number] = ACTIONS(578),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [anon_sym_set] = ACTIONS(576),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_async] = ACTIONS(580),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(589),
    [anon_sym_get] = ACTIONS(576),
  },
  [218] = {
    [anon_sym_EQ] = ACTIONS(1124),
    [sym_comment] = ACTIONS(3),
  },
  [219] = {
    [sym_formal_parameters] = STATE(346),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(139),
    [sym_identifier] = ACTIONS(1126),
  },
  [220] = {
    [sym_class_body] = STATE(234),
    [sym_class_heritage] = STATE(387),
    [anon_sym_LBRACE] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_identifier] = ACTIONS(1128),
    [anon_sym_extends] = ACTIONS(113),
  },
  [221] = {
    [sym_computed_property_name] = STATE(276),
    [sym_string] = STATE(276),
    [sym__property_name] = STATE(276),
    [sym__automatic_semicolon] = ACTIONS(566),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [anon_sym_set] = ACTIONS(568),
    [anon_sym_LPAREN] = ACTIONS(566),
    [anon_sym_EQ] = ACTIONS(566),
    [anon_sym_async] = ACTIONS(568),
    [anon_sym_SEMI] = ACTIONS(566),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_static] = ACTIONS(568),
    [anon_sym_LBRACK] = ACTIONS(589),
    [sym_comment] = ACTIONS(3),
    [sym_identifier] = ACTIONS(568),
    [anon_sym_get] = ACTIONS(568),
    [sym_number] = ACTIONS(578),
  },
  [222] = {
    [sym_computed_property_name] = STATE(276),
    [sym_string] = STATE(276),
    [sym__property_name] = STATE(276),
    [sym__automatic_semicolon] = ACTIONS(566),
    [anon_sym_EQ] = ACTIONS(566),
    [anon_sym_SEMI] = ACTIONS(566),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_static] = ACTIONS(568),
    [sym_identifier] = ACTIONS(568),
    [anon_sym_STAR] = ACTIONS(646),
    [sym_number] = ACTIONS(578),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [anon_sym_set] = ACTIONS(576),
    [anon_sym_LPAREN] = ACTIONS(566),
    [anon_sym_async] = ACTIONS(568),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(589),
    [anon_sym_get] = ACTIONS(576),
  },
  [223] = {
    [sym_computed_property_name] = STATE(414),
    [sym_string] = STATE(414),
    [sym__property_name] = STATE(414),
    [sym__automatic_semicolon] = ACTIONS(566),
    [anon_sym_EQ] = ACTIONS(566),
    [anon_sym_SEMI] = ACTIONS(566),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_static] = ACTIONS(464),
    [sym_identifier] = ACTIONS(464),
    [anon_sym_STAR] = ACTIONS(646),
    [sym_number] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_set] = ACTIONS(1132),
    [anon_sym_LPAREN] = ACTIONS(566),
    [anon_sym_async] = ACTIONS(1134),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(472),
    [anon_sym_get] = ACTIONS(1132),
  },
  [224] = {
    [sym_arrow_function] = STATE(415),
    [sym_call_expression] = STATE(415),
    [sym_subscript_expression] = STATE(701),
    [sym_assignment_expression] = STATE(415),
    [sym_ternary_expression] = STATE(415),
    [sym_binary_expression] = STATE(415),
    [sym_template_string] = STATE(415),
    [sym__expression] = STATE(415),
    [sym_yield_expression] = STATE(415),
    [sym_jsx_element] = STATE(415),
    [sym_jsx_fragment] = STATE(415),
    [sym_function] = STATE(703),
    [sym_new_expression] = STATE(415),
    [sym_augmented_assignment_expression] = STATE(415),
    [sym_unary_expression] = STATE(415),
    [sym_update_expression] = STATE(415),
    [sym_regex] = STATE(415),
    [sym_meta_property] = STATE(415),
    [sym_object] = STATE(702),
    [aux_sym_export_statement_repeat1] = STATE(1016),
    [sym_class] = STATE(415),
    [sym_generator_function] = STATE(415),
    [sym_await_expression] = STATE(415),
    [sym_member_expression] = STATE(701),
    [sym_string] = STATE(415),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(874),
    [sym_parenthesized_expression] = STATE(415),
    [sym_array] = STATE(704),
    [sym_jsx_opening_element] = STATE(875),
    [sym_jsx_self_closing_element] = STATE(415),
    [anon_sym_await] = ACTIONS(217),
    [sym_null] = ACTIONS(1136),
    [anon_sym_class] = ACTIONS(183),
    [anon_sym_static] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(219),
    [anon_sym_DASH] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_delete] = ACTIONS(191),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [anon_sym_LPAREN] = ACTIONS(193),
    [anon_sym_BANG] = ACTIONS(195),
    [sym_this] = ACTIONS(1136),
    [sym_undefined] = ACTIONS(1136),
    [sym_true] = ACTIONS(1136),
    [anon_sym_SLASH] = ACTIONS(223),
    [anon_sym_LBRACK] = ACTIONS(225),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(243),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_TILDE] = ACTIONS(195),
    [sym_super] = ACTIONS(207),
    [sym_identifier] = ACTIONS(253),
    [sym_false] = ACTIONS(1136),
    [anon_sym_LT] = ACTIONS(209),
    [sym_number] = ACTIONS(1138),
    [anon_sym_yield] = ACTIONS(213),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_set] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(251),
    [anon_sym_new] = ACTIONS(231),
    [anon_sym_PLUS] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_void] = ACTIONS(191),
    [anon_sym_typeof] = ACTIONS(191),
  },
  [225] = {
    [anon_sym_instanceof] = ACTIONS(1140),
    [sym__automatic_semicolon] = ACTIONS(1142),
    [anon_sym_class] = ACTIONS(1140),
    [anon_sym_DASH] = ACTIONS(1140),
    [anon_sym_STAR] = ACTIONS(1140),
    [anon_sym_AMP] = ACTIONS(1140),
    [anon_sym_throw] = ACTIONS(1140),
    [anon_sym_GT_EQ] = ACTIONS(1142),
    [sym_this] = ACTIONS(1140),
    [anon_sym_case] = ACTIONS(1140),
    [anon_sym_get] = ACTIONS(1140),
    [anon_sym_LT_EQ] = ACTIONS(1142),
    [anon_sym_COMMA] = ACTIONS(1142),
    [anon_sym_PLUS_PLUS] = ACTIONS(1142),
    [anon_sym_RPAREN] = ACTIONS(1142),
    [anon_sym_TILDE] = ACTIONS(1142),
    [anon_sym_LT] = ACTIONS(1140),
    [sym_false] = ACTIONS(1140),
    [anon_sym_yield] = ACTIONS(1140),
    [anon_sym_async] = ACTIONS(1140),
    [anon_sym_const] = ACTIONS(1140),
    [anon_sym_QMARK] = ACTIONS(1142),
    [anon_sym_try] = ACTIONS(1140),
    [anon_sym_await] = ACTIONS(1140),
    [anon_sym_let] = ACTIONS(1140),
    [anon_sym_CARET] = ACTIONS(1142),
    [anon_sym_GT_GT] = ACTIONS(1140),
    [anon_sym_in] = ACTIONS(1140),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1142),
    [anon_sym_SLASH] = ACTIONS(1140),
    [sym_undefined] = ACTIONS(1140),
    [anon_sym_LBRACK] = ACTIONS(1142),
    [anon_sym_else] = ACTIONS(1140),
    [anon_sym_PIPE_PIPE] = ACTIONS(1142),
    [anon_sym_break] = ACTIONS(1140),
    [anon_sym_while] = ACTIONS(1140),
    [anon_sym_DOT] = ACTIONS(1140),
    [anon_sym_BQUOTE] = ACTIONS(1142),
    [anon_sym_PLUS] = ACTIONS(1140),
    [anon_sym_export] = ACTIONS(1140),
    [anon_sym_LT_LT] = ACTIONS(1142),
    [anon_sym_return] = ACTIONS(1140),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1142),
    [anon_sym_static] = ACTIONS(1140),
    [anon_sym_import] = ACTIONS(1140),
    [anon_sym_STAR_STAR] = ACTIONS(1142),
    [anon_sym_LBRACE] = ACTIONS(1142),
    [anon_sym_delete] = ACTIONS(1140),
    [anon_sym_LPAREN] = ACTIONS(1142),
    [anon_sym_BANG] = ACTIONS(1140),
    [sym_true] = ACTIONS(1140),
    [anon_sym_default] = ACTIONS(1140),
    [anon_sym_SEMI] = ACTIONS(1142),
    [anon_sym_DQUOTE] = ACTIONS(1142),
    [sym_super] = ACTIONS(1140),
    [sym_number] = ACTIONS(1142),
    [anon_sym_set] = ACTIONS(1140),
    [anon_sym_var] = ACTIONS(1140),
    [anon_sym_EQ_EQ] = ACTIONS(1140),
    [anon_sym_RBRACE] = ACTIONS(1142),
    [anon_sym_DASH_DASH] = ACTIONS(1142),
    [anon_sym_for] = ACTIONS(1140),
    [anon_sym_typeof] = ACTIONS(1140),
    [anon_sym_GT] = ACTIONS(1140),
    [sym_null] = ACTIONS(1140),
    [anon_sym_function] = ACTIONS(1140),
    [anon_sym_if] = ACTIONS(1140),
    [anon_sym_AMP_AMP] = ACTIONS(1142),
    [anon_sym_with] = ACTIONS(1140),
    [anon_sym_SQUOTE] = ACTIONS(1142),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(1140),
    [anon_sym_GT_GT_GT] = ACTIONS(1142),
    [anon_sym_debugger] = ACTIONS(1140),
    [anon_sym_BANG_EQ] = ACTIONS(1140),
    [sym_identifier] = ACTIONS(1140),
    [ts_builtin_sym_end] = ACTIONS(1142),
    [anon_sym_new] = ACTIONS(1140),
    [anon_sym_AT] = ACTIONS(1142),
    [anon_sym_switch] = ACTIONS(1140),
    [anon_sym_PERCENT] = ACTIONS(1142),
    [anon_sym_continue] = ACTIONS(1140),
    [anon_sym_void] = ACTIONS(1140),
    [anon_sym_do] = ACTIONS(1140),
  },
  [226] = {
    [sym__automatic_semicolon] = ACTIONS(566),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(566),
    [anon_sym_EQ] = ACTIONS(566),
    [anon_sym_SEMI] = ACTIONS(566),
  },
  [227] = {
    [anon_sym_get] = ACTIONS(1144),
    [anon_sym_SQUOTE] = ACTIONS(1146),
    [anon_sym_set] = ACTIONS(1144),
    [anon_sym_async] = ACTIONS(1144),
    [anon_sym_AT] = ACTIONS(1146),
    [anon_sym_SEMI] = ACTIONS(1148),
    [anon_sym_DQUOTE] = ACTIONS(1146),
    [anon_sym_static] = ACTIONS(1144),
    [anon_sym_LBRACK] = ACTIONS(1146),
    [anon_sym_RBRACE] = ACTIONS(1146),
    [sym_identifier] = ACTIONS(1144),
    [sym_comment] = ACTIONS(3),
    [anon_sym_STAR] = ACTIONS(1146),
    [sym_number] = ACTIONS(1146),
  },
  [228] = {
    [sym__automatic_semicolon] = ACTIONS(1148),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1148),
  },
  [229] = {
    [sym__initializer] = STATE(417),
    [sym_formal_parameters] = STATE(291),
    [sym__automatic_semicolon] = ACTIONS(1150),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_EQ] = ACTIONS(536),
    [anon_sym_SEMI] = ACTIONS(1150),
  },
  [230] = {
    [sym_method_definition] = STATE(227),
    [sym_string] = STATE(229),
    [aux_sym_export_statement_repeat1] = STATE(217),
    [sym_decorator] = STATE(50),
    [sym_public_field_definition] = STATE(228),
    [sym__property_name] = STATE(229),
    [sym_computed_property_name] = STATE(229),
    [aux_sym_class_body_repeat1] = STATE(419),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_static] = ACTIONS(462),
    [sym_identifier] = ACTIONS(464),
    [anon_sym_STAR] = ACTIONS(161),
    [sym_number] = ACTIONS(466),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_set] = ACTIONS(468),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_async] = ACTIONS(470),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(472),
    [anon_sym_RBRACE] = ACTIONS(1152),
    [anon_sym_get] = ACTIONS(468),
  },
  [231] = {
    [anon_sym_instanceof] = ACTIONS(1154),
    [sym__automatic_semicolon] = ACTIONS(1156),
    [anon_sym_class] = ACTIONS(1158),
    [anon_sym_DASH] = ACTIONS(1158),
    [anon_sym_STAR] = ACTIONS(1154),
    [anon_sym_AMP] = ACTIONS(1154),
    [anon_sym_throw] = ACTIONS(1158),
    [anon_sym_GT_EQ] = ACTIONS(1160),
    [sym_this] = ACTIONS(1158),
    [anon_sym_case] = ACTIONS(1158),
    [anon_sym_get] = ACTIONS(1158),
    [anon_sym_LT_EQ] = ACTIONS(1160),
    [anon_sym_COMMA] = ACTIONS(1160),
    [anon_sym_PLUS_PLUS] = ACTIONS(1162),
    [anon_sym_TILDE] = ACTIONS(1162),
    [anon_sym_LT] = ACTIONS(1158),
    [sym_false] = ACTIONS(1158),
    [anon_sym_yield] = ACTIONS(1158),
    [anon_sym_async] = ACTIONS(1158),
    [anon_sym_const] = ACTIONS(1158),
    [anon_sym_QMARK] = ACTIONS(1160),
    [anon_sym_try] = ACTIONS(1158),
    [anon_sym_await] = ACTIONS(1158),
    [anon_sym_let] = ACTIONS(1158),
    [anon_sym_CARET] = ACTIONS(1160),
    [anon_sym_GT_GT] = ACTIONS(1154),
    [anon_sym_in] = ACTIONS(1154),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1160),
    [anon_sym_SLASH] = ACTIONS(1158),
    [sym_undefined] = ACTIONS(1158),
    [anon_sym_LBRACK] = ACTIONS(1162),
    [anon_sym_else] = ACTIONS(1158),
    [anon_sym_PIPE_PIPE] = ACTIONS(1160),
    [anon_sym_break] = ACTIONS(1158),
    [anon_sym_while] = ACTIONS(1158),
    [anon_sym_DOT] = ACTIONS(1154),
    [anon_sym_BQUOTE] = ACTIONS(1162),
    [anon_sym_PLUS] = ACTIONS(1158),
    [anon_sym_export] = ACTIONS(1158),
    [anon_sym_LT_LT] = ACTIONS(1160),
    [anon_sym_return] = ACTIONS(1158),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1160),
    [anon_sym_static] = ACTIONS(1158),
    [anon_sym_import] = ACTIONS(1158),
    [anon_sym_STAR_STAR] = ACTIONS(1160),
    [anon_sym_LBRACE] = ACTIONS(1162),
    [anon_sym_delete] = ACTIONS(1158),
    [anon_sym_LPAREN] = ACTIONS(1162),
    [anon_sym_BANG] = ACTIONS(1158),
    [sym_true] = ACTIONS(1158),
    [anon_sym_default] = ACTIONS(1158),
    [anon_sym_SEMI] = ACTIONS(1162),
    [anon_sym_DQUOTE] = ACTIONS(1162),
    [sym_super] = ACTIONS(1158),
    [sym_number] = ACTIONS(1162),
    [anon_sym_set] = ACTIONS(1158),
    [anon_sym_var] = ACTIONS(1158),
    [anon_sym_EQ_EQ] = ACTIONS(1154),
    [anon_sym_RBRACE] = ACTIONS(1162),
    [anon_sym_DASH_DASH] = ACTIONS(1162),
    [anon_sym_for] = ACTIONS(1158),
    [anon_sym_typeof] = ACTIONS(1158),
    [anon_sym_GT] = ACTIONS(1154),
    [sym_null] = ACTIONS(1158),
    [anon_sym_function] = ACTIONS(1158),
    [anon_sym_if] = ACTIONS(1158),
    [anon_sym_AMP_AMP] = ACTIONS(1160),
    [anon_sym_with] = ACTIONS(1158),
    [anon_sym_SQUOTE] = ACTIONS(1162),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(1154),
    [anon_sym_GT_GT_GT] = ACTIONS(1160),
    [anon_sym_debugger] = ACTIONS(1158),
    [anon_sym_BANG_EQ] = ACTIONS(1154),
    [sym_identifier] = ACTIONS(1158),
    [ts_builtin_sym_end] = ACTIONS(1162),
    [anon_sym_new] = ACTIONS(1158),
    [anon_sym_AT] = ACTIONS(1162),
    [anon_sym_switch] = ACTIONS(1158),
    [anon_sym_PERCENT] = ACTIONS(1160),
    [anon_sym_continue] = ACTIONS(1158),
    [anon_sym_void] = ACTIONS(1158),
    [anon_sym_do] = ACTIONS(1158),
  },
  [232] = {
    [sym_class_body] = STATE(421),
    [anon_sym_LBRACE] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
  },
  [233] = {
    [sym_template_string] = STATE(719),
    [sym_arguments] = STATE(719),
    [anon_sym_instanceof] = ACTIONS(696),
    [anon_sym_GT] = ACTIONS(676),
    [anon_sym_DASH] = ACTIONS(698),
    [anon_sym_CARET] = ACTIONS(700),
    [anon_sym_STAR_STAR] = ACTIONS(702),
    [anon_sym_STAR] = ACTIONS(704),
    [anon_sym_AMP_AMP] = ACTIONS(706),
    [anon_sym_LBRACE] = ACTIONS(1164),
    [anon_sym_GT_GT] = ACTIONS(704),
    [anon_sym_AMP] = ACTIONS(708),
    [anon_sym_in] = ACTIONS(676),
    [anon_sym_LPAREN] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(696),
    [anon_sym_GT_EQ] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(704),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(710),
    [anon_sym_PIPE] = ACTIONS(712),
    [anon_sym_LT_EQ] = ACTIONS(696),
    [anon_sym_PIPE_PIPE] = ACTIONS(700),
    [anon_sym_GT_GT_GT] = ACTIONS(714),
    [anon_sym_PLUS_PLUS] = ACTIONS(716),
    [anon_sym_BANG_EQ] = ACTIONS(676),
    [anon_sym_LT] = ACTIONS(676),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_PLUS] = ACTIONS(698),
    [anon_sym_EQ_EQ] = ACTIONS(676),
    [anon_sym_PERCENT] = ACTIONS(714),
    [anon_sym_QMARK] = ACTIONS(722),
    [anon_sym_LT_LT] = ACTIONS(714),
    [anon_sym_DASH_DASH] = ACTIONS(716),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(696),
  },
  [234] = {
    [anon_sym_instanceof] = ACTIONS(1166),
    [anon_sym_GT] = ACTIONS(1168),
    [sym__automatic_semicolon] = ACTIONS(1166),
    [anon_sym_DASH] = ACTIONS(1168),
    [anon_sym_CARET] = ACTIONS(1166),
    [anon_sym_STAR_STAR] = ACTIONS(1166),
    [anon_sym_STAR] = ACTIONS(1168),
    [anon_sym_AMP_AMP] = ACTIONS(1166),
    [anon_sym_GT_GT] = ACTIONS(1168),
    [anon_sym_AMP] = ACTIONS(1168),
    [anon_sym_in] = ACTIONS(1168),
    [anon_sym_LPAREN] = ACTIONS(1166),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1166),
    [anon_sym_SLASH] = ACTIONS(1168),
    [anon_sym_GT_EQ] = ACTIONS(1166),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(1166),
    [anon_sym_PIPE] = ACTIONS(1168),
    [anon_sym_LT_EQ] = ACTIONS(1166),
    [anon_sym_PIPE_PIPE] = ACTIONS(1166),
    [anon_sym_COMMA] = ACTIONS(1166),
    [anon_sym_GT_GT_GT] = ACTIONS(1166),
    [anon_sym_SEMI] = ACTIONS(1166),
    [anon_sym_PLUS_PLUS] = ACTIONS(1166),
    [anon_sym_BANG_EQ] = ACTIONS(1168),
    [anon_sym_RPAREN] = ACTIONS(1166),
    [anon_sym_LT] = ACTIONS(1168),
    [anon_sym_DOT] = ACTIONS(1166),
    [anon_sym_BQUOTE] = ACTIONS(1166),
    [anon_sym_PLUS] = ACTIONS(1168),
    [anon_sym_EQ_EQ] = ACTIONS(1168),
    [anon_sym_PERCENT] = ACTIONS(1166),
    [anon_sym_QMARK] = ACTIONS(1166),
    [anon_sym_LT_LT] = ACTIONS(1166),
    [anon_sym_DASH_DASH] = ACTIONS(1166),
    [anon_sym_RBRACE] = ACTIONS(1166),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1166),
  },
  [235] = {
    [sym_template_string] = STATE(719),
    [sym_arguments] = STATE(719),
    [anon_sym_instanceof] = ACTIONS(696),
    [anon_sym_GT] = ACTIONS(676),
    [anon_sym_DASH] = ACTIONS(698),
    [anon_sym_CARET] = ACTIONS(700),
    [anon_sym_STAR_STAR] = ACTIONS(702),
    [anon_sym_STAR] = ACTIONS(704),
    [anon_sym_AMP_AMP] = ACTIONS(706),
    [anon_sym_GT_GT] = ACTIONS(704),
    [anon_sym_AMP] = ACTIONS(708),
    [anon_sym_in] = ACTIONS(676),
    [anon_sym_LPAREN] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(696),
    [anon_sym_GT_EQ] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(704),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(710),
    [anon_sym_PIPE] = ACTIONS(712),
    [anon_sym_LT_EQ] = ACTIONS(696),
    [anon_sym_PIPE_PIPE] = ACTIONS(700),
    [anon_sym_GT_GT_GT] = ACTIONS(714),
    [anon_sym_PLUS_PLUS] = ACTIONS(716),
    [anon_sym_COMMA] = ACTIONS(718),
    [anon_sym_BANG_EQ] = ACTIONS(676),
    [anon_sym_LT] = ACTIONS(676),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_PLUS] = ACTIONS(698),
    [anon_sym_EQ_EQ] = ACTIONS(676),
    [anon_sym_PERCENT] = ACTIONS(714),
    [anon_sym_QMARK] = ACTIONS(722),
    [anon_sym_LT_LT] = ACTIONS(714),
    [anon_sym_DASH_DASH] = ACTIONS(716),
    [anon_sym_RBRACE] = ACTIONS(1170),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(696),
  },
  [236] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACE] = ACTIONS(1170),
  },
  [237] = {
    [anon_sym_instanceof] = ACTIONS(1172),
    [anon_sym_GT] = ACTIONS(1174),
    [sym__automatic_semicolon] = ACTIONS(1172),
    [anon_sym_DASH] = ACTIONS(1174),
    [anon_sym_CARET] = ACTIONS(1172),
    [anon_sym_STAR_STAR] = ACTIONS(1172),
    [anon_sym_STAR] = ACTIONS(1174),
    [anon_sym_AMP_AMP] = ACTIONS(1172),
    [anon_sym_GT_GT] = ACTIONS(1174),
    [anon_sym_AMP] = ACTIONS(1174),
    [anon_sym_in] = ACTIONS(1174),
    [anon_sym_LPAREN] = ACTIONS(1172),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1172),
    [anon_sym_SLASH] = ACTIONS(1174),
    [anon_sym_GT_EQ] = ACTIONS(1172),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(1172),
    [anon_sym_PIPE] = ACTIONS(1174),
    [anon_sym_LT_EQ] = ACTIONS(1172),
    [anon_sym_PIPE_PIPE] = ACTIONS(1172),
    [anon_sym_COMMA] = ACTIONS(1172),
    [anon_sym_GT_GT_GT] = ACTIONS(1172),
    [anon_sym_SEMI] = ACTIONS(1172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1172),
    [anon_sym_BANG_EQ] = ACTIONS(1174),
    [anon_sym_RPAREN] = ACTIONS(1172),
    [anon_sym_LT] = ACTIONS(1174),
    [anon_sym_DOT] = ACTIONS(1172),
    [anon_sym_BQUOTE] = ACTIONS(1172),
    [anon_sym_PLUS] = ACTIONS(1174),
    [anon_sym_EQ_EQ] = ACTIONS(1174),
    [anon_sym_PERCENT] = ACTIONS(1172),
    [anon_sym_QMARK] = ACTIONS(1172),
    [anon_sym_LT_LT] = ACTIONS(1172),
    [anon_sym_DASH_DASH] = ACTIONS(1172),
    [anon_sym_RBRACE] = ACTIONS(1172),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1172),
  },
  [238] = {
    [sym_template_substitution] = STATE(238),
    [aux_sym_template_string_repeat1] = STATE(238),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1176),
    [sym_escape_sequence] = ACTIONS(1179),
    [sym__template_chars] = ACTIONS(1179),
    [anon_sym_BQUOTE] = ACTIONS(1182),
  },
  [239] = {
    [sym_identifier] = ACTIONS(1184),
    [sym_comment] = ACTIONS(3),
  },
  [240] = {
    [anon_sym_class] = ACTIONS(1186),
    [anon_sym_DQUOTE] = ACTIONS(1188),
    [anon_sym_static] = ACTIONS(1186),
    [sym_identifier] = ACTIONS(1186),
    [anon_sym_STAR] = ACTIONS(1188),
    [sym_number] = ACTIONS(1188),
    [anon_sym_SQUOTE] = ACTIONS(1188),
    [anon_sym_set] = ACTIONS(1186),
    [anon_sym_AT] = ACTIONS(1188),
    [anon_sym_async] = ACTIONS(1186),
    [anon_sym_export] = ACTIONS(1186),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(1188),
    [anon_sym_get] = ACTIONS(1186),
  },
  [241] = {
    [sym_identifier] = ACTIONS(1190),
    [sym_comment] = ACTIONS(3),
  },
  [242] = {
    [anon_sym_class] = ACTIONS(1192),
    [anon_sym_DQUOTE] = ACTIONS(1194),
    [anon_sym_static] = ACTIONS(1192),
    [sym_identifier] = ACTIONS(1192),
    [anon_sym_STAR] = ACTIONS(1194),
    [sym_number] = ACTIONS(1194),
    [anon_sym_SQUOTE] = ACTIONS(1194),
    [anon_sym_set] = ACTIONS(1192),
    [anon_sym_AT] = ACTIONS(1194),
    [anon_sym_async] = ACTIONS(1192),
    [anon_sym_export] = ACTIONS(1192),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(1194),
    [anon_sym_get] = ACTIONS(1192),
  },
  [243] = {
    [sym_template_string] = STATE(141),
    [sym_arguments] = STATE(141),
    [anon_sym_instanceof] = ACTIONS(392),
    [anon_sym_GT] = ACTIONS(287),
    [sym__automatic_semicolon] = ACTIONS(1196),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_CARET] = ACTIONS(396),
    [anon_sym_STAR_STAR] = ACTIONS(398),
    [anon_sym_STAR] = ACTIONS(400),
    [anon_sym_AMP_AMP] = ACTIONS(402),
    [anon_sym_GT_GT] = ACTIONS(400),
    [anon_sym_AMP] = ACTIONS(404),
    [anon_sym_in] = ACTIONS(287),
    [anon_sym_LPAREN] = ACTIONS(271),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(392),
    [anon_sym_SLASH] = ACTIONS(400),
    [anon_sym_GT_EQ] = ACTIONS(392),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(273),
    [anon_sym_PIPE] = ACTIONS(406),
    [anon_sym_LT_EQ] = ACTIONS(392),
    [anon_sym_PIPE_PIPE] = ACTIONS(396),
    [anon_sym_COMMA] = ACTIONS(1196),
    [anon_sym_GT_GT_GT] = ACTIONS(408),
    [anon_sym_SEMI] = ACTIONS(1196),
    [anon_sym_PLUS_PLUS] = ACTIONS(410),
    [anon_sym_BANG_EQ] = ACTIONS(287),
    [anon_sym_RPAREN] = ACTIONS(1196),
    [anon_sym_LT] = ACTIONS(287),
    [anon_sym_DOT] = ACTIONS(275),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_EQ_EQ] = ACTIONS(287),
    [anon_sym_PERCENT] = ACTIONS(408),
    [anon_sym_QMARK] = ACTIONS(414),
    [anon_sym_LT_LT] = ACTIONS(408),
    [anon_sym_DASH_DASH] = ACTIONS(410),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(392),
  },
  [244] = {
    [sym_template_string] = STATE(141),
    [sym_arguments] = STATE(141),
    [anon_sym_instanceof] = ACTIONS(392),
    [anon_sym_GT] = ACTIONS(287),
    [sym__automatic_semicolon] = ACTIONS(1198),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_CARET] = ACTIONS(396),
    [anon_sym_STAR_STAR] = ACTIONS(398),
    [anon_sym_STAR] = ACTIONS(400),
    [anon_sym_AMP_AMP] = ACTIONS(402),
    [anon_sym_GT_GT] = ACTIONS(400),
    [anon_sym_AMP] = ACTIONS(404),
    [anon_sym_in] = ACTIONS(287),
    [anon_sym_LPAREN] = ACTIONS(271),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(392),
    [anon_sym_SLASH] = ACTIONS(400),
    [anon_sym_GT_EQ] = ACTIONS(392),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(273),
    [anon_sym_PIPE] = ACTIONS(406),
    [anon_sym_LT_EQ] = ACTIONS(392),
    [anon_sym_PIPE_PIPE] = ACTIONS(396),
    [anon_sym_COMMA] = ACTIONS(1198),
    [anon_sym_GT_GT_GT] = ACTIONS(408),
    [anon_sym_SEMI] = ACTIONS(1198),
    [anon_sym_PLUS_PLUS] = ACTIONS(410),
    [anon_sym_BANG_EQ] = ACTIONS(287),
    [anon_sym_RPAREN] = ACTIONS(1198),
    [anon_sym_LT] = ACTIONS(287),
    [anon_sym_DOT] = ACTIONS(275),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_EQ_EQ] = ACTIONS(287),
    [anon_sym_PERCENT] = ACTIONS(408),
    [anon_sym_QMARK] = ACTIONS(414),
    [anon_sym_LT_LT] = ACTIONS(408),
    [anon_sym_DASH_DASH] = ACTIONS(410),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(392),
  },
  [245] = {
    [anon_sym_instanceof] = ACTIONS(1200),
    [sym__automatic_semicolon] = ACTIONS(1200),
    [anon_sym_AMP_EQ] = ACTIONS(1200),
    [anon_sym_GT_GT_EQ] = ACTIONS(1200),
    [anon_sym_STAR_EQ] = ACTIONS(1200),
    [anon_sym_DASH] = ACTIONS(1202),
    [anon_sym_STAR_STAR] = ACTIONS(1202),
    [anon_sym_STAR] = ACTIONS(1202),
    [anon_sym_AMP] = ACTIONS(1202),
    [anon_sym_GT_EQ] = ACTIONS(1200),
    [anon_sym_LPAREN] = ACTIONS(1200),
    [anon_sym_PIPE_EQ] = ACTIONS(1200),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1200),
    [anon_sym_SLASH_EQ] = ACTIONS(1200),
    [anon_sym_LT_EQ] = ACTIONS(1200),
    [anon_sym_COMMA] = ACTIONS(1200),
    [anon_sym_PLUS_PLUS] = ACTIONS(1200),
    [anon_sym_SEMI] = ACTIONS(1200),
    [anon_sym_RPAREN] = ACTIONS(1200),
    [anon_sym_LT] = ACTIONS(1202),
    [anon_sym_LT_LT_EQ] = ACTIONS(1200),
    [anon_sym_EQ_EQ] = ACTIONS(1202),
    [anon_sym_QMARK] = ACTIONS(1200),
    [anon_sym_RBRACE] = ACTIONS(1200),
    [anon_sym_DASH_DASH] = ACTIONS(1200),
    [anon_sym_GT] = ACTIONS(1202),
    [anon_sym_EQ] = ACTIONS(1202),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1200),
    [anon_sym_CARET] = ACTIONS(1202),
    [anon_sym_AMP_AMP] = ACTIONS(1200),
    [anon_sym_GT_GT] = ACTIONS(1202),
    [anon_sym_in] = ACTIONS(1202),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1200),
    [anon_sym_SLASH] = ACTIONS(1202),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(1200),
    [anon_sym_PERCENT_EQ] = ACTIONS(1200),
    [anon_sym_PLUS_EQ] = ACTIONS(1200),
    [anon_sym_PIPE] = ACTIONS(1202),
    [anon_sym_PIPE_PIPE] = ACTIONS(1200),
    [anon_sym_GT_GT_GT] = ACTIONS(1202),
    [anon_sym_BANG_EQ] = ACTIONS(1202),
    [anon_sym_DOT] = ACTIONS(1200),
    [anon_sym_BQUOTE] = ACTIONS(1200),
    [anon_sym_CARET_EQ] = ACTIONS(1200),
    [anon_sym_DASH_EQ] = ACTIONS(1200),
    [anon_sym_PLUS] = ACTIONS(1202),
    [anon_sym_PERCENT] = ACTIONS(1202),
    [anon_sym_LT_LT] = ACTIONS(1202),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1200),
  },
  [246] = {
    [aux_sym_formal_parameters_repeat1] = STATE(299),
    [anon_sym_RPAREN] = ACTIONS(1204),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(1206),
  },
  [247] = {
    [aux_sym_formal_parameters_repeat1] = STATE(303),
    [anon_sym_RPAREN] = ACTIONS(692),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(694),
    [anon_sym_EQ] = ACTIONS(1120),
  },
  [248] = {
    [aux_sym_formal_parameters_repeat1] = STATE(310),
    [anon_sym_RPAREN] = ACTIONS(1208),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(1210),
    [anon_sym_EQ] = ACTIONS(1124),
  },
  [249] = {
    [aux_sym_formal_parameters_repeat1] = STATE(307),
    [anon_sym_RPAREN] = ACTIONS(1212),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(1214),
    [anon_sym_EQ] = ACTIONS(1122),
  },
  [250] = {
    [sym_statement_block] = STATE(425),
    [anon_sym_LBRACE] = ACTIONS(532),
    [sym_comment] = ACTIONS(3),
  },
  [251] = {
    [sym_formal_parameters] = STATE(426),
    [anon_sym_LPAREN] = ACTIONS(139),
    [sym_comment] = ACTIONS(3),
  },
  [252] = {
    [sym_statement_block] = STATE(427),
    [anon_sym_LBRACE] = ACTIONS(532),
    [sym_comment] = ACTIONS(3),
  },
  [253] = {
    [anon_sym_instanceof] = ACTIONS(1216),
    [anon_sym_GT] = ACTIONS(1218),
    [sym__automatic_semicolon] = ACTIONS(1216),
    [anon_sym_DASH] = ACTIONS(1218),
    [anon_sym_CARET] = ACTIONS(1216),
    [anon_sym_STAR_STAR] = ACTIONS(1216),
    [anon_sym_STAR] = ACTIONS(1218),
    [anon_sym_AMP_AMP] = ACTIONS(1216),
    [anon_sym_GT_GT] = ACTIONS(1218),
    [anon_sym_AMP] = ACTIONS(1218),
    [anon_sym_in] = ACTIONS(1218),
    [anon_sym_LPAREN] = ACTIONS(1216),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1216),
    [anon_sym_SLASH] = ACTIONS(1218),
    [anon_sym_GT_EQ] = ACTIONS(1216),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(1216),
    [anon_sym_PIPE] = ACTIONS(1218),
    [anon_sym_LT_EQ] = ACTIONS(1216),
    [anon_sym_PIPE_PIPE] = ACTIONS(1216),
    [anon_sym_COMMA] = ACTIONS(1216),
    [anon_sym_GT_GT_GT] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(1216),
    [anon_sym_PLUS_PLUS] = ACTIONS(1216),
    [anon_sym_BANG_EQ] = ACTIONS(1218),
    [anon_sym_RPAREN] = ACTIONS(1216),
    [anon_sym_LT] = ACTIONS(1218),
    [anon_sym_DOT] = ACTIONS(1216),
    [anon_sym_BQUOTE] = ACTIONS(1216),
    [anon_sym_PLUS] = ACTIONS(1218),
    [anon_sym_EQ_EQ] = ACTIONS(1218),
    [anon_sym_PERCENT] = ACTIONS(1216),
    [anon_sym_QMARK] = ACTIONS(1216),
    [anon_sym_LT_LT] = ACTIONS(1216),
    [anon_sym_DASH_DASH] = ACTIONS(1216),
    [anon_sym_RBRACE] = ACTIONS(1216),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1216),
  },
  [254] = {
    [sym_arrow_function] = STATE(428),
    [sym_call_expression] = STATE(428),
    [sym_subscript_expression] = STATE(42),
    [sym_assignment_expression] = STATE(428),
    [sym_ternary_expression] = STATE(428),
    [sym_binary_expression] = STATE(428),
    [sym_template_string] = STATE(428),
    [sym__expression] = STATE(428),
    [sym_yield_expression] = STATE(428),
    [sym_jsx_element] = STATE(428),
    [sym_jsx_fragment] = STATE(428),
    [sym_function] = STATE(47),
    [sym_new_expression] = STATE(428),
    [sym_augmented_assignment_expression] = STATE(428),
    [sym_unary_expression] = STATE(428),
    [sym_update_expression] = STATE(428),
    [sym_regex] = STATE(428),
    [sym_meta_property] = STATE(428),
    [sym_object] = STATE(43),
    [aux_sym_export_statement_repeat1] = STATE(60),
    [sym_class] = STATE(428),
    [sym_generator_function] = STATE(428),
    [sym_await_expression] = STATE(428),
    [sym_member_expression] = STATE(42),
    [sym_string] = STATE(428),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(51),
    [sym_parenthesized_expression] = STATE(428),
    [sym_array] = STATE(52),
    [sym_jsx_opening_element] = STATE(53),
    [sym_jsx_self_closing_element] = STATE(428),
    [anon_sym_await] = ACTIONS(5),
    [sym_null] = ACTIONS(1220),
    [anon_sym_class] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_function] = ACTIONS(95),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(97),
    [anon_sym_delete] = ACTIONS(39),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(1220),
    [sym_undefined] = ACTIONS(1220),
    [sym_true] = ACTIONS(1220),
    [anon_sym_SLASH] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(49),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(63),
    [sym_identifier] = ACTIONS(99),
    [sym_false] = ACTIONS(1220),
    [anon_sym_LT] = ACTIONS(69),
    [sym_number] = ACTIONS(1222),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_set] = ACTIONS(23),
    [anon_sym_async] = ACTIONS(103),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_void] = ACTIONS(39),
    [anon_sym_typeof] = ACTIONS(39),
  },
  [255] = {
    [sym__automatic_semicolon] = ACTIONS(1224),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(1224),
    [anon_sym_SEMI] = ACTIONS(1224),
  },
  [256] = {
    [anon_sym_class] = ACTIONS(1226),
    [anon_sym_static] = ACTIONS(1226),
    [anon_sym_DASH] = ACTIONS(1226),
    [anon_sym_import] = ACTIONS(1226),
    [anon_sym_LBRACE] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1226),
    [anon_sym_throw] = ACTIONS(1226),
    [anon_sym_LPAREN] = ACTIONS(1228),
    [anon_sym_BANG] = ACTIONS(1228),
    [sym_this] = ACTIONS(1226),
    [sym_true] = ACTIONS(1226),
    [anon_sym_case] = ACTIONS(1226),
    [anon_sym_get] = ACTIONS(1226),
    [anon_sym_default] = ACTIONS(1226),
    [anon_sym_PLUS_PLUS] = ACTIONS(1228),
    [anon_sym_SEMI] = ACTIONS(1228),
    [anon_sym_DQUOTE] = ACTIONS(1228),
    [anon_sym_TILDE] = ACTIONS(1228),
    [sym_super] = ACTIONS(1226),
    [anon_sym_LT] = ACTIONS(1228),
    [sym_false] = ACTIONS(1226),
    [sym_number] = ACTIONS(1228),
    [anon_sym_yield] = ACTIONS(1226),
    [anon_sym_set] = ACTIONS(1226),
    [anon_sym_async] = ACTIONS(1226),
    [anon_sym_var] = ACTIONS(1226),
    [anon_sym_const] = ACTIONS(1226),
    [anon_sym_RBRACE] = ACTIONS(1228),
    [anon_sym_DASH_DASH] = ACTIONS(1228),
    [anon_sym_try] = ACTIONS(1226),
    [anon_sym_for] = ACTIONS(1226),
    [anon_sym_typeof] = ACTIONS(1226),
    [anon_sym_await] = ACTIONS(1226),
    [sym_null] = ACTIONS(1226),
    [anon_sym_function] = ACTIONS(1226),
    [anon_sym_let] = ACTIONS(1226),
    [anon_sym_if] = ACTIONS(1226),
    [anon_sym_with] = ACTIONS(1226),
    [anon_sym_SQUOTE] = ACTIONS(1228),
    [anon_sym_SLASH] = ACTIONS(1226),
    [sym_undefined] = ACTIONS(1226),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [anon_sym_else] = ACTIONS(1226),
    [anon_sym_break] = ACTIONS(1226),
    [anon_sym_debugger] = ACTIONS(1226),
    [anon_sym_while] = ACTIONS(1226),
    [sym_identifier] = ACTIONS(1226),
    [anon_sym_BQUOTE] = ACTIONS(1228),
    [ts_builtin_sym_end] = ACTIONS(1228),
    [anon_sym_new] = ACTIONS(1226),
    [anon_sym_AT] = ACTIONS(1228),
    [anon_sym_PLUS] = ACTIONS(1226),
    [anon_sym_switch] = ACTIONS(1226),
    [anon_sym_export] = ACTIONS(1226),
    [anon_sym_continue] = ACTIONS(1226),
    [anon_sym_void] = ACTIONS(1226),
    [anon_sym_return] = ACTIONS(1226),
    [anon_sym_do] = ACTIONS(1226),
  },
  [257] = {
    [sym_variable_declarator] = STATE(429),
    [sym_array] = STATE(83),
    [sym_object] = STATE(84),
    [anon_sym_LBRACE] = ACTIONS(97),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(49),
    [sym_identifier] = ACTIONS(145),
  },
  [258] = {
    [aux_sym_variable_declaration_repeat1] = STATE(431),
    [sym__automatic_semicolon] = ACTIONS(1230),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(540),
    [anon_sym_SEMI] = ACTIONS(1230),
  },
  [259] = {
    [sym__automatic_semicolon] = ACTIONS(1232),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(1232),
    [anon_sym_SEMI] = ACTIONS(1232),
  },
  [260] = {
    [sym__automatic_semicolon] = ACTIONS(1234),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(1234),
    [anon_sym_SEMI] = ACTIONS(1234),
  },
  [261] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACE] = ACTIONS(1236),
    [anon_sym_COMMA] = ACTIONS(1236),
    [anon_sym_as] = ACTIONS(1238),
  },
  [262] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACE] = ACTIONS(1240),
  },
  [263] = {
    [anon_sym_from] = ACTIONS(1242),
    [sym_comment] = ACTIONS(3),
  },
  [264] = {
    [aux_sym_named_imports_repeat1] = STATE(436),
    [anon_sym_COMMA] = ACTIONS(1244),
    [anon_sym_RBRACE] = ACTIONS(1246),
    [sym_comment] = ACTIONS(3),
  },
  [265] = {
    [sym_namespace_import] = STATE(437),
    [sym_named_imports] = STATE(437),
    [anon_sym_LBRACE] = ACTIONS(147),
    [sym_comment] = ACTIONS(3),
    [anon_sym_STAR] = ACTIONS(151),
  },
  [266] = {
    [sym_identifier] = ACTIONS(1248),
    [sym_comment] = ACTIONS(3),
  },
  [267] = {
    [sym_string] = STATE(439),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SQUOTE] = ACTIONS(47),
  },
  [268] = {
    [sym__automatic_semicolon] = ACTIONS(1250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1250),
  },
  [269] = {
    [anon_sym_class] = ACTIONS(1252),
    [anon_sym_static] = ACTIONS(1252),
    [anon_sym_DASH] = ACTIONS(1252),
    [anon_sym_import] = ACTIONS(1252),
    [anon_sym_LBRACE] = ACTIONS(1254),
    [anon_sym_delete] = ACTIONS(1252),
    [anon_sym_throw] = ACTIONS(1252),
    [anon_sym_LPAREN] = ACTIONS(1254),
    [anon_sym_BANG] = ACTIONS(1254),
    [sym_this] = ACTIONS(1252),
    [sym_true] = ACTIONS(1252),
    [anon_sym_case] = ACTIONS(1252),
    [anon_sym_get] = ACTIONS(1252),
    [anon_sym_default] = ACTIONS(1252),
    [anon_sym_PLUS_PLUS] = ACTIONS(1254),
    [anon_sym_SEMI] = ACTIONS(1254),
    [anon_sym_DQUOTE] = ACTIONS(1254),
    [anon_sym_TILDE] = ACTIONS(1254),
    [sym_super] = ACTIONS(1252),
    [anon_sym_LT] = ACTIONS(1254),
    [sym_false] = ACTIONS(1252),
    [sym_number] = ACTIONS(1254),
    [anon_sym_yield] = ACTIONS(1252),
    [anon_sym_set] = ACTIONS(1252),
    [anon_sym_async] = ACTIONS(1252),
    [anon_sym_var] = ACTIONS(1252),
    [anon_sym_const] = ACTIONS(1252),
    [anon_sym_RBRACE] = ACTIONS(1254),
    [anon_sym_DASH_DASH] = ACTIONS(1254),
    [anon_sym_try] = ACTIONS(1252),
    [anon_sym_for] = ACTIONS(1252),
    [anon_sym_typeof] = ACTIONS(1252),
    [anon_sym_await] = ACTIONS(1252),
    [sym_null] = ACTIONS(1252),
    [anon_sym_function] = ACTIONS(1252),
    [anon_sym_let] = ACTIONS(1252),
    [anon_sym_if] = ACTIONS(1252),
    [anon_sym_with] = ACTIONS(1252),
    [anon_sym_SQUOTE] = ACTIONS(1254),
    [anon_sym_SLASH] = ACTIONS(1252),
    [sym_undefined] = ACTIONS(1252),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(1254),
    [anon_sym_else] = ACTIONS(1252),
    [anon_sym_break] = ACTIONS(1252),
    [anon_sym_debugger] = ACTIONS(1252),
    [anon_sym_while] = ACTIONS(1252),
    [sym_identifier] = ACTIONS(1252),
    [anon_sym_BQUOTE] = ACTIONS(1254),
    [ts_builtin_sym_end] = ACTIONS(1254),
    [anon_sym_new] = ACTIONS(1252),
    [anon_sym_AT] = ACTIONS(1254),
    [anon_sym_PLUS] = ACTIONS(1252),
    [anon_sym_switch] = ACTIONS(1252),
    [anon_sym_export] = ACTIONS(1252),
    [anon_sym_continue] = ACTIONS(1252),
    [anon_sym_void] = ACTIONS(1252),
    [anon_sym_return] = ACTIONS(1252),
    [anon_sym_do] = ACTIONS(1252),
  },
  [270] = {
    [anon_sym_class] = ACTIONS(1256),
    [anon_sym_static] = ACTIONS(1256),
    [anon_sym_DASH] = ACTIONS(1256),
    [anon_sym_import] = ACTIONS(1256),
    [anon_sym_LBRACE] = ACTIONS(1258),
    [anon_sym_delete] = ACTIONS(1256),
    [anon_sym_throw] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(1258),
    [anon_sym_BANG] = ACTIONS(1258),
    [sym_this] = ACTIONS(1256),
    [sym_true] = ACTIONS(1256),
    [anon_sym_case] = ACTIONS(1256),
    [anon_sym_get] = ACTIONS(1256),
    [anon_sym_default] = ACTIONS(1256),
    [anon_sym_PLUS_PLUS] = ACTIONS(1258),
    [anon_sym_SEMI] = ACTIONS(1258),
    [anon_sym_DQUOTE] = ACTIONS(1258),
    [anon_sym_TILDE] = ACTIONS(1258),
    [sym_super] = ACTIONS(1256),
    [anon_sym_LT] = ACTIONS(1258),
    [sym_false] = ACTIONS(1256),
    [sym_number] = ACTIONS(1258),
    [anon_sym_yield] = ACTIONS(1256),
    [anon_sym_set] = ACTIONS(1256),
    [anon_sym_async] = ACTIONS(1256),
    [anon_sym_var] = ACTIONS(1256),
    [anon_sym_const] = ACTIONS(1256),
    [anon_sym_RBRACE] = ACTIONS(1258),
    [anon_sym_DASH_DASH] = ACTIONS(1258),
    [anon_sym_try] = ACTIONS(1256),
    [anon_sym_for] = ACTIONS(1256),
    [anon_sym_typeof] = ACTIONS(1256),
    [anon_sym_await] = ACTIONS(1256),
    [sym_null] = ACTIONS(1256),
    [anon_sym_function] = ACTIONS(1256),
    [anon_sym_let] = ACTIONS(1256),
    [anon_sym_if] = ACTIONS(1256),
    [anon_sym_with] = ACTIONS(1256),
    [anon_sym_SQUOTE] = ACTIONS(1258),
    [anon_sym_SLASH] = ACTIONS(1256),
    [sym_undefined] = ACTIONS(1256),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(1258),
    [anon_sym_else] = ACTIONS(1260),
    [anon_sym_break] = ACTIONS(1256),
    [anon_sym_debugger] = ACTIONS(1256),
    [anon_sym_while] = ACTIONS(1256),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_BQUOTE] = ACTIONS(1258),
    [ts_builtin_sym_end] = ACTIONS(1258),
    [anon_sym_new] = ACTIONS(1256),
    [anon_sym_AT] = ACTIONS(1258),
    [anon_sym_PLUS] = ACTIONS(1256),
    [anon_sym_switch] = ACTIONS(1256),
    [anon_sym_export] = ACTIONS(1256),
    [anon_sym_continue] = ACTIONS(1256),
    [anon_sym_void] = ACTIONS(1256),
    [anon_sym_return] = ACTIONS(1256),
    [anon_sym_do] = ACTIONS(1256),
  },
  [271] = {
    [anon_sym_instanceof] = ACTIONS(1262),
    [sym__automatic_semicolon] = ACTIONS(1262),
    [anon_sym_DASH] = ACTIONS(1264),
    [anon_sym_STAR_STAR] = ACTIONS(1262),
    [anon_sym_STAR] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1264),
    [anon_sym_GT_EQ] = ACTIONS(1262),
    [anon_sym_LPAREN] = ACTIONS(1262),
    [anon_sym_LT_EQ] = ACTIONS(1262),
    [anon_sym_COMMA] = ACTIONS(1262),
    [anon_sym_PLUS_PLUS] = ACTIONS(1262),
    [anon_sym_SEMI] = ACTIONS(1262),
    [anon_sym_RPAREN] = ACTIONS(1262),
    [anon_sym_LT] = ACTIONS(1264),
    [anon_sym_EQ_EQ] = ACTIONS(1264),
    [anon_sym_QMARK] = ACTIONS(1262),
    [anon_sym_RBRACE] = ACTIONS(1262),
    [anon_sym_DASH_DASH] = ACTIONS(1262),
    [anon_sym_GT] = ACTIONS(1264),
    [anon_sym_EQ] = ACTIONS(1264),
    [anon_sym_CARET] = ACTIONS(1262),
    [anon_sym_AMP_AMP] = ACTIONS(1262),
    [anon_sym_GT_GT] = ACTIONS(1264),
    [anon_sym_in] = ACTIONS(1264),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1262),
    [anon_sym_of] = ACTIONS(1262),
    [anon_sym_SLASH] = ACTIONS(1264),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(1262),
    [anon_sym_PIPE] = ACTIONS(1264),
    [anon_sym_PIPE_PIPE] = ACTIONS(1262),
    [anon_sym_GT_GT_GT] = ACTIONS(1262),
    [anon_sym_BANG_EQ] = ACTIONS(1264),
    [anon_sym_DOT] = ACTIONS(1262),
    [anon_sym_BQUOTE] = ACTIONS(1262),
    [anon_sym_PLUS] = ACTIONS(1264),
    [anon_sym_PERCENT] = ACTIONS(1262),
    [anon_sym_LT_LT] = ACTIONS(1262),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1262),
  },
  [272] = {
    [sym_computed_property_name] = STATE(442),
    [sym_string] = STATE(442),
    [sym__property_name] = STATE(442),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_static] = ACTIONS(568),
    [sym_identifier] = ACTIONS(568),
    [sym_number] = ACTIONS(1266),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [anon_sym_set] = ACTIONS(568),
    [anon_sym_async] = ACTIONS(568),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(589),
    [anon_sym_get] = ACTIONS(568),
  },
  [273] = {
    [sym_computed_property_name] = STATE(442),
    [sym_string] = STATE(442),
    [sym__property_name] = STATE(442),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_static] = ACTIONS(568),
    [sym_identifier] = ACTIONS(568),
    [sym_number] = ACTIONS(1266),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [anon_sym_set] = ACTIONS(568),
    [anon_sym_LPAREN] = ACTIONS(566),
    [anon_sym_async] = ACTIONS(568),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(589),
    [anon_sym_get] = ACTIONS(568),
  },
  [274] = {
    [sym_computed_property_name] = STATE(442),
    [sym_string] = STATE(442),
    [sym__property_name] = STATE(442),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_static] = ACTIONS(568),
    [sym_identifier] = ACTIONS(568),
    [anon_sym_STAR] = ACTIONS(1268),
    [sym_number] = ACTIONS(1266),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [anon_sym_set] = ACTIONS(1270),
    [anon_sym_LPAREN] = ACTIONS(566),
    [anon_sym_async] = ACTIONS(568),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(589),
    [anon_sym_get] = ACTIONS(1270),
  },
  [275] = {
    [aux_sym_object_repeat1] = STATE(293),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACE] = ACTIONS(1272),
    [anon_sym_COMMA] = ACTIONS(167),
  },
  [276] = {
    [sym_formal_parameters] = STATE(446),
    [anon_sym_LPAREN] = ACTIONS(139),
    [sym_comment] = ACTIONS(3),
  },
  [277] = {
    [sym_template_string] = STATE(719),
    [sym_arguments] = STATE(719),
    [anon_sym_instanceof] = ACTIONS(696),
    [anon_sym_GT] = ACTIONS(676),
    [anon_sym_DASH] = ACTIONS(698),
    [anon_sym_CARET] = ACTIONS(700),
    [anon_sym_STAR_STAR] = ACTIONS(702),
    [anon_sym_STAR] = ACTIONS(704),
    [anon_sym_AMP_AMP] = ACTIONS(706),
    [anon_sym_GT_GT] = ACTIONS(704),
    [anon_sym_AMP] = ACTIONS(708),
    [anon_sym_in] = ACTIONS(676),
    [anon_sym_LPAREN] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(696),
    [anon_sym_GT_EQ] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(704),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(710),
    [anon_sym_PIPE] = ACTIONS(712),
    [anon_sym_LT_EQ] = ACTIONS(696),
    [anon_sym_PIPE_PIPE] = ACTIONS(700),
    [anon_sym_COMMA] = ACTIONS(1274),
    [anon_sym_GT_GT_GT] = ACTIONS(714),
    [anon_sym_PLUS_PLUS] = ACTIONS(716),
    [anon_sym_BANG_EQ] = ACTIONS(676),
    [anon_sym_RPAREN] = ACTIONS(1274),
    [anon_sym_LT] = ACTIONS(676),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_RBRACK] = ACTIONS(1274),
    [anon_sym_PLUS] = ACTIONS(698),
    [anon_sym_EQ_EQ] = ACTIONS(676),
    [anon_sym_PERCENT] = ACTIONS(714),
    [anon_sym_QMARK] = ACTIONS(722),
    [anon_sym_RBRACE] = ACTIONS(1274),
    [anon_sym_LT_LT] = ACTIONS(714),
    [anon_sym_DASH_DASH] = ACTIONS(716),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(696),
  },
  [278] = {
    [sym_computed_property_name] = STATE(276),
    [sym_string] = STATE(276),
    [sym__property_name] = STATE(276),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [anon_sym_set] = ACTIONS(568),
    [anon_sym_async] = ACTIONS(568),
    [anon_sym_LPAREN] = ACTIONS(566),
    [anon_sym_COLON] = ACTIONS(566),
    [anon_sym_COMMA] = ACTIONS(1276),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_static] = ACTIONS(568),
    [anon_sym_RBRACE] = ACTIONS(1276),
    [anon_sym_LBRACK] = ACTIONS(589),
    [sym_identifier] = ACTIONS(568),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(568),
    [sym_number] = ACTIONS(578),
  },
  [279] = {
    [sym_computed_property_name] = STATE(276),
    [sym_string] = STATE(276),
    [sym__property_name] = STATE(276),
    [anon_sym_COLON] = ACTIONS(566),
    [anon_sym_COMMA] = ACTIONS(1276),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_static] = ACTIONS(568),
    [sym_identifier] = ACTIONS(568),
    [anon_sym_STAR] = ACTIONS(646),
    [sym_number] = ACTIONS(578),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [anon_sym_set] = ACTIONS(576),
    [anon_sym_LPAREN] = ACTIONS(566),
    [anon_sym_async] = ACTIONS(568),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACE] = ACTIONS(1276),
    [anon_sym_LBRACK] = ACTIONS(589),
    [anon_sym_get] = ACTIONS(576),
  },
  [280] = {
    [sym_computed_property_name] = STATE(276),
    [sym_string] = STATE(276),
    [sym__property_name] = STATE(276),
    [anon_sym_COLON] = ACTIONS(566),
    [anon_sym_COMMA] = ACTIONS(1276),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_static] = ACTIONS(568),
    [sym_identifier] = ACTIONS(568),
    [anon_sym_STAR] = ACTIONS(646),
    [sym_number] = ACTIONS(578),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [anon_sym_set] = ACTIONS(576),
    [anon_sym_LPAREN] = ACTIONS(566),
    [anon_sym_async] = ACTIONS(580),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACE] = ACTIONS(1276),
    [anon_sym_LBRACK] = ACTIONS(589),
    [anon_sym_get] = ACTIONS(576),
  },
  [281] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACE] = ACTIONS(1276),
    [anon_sym_LPAREN] = ACTIONS(566),
    [anon_sym_COLON] = ACTIONS(566),
    [anon_sym_COMMA] = ACTIONS(1276),
    [anon_sym_EQ] = ACTIONS(1120),
  },
  [282] = {
    [anon_sym_COMMA] = ACTIONS(1278),
    [anon_sym_RBRACE] = ACTIONS(1278),
    [sym_comment] = ACTIONS(3),
  },
  [283] = {
    [anon_sym_LPAREN] = ACTIONS(566),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(832),
  },
  [284] = {
    [sym_template_string] = STATE(719),
    [aux_sym_array_repeat1] = STATE(316),
    [sym_arguments] = STATE(719),
    [anon_sym_instanceof] = ACTIONS(696),
    [anon_sym_GT] = ACTIONS(676),
    [anon_sym_DASH] = ACTIONS(698),
    [anon_sym_CARET] = ACTIONS(700),
    [anon_sym_STAR_STAR] = ACTIONS(702),
    [anon_sym_STAR] = ACTIONS(704),
    [anon_sym_AMP_AMP] = ACTIONS(706),
    [anon_sym_GT_GT] = ACTIONS(704),
    [anon_sym_AMP] = ACTIONS(708),
    [anon_sym_in] = ACTIONS(676),
    [anon_sym_LPAREN] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(696),
    [anon_sym_GT_EQ] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(704),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(710),
    [anon_sym_PIPE] = ACTIONS(712),
    [anon_sym_LT_EQ] = ACTIONS(696),
    [anon_sym_PIPE_PIPE] = ACTIONS(700),
    [anon_sym_COMMA] = ACTIONS(247),
    [anon_sym_GT_GT_GT] = ACTIONS(714),
    [anon_sym_PLUS_PLUS] = ACTIONS(716),
    [anon_sym_BANG_EQ] = ACTIONS(676),
    [anon_sym_LT] = ACTIONS(676),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_RBRACK] = ACTIONS(1280),
    [anon_sym_PLUS] = ACTIONS(698),
    [anon_sym_EQ_EQ] = ACTIONS(676),
    [anon_sym_PERCENT] = ACTIONS(714),
    [anon_sym_QMARK] = ACTIONS(722),
    [anon_sym_LT_LT] = ACTIONS(714),
    [anon_sym_DASH_DASH] = ACTIONS(716),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(696),
  },
  [285] = {
    [sym_arrow_function] = STATE(448),
    [sym_call_expression] = STATE(448),
    [sym_subscript_expression] = STATE(1127),
    [sym_assignment_expression] = STATE(448),
    [sym_ternary_expression] = STATE(448),
    [sym_binary_expression] = STATE(448),
    [sym_template_string] = STATE(448),
    [sym__expression] = STATE(448),
    [sym_yield_expression] = STATE(448),
    [sym_jsx_element] = STATE(448),
    [sym_jsx_fragment] = STATE(448),
    [sym_function] = STATE(47),
    [sym_new_expression] = STATE(448),
    [sym_augmented_assignment_expression] = STATE(448),
    [sym_unary_expression] = STATE(448),
    [sym_update_expression] = STATE(448),
    [sym_regex] = STATE(448),
    [sym_meta_property] = STATE(448),
    [sym_object] = STATE(1128),
    [aux_sym_export_statement_repeat1] = STATE(60),
    [sym_class] = STATE(448),
    [sym_generator_function] = STATE(448),
    [sym_await_expression] = STATE(448),
    [sym_member_expression] = STATE(1127),
    [sym_string] = STATE(448),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(1013),
    [sym_parenthesized_expression] = STATE(448),
    [sym_array] = STATE(1130),
    [sym_jsx_opening_element] = STATE(53),
    [sym_jsx_self_closing_element] = STATE(448),
    [anon_sym_await] = ACTIONS(1282),
    [sym_null] = ACTIONS(1284),
    [anon_sym_class] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(1286),
    [anon_sym_function] = ACTIONS(95),
    [anon_sym_DASH] = ACTIONS(1288),
    [anon_sym_LBRACE] = ACTIONS(97),
    [anon_sym_delete] = ACTIONS(1290),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(1292),
    [sym_this] = ACTIONS(1284),
    [sym_undefined] = ACTIONS(1284),
    [sym_true] = ACTIONS(1284),
    [anon_sym_SLASH] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(49),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(1286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1294),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1292),
    [sym_super] = ACTIONS(63),
    [sym_identifier] = ACTIONS(1296),
    [sym_false] = ACTIONS(1284),
    [anon_sym_LT] = ACTIONS(69),
    [sym_number] = ACTIONS(1298),
    [anon_sym_yield] = ACTIONS(1300),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_set] = ACTIONS(1286),
    [anon_sym_async] = ACTIONS(1302),
    [anon_sym_new] = ACTIONS(1304),
    [anon_sym_PLUS] = ACTIONS(1288),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(1294),
    [anon_sym_void] = ACTIONS(1290),
    [anon_sym_typeof] = ACTIONS(1290),
  },
  [286] = {
    [anon_sym_instanceof] = ACTIONS(1306),
    [sym__automatic_semicolon] = ACTIONS(1306),
    [anon_sym_DASH] = ACTIONS(1308),
    [anon_sym_STAR_STAR] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_GT_EQ] = ACTIONS(1306),
    [anon_sym_LPAREN] = ACTIONS(1306),
    [anon_sym_LT_EQ] = ACTIONS(1306),
    [anon_sym_COMMA] = ACTIONS(1306),
    [anon_sym_PLUS_PLUS] = ACTIONS(1306),
    [anon_sym_SEMI] = ACTIONS(1306),
    [anon_sym_RPAREN] = ACTIONS(1306),
    [anon_sym_LT] = ACTIONS(1308),
    [anon_sym_EQ_EQ] = ACTIONS(1308),
    [anon_sym_QMARK] = ACTIONS(1306),
    [anon_sym_RBRACE] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1306),
    [anon_sym_GT] = ACTIONS(1308),
    [anon_sym_EQ] = ACTIONS(1308),
    [anon_sym_CARET] = ACTIONS(1306),
    [anon_sym_AMP_AMP] = ACTIONS(1306),
    [anon_sym_GT_GT] = ACTIONS(1308),
    [anon_sym_in] = ACTIONS(1308),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1306),
    [anon_sym_of] = ACTIONS(1306),
    [anon_sym_SLASH] = ACTIONS(1308),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(1306),
    [anon_sym_PIPE] = ACTIONS(1308),
    [anon_sym_PIPE_PIPE] = ACTIONS(1306),
    [anon_sym_GT_GT_GT] = ACTIONS(1306),
    [anon_sym_BANG_EQ] = ACTIONS(1308),
    [anon_sym_DOT] = ACTIONS(1306),
    [anon_sym_BQUOTE] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1308),
    [anon_sym_PERCENT] = ACTIONS(1306),
    [anon_sym_LT_LT] = ACTIONS(1306),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1306),
  },
  [287] = {
    [aux_sym_object_repeat1] = STATE(293),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACE] = ACTIONS(1310),
    [anon_sym_COMMA] = ACTIONS(167),
  },
  [288] = {
    [sym_arrow_function] = STATE(450),
    [sym_call_expression] = STATE(450),
    [sym_subscript_expression] = STATE(1127),
    [sym_assignment_expression] = STATE(450),
    [sym_ternary_expression] = STATE(450),
    [sym_binary_expression] = STATE(450),
    [sym_template_string] = STATE(450),
    [sym__expression] = STATE(450),
    [sym_yield_expression] = STATE(450),
    [sym_jsx_element] = STATE(450),
    [sym_jsx_fragment] = STATE(450),
    [sym_function] = STATE(47),
    [sym_new_expression] = STATE(450),
    [sym_augmented_assignment_expression] = STATE(450),
    [sym_unary_expression] = STATE(450),
    [sym_update_expression] = STATE(450),
    [sym_regex] = STATE(450),
    [sym_meta_property] = STATE(450),
    [sym_object] = STATE(1128),
    [aux_sym_export_statement_repeat1] = STATE(60),
    [sym_class] = STATE(450),
    [sym_generator_function] = STATE(450),
    [sym_await_expression] = STATE(450),
    [sym_member_expression] = STATE(1127),
    [sym_string] = STATE(450),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(1013),
    [sym_parenthesized_expression] = STATE(450),
    [sym_array] = STATE(1130),
    [sym_jsx_opening_element] = STATE(53),
    [sym_jsx_self_closing_element] = STATE(450),
    [anon_sym_await] = ACTIONS(1282),
    [sym_null] = ACTIONS(1312),
    [anon_sym_class] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(1286),
    [anon_sym_function] = ACTIONS(95),
    [anon_sym_DASH] = ACTIONS(1288),
    [anon_sym_LBRACE] = ACTIONS(97),
    [anon_sym_delete] = ACTIONS(1290),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(1292),
    [sym_this] = ACTIONS(1312),
    [sym_undefined] = ACTIONS(1312),
    [sym_true] = ACTIONS(1312),
    [anon_sym_SLASH] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(49),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(1286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1294),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1292),
    [sym_super] = ACTIONS(63),
    [sym_identifier] = ACTIONS(1296),
    [sym_false] = ACTIONS(1312),
    [anon_sym_LT] = ACTIONS(69),
    [sym_number] = ACTIONS(1314),
    [anon_sym_yield] = ACTIONS(1300),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_set] = ACTIONS(1286),
    [anon_sym_async] = ACTIONS(1302),
    [anon_sym_new] = ACTIONS(1304),
    [anon_sym_PLUS] = ACTIONS(1288),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(1294),
    [anon_sym_void] = ACTIONS(1290),
    [anon_sym_typeof] = ACTIONS(1290),
  },
  [289] = {
    [sym_computed_property_name] = STATE(442),
    [sym_string] = STATE(442),
    [sym__property_name] = STATE(442),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_static] = ACTIONS(568),
    [sym_identifier] = ACTIONS(568),
    [anon_sym_STAR] = ACTIONS(1268),
    [sym_number] = ACTIONS(1266),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [anon_sym_set] = ACTIONS(1270),
    [anon_sym_LPAREN] = ACTIONS(566),
    [anon_sym_async] = ACTIONS(1316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(589),
    [anon_sym_get] = ACTIONS(1270),
  },
  [290] = {
    [sym_arrow_function] = STATE(452),
    [sym_call_expression] = STATE(452),
    [sym_subscript_expression] = STATE(701),
    [sym_assignment_expression] = STATE(452),
    [sym_ternary_expression] = STATE(452),
    [sym_binary_expression] = STATE(452),
    [sym_template_string] = STATE(452),
    [sym__expression] = STATE(452),
    [sym_yield_expression] = STATE(452),
    [sym_jsx_element] = STATE(452),
    [sym_jsx_fragment] = STATE(452),
    [sym_function] = STATE(703),
    [sym_new_expression] = STATE(452),
    [sym_augmented_assignment_expression] = STATE(452),
    [sym_unary_expression] = STATE(452),
    [sym_update_expression] = STATE(452),
    [sym_regex] = STATE(452),
    [sym_meta_property] = STATE(452),
    [sym_object] = STATE(702),
    [aux_sym_export_statement_repeat1] = STATE(1016),
    [sym_class] = STATE(452),
    [sym_generator_function] = STATE(452),
    [sym_await_expression] = STATE(452),
    [sym_member_expression] = STATE(701),
    [sym_string] = STATE(452),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(874),
    [sym_parenthesized_expression] = STATE(452),
    [sym_array] = STATE(704),
    [sym_jsx_opening_element] = STATE(875),
    [sym_jsx_self_closing_element] = STATE(452),
    [anon_sym_await] = ACTIONS(217),
    [sym_null] = ACTIONS(1318),
    [anon_sym_class] = ACTIONS(183),
    [anon_sym_static] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(219),
    [anon_sym_DASH] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_delete] = ACTIONS(191),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [anon_sym_LPAREN] = ACTIONS(193),
    [anon_sym_BANG] = ACTIONS(195),
    [sym_this] = ACTIONS(1318),
    [sym_undefined] = ACTIONS(1318),
    [sym_true] = ACTIONS(1318),
    [anon_sym_SLASH] = ACTIONS(223),
    [anon_sym_LBRACK] = ACTIONS(225),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(243),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_TILDE] = ACTIONS(195),
    [sym_super] = ACTIONS(207),
    [sym_identifier] = ACTIONS(253),
    [sym_false] = ACTIONS(1318),
    [anon_sym_LT] = ACTIONS(209),
    [sym_number] = ACTIONS(1320),
    [anon_sym_yield] = ACTIONS(213),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_set] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(251),
    [anon_sym_new] = ACTIONS(231),
    [anon_sym_PLUS] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_void] = ACTIONS(191),
    [anon_sym_typeof] = ACTIONS(191),
  },
  [291] = {
    [sym_statement_block] = STATE(453),
    [anon_sym_LBRACE] = ACTIONS(354),
    [sym_comment] = ACTIONS(3),
  },
  [292] = {
    [anon_sym_class] = ACTIONS(1322),
    [anon_sym_static] = ACTIONS(1322),
    [anon_sym_DASH] = ACTIONS(1322),
    [anon_sym_import] = ACTIONS(1322),
    [anon_sym_STAR] = ACTIONS(1324),
    [anon_sym_LBRACE] = ACTIONS(1324),
    [anon_sym_delete] = ACTIONS(1322),
    [anon_sym_throw] = ACTIONS(1322),
    [anon_sym_LPAREN] = ACTIONS(1324),
    [anon_sym_BANG] = ACTIONS(1324),
    [sym_this] = ACTIONS(1322),
    [sym_true] = ACTIONS(1322),
    [anon_sym_case] = ACTIONS(1322),
    [anon_sym_get] = ACTIONS(1322),
    [anon_sym_default] = ACTIONS(1322),
    [anon_sym_COMMA] = ACTIONS(1324),
    [anon_sym_PLUS_PLUS] = ACTIONS(1324),
    [anon_sym_SEMI] = ACTIONS(1324),
    [anon_sym_DQUOTE] = ACTIONS(1324),
    [anon_sym_TILDE] = ACTIONS(1324),
    [sym_super] = ACTIONS(1322),
    [anon_sym_LT] = ACTIONS(1324),
    [sym_false] = ACTIONS(1322),
    [anon_sym_catch] = ACTIONS(1322),
    [sym_number] = ACTIONS(1324),
    [anon_sym_yield] = ACTIONS(1322),
    [anon_sym_set] = ACTIONS(1322),
    [anon_sym_async] = ACTIONS(1322),
    [anon_sym_var] = ACTIONS(1322),
    [anon_sym_const] = ACTIONS(1322),
    [anon_sym_RBRACE] = ACTIONS(1324),
    [anon_sym_DASH_DASH] = ACTIONS(1324),
    [anon_sym_try] = ACTIONS(1322),
    [anon_sym_for] = ACTIONS(1322),
    [anon_sym_typeof] = ACTIONS(1322),
    [anon_sym_await] = ACTIONS(1322),
    [sym_null] = ACTIONS(1322),
    [anon_sym_finally] = ACTIONS(1322),
    [anon_sym_function] = ACTIONS(1322),
    [anon_sym_let] = ACTIONS(1322),
    [anon_sym_if] = ACTIONS(1322),
    [anon_sym_with] = ACTIONS(1322),
    [anon_sym_SQUOTE] = ACTIONS(1324),
    [anon_sym_SLASH] = ACTIONS(1322),
    [sym_undefined] = ACTIONS(1322),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(1324),
    [anon_sym_else] = ACTIONS(1322),
    [anon_sym_break] = ACTIONS(1322),
    [anon_sym_debugger] = ACTIONS(1322),
    [anon_sym_while] = ACTIONS(1322),
    [sym_identifier] = ACTIONS(1322),
    [anon_sym_BQUOTE] = ACTIONS(1324),
    [ts_builtin_sym_end] = ACTIONS(1324),
    [anon_sym_new] = ACTIONS(1322),
    [anon_sym_AT] = ACTIONS(1324),
    [anon_sym_PLUS] = ACTIONS(1322),
    [anon_sym_switch] = ACTIONS(1322),
    [anon_sym_export] = ACTIONS(1322),
    [anon_sym_continue] = ACTIONS(1322),
    [anon_sym_void] = ACTIONS(1322),
    [anon_sym_return] = ACTIONS(1322),
    [anon_sym_do] = ACTIONS(1322),
  },
  [293] = {
    [aux_sym_object_repeat1] = STATE(293),
    [anon_sym_COMMA] = ACTIONS(1326),
    [anon_sym_RBRACE] = ACTIONS(1278),
    [sym_comment] = ACTIONS(3),
  },
  [294] = {
    [sym_arrow_function] = STATE(454),
    [sym_call_expression] = STATE(454),
    [sym_subscript_expression] = STATE(1127),
    [sym_assignment_expression] = STATE(454),
    [sym_ternary_expression] = STATE(454),
    [sym_binary_expression] = STATE(454),
    [sym_template_string] = STATE(454),
    [sym__expression] = STATE(454),
    [sym_yield_expression] = STATE(454),
    [sym_jsx_element] = STATE(454),
    [sym_jsx_fragment] = STATE(454),
    [sym_function] = STATE(47),
    [sym_new_expression] = STATE(454),
    [sym_augmented_assignment_expression] = STATE(454),
    [sym_unary_expression] = STATE(454),
    [sym_update_expression] = STATE(454),
    [sym_regex] = STATE(454),
    [sym_meta_property] = STATE(454),
    [sym_object] = STATE(1128),
    [aux_sym_export_statement_repeat1] = STATE(60),
    [sym_class] = STATE(454),
    [sym_generator_function] = STATE(454),
    [sym_await_expression] = STATE(454),
    [sym_member_expression] = STATE(1127),
    [sym_string] = STATE(454),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(1013),
    [sym_parenthesized_expression] = STATE(454),
    [sym_array] = STATE(1130),
    [sym_jsx_opening_element] = STATE(53),
    [sym_jsx_self_closing_element] = STATE(454),
    [anon_sym_await] = ACTIONS(1282),
    [sym_null] = ACTIONS(1329),
    [anon_sym_class] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(1286),
    [anon_sym_function] = ACTIONS(95),
    [anon_sym_DASH] = ACTIONS(1288),
    [anon_sym_LBRACE] = ACTIONS(97),
    [anon_sym_delete] = ACTIONS(1290),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(1292),
    [sym_this] = ACTIONS(1329),
    [sym_undefined] = ACTIONS(1329),
    [sym_true] = ACTIONS(1329),
    [anon_sym_SLASH] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(49),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(1286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1294),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1292),
    [sym_super] = ACTIONS(63),
    [sym_identifier] = ACTIONS(1296),
    [sym_false] = ACTIONS(1329),
    [anon_sym_LT] = ACTIONS(69),
    [sym_number] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(1300),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_set] = ACTIONS(1286),
    [anon_sym_async] = ACTIONS(1302),
    [anon_sym_new] = ACTIONS(1304),
    [anon_sym_PLUS] = ACTIONS(1288),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(1294),
    [anon_sym_void] = ACTIONS(1290),
    [anon_sym_typeof] = ACTIONS(1290),
  },
  [295] = {
    [anon_sym_class] = ACTIONS(1333),
    [anon_sym_static] = ACTIONS(1333),
    [anon_sym_DASH] = ACTIONS(1333),
    [anon_sym_import] = ACTIONS(1333),
    [anon_sym_LBRACE] = ACTIONS(1335),
    [anon_sym_delete] = ACTIONS(1333),
    [anon_sym_throw] = ACTIONS(1333),
    [anon_sym_LPAREN] = ACTIONS(1335),
    [anon_sym_BANG] = ACTIONS(1335),
    [sym_this] = ACTIONS(1333),
    [sym_true] = ACTIONS(1333),
    [anon_sym_case] = ACTIONS(1333),
    [anon_sym_get] = ACTIONS(1333),
    [anon_sym_default] = ACTIONS(1333),
    [anon_sym_PLUS_PLUS] = ACTIONS(1335),
    [anon_sym_SEMI] = ACTIONS(1335),
    [anon_sym_DQUOTE] = ACTIONS(1335),
    [anon_sym_TILDE] = ACTIONS(1335),
    [sym_super] = ACTIONS(1333),
    [anon_sym_LT] = ACTIONS(1335),
    [sym_false] = ACTIONS(1333),
    [sym_number] = ACTIONS(1335),
    [anon_sym_yield] = ACTIONS(1333),
    [anon_sym_set] = ACTIONS(1333),
    [anon_sym_async] = ACTIONS(1333),
    [anon_sym_var] = ACTIONS(1333),
    [anon_sym_const] = ACTIONS(1333),
    [anon_sym_RBRACE] = ACTIONS(1335),
    [anon_sym_DASH_DASH] = ACTIONS(1335),
    [anon_sym_try] = ACTIONS(1333),
    [anon_sym_for] = ACTIONS(1333),
    [anon_sym_typeof] = ACTIONS(1333),
    [anon_sym_await] = ACTIONS(1333),
    [sym_null] = ACTIONS(1333),
    [anon_sym_function] = ACTIONS(1333),
    [anon_sym_let] = ACTIONS(1333),
    [anon_sym_if] = ACTIONS(1333),
    [anon_sym_with] = ACTIONS(1333),
    [anon_sym_SQUOTE] = ACTIONS(1335),
    [anon_sym_SLASH] = ACTIONS(1333),
    [sym_undefined] = ACTIONS(1333),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(1335),
    [anon_sym_else] = ACTIONS(1333),
    [anon_sym_break] = ACTIONS(1333),
    [anon_sym_debugger] = ACTIONS(1333),
    [anon_sym_while] = ACTIONS(1333),
    [sym_identifier] = ACTIONS(1333),
    [anon_sym_BQUOTE] = ACTIONS(1335),
    [ts_builtin_sym_end] = ACTIONS(1335),
    [anon_sym_new] = ACTIONS(1333),
    [anon_sym_AT] = ACTIONS(1335),
    [anon_sym_PLUS] = ACTIONS(1333),
    [anon_sym_switch] = ACTIONS(1333),
    [anon_sym_export] = ACTIONS(1333),
    [anon_sym_continue] = ACTIONS(1333),
    [anon_sym_void] = ACTIONS(1333),
    [anon_sym_return] = ACTIONS(1333),
    [anon_sym_do] = ACTIONS(1333),
  },
  [296] = {
    [anon_sym_class] = ACTIONS(1337),
    [anon_sym_static] = ACTIONS(1337),
    [anon_sym_DASH] = ACTIONS(1337),
    [anon_sym_import] = ACTIONS(1337),
    [anon_sym_LBRACE] = ACTIONS(1339),
    [anon_sym_delete] = ACTIONS(1337),
    [anon_sym_throw] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1339),
    [anon_sym_BANG] = ACTIONS(1339),
    [sym_this] = ACTIONS(1337),
    [sym_true] = ACTIONS(1337),
    [anon_sym_case] = ACTIONS(1337),
    [anon_sym_get] = ACTIONS(1337),
    [anon_sym_default] = ACTIONS(1337),
    [anon_sym_PLUS_PLUS] = ACTIONS(1339),
    [anon_sym_SEMI] = ACTIONS(1339),
    [anon_sym_DQUOTE] = ACTIONS(1339),
    [anon_sym_TILDE] = ACTIONS(1339),
    [sym_super] = ACTIONS(1337),
    [anon_sym_LT] = ACTIONS(1339),
    [sym_false] = ACTIONS(1337),
    [sym_number] = ACTIONS(1339),
    [anon_sym_yield] = ACTIONS(1337),
    [anon_sym_set] = ACTIONS(1337),
    [anon_sym_async] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(1337),
    [anon_sym_const] = ACTIONS(1337),
    [anon_sym_RBRACE] = ACTIONS(1339),
    [anon_sym_DASH_DASH] = ACTIONS(1339),
    [anon_sym_try] = ACTIONS(1337),
    [anon_sym_for] = ACTIONS(1337),
    [anon_sym_typeof] = ACTIONS(1337),
    [anon_sym_await] = ACTIONS(1337),
    [sym_null] = ACTIONS(1337),
    [anon_sym_function] = ACTIONS(1337),
    [anon_sym_let] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1337),
    [anon_sym_with] = ACTIONS(1337),
    [anon_sym_SQUOTE] = ACTIONS(1339),
    [anon_sym_SLASH] = ACTIONS(1337),
    [sym_undefined] = ACTIONS(1337),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(1339),
    [anon_sym_else] = ACTIONS(1337),
    [anon_sym_break] = ACTIONS(1337),
    [anon_sym_debugger] = ACTIONS(1337),
    [anon_sym_while] = ACTIONS(1337),
    [sym_identifier] = ACTIONS(1337),
    [anon_sym_BQUOTE] = ACTIONS(1339),
    [ts_builtin_sym_end] = ACTIONS(1339),
    [anon_sym_new] = ACTIONS(1337),
    [anon_sym_AT] = ACTIONS(1339),
    [anon_sym_PLUS] = ACTIONS(1337),
    [anon_sym_switch] = ACTIONS(1337),
    [anon_sym_export] = ACTIONS(1337),
    [anon_sym_continue] = ACTIONS(1337),
    [anon_sym_void] = ACTIONS(1337),
    [anon_sym_return] = ACTIONS(1337),
    [anon_sym_do] = ACTIONS(1337),
  },
  [297] = {
    [sym_array] = STATE(458),
    [sym_object] = STATE(459),
    [sym_assignment_pattern] = STATE(460),
    [sym_rest_parameter] = STATE(460),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(199),
    [anon_sym_static] = ACTIONS(1341),
    [anon_sym_RPAREN] = ACTIONS(1343),
    [sym_identifier] = ACTIONS(1345),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_set] = ACTIONS(1341),
    [anon_sym_async] = ACTIONS(1341),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_get] = ACTIONS(1341),
  },
  [298] = {
    [anon_sym_LBRACE] = ACTIONS(1347),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(1347),
  },
  [299] = {
    [aux_sym_formal_parameters_repeat1] = STATE(462),
    [anon_sym_RPAREN] = ACTIONS(1343),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(1349),
  },
  [300] = {
    [anon_sym_COMMA] = ACTIONS(1351),
    [anon_sym_RPAREN] = ACTIONS(1351),
    [sym_comment] = ACTIONS(3),
  },
  [301] = {
    [sym_array] = STATE(458),
    [sym_object] = STATE(459),
    [sym_assignment_pattern] = STATE(460),
    [sym_rest_parameter] = STATE(460),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(199),
    [anon_sym_static] = ACTIONS(1341),
    [anon_sym_RPAREN] = ACTIONS(1353),
    [sym_identifier] = ACTIONS(1345),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_set] = ACTIONS(1341),
    [anon_sym_async] = ACTIONS(1341),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_get] = ACTIONS(1341),
  },
  [302] = {
    [anon_sym_LBRACE] = ACTIONS(1355),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(1355),
  },
  [303] = {
    [aux_sym_formal_parameters_repeat1] = STATE(462),
    [anon_sym_RPAREN] = ACTIONS(1353),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(1357),
  },
  [304] = {
    [anon_sym_instanceof] = ACTIONS(1359),
    [anon_sym_GT] = ACTIONS(1361),
    [sym__automatic_semicolon] = ACTIONS(1359),
    [anon_sym_DASH] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1359),
    [anon_sym_STAR_STAR] = ACTIONS(1359),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_AMP_AMP] = ACTIONS(1359),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_in] = ACTIONS(1361),
    [anon_sym_LPAREN] = ACTIONS(1359),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1359),
    [anon_sym_SLASH] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1359),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(1359),
    [anon_sym_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1359),
    [anon_sym_PIPE_PIPE] = ACTIONS(1359),
    [anon_sym_COMMA] = ACTIONS(1359),
    [anon_sym_GT_GT_GT] = ACTIONS(1359),
    [anon_sym_SEMI] = ACTIONS(1359),
    [anon_sym_PLUS_PLUS] = ACTIONS(1359),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_RPAREN] = ACTIONS(1359),
    [anon_sym_LT] = ACTIONS(1361),
    [anon_sym_DOT] = ACTIONS(1359),
    [anon_sym_BQUOTE] = ACTIONS(1359),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_EQ_EQ] = ACTIONS(1361),
    [anon_sym_PERCENT] = ACTIONS(1359),
    [anon_sym_QMARK] = ACTIONS(1359),
    [anon_sym_LT_LT] = ACTIONS(1359),
    [anon_sym_DASH_DASH] = ACTIONS(1359),
    [anon_sym_RBRACE] = ACTIONS(1359),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1359),
  },
  [305] = {
    [anon_sym_LBRACE] = ACTIONS(1363),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(1363),
  },
  [306] = {
    [sym_array] = STATE(458),
    [sym_object] = STATE(459),
    [sym_assignment_pattern] = STATE(460),
    [sym_rest_parameter] = STATE(460),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(199),
    [anon_sym_static] = ACTIONS(1341),
    [anon_sym_RPAREN] = ACTIONS(1365),
    [sym_identifier] = ACTIONS(1345),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_set] = ACTIONS(1341),
    [anon_sym_async] = ACTIONS(1341),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_get] = ACTIONS(1341),
  },
  [307] = {
    [aux_sym_formal_parameters_repeat1] = STATE(462),
    [anon_sym_RPAREN] = ACTIONS(1365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(1367),
  },
  [308] = {
    [anon_sym_LBRACE] = ACTIONS(1369),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(1369),
  },
  [309] = {
    [sym_array] = STATE(458),
    [sym_object] = STATE(459),
    [sym_assignment_pattern] = STATE(460),
    [sym_rest_parameter] = STATE(460),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(199),
    [anon_sym_static] = ACTIONS(1341),
    [anon_sym_RPAREN] = ACTIONS(1371),
    [sym_identifier] = ACTIONS(1345),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_set] = ACTIONS(1341),
    [anon_sym_async] = ACTIONS(1341),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_get] = ACTIONS(1341),
  },
  [310] = {
    [aux_sym_formal_parameters_repeat1] = STATE(462),
    [anon_sym_RPAREN] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(1373),
  },
  [311] = {
    [anon_sym_instanceof] = ACTIONS(1375),
    [anon_sym_GT] = ACTIONS(1377),
    [sym__automatic_semicolon] = ACTIONS(1375),
    [anon_sym_COLON] = ACTIONS(1375),
    [anon_sym_EQ] = ACTIONS(1377),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_STAR_STAR] = ACTIONS(1375),
    [anon_sym_STAR] = ACTIONS(1377),
    [anon_sym_AMP_AMP] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1377),
    [anon_sym_AMP] = ACTIONS(1377),
    [anon_sym_in] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_COMMA] = ACTIONS(1375),
    [anon_sym_GT_GT_GT] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [anon_sym_PLUS_PLUS] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1377),
    [anon_sym_RPAREN] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_DOT] = ACTIONS(1375),
    [anon_sym_BQUOTE] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1377),
    [anon_sym_EQ_EQ] = ACTIONS(1377),
    [anon_sym_PERCENT] = ACTIONS(1375),
    [anon_sym_QMARK] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_DASH_DASH] = ACTIONS(1375),
    [anon_sym_RBRACE] = ACTIONS(1375),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1375),
  },
  [312] = {
    [aux_sym_string_repeat2] = STATE(312),
    [sym_comment] = ACTIONS(237),
    [anon_sym_SQUOTE] = ACTIONS(1379),
    [sym_escape_sequence] = ACTIONS(1381),
    [aux_sym_string_token2] = ACTIONS(1381),
  },
  [313] = {
    [sym_template_string] = STATE(719),
    [sym_arguments] = STATE(719),
    [anon_sym_instanceof] = ACTIONS(696),
    [anon_sym_GT] = ACTIONS(676),
    [anon_sym_DASH] = ACTIONS(698),
    [anon_sym_CARET] = ACTIONS(700),
    [anon_sym_STAR_STAR] = ACTIONS(702),
    [anon_sym_STAR] = ACTIONS(704),
    [anon_sym_AMP] = ACTIONS(708),
    [anon_sym_GT_GT] = ACTIONS(704),
    [anon_sym_AMP_AMP] = ACTIONS(706),
    [anon_sym_in] = ACTIONS(676),
    [anon_sym_LPAREN] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(696),
    [anon_sym_GT_EQ] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(704),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(710),
    [anon_sym_PIPE] = ACTIONS(712),
    [anon_sym_LT_EQ] = ACTIONS(696),
    [anon_sym_PIPE_PIPE] = ACTIONS(700),
    [anon_sym_COMMA] = ACTIONS(1384),
    [anon_sym_GT_GT_GT] = ACTIONS(714),
    [anon_sym_PLUS_PLUS] = ACTIONS(716),
    [anon_sym_BANG_EQ] = ACTIONS(676),
    [anon_sym_RPAREN] = ACTIONS(1384),
    [anon_sym_LT] = ACTIONS(676),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_RBRACK] = ACTIONS(1384),
    [anon_sym_PLUS] = ACTIONS(698),
    [anon_sym_EQ_EQ] = ACTIONS(676),
    [anon_sym_PERCENT] = ACTIONS(714),
    [anon_sym_QMARK] = ACTIONS(722),
    [anon_sym_LT_LT] = ACTIONS(714),
    [anon_sym_DASH_DASH] = ACTIONS(716),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(696),
  },
  [314] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(1384),
    [anon_sym_COMMA] = ACTIONS(1384),
    [anon_sym_RBRACK] = ACTIONS(1384),
  },
  [315] = {
    [anon_sym_instanceof] = ACTIONS(1386),
    [sym__automatic_semicolon] = ACTIONS(1386),
    [anon_sym_DASH] = ACTIONS(1388),
    [anon_sym_STAR_STAR] = ACTIONS(1386),
    [anon_sym_STAR] = ACTIONS(1388),
    [anon_sym_AMP] = ACTIONS(1388),
    [anon_sym_GT_EQ] = ACTIONS(1386),
    [anon_sym_LPAREN] = ACTIONS(1386),
    [anon_sym_LT_EQ] = ACTIONS(1386),
    [anon_sym_COMMA] = ACTIONS(1386),
    [anon_sym_PLUS_PLUS] = ACTIONS(1386),
    [anon_sym_SEMI] = ACTIONS(1386),
    [anon_sym_RPAREN] = ACTIONS(1386),
    [anon_sym_LT] = ACTIONS(1388),
    [anon_sym_EQ_EQ] = ACTIONS(1388),
    [anon_sym_QMARK] = ACTIONS(1386),
    [anon_sym_RBRACE] = ACTIONS(1386),
    [anon_sym_DASH_DASH] = ACTIONS(1386),
    [anon_sym_GT] = ACTIONS(1388),
    [anon_sym_EQ] = ACTIONS(1388),
    [anon_sym_CARET] = ACTIONS(1386),
    [anon_sym_AMP_AMP] = ACTIONS(1386),
    [anon_sym_GT_GT] = ACTIONS(1388),
    [anon_sym_in] = ACTIONS(1388),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1386),
    [anon_sym_of] = ACTIONS(1386),
    [anon_sym_SLASH] = ACTIONS(1388),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(1386),
    [anon_sym_PIPE] = ACTIONS(1388),
    [anon_sym_PIPE_PIPE] = ACTIONS(1386),
    [anon_sym_GT_GT_GT] = ACTIONS(1386),
    [anon_sym_BANG_EQ] = ACTIONS(1388),
    [anon_sym_DOT] = ACTIONS(1386),
    [anon_sym_BQUOTE] = ACTIONS(1386),
    [anon_sym_PLUS] = ACTIONS(1388),
    [anon_sym_PERCENT] = ACTIONS(1386),
    [anon_sym_LT_LT] = ACTIONS(1386),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1386),
  },
  [316] = {
    [aux_sym_array_repeat1] = STATE(317),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(247),
    [anon_sym_RBRACK] = ACTIONS(1390),
  },
  [317] = {
    [aux_sym_array_repeat1] = STATE(317),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(1384),
    [anon_sym_COMMA] = ACTIONS(1392),
    [anon_sym_RBRACK] = ACTIONS(1384),
  },
  [318] = {
    [anon_sym_instanceof] = ACTIONS(1395),
    [anon_sym_GT] = ACTIONS(1395),
    [sym__automatic_semicolon] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1395),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_STAR_STAR] = ACTIONS(1397),
    [anon_sym_STAR] = ACTIONS(1395),
    [anon_sym_AMP_AMP] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1395),
    [anon_sym_AMP] = ACTIONS(1395),
    [anon_sym_in] = ACTIONS(1395),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1395),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [sym_regex_flags] = ACTIONS(1399),
    [anon_sym_PIPE] = ACTIONS(1395),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_COMMA] = ACTIONS(1397),
    [anon_sym_GT_GT_GT] = ACTIONS(1397),
    [anon_sym_SEMI] = ACTIONS(1397),
    [anon_sym_PLUS_PLUS] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1395),
    [anon_sym_RPAREN] = ACTIONS(1397),
    [anon_sym_LT] = ACTIONS(1395),
    [anon_sym_DOT] = ACTIONS(1397),
    [anon_sym_BQUOTE] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1395),
    [anon_sym_EQ_EQ] = ACTIONS(1395),
    [anon_sym_PERCENT] = ACTIONS(1397),
    [anon_sym_QMARK] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_DASH_DASH] = ACTIONS(1397),
    [anon_sym_RBRACE] = ACTIONS(1397),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1397),
  },
  [319] = {
    [anon_sym_class] = ACTIONS(1401),
    [anon_sym_static] = ACTIONS(1401),
    [anon_sym_DASH] = ACTIONS(1401),
    [anon_sym_import] = ACTIONS(1401),
    [anon_sym_LBRACE] = ACTIONS(1403),
    [anon_sym_delete] = ACTIONS(1401),
    [anon_sym_throw] = ACTIONS(1401),
    [anon_sym_LPAREN] = ACTIONS(1403),
    [anon_sym_BANG] = ACTIONS(1403),
    [sym_this] = ACTIONS(1401),
    [sym_true] = ACTIONS(1401),
    [anon_sym_case] = ACTIONS(1401),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_default] = ACTIONS(1401),
    [anon_sym_PLUS_PLUS] = ACTIONS(1403),
    [anon_sym_SEMI] = ACTIONS(1403),
    [anon_sym_DQUOTE] = ACTIONS(1403),
    [anon_sym_TILDE] = ACTIONS(1403),
    [sym_super] = ACTIONS(1401),
    [anon_sym_LT] = ACTIONS(1403),
    [sym_false] = ACTIONS(1401),
    [sym_number] = ACTIONS(1403),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_async] = ACTIONS(1401),
    [anon_sym_var] = ACTIONS(1401),
    [anon_sym_const] = ACTIONS(1401),
    [anon_sym_RBRACE] = ACTIONS(1403),
    [anon_sym_DASH_DASH] = ACTIONS(1403),
    [anon_sym_try] = ACTIONS(1401),
    [anon_sym_for] = ACTIONS(1401),
    [anon_sym_typeof] = ACTIONS(1401),
    [anon_sym_await] = ACTIONS(1401),
    [sym_null] = ACTIONS(1401),
    [anon_sym_function] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_if] = ACTIONS(1401),
    [anon_sym_with] = ACTIONS(1401),
    [anon_sym_SQUOTE] = ACTIONS(1403),
    [anon_sym_SLASH] = ACTIONS(1401),
    [sym_undefined] = ACTIONS(1401),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(1403),
    [anon_sym_else] = ACTIONS(1401),
    [anon_sym_break] = ACTIONS(1401),
    [anon_sym_debugger] = ACTIONS(1401),
    [anon_sym_while] = ACTIONS(1401),
    [sym_identifier] = ACTIONS(1401),
    [anon_sym_BQUOTE] = ACTIONS(1403),
    [ts_builtin_sym_end] = ACTIONS(1403),
    [anon_sym_new] = ACTIONS(1401),
    [anon_sym_AT] = ACTIONS(1403),
    [anon_sym_PLUS] = ACTIONS(1401),
    [anon_sym_switch] = ACTIONS(1401),
    [anon_sym_export] = ACTIONS(1401),
    [anon_sym_continue] = ACTIONS(1401),
    [anon_sym_void] = ACTIONS(1401),
    [anon_sym_return] = ACTIONS(1401),
    [anon_sym_do] = ACTIONS(1401),
  },
  [320] = {
    [anon_sym_class] = ACTIONS(1405),
    [anon_sym_static] = ACTIONS(1405),
    [anon_sym_DASH] = ACTIONS(1405),
    [anon_sym_import] = ACTIONS(1405),
    [anon_sym_LBRACE] = ACTIONS(1407),
    [anon_sym_delete] = ACTIONS(1405),
    [anon_sym_throw] = ACTIONS(1405),
    [anon_sym_LPAREN] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(1407),
    [sym_this] = ACTIONS(1405),
    [sym_true] = ACTIONS(1405),
    [anon_sym_case] = ACTIONS(1405),
    [anon_sym_get] = ACTIONS(1405),
    [anon_sym_default] = ACTIONS(1405),
    [anon_sym_PLUS_PLUS] = ACTIONS(1407),
    [anon_sym_SEMI] = ACTIONS(1407),
    [anon_sym_DQUOTE] = ACTIONS(1407),
    [anon_sym_TILDE] = ACTIONS(1407),
    [sym_super] = ACTIONS(1405),
    [anon_sym_LT] = ACTIONS(1407),
    [sym_false] = ACTIONS(1405),
    [sym_number] = ACTIONS(1407),
    [anon_sym_yield] = ACTIONS(1405),
    [anon_sym_set] = ACTIONS(1405),
    [anon_sym_async] = ACTIONS(1405),
    [anon_sym_var] = ACTIONS(1405),
    [anon_sym_const] = ACTIONS(1405),
    [anon_sym_RBRACE] = ACTIONS(1407),
    [anon_sym_DASH_DASH] = ACTIONS(1407),
    [anon_sym_try] = ACTIONS(1405),
    [anon_sym_for] = ACTIONS(1405),
    [anon_sym_typeof] = ACTIONS(1405),
    [anon_sym_await] = ACTIONS(1405),
    [sym_null] = ACTIONS(1405),
    [anon_sym_function] = ACTIONS(1405),
    [anon_sym_let] = ACTIONS(1405),
    [anon_sym_if] = ACTIONS(1405),
    [anon_sym_with] = ACTIONS(1405),
    [anon_sym_SQUOTE] = ACTIONS(1407),
    [anon_sym_SLASH] = ACTIONS(1405),
    [sym_undefined] = ACTIONS(1405),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(1407),
    [anon_sym_else] = ACTIONS(1405),
    [anon_sym_break] = ACTIONS(1405),
    [anon_sym_debugger] = ACTIONS(1405),
    [anon_sym_while] = ACTIONS(1405),
    [sym_identifier] = ACTIONS(1405),
    [anon_sym_BQUOTE] = ACTIONS(1407),
    [ts_builtin_sym_end] = ACTIONS(1407),
    [anon_sym_new] = ACTIONS(1405),
    [anon_sym_AT] = ACTIONS(1407),
    [anon_sym_PLUS] = ACTIONS(1405),
    [anon_sym_switch] = ACTIONS(1405),
    [anon_sym_export] = ACTIONS(1405),
    [anon_sym_continue] = ACTIONS(1405),
    [anon_sym_void] = ACTIONS(1405),
    [anon_sym_return] = ACTIONS(1405),
    [anon_sym_do] = ACTIONS(1405),
  },
  [321] = {
    [sym_template_string] = STATE(719),
    [sym_arguments] = STATE(719),
    [anon_sym_instanceof] = ACTIONS(696),
    [anon_sym_GT] = ACTIONS(676),
    [anon_sym_DASH] = ACTIONS(698),
    [anon_sym_CARET] = ACTIONS(700),
    [anon_sym_STAR_STAR] = ACTIONS(702),
    [anon_sym_STAR] = ACTIONS(704),
    [anon_sym_AMP_AMP] = ACTIONS(706),
    [anon_sym_GT_GT] = ACTIONS(704),
    [anon_sym_AMP] = ACTIONS(708),
    [anon_sym_in] = ACTIONS(676),
    [anon_sym_LPAREN] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(696),
    [anon_sym_GT_EQ] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(704),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(710),
    [anon_sym_PIPE] = ACTIONS(712),
    [anon_sym_LT_EQ] = ACTIONS(696),
    [anon_sym_PIPE_PIPE] = ACTIONS(700),
    [anon_sym_GT_GT_GT] = ACTIONS(714),
    [anon_sym_PLUS_PLUS] = ACTIONS(716),
    [anon_sym_COMMA] = ACTIONS(718),
    [anon_sym_BANG_EQ] = ACTIONS(676),
    [anon_sym_LT] = ACTIONS(676),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_RBRACK] = ACTIONS(1409),
    [anon_sym_PLUS] = ACTIONS(698),
    [anon_sym_EQ_EQ] = ACTIONS(676),
    [anon_sym_PERCENT] = ACTIONS(714),
    [anon_sym_QMARK] = ACTIONS(722),
    [anon_sym_LT_LT] = ACTIONS(714),
    [anon_sym_DASH_DASH] = ACTIONS(716),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(696),
  },
  [322] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(1409),
  },
  [323] = {
    [anon_sym_instanceof] = ACTIONS(1411),
    [anon_sym_GT] = ACTIONS(1413),
    [sym__automatic_semicolon] = ACTIONS(1411),
    [anon_sym_DASH] = ACTIONS(1413),
    [anon_sym_CARET] = ACTIONS(1411),
    [anon_sym_STAR_STAR] = ACTIONS(1411),
    [anon_sym_STAR] = ACTIONS(1413),
    [anon_sym_AMP_AMP] = ACTIONS(1411),
    [anon_sym_GT_GT] = ACTIONS(1413),
    [anon_sym_AMP] = ACTIONS(1413),
    [anon_sym_in] = ACTIONS(1413),
    [anon_sym_LPAREN] = ACTIONS(1411),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1411),
    [anon_sym_SLASH] = ACTIONS(1413),
    [anon_sym_GT_EQ] = ACTIONS(1411),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(1411),
    [anon_sym_PIPE] = ACTIONS(1413),
    [anon_sym_LT_EQ] = ACTIONS(1411),
    [anon_sym_PIPE_PIPE] = ACTIONS(1411),
    [anon_sym_COMMA] = ACTIONS(1411),
    [anon_sym_GT_GT_GT] = ACTIONS(1411),
    [anon_sym_SEMI] = ACTIONS(1411),
    [anon_sym_PLUS_PLUS] = ACTIONS(1411),
    [anon_sym_BANG_EQ] = ACTIONS(1413),
    [anon_sym_RPAREN] = ACTIONS(1411),
    [anon_sym_LT] = ACTIONS(1413),
    [anon_sym_DOT] = ACTIONS(1411),
    [anon_sym_BQUOTE] = ACTIONS(1411),
    [anon_sym_PLUS] = ACTIONS(1413),
    [anon_sym_EQ_EQ] = ACTIONS(1413),
    [anon_sym_PERCENT] = ACTIONS(1411),
    [anon_sym_QMARK] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1411),
    [anon_sym_DASH_DASH] = ACTIONS(1411),
    [anon_sym_RBRACE] = ACTIONS(1411),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1411),
  },
  [324] = {
    [sym_arguments] = STATE(719),
    [aux_sym_array_repeat1] = STATE(473),
    [sym_template_string] = STATE(719),
    [anon_sym_instanceof] = ACTIONS(696),
    [anon_sym_GT] = ACTIONS(676),
    [anon_sym_DASH] = ACTIONS(698),
    [anon_sym_CARET] = ACTIONS(700),
    [anon_sym_STAR_STAR] = ACTIONS(702),
    [anon_sym_STAR] = ACTIONS(704),
    [anon_sym_AMP_AMP] = ACTIONS(706),
    [anon_sym_GT_GT] = ACTIONS(704),
    [anon_sym_AMP] = ACTIONS(708),
    [anon_sym_in] = ACTIONS(676),
    [anon_sym_LPAREN] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(696),
    [anon_sym_GT_EQ] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(704),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(710),
    [anon_sym_PIPE] = ACTIONS(712),
    [anon_sym_LT_EQ] = ACTIONS(696),
    [anon_sym_PIPE_PIPE] = ACTIONS(700),
    [anon_sym_COMMA] = ACTIONS(247),
    [anon_sym_GT_GT_GT] = ACTIONS(714),
    [anon_sym_PLUS_PLUS] = ACTIONS(716),
    [anon_sym_BANG_EQ] = ACTIONS(676),
    [anon_sym_RPAREN] = ACTIONS(1415),
    [anon_sym_LT] = ACTIONS(676),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_PLUS] = ACTIONS(698),
    [anon_sym_EQ_EQ] = ACTIONS(676),
    [anon_sym_PERCENT] = ACTIONS(714),
    [anon_sym_QMARK] = ACTIONS(722),
    [anon_sym_LT_LT] = ACTIONS(714),
    [anon_sym_DASH_DASH] = ACTIONS(716),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(696),
  },
  [325] = {
    [aux_sym_array_repeat1] = STATE(317),
    [anon_sym_RPAREN] = ACTIONS(1415),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(247),
  },
  [326] = {
    [aux_sym_array_repeat1] = STATE(473),
    [anon_sym_RPAREN] = ACTIONS(1415),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(247),
  },
  [327] = {
    [anon_sym_instanceof] = ACTIONS(1417),
    [sym__automatic_semicolon] = ACTIONS(1417),
    [anon_sym_AMP_EQ] = ACTIONS(1417),
    [anon_sym_GT_GT_EQ] = ACTIONS(1417),
    [anon_sym_STAR_EQ] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR_STAR] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_AMP] = ACTIONS(1419),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [anon_sym_PIPE_EQ] = ACTIONS(1417),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1417),
    [anon_sym_SLASH_EQ] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [anon_sym_PLUS_PLUS] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1417),
    [anon_sym_RPAREN] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_LT_LT_EQ] = ACTIONS(1417),
    [anon_sym_EQ_EQ] = ACTIONS(1419),
    [anon_sym_QMARK] = ACTIONS(1417),
    [anon_sym_RBRACE] = ACTIONS(1417),
    [anon_sym_DASH_DASH] = ACTIONS(1417),
    [anon_sym_GT] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1419),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1419),
    [anon_sym_AMP_AMP] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1419),
    [anon_sym_in] = ACTIONS(1419),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [anon_sym_PERCENT_EQ] = ACTIONS(1417),
    [anon_sym_PLUS_EQ] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_GT_GT_GT] = ACTIONS(1419),
    [anon_sym_BANG_EQ] = ACTIONS(1419),
    [anon_sym_DOT] = ACTIONS(1417),
    [anon_sym_BQUOTE] = ACTIONS(1417),
    [anon_sym_CARET_EQ] = ACTIONS(1417),
    [anon_sym_DASH_EQ] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1419),
    [anon_sym_PERCENT] = ACTIONS(1419),
    [anon_sym_LT_LT] = ACTIONS(1419),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1417),
  },
  [328] = {
    [sym_template_string] = STATE(141),
    [sym_arguments] = STATE(141),
    [anon_sym_instanceof] = ACTIONS(392),
    [anon_sym_GT] = ACTIONS(287),
    [sym__automatic_semicolon] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_CARET] = ACTIONS(396),
    [anon_sym_STAR_STAR] = ACTIONS(398),
    [anon_sym_STAR] = ACTIONS(400),
    [anon_sym_AMP_AMP] = ACTIONS(402),
    [anon_sym_GT_GT] = ACTIONS(400),
    [anon_sym_AMP] = ACTIONS(404),
    [anon_sym_in] = ACTIONS(287),
    [anon_sym_LPAREN] = ACTIONS(271),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(392),
    [anon_sym_SLASH] = ACTIONS(400),
    [anon_sym_GT_EQ] = ACTIONS(392),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(273),
    [anon_sym_PIPE] = ACTIONS(406),
    [anon_sym_LT_EQ] = ACTIONS(392),
    [anon_sym_PIPE_PIPE] = ACTIONS(396),
    [anon_sym_COMMA] = ACTIONS(1421),
    [anon_sym_GT_GT_GT] = ACTIONS(408),
    [anon_sym_SEMI] = ACTIONS(1421),
    [anon_sym_PLUS_PLUS] = ACTIONS(410),
    [anon_sym_BANG_EQ] = ACTIONS(287),
    [anon_sym_RPAREN] = ACTIONS(1421),
    [anon_sym_LT] = ACTIONS(287),
    [anon_sym_DOT] = ACTIONS(275),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_EQ_EQ] = ACTIONS(287),
    [anon_sym_PERCENT] = ACTIONS(408),
    [anon_sym_QMARK] = ACTIONS(414),
    [anon_sym_LT_LT] = ACTIONS(408),
    [anon_sym_DASH_DASH] = ACTIONS(410),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(392),
  },
  [329] = {
    [anon_sym_class] = ACTIONS(1423),
    [anon_sym_static] = ACTIONS(1423),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_import] = ACTIONS(1423),
    [anon_sym_LBRACE] = ACTIONS(1425),
    [anon_sym_delete] = ACTIONS(1423),
    [anon_sym_throw] = ACTIONS(1423),
    [anon_sym_LPAREN] = ACTIONS(1425),
    [anon_sym_BANG] = ACTIONS(1425),
    [sym_this] = ACTIONS(1423),
    [sym_true] = ACTIONS(1423),
    [anon_sym_case] = ACTIONS(1423),
    [anon_sym_get] = ACTIONS(1423),
    [anon_sym_default] = ACTIONS(1423),
    [anon_sym_PLUS_PLUS] = ACTIONS(1425),
    [anon_sym_SEMI] = ACTIONS(1425),
    [anon_sym_DQUOTE] = ACTIONS(1425),
    [anon_sym_TILDE] = ACTIONS(1425),
    [sym_super] = ACTIONS(1423),
    [anon_sym_LT] = ACTIONS(1425),
    [sym_false] = ACTIONS(1423),
    [sym_number] = ACTIONS(1425),
    [anon_sym_yield] = ACTIONS(1423),
    [anon_sym_set] = ACTIONS(1423),
    [anon_sym_async] = ACTIONS(1423),
    [anon_sym_var] = ACTIONS(1423),
    [anon_sym_const] = ACTIONS(1423),
    [anon_sym_RBRACE] = ACTIONS(1425),
    [anon_sym_DASH_DASH] = ACTIONS(1425),
    [anon_sym_try] = ACTIONS(1423),
    [anon_sym_for] = ACTIONS(1423),
    [anon_sym_typeof] = ACTIONS(1423),
    [anon_sym_await] = ACTIONS(1423),
    [sym_null] = ACTIONS(1423),
    [anon_sym_function] = ACTIONS(1423),
    [anon_sym_let] = ACTIONS(1423),
    [anon_sym_if] = ACTIONS(1423),
    [anon_sym_with] = ACTIONS(1423),
    [anon_sym_SQUOTE] = ACTIONS(1425),
    [anon_sym_SLASH] = ACTIONS(1423),
    [sym_undefined] = ACTIONS(1423),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(1425),
    [anon_sym_else] = ACTIONS(1423),
    [anon_sym_break] = ACTIONS(1423),
    [anon_sym_debugger] = ACTIONS(1423),
    [anon_sym_while] = ACTIONS(1423),
    [sym_identifier] = ACTIONS(1423),
    [anon_sym_BQUOTE] = ACTIONS(1425),
    [ts_builtin_sym_end] = ACTIONS(1425),
    [anon_sym_new] = ACTIONS(1423),
    [anon_sym_AT] = ACTIONS(1425),
    [anon_sym_PLUS] = ACTIONS(1423),
    [anon_sym_switch] = ACTIONS(1423),
    [anon_sym_export] = ACTIONS(1423),
    [anon_sym_continue] = ACTIONS(1423),
    [anon_sym_void] = ACTIONS(1423),
    [anon_sym_return] = ACTIONS(1423),
    [anon_sym_do] = ACTIONS(1423),
  },
  [330] = {
    [sym_template_string] = STATE(141),
    [sym_arguments] = STATE(141),
    [anon_sym_instanceof] = ACTIONS(392),
    [anon_sym_GT] = ACTIONS(287),
    [sym__automatic_semicolon] = ACTIONS(1427),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_CARET] = ACTIONS(396),
    [anon_sym_STAR_STAR] = ACTIONS(398),
    [anon_sym_STAR] = ACTIONS(400),
    [anon_sym_AMP_AMP] = ACTIONS(402),
    [anon_sym_GT_GT] = ACTIONS(400),
    [anon_sym_AMP] = ACTIONS(404),
    [anon_sym_in] = ACTIONS(287),
    [anon_sym_LPAREN] = ACTIONS(271),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(392),
    [anon_sym_SLASH] = ACTIONS(400),
    [anon_sym_GT_EQ] = ACTIONS(392),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(273),
    [anon_sym_PIPE] = ACTIONS(406),
    [anon_sym_LT_EQ] = ACTIONS(392),
    [anon_sym_PIPE_PIPE] = ACTIONS(396),
    [anon_sym_COMMA] = ACTIONS(1427),
    [anon_sym_GT_GT_GT] = ACTIONS(408),
    [anon_sym_SEMI] = ACTIONS(1427),
    [anon_sym_PLUS_PLUS] = ACTIONS(410),
    [anon_sym_BANG_EQ] = ACTIONS(287),
    [anon_sym_RPAREN] = ACTIONS(1427),
    [anon_sym_LT] = ACTIONS(287),
    [anon_sym_DOT] = ACTIONS(275),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_EQ_EQ] = ACTIONS(287),
    [anon_sym_PERCENT] = ACTIONS(408),
    [anon_sym_QMARK] = ACTIONS(414),
    [anon_sym_LT_LT] = ACTIONS(408),
    [anon_sym_DASH_DASH] = ACTIONS(410),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(392),
  },
  [331] = {
    [sym_template_string] = STATE(141),
    [sym_arguments] = STATE(141),
    [anon_sym_instanceof] = ACTIONS(1429),
    [anon_sym_GT] = ACTIONS(1431),
    [sym__automatic_semicolon] = ACTIONS(1429),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_CARET] = ACTIONS(1429),
    [anon_sym_STAR_STAR] = ACTIONS(398),
    [anon_sym_STAR] = ACTIONS(400),
    [anon_sym_AMP_AMP] = ACTIONS(1429),
    [anon_sym_GT_GT] = ACTIONS(400),
    [anon_sym_AMP] = ACTIONS(1431),
    [anon_sym_in] = ACTIONS(1431),
    [anon_sym_LPAREN] = ACTIONS(271),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1429),
    [anon_sym_SLASH] = ACTIONS(400),
    [anon_sym_GT_EQ] = ACTIONS(1429),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(273),
    [anon_sym_PIPE] = ACTIONS(1431),
    [anon_sym_LT_EQ] = ACTIONS(1429),
    [anon_sym_PIPE_PIPE] = ACTIONS(1429),
    [anon_sym_COMMA] = ACTIONS(1429),
    [anon_sym_GT_GT_GT] = ACTIONS(408),
    [anon_sym_SEMI] = ACTIONS(1429),
    [anon_sym_PLUS_PLUS] = ACTIONS(410),
    [anon_sym_BANG_EQ] = ACTIONS(1431),
    [anon_sym_RPAREN] = ACTIONS(1429),
    [anon_sym_LT] = ACTIONS(1431),
    [anon_sym_DOT] = ACTIONS(275),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_EQ_EQ] = ACTIONS(1431),
    [anon_sym_PERCENT] = ACTIONS(408),
    [anon_sym_QMARK] = ACTIONS(1429),
    [anon_sym_LT_LT] = ACTIONS(408),
    [anon_sym_DASH_DASH] = ACTIONS(410),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1429),
  },
  [332] = {
    [anon_sym_instanceof] = ACTIONS(1433),
    [anon_sym_GT] = ACTIONS(1435),
    [sym__automatic_semicolon] = ACTIONS(1433),
    [anon_sym_DASH] = ACTIONS(1435),
    [anon_sym_CARET] = ACTIONS(1433),
    [anon_sym_STAR_STAR] = ACTIONS(1433),
    [anon_sym_STAR] = ACTIONS(1435),
    [anon_sym_AMP_AMP] = ACTIONS(1433),
    [anon_sym_GT_GT] = ACTIONS(1435),
    [anon_sym_AMP] = ACTIONS(1435),
    [anon_sym_in] = ACTIONS(1435),
    [anon_sym_LPAREN] = ACTIONS(1433),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1433),
    [anon_sym_SLASH] = ACTIONS(1435),
    [anon_sym_GT_EQ] = ACTIONS(1433),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(1433),
    [anon_sym_PIPE] = ACTIONS(1435),
    [anon_sym_LT_EQ] = ACTIONS(1433),
    [anon_sym_PIPE_PIPE] = ACTIONS(1433),
    [anon_sym_COMMA] = ACTIONS(1433),
    [anon_sym_GT_GT_GT] = ACTIONS(1433),
    [anon_sym_SEMI] = ACTIONS(1433),
    [anon_sym_PLUS_PLUS] = ACTIONS(1433),
    [anon_sym_BANG_EQ] = ACTIONS(1435),
    [anon_sym_RPAREN] = ACTIONS(1433),
    [anon_sym_LT] = ACTIONS(1435),
    [anon_sym_DOT] = ACTIONS(1433),
    [anon_sym_BQUOTE] = ACTIONS(1433),
    [anon_sym_PLUS] = ACTIONS(1435),
    [anon_sym_EQ_EQ] = ACTIONS(1435),
    [anon_sym_PERCENT] = ACTIONS(1433),
    [anon_sym_QMARK] = ACTIONS(1433),
    [anon_sym_LT_LT] = ACTIONS(1433),
    [anon_sym_DASH_DASH] = ACTIONS(1433),
    [anon_sym_RBRACE] = ACTIONS(1433),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1433),
  },
  [333] = {
    [sym_template_string] = STATE(141),
    [sym_arguments] = STATE(141),
    [anon_sym_instanceof] = ACTIONS(392),
    [anon_sym_GT] = ACTIONS(287),
    [sym__automatic_semicolon] = ACTIONS(1433),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_CARET] = ACTIONS(396),
    [anon_sym_STAR_STAR] = ACTIONS(398),
    [anon_sym_STAR] = ACTIONS(400),
    [anon_sym_AMP_AMP] = ACTIONS(402),
    [anon_sym_GT_GT] = ACTIONS(400),
    [anon_sym_AMP] = ACTIONS(404),
    [anon_sym_in] = ACTIONS(287),
    [anon_sym_LPAREN] = ACTIONS(271),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(392),
    [anon_sym_SLASH] = ACTIONS(400),
    [anon_sym_GT_EQ] = ACTIONS(392),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(273),
    [anon_sym_PIPE] = ACTIONS(406),
    [anon_sym_LT_EQ] = ACTIONS(392),
    [anon_sym_PIPE_PIPE] = ACTIONS(396),
    [anon_sym_COMMA] = ACTIONS(1433),
    [anon_sym_GT_GT_GT] = ACTIONS(408),
    [anon_sym_SEMI] = ACTIONS(1433),
    [anon_sym_PLUS_PLUS] = ACTIONS(410),
    [anon_sym_BANG_EQ] = ACTIONS(287),
    [anon_sym_RPAREN] = ACTIONS(1433),
    [anon_sym_LT] = ACTIONS(287),
    [anon_sym_DOT] = ACTIONS(275),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_EQ_EQ] = ACTIONS(287),
    [anon_sym_PERCENT] = ACTIONS(408),
    [anon_sym_QMARK] = ACTIONS(414),
    [anon_sym_LT_LT] = ACTIONS(408),
    [anon_sym_DASH_DASH] = ACTIONS(410),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(392),
  },
  [334] = {
    [anon_sym_LBRACE] = ACTIONS(1437),
    [anon_sym_GT] = ACTIONS(1437),
    [anon_sym_COLON] = ACTIONS(812),
    [anon_sym_EQ] = ACTIONS(1439),
    [anon_sym_SLASH] = ACTIONS(1441),
    [sym_jsx_identifier] = ACTIONS(1437),
    [sym_comment] = ACTIONS(3),
    [sym_identifier] = ACTIONS(1441),
  },
  [335] = {
    [anon_sym_LBRACE] = ACTIONS(1443),
    [sym_comment] = ACTIONS(237),
    [sym_jsx_text] = ACTIONS(1443),
    [anon_sym_LT] = ACTIONS(1443),
  },
  [336] = {
    [sym_identifier] = ACTIONS(1445),
    [sym_comment] = ACTIONS(3),
  },
  [337] = {
    [sym_jsx_identifier] = ACTIONS(1447),
    [sym_comment] = ACTIONS(3),
    [sym_identifier] = ACTIONS(1449),
  },
  [338] = {
    [anon_sym_GT] = ACTIONS(1451),
    [sym_comment] = ACTIONS(3),
  },
  [339] = {
    [anon_sym_LBRACE] = ACTIONS(1453),
    [anon_sym_GT] = ACTIONS(1453),
    [sym_jsx_identifier] = ACTIONS(1453),
    [sym_comment] = ACTIONS(3),
    [sym_identifier] = ACTIONS(1455),
    [anon_sym_EQ] = ACTIONS(1457),
    [anon_sym_SLASH] = ACTIONS(1455),
  },
  [340] = {
    [anon_sym_LBRACE] = ACTIONS(1459),
    [anon_sym_GT] = ACTIONS(1459),
    [sym_jsx_identifier] = ACTIONS(1459),
    [sym_comment] = ACTIONS(3),
    [sym_identifier] = ACTIONS(1461),
    [anon_sym_SLASH] = ACTIONS(1461),
  },
  [341] = {
    [sym_jsx_namespace_name] = STATE(339),
    [sym_jsx_attribute] = STATE(340),
    [sym_jsx_expression] = STATE(340),
    [aux_sym_jsx_opening_element_repeat1] = STATE(481),
    [anon_sym_LBRACE] = ACTIONS(808),
    [anon_sym_GT] = ACTIONS(1463),
    [anon_sym_SLASH] = ACTIONS(1465),
    [sym_jsx_identifier] = ACTIONS(816),
    [sym_comment] = ACTIONS(3),
    [sym_identifier] = ACTIONS(818),
  },
  [342] = {
    [sym_nested_identifier] = STATE(1101),
    [sym_jsx_namespace_name] = STATE(1102),
    [sym_jsx_identifier] = ACTIONS(1106),
    [sym_comment] = ACTIONS(3),
    [sym_identifier] = ACTIONS(1108),
    [anon_sym_SLASH] = ACTIONS(1467),
  },
  [343] = {
    [sym_jsx_expression] = STATE(404),
    [aux_sym_jsx_element_repeat1] = STATE(404),
    [sym_jsx_opening_element] = STATE(967),
    [sym_jsx_self_closing_element] = STATE(404),
    [sym_jsx_element] = STATE(404),
    [anon_sym_LBRACE] = ACTIONS(426),
    [sym_comment] = ACTIONS(237),
    [sym_jsx_text] = ACTIONS(1116),
    [anon_sym_LT] = ACTIONS(1469),
  },
  [344] = {
    [aux_sym_string_repeat1] = STATE(344),
    [anon_sym_DQUOTE] = ACTIONS(1471),
    [sym_comment] = ACTIONS(237),
    [sym_escape_sequence] = ACTIONS(1473),
    [aux_sym_string_token1] = ACTIONS(1473),
  },
  [345] = {
    [sym_formal_parameters] = STATE(484),
    [anon_sym_LPAREN] = ACTIONS(139),
    [sym_comment] = ACTIONS(3),
  },
  [346] = {
    [sym_statement_block] = STATE(485),
    [anon_sym_LBRACE] = ACTIONS(532),
    [sym_comment] = ACTIONS(3),
  },
  [347] = {
    [sym_arrow_function] = STATE(487),
    [sym_call_expression] = STATE(487),
    [sym_subscript_expression] = STATE(42),
    [sym_assignment_expression] = STATE(487),
    [sym_ternary_expression] = STATE(487),
    [sym_binary_expression] = STATE(487),
    [sym_template_string] = STATE(487),
    [sym_statement_block] = STATE(486),
    [sym__expression] = STATE(487),
    [sym_yield_expression] = STATE(487),
    [sym_jsx_element] = STATE(487),
    [sym_jsx_fragment] = STATE(487),
    [sym_function] = STATE(47),
    [sym_new_expression] = STATE(487),
    [sym_augmented_assignment_expression] = STATE(487),
    [sym_unary_expression] = STATE(487),
    [sym_update_expression] = STATE(487),
    [sym_regex] = STATE(487),
    [sym_meta_property] = STATE(487),
    [sym_object] = STATE(43),
    [aux_sym_export_statement_repeat1] = STATE(60),
    [sym_class] = STATE(487),
    [sym_generator_function] = STATE(487),
    [sym_await_expression] = STATE(487),
    [sym_member_expression] = STATE(42),
    [sym_string] = STATE(487),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(51),
    [sym_parenthesized_expression] = STATE(487),
    [sym_array] = STATE(52),
    [sym_jsx_opening_element] = STATE(53),
    [sym_jsx_self_closing_element] = STATE(487),
    [anon_sym_await] = ACTIONS(5),
    [sym_null] = ACTIONS(1476),
    [anon_sym_class] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_function] = ACTIONS(95),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(804),
    [anon_sym_delete] = ACTIONS(39),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(1476),
    [sym_undefined] = ACTIONS(1476),
    [sym_true] = ACTIONS(1476),
    [anon_sym_SLASH] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(49),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(63),
    [sym_identifier] = ACTIONS(99),
    [sym_false] = ACTIONS(1476),
    [anon_sym_LT] = ACTIONS(69),
    [sym_number] = ACTIONS(1478),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_set] = ACTIONS(23),
    [anon_sym_async] = ACTIONS(103),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_void] = ACTIONS(39),
    [anon_sym_typeof] = ACTIONS(39),
  },
  [348] = {
    [sym_arrow_function] = STATE(489),
    [sym_call_expression] = STATE(489),
    [sym_subscript_expression] = STATE(42),
    [sym_assignment_expression] = STATE(489),
    [sym_ternary_expression] = STATE(489),
    [sym_binary_expression] = STATE(489),
    [sym_template_string] = STATE(489),
    [sym_statement_block] = STATE(488),
    [sym__expression] = STATE(489),
    [sym_yield_expression] = STATE(489),
    [sym_jsx_element] = STATE(489),
    [sym_jsx_fragment] = STATE(489),
    [sym_function] = STATE(47),
    [sym_new_expression] = STATE(489),
    [sym_augmented_assignment_expression] = STATE(489),
    [sym_unary_expression] = STATE(489),
    [sym_update_expression] = STATE(489),
    [sym_regex] = STATE(489),
    [sym_meta_property] = STATE(489),
    [sym_object] = STATE(43),
    [aux_sym_export_statement_repeat1] = STATE(60),
    [sym_class] = STATE(489),
    [sym_generator_function] = STATE(489),
    [sym_await_expression] = STATE(489),
    [sym_member_expression] = STATE(42),
    [sym_string] = STATE(489),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(51),
    [sym_parenthesized_expression] = STATE(489),
    [sym_array] = STATE(52),
    [sym_jsx_opening_element] = STATE(53),
    [sym_jsx_self_closing_element] = STATE(489),
    [anon_sym_await] = ACTIONS(5),
    [sym_null] = ACTIONS(1480),
    [anon_sym_class] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_function] = ACTIONS(95),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(804),
    [anon_sym_delete] = ACTIONS(39),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(1480),
    [sym_undefined] = ACTIONS(1480),
    [sym_true] = ACTIONS(1480),
    [anon_sym_SLASH] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(49),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(63),
    [sym_identifier] = ACTIONS(99),
    [sym_false] = ACTIONS(1480),
    [anon_sym_LT] = ACTIONS(69),
    [sym_number] = ACTIONS(1482),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_set] = ACTIONS(23),
    [anon_sym_async] = ACTIONS(103),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_void] = ACTIONS(39),
    [anon_sym_typeof] = ACTIONS(39),
  },
  [349] = {
    [anon_sym_instanceof] = ACTIONS(1484),
    [anon_sym_GT] = ACTIONS(1486),
    [sym__automatic_semicolon] = ACTIONS(1484),
    [anon_sym_DASH] = ACTIONS(1486),
    [anon_sym_CARET] = ACTIONS(1484),
    [anon_sym_STAR_STAR] = ACTIONS(1484),
    [anon_sym_STAR] = ACTIONS(1486),
    [anon_sym_AMP_AMP] = ACTIONS(1484),
    [anon_sym_GT_GT] = ACTIONS(1486),
    [anon_sym_AMP] = ACTIONS(1486),
    [anon_sym_in] = ACTIONS(1486),
    [anon_sym_LPAREN] = ACTIONS(1484),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1484),
    [anon_sym_SLASH] = ACTIONS(1486),
    [anon_sym_GT_EQ] = ACTIONS(1484),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [anon_sym_PIPE] = ACTIONS(1486),
    [anon_sym_LT_EQ] = ACTIONS(1484),
    [anon_sym_PIPE_PIPE] = ACTIONS(1484),
    [anon_sym_COMMA] = ACTIONS(1484),
    [anon_sym_GT_GT_GT] = ACTIONS(1484),
    [anon_sym_SEMI] = ACTIONS(1484),
    [anon_sym_PLUS_PLUS] = ACTIONS(1484),
    [anon_sym_BANG_EQ] = ACTIONS(1486),
    [anon_sym_RPAREN] = ACTIONS(1484),
    [anon_sym_LT] = ACTIONS(1486),
    [anon_sym_DOT] = ACTIONS(1484),
    [anon_sym_BQUOTE] = ACTIONS(1484),
    [anon_sym_PLUS] = ACTIONS(1486),
    [anon_sym_EQ_EQ] = ACTIONS(1486),
    [anon_sym_PERCENT] = ACTIONS(1484),
    [anon_sym_QMARK] = ACTIONS(1484),
    [anon_sym_LT_LT] = ACTIONS(1484),
    [anon_sym_DASH_DASH] = ACTIONS(1484),
    [anon_sym_RBRACE] = ACTIONS(1484),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1484),
  },
  [350] = {
    [anon_sym_instanceof] = ACTIONS(1488),
    [anon_sym_GT] = ACTIONS(1490),
    [sym__automatic_semicolon] = ACTIONS(1488),
    [anon_sym_DASH] = ACTIONS(1490),
    [anon_sym_CARET] = ACTIONS(1488),
    [anon_sym_STAR_STAR] = ACTIONS(1488),
    [anon_sym_STAR] = ACTIONS(1490),
    [anon_sym_AMP_AMP] = ACTIONS(1488),
    [anon_sym_GT_GT] = ACTIONS(1490),
    [anon_sym_AMP] = ACTIONS(1490),
    [anon_sym_in] = ACTIONS(1490),
    [anon_sym_LPAREN] = ACTIONS(1488),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1488),
    [anon_sym_SLASH] = ACTIONS(1490),
    [anon_sym_GT_EQ] = ACTIONS(1488),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(1488),
    [anon_sym_PIPE] = ACTIONS(1490),
    [anon_sym_LT_EQ] = ACTIONS(1488),
    [anon_sym_PIPE_PIPE] = ACTIONS(1488),
    [anon_sym_COMMA] = ACTIONS(1488),
    [anon_sym_GT_GT_GT] = ACTIONS(1488),
    [anon_sym_SEMI] = ACTIONS(1488),
    [anon_sym_PLUS_PLUS] = ACTIONS(1488),
    [anon_sym_BANG_EQ] = ACTIONS(1490),
    [anon_sym_RPAREN] = ACTIONS(1488),
    [anon_sym_LT] = ACTIONS(1490),
    [anon_sym_DOT] = ACTIONS(1488),
    [anon_sym_BQUOTE] = ACTIONS(1488),
    [anon_sym_PLUS] = ACTIONS(1490),
    [anon_sym_EQ_EQ] = ACTIONS(1490),
    [anon_sym_PERCENT] = ACTIONS(1488),
    [anon_sym_QMARK] = ACTIONS(1488),
    [anon_sym_LT_LT] = ACTIONS(1488),
    [anon_sym_DASH_DASH] = ACTIONS(1488),
    [anon_sym_RBRACE] = ACTIONS(1488),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1488),
  },
  [351] = {
    [anon_sym_instanceof] = ACTIONS(1492),
    [anon_sym_GT] = ACTIONS(1494),
    [sym__automatic_semicolon] = ACTIONS(1492),
    [anon_sym_DASH] = ACTIONS(1494),
    [anon_sym_CARET] = ACTIONS(1492),
    [anon_sym_STAR_STAR] = ACTIONS(1492),
    [anon_sym_STAR] = ACTIONS(1494),
    [anon_sym_AMP_AMP] = ACTIONS(1492),
    [anon_sym_GT_GT] = ACTIONS(1494),
    [anon_sym_AMP] = ACTIONS(1494),
    [anon_sym_in] = ACTIONS(1494),
    [anon_sym_LPAREN] = ACTIONS(1492),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1492),
    [anon_sym_SLASH] = ACTIONS(1494),
    [anon_sym_GT_EQ] = ACTIONS(1492),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(1492),
    [anon_sym_PIPE] = ACTIONS(1494),
    [anon_sym_LT_EQ] = ACTIONS(1492),
    [anon_sym_PIPE_PIPE] = ACTIONS(1492),
    [anon_sym_COMMA] = ACTIONS(1492),
    [anon_sym_GT_GT_GT] = ACTIONS(1492),
    [anon_sym_SEMI] = ACTIONS(1492),
    [anon_sym_PLUS_PLUS] = ACTIONS(1492),
    [anon_sym_BANG_EQ] = ACTIONS(1494),
    [anon_sym_RPAREN] = ACTIONS(1492),
    [anon_sym_LT] = ACTIONS(1494),
    [anon_sym_DOT] = ACTIONS(1492),
    [anon_sym_BQUOTE] = ACTIONS(1492),
    [anon_sym_PLUS] = ACTIONS(1494),
    [anon_sym_EQ_EQ] = ACTIONS(1494),
    [anon_sym_PERCENT] = ACTIONS(1492),
    [anon_sym_QMARK] = ACTIONS(1492),
    [anon_sym_LT_LT] = ACTIONS(1492),
    [anon_sym_DASH_DASH] = ACTIONS(1492),
    [anon_sym_RBRACE] = ACTIONS(1492),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1492),
  },
  [352] = {
    [anon_sym_instanceof] = ACTIONS(1484),
    [anon_sym_GT] = ACTIONS(1486),
    [sym__automatic_semicolon] = ACTIONS(1484),
    [anon_sym_DASH] = ACTIONS(1486),
    [anon_sym_CARET] = ACTIONS(1484),
    [anon_sym_STAR_STAR] = ACTIONS(1484),
    [anon_sym_STAR] = ACTIONS(1486),
    [anon_sym_AMP_AMP] = ACTIONS(1484),
    [anon_sym_GT_GT] = ACTIONS(1486),
    [anon_sym_AMP] = ACTIONS(1486),
    [anon_sym_in] = ACTIONS(1486),
    [anon_sym_LPAREN] = ACTIONS(1484),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1484),
    [anon_sym_SLASH] = ACTIONS(1486),
    [anon_sym_GT_EQ] = ACTIONS(1484),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [anon_sym_PIPE] = ACTIONS(1486),
    [anon_sym_LT_EQ] = ACTIONS(1484),
    [anon_sym_PIPE_PIPE] = ACTIONS(1484),
    [anon_sym_GT_GT_GT] = ACTIONS(1484),
    [anon_sym_PLUS_PLUS] = ACTIONS(1484),
    [anon_sym_COMMA] = ACTIONS(1484),
    [anon_sym_SEMI] = ACTIONS(1484),
    [anon_sym_BANG_EQ] = ACTIONS(1486),
    [anon_sym_RPAREN] = ACTIONS(1484),
    [anon_sym_LT] = ACTIONS(1486),
    [anon_sym_DOT] = ACTIONS(1484),
    [anon_sym_BQUOTE] = ACTIONS(1484),
    [anon_sym_PLUS] = ACTIONS(1486),
    [anon_sym_EQ_EQ] = ACTIONS(1486),
    [anon_sym_PERCENT] = ACTIONS(1484),
    [anon_sym_QMARK] = ACTIONS(1484),
    [anon_sym_LT_LT] = ACTIONS(1484),
    [anon_sym_DASH_DASH] = ACTIONS(1484),
    [anon_sym_RBRACE] = ACTIONS(1484),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1484),
  },
  [353] = {
    [anon_sym_class] = ACTIONS(1496),
    [anon_sym_static] = ACTIONS(1496),
    [anon_sym_DASH] = ACTIONS(1496),
    [anon_sym_import] = ACTIONS(1496),
    [anon_sym_LBRACE] = ACTIONS(1498),
    [anon_sym_delete] = ACTIONS(1496),
    [anon_sym_throw] = ACTIONS(1496),
    [anon_sym_LPAREN] = ACTIONS(1498),
    [anon_sym_BANG] = ACTIONS(1498),
    [sym_this] = ACTIONS(1496),
    [sym_true] = ACTIONS(1496),
    [anon_sym_case] = ACTIONS(1496),
    [anon_sym_get] = ACTIONS(1496),
    [anon_sym_default] = ACTIONS(1496),
    [anon_sym_PLUS_PLUS] = ACTIONS(1498),
    [anon_sym_SEMI] = ACTIONS(1498),
    [anon_sym_DQUOTE] = ACTIONS(1498),
    [anon_sym_TILDE] = ACTIONS(1498),
    [sym_super] = ACTIONS(1496),
    [anon_sym_LT] = ACTIONS(1498),
    [sym_false] = ACTIONS(1496),
    [sym_number] = ACTIONS(1498),
    [anon_sym_yield] = ACTIONS(1496),
    [anon_sym_set] = ACTIONS(1496),
    [anon_sym_async] = ACTIONS(1496),
    [anon_sym_var] = ACTIONS(1496),
    [anon_sym_const] = ACTIONS(1496),
    [anon_sym_RBRACE] = ACTIONS(1498),
    [anon_sym_DASH_DASH] = ACTIONS(1498),
    [anon_sym_try] = ACTIONS(1496),
    [anon_sym_for] = ACTIONS(1496),
    [anon_sym_typeof] = ACTIONS(1496),
    [anon_sym_await] = ACTIONS(1496),
    [sym_null] = ACTIONS(1496),
    [anon_sym_function] = ACTIONS(1496),
    [anon_sym_let] = ACTIONS(1496),
    [anon_sym_if] = ACTIONS(1496),
    [anon_sym_with] = ACTIONS(1496),
    [anon_sym_SQUOTE] = ACTIONS(1498),
    [anon_sym_SLASH] = ACTIONS(1496),
    [sym_undefined] = ACTIONS(1496),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(1498),
    [anon_sym_else] = ACTIONS(1496),
    [anon_sym_break] = ACTIONS(1496),
    [anon_sym_debugger] = ACTIONS(1496),
    [anon_sym_while] = ACTIONS(1496),
    [sym_identifier] = ACTIONS(1496),
    [anon_sym_BQUOTE] = ACTIONS(1498),
    [ts_builtin_sym_end] = ACTIONS(1498),
    [anon_sym_new] = ACTIONS(1496),
    [anon_sym_AT] = ACTIONS(1498),
    [anon_sym_PLUS] = ACTIONS(1496),
    [anon_sym_switch] = ACTIONS(1496),
    [anon_sym_export] = ACTIONS(1496),
    [anon_sym_continue] = ACTIONS(1496),
    [anon_sym_void] = ACTIONS(1496),
    [anon_sym_return] = ACTIONS(1496),
    [anon_sym_do] = ACTIONS(1496),
  },
  [354] = {
    [aux_sym_variable_declaration_repeat1] = STATE(431),
    [sym__automatic_semicolon] = ACTIONS(1500),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(540),
    [anon_sym_SEMI] = ACTIONS(1500),
  },
  [355] = {
    [sym_template_string] = STATE(719),
    [sym_arguments] = STATE(719),
    [anon_sym_instanceof] = ACTIONS(696),
    [anon_sym_GT] = ACTIONS(676),
    [anon_sym_DASH] = ACTIONS(698),
    [anon_sym_CARET] = ACTIONS(700),
    [anon_sym_STAR_STAR] = ACTIONS(702),
    [anon_sym_STAR] = ACTIONS(704),
    [anon_sym_AMP_AMP] = ACTIONS(706),
    [anon_sym_GT_GT] = ACTIONS(704),
    [anon_sym_AMP] = ACTIONS(708),
    [anon_sym_in] = ACTIONS(676),
    [anon_sym_LPAREN] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(696),
    [anon_sym_GT_EQ] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(704),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(710),
    [anon_sym_PIPE] = ACTIONS(712),
    [anon_sym_LT_EQ] = ACTIONS(696),
    [anon_sym_PIPE_PIPE] = ACTIONS(700),
    [anon_sym_GT_GT_GT] = ACTIONS(714),
    [anon_sym_PLUS_PLUS] = ACTIONS(716),
    [anon_sym_COMMA] = ACTIONS(718),
    [anon_sym_BANG_EQ] = ACTIONS(676),
    [anon_sym_RPAREN] = ACTIONS(1502),
    [anon_sym_LT] = ACTIONS(676),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_PLUS] = ACTIONS(698),
    [anon_sym_EQ_EQ] = ACTIONS(676),
    [anon_sym_PERCENT] = ACTIONS(714),
    [anon_sym_QMARK] = ACTIONS(722),
    [anon_sym_LT_LT] = ACTIONS(714),
    [anon_sym_DASH_DASH] = ACTIONS(716),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(696),
  },
  [356] = {
    [anon_sym_RPAREN] = ACTIONS(1502),
    [sym_comment] = ACTIONS(3),
  },
  [357] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACE] = ACTIONS(1504),
  },
  [358] = {
    [sym__automatic_semicolon] = ACTIONS(1506),
    [anon_sym_from] = ACTIONS(1506),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1506),
  },
  [359] = {
    [aux_sym_export_clause_repeat1] = STATE(497),
    [anon_sym_COMMA] = ACTIONS(1508),
    [anon_sym_RBRACE] = ACTIONS(1510),
    [sym_comment] = ACTIONS(3),
  },
  [360] = {
    [sym_class_body] = STATE(498),
    [sym_class_heritage] = STATE(499),
    [anon_sym_LBRACE] = ACTIONS(1512),
    [sym_comment] = ACTIONS(3),
    [anon_sym_extends] = ACTIONS(476),
  },
  [361] = {
    [sym_template_string] = STATE(141),
    [sym_arguments] = STATE(141),
    [anon_sym_instanceof] = ACTIONS(392),
    [anon_sym_GT] = ACTIONS(287),
    [sym__automatic_semicolon] = ACTIONS(1514),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_CARET] = ACTIONS(396),
    [anon_sym_STAR_STAR] = ACTIONS(398),
    [anon_sym_STAR] = ACTIONS(400),
    [anon_sym_AMP_AMP] = ACTIONS(402),
    [anon_sym_GT_GT] = ACTIONS(400),
    [anon_sym_AMP] = ACTIONS(404),
    [anon_sym_in] = ACTIONS(287),
    [anon_sym_LPAREN] = ACTIONS(271),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(392),
    [anon_sym_GT_EQ] = ACTIONS(392),
    [anon_sym_SLASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(273),
    [anon_sym_PIPE] = ACTIONS(406),
    [anon_sym_LT_EQ] = ACTIONS(392),
    [anon_sym_PIPE_PIPE] = ACTIONS(396),
    [anon_sym_GT_GT_GT] = ACTIONS(408),
    [anon_sym_PLUS_PLUS] = ACTIONS(410),
    [anon_sym_SEMI] = ACTIONS(1514),
    [anon_sym_BANG_EQ] = ACTIONS(287),
    [anon_sym_LT] = ACTIONS(287),
    [anon_sym_DOT] = ACTIONS(275),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_EQ_EQ] = ACTIONS(287),
    [anon_sym_PERCENT] = ACTIONS(408),
    [anon_sym_QMARK] = ACTIONS(414),
    [anon_sym_LT_LT] = ACTIONS(408),
    [anon_sym_DASH_DASH] = ACTIONS(410),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(392),
  },
  [362] = {
    [sym_identifier] = ACTIONS(1516),
    [sym_comment] = ACTIONS(3),
  },
  [363] = {
    [sym_formal_parameters] = STATE(502),
    [anon_sym_LPAREN] = ACTIONS(139),
    [sym_comment] = ACTIONS(3),
  },
  [364] = {
    [sym_identifier] = ACTIONS(1518),
    [sym_comment] = ACTIONS(3),
  },
  [365] = {
    [sym__automatic_semicolon] = ACTIONS(1520),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1520),
  },
  [366] = {
    [sym_identifier] = ACTIONS(1522),
    [sym_comment] = ACTIONS(3),
  },
  [367] = {
    [anon_sym_class] = ACTIONS(1524),
    [anon_sym_static] = ACTIONS(1524),
    [anon_sym_DASH] = ACTIONS(1524),
    [anon_sym_import] = ACTIONS(1524),
    [anon_sym_LBRACE] = ACTIONS(1526),
    [anon_sym_delete] = ACTIONS(1524),
    [anon_sym_throw] = ACTIONS(1524),
    [anon_sym_LPAREN] = ACTIONS(1526),
    [anon_sym_BANG] = ACTIONS(1526),
    [sym_this] = ACTIONS(1524),
    [sym_true] = ACTIONS(1524),
    [anon_sym_case] = ACTIONS(1524),
    [anon_sym_get] = ACTIONS(1524),
    [anon_sym_default] = ACTIONS(1524),
    [anon_sym_PLUS_PLUS] = ACTIONS(1526),
    [anon_sym_SEMI] = ACTIONS(1526),
    [anon_sym_DQUOTE] = ACTIONS(1526),
    [anon_sym_TILDE] = ACTIONS(1526),
    [sym_super] = ACTIONS(1524),
    [anon_sym_LT] = ACTIONS(1526),
    [sym_false] = ACTIONS(1524),
    [sym_number] = ACTIONS(1526),
    [anon_sym_yield] = ACTIONS(1524),
    [anon_sym_set] = ACTIONS(1524),
    [anon_sym_async] = ACTIONS(1524),
    [anon_sym_var] = ACTIONS(1524),
    [anon_sym_const] = ACTIONS(1524),
    [anon_sym_RBRACE] = ACTIONS(1526),
    [anon_sym_DASH_DASH] = ACTIONS(1526),
    [anon_sym_try] = ACTIONS(1524),
    [anon_sym_for] = ACTIONS(1524),
    [anon_sym_typeof] = ACTIONS(1524),
    [anon_sym_await] = ACTIONS(1524),
    [sym_null] = ACTIONS(1524),
    [anon_sym_function] = ACTIONS(1524),
    [anon_sym_let] = ACTIONS(1524),
    [anon_sym_if] = ACTIONS(1524),
    [anon_sym_with] = ACTIONS(1524),
    [anon_sym_SQUOTE] = ACTIONS(1526),
    [anon_sym_SLASH] = ACTIONS(1524),
    [sym_undefined] = ACTIONS(1524),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(1526),
    [anon_sym_else] = ACTIONS(1524),
    [anon_sym_break] = ACTIONS(1524),
    [anon_sym_debugger] = ACTIONS(1524),
    [anon_sym_while] = ACTIONS(1524),
    [sym_identifier] = ACTIONS(1524),
    [anon_sym_BQUOTE] = ACTIONS(1526),
    [ts_builtin_sym_end] = ACTIONS(1526),
    [anon_sym_new] = ACTIONS(1524),
    [anon_sym_AT] = ACTIONS(1526),
    [anon_sym_PLUS] = ACTIONS(1524),
    [anon_sym_switch] = ACTIONS(1524),
    [anon_sym_export] = ACTIONS(1524),
    [anon_sym_continue] = ACTIONS(1524),
    [anon_sym_void] = ACTIONS(1524),
    [anon_sym_return] = ACTIONS(1524),
    [anon_sym_do] = ACTIONS(1524),
  },
  [368] = {
    [anon_sym_class] = ACTIONS(1528),
    [anon_sym_static] = ACTIONS(1528),
    [anon_sym_DASH] = ACTIONS(1528),
    [anon_sym_import] = ACTIONS(1528),
    [anon_sym_LBRACE] = ACTIONS(1530),
    [anon_sym_delete] = ACTIONS(1528),
    [anon_sym_throw] = ACTIONS(1528),
    [anon_sym_LPAREN] = ACTIONS(1530),
    [anon_sym_BANG] = ACTIONS(1530),
    [sym_this] = ACTIONS(1528),
    [sym_true] = ACTIONS(1528),
    [anon_sym_case] = ACTIONS(1528),
    [anon_sym_get] = ACTIONS(1528),
    [anon_sym_default] = ACTIONS(1528),
    [anon_sym_PLUS_PLUS] = ACTIONS(1530),
    [anon_sym_SEMI] = ACTIONS(1530),
    [anon_sym_DQUOTE] = ACTIONS(1530),
    [anon_sym_TILDE] = ACTIONS(1530),
    [sym_super] = ACTIONS(1528),
    [anon_sym_LT] = ACTIONS(1530),
    [sym_false] = ACTIONS(1528),
    [sym_number] = ACTIONS(1530),
    [anon_sym_yield] = ACTIONS(1528),
    [anon_sym_set] = ACTIONS(1528),
    [anon_sym_async] = ACTIONS(1528),
    [anon_sym_var] = ACTIONS(1528),
    [anon_sym_const] = ACTIONS(1528),
    [anon_sym_RBRACE] = ACTIONS(1530),
    [anon_sym_DASH_DASH] = ACTIONS(1530),
    [anon_sym_try] = ACTIONS(1528),
    [anon_sym_for] = ACTIONS(1528),
    [anon_sym_typeof] = ACTIONS(1528),
    [anon_sym_await] = ACTIONS(1528),
    [sym_null] = ACTIONS(1528),
    [anon_sym_function] = ACTIONS(1528),
    [anon_sym_let] = ACTIONS(1528),
    [anon_sym_if] = ACTIONS(1528),
    [anon_sym_with] = ACTIONS(1528),
    [anon_sym_SQUOTE] = ACTIONS(1530),
    [anon_sym_SLASH] = ACTIONS(1528),
    [sym_undefined] = ACTIONS(1528),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(1530),
    [anon_sym_else] = ACTIONS(1528),
    [anon_sym_break] = ACTIONS(1528),
    [anon_sym_debugger] = ACTIONS(1528),
    [anon_sym_while] = ACTIONS(1528),
    [sym_identifier] = ACTIONS(1528),
    [anon_sym_BQUOTE] = ACTIONS(1530),
    [ts_builtin_sym_end] = ACTIONS(1530),
    [anon_sym_new] = ACTIONS(1528),
    [anon_sym_AT] = ACTIONS(1530),
    [anon_sym_PLUS] = ACTIONS(1528),
    [anon_sym_switch] = ACTIONS(1528),
    [anon_sym_export] = ACTIONS(1528),
    [anon_sym_continue] = ACTIONS(1528),
    [anon_sym_void] = ACTIONS(1528),
    [anon_sym_return] = ACTIONS(1528),
    [anon_sym_do] = ACTIONS(1528),
  },
  [369] = {
    [anon_sym_class] = ACTIONS(620),
    [anon_sym_static] = ACTIONS(620),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_import] = ACTIONS(620),
    [anon_sym_STAR] = ACTIONS(622),
    [anon_sym_LBRACE] = ACTIONS(622),
    [anon_sym_delete] = ACTIONS(620),
    [anon_sym_throw] = ACTIONS(620),
    [anon_sym_LPAREN] = ACTIONS(622),
    [anon_sym_BANG] = ACTIONS(622),
    [sym_this] = ACTIONS(620),
    [sym_true] = ACTIONS(620),
    [anon_sym_case] = ACTIONS(620),
    [anon_sym_get] = ACTIONS(620),
    [anon_sym_default] = ACTIONS(620),
    [anon_sym_COMMA] = ACTIONS(622),
    [anon_sym_PLUS_PLUS] = ACTIONS(622),
    [anon_sym_SEMI] = ACTIONS(622),
    [anon_sym_DQUOTE] = ACTIONS(622),
    [anon_sym_TILDE] = ACTIONS(622),
    [sym_super] = ACTIONS(620),
    [anon_sym_LT] = ACTIONS(622),
    [sym_false] = ACTIONS(620),
    [anon_sym_catch] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [anon_sym_yield] = ACTIONS(620),
    [anon_sym_set] = ACTIONS(620),
    [anon_sym_async] = ACTIONS(620),
    [anon_sym_var] = ACTIONS(620),
    [anon_sym_const] = ACTIONS(620),
    [anon_sym_RBRACE] = ACTIONS(622),
    [anon_sym_DASH_DASH] = ACTIONS(622),
    [anon_sym_try] = ACTIONS(620),
    [anon_sym_for] = ACTIONS(620),
    [anon_sym_typeof] = ACTIONS(620),
    [anon_sym_await] = ACTIONS(620),
    [sym_null] = ACTIONS(620),
    [anon_sym_finally] = ACTIONS(620),
    [anon_sym_function] = ACTIONS(620),
    [anon_sym_let] = ACTIONS(620),
    [anon_sym_if] = ACTIONS(620),
    [anon_sym_with] = ACTIONS(620),
    [anon_sym_SQUOTE] = ACTIONS(622),
    [anon_sym_SLASH] = ACTIONS(620),
    [sym_undefined] = ACTIONS(620),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(622),
    [anon_sym_else] = ACTIONS(620),
    [anon_sym_break] = ACTIONS(620),
    [anon_sym_debugger] = ACTIONS(620),
    [anon_sym_while] = ACTIONS(620),
    [sym_identifier] = ACTIONS(620),
    [anon_sym_BQUOTE] = ACTIONS(622),
    [ts_builtin_sym_end] = ACTIONS(622),
    [anon_sym_new] = ACTIONS(620),
    [anon_sym_AT] = ACTIONS(622),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_switch] = ACTIONS(620),
    [anon_sym_export] = ACTIONS(620),
    [anon_sym_continue] = ACTIONS(620),
    [anon_sym_void] = ACTIONS(620),
    [anon_sym_return] = ACTIONS(620),
    [anon_sym_do] = ACTIONS(620),
  },
  [370] = {
    [sym_statement_block] = STATE(507),
    [anon_sym_LBRACE] = ACTIONS(354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1532),
  },
  [371] = {
    [sym_statement_block] = STATE(508),
    [anon_sym_LBRACE] = ACTIONS(354),
    [sym_comment] = ACTIONS(3),
  },
  [372] = {
    [sym_finally_clause] = STATE(509),
    [anon_sym_class] = ACTIONS(1534),
    [anon_sym_static] = ACTIONS(1534),
    [anon_sym_DASH] = ACTIONS(1534),
    [anon_sym_import] = ACTIONS(1534),
    [anon_sym_LBRACE] = ACTIONS(1536),
    [anon_sym_delete] = ACTIONS(1534),
    [anon_sym_throw] = ACTIONS(1534),
    [anon_sym_LPAREN] = ACTIONS(1536),
    [anon_sym_BANG] = ACTIONS(1536),
    [sym_this] = ACTIONS(1534),
    [sym_true] = ACTIONS(1534),
    [anon_sym_case] = ACTIONS(1534),
    [anon_sym_get] = ACTIONS(1534),
    [anon_sym_default] = ACTIONS(1534),
    [anon_sym_PLUS_PLUS] = ACTIONS(1536),
    [anon_sym_SEMI] = ACTIONS(1536),
    [anon_sym_DQUOTE] = ACTIONS(1536),
    [anon_sym_TILDE] = ACTIONS(1536),
    [sym_super] = ACTIONS(1534),
    [anon_sym_LT] = ACTIONS(1536),
    [sym_false] = ACTIONS(1534),
    [sym_number] = ACTIONS(1536),
    [anon_sym_yield] = ACTIONS(1534),
    [anon_sym_set] = ACTIONS(1534),
    [anon_sym_async] = ACTIONS(1534),
    [anon_sym_var] = ACTIONS(1534),
    [anon_sym_const] = ACTIONS(1534),
    [anon_sym_RBRACE] = ACTIONS(1536),
    [anon_sym_DASH_DASH] = ACTIONS(1536),
    [anon_sym_try] = ACTIONS(1534),
    [anon_sym_for] = ACTIONS(1534),
    [anon_sym_typeof] = ACTIONS(1534),
    [anon_sym_await] = ACTIONS(1534),
    [sym_null] = ACTIONS(1534),
    [anon_sym_finally] = ACTIONS(896),
    [anon_sym_function] = ACTIONS(1534),
    [anon_sym_let] = ACTIONS(1534),
    [anon_sym_if] = ACTIONS(1534),
    [anon_sym_with] = ACTIONS(1534),
    [anon_sym_SQUOTE] = ACTIONS(1536),
    [anon_sym_SLASH] = ACTIONS(1534),
    [sym_undefined] = ACTIONS(1534),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(1536),
    [anon_sym_else] = ACTIONS(1534),
    [anon_sym_break] = ACTIONS(1534),
    [anon_sym_debugger] = ACTIONS(1534),
    [anon_sym_while] = ACTIONS(1534),
    [sym_identifier] = ACTIONS(1534),
    [anon_sym_BQUOTE] = ACTIONS(1536),
    [ts_builtin_sym_end] = ACTIONS(1536),
    [anon_sym_new] = ACTIONS(1534),
    [anon_sym_AT] = ACTIONS(1536),
    [anon_sym_PLUS] = ACTIONS(1534),
    [anon_sym_switch] = ACTIONS(1534),
    [anon_sym_export] = ACTIONS(1534),
    [anon_sym_continue] = ACTIONS(1534),
    [anon_sym_void] = ACTIONS(1534),
    [anon_sym_return] = ACTIONS(1534),
    [anon_sym_do] = ACTIONS(1534),
  },
  [373] = {
    [anon_sym_class] = ACTIONS(1538),
    [anon_sym_static] = ACTIONS(1538),
    [anon_sym_DASH] = ACTIONS(1538),
    [anon_sym_import] = ACTIONS(1538),
    [anon_sym_LBRACE] = ACTIONS(1540),
    [anon_sym_delete] = ACTIONS(1538),
    [anon_sym_throw] = ACTIONS(1538),
    [anon_sym_LPAREN] = ACTIONS(1540),
    [anon_sym_BANG] = ACTIONS(1540),
    [sym_this] = ACTIONS(1538),
    [sym_true] = ACTIONS(1538),
    [anon_sym_case] = ACTIONS(1538),
    [anon_sym_get] = ACTIONS(1538),
    [anon_sym_default] = ACTIONS(1538),
    [anon_sym_PLUS_PLUS] = ACTIONS(1540),
    [anon_sym_SEMI] = ACTIONS(1540),
    [anon_sym_DQUOTE] = ACTIONS(1540),
    [anon_sym_TILDE] = ACTIONS(1540),
    [sym_super] = ACTIONS(1538),
    [anon_sym_LT] = ACTIONS(1540),
    [sym_false] = ACTIONS(1538),
    [sym_number] = ACTIONS(1540),
    [anon_sym_yield] = ACTIONS(1538),
    [anon_sym_set] = ACTIONS(1538),
    [anon_sym_async] = ACTIONS(1538),
    [anon_sym_var] = ACTIONS(1538),
    [anon_sym_const] = ACTIONS(1538),
    [anon_sym_RBRACE] = ACTIONS(1540),
    [anon_sym_DASH_DASH] = ACTIONS(1540),
    [anon_sym_try] = ACTIONS(1538),
    [anon_sym_for] = ACTIONS(1538),
    [anon_sym_typeof] = ACTIONS(1538),
    [anon_sym_await] = ACTIONS(1538),
    [sym_null] = ACTIONS(1538),
    [anon_sym_function] = ACTIONS(1538),
    [anon_sym_let] = ACTIONS(1538),
    [anon_sym_if] = ACTIONS(1538),
    [anon_sym_with] = ACTIONS(1538),
    [anon_sym_SQUOTE] = ACTIONS(1540),
    [anon_sym_SLASH] = ACTIONS(1538),
    [sym_undefined] = ACTIONS(1538),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(1540),
    [anon_sym_else] = ACTIONS(1538),
    [anon_sym_break] = ACTIONS(1538),
    [anon_sym_debugger] = ACTIONS(1538),
    [anon_sym_while] = ACTIONS(1538),
    [sym_identifier] = ACTIONS(1538),
    [anon_sym_BQUOTE] = ACTIONS(1540),
    [ts_builtin_sym_end] = ACTIONS(1540),
    [anon_sym_new] = ACTIONS(1538),
    [anon_sym_AT] = ACTIONS(1540),
    [anon_sym_PLUS] = ACTIONS(1538),
    [anon_sym_switch] = ACTIONS(1538),
    [anon_sym_export] = ACTIONS(1538),
    [anon_sym_continue] = ACTIONS(1538),
    [anon_sym_void] = ACTIONS(1538),
    [anon_sym_return] = ACTIONS(1538),
    [anon_sym_do] = ACTIONS(1538),
  },
  [374] = {
    [anon_sym_class] = ACTIONS(1542),
    [anon_sym_static] = ACTIONS(1542),
    [anon_sym_DASH] = ACTIONS(1542),
    [anon_sym_import] = ACTIONS(1542),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_delete] = ACTIONS(1542),
    [anon_sym_throw] = ACTIONS(1542),
    [anon_sym_LPAREN] = ACTIONS(1544),
    [anon_sym_BANG] = ACTIONS(1544),
    [sym_this] = ACTIONS(1542),
    [sym_true] = ACTIONS(1542),
    [anon_sym_case] = ACTIONS(1542),
    [anon_sym_get] = ACTIONS(1542),
    [anon_sym_default] = ACTIONS(1542),
    [anon_sym_PLUS_PLUS] = ACTIONS(1544),
    [anon_sym_SEMI] = ACTIONS(1544),
    [anon_sym_DQUOTE] = ACTIONS(1544),
    [anon_sym_TILDE] = ACTIONS(1544),
    [sym_super] = ACTIONS(1542),
    [anon_sym_LT] = ACTIONS(1544),
    [sym_false] = ACTIONS(1542),
    [sym_number] = ACTIONS(1544),
    [anon_sym_yield] = ACTIONS(1542),
    [anon_sym_set] = ACTIONS(1542),
    [anon_sym_async] = ACTIONS(1542),
    [anon_sym_var] = ACTIONS(1542),
    [anon_sym_const] = ACTIONS(1542),
    [anon_sym_RBRACE] = ACTIONS(1544),
    [anon_sym_DASH_DASH] = ACTIONS(1544),
    [anon_sym_try] = ACTIONS(1542),
    [anon_sym_for] = ACTIONS(1542),
    [anon_sym_typeof] = ACTIONS(1542),
    [anon_sym_await] = ACTIONS(1542),
    [sym_null] = ACTIONS(1542),
    [anon_sym_function] = ACTIONS(1542),
    [anon_sym_let] = ACTIONS(1542),
    [anon_sym_if] = ACTIONS(1542),
    [anon_sym_with] = ACTIONS(1542),
    [anon_sym_SQUOTE] = ACTIONS(1544),
    [anon_sym_SLASH] = ACTIONS(1542),
    [sym_undefined] = ACTIONS(1542),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(1544),
    [anon_sym_else] = ACTIONS(1542),
    [anon_sym_break] = ACTIONS(1542),
    [anon_sym_debugger] = ACTIONS(1542),
    [anon_sym_while] = ACTIONS(1542),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_BQUOTE] = ACTIONS(1544),
    [ts_builtin_sym_end] = ACTIONS(1544),
    [anon_sym_new] = ACTIONS(1542),
    [anon_sym_AT] = ACTIONS(1544),
    [anon_sym_PLUS] = ACTIONS(1542),
    [anon_sym_switch] = ACTIONS(1542),
    [anon_sym_export] = ACTIONS(1542),
    [anon_sym_continue] = ACTIONS(1542),
    [anon_sym_void] = ACTIONS(1542),
    [anon_sym_return] = ACTIONS(1542),
    [anon_sym_do] = ACTIONS(1542),
  },
  [375] = {
    [sym_variable_declarator] = STATE(82),
    [sym_array] = STATE(511),
    [sym_object] = STATE(512),
    [anon_sym_LBRACE] = ACTIONS(1546),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(1548),
    [sym_identifier] = ACTIONS(1550),
  },
  [376] = {
    [anon_sym_instanceof] = ACTIONS(277),
    [sym__automatic_semicolon] = ACTIONS(277),
    [anon_sym_AMP_EQ] = ACTIONS(281),
    [anon_sym_GT_GT_EQ] = ACTIONS(281),
    [anon_sym_STAR_EQ] = ACTIONS(281),
    [anon_sym_DASH] = ACTIONS(283),
    [anon_sym_STAR_STAR] = ACTIONS(283),
    [anon_sym_STAR] = ACTIONS(283),
    [anon_sym_AMP] = ACTIONS(283),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_PIPE_EQ] = ACTIONS(281),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(281),
    [anon_sym_SLASH_EQ] = ACTIONS(281),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_COMMA] = ACTIONS(277),
    [anon_sym_PLUS_PLUS] = ACTIONS(277),
    [anon_sym_SEMI] = ACTIONS(277),
    [anon_sym_LT] = ACTIONS(283),
    [anon_sym_LT_LT_EQ] = ACTIONS(281),
    [anon_sym_EQ_EQ] = ACTIONS(283),
    [anon_sym_QMARK] = ACTIONS(277),
    [anon_sym_DASH_DASH] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(283),
    [anon_sym_EQ] = ACTIONS(285),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(281),
    [anon_sym_CARET] = ACTIONS(283),
    [anon_sym_AMP_AMP] = ACTIONS(277),
    [anon_sym_GT_GT] = ACTIONS(283),
    [anon_sym_in] = ACTIONS(1552),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(277),
    [anon_sym_of] = ACTIONS(1554),
    [anon_sym_SLASH] = ACTIONS(283),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(277),
    [anon_sym_PERCENT_EQ] = ACTIONS(281),
    [anon_sym_EQ_GT] = ACTIONS(289),
    [anon_sym_PLUS_EQ] = ACTIONS(281),
    [anon_sym_PIPE] = ACTIONS(283),
    [anon_sym_PIPE_PIPE] = ACTIONS(277),
    [anon_sym_GT_GT_GT] = ACTIONS(283),
    [anon_sym_BANG_EQ] = ACTIONS(283),
    [anon_sym_DOT] = ACTIONS(275),
    [anon_sym_BQUOTE] = ACTIONS(277),
    [anon_sym_CARET_EQ] = ACTIONS(281),
    [anon_sym_DASH_EQ] = ACTIONS(281),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_PERCENT] = ACTIONS(283),
    [anon_sym_LT_LT] = ACTIONS(283),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(277),
  },
  [377] = {
    [sym_variable_declarator] = STATE(167),
    [sym_array] = STATE(511),
    [sym_object] = STATE(512),
    [anon_sym_LBRACE] = ACTIONS(1546),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(1548),
    [sym_identifier] = ACTIONS(1550),
  },
  [378] = {
    [sym_arrow_function] = STATE(46),
    [sym_call_expression] = STATE(46),
    [sym_subscript_expression] = STATE(42),
    [sym_assignment_expression] = STATE(46),
    [sym_ternary_expression] = STATE(46),
    [sym_binary_expression] = STATE(46),
    [sym_template_string] = STATE(46),
    [sym__expression] = STATE(46),
    [sym_yield_expression] = STATE(46),
    [sym_jsx_element] = STATE(46),
    [sym_jsx_fragment] = STATE(46),
    [sym_function] = STATE(47),
    [sym_new_expression] = STATE(46),
    [sym_augmented_assignment_expression] = STATE(46),
    [sym_expression_statement] = STATE(515),
    [sym_unary_expression] = STATE(46),
    [sym_update_expression] = STATE(46),
    [sym_regex] = STATE(46),
    [sym_meta_property] = STATE(46),
    [sym_empty_statement] = STATE(515),
    [sym_object] = STATE(43),
    [aux_sym_export_statement_repeat1] = STATE(60),
    [sym_class] = STATE(46),
    [sym_generator_function] = STATE(46),
    [sym_await_expression] = STATE(46),
    [sym_member_expression] = STATE(42),
    [sym_sequence_expression] = STATE(45),
    [sym_string] = STATE(46),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(51),
    [sym_parenthesized_expression] = STATE(46),
    [sym_array] = STATE(52),
    [sym_jsx_opening_element] = STATE(53),
    [sym_jsx_self_closing_element] = STATE(46),
    [anon_sym_await] = ACTIONS(5),
    [sym_null] = ACTIONS(9),
    [anon_sym_class] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_function] = ACTIONS(95),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(97),
    [anon_sym_delete] = ACTIONS(39),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(9),
    [sym_undefined] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [anon_sym_SLASH] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(49),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(63),
    [sym_identifier] = ACTIONS(99),
    [sym_false] = ACTIONS(9),
    [anon_sym_LT] = ACTIONS(69),
    [sym_number] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_set] = ACTIONS(23),
    [anon_sym_async] = ACTIONS(103),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_void] = ACTIONS(39),
    [anon_sym_typeof] = ACTIONS(39),
  },
  [379] = {
    [anon_sym_instanceof] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(283),
    [sym__automatic_semicolon] = ACTIONS(277),
    [anon_sym_EQ] = ACTIONS(384),
    [anon_sym_DASH] = ACTIONS(283),
    [anon_sym_CARET] = ACTIONS(277),
    [anon_sym_STAR_STAR] = ACTIONS(277),
    [anon_sym_STAR] = ACTIONS(283),
    [anon_sym_AMP_AMP] = ACTIONS(277),
    [anon_sym_GT_GT] = ACTIONS(283),
    [anon_sym_AMP] = ACTIONS(283),
    [anon_sym_in] = ACTIONS(1556),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(277),
    [anon_sym_SLASH] = ACTIONS(283),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [anon_sym_of] = ACTIONS(1558),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(277),
    [anon_sym_PIPE] = ACTIONS(283),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_PIPE_PIPE] = ACTIONS(277),
    [anon_sym_COMMA] = ACTIONS(277),
    [anon_sym_GT_GT_GT] = ACTIONS(277),
    [anon_sym_SEMI] = ACTIONS(277),
    [anon_sym_PLUS_PLUS] = ACTIONS(277),
    [anon_sym_BANG_EQ] = ACTIONS(283),
    [anon_sym_LT] = ACTIONS(283),
    [anon_sym_DOT] = ACTIONS(277),
    [anon_sym_BQUOTE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_EQ_EQ] = ACTIONS(283),
    [anon_sym_PERCENT] = ACTIONS(277),
    [anon_sym_QMARK] = ACTIONS(277),
    [anon_sym_LT_LT] = ACTIONS(277),
    [anon_sym_DASH_DASH] = ACTIONS(277),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(277),
  },
  [380] = {
    [anon_sym_instanceof] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(283),
    [sym__automatic_semicolon] = ACTIONS(277),
    [anon_sym_EQ] = ACTIONS(424),
    [anon_sym_DASH] = ACTIONS(283),
    [anon_sym_CARET] = ACTIONS(277),
    [anon_sym_STAR_STAR] = ACTIONS(277),
    [anon_sym_STAR] = ACTIONS(283),
    [anon_sym_AMP_AMP] = ACTIONS(277),
    [anon_sym_GT_GT] = ACTIONS(283),
    [anon_sym_AMP] = ACTIONS(283),
    [anon_sym_in] = ACTIONS(1560),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(277),
    [anon_sym_SLASH] = ACTIONS(283),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [anon_sym_of] = ACTIONS(1562),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(277),
    [anon_sym_PIPE] = ACTIONS(283),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_PIPE_PIPE] = ACTIONS(277),
    [anon_sym_COMMA] = ACTIONS(277),
    [anon_sym_GT_GT_GT] = ACTIONS(277),
    [anon_sym_SEMI] = ACTIONS(277),
    [anon_sym_PLUS_PLUS] = ACTIONS(277),
    [anon_sym_BANG_EQ] = ACTIONS(283),
    [anon_sym_LT] = ACTIONS(283),
    [anon_sym_DOT] = ACTIONS(277),
    [anon_sym_BQUOTE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_EQ_EQ] = ACTIONS(283),
    [anon_sym_PERCENT] = ACTIONS(277),
    [anon_sym_QMARK] = ACTIONS(277),
    [anon_sym_LT_LT] = ACTIONS(277),
    [anon_sym_DASH_DASH] = ACTIONS(277),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(277),
  },
  [381] = {
    [sym_array] = STATE(522),
    [sym_object] = STATE(523),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_var] = ACTIONS(1564),
    [anon_sym_const] = ACTIONS(1564),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_let] = ACTIONS(1564),
    [sym_identifier] = ACTIONS(1566),
  },
  [382] = {
    [sym_parenthesized_expression] = STATE(524),
    [anon_sym_LPAREN] = ACTIONS(1568),
    [sym_comment] = ACTIONS(3),
  },
  [383] = {
    [sym_template_string] = STATE(141),
    [sym_arguments] = STATE(141),
    [anon_sym_instanceof] = ACTIONS(392),
    [anon_sym_GT] = ACTIONS(287),
    [sym__automatic_semicolon] = ACTIONS(1570),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_CARET] = ACTIONS(396),
    [anon_sym_STAR_STAR] = ACTIONS(398),
    [anon_sym_STAR] = ACTIONS(400),
    [anon_sym_AMP_AMP] = ACTIONS(402),
    [anon_sym_GT_GT] = ACTIONS(400),
    [anon_sym_AMP] = ACTIONS(404),
    [anon_sym_in] = ACTIONS(287),
    [anon_sym_LPAREN] = ACTIONS(271),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(392),
    [anon_sym_SLASH] = ACTIONS(400),
    [anon_sym_GT_EQ] = ACTIONS(392),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(273),
    [anon_sym_PIPE] = ACTIONS(406),
    [anon_sym_LT_EQ] = ACTIONS(392),
    [anon_sym_PIPE_PIPE] = ACTIONS(396),
    [anon_sym_COMMA] = ACTIONS(1570),
    [anon_sym_GT_GT_GT] = ACTIONS(408),
    [anon_sym_SEMI] = ACTIONS(1570),
    [anon_sym_PLUS_PLUS] = ACTIONS(410),
    [anon_sym_BANG_EQ] = ACTIONS(287),
    [anon_sym_RPAREN] = ACTIONS(1570),
    [anon_sym_LT] = ACTIONS(287),
    [anon_sym_DOT] = ACTIONS(275),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_EQ_EQ] = ACTIONS(287),
    [anon_sym_PERCENT] = ACTIONS(408),
    [anon_sym_QMARK] = ACTIONS(414),
    [anon_sym_LT_LT] = ACTIONS(408),
    [anon_sym_DASH_DASH] = ACTIONS(410),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(392),
  },
  [384] = {
    [sym_arrow_function] = STATE(525),
    [sym_call_expression] = STATE(525),
    [sym_subscript_expression] = STATE(42),
    [sym_assignment_expression] = STATE(525),
    [sym_ternary_expression] = STATE(525),
    [sym_binary_expression] = STATE(525),
    [sym_template_string] = STATE(525),
    [sym__expression] = STATE(525),
    [sym_yield_expression] = STATE(525),
    [sym_jsx_element] = STATE(525),
    [sym_jsx_fragment] = STATE(525),
    [sym_function] = STATE(47),
    [sym_new_expression] = STATE(525),
    [sym_augmented_assignment_expression] = STATE(525),
    [sym_unary_expression] = STATE(525),
    [sym_update_expression] = STATE(525),
    [sym_regex] = STATE(525),
    [sym_meta_property] = STATE(525),
    [sym_object] = STATE(43),
    [aux_sym_export_statement_repeat1] = STATE(60),
    [sym_class] = STATE(525),
    [sym_generator_function] = STATE(525),
    [sym_await_expression] = STATE(525),
    [sym_member_expression] = STATE(42),
    [sym_string] = STATE(525),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(51),
    [sym_parenthesized_expression] = STATE(525),
    [sym_array] = STATE(52),
    [sym_jsx_opening_element] = STATE(53),
    [sym_jsx_self_closing_element] = STATE(525),
    [anon_sym_await] = ACTIONS(5),
    [sym_null] = ACTIONS(1572),
    [anon_sym_class] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_function] = ACTIONS(95),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(97),
    [anon_sym_delete] = ACTIONS(39),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(1572),
    [sym_undefined] = ACTIONS(1572),
    [sym_true] = ACTIONS(1572),
    [anon_sym_SLASH] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(49),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(63),
    [sym_identifier] = ACTIONS(99),
    [sym_false] = ACTIONS(1572),
    [anon_sym_LT] = ACTIONS(69),
    [sym_number] = ACTIONS(1574),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_set] = ACTIONS(23),
    [anon_sym_async] = ACTIONS(103),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_void] = ACTIONS(39),
    [anon_sym_typeof] = ACTIONS(39),
  },
  [385] = {
    [anon_sym_class] = ACTIONS(1576),
    [anon_sym_static] = ACTIONS(1576),
    [anon_sym_DASH] = ACTIONS(1576),
    [anon_sym_import] = ACTIONS(1576),
    [anon_sym_LBRACE] = ACTIONS(1578),
    [anon_sym_delete] = ACTIONS(1576),
    [anon_sym_throw] = ACTIONS(1576),
    [anon_sym_LPAREN] = ACTIONS(1578),
    [anon_sym_BANG] = ACTIONS(1578),
    [sym_this] = ACTIONS(1576),
    [sym_true] = ACTIONS(1576),
    [anon_sym_case] = ACTIONS(1576),
    [anon_sym_get] = ACTIONS(1576),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_PLUS_PLUS] = ACTIONS(1578),
    [anon_sym_SEMI] = ACTIONS(1578),
    [anon_sym_DQUOTE] = ACTIONS(1578),
    [anon_sym_TILDE] = ACTIONS(1578),
    [sym_super] = ACTIONS(1576),
    [anon_sym_LT] = ACTIONS(1578),
    [sym_false] = ACTIONS(1576),
    [sym_number] = ACTIONS(1578),
    [anon_sym_yield] = ACTIONS(1576),
    [anon_sym_set] = ACTIONS(1576),
    [anon_sym_async] = ACTIONS(1576),
    [anon_sym_var] = ACTIONS(1576),
    [anon_sym_const] = ACTIONS(1576),
    [anon_sym_RBRACE] = ACTIONS(1578),
    [anon_sym_DASH_DASH] = ACTIONS(1578),
    [anon_sym_try] = ACTIONS(1576),
    [anon_sym_for] = ACTIONS(1576),
    [anon_sym_typeof] = ACTIONS(1576),
    [anon_sym_await] = ACTIONS(1576),
    [sym_null] = ACTIONS(1576),
    [anon_sym_function] = ACTIONS(1576),
    [anon_sym_let] = ACTIONS(1576),
    [anon_sym_if] = ACTIONS(1576),
    [anon_sym_with] = ACTIONS(1576),
    [anon_sym_SQUOTE] = ACTIONS(1578),
    [anon_sym_SLASH] = ACTIONS(1576),
    [sym_undefined] = ACTIONS(1576),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(1578),
    [anon_sym_else] = ACTIONS(1576),
    [anon_sym_break] = ACTIONS(1576),
    [anon_sym_debugger] = ACTIONS(1576),
    [anon_sym_while] = ACTIONS(1576),
    [sym_identifier] = ACTIONS(1576),
    [anon_sym_BQUOTE] = ACTIONS(1578),
    [ts_builtin_sym_end] = ACTIONS(1578),
    [anon_sym_new] = ACTIONS(1576),
    [anon_sym_AT] = ACTIONS(1578),
    [anon_sym_PLUS] = ACTIONS(1576),
    [anon_sym_switch] = ACTIONS(1576),
    [anon_sym_export] = ACTIONS(1576),
    [anon_sym_continue] = ACTIONS(1576),
    [anon_sym_void] = ACTIONS(1576),
    [anon_sym_return] = ACTIONS(1576),
    [anon_sym_do] = ACTIONS(1576),
  },
  [386] = {
    [sym_class_body] = STATE(526),
    [sym_class_heritage] = STATE(527),
    [anon_sym_LBRACE] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [anon_sym_extends] = ACTIONS(476),
  },
  [387] = {
    [sym_class_body] = STATE(528),
    [anon_sym_LBRACE] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
  },
  [388] = {
    [sym_template_string] = STATE(141),
    [sym_arguments] = STATE(141),
    [anon_sym_instanceof] = ACTIONS(1429),
    [anon_sym_GT] = ACTIONS(1431),
    [sym__automatic_semicolon] = ACTIONS(1429),
    [anon_sym_DASH] = ACTIONS(1431),
    [anon_sym_CARET] = ACTIONS(1429),
    [anon_sym_STAR_STAR] = ACTIONS(398),
    [anon_sym_STAR] = ACTIONS(400),
    [anon_sym_AMP_AMP] = ACTIONS(1429),
    [anon_sym_GT_GT] = ACTIONS(400),
    [anon_sym_AMP] = ACTIONS(1431),
    [anon_sym_in] = ACTIONS(1431),
    [anon_sym_LPAREN] = ACTIONS(271),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1429),
    [anon_sym_SLASH] = ACTIONS(400),
    [anon_sym_GT_EQ] = ACTIONS(1429),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(273),
    [anon_sym_PIPE] = ACTIONS(1431),
    [anon_sym_LT_EQ] = ACTIONS(1429),
    [anon_sym_PIPE_PIPE] = ACTIONS(1429),
    [anon_sym_COMMA] = ACTIONS(1429),
    [anon_sym_GT_GT_GT] = ACTIONS(408),
    [anon_sym_SEMI] = ACTIONS(1429),
    [anon_sym_PLUS_PLUS] = ACTIONS(410),
    [anon_sym_BANG_EQ] = ACTIONS(1431),
    [anon_sym_RPAREN] = ACTIONS(1429),
    [anon_sym_LT] = ACTIONS(1431),
    [anon_sym_DOT] = ACTIONS(275),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1431),
    [anon_sym_EQ_EQ] = ACTIONS(1431),
    [anon_sym_PERCENT] = ACTIONS(408),
    [anon_sym_QMARK] = ACTIONS(1429),
    [anon_sym_LT_LT] = ACTIONS(408),
    [anon_sym_DASH_DASH] = ACTIONS(410),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1429),
  },
  [389] = {
    [sym_template_string] = STATE(141),
    [sym_arguments] = STATE(141),
    [anon_sym_instanceof] = ACTIONS(392),
    [anon_sym_GT] = ACTIONS(287),
    [sym__automatic_semicolon] = ACTIONS(1429),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_CARET] = ACTIONS(1429),
    [anon_sym_STAR_STAR] = ACTIONS(398),
    [anon_sym_STAR] = ACTIONS(400),
    [anon_sym_AMP_AMP] = ACTIONS(402),
    [anon_sym_GT_GT] = ACTIONS(400),
    [anon_sym_AMP] = ACTIONS(404),
    [anon_sym_in] = ACTIONS(287),
    [anon_sym_LPAREN] = ACTIONS(271),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(392),
    [anon_sym_SLASH] = ACTIONS(400),
    [anon_sym_GT_EQ] = ACTIONS(392),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(273),
    [anon_sym_PIPE] = ACTIONS(1431),
    [anon_sym_LT_EQ] = ACTIONS(392),
    [anon_sym_PIPE_PIPE] = ACTIONS(1429),
    [anon_sym_COMMA] = ACTIONS(1429),
    [anon_sym_GT_GT_GT] = ACTIONS(408),
    [anon_sym_SEMI] = ACTIONS(1429),
    [anon_sym_PLUS_PLUS] = ACTIONS(410),
    [anon_sym_BANG_EQ] = ACTIONS(287),
    [anon_sym_RPAREN] = ACTIONS(1429),
    [anon_sym_LT] = ACTIONS(287),
    [anon_sym_DOT] = ACTIONS(275),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_EQ_EQ] = ACTIONS(287),
    [anon_sym_PERCENT] = ACTIONS(408),
    [anon_sym_QMARK] = ACTIONS(1429),
    [anon_sym_LT_LT] = ACTIONS(408),
    [anon_sym_DASH_DASH] = ACTIONS(410),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(392),
  },
  [390] = {
    [sym_template_string] = STATE(141),
    [sym_arguments] = STATE(141),
    [anon_sym_instanceof] = ACTIONS(1429),
    [anon_sym_GT] = ACTIONS(1431),
    [sym__automatic_semicolon] = ACTIONS(1429),
    [anon_sym_DASH] = ACTIONS(1431),
    [anon_sym_CARET] = ACTIONS(1429),
    [anon_sym_STAR_STAR] = ACTIONS(1429),
    [anon_sym_STAR] = ACTIONS(1431),
    [anon_sym_AMP_AMP] = ACTIONS(1429),
    [anon_sym_GT_GT] = ACTIONS(1431),
    [anon_sym_AMP] = ACTIONS(1431),
    [anon_sym_in] = ACTIONS(1431),
    [anon_sym_LPAREN] = ACTIONS(271),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1429),
    [anon_sym_SLASH] = ACTIONS(1431),
    [anon_sym_GT_EQ] = ACTIONS(1429),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(273),
    [anon_sym_PIPE] = ACTIONS(1431),
    [anon_sym_LT_EQ] = ACTIONS(1429),
    [anon_sym_PIPE_PIPE] = ACTIONS(1429),
    [anon_sym_COMMA] = ACTIONS(1429),
    [anon_sym_GT_GT_GT] = ACTIONS(1429),
    [anon_sym_SEMI] = ACTIONS(1429),
    [anon_sym_PLUS_PLUS] = ACTIONS(410),
    [anon_sym_BANG_EQ] = ACTIONS(1431),
    [anon_sym_RPAREN] = ACTIONS(1429),
    [anon_sym_LT] = ACTIONS(1431),
    [anon_sym_DOT] = ACTIONS(275),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1431),
    [anon_sym_EQ_EQ] = ACTIONS(1431),
    [anon_sym_PERCENT] = ACTIONS(1429),
    [anon_sym_QMARK] = ACTIONS(1429),
    [anon_sym_LT_LT] = ACTIONS(1429),
    [anon_sym_DASH_DASH] = ACTIONS(410),
    [anon_sym_RBRACE] = ACTIONS(1429),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1429),
  },
  [391] = {
    [sym_template_string] = STATE(141),
    [sym_arguments] = STATE(141),
    [anon_sym_instanceof] = ACTIONS(392),
    [anon_sym_GT] = ACTIONS(287),
    [sym__automatic_semicolon] = ACTIONS(1429),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_CARET] = ACTIONS(1429),
    [anon_sym_STAR_STAR] = ACTIONS(398),
    [anon_sym_STAR] = ACTIONS(400),
    [anon_sym_AMP_AMP] = ACTIONS(1429),
    [anon_sym_GT_GT] = ACTIONS(400),
    [anon_sym_AMP] = ACTIONS(1431),
    [anon_sym_in] = ACTIONS(287),
    [anon_sym_LPAREN] = ACTIONS(271),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(392),
    [anon_sym_SLASH] = ACTIONS(400),
    [anon_sym_GT_EQ] = ACTIONS(392),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(273),
    [anon_sym_PIPE] = ACTIONS(1431),
    [anon_sym_LT_EQ] = ACTIONS(392),
    [anon_sym_PIPE_PIPE] = ACTIONS(1429),
    [anon_sym_COMMA] = ACTIONS(1429),
    [anon_sym_GT_GT_GT] = ACTIONS(408),
    [anon_sym_SEMI] = ACTIONS(1429),
    [anon_sym_PLUS_PLUS] = ACTIONS(410),
    [anon_sym_BANG_EQ] = ACTIONS(287),
    [anon_sym_RPAREN] = ACTIONS(1429),
    [anon_sym_LT] = ACTIONS(287),
    [anon_sym_DOT] = ACTIONS(275),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_EQ_EQ] = ACTIONS(287),
    [anon_sym_PERCENT] = ACTIONS(408),
    [anon_sym_QMARK] = ACTIONS(1429),
    [anon_sym_LT_LT] = ACTIONS(408),
    [anon_sym_DASH_DASH] = ACTIONS(410),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(392),
  },
  [392] = {
    [sym_template_string] = STATE(141),
    [sym_arguments] = STATE(141),
    [anon_sym_instanceof] = ACTIONS(1429),
    [anon_sym_GT] = ACTIONS(1431),
    [sym__automatic_semicolon] = ACTIONS(1429),
    [anon_sym_DASH] = ACTIONS(1431),
    [anon_sym_CARET] = ACTIONS(1429),
    [anon_sym_STAR_STAR] = ACTIONS(398),
    [anon_sym_STAR] = ACTIONS(1431),
    [anon_sym_AMP_AMP] = ACTIONS(1429),
    [anon_sym_GT_GT] = ACTIONS(1431),
    [anon_sym_AMP] = ACTIONS(1431),
    [anon_sym_in] = ACTIONS(1431),
    [anon_sym_LPAREN] = ACTIONS(271),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1429),
    [anon_sym_SLASH] = ACTIONS(1431),
    [anon_sym_GT_EQ] = ACTIONS(1429),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(273),
    [anon_sym_PIPE] = ACTIONS(1431),
    [anon_sym_LT_EQ] = ACTIONS(1429),
    [anon_sym_PIPE_PIPE] = ACTIONS(1429),
    [anon_sym_COMMA] = ACTIONS(1429),
    [anon_sym_GT_GT_GT] = ACTIONS(1429),
    [anon_sym_SEMI] = ACTIONS(1429),
    [anon_sym_PLUS_PLUS] = ACTIONS(410),
    [anon_sym_BANG_EQ] = ACTIONS(1431),
    [anon_sym_RPAREN] = ACTIONS(1429),
    [anon_sym_LT] = ACTIONS(1431),
    [anon_sym_DOT] = ACTIONS(275),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1431),
    [anon_sym_EQ_EQ] = ACTIONS(1431),
    [anon_sym_PERCENT] = ACTIONS(1429),
    [anon_sym_QMARK] = ACTIONS(1429),
    [anon_sym_LT_LT] = ACTIONS(1429),
    [anon_sym_DASH_DASH] = ACTIONS(410),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1429),
  },
  [393] = {
    [sym_template_string] = STATE(141),
    [sym_arguments] = STATE(141),
    [sym__automatic_semicolon] = ACTIONS(1580),
    [anon_sym_instanceof] = ACTIONS(392),
    [anon_sym_GT] = ACTIONS(287),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_CARET] = ACTIONS(396),
    [anon_sym_STAR_STAR] = ACTIONS(398),
    [anon_sym_STAR] = ACTIONS(400),
    [anon_sym_AMP_AMP] = ACTIONS(402),
    [anon_sym_GT_GT] = ACTIONS(400),
    [anon_sym_AMP] = ACTIONS(404),
    [anon_sym_in] = ACTIONS(287),
    [anon_sym_LPAREN] = ACTIONS(271),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(392),
    [anon_sym_GT_EQ] = ACTIONS(392),
    [anon_sym_SLASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(273),
    [anon_sym_PIPE] = ACTIONS(406),
    [anon_sym_LT_EQ] = ACTIONS(392),
    [anon_sym_PIPE_PIPE] = ACTIONS(396),
    [anon_sym_GT_GT_GT] = ACTIONS(408),
    [anon_sym_PLUS_PLUS] = ACTIONS(410),
    [anon_sym_SEMI] = ACTIONS(1580),
    [anon_sym_COMMA] = ACTIONS(412),
    [anon_sym_BANG_EQ] = ACTIONS(287),
    [anon_sym_LT] = ACTIONS(287),
    [anon_sym_DOT] = ACTIONS(275),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_EQ_EQ] = ACTIONS(287),
    [anon_sym_PERCENT] = ACTIONS(408),
    [anon_sym_QMARK] = ACTIONS(414),
    [anon_sym_LT_LT] = ACTIONS(408),
    [anon_sym_DASH_DASH] = ACTIONS(410),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(392),
  },
  [394] = {
    [sym__automatic_semicolon] = ACTIONS(1580),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1580),
  },
  [395] = {
    [sym_template_string] = STATE(719),
    [sym_arguments] = STATE(719),
    [anon_sym_instanceof] = ACTIONS(696),
    [anon_sym_GT] = ACTIONS(676),
    [anon_sym_COLON] = ACTIONS(1582),
    [anon_sym_DASH] = ACTIONS(698),
    [anon_sym_CARET] = ACTIONS(700),
    [anon_sym_STAR_STAR] = ACTIONS(702),
    [anon_sym_STAR] = ACTIONS(704),
    [anon_sym_AMP_AMP] = ACTIONS(706),
    [anon_sym_GT_GT] = ACTIONS(704),
    [anon_sym_AMP] = ACTIONS(708),
    [anon_sym_in] = ACTIONS(676),
    [anon_sym_LPAREN] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(696),
    [anon_sym_GT_EQ] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(704),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(710),
    [anon_sym_PIPE] = ACTIONS(712),
    [anon_sym_LT_EQ] = ACTIONS(696),
    [anon_sym_PIPE_PIPE] = ACTIONS(700),
    [anon_sym_GT_GT_GT] = ACTIONS(714),
    [anon_sym_PLUS_PLUS] = ACTIONS(716),
    [anon_sym_BANG_EQ] = ACTIONS(676),
    [anon_sym_LT] = ACTIONS(676),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_PLUS] = ACTIONS(698),
    [anon_sym_EQ_EQ] = ACTIONS(676),
    [anon_sym_PERCENT] = ACTIONS(714),
    [anon_sym_QMARK] = ACTIONS(722),
    [anon_sym_LT_LT] = ACTIONS(714),
    [anon_sym_DASH_DASH] = ACTIONS(716),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(696),
  },
  [396] = {
    [anon_sym_instanceof] = ACTIONS(1584),
    [anon_sym_GT] = ACTIONS(1586),
    [sym__automatic_semicolon] = ACTIONS(1584),
    [anon_sym_DASH] = ACTIONS(1586),
    [anon_sym_CARET] = ACTIONS(1584),
    [anon_sym_STAR_STAR] = ACTIONS(1584),
    [anon_sym_STAR] = ACTIONS(1586),
    [anon_sym_AMP_AMP] = ACTIONS(1584),
    [anon_sym_GT_GT] = ACTIONS(1586),
    [anon_sym_AMP] = ACTIONS(1586),
    [anon_sym_in] = ACTIONS(1586),
    [anon_sym_LPAREN] = ACTIONS(1584),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1584),
    [anon_sym_SLASH] = ACTIONS(1586),
    [anon_sym_GT_EQ] = ACTIONS(1584),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(1584),
    [anon_sym_PIPE] = ACTIONS(1586),
    [anon_sym_LT_EQ] = ACTIONS(1584),
    [anon_sym_PIPE_PIPE] = ACTIONS(1584),
    [anon_sym_COMMA] = ACTIONS(1584),
    [anon_sym_GT_GT_GT] = ACTIONS(1584),
    [anon_sym_SEMI] = ACTIONS(1584),
    [anon_sym_PLUS_PLUS] = ACTIONS(1584),
    [anon_sym_BANG_EQ] = ACTIONS(1586),
    [anon_sym_RPAREN] = ACTIONS(1584),
    [anon_sym_LT] = ACTIONS(1586),
    [anon_sym_DOT] = ACTIONS(1584),
    [anon_sym_BQUOTE] = ACTIONS(1584),
    [anon_sym_PLUS] = ACTIONS(1586),
    [anon_sym_EQ_EQ] = ACTIONS(1586),
    [anon_sym_PERCENT] = ACTIONS(1584),
    [anon_sym_QMARK] = ACTIONS(1584),
    [anon_sym_LT_LT] = ACTIONS(1584),
    [anon_sym_DASH_DASH] = ACTIONS(1584),
    [anon_sym_RBRACE] = ACTIONS(1584),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1584),
  },
  [397] = {
    [sym_template_string] = STATE(141),
    [sym_arguments] = STATE(141),
    [anon_sym_instanceof] = ACTIONS(392),
    [anon_sym_GT] = ACTIONS(287),
    [sym__automatic_semicolon] = ACTIONS(1584),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_CARET] = ACTIONS(396),
    [anon_sym_STAR_STAR] = ACTIONS(398),
    [anon_sym_STAR] = ACTIONS(400),
    [anon_sym_AMP_AMP] = ACTIONS(402),
    [anon_sym_GT_GT] = ACTIONS(400),
    [anon_sym_AMP] = ACTIONS(404),
    [anon_sym_in] = ACTIONS(287),
    [anon_sym_LPAREN] = ACTIONS(271),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(392),
    [anon_sym_SLASH] = ACTIONS(400),
    [anon_sym_GT_EQ] = ACTIONS(392),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(273),
    [anon_sym_PIPE] = ACTIONS(406),
    [anon_sym_LT_EQ] = ACTIONS(392),
    [anon_sym_PIPE_PIPE] = ACTIONS(396),
    [anon_sym_COMMA] = ACTIONS(1584),
    [anon_sym_GT_GT_GT] = ACTIONS(408),
    [anon_sym_SEMI] = ACTIONS(1584),
    [anon_sym_PLUS_PLUS] = ACTIONS(410),
    [anon_sym_BANG_EQ] = ACTIONS(287),
    [anon_sym_RPAREN] = ACTIONS(1584),
    [anon_sym_LT] = ACTIONS(287),
    [anon_sym_DOT] = ACTIONS(275),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_EQ_EQ] = ACTIONS(287),
    [anon_sym_PERCENT] = ACTIONS(408),
    [anon_sym_QMARK] = ACTIONS(414),
    [anon_sym_LT_LT] = ACTIONS(408),
    [anon_sym_DASH_DASH] = ACTIONS(410),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(392),
  },
  [398] = {
    [sym_template_string] = STATE(141),
    [sym_arguments] = STATE(141),
    [anon_sym_instanceof] = ACTIONS(392),
    [anon_sym_GT] = ACTIONS(287),
    [sym__automatic_semicolon] = ACTIONS(1588),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_CARET] = ACTIONS(396),
    [anon_sym_STAR_STAR] = ACTIONS(398),
    [anon_sym_STAR] = ACTIONS(400),
    [anon_sym_AMP_AMP] = ACTIONS(402),
    [anon_sym_GT_GT] = ACTIONS(400),
    [anon_sym_AMP] = ACTIONS(404),
    [anon_sym_in] = ACTIONS(287),
    [anon_sym_LPAREN] = ACTIONS(271),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(392),
    [anon_sym_SLASH] = ACTIONS(400),
    [anon_sym_GT_EQ] = ACTIONS(392),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(273),
    [anon_sym_PIPE] = ACTIONS(406),
    [anon_sym_LT_EQ] = ACTIONS(392),
    [anon_sym_PIPE_PIPE] = ACTIONS(396),
    [anon_sym_COMMA] = ACTIONS(1588),
    [anon_sym_GT_GT_GT] = ACTIONS(408),
    [anon_sym_SEMI] = ACTIONS(1588),
    [anon_sym_PLUS_PLUS] = ACTIONS(410),
    [anon_sym_BANG_EQ] = ACTIONS(287),
    [anon_sym_RPAREN] = ACTIONS(1588),
    [anon_sym_LT] = ACTIONS(287),
    [anon_sym_DOT] = ACTIONS(275),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_EQ_EQ] = ACTIONS(287),
    [anon_sym_PERCENT] = ACTIONS(408),
    [anon_sym_QMARK] = ACTIONS(414),
    [anon_sym_LT_LT] = ACTIONS(408),
    [anon_sym_DASH_DASH] = ACTIONS(410),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(392),
  },
  [399] = {
    [anon_sym_LBRACE] = ACTIONS(1590),
    [sym_comment] = ACTIONS(237),
    [sym_jsx_text] = ACTIONS(1590),
    [anon_sym_LT] = ACTIONS(1590),
  },
  [400] = {
    [sym_template_string] = STATE(719),
    [sym_arguments] = STATE(719),
    [anon_sym_instanceof] = ACTIONS(696),
    [anon_sym_GT] = ACTIONS(676),
    [anon_sym_DASH] = ACTIONS(698),
    [anon_sym_CARET] = ACTIONS(700),
    [anon_sym_STAR_STAR] = ACTIONS(702),
    [anon_sym_STAR] = ACTIONS(704),
    [anon_sym_AMP_AMP] = ACTIONS(706),
    [anon_sym_GT_GT] = ACTIONS(704),
    [anon_sym_AMP] = ACTIONS(708),
    [anon_sym_in] = ACTIONS(676),
    [anon_sym_LPAREN] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(696),
    [anon_sym_GT_EQ] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(704),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(710),
    [anon_sym_PIPE] = ACTIONS(712),
    [anon_sym_LT_EQ] = ACTIONS(696),
    [anon_sym_PIPE_PIPE] = ACTIONS(700),
    [anon_sym_GT_GT_GT] = ACTIONS(714),
    [anon_sym_PLUS_PLUS] = ACTIONS(716),
    [anon_sym_COMMA] = ACTIONS(718),
    [anon_sym_BANG_EQ] = ACTIONS(676),
    [anon_sym_LT] = ACTIONS(676),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_PLUS] = ACTIONS(698),
    [anon_sym_EQ_EQ] = ACTIONS(676),
    [anon_sym_PERCENT] = ACTIONS(714),
    [anon_sym_QMARK] = ACTIONS(722),
    [anon_sym_LT_LT] = ACTIONS(714),
    [anon_sym_DASH_DASH] = ACTIONS(716),
    [anon_sym_RBRACE] = ACTIONS(1592),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(696),
  },
  [401] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACE] = ACTIONS(1592),
  },
  [402] = {
    [sym_nested_identifier] = STATE(533),
    [sym_jsx_namespace_name] = STATE(534),
    [sym_jsx_identifier] = ACTIONS(1594),
    [sym_comment] = ACTIONS(3),
    [sym_identifier] = ACTIONS(1596),
  },
  [403] = {
    [anon_sym_instanceof] = ACTIONS(1598),
    [anon_sym_GT] = ACTIONS(1600),
    [sym__automatic_semicolon] = ACTIONS(1598),
    [anon_sym_DASH] = ACTIONS(1600),
    [anon_sym_CARET] = ACTIONS(1598),
    [anon_sym_STAR_STAR] = ACTIONS(1598),
    [anon_sym_STAR] = ACTIONS(1600),
    [anon_sym_AMP_AMP] = ACTIONS(1598),
    [anon_sym_GT_GT] = ACTIONS(1600),
    [anon_sym_AMP] = ACTIONS(1600),
    [anon_sym_in] = ACTIONS(1600),
    [anon_sym_LPAREN] = ACTIONS(1598),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1598),
    [anon_sym_SLASH] = ACTIONS(1600),
    [anon_sym_GT_EQ] = ACTIONS(1598),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(1598),
    [anon_sym_PIPE] = ACTIONS(1600),
    [anon_sym_LT_EQ] = ACTIONS(1598),
    [anon_sym_PIPE_PIPE] = ACTIONS(1598),
    [anon_sym_COMMA] = ACTIONS(1598),
    [anon_sym_GT_GT_GT] = ACTIONS(1598),
    [anon_sym_SEMI] = ACTIONS(1598),
    [anon_sym_PLUS_PLUS] = ACTIONS(1598),
    [anon_sym_BANG_EQ] = ACTIONS(1600),
    [anon_sym_RPAREN] = ACTIONS(1598),
    [anon_sym_LT] = ACTIONS(1600),
    [anon_sym_DOT] = ACTIONS(1598),
    [anon_sym_BQUOTE] = ACTIONS(1598),
    [anon_sym_PLUS] = ACTIONS(1600),
    [anon_sym_EQ_EQ] = ACTIONS(1600),
    [anon_sym_PERCENT] = ACTIONS(1598),
    [anon_sym_QMARK] = ACTIONS(1598),
    [anon_sym_LT_LT] = ACTIONS(1598),
    [anon_sym_DASH_DASH] = ACTIONS(1598),
    [anon_sym_RBRACE] = ACTIONS(1598),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1598),
  },
  [404] = {
    [aux_sym_jsx_element_repeat1] = STATE(404),
    [sym_jsx_opening_element] = STATE(967),
    [sym_jsx_expression] = STATE(404),
    [sym_jsx_self_closing_element] = STATE(404),
    [sym_jsx_element] = STATE(404),
    [anon_sym_LBRACE] = ACTIONS(1602),
    [sym_comment] = ACTIONS(237),
    [sym_jsx_text] = ACTIONS(1605),
    [anon_sym_LT] = ACTIONS(1608),
  },
  [405] = {
    [anon_sym_instanceof] = ACTIONS(1160),
    [anon_sym_GT] = ACTIONS(1154),
    [sym__automatic_semicolon] = ACTIONS(1160),
    [anon_sym_DASH] = ACTIONS(1154),
    [anon_sym_CARET] = ACTIONS(1160),
    [anon_sym_STAR_STAR] = ACTIONS(1160),
    [anon_sym_STAR] = ACTIONS(1154),
    [anon_sym_AMP_AMP] = ACTIONS(1160),
    [anon_sym_GT_GT] = ACTIONS(1154),
    [anon_sym_AMP] = ACTIONS(1154),
    [anon_sym_in] = ACTIONS(1154),
    [anon_sym_LPAREN] = ACTIONS(1160),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1160),
    [anon_sym_SLASH] = ACTIONS(1154),
    [anon_sym_GT_EQ] = ACTIONS(1160),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(1160),
    [anon_sym_PIPE] = ACTIONS(1154),
    [anon_sym_LT_EQ] = ACTIONS(1160),
    [anon_sym_PIPE_PIPE] = ACTIONS(1160),
    [anon_sym_COMMA] = ACTIONS(1160),
    [anon_sym_GT_GT_GT] = ACTIONS(1160),
    [anon_sym_SEMI] = ACTIONS(1160),
    [anon_sym_PLUS_PLUS] = ACTIONS(1160),
    [anon_sym_BANG_EQ] = ACTIONS(1154),
    [anon_sym_RPAREN] = ACTIONS(1160),
    [anon_sym_LT] = ACTIONS(1154),
    [anon_sym_DOT] = ACTIONS(1160),
    [anon_sym_BQUOTE] = ACTIONS(1160),
    [anon_sym_PLUS] = ACTIONS(1154),
    [anon_sym_EQ_EQ] = ACTIONS(1154),
    [anon_sym_PERCENT] = ACTIONS(1160),
    [anon_sym_QMARK] = ACTIONS(1160),
    [anon_sym_LT_LT] = ACTIONS(1160),
    [anon_sym_DASH_DASH] = ACTIONS(1160),
    [anon_sym_RBRACE] = ACTIONS(1160),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1160),
  },
  [406] = {
    [sym_class_body] = STATE(536),
    [anon_sym_LBRACE] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
  },
  [407] = {
    [sym_statement_block] = STATE(537),
    [anon_sym_LBRACE] = ACTIONS(532),
    [sym_comment] = ACTIONS(3),
  },
  [408] = {
    [sym_formal_parameters] = STATE(538),
    [anon_sym_LPAREN] = ACTIONS(139),
    [sym_comment] = ACTIONS(3),
  },
  [409] = {
    [sym_arrow_function] = STATE(539),
    [sym_call_expression] = STATE(539),
    [sym_subscript_expression] = STATE(701),
    [sym_assignment_expression] = STATE(539),
    [sym_ternary_expression] = STATE(539),
    [sym_binary_expression] = STATE(539),
    [sym_template_string] = STATE(539),
    [sym__expression] = STATE(539),
    [sym_yield_expression] = STATE(539),
    [sym_jsx_element] = STATE(539),
    [sym_jsx_fragment] = STATE(539),
    [sym_function] = STATE(703),
    [sym_new_expression] = STATE(539),
    [sym_augmented_assignment_expression] = STATE(539),
    [sym_unary_expression] = STATE(539),
    [sym_update_expression] = STATE(539),
    [sym_regex] = STATE(539),
    [sym_meta_property] = STATE(539),
    [sym_object] = STATE(702),
    [aux_sym_export_statement_repeat1] = STATE(1016),
    [sym_class] = STATE(539),
    [sym_generator_function] = STATE(539),
    [sym_await_expression] = STATE(539),
    [sym_member_expression] = STATE(701),
    [sym_string] = STATE(539),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(874),
    [sym_parenthesized_expression] = STATE(539),
    [sym_array] = STATE(704),
    [sym_jsx_opening_element] = STATE(875),
    [sym_jsx_self_closing_element] = STATE(539),
    [anon_sym_await] = ACTIONS(217),
    [sym_null] = ACTIONS(1611),
    [anon_sym_class] = ACTIONS(183),
    [anon_sym_static] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(219),
    [anon_sym_DASH] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_delete] = ACTIONS(191),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [anon_sym_LPAREN] = ACTIONS(193),
    [anon_sym_BANG] = ACTIONS(195),
    [sym_this] = ACTIONS(1611),
    [sym_undefined] = ACTIONS(1611),
    [sym_true] = ACTIONS(1611),
    [anon_sym_SLASH] = ACTIONS(223),
    [anon_sym_LBRACK] = ACTIONS(225),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(243),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_TILDE] = ACTIONS(195),
    [sym_super] = ACTIONS(207),
    [sym_identifier] = ACTIONS(253),
    [sym_false] = ACTIONS(1611),
    [anon_sym_LT] = ACTIONS(209),
    [sym_number] = ACTIONS(1613),
    [anon_sym_yield] = ACTIONS(213),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_set] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(251),
    [anon_sym_new] = ACTIONS(231),
    [anon_sym_PLUS] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_void] = ACTIONS(191),
    [anon_sym_typeof] = ACTIONS(191),
  },
  [410] = {
    [sym_arrow_function] = STATE(540),
    [sym_call_expression] = STATE(540),
    [sym_subscript_expression] = STATE(701),
    [sym_assignment_expression] = STATE(540),
    [sym_ternary_expression] = STATE(540),
    [sym_binary_expression] = STATE(540),
    [sym_template_string] = STATE(540),
    [sym__expression] = STATE(540),
    [sym_yield_expression] = STATE(540),
    [sym_jsx_element] = STATE(540),
    [sym_jsx_fragment] = STATE(540),
    [sym_function] = STATE(703),
    [sym_new_expression] = STATE(540),
    [sym_augmented_assignment_expression] = STATE(540),
    [sym_unary_expression] = STATE(540),
    [sym_update_expression] = STATE(540),
    [sym_regex] = STATE(540),
    [sym_meta_property] = STATE(540),
    [sym_object] = STATE(702),
    [aux_sym_export_statement_repeat1] = STATE(1016),
    [sym_class] = STATE(540),
    [sym_generator_function] = STATE(540),
    [sym_await_expression] = STATE(540),
    [sym_member_expression] = STATE(701),
    [sym_string] = STATE(540),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(874),
    [sym_parenthesized_expression] = STATE(540),
    [sym_array] = STATE(704),
    [sym_jsx_opening_element] = STATE(875),
    [sym_jsx_self_closing_element] = STATE(540),
    [anon_sym_await] = ACTIONS(217),
    [sym_null] = ACTIONS(1615),
    [anon_sym_class] = ACTIONS(183),
    [anon_sym_static] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(219),
    [anon_sym_DASH] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_delete] = ACTIONS(191),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [anon_sym_LPAREN] = ACTIONS(193),
    [anon_sym_BANG] = ACTIONS(195),
    [sym_this] = ACTIONS(1615),
    [sym_undefined] = ACTIONS(1615),
    [sym_true] = ACTIONS(1615),
    [anon_sym_SLASH] = ACTIONS(223),
    [anon_sym_LBRACK] = ACTIONS(225),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(243),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_TILDE] = ACTIONS(195),
    [sym_super] = ACTIONS(207),
    [sym_identifier] = ACTIONS(253),
    [sym_false] = ACTIONS(1615),
    [anon_sym_LT] = ACTIONS(209),
    [sym_number] = ACTIONS(1617),
    [anon_sym_yield] = ACTIONS(213),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_set] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(251),
    [anon_sym_new] = ACTIONS(231),
    [anon_sym_PLUS] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_void] = ACTIONS(191),
    [anon_sym_typeof] = ACTIONS(191),
  },
  [411] = {
    [sym_arrow_function] = STATE(541),
    [sym_call_expression] = STATE(541),
    [sym_subscript_expression] = STATE(701),
    [sym_assignment_expression] = STATE(541),
    [sym_ternary_expression] = STATE(541),
    [sym_binary_expression] = STATE(541),
    [sym_template_string] = STATE(541),
    [sym__expression] = STATE(541),
    [sym_yield_expression] = STATE(541),
    [sym_jsx_element] = STATE(541),
    [sym_jsx_fragment] = STATE(541),
    [sym_function] = STATE(703),
    [sym_new_expression] = STATE(541),
    [sym_augmented_assignment_expression] = STATE(541),
    [sym_unary_expression] = STATE(541),
    [sym_update_expression] = STATE(541),
    [sym_regex] = STATE(541),
    [sym_meta_property] = STATE(541),
    [sym_object] = STATE(702),
    [aux_sym_export_statement_repeat1] = STATE(1016),
    [sym_class] = STATE(541),
    [sym_generator_function] = STATE(541),
    [sym_await_expression] = STATE(541),
    [sym_member_expression] = STATE(701),
    [sym_string] = STATE(541),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(874),
    [sym_parenthesized_expression] = STATE(541),
    [sym_array] = STATE(704),
    [sym_jsx_opening_element] = STATE(875),
    [sym_jsx_self_closing_element] = STATE(541),
    [anon_sym_await] = ACTIONS(217),
    [sym_null] = ACTIONS(1619),
    [anon_sym_class] = ACTIONS(183),
    [anon_sym_static] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(219),
    [anon_sym_DASH] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_delete] = ACTIONS(191),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [anon_sym_LPAREN] = ACTIONS(193),
    [anon_sym_BANG] = ACTIONS(195),
    [sym_this] = ACTIONS(1619),
    [sym_undefined] = ACTIONS(1619),
    [sym_true] = ACTIONS(1619),
    [anon_sym_SLASH] = ACTIONS(223),
    [anon_sym_LBRACK] = ACTIONS(225),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(243),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_TILDE] = ACTIONS(195),
    [sym_super] = ACTIONS(207),
    [sym_identifier] = ACTIONS(253),
    [sym_false] = ACTIONS(1619),
    [anon_sym_LT] = ACTIONS(209),
    [sym_number] = ACTIONS(1621),
    [anon_sym_yield] = ACTIONS(213),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_set] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(251),
    [anon_sym_new] = ACTIONS(231),
    [anon_sym_PLUS] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_void] = ACTIONS(191),
    [anon_sym_typeof] = ACTIONS(191),
  },
  [412] = {
    [sym_formal_parameters] = STATE(542),
    [anon_sym_LPAREN] = ACTIONS(139),
    [sym_comment] = ACTIONS(3),
  },
  [413] = {
    [sym_class_body] = STATE(543),
    [sym_class_heritage] = STATE(544),
    [anon_sym_LBRACE] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [anon_sym_extends] = ACTIONS(476),
  },
  [414] = {
    [sym__initializer] = STATE(545),
    [sym_formal_parameters] = STATE(446),
    [sym__automatic_semicolon] = ACTIONS(1623),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_EQ] = ACTIONS(536),
    [anon_sym_SEMI] = ACTIONS(1623),
  },
  [415] = {
    [sym_template_string] = STATE(719),
    [sym_arguments] = STATE(719),
    [anon_sym_instanceof] = ACTIONS(696),
    [anon_sym_GT] = ACTIONS(676),
    [anon_sym_DASH] = ACTIONS(698),
    [anon_sym_CARET] = ACTIONS(700),
    [anon_sym_STAR_STAR] = ACTIONS(702),
    [anon_sym_STAR] = ACTIONS(704),
    [anon_sym_AMP_AMP] = ACTIONS(706),
    [anon_sym_GT_GT] = ACTIONS(704),
    [anon_sym_AMP] = ACTIONS(708),
    [anon_sym_in] = ACTIONS(676),
    [anon_sym_LPAREN] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(696),
    [anon_sym_GT_EQ] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(704),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(710),
    [anon_sym_PIPE] = ACTIONS(712),
    [anon_sym_LT_EQ] = ACTIONS(696),
    [anon_sym_PIPE_PIPE] = ACTIONS(700),
    [anon_sym_GT_GT_GT] = ACTIONS(714),
    [anon_sym_PLUS_PLUS] = ACTIONS(716),
    [anon_sym_BANG_EQ] = ACTIONS(676),
    [anon_sym_LT] = ACTIONS(676),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_RBRACK] = ACTIONS(1625),
    [anon_sym_PLUS] = ACTIONS(698),
    [anon_sym_EQ_EQ] = ACTIONS(676),
    [anon_sym_PERCENT] = ACTIONS(714),
    [anon_sym_QMARK] = ACTIONS(722),
    [anon_sym_LT_LT] = ACTIONS(714),
    [anon_sym_DASH_DASH] = ACTIONS(716),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(696),
  },
  [416] = {
    [anon_sym_get] = ACTIONS(1627),
    [anon_sym_SQUOTE] = ACTIONS(1629),
    [anon_sym_set] = ACTIONS(1627),
    [anon_sym_async] = ACTIONS(1627),
    [anon_sym_AT] = ACTIONS(1629),
    [anon_sym_DQUOTE] = ACTIONS(1629),
    [anon_sym_static] = ACTIONS(1627),
    [anon_sym_LBRACK] = ACTIONS(1629),
    [anon_sym_RBRACE] = ACTIONS(1629),
    [sym_identifier] = ACTIONS(1627),
    [sym_comment] = ACTIONS(3),
    [anon_sym_STAR] = ACTIONS(1629),
    [sym_number] = ACTIONS(1629),
  },
  [417] = {
    [sym__automatic_semicolon] = ACTIONS(1631),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1631),
  },
  [418] = {
    [anon_sym_instanceof] = ACTIONS(1633),
    [sym__automatic_semicolon] = ACTIONS(1635),
    [anon_sym_class] = ACTIONS(1633),
    [anon_sym_DASH] = ACTIONS(1633),
    [anon_sym_STAR] = ACTIONS(1633),
    [anon_sym_AMP] = ACTIONS(1633),
    [anon_sym_throw] = ACTIONS(1633),
    [anon_sym_GT_EQ] = ACTIONS(1635),
    [sym_this] = ACTIONS(1633),
    [anon_sym_case] = ACTIONS(1633),
    [anon_sym_get] = ACTIONS(1633),
    [anon_sym_LT_EQ] = ACTIONS(1635),
    [anon_sym_COMMA] = ACTIONS(1635),
    [anon_sym_PLUS_PLUS] = ACTIONS(1635),
    [anon_sym_RPAREN] = ACTIONS(1635),
    [anon_sym_TILDE] = ACTIONS(1635),
    [anon_sym_LT] = ACTIONS(1633),
    [sym_false] = ACTIONS(1633),
    [anon_sym_yield] = ACTIONS(1633),
    [anon_sym_async] = ACTIONS(1633),
    [anon_sym_const] = ACTIONS(1633),
    [anon_sym_QMARK] = ACTIONS(1635),
    [anon_sym_try] = ACTIONS(1633),
    [anon_sym_await] = ACTIONS(1633),
    [anon_sym_let] = ACTIONS(1633),
    [anon_sym_CARET] = ACTIONS(1635),
    [anon_sym_GT_GT] = ACTIONS(1633),
    [anon_sym_in] = ACTIONS(1633),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1635),
    [anon_sym_SLASH] = ACTIONS(1633),
    [sym_undefined] = ACTIONS(1633),
    [anon_sym_LBRACK] = ACTIONS(1635),
    [anon_sym_else] = ACTIONS(1633),
    [anon_sym_PIPE_PIPE] = ACTIONS(1635),
    [anon_sym_break] = ACTIONS(1633),
    [anon_sym_while] = ACTIONS(1633),
    [anon_sym_DOT] = ACTIONS(1633),
    [anon_sym_BQUOTE] = ACTIONS(1635),
    [anon_sym_PLUS] = ACTIONS(1633),
    [anon_sym_export] = ACTIONS(1633),
    [anon_sym_LT_LT] = ACTIONS(1635),
    [anon_sym_return] = ACTIONS(1633),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1635),
    [anon_sym_static] = ACTIONS(1633),
    [anon_sym_import] = ACTIONS(1633),
    [anon_sym_STAR_STAR] = ACTIONS(1635),
    [anon_sym_LBRACE] = ACTIONS(1635),
    [anon_sym_delete] = ACTIONS(1633),
    [anon_sym_LPAREN] = ACTIONS(1635),
    [anon_sym_BANG] = ACTIONS(1633),
    [sym_true] = ACTIONS(1633),
    [anon_sym_default] = ACTIONS(1633),
    [anon_sym_SEMI] = ACTIONS(1635),
    [anon_sym_DQUOTE] = ACTIONS(1635),
    [sym_super] = ACTIONS(1633),
    [sym_number] = ACTIONS(1635),
    [anon_sym_set] = ACTIONS(1633),
    [anon_sym_var] = ACTIONS(1633),
    [anon_sym_EQ_EQ] = ACTIONS(1633),
    [anon_sym_RBRACE] = ACTIONS(1635),
    [anon_sym_DASH_DASH] = ACTIONS(1635),
    [anon_sym_for] = ACTIONS(1633),
    [anon_sym_typeof] = ACTIONS(1633),
    [anon_sym_GT] = ACTIONS(1633),
    [sym_null] = ACTIONS(1633),
    [anon_sym_function] = ACTIONS(1633),
    [anon_sym_if] = ACTIONS(1633),
    [anon_sym_AMP_AMP] = ACTIONS(1635),
    [anon_sym_with] = ACTIONS(1633),
    [anon_sym_SQUOTE] = ACTIONS(1635),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(1633),
    [anon_sym_GT_GT_GT] = ACTIONS(1635),
    [anon_sym_debugger] = ACTIONS(1633),
    [anon_sym_BANG_EQ] = ACTIONS(1633),
    [sym_identifier] = ACTIONS(1633),
    [ts_builtin_sym_end] = ACTIONS(1635),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_AT] = ACTIONS(1635),
    [anon_sym_switch] = ACTIONS(1633),
    [anon_sym_PERCENT] = ACTIONS(1635),
    [anon_sym_continue] = ACTIONS(1633),
    [anon_sym_void] = ACTIONS(1633),
    [anon_sym_do] = ACTIONS(1633),
  },
  [419] = {
    [sym_method_definition] = STATE(227),
    [sym_string] = STATE(229),
    [aux_sym_export_statement_repeat1] = STATE(217),
    [sym_decorator] = STATE(50),
    [sym_public_field_definition] = STATE(228),
    [sym__property_name] = STATE(229),
    [sym_computed_property_name] = STATE(229),
    [aux_sym_class_body_repeat1] = STATE(419),
    [anon_sym_get] = ACTIONS(1637),
    [anon_sym_SQUOTE] = ACTIONS(1640),
    [anon_sym_set] = ACTIONS(1637),
    [anon_sym_async] = ACTIONS(1643),
    [anon_sym_AT] = ACTIONS(1646),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [anon_sym_static] = ACTIONS(1652),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_RBRACE] = ACTIONS(1658),
    [sym_identifier] = ACTIONS(1660),
    [sym_comment] = ACTIONS(3),
    [anon_sym_STAR] = ACTIONS(1663),
    [sym_number] = ACTIONS(1666),
  },
  [420] = {
    [anon_sym_class] = ACTIONS(1669),
    [anon_sym_static] = ACTIONS(1669),
    [anon_sym_DASH] = ACTIONS(1669),
    [anon_sym_import] = ACTIONS(1669),
    [anon_sym_LBRACE] = ACTIONS(1671),
    [anon_sym_delete] = ACTIONS(1669),
    [anon_sym_throw] = ACTIONS(1669),
    [anon_sym_LPAREN] = ACTIONS(1671),
    [anon_sym_BANG] = ACTIONS(1671),
    [sym_this] = ACTIONS(1669),
    [sym_true] = ACTIONS(1669),
    [anon_sym_case] = ACTIONS(1669),
    [anon_sym_get] = ACTIONS(1669),
    [anon_sym_default] = ACTIONS(1669),
    [anon_sym_PLUS_PLUS] = ACTIONS(1671),
    [anon_sym_SEMI] = ACTIONS(1671),
    [anon_sym_DQUOTE] = ACTIONS(1671),
    [anon_sym_TILDE] = ACTIONS(1671),
    [sym_super] = ACTIONS(1669),
    [anon_sym_LT] = ACTIONS(1671),
    [sym_false] = ACTIONS(1669),
    [sym_number] = ACTIONS(1671),
    [anon_sym_yield] = ACTIONS(1669),
    [anon_sym_set] = ACTIONS(1669),
    [anon_sym_async] = ACTIONS(1669),
    [anon_sym_var] = ACTIONS(1669),
    [anon_sym_const] = ACTIONS(1669),
    [anon_sym_RBRACE] = ACTIONS(1671),
    [anon_sym_DASH_DASH] = ACTIONS(1671),
    [anon_sym_try] = ACTIONS(1669),
    [anon_sym_for] = ACTIONS(1669),
    [anon_sym_typeof] = ACTIONS(1669),
    [anon_sym_await] = ACTIONS(1669),
    [sym_null] = ACTIONS(1669),
    [anon_sym_function] = ACTIONS(1669),
    [anon_sym_let] = ACTIONS(1669),
    [anon_sym_if] = ACTIONS(1669),
    [anon_sym_with] = ACTIONS(1669),
    [anon_sym_SQUOTE] = ACTIONS(1671),
    [anon_sym_SLASH] = ACTIONS(1669),
    [sym_undefined] = ACTIONS(1669),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_else] = ACTIONS(1669),
    [anon_sym_break] = ACTIONS(1669),
    [anon_sym_debugger] = ACTIONS(1669),
    [anon_sym_while] = ACTIONS(1669),
    [sym_identifier] = ACTIONS(1669),
    [anon_sym_BQUOTE] = ACTIONS(1671),
    [ts_builtin_sym_end] = ACTIONS(1671),
    [anon_sym_new] = ACTIONS(1669),
    [anon_sym_AT] = ACTIONS(1671),
    [anon_sym_PLUS] = ACTIONS(1669),
    [anon_sym_switch] = ACTIONS(1669),
    [anon_sym_export] = ACTIONS(1669),
    [anon_sym_continue] = ACTIONS(1669),
    [anon_sym_void] = ACTIONS(1669),
    [anon_sym_return] = ACTIONS(1669),
    [anon_sym_do] = ACTIONS(1669),
  },
  [421] = {
    [anon_sym_instanceof] = ACTIONS(1673),
    [sym__automatic_semicolon] = ACTIONS(1675),
    [anon_sym_class] = ACTIONS(1677),
    [anon_sym_DASH] = ACTIONS(1677),
    [anon_sym_STAR] = ACTIONS(1673),
    [anon_sym_AMP] = ACTIONS(1673),
    [anon_sym_throw] = ACTIONS(1677),
    [anon_sym_GT_EQ] = ACTIONS(1679),
    [sym_this] = ACTIONS(1677),
    [anon_sym_case] = ACTIONS(1677),
    [anon_sym_get] = ACTIONS(1677),
    [anon_sym_LT_EQ] = ACTIONS(1679),
    [anon_sym_COMMA] = ACTIONS(1679),
    [anon_sym_PLUS_PLUS] = ACTIONS(1681),
    [anon_sym_TILDE] = ACTIONS(1681),
    [anon_sym_LT] = ACTIONS(1677),
    [sym_false] = ACTIONS(1677),
    [anon_sym_yield] = ACTIONS(1677),
    [anon_sym_async] = ACTIONS(1677),
    [anon_sym_const] = ACTIONS(1677),
    [anon_sym_QMARK] = ACTIONS(1679),
    [anon_sym_try] = ACTIONS(1677),
    [anon_sym_await] = ACTIONS(1677),
    [anon_sym_let] = ACTIONS(1677),
    [anon_sym_CARET] = ACTIONS(1679),
    [anon_sym_GT_GT] = ACTIONS(1673),
    [anon_sym_in] = ACTIONS(1673),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1679),
    [anon_sym_SLASH] = ACTIONS(1677),
    [sym_undefined] = ACTIONS(1677),
    [anon_sym_LBRACK] = ACTIONS(1681),
    [anon_sym_else] = ACTIONS(1677),
    [anon_sym_PIPE_PIPE] = ACTIONS(1679),
    [anon_sym_break] = ACTIONS(1677),
    [anon_sym_while] = ACTIONS(1677),
    [anon_sym_DOT] = ACTIONS(1673),
    [anon_sym_BQUOTE] = ACTIONS(1681),
    [anon_sym_PLUS] = ACTIONS(1677),
    [anon_sym_export] = ACTIONS(1677),
    [anon_sym_LT_LT] = ACTIONS(1679),
    [anon_sym_return] = ACTIONS(1677),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1679),
    [anon_sym_static] = ACTIONS(1677),
    [anon_sym_import] = ACTIONS(1677),
    [anon_sym_STAR_STAR] = ACTIONS(1679),
    [anon_sym_LBRACE] = ACTIONS(1681),
    [anon_sym_delete] = ACTIONS(1677),
    [anon_sym_LPAREN] = ACTIONS(1681),
    [anon_sym_BANG] = ACTIONS(1677),
    [sym_true] = ACTIONS(1677),
    [anon_sym_default] = ACTIONS(1677),
    [anon_sym_SEMI] = ACTIONS(1681),
    [anon_sym_DQUOTE] = ACTIONS(1681),
    [sym_super] = ACTIONS(1677),
    [sym_number] = ACTIONS(1681),
    [anon_sym_set] = ACTIONS(1677),
    [anon_sym_var] = ACTIONS(1677),
    [anon_sym_EQ_EQ] = ACTIONS(1673),
    [anon_sym_RBRACE] = ACTIONS(1681),
    [anon_sym_DASH_DASH] = ACTIONS(1681),
    [anon_sym_for] = ACTIONS(1677),
    [anon_sym_typeof] = ACTIONS(1677),
    [anon_sym_GT] = ACTIONS(1673),
    [sym_null] = ACTIONS(1677),
    [anon_sym_function] = ACTIONS(1677),
    [anon_sym_if] = ACTIONS(1677),
    [anon_sym_AMP_AMP] = ACTIONS(1679),
    [anon_sym_with] = ACTIONS(1677),
    [anon_sym_SQUOTE] = ACTIONS(1681),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(1673),
    [anon_sym_GT_GT_GT] = ACTIONS(1679),
    [anon_sym_debugger] = ACTIONS(1677),
    [anon_sym_BANG_EQ] = ACTIONS(1673),
    [sym_identifier] = ACTIONS(1677),
    [ts_builtin_sym_end] = ACTIONS(1681),
    [anon_sym_new] = ACTIONS(1677),
    [anon_sym_AT] = ACTIONS(1681),
    [anon_sym_switch] = ACTIONS(1677),
    [anon_sym_PERCENT] = ACTIONS(1679),
    [anon_sym_continue] = ACTIONS(1677),
    [anon_sym_void] = ACTIONS(1677),
    [anon_sym_do] = ACTIONS(1677),
  },
  [422] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1683),
    [sym_escape_sequence] = ACTIONS(1683),
    [sym__template_chars] = ACTIONS(1683),
    [anon_sym_BQUOTE] = ACTIONS(1683),
  },
  [423] = {
    [anon_sym_class] = ACTIONS(1685),
    [anon_sym_DQUOTE] = ACTIONS(1687),
    [anon_sym_static] = ACTIONS(1685),
    [sym_identifier] = ACTIONS(1685),
    [anon_sym_DOT] = ACTIONS(1685),
    [anon_sym_STAR] = ACTIONS(1687),
    [sym_number] = ACTIONS(1687),
    [anon_sym_SQUOTE] = ACTIONS(1687),
    [anon_sym_set] = ACTIONS(1685),
    [anon_sym_LPAREN] = ACTIONS(1687),
    [anon_sym_AT] = ACTIONS(1687),
    [anon_sym_async] = ACTIONS(1685),
    [anon_sym_export] = ACTIONS(1685),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(1687),
    [anon_sym_get] = ACTIONS(1685),
  },
  [424] = {
    [anon_sym_class] = ACTIONS(1689),
    [anon_sym_DQUOTE] = ACTIONS(1691),
    [anon_sym_static] = ACTIONS(1689),
    [sym_identifier] = ACTIONS(1689),
    [anon_sym_DOT] = ACTIONS(1689),
    [anon_sym_STAR] = ACTIONS(1691),
    [sym_number] = ACTIONS(1691),
    [anon_sym_SQUOTE] = ACTIONS(1691),
    [anon_sym_set] = ACTIONS(1689),
    [anon_sym_LPAREN] = ACTIONS(1691),
    [anon_sym_AT] = ACTIONS(1691),
    [anon_sym_async] = ACTIONS(1689),
    [anon_sym_export] = ACTIONS(1689),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(1691),
    [anon_sym_get] = ACTIONS(1689),
  },
  [425] = {
    [anon_sym_instanceof] = ACTIONS(1693),
    [sym__automatic_semicolon] = ACTIONS(1695),
    [anon_sym_class] = ACTIONS(1697),
    [anon_sym_DASH] = ACTIONS(1697),
    [anon_sym_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1693),
    [anon_sym_throw] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1699),
    [sym_this] = ACTIONS(1697),
    [anon_sym_case] = ACTIONS(1697),
    [anon_sym_get] = ACTIONS(1697),
    [anon_sym_LT_EQ] = ACTIONS(1699),
    [anon_sym_COMMA] = ACTIONS(1699),
    [anon_sym_PLUS_PLUS] = ACTIONS(1701),
    [anon_sym_TILDE] = ACTIONS(1701),
    [anon_sym_LT] = ACTIONS(1697),
    [sym_false] = ACTIONS(1697),
    [anon_sym_yield] = ACTIONS(1697),
    [anon_sym_async] = ACTIONS(1697),
    [anon_sym_const] = ACTIONS(1697),
    [anon_sym_QMARK] = ACTIONS(1699),
    [anon_sym_try] = ACTIONS(1697),
    [anon_sym_await] = ACTIONS(1697),
    [anon_sym_let] = ACTIONS(1697),
    [anon_sym_CARET] = ACTIONS(1699),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_in] = ACTIONS(1693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1699),
    [anon_sym_SLASH] = ACTIONS(1697),
    [sym_undefined] = ACTIONS(1697),
    [anon_sym_LBRACK] = ACTIONS(1701),
    [anon_sym_else] = ACTIONS(1697),
    [anon_sym_PIPE_PIPE] = ACTIONS(1699),
    [anon_sym_break] = ACTIONS(1697),
    [anon_sym_while] = ACTIONS(1697),
    [anon_sym_DOT] = ACTIONS(1693),
    [anon_sym_BQUOTE] = ACTIONS(1701),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_export] = ACTIONS(1697),
    [anon_sym_LT_LT] = ACTIONS(1699),
    [anon_sym_return] = ACTIONS(1697),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1699),
    [anon_sym_static] = ACTIONS(1697),
    [anon_sym_import] = ACTIONS(1697),
    [anon_sym_STAR_STAR] = ACTIONS(1699),
    [anon_sym_LBRACE] = ACTIONS(1701),
    [anon_sym_delete] = ACTIONS(1697),
    [anon_sym_LPAREN] = ACTIONS(1701),
    [anon_sym_BANG] = ACTIONS(1697),
    [sym_true] = ACTIONS(1697),
    [anon_sym_default] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1701),
    [anon_sym_DQUOTE] = ACTIONS(1701),
    [sym_super] = ACTIONS(1697),
    [sym_number] = ACTIONS(1701),
    [anon_sym_set] = ACTIONS(1697),
    [anon_sym_var] = ACTIONS(1697),
    [anon_sym_EQ_EQ] = ACTIONS(1693),
    [anon_sym_RBRACE] = ACTIONS(1701),
    [anon_sym_DASH_DASH] = ACTIONS(1701),
    [anon_sym_for] = ACTIONS(1697),
    [anon_sym_typeof] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1693),
    [sym_null] = ACTIONS(1697),
    [anon_sym_function] = ACTIONS(1697),
    [anon_sym_if] = ACTIONS(1697),
    [anon_sym_AMP_AMP] = ACTIONS(1699),
    [anon_sym_with] = ACTIONS(1697),
    [anon_sym_SQUOTE] = ACTIONS(1701),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(1693),
    [anon_sym_GT_GT_GT] = ACTIONS(1699),
    [anon_sym_debugger] = ACTIONS(1697),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [sym_identifier] = ACTIONS(1697),
    [ts_builtin_sym_end] = ACTIONS(1701),
    [anon_sym_new] = ACTIONS(1697),
    [anon_sym_AT] = ACTIONS(1701),
    [anon_sym_switch] = ACTIONS(1697),
    [anon_sym_PERCENT] = ACTIONS(1699),
    [anon_sym_continue] = ACTIONS(1697),
    [anon_sym_void] = ACTIONS(1697),
    [anon_sym_do] = ACTIONS(1697),
  },
  [426] = {
    [sym_statement_block] = STATE(549),
    [anon_sym_LBRACE] = ACTIONS(532),
    [sym_comment] = ACTIONS(3),
  },
  [427] = {
    [anon_sym_instanceof] = ACTIONS(1703),
    [anon_sym_GT] = ACTIONS(1705),
    [sym__automatic_semicolon] = ACTIONS(1703),
    [anon_sym_DASH] = ACTIONS(1705),
    [anon_sym_CARET] = ACTIONS(1703),
    [anon_sym_STAR_STAR] = ACTIONS(1703),
    [anon_sym_STAR] = ACTIONS(1705),
    [anon_sym_AMP_AMP] = ACTIONS(1703),
    [anon_sym_GT_GT] = ACTIONS(1705),
    [anon_sym_AMP] = ACTIONS(1705),
    [anon_sym_in] = ACTIONS(1705),
    [anon_sym_LPAREN] = ACTIONS(1703),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1703),
    [anon_sym_SLASH] = ACTIONS(1705),
    [anon_sym_GT_EQ] = ACTIONS(1703),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(1703),
    [anon_sym_PIPE] = ACTIONS(1705),
    [anon_sym_LT_EQ] = ACTIONS(1703),
    [anon_sym_PIPE_PIPE] = ACTIONS(1703),
    [anon_sym_COMMA] = ACTIONS(1703),
    [anon_sym_GT_GT_GT] = ACTIONS(1703),
    [anon_sym_SEMI] = ACTIONS(1703),
    [anon_sym_PLUS_PLUS] = ACTIONS(1703),
    [anon_sym_BANG_EQ] = ACTIONS(1705),
    [anon_sym_RPAREN] = ACTIONS(1703),
    [anon_sym_LT] = ACTIONS(1705),
    [anon_sym_DOT] = ACTIONS(1703),
    [anon_sym_BQUOTE] = ACTIONS(1703),
    [anon_sym_PLUS] = ACTIONS(1705),
    [anon_sym_EQ_EQ] = ACTIONS(1705),
    [anon_sym_PERCENT] = ACTIONS(1703),
    [anon_sym_QMARK] = ACTIONS(1703),
    [anon_sym_LT_LT] = ACTIONS(1703),
    [anon_sym_DASH_DASH] = ACTIONS(1703),
    [anon_sym_RBRACE] = ACTIONS(1703),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1703),
  },
  [428] = {
    [sym_template_string] = STATE(141),
    [sym_arguments] = STATE(141),
    [sym__automatic_semicolon] = ACTIONS(1707),
    [anon_sym_instanceof] = ACTIONS(392),
    [anon_sym_GT] = ACTIONS(287),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_CARET] = ACTIONS(396),
    [anon_sym_STAR_STAR] = ACTIONS(398),
    [anon_sym_STAR] = ACTIONS(400),
    [anon_sym_AMP_AMP] = ACTIONS(402),
    [anon_sym_GT_GT] = ACTIONS(400),
    [anon_sym_AMP] = ACTIONS(404),
    [anon_sym_in] = ACTIONS(287),
    [anon_sym_LPAREN] = ACTIONS(271),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(392),
    [anon_sym_GT_EQ] = ACTIONS(392),
    [anon_sym_SLASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(273),
    [anon_sym_PIPE] = ACTIONS(406),
    [anon_sym_LT_EQ] = ACTIONS(392),
    [anon_sym_PIPE_PIPE] = ACTIONS(396),
    [anon_sym_COMMA] = ACTIONS(1707),
    [anon_sym_GT_GT_GT] = ACTIONS(408),
    [anon_sym_SEMI] = ACTIONS(1707),
    [anon_sym_PLUS_PLUS] = ACTIONS(410),
    [anon_sym_BANG_EQ] = ACTIONS(287),
    [anon_sym_LT] = ACTIONS(287),
    [anon_sym_DOT] = ACTIONS(275),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_EQ_EQ] = ACTIONS(287),
    [anon_sym_PERCENT] = ACTIONS(408),
    [anon_sym_QMARK] = ACTIONS(414),
    [anon_sym_LT_LT] = ACTIONS(408),
    [anon_sym_DASH_DASH] = ACTIONS(410),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(392),
  },
  [429] = {
    [sym__automatic_semicolon] = ACTIONS(1709),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(1709),
    [anon_sym_SEMI] = ACTIONS(1709),
  },
  [430] = {
    [anon_sym_class] = ACTIONS(1711),
    [anon_sym_static] = ACTIONS(1711),
    [anon_sym_DASH] = ACTIONS(1711),
    [anon_sym_import] = ACTIONS(1711),
    [anon_sym_LBRACE] = ACTIONS(1713),
    [anon_sym_delete] = ACTIONS(1711),
    [anon_sym_throw] = ACTIONS(1711),
    [anon_sym_LPAREN] = ACTIONS(1713),
    [anon_sym_BANG] = ACTIONS(1713),
    [sym_this] = ACTIONS(1711),
    [sym_true] = ACTIONS(1711),
    [anon_sym_case] = ACTIONS(1711),
    [anon_sym_get] = ACTIONS(1711),
    [anon_sym_default] = ACTIONS(1711),
    [anon_sym_PLUS_PLUS] = ACTIONS(1713),
    [anon_sym_SEMI] = ACTIONS(1713),
    [anon_sym_DQUOTE] = ACTIONS(1713),
    [anon_sym_TILDE] = ACTIONS(1713),
    [sym_super] = ACTIONS(1711),
    [anon_sym_LT] = ACTIONS(1713),
    [sym_false] = ACTIONS(1711),
    [sym_number] = ACTIONS(1713),
    [anon_sym_yield] = ACTIONS(1711),
    [anon_sym_set] = ACTIONS(1711),
    [anon_sym_async] = ACTIONS(1711),
    [anon_sym_var] = ACTIONS(1711),
    [anon_sym_const] = ACTIONS(1711),
    [anon_sym_RBRACE] = ACTIONS(1713),
    [anon_sym_DASH_DASH] = ACTIONS(1713),
    [anon_sym_try] = ACTIONS(1711),
    [anon_sym_for] = ACTIONS(1711),
    [anon_sym_typeof] = ACTIONS(1711),
    [anon_sym_await] = ACTIONS(1711),
    [sym_null] = ACTIONS(1711),
    [anon_sym_function] = ACTIONS(1711),
    [anon_sym_let] = ACTIONS(1711),
    [anon_sym_if] = ACTIONS(1711),
    [anon_sym_with] = ACTIONS(1711),
    [anon_sym_SQUOTE] = ACTIONS(1713),
    [anon_sym_SLASH] = ACTIONS(1711),
    [sym_undefined] = ACTIONS(1711),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(1713),
    [anon_sym_else] = ACTIONS(1711),
    [anon_sym_break] = ACTIONS(1711),
    [anon_sym_debugger] = ACTIONS(1711),
    [anon_sym_while] = ACTIONS(1711),
    [sym_identifier] = ACTIONS(1711),
    [anon_sym_BQUOTE] = ACTIONS(1713),
    [ts_builtin_sym_end] = ACTIONS(1713),
    [anon_sym_new] = ACTIONS(1711),
    [anon_sym_AT] = ACTIONS(1713),
    [anon_sym_PLUS] = ACTIONS(1711),
    [anon_sym_switch] = ACTIONS(1711),
    [anon_sym_export] = ACTIONS(1711),
    [anon_sym_continue] = ACTIONS(1711),
    [anon_sym_void] = ACTIONS(1711),
    [anon_sym_return] = ACTIONS(1711),
    [anon_sym_do] = ACTIONS(1711),
  },
  [431] = {
    [aux_sym_variable_declaration_repeat1] = STATE(431),
    [sym__automatic_semicolon] = ACTIONS(1709),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(1715),
    [anon_sym_SEMI] = ACTIONS(1709),
  },
  [432] = {
    [sym_identifier] = ACTIONS(1718),
    [sym_comment] = ACTIONS(3),
  },
  [433] = {
    [anon_sym_from] = ACTIONS(1720),
    [sym_comment] = ACTIONS(3),
  },
  [434] = {
    [sym__import_export_specifier] = STATE(552),
    [sym_identifier] = ACTIONS(548),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACE] = ACTIONS(1722),
  },
  [435] = {
    [anon_sym_from] = ACTIONS(1724),
    [sym_comment] = ACTIONS(3),
  },
  [436] = {
    [aux_sym_named_imports_repeat1] = STATE(554),
    [anon_sym_COMMA] = ACTIONS(1726),
    [anon_sym_RBRACE] = ACTIONS(1722),
    [sym_comment] = ACTIONS(3),
  },
  [437] = {
    [anon_sym_from] = ACTIONS(1728),
    [sym_comment] = ACTIONS(3),
  },
  [438] = {
    [anon_sym_from] = ACTIONS(1730),
    [sym_comment] = ACTIONS(3),
  },
  [439] = {
    [sym__automatic_semicolon] = ACTIONS(1732),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1732),
  },
  [440] = {
    [anon_sym_class] = ACTIONS(1734),
    [anon_sym_static] = ACTIONS(1734),
    [anon_sym_DASH] = ACTIONS(1734),
    [anon_sym_import] = ACTIONS(1734),
    [anon_sym_LBRACE] = ACTIONS(1736),
    [anon_sym_delete] = ACTIONS(1734),
    [anon_sym_throw] = ACTIONS(1734),
    [anon_sym_LPAREN] = ACTIONS(1736),
    [anon_sym_BANG] = ACTIONS(1736),
    [sym_this] = ACTIONS(1734),
    [sym_true] = ACTIONS(1734),
    [anon_sym_case] = ACTIONS(1734),
    [anon_sym_get] = ACTIONS(1734),
    [anon_sym_default] = ACTIONS(1734),
    [anon_sym_PLUS_PLUS] = ACTIONS(1736),
    [anon_sym_SEMI] = ACTIONS(1736),
    [anon_sym_DQUOTE] = ACTIONS(1736),
    [anon_sym_TILDE] = ACTIONS(1736),
    [sym_super] = ACTIONS(1734),
    [anon_sym_LT] = ACTIONS(1736),
    [sym_false] = ACTIONS(1734),
    [sym_number] = ACTIONS(1736),
    [anon_sym_yield] = ACTIONS(1734),
    [anon_sym_set] = ACTIONS(1734),
    [anon_sym_async] = ACTIONS(1734),
    [anon_sym_var] = ACTIONS(1734),
    [anon_sym_const] = ACTIONS(1734),
    [anon_sym_RBRACE] = ACTIONS(1736),
    [anon_sym_DASH_DASH] = ACTIONS(1736),
    [anon_sym_try] = ACTIONS(1734),
    [anon_sym_for] = ACTIONS(1734),
    [anon_sym_typeof] = ACTIONS(1734),
    [anon_sym_await] = ACTIONS(1734),
    [sym_null] = ACTIONS(1734),
    [anon_sym_function] = ACTIONS(1734),
    [anon_sym_let] = ACTIONS(1734),
    [anon_sym_if] = ACTIONS(1734),
    [anon_sym_with] = ACTIONS(1734),
    [anon_sym_SQUOTE] = ACTIONS(1736),
    [anon_sym_SLASH] = ACTIONS(1734),
    [sym_undefined] = ACTIONS(1734),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(1736),
    [anon_sym_else] = ACTIONS(1734),
    [anon_sym_break] = ACTIONS(1734),
    [anon_sym_debugger] = ACTIONS(1734),
    [anon_sym_while] = ACTIONS(1734),
    [sym_identifier] = ACTIONS(1734),
    [anon_sym_BQUOTE] = ACTIONS(1736),
    [ts_builtin_sym_end] = ACTIONS(1736),
    [anon_sym_new] = ACTIONS(1734),
    [anon_sym_AT] = ACTIONS(1736),
    [anon_sym_PLUS] = ACTIONS(1734),
    [anon_sym_switch] = ACTIONS(1734),
    [anon_sym_export] = ACTIONS(1734),
    [anon_sym_continue] = ACTIONS(1734),
    [anon_sym_void] = ACTIONS(1734),
    [anon_sym_return] = ACTIONS(1734),
    [anon_sym_do] = ACTIONS(1734),
  },
  [441] = {
    [sym_arrow_function] = STATE(46),
    [sym__declaration] = STATE(555),
    [sym_subscript_expression] = STATE(42),
    [sym_ternary_expression] = STATE(46),
    [sym_if_statement] = STATE(555),
    [sym_template_string] = STATE(46),
    [sym_do_statement] = STATE(555),
    [sym_return_statement] = STATE(555),
    [sym_yield_expression] = STATE(46),
    [sym_jsx_fragment] = STATE(46),
    [sym_function_declaration] = STATE(555),
    [sym_import_statement] = STATE(555),
    [sym_expression_statement] = STATE(555),
    [sym_switch_statement] = STATE(555),
    [sym_update_expression] = STATE(46),
    [sym_try_statement] = STATE(555),
    [sym_meta_property] = STATE(46),
    [sym_throw_statement] = STATE(555),
    [sym_object] = STATE(43),
    [aux_sym_export_statement_repeat1] = STATE(44),
    [sym_generator_function] = STATE(46),
    [sym_await_expression] = STATE(46),
    [sym_sequence_expression] = STATE(45),
    [sym_for_of_statement] = STATE(555),
    [sym_continue_statement] = STATE(555),
    [sym_call_expression] = STATE(46),
    [sym_assignment_expression] = STATE(46),
    [sym_statement_block] = STATE(555),
    [sym_binary_expression] = STATE(46),
    [sym_while_statement] = STATE(555),
    [sym_debugger_statement] = STATE(555),
    [sym__expression] = STATE(46),
    [sym_jsx_element] = STATE(46),
    [sym_function] = STATE(47),
    [sym_new_expression] = STATE(46),
    [sym_augmented_assignment_expression] = STATE(46),
    [sym_variable_declaration] = STATE(555),
    [sym_unary_expression] = STATE(46),
    [sym_for_statement] = STATE(555),
    [sym_regex] = STATE(46),
    [sym_with_statement] = STATE(555),
    [sym_empty_statement] = STATE(555),
    [sym_class] = STATE(46),
    [sym_export_statement] = STATE(555),
    [sym_generator_function_declaration] = STATE(555),
    [sym_member_expression] = STATE(42),
    [sym_lexical_declaration] = STATE(555),
    [sym_for_in_statement] = STATE(555),
    [sym_string] = STATE(46),
    [sym_break_statement] = STATE(555),
    [sym_decorator] = STATE(50),
    [sym_labeled_statement] = STATE(555),
    [sym_formal_parameters] = STATE(51),
    [sym_parenthesized_expression] = STATE(46),
    [sym_array] = STATE(52),
    [sym_jsx_opening_element] = STATE(53),
    [sym_jsx_self_closing_element] = STATE(46),
    [sym_class_declaration] = STATE(555),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_delete] = ACTIONS(39),
    [anon_sym_throw] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [anon_sym_get] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(69),
    [sym_false] = ACTIONS(9),
    [sym_number] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_set] = ACTIONS(23),
    [anon_sym_async] = ACTIONS(81),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_try] = ACTIONS(15),
    [anon_sym_for] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(5),
    [sym_null] = ACTIONS(9),
    [anon_sym_function] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(35),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_SLASH] = ACTIONS(45),
    [sym_undefined] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(61),
    [sym_identifier] = ACTIONS(65),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_switch] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(13),
    [anon_sym_void] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_do] = ACTIONS(21),
  },
  [442] = {
    [sym_formal_parameters] = STATE(556),
    [anon_sym_LPAREN] = ACTIONS(139),
    [sym_comment] = ACTIONS(3),
  },
  [443] = {
    [sym_computed_property_name] = STATE(557),
    [sym_string] = STATE(557),
    [sym__property_name] = STATE(557),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_static] = ACTIONS(568),
    [sym_identifier] = ACTIONS(568),
    [sym_number] = ACTIONS(1738),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [anon_sym_set] = ACTIONS(568),
    [anon_sym_async] = ACTIONS(568),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(589),
    [anon_sym_get] = ACTIONS(568),
  },
  [444] = {
    [sym_computed_property_name] = STATE(557),
    [sym_string] = STATE(557),
    [sym__property_name] = STATE(557),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_static] = ACTIONS(568),
    [sym_identifier] = ACTIONS(568),
    [sym_number] = ACTIONS(1738),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [anon_sym_set] = ACTIONS(568),
    [anon_sym_LPAREN] = ACTIONS(566),
    [anon_sym_async] = ACTIONS(568),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(589),
    [anon_sym_get] = ACTIONS(568),
  },
  [445] = {
    [anon_sym_instanceof] = ACTIONS(1740),
    [sym__automatic_semicolon] = ACTIONS(1740),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_STAR_STAR] = ACTIONS(1740),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym_GT_EQ] = ACTIONS(1740),
    [anon_sym_LPAREN] = ACTIONS(1740),
    [anon_sym_LT_EQ] = ACTIONS(1740),
    [anon_sym_COMMA] = ACTIONS(1740),
    [anon_sym_PLUS_PLUS] = ACTIONS(1740),
    [anon_sym_SEMI] = ACTIONS(1740),
    [anon_sym_RPAREN] = ACTIONS(1740),
    [anon_sym_LT] = ACTIONS(1742),
    [anon_sym_EQ_EQ] = ACTIONS(1742),
    [anon_sym_QMARK] = ACTIONS(1740),
    [anon_sym_RBRACE] = ACTIONS(1740),
    [anon_sym_DASH_DASH] = ACTIONS(1740),
    [anon_sym_GT] = ACTIONS(1742),
    [anon_sym_EQ] = ACTIONS(1742),
    [anon_sym_CARET] = ACTIONS(1740),
    [anon_sym_AMP_AMP] = ACTIONS(1740),
    [anon_sym_GT_GT] = ACTIONS(1742),
    [anon_sym_in] = ACTIONS(1742),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1740),
    [anon_sym_of] = ACTIONS(1740),
    [anon_sym_SLASH] = ACTIONS(1742),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(1740),
    [anon_sym_PIPE] = ACTIONS(1742),
    [anon_sym_PIPE_PIPE] = ACTIONS(1740),
    [anon_sym_GT_GT_GT] = ACTIONS(1740),
    [anon_sym_BANG_EQ] = ACTIONS(1742),
    [anon_sym_DOT] = ACTIONS(1740),
    [anon_sym_BQUOTE] = ACTIONS(1740),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_PERCENT] = ACTIONS(1740),
    [anon_sym_LT_LT] = ACTIONS(1740),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1740),
  },
  [446] = {
    [sym_statement_block] = STATE(558),
    [anon_sym_LBRACE] = ACTIONS(354),
    [sym_comment] = ACTIONS(3),
  },
  [447] = {
    [anon_sym_instanceof] = ACTIONS(1386),
    [anon_sym_GT] = ACTIONS(1388),
    [sym__automatic_semicolon] = ACTIONS(1386),
    [anon_sym_COLON] = ACTIONS(1744),
    [anon_sym_EQ] = ACTIONS(1388),
    [anon_sym_DASH] = ACTIONS(1388),
    [anon_sym_CARET] = ACTIONS(1386),
    [anon_sym_STAR_STAR] = ACTIONS(1386),
    [anon_sym_STAR] = ACTIONS(1388),
    [anon_sym_AMP_AMP] = ACTIONS(1386),
    [anon_sym_GT_GT] = ACTIONS(1388),
    [anon_sym_AMP] = ACTIONS(1388),
    [anon_sym_in] = ACTIONS(1388),
    [anon_sym_LPAREN] = ACTIONS(1746),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1386),
    [anon_sym_SLASH] = ACTIONS(1388),
    [anon_sym_GT_EQ] = ACTIONS(1386),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(1386),
    [anon_sym_PIPE] = ACTIONS(1388),
    [anon_sym_LT_EQ] = ACTIONS(1386),
    [anon_sym_PIPE_PIPE] = ACTIONS(1386),
    [anon_sym_COMMA] = ACTIONS(1386),
    [anon_sym_GT_GT_GT] = ACTIONS(1386),
    [anon_sym_SEMI] = ACTIONS(1386),
    [anon_sym_PLUS_PLUS] = ACTIONS(1386),
    [anon_sym_BANG_EQ] = ACTIONS(1388),
    [anon_sym_LT] = ACTIONS(1388),
    [anon_sym_DOT] = ACTIONS(1386),
    [anon_sym_BQUOTE] = ACTIONS(1386),
    [anon_sym_PLUS] = ACTIONS(1388),
    [anon_sym_EQ_EQ] = ACTIONS(1388),
    [anon_sym_PERCENT] = ACTIONS(1386),
    [anon_sym_QMARK] = ACTIONS(1386),
    [anon_sym_LT_LT] = ACTIONS(1386),
    [anon_sym_DASH_DASH] = ACTIONS(1386),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1386),
  },
  [448] = {
    [sym_template_string] = STATE(141),
    [sym_arguments] = STATE(141),
    [anon_sym_instanceof] = ACTIONS(1749),
    [anon_sym_GT] = ACTIONS(1751),
    [sym__automatic_semicolon] = ACTIONS(1427),
    [anon_sym_DASH] = ACTIONS(1753),
    [anon_sym_CARET] = ACTIONS(1755),
    [anon_sym_STAR_STAR] = ACTIONS(1757),
    [anon_sym_STAR] = ACTIONS(1759),
    [anon_sym_AMP_AMP] = ACTIONS(1761),
    [anon_sym_GT_GT] = ACTIONS(1759),
    [anon_sym_AMP] = ACTIONS(1763),
    [anon_sym_in] = ACTIONS(1751),
    [anon_sym_LPAREN] = ACTIONS(271),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1749),
    [anon_sym_SLASH] = ACTIONS(1759),
    [anon_sym_GT_EQ] = ACTIONS(1749),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(273),
    [anon_sym_PIPE] = ACTIONS(1765),
    [anon_sym_LT_EQ] = ACTIONS(1749),
    [anon_sym_PIPE_PIPE] = ACTIONS(1755),
    [anon_sym_COMMA] = ACTIONS(1767),
    [anon_sym_GT_GT_GT] = ACTIONS(1770),
    [anon_sym_SEMI] = ACTIONS(1427),
    [anon_sym_PLUS_PLUS] = ACTIONS(410),
    [anon_sym_BANG_EQ] = ACTIONS(1751),
    [anon_sym_LT] = ACTIONS(1751),
    [anon_sym_DOT] = ACTIONS(275),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1753),
    [anon_sym_EQ_EQ] = ACTIONS(1751),
    [anon_sym_PERCENT] = ACTIONS(1770),
    [anon_sym_QMARK] = ACTIONS(1772),
    [anon_sym_RBRACE] = ACTIONS(1774),
    [anon_sym_LT_LT] = ACTIONS(1770),
    [anon_sym_DASH_DASH] = ACTIONS(410),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1749),
  },
  [449] = {
    [anon_sym_instanceof] = ACTIONS(1776),
    [sym__automatic_semicolon] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1778),
    [anon_sym_STAR_STAR] = ACTIONS(1776),
    [anon_sym_STAR] = ACTIONS(1778),
    [anon_sym_AMP] = ACTIONS(1778),
    [anon_sym_GT_EQ] = ACTIONS(1776),
    [anon_sym_LPAREN] = ACTIONS(1776),
    [anon_sym_LT_EQ] = ACTIONS(1776),
    [anon_sym_COMMA] = ACTIONS(1776),
    [anon_sym_PLUS_PLUS] = ACTIONS(1776),
    [anon_sym_SEMI] = ACTIONS(1776),
    [anon_sym_RPAREN] = ACTIONS(1776),
    [anon_sym_LT] = ACTIONS(1778),
    [anon_sym_EQ_EQ] = ACTIONS(1778),
    [anon_sym_QMARK] = ACTIONS(1776),
    [anon_sym_RBRACE] = ACTIONS(1776),
    [anon_sym_DASH_DASH] = ACTIONS(1776),
    [anon_sym_GT] = ACTIONS(1778),
    [anon_sym_EQ] = ACTIONS(1778),
    [anon_sym_CARET] = ACTIONS(1776),
    [anon_sym_AMP_AMP] = ACTIONS(1776),
    [anon_sym_GT_GT] = ACTIONS(1778),
    [anon_sym_in] = ACTIONS(1778),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1776),
    [anon_sym_of] = ACTIONS(1776),
    [anon_sym_SLASH] = ACTIONS(1778),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(1776),
    [anon_sym_PIPE] = ACTIONS(1778),
    [anon_sym_PIPE_PIPE] = ACTIONS(1776),
    [anon_sym_GT_GT_GT] = ACTIONS(1776),
    [anon_sym_BANG_EQ] = ACTIONS(1778),
    [anon_sym_DOT] = ACTIONS(1776),
    [anon_sym_BQUOTE] = ACTIONS(1776),
    [anon_sym_PLUS] = ACTIONS(1778),
    [anon_sym_PERCENT] = ACTIONS(1776),
    [anon_sym_LT_LT] = ACTIONS(1776),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1776),
  },
  [450] = {
    [sym_template_string] = STATE(141),
    [sym_arguments] = STATE(141),
    [anon_sym_instanceof] = ACTIONS(1749),
    [anon_sym_GT] = ACTIONS(1751),
    [sym__automatic_semicolon] = ACTIONS(1570),
    [anon_sym_DASH] = ACTIONS(1753),
    [anon_sym_CARET] = ACTIONS(1755),
    [anon_sym_STAR_STAR] = ACTIONS(1757),
    [anon_sym_STAR] = ACTIONS(1759),
    [anon_sym_AMP_AMP] = ACTIONS(1761),
    [anon_sym_GT_GT] = ACTIONS(1759),
    [anon_sym_AMP] = ACTIONS(1763),
    [anon_sym_in] = ACTIONS(1751),
    [anon_sym_LPAREN] = ACTIONS(271),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1749),
    [anon_sym_SLASH] = ACTIONS(1759),
    [anon_sym_GT_EQ] = ACTIONS(1749),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(273),
    [anon_sym_PIPE] = ACTIONS(1765),
    [anon_sym_LT_EQ] = ACTIONS(1749),
    [anon_sym_PIPE_PIPE] = ACTIONS(1755),
    [anon_sym_COMMA] = ACTIONS(1780),
    [anon_sym_GT_GT_GT] = ACTIONS(1770),
    [anon_sym_SEMI] = ACTIONS(1570),
    [anon_sym_PLUS_PLUS] = ACTIONS(410),
    [anon_sym_BANG_EQ] = ACTIONS(1751),
    [anon_sym_LT] = ACTIONS(1751),
    [anon_sym_DOT] = ACTIONS(275),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1753),
    [anon_sym_EQ_EQ] = ACTIONS(1751),
    [anon_sym_PERCENT] = ACTIONS(1770),
    [anon_sym_QMARK] = ACTIONS(1772),
    [anon_sym_RBRACE] = ACTIONS(1783),
    [anon_sym_LT_LT] = ACTIONS(1770),
    [anon_sym_DASH_DASH] = ACTIONS(410),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1749),
  },
  [451] = {
    [sym_computed_property_name] = STATE(557),
    [sym_string] = STATE(557),
    [sym__property_name] = STATE(557),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_static] = ACTIONS(568),
    [sym_identifier] = ACTIONS(568),
    [anon_sym_STAR] = ACTIONS(1785),
    [sym_number] = ACTIONS(1738),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [anon_sym_set] = ACTIONS(1787),
    [anon_sym_LPAREN] = ACTIONS(566),
    [anon_sym_async] = ACTIONS(568),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(589),
    [anon_sym_get] = ACTIONS(1787),
  },
  [452] = {
    [sym_template_string] = STATE(719),
    [sym_arguments] = STATE(719),
    [anon_sym_instanceof] = ACTIONS(696),
    [anon_sym_GT] = ACTIONS(676),
    [anon_sym_DASH] = ACTIONS(698),
    [anon_sym_CARET] = ACTIONS(700),
    [anon_sym_STAR_STAR] = ACTIONS(702),
    [anon_sym_STAR] = ACTIONS(704),
    [anon_sym_AMP_AMP] = ACTIONS(706),
    [anon_sym_GT_GT] = ACTIONS(704),
    [anon_sym_AMP] = ACTIONS(708),
    [anon_sym_in] = ACTIONS(676),
    [anon_sym_LPAREN] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(696),
    [anon_sym_GT_EQ] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(704),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(710),
    [anon_sym_PIPE] = ACTIONS(712),
    [anon_sym_LT_EQ] = ACTIONS(696),
    [anon_sym_PIPE_PIPE] = ACTIONS(700),
    [anon_sym_COMMA] = ACTIONS(1789),
    [anon_sym_GT_GT_GT] = ACTIONS(714),
    [anon_sym_PLUS_PLUS] = ACTIONS(716),
    [anon_sym_BANG_EQ] = ACTIONS(676),
    [anon_sym_LT] = ACTIONS(676),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_PLUS] = ACTIONS(698),
    [anon_sym_EQ_EQ] = ACTIONS(676),
    [anon_sym_PERCENT] = ACTIONS(714),
    [anon_sym_QMARK] = ACTIONS(722),
    [anon_sym_RBRACE] = ACTIONS(1789),
    [anon_sym_LT_LT] = ACTIONS(714),
    [anon_sym_DASH_DASH] = ACTIONS(716),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(696),
  },
  [453] = {
    [anon_sym_COMMA] = ACTIONS(1791),
    [anon_sym_SEMI] = ACTIONS(1791),
    [anon_sym_DQUOTE] = ACTIONS(1791),
    [anon_sym_static] = ACTIONS(1793),
    [sym_identifier] = ACTIONS(1793),
    [anon_sym_STAR] = ACTIONS(1791),
    [sym_number] = ACTIONS(1791),
    [anon_sym_SQUOTE] = ACTIONS(1791),
    [anon_sym_set] = ACTIONS(1793),
    [anon_sym_async] = ACTIONS(1793),
    [anon_sym_AT] = ACTIONS(1791),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACE] = ACTIONS(1791),
    [anon_sym_LBRACK] = ACTIONS(1791),
    [anon_sym_get] = ACTIONS(1793),
  },
  [454] = {
    [sym_template_string] = STATE(141),
    [sym_arguments] = STATE(141),
    [anon_sym_instanceof] = ACTIONS(1749),
    [anon_sym_GT] = ACTIONS(1751),
    [sym__automatic_semicolon] = ACTIONS(1588),
    [anon_sym_DASH] = ACTIONS(1753),
    [anon_sym_CARET] = ACTIONS(1755),
    [anon_sym_STAR_STAR] = ACTIONS(1757),
    [anon_sym_STAR] = ACTIONS(1759),
    [anon_sym_AMP_AMP] = ACTIONS(1761),
    [anon_sym_GT_GT] = ACTIONS(1759),
    [anon_sym_AMP] = ACTIONS(1763),
    [anon_sym_in] = ACTIONS(1751),
    [anon_sym_LPAREN] = ACTIONS(271),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1749),
    [anon_sym_SLASH] = ACTIONS(1759),
    [anon_sym_GT_EQ] = ACTIONS(1749),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(273),
    [anon_sym_PIPE] = ACTIONS(1765),
    [anon_sym_LT_EQ] = ACTIONS(1749),
    [anon_sym_PIPE_PIPE] = ACTIONS(1755),
    [anon_sym_COMMA] = ACTIONS(1795),
    [anon_sym_GT_GT_GT] = ACTIONS(1770),
    [anon_sym_SEMI] = ACTIONS(1588),
    [anon_sym_PLUS_PLUS] = ACTIONS(410),
    [anon_sym_BANG_EQ] = ACTIONS(1751),
    [anon_sym_LT] = ACTIONS(1751),
    [anon_sym_DOT] = ACTIONS(275),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1753),
    [anon_sym_EQ_EQ] = ACTIONS(1751),
    [anon_sym_PERCENT] = ACTIONS(1770),
    [anon_sym_QMARK] = ACTIONS(1772),
    [anon_sym_RBRACE] = ACTIONS(1798),
    [anon_sym_LT_LT] = ACTIONS(1770),
    [anon_sym_DASH_DASH] = ACTIONS(410),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1749),
  },
  [455] = {
    [anon_sym_COMMA] = ACTIONS(1800),
    [anon_sym_RPAREN] = ACTIONS(1800),
    [sym_comment] = ACTIONS(3),
  },
  [456] = {
    [anon_sym_LBRACE] = ACTIONS(1802),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(1802),
  },
  [457] = {
    [anon_sym_RPAREN] = ACTIONS(1804),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(1804),
    [anon_sym_EQ] = ACTIONS(1120),
  },
  [458] = {
    [anon_sym_RPAREN] = ACTIONS(1806),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(1806),
    [anon_sym_EQ] = ACTIONS(1124),
  },
  [459] = {
    [anon_sym_RPAREN] = ACTIONS(1808),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(1808),
    [anon_sym_EQ] = ACTIONS(1122),
  },
  [460] = {
    [anon_sym_COMMA] = ACTIONS(1804),
    [anon_sym_RPAREN] = ACTIONS(1804),
    [sym_comment] = ACTIONS(3),
  },
  [461] = {
    [sym_array] = STATE(458),
    [sym_object] = STATE(459),
    [sym_assignment_pattern] = STATE(460),
    [sym_rest_parameter] = STATE(460),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(199),
    [anon_sym_static] = ACTIONS(1341),
    [anon_sym_RPAREN] = ACTIONS(1810),
    [sym_identifier] = ACTIONS(1345),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_set] = ACTIONS(1341),
    [anon_sym_async] = ACTIONS(1341),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_get] = ACTIONS(1341),
  },
  [462] = {
    [aux_sym_formal_parameters_repeat1] = STATE(462),
    [anon_sym_COMMA] = ACTIONS(1812),
    [anon_sym_RPAREN] = ACTIONS(1804),
    [sym_comment] = ACTIONS(3),
  },
  [463] = {
    [anon_sym_LBRACE] = ACTIONS(1815),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(1815),
  },
  [464] = {
    [sym_array] = STATE(458),
    [sym_object] = STATE(459),
    [sym_assignment_pattern] = STATE(460),
    [sym_rest_parameter] = STATE(460),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(199),
    [anon_sym_static] = ACTIONS(1341),
    [anon_sym_RPAREN] = ACTIONS(1817),
    [sym_identifier] = ACTIONS(1345),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_set] = ACTIONS(1341),
    [anon_sym_async] = ACTIONS(1341),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_get] = ACTIONS(1341),
  },
  [465] = {
    [anon_sym_LBRACE] = ACTIONS(1819),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(1819),
  },
  [466] = {
    [sym_array] = STATE(458),
    [sym_object] = STATE(459),
    [sym_assignment_pattern] = STATE(460),
    [sym_rest_parameter] = STATE(460),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(199),
    [anon_sym_static] = ACTIONS(1341),
    [anon_sym_RPAREN] = ACTIONS(1821),
    [sym_identifier] = ACTIONS(1345),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_set] = ACTIONS(1341),
    [anon_sym_async] = ACTIONS(1341),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_get] = ACTIONS(1341),
  },
  [467] = {
    [anon_sym_LBRACE] = ACTIONS(1823),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(1823),
  },
  [468] = {
    [sym_array] = STATE(458),
    [sym_object] = STATE(459),
    [sym_assignment_pattern] = STATE(460),
    [sym_rest_parameter] = STATE(460),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(199),
    [anon_sym_static] = ACTIONS(1341),
    [anon_sym_RPAREN] = ACTIONS(1825),
    [sym_identifier] = ACTIONS(1345),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_set] = ACTIONS(1341),
    [anon_sym_async] = ACTIONS(1341),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_get] = ACTIONS(1341),
  },
  [469] = {
    [anon_sym_instanceof] = ACTIONS(1827),
    [sym__automatic_semicolon] = ACTIONS(1827),
    [anon_sym_DASH] = ACTIONS(1829),
    [anon_sym_STAR_STAR] = ACTIONS(1827),
    [anon_sym_STAR] = ACTIONS(1829),
    [anon_sym_AMP] = ACTIONS(1829),
    [anon_sym_GT_EQ] = ACTIONS(1827),
    [anon_sym_LPAREN] = ACTIONS(1827),
    [anon_sym_LT_EQ] = ACTIONS(1827),
    [anon_sym_COMMA] = ACTIONS(1827),
    [anon_sym_PLUS_PLUS] = ACTIONS(1827),
    [anon_sym_SEMI] = ACTIONS(1827),
    [anon_sym_RPAREN] = ACTIONS(1827),
    [anon_sym_LT] = ACTIONS(1829),
    [anon_sym_EQ_EQ] = ACTIONS(1829),
    [anon_sym_QMARK] = ACTIONS(1827),
    [anon_sym_RBRACE] = ACTIONS(1827),
    [anon_sym_DASH_DASH] = ACTIONS(1827),
    [anon_sym_GT] = ACTIONS(1829),
    [anon_sym_EQ] = ACTIONS(1829),
    [anon_sym_CARET] = ACTIONS(1827),
    [anon_sym_AMP_AMP] = ACTIONS(1827),
    [anon_sym_GT_GT] = ACTIONS(1829),
    [anon_sym_in] = ACTIONS(1829),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1827),
    [anon_sym_of] = ACTIONS(1827),
    [anon_sym_SLASH] = ACTIONS(1829),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(1827),
    [anon_sym_PIPE] = ACTIONS(1829),
    [anon_sym_PIPE_PIPE] = ACTIONS(1827),
    [anon_sym_GT_GT_GT] = ACTIONS(1827),
    [anon_sym_BANG_EQ] = ACTIONS(1829),
    [anon_sym_DOT] = ACTIONS(1827),
    [anon_sym_BQUOTE] = ACTIONS(1827),
    [anon_sym_PLUS] = ACTIONS(1829),
    [anon_sym_PERCENT] = ACTIONS(1827),
    [anon_sym_LT_LT] = ACTIONS(1827),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1827),
  },
  [470] = {
    [anon_sym_instanceof] = ACTIONS(1831),
    [anon_sym_GT] = ACTIONS(1833),
    [sym__automatic_semicolon] = ACTIONS(1831),
    [anon_sym_DASH] = ACTIONS(1833),
    [anon_sym_CARET] = ACTIONS(1831),
    [anon_sym_STAR_STAR] = ACTIONS(1831),
    [anon_sym_STAR] = ACTIONS(1833),
    [anon_sym_AMP_AMP] = ACTIONS(1831),
    [anon_sym_GT_GT] = ACTIONS(1833),
    [anon_sym_AMP] = ACTIONS(1833),
    [anon_sym_in] = ACTIONS(1833),
    [anon_sym_LPAREN] = ACTIONS(1831),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1831),
    [anon_sym_SLASH] = ACTIONS(1833),
    [anon_sym_GT_EQ] = ACTIONS(1831),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(1831),
    [anon_sym_PIPE] = ACTIONS(1833),
    [anon_sym_LT_EQ] = ACTIONS(1831),
    [anon_sym_PIPE_PIPE] = ACTIONS(1831),
    [anon_sym_COMMA] = ACTIONS(1831),
    [anon_sym_GT_GT_GT] = ACTIONS(1831),
    [anon_sym_SEMI] = ACTIONS(1831),
    [anon_sym_PLUS_PLUS] = ACTIONS(1831),
    [anon_sym_BANG_EQ] = ACTIONS(1833),
    [anon_sym_RPAREN] = ACTIONS(1831),
    [anon_sym_LT] = ACTIONS(1833),
    [anon_sym_DOT] = ACTIONS(1831),
    [anon_sym_BQUOTE] = ACTIONS(1831),
    [anon_sym_PLUS] = ACTIONS(1833),
    [anon_sym_EQ_EQ] = ACTIONS(1833),
    [anon_sym_PERCENT] = ACTIONS(1831),
    [anon_sym_QMARK] = ACTIONS(1831),
    [anon_sym_LT_LT] = ACTIONS(1831),
    [anon_sym_DASH_DASH] = ACTIONS(1831),
    [anon_sym_RBRACE] = ACTIONS(1831),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1831),
  },
  [471] = {
    [anon_sym_instanceof] = ACTIONS(1835),
    [sym__automatic_semicolon] = ACTIONS(1835),
    [anon_sym_AMP_EQ] = ACTIONS(1835),
    [anon_sym_GT_GT_EQ] = ACTIONS(1835),
    [anon_sym_STAR_EQ] = ACTIONS(1835),
    [anon_sym_DASH] = ACTIONS(1837),
    [anon_sym_STAR_STAR] = ACTIONS(1837),
    [anon_sym_STAR] = ACTIONS(1837),
    [anon_sym_AMP] = ACTIONS(1837),
    [anon_sym_GT_EQ] = ACTIONS(1835),
    [anon_sym_LPAREN] = ACTIONS(1835),
    [anon_sym_PIPE_EQ] = ACTIONS(1835),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1835),
    [anon_sym_SLASH_EQ] = ACTIONS(1835),
    [anon_sym_LT_EQ] = ACTIONS(1835),
    [anon_sym_COMMA] = ACTIONS(1835),
    [anon_sym_PLUS_PLUS] = ACTIONS(1835),
    [anon_sym_SEMI] = ACTIONS(1835),
    [anon_sym_RPAREN] = ACTIONS(1835),
    [anon_sym_LT] = ACTIONS(1837),
    [anon_sym_LT_LT_EQ] = ACTIONS(1835),
    [anon_sym_EQ_EQ] = ACTIONS(1837),
    [anon_sym_QMARK] = ACTIONS(1835),
    [anon_sym_RBRACE] = ACTIONS(1835),
    [anon_sym_DASH_DASH] = ACTIONS(1835),
    [anon_sym_GT] = ACTIONS(1837),
    [anon_sym_EQ] = ACTIONS(1837),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1835),
    [anon_sym_CARET] = ACTIONS(1837),
    [anon_sym_AMP_AMP] = ACTIONS(1835),
    [anon_sym_GT_GT] = ACTIONS(1837),
    [anon_sym_in] = ACTIONS(1837),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1835),
    [anon_sym_SLASH] = ACTIONS(1837),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(1835),
    [anon_sym_PERCENT_EQ] = ACTIONS(1835),
    [anon_sym_PLUS_EQ] = ACTIONS(1835),
    [anon_sym_PIPE] = ACTIONS(1837),
    [anon_sym_PIPE_PIPE] = ACTIONS(1835),
    [anon_sym_GT_GT_GT] = ACTIONS(1837),
    [anon_sym_BANG_EQ] = ACTIONS(1837),
    [anon_sym_DOT] = ACTIONS(1835),
    [anon_sym_BQUOTE] = ACTIONS(1835),
    [anon_sym_CARET_EQ] = ACTIONS(1835),
    [anon_sym_DASH_EQ] = ACTIONS(1835),
    [anon_sym_PLUS] = ACTIONS(1837),
    [anon_sym_PERCENT] = ACTIONS(1837),
    [anon_sym_LT_LT] = ACTIONS(1837),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1835),
  },
  [472] = {
    [anon_sym_instanceof] = ACTIONS(1839),
    [anon_sym_GT] = ACTIONS(1841),
    [sym__automatic_semicolon] = ACTIONS(1839),
    [anon_sym_DASH] = ACTIONS(1841),
    [anon_sym_CARET] = ACTIONS(1839),
    [anon_sym_STAR_STAR] = ACTIONS(1839),
    [anon_sym_STAR] = ACTIONS(1841),
    [anon_sym_AMP_AMP] = ACTIONS(1839),
    [anon_sym_GT_GT] = ACTIONS(1841),
    [anon_sym_AMP] = ACTIONS(1841),
    [anon_sym_in] = ACTIONS(1841),
    [anon_sym_LPAREN] = ACTIONS(1839),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1839),
    [anon_sym_SLASH] = ACTIONS(1841),
    [anon_sym_GT_EQ] = ACTIONS(1839),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(1839),
    [anon_sym_PIPE] = ACTIONS(1841),
    [anon_sym_LT_EQ] = ACTIONS(1839),
    [anon_sym_PIPE_PIPE] = ACTIONS(1839),
    [anon_sym_COMMA] = ACTIONS(1839),
    [anon_sym_GT_GT_GT] = ACTIONS(1839),
    [anon_sym_SEMI] = ACTIONS(1839),
    [anon_sym_PLUS_PLUS] = ACTIONS(1839),
    [anon_sym_BANG_EQ] = ACTIONS(1841),
    [anon_sym_RPAREN] = ACTIONS(1839),
    [anon_sym_LT] = ACTIONS(1841),
    [anon_sym_DOT] = ACTIONS(1839),
    [anon_sym_BQUOTE] = ACTIONS(1839),
    [anon_sym_PLUS] = ACTIONS(1841),
    [anon_sym_EQ_EQ] = ACTIONS(1841),
    [anon_sym_PERCENT] = ACTIONS(1839),
    [anon_sym_QMARK] = ACTIONS(1839),
    [anon_sym_LT_LT] = ACTIONS(1839),
    [anon_sym_DASH_DASH] = ACTIONS(1839),
    [anon_sym_RBRACE] = ACTIONS(1839),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1839),
  },
  [473] = {
    [aux_sym_array_repeat1] = STATE(317),
    [anon_sym_RPAREN] = ACTIONS(1843),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(247),
  },
  [474] = {
    [sym_jsx_fragment] = STATE(567),
    [sym_string] = STATE(567),
    [sym_jsx_opening_element] = STATE(998),
    [sym_jsx_expression] = STATE(567),
    [sym_jsx_self_closing_element] = STATE(567),
    [sym_jsx_element] = STATE(567),
    [anon_sym_LBRACE] = ACTIONS(808),
    [anon_sym_DQUOTE] = ACTIONS(1845),
    [anon_sym_SQUOTE] = ACTIONS(1847),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LT] = ACTIONS(1849),
  },
  [475] = {
    [anon_sym_LBRACE] = ACTIONS(1851),
    [anon_sym_GT] = ACTIONS(1851),
    [anon_sym_SLASH] = ACTIONS(1853),
    [sym_jsx_identifier] = ACTIONS(1851),
    [sym_comment] = ACTIONS(3),
    [sym_identifier] = ACTIONS(1853),
    [anon_sym_DOT] = ACTIONS(1851),
  },
  [476] = {
    [anon_sym_LBRACE] = ACTIONS(1855),
    [anon_sym_GT] = ACTIONS(1855),
    [anon_sym_EQ] = ACTIONS(1855),
    [anon_sym_SLASH] = ACTIONS(1857),
    [sym_jsx_identifier] = ACTIONS(1855),
    [sym_comment] = ACTIONS(3),
    [sym_identifier] = ACTIONS(1857),
  },
  [477] = {
    [anon_sym_instanceof] = ACTIONS(1859),
    [anon_sym_GT] = ACTIONS(1861),
    [sym__automatic_semicolon] = ACTIONS(1859),
    [anon_sym_DASH] = ACTIONS(1861),
    [anon_sym_CARET] = ACTIONS(1859),
    [anon_sym_STAR_STAR] = ACTIONS(1859),
    [anon_sym_STAR] = ACTIONS(1861),
    [anon_sym_AMP_AMP] = ACTIONS(1859),
    [anon_sym_GT_GT] = ACTIONS(1861),
    [anon_sym_AMP] = ACTIONS(1861),
    [anon_sym_in] = ACTIONS(1861),
    [anon_sym_LPAREN] = ACTIONS(1859),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1859),
    [anon_sym_SLASH] = ACTIONS(1861),
    [anon_sym_GT_EQ] = ACTIONS(1859),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(1859),
    [anon_sym_PIPE] = ACTIONS(1861),
    [anon_sym_LT_EQ] = ACTIONS(1859),
    [anon_sym_PIPE_PIPE] = ACTIONS(1859),
    [anon_sym_COMMA] = ACTIONS(1859),
    [anon_sym_GT_GT_GT] = ACTIONS(1859),
    [anon_sym_SEMI] = ACTIONS(1859),
    [anon_sym_PLUS_PLUS] = ACTIONS(1859),
    [anon_sym_BANG_EQ] = ACTIONS(1861),
    [anon_sym_RPAREN] = ACTIONS(1859),
    [anon_sym_LT] = ACTIONS(1861),
    [anon_sym_DOT] = ACTIONS(1859),
    [anon_sym_BQUOTE] = ACTIONS(1859),
    [anon_sym_PLUS] = ACTIONS(1861),
    [anon_sym_EQ_EQ] = ACTIONS(1861),
    [anon_sym_PERCENT] = ACTIONS(1859),
    [anon_sym_QMARK] = ACTIONS(1859),
    [anon_sym_LT_LT] = ACTIONS(1859),
    [anon_sym_DASH_DASH] = ACTIONS(1859),
    [anon_sym_RBRACE] = ACTIONS(1859),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1859),
  },
  [478] = {
    [sym_jsx_fragment] = STATE(568),
    [sym_string] = STATE(568),
    [sym_jsx_opening_element] = STATE(998),
    [sym_jsx_expression] = STATE(568),
    [sym_jsx_self_closing_element] = STATE(568),
    [sym_jsx_element] = STATE(568),
    [anon_sym_LBRACE] = ACTIONS(808),
    [anon_sym_DQUOTE] = ACTIONS(1845),
    [anon_sym_SQUOTE] = ACTIONS(1847),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LT] = ACTIONS(1849),
  },
  [479] = {
    [anon_sym_LBRACE] = ACTIONS(1863),
    [sym_comment] = ACTIONS(237),
    [sym_jsx_text] = ACTIONS(1863),
    [anon_sym_LT] = ACTIONS(1863),
  },
  [480] = {
    [anon_sym_GT] = ACTIONS(1865),
    [sym_comment] = ACTIONS(3),
  },
  [481] = {
    [sym_jsx_namespace_name] = STATE(339),
    [sym_jsx_attribute] = STATE(340),
    [sym_jsx_expression] = STATE(340),
    [aux_sym_jsx_opening_element_repeat1] = STATE(481),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_GT] = ACTIONS(1870),
    [sym_jsx_identifier] = ACTIONS(1872),
    [sym_comment] = ACTIONS(3),
    [sym_identifier] = ACTIONS(1875),
    [anon_sym_SLASH] = ACTIONS(1878),
  },
  [482] = {
    [anon_sym_GT] = ACTIONS(1880),
    [sym_comment] = ACTIONS(3),
  },
  [483] = {
    [sym_nested_identifier] = STATE(1101),
    [sym_jsx_namespace_name] = STATE(1102),
    [sym_jsx_identifier] = ACTIONS(1106),
    [sym_comment] = ACTIONS(3),
    [sym_identifier] = ACTIONS(1108),
    [anon_sym_SLASH] = ACTIONS(1882),
  },
  [484] = {
    [sym_statement_block] = STATE(572),
    [anon_sym_LBRACE] = ACTIONS(532),
    [sym_comment] = ACTIONS(3),
  },
  [485] = {
    [anon_sym_instanceof] = ACTIONS(1884),
    [anon_sym_GT] = ACTIONS(1886),
    [sym__automatic_semicolon] = ACTIONS(1884),
    [anon_sym_DASH] = ACTIONS(1886),
    [anon_sym_CARET] = ACTIONS(1884),
    [anon_sym_STAR_STAR] = ACTIONS(1884),
    [anon_sym_STAR] = ACTIONS(1886),
    [anon_sym_AMP_AMP] = ACTIONS(1884),
    [anon_sym_GT_GT] = ACTIONS(1886),
    [anon_sym_AMP] = ACTIONS(1886),
    [anon_sym_in] = ACTIONS(1886),
    [anon_sym_LPAREN] = ACTIONS(1884),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1884),
    [anon_sym_SLASH] = ACTIONS(1886),
    [anon_sym_GT_EQ] = ACTIONS(1884),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(1884),
    [anon_sym_PIPE] = ACTIONS(1886),
    [anon_sym_LT_EQ] = ACTIONS(1884),
    [anon_sym_PIPE_PIPE] = ACTIONS(1884),
    [anon_sym_COMMA] = ACTIONS(1884),
    [anon_sym_GT_GT_GT] = ACTIONS(1884),
    [anon_sym_SEMI] = ACTIONS(1884),
    [anon_sym_PLUS_PLUS] = ACTIONS(1884),
    [anon_sym_BANG_EQ] = ACTIONS(1886),
    [anon_sym_RPAREN] = ACTIONS(1884),
    [anon_sym_LT] = ACTIONS(1886),
    [anon_sym_DOT] = ACTIONS(1884),
    [anon_sym_BQUOTE] = ACTIONS(1884),
    [anon_sym_PLUS] = ACTIONS(1886),
    [anon_sym_EQ_EQ] = ACTIONS(1886),
    [anon_sym_PERCENT] = ACTIONS(1884),
    [anon_sym_QMARK] = ACTIONS(1884),
    [anon_sym_LT_LT] = ACTIONS(1884),
    [anon_sym_DASH_DASH] = ACTIONS(1884),
    [anon_sym_RBRACE] = ACTIONS(1884),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1884),
  },
  [486] = {
    [anon_sym_instanceof] = ACTIONS(1888),
    [anon_sym_GT] = ACTIONS(1890),
    [sym__automatic_semicolon] = ACTIONS(1888),
    [anon_sym_DASH] = ACTIONS(1890),
    [anon_sym_CARET] = ACTIONS(1888),
    [anon_sym_STAR_STAR] = ACTIONS(1888),
    [anon_sym_STAR] = ACTIONS(1890),
    [anon_sym_AMP_AMP] = ACTIONS(1888),
    [anon_sym_GT_GT] = ACTIONS(1890),
    [anon_sym_AMP] = ACTIONS(1890),
    [anon_sym_in] = ACTIONS(1890),
    [anon_sym_LPAREN] = ACTIONS(1888),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1888),
    [anon_sym_SLASH] = ACTIONS(1890),
    [anon_sym_GT_EQ] = ACTIONS(1888),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(1888),
    [anon_sym_PIPE] = ACTIONS(1890),
    [anon_sym_LT_EQ] = ACTIONS(1888),
    [anon_sym_PIPE_PIPE] = ACTIONS(1888),
    [anon_sym_COMMA] = ACTIONS(1888),
    [anon_sym_GT_GT_GT] = ACTIONS(1888),
    [anon_sym_SEMI] = ACTIONS(1888),
    [anon_sym_PLUS_PLUS] = ACTIONS(1888),
    [anon_sym_BANG_EQ] = ACTIONS(1890),
    [anon_sym_RPAREN] = ACTIONS(1888),
    [anon_sym_LT] = ACTIONS(1890),
    [anon_sym_DOT] = ACTIONS(1888),
    [anon_sym_BQUOTE] = ACTIONS(1888),
    [anon_sym_PLUS] = ACTIONS(1890),
    [anon_sym_EQ_EQ] = ACTIONS(1890),
    [anon_sym_PERCENT] = ACTIONS(1888),
    [anon_sym_QMARK] = ACTIONS(1888),
    [anon_sym_LT_LT] = ACTIONS(1888),
    [anon_sym_DASH_DASH] = ACTIONS(1888),
    [anon_sym_RBRACE] = ACTIONS(1888),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1888),
  },
  [487] = {
    [sym_template_string] = STATE(141),
    [sym_arguments] = STATE(141),
    [anon_sym_instanceof] = ACTIONS(392),
    [anon_sym_GT] = ACTIONS(287),
    [sym__automatic_semicolon] = ACTIONS(1888),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_CARET] = ACTIONS(396),
    [anon_sym_STAR_STAR] = ACTIONS(398),
    [anon_sym_STAR] = ACTIONS(400),
    [anon_sym_AMP_AMP] = ACTIONS(402),
    [anon_sym_GT_GT] = ACTIONS(400),
    [anon_sym_AMP] = ACTIONS(404),
    [anon_sym_in] = ACTIONS(287),
    [anon_sym_LPAREN] = ACTIONS(271),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(392),
    [anon_sym_SLASH] = ACTIONS(400),
    [anon_sym_GT_EQ] = ACTIONS(392),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(273),
    [anon_sym_PIPE] = ACTIONS(406),
    [anon_sym_LT_EQ] = ACTIONS(392),
    [anon_sym_PIPE_PIPE] = ACTIONS(396),
    [anon_sym_COMMA] = ACTIONS(1888),
    [anon_sym_GT_GT_GT] = ACTIONS(408),
    [anon_sym_SEMI] = ACTIONS(1888),
    [anon_sym_PLUS_PLUS] = ACTIONS(410),
    [anon_sym_BANG_EQ] = ACTIONS(287),
    [anon_sym_RPAREN] = ACTIONS(1888),
    [anon_sym_LT] = ACTIONS(287),
    [anon_sym_DOT] = ACTIONS(275),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_EQ_EQ] = ACTIONS(287),
    [anon_sym_PERCENT] = ACTIONS(408),
    [anon_sym_QMARK] = ACTIONS(414),
    [anon_sym_LT_LT] = ACTIONS(408),
    [anon_sym_DASH_DASH] = ACTIONS(410),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(392),
  },
  [488] = {
    [anon_sym_instanceof] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(1894),
    [sym__automatic_semicolon] = ACTIONS(1892),
    [anon_sym_DASH] = ACTIONS(1894),
    [anon_sym_CARET] = ACTIONS(1892),
    [anon_sym_STAR_STAR] = ACTIONS(1892),
    [anon_sym_STAR] = ACTIONS(1894),
    [anon_sym_AMP_AMP] = ACTIONS(1892),
    [anon_sym_GT_GT] = ACTIONS(1894),
    [anon_sym_AMP] = ACTIONS(1894),
    [anon_sym_in] = ACTIONS(1894),
    [anon_sym_LPAREN] = ACTIONS(1892),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1892),
    [anon_sym_SLASH] = ACTIONS(1894),
    [anon_sym_GT_EQ] = ACTIONS(1892),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_PIPE] = ACTIONS(1894),
    [anon_sym_LT_EQ] = ACTIONS(1892),
    [anon_sym_PIPE_PIPE] = ACTIONS(1892),
    [anon_sym_COMMA] = ACTIONS(1892),
    [anon_sym_GT_GT_GT] = ACTIONS(1892),
    [anon_sym_SEMI] = ACTIONS(1892),
    [anon_sym_PLUS_PLUS] = ACTIONS(1892),
    [anon_sym_BANG_EQ] = ACTIONS(1894),
    [anon_sym_RPAREN] = ACTIONS(1892),
    [anon_sym_LT] = ACTIONS(1894),
    [anon_sym_DOT] = ACTIONS(1892),
    [anon_sym_BQUOTE] = ACTIONS(1892),
    [anon_sym_PLUS] = ACTIONS(1894),
    [anon_sym_EQ_EQ] = ACTIONS(1894),
    [anon_sym_PERCENT] = ACTIONS(1892),
    [anon_sym_QMARK] = ACTIONS(1892),
    [anon_sym_LT_LT] = ACTIONS(1892),
    [anon_sym_DASH_DASH] = ACTIONS(1892),
    [anon_sym_RBRACE] = ACTIONS(1892),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1892),
  },
  [489] = {
    [sym_template_string] = STATE(141),
    [sym_arguments] = STATE(141),
    [anon_sym_instanceof] = ACTIONS(392),
    [anon_sym_GT] = ACTIONS(287),
    [sym__automatic_semicolon] = ACTIONS(1892),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_CARET] = ACTIONS(396),
    [anon_sym_STAR_STAR] = ACTIONS(398),
    [anon_sym_STAR] = ACTIONS(400),
    [anon_sym_AMP_AMP] = ACTIONS(402),
    [anon_sym_GT_GT] = ACTIONS(400),
    [anon_sym_AMP] = ACTIONS(404),
    [anon_sym_in] = ACTIONS(287),
    [anon_sym_LPAREN] = ACTIONS(271),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(392),
    [anon_sym_SLASH] = ACTIONS(400),
    [anon_sym_GT_EQ] = ACTIONS(392),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(273),
    [anon_sym_PIPE] = ACTIONS(406),
    [anon_sym_LT_EQ] = ACTIONS(392),
    [anon_sym_PIPE_PIPE] = ACTIONS(396),
    [anon_sym_COMMA] = ACTIONS(1892),
    [anon_sym_GT_GT_GT] = ACTIONS(408),
    [anon_sym_SEMI] = ACTIONS(1892),
    [anon_sym_PLUS_PLUS] = ACTIONS(410),
    [anon_sym_BANG_EQ] = ACTIONS(287),
    [anon_sym_RPAREN] = ACTIONS(1892),
    [anon_sym_LT] = ACTIONS(287),
    [anon_sym_DOT] = ACTIONS(275),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_EQ_EQ] = ACTIONS(287),
    [anon_sym_PERCENT] = ACTIONS(408),
    [anon_sym_QMARK] = ACTIONS(414),
    [anon_sym_LT_LT] = ACTIONS(408),
    [anon_sym_DASH_DASH] = ACTIONS(410),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(392),
  },
  [490] = {
    [sym_arrow_function] = STATE(277),
    [sym_call_expression] = STATE(277),
    [sym_subscript_expression] = STATE(701),
    [sym_assignment_expression] = STATE(277),
    [sym_ternary_expression] = STATE(277),
    [sym_binary_expression] = STATE(277),
    [sym_template_string] = STATE(277),
    [sym__expression] = STATE(277),
    [sym_yield_expression] = STATE(277),
    [sym_jsx_element] = STATE(277),
    [sym_jsx_fragment] = STATE(277),
    [sym_function] = STATE(703),
    [sym_new_expression] = STATE(277),
    [sym_augmented_assignment_expression] = STATE(277),
    [sym_unary_expression] = STATE(277),
    [sym_update_expression] = STATE(277),
    [sym_regex] = STATE(277),
    [sym_meta_property] = STATE(277),
    [sym_object] = STATE(702),
    [aux_sym_export_statement_repeat1] = STATE(1016),
    [sym_class] = STATE(277),
    [sym_generator_function] = STATE(277),
    [sym_await_expression] = STATE(277),
    [sym_member_expression] = STATE(701),
    [sym_string] = STATE(277),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(874),
    [sym_parenthesized_expression] = STATE(277),
    [sym_array] = STATE(704),
    [sym_jsx_opening_element] = STATE(875),
    [sym_jsx_self_closing_element] = STATE(277),
    [anon_sym_await] = ACTIONS(217),
    [sym_null] = ACTIONS(591),
    [anon_sym_class] = ACTIONS(183),
    [anon_sym_static] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(219),
    [anon_sym_DASH] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_delete] = ACTIONS(191),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [anon_sym_LPAREN] = ACTIONS(193),
    [anon_sym_BANG] = ACTIONS(195),
    [sym_this] = ACTIONS(591),
    [sym_undefined] = ACTIONS(591),
    [sym_true] = ACTIONS(591),
    [anon_sym_SLASH] = ACTIONS(223),
    [anon_sym_LBRACK] = ACTIONS(225),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(243),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_TILDE] = ACTIONS(195),
    [sym_super] = ACTIONS(207),
    [sym_identifier] = ACTIONS(1896),
    [sym_false] = ACTIONS(591),
    [anon_sym_LT] = ACTIONS(209),
    [sym_number] = ACTIONS(593),
    [anon_sym_yield] = ACTIONS(213),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_set] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(251),
    [anon_sym_new] = ACTIONS(231),
    [anon_sym_PLUS] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_void] = ACTIONS(191),
    [anon_sym_typeof] = ACTIONS(191),
  },
  [491] = {
    [anon_sym_instanceof] = ACTIONS(1411),
    [anon_sym_GT] = ACTIONS(1413),
    [sym__automatic_semicolon] = ACTIONS(1411),
    [anon_sym_DASH] = ACTIONS(1413),
    [anon_sym_CARET] = ACTIONS(1411),
    [anon_sym_STAR_STAR] = ACTIONS(1411),
    [anon_sym_STAR] = ACTIONS(1413),
    [anon_sym_AMP_AMP] = ACTIONS(1411),
    [anon_sym_GT_GT] = ACTIONS(1413),
    [anon_sym_AMP] = ACTIONS(1413),
    [anon_sym_in] = ACTIONS(1413),
    [anon_sym_LPAREN] = ACTIONS(1411),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1411),
    [anon_sym_SLASH] = ACTIONS(1413),
    [anon_sym_GT_EQ] = ACTIONS(1411),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(1411),
    [anon_sym_EQ_GT] = ACTIONS(670),
    [anon_sym_PIPE] = ACTIONS(1413),
    [anon_sym_LT_EQ] = ACTIONS(1411),
    [anon_sym_PIPE_PIPE] = ACTIONS(1411),
    [anon_sym_COMMA] = ACTIONS(1411),
    [anon_sym_GT_GT_GT] = ACTIONS(1411),
    [anon_sym_SEMI] = ACTIONS(1411),
    [anon_sym_PLUS_PLUS] = ACTIONS(1411),
    [anon_sym_BANG_EQ] = ACTIONS(1413),
    [anon_sym_RPAREN] = ACTIONS(1411),
    [anon_sym_LT] = ACTIONS(1413),
    [anon_sym_DOT] = ACTIONS(1411),
    [anon_sym_BQUOTE] = ACTIONS(1411),
    [anon_sym_PLUS] = ACTIONS(1413),
    [anon_sym_EQ_EQ] = ACTIONS(1413),
    [anon_sym_PERCENT] = ACTIONS(1411),
    [anon_sym_QMARK] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1411),
    [anon_sym_DASH_DASH] = ACTIONS(1411),
    [anon_sym_RBRACE] = ACTIONS(1411),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1411),
  },
  [492] = {
    [anon_sym_class] = ACTIONS(1898),
    [anon_sym_static] = ACTIONS(1898),
    [anon_sym_DASH] = ACTIONS(1898),
    [anon_sym_import] = ACTIONS(1898),
    [anon_sym_LBRACE] = ACTIONS(1900),
    [anon_sym_delete] = ACTIONS(1898),
    [anon_sym_throw] = ACTIONS(1898),
    [anon_sym_LPAREN] = ACTIONS(1900),
    [anon_sym_BANG] = ACTIONS(1900),
    [sym_this] = ACTIONS(1898),
    [sym_true] = ACTIONS(1898),
    [anon_sym_case] = ACTIONS(1898),
    [anon_sym_get] = ACTIONS(1898),
    [anon_sym_default] = ACTIONS(1898),
    [anon_sym_PLUS_PLUS] = ACTIONS(1900),
    [anon_sym_SEMI] = ACTIONS(1900),
    [anon_sym_DQUOTE] = ACTIONS(1900),
    [anon_sym_TILDE] = ACTIONS(1900),
    [sym_super] = ACTIONS(1898),
    [anon_sym_LT] = ACTIONS(1900),
    [sym_false] = ACTIONS(1898),
    [sym_number] = ACTIONS(1900),
    [anon_sym_yield] = ACTIONS(1898),
    [anon_sym_set] = ACTIONS(1898),
    [anon_sym_async] = ACTIONS(1898),
    [anon_sym_var] = ACTIONS(1898),
    [anon_sym_const] = ACTIONS(1898),
    [anon_sym_RBRACE] = ACTIONS(1900),
    [anon_sym_DASH_DASH] = ACTIONS(1900),
    [anon_sym_try] = ACTIONS(1898),
    [anon_sym_for] = ACTIONS(1898),
    [anon_sym_typeof] = ACTIONS(1898),
    [anon_sym_await] = ACTIONS(1898),
    [sym_null] = ACTIONS(1898),
    [anon_sym_function] = ACTIONS(1898),
    [anon_sym_let] = ACTIONS(1898),
    [anon_sym_if] = ACTIONS(1898),
    [anon_sym_with] = ACTIONS(1898),
    [anon_sym_SQUOTE] = ACTIONS(1900),
    [anon_sym_SLASH] = ACTIONS(1898),
    [sym_undefined] = ACTIONS(1898),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(1900),
    [anon_sym_else] = ACTIONS(1898),
    [anon_sym_break] = ACTIONS(1898),
    [anon_sym_debugger] = ACTIONS(1898),
    [anon_sym_while] = ACTIONS(1898),
    [sym_identifier] = ACTIONS(1898),
    [anon_sym_BQUOTE] = ACTIONS(1900),
    [ts_builtin_sym_end] = ACTIONS(1900),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_AT] = ACTIONS(1900),
    [anon_sym_PLUS] = ACTIONS(1898),
    [anon_sym_switch] = ACTIONS(1898),
    [anon_sym_export] = ACTIONS(1898),
    [anon_sym_continue] = ACTIONS(1898),
    [anon_sym_void] = ACTIONS(1898),
    [anon_sym_return] = ACTIONS(1898),
    [anon_sym_do] = ACTIONS(1898),
  },
  [493] = {
    [sym_switch_body] = STATE(575),
    [anon_sym_LBRACE] = ACTIONS(1902),
    [sym_comment] = ACTIONS(3),
  },
  [494] = {
    [sym__automatic_semicolon] = ACTIONS(1904),
    [anon_sym_from] = ACTIONS(1904),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1904),
  },
  [495] = {
    [sym__import_export_specifier] = STATE(577),
    [sym_identifier] = ACTIONS(548),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACE] = ACTIONS(1906),
  },
  [496] = {
    [sym__automatic_semicolon] = ACTIONS(1908),
    [anon_sym_from] = ACTIONS(1908),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1908),
  },
  [497] = {
    [aux_sym_export_clause_repeat1] = STATE(579),
    [anon_sym_COMMA] = ACTIONS(1910),
    [anon_sym_RBRACE] = ACTIONS(1906),
    [sym_comment] = ACTIONS(3),
  },
  [498] = {
    [sym__automatic_semicolon] = ACTIONS(1156),
    [anon_sym_class] = ACTIONS(1158),
    [anon_sym_static] = ACTIONS(1158),
    [anon_sym_DASH] = ACTIONS(1158),
    [anon_sym_import] = ACTIONS(1158),
    [anon_sym_LBRACE] = ACTIONS(1162),
    [anon_sym_delete] = ACTIONS(1158),
    [anon_sym_throw] = ACTIONS(1158),
    [anon_sym_LPAREN] = ACTIONS(1162),
    [anon_sym_BANG] = ACTIONS(1162),
    [sym_this] = ACTIONS(1158),
    [sym_true] = ACTIONS(1158),
    [anon_sym_case] = ACTIONS(1158),
    [anon_sym_get] = ACTIONS(1158),
    [anon_sym_default] = ACTIONS(1158),
    [anon_sym_PLUS_PLUS] = ACTIONS(1162),
    [anon_sym_SEMI] = ACTIONS(1162),
    [anon_sym_DQUOTE] = ACTIONS(1162),
    [anon_sym_TILDE] = ACTIONS(1162),
    [sym_super] = ACTIONS(1158),
    [anon_sym_LT] = ACTIONS(1162),
    [sym_false] = ACTIONS(1158),
    [sym_number] = ACTIONS(1162),
    [anon_sym_yield] = ACTIONS(1158),
    [anon_sym_set] = ACTIONS(1158),
    [anon_sym_async] = ACTIONS(1158),
    [anon_sym_var] = ACTIONS(1158),
    [anon_sym_const] = ACTIONS(1158),
    [anon_sym_RBRACE] = ACTIONS(1162),
    [anon_sym_DASH_DASH] = ACTIONS(1162),
    [anon_sym_try] = ACTIONS(1158),
    [anon_sym_for] = ACTIONS(1158),
    [anon_sym_typeof] = ACTIONS(1158),
    [anon_sym_await] = ACTIONS(1158),
    [sym_null] = ACTIONS(1158),
    [anon_sym_function] = ACTIONS(1158),
    [anon_sym_let] = ACTIONS(1158),
    [anon_sym_if] = ACTIONS(1158),
    [anon_sym_with] = ACTIONS(1158),
    [anon_sym_SQUOTE] = ACTIONS(1162),
    [anon_sym_SLASH] = ACTIONS(1158),
    [sym_undefined] = ACTIONS(1158),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(1162),
    [anon_sym_else] = ACTIONS(1158),
    [anon_sym_break] = ACTIONS(1158),
    [anon_sym_debugger] = ACTIONS(1158),
    [anon_sym_while] = ACTIONS(1158),
    [sym_identifier] = ACTIONS(1158),
    [anon_sym_BQUOTE] = ACTIONS(1162),
    [ts_builtin_sym_end] = ACTIONS(1162),
    [anon_sym_new] = ACTIONS(1158),
    [anon_sym_AT] = ACTIONS(1162),
    [anon_sym_PLUS] = ACTIONS(1158),
    [anon_sym_switch] = ACTIONS(1158),
    [anon_sym_export] = ACTIONS(1158),
    [anon_sym_continue] = ACTIONS(1158),
    [anon_sym_void] = ACTIONS(1158),
    [anon_sym_return] = ACTIONS(1158),
    [anon_sym_do] = ACTIONS(1158),
  },
  [499] = {
    [sym_class_body] = STATE(580),
    [anon_sym_LBRACE] = ACTIONS(1512),
    [sym_comment] = ACTIONS(3),
  },
  [500] = {
    [anon_sym_class] = ACTIONS(1912),
    [anon_sym_static] = ACTIONS(1912),
    [anon_sym_DASH] = ACTIONS(1912),
    [anon_sym_import] = ACTIONS(1912),
    [anon_sym_LBRACE] = ACTIONS(1914),
    [anon_sym_delete] = ACTIONS(1912),
    [anon_sym_throw] = ACTIONS(1912),
    [anon_sym_LPAREN] = ACTIONS(1914),
    [anon_sym_BANG] = ACTIONS(1914),
    [sym_this] = ACTIONS(1912),
    [sym_true] = ACTIONS(1912),
    [anon_sym_case] = ACTIONS(1912),
    [anon_sym_get] = ACTIONS(1912),
    [anon_sym_default] = ACTIONS(1912),
    [anon_sym_PLUS_PLUS] = ACTIONS(1914),
    [anon_sym_SEMI] = ACTIONS(1914),
    [anon_sym_DQUOTE] = ACTIONS(1914),
    [anon_sym_TILDE] = ACTIONS(1914),
    [sym_super] = ACTIONS(1912),
    [anon_sym_LT] = ACTIONS(1914),
    [sym_false] = ACTIONS(1912),
    [sym_number] = ACTIONS(1914),
    [anon_sym_yield] = ACTIONS(1912),
    [anon_sym_set] = ACTIONS(1912),
    [anon_sym_async] = ACTIONS(1912),
    [anon_sym_var] = ACTIONS(1912),
    [anon_sym_const] = ACTIONS(1912),
    [anon_sym_RBRACE] = ACTIONS(1914),
    [anon_sym_DASH_DASH] = ACTIONS(1914),
    [anon_sym_try] = ACTIONS(1912),
    [anon_sym_for] = ACTIONS(1912),
    [anon_sym_typeof] = ACTIONS(1912),
    [anon_sym_await] = ACTIONS(1912),
    [sym_null] = ACTIONS(1912),
    [anon_sym_function] = ACTIONS(1912),
    [anon_sym_let] = ACTIONS(1912),
    [anon_sym_if] = ACTIONS(1912),
    [anon_sym_with] = ACTIONS(1912),
    [anon_sym_SQUOTE] = ACTIONS(1914),
    [anon_sym_SLASH] = ACTIONS(1912),
    [sym_undefined] = ACTIONS(1912),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(1914),
    [anon_sym_else] = ACTIONS(1912),
    [anon_sym_break] = ACTIONS(1912),
    [anon_sym_debugger] = ACTIONS(1912),
    [anon_sym_while] = ACTIONS(1912),
    [sym_identifier] = ACTIONS(1912),
    [anon_sym_BQUOTE] = ACTIONS(1914),
    [ts_builtin_sym_end] = ACTIONS(1914),
    [anon_sym_new] = ACTIONS(1912),
    [anon_sym_AT] = ACTIONS(1914),
    [anon_sym_PLUS] = ACTIONS(1912),
    [anon_sym_switch] = ACTIONS(1912),
    [anon_sym_export] = ACTIONS(1912),
    [anon_sym_continue] = ACTIONS(1912),
    [anon_sym_void] = ACTIONS(1912),
    [anon_sym_return] = ACTIONS(1912),
    [anon_sym_do] = ACTIONS(1912),
  },
  [501] = {
    [sym_formal_parameters] = STATE(581),
    [anon_sym_LPAREN] = ACTIONS(139),
    [sym_comment] = ACTIONS(3),
  },
  [502] = {
    [sym_statement_block] = STATE(582),
    [anon_sym_LBRACE] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
  },
  [503] = {
    [sym_formal_parameters] = STATE(583),
    [anon_sym_LPAREN] = ACTIONS(139),
    [sym_comment] = ACTIONS(3),
  },
  [504] = {
    [anon_sym_class] = ACTIONS(1918),
    [anon_sym_static] = ACTIONS(1918),
    [anon_sym_DASH] = ACTIONS(1918),
    [anon_sym_import] = ACTIONS(1918),
    [anon_sym_LBRACE] = ACTIONS(1920),
    [anon_sym_delete] = ACTIONS(1918),
    [anon_sym_throw] = ACTIONS(1918),
    [anon_sym_LPAREN] = ACTIONS(1920),
    [anon_sym_BANG] = ACTIONS(1920),
    [sym_this] = ACTIONS(1918),
    [sym_true] = ACTIONS(1918),
    [anon_sym_case] = ACTIONS(1918),
    [anon_sym_get] = ACTIONS(1918),
    [anon_sym_default] = ACTIONS(1918),
    [anon_sym_PLUS_PLUS] = ACTIONS(1920),
    [anon_sym_SEMI] = ACTIONS(1920),
    [anon_sym_DQUOTE] = ACTIONS(1920),
    [anon_sym_TILDE] = ACTIONS(1920),
    [sym_super] = ACTIONS(1918),
    [anon_sym_LT] = ACTIONS(1920),
    [sym_false] = ACTIONS(1918),
    [sym_number] = ACTIONS(1920),
    [anon_sym_yield] = ACTIONS(1918),
    [anon_sym_set] = ACTIONS(1918),
    [anon_sym_async] = ACTIONS(1918),
    [anon_sym_var] = ACTIONS(1918),
    [anon_sym_const] = ACTIONS(1918),
    [anon_sym_RBRACE] = ACTIONS(1920),
    [anon_sym_DASH_DASH] = ACTIONS(1920),
    [anon_sym_try] = ACTIONS(1918),
    [anon_sym_for] = ACTIONS(1918),
    [anon_sym_typeof] = ACTIONS(1918),
    [anon_sym_await] = ACTIONS(1918),
    [sym_null] = ACTIONS(1918),
    [anon_sym_function] = ACTIONS(1918),
    [anon_sym_let] = ACTIONS(1918),
    [anon_sym_if] = ACTIONS(1918),
    [anon_sym_with] = ACTIONS(1918),
    [anon_sym_SQUOTE] = ACTIONS(1920),
    [anon_sym_SLASH] = ACTIONS(1918),
    [sym_undefined] = ACTIONS(1918),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(1920),
    [anon_sym_else] = ACTIONS(1918),
    [anon_sym_break] = ACTIONS(1918),
    [anon_sym_debugger] = ACTIONS(1918),
    [anon_sym_while] = ACTIONS(1918),
    [sym_identifier] = ACTIONS(1918),
    [anon_sym_BQUOTE] = ACTIONS(1920),
    [ts_builtin_sym_end] = ACTIONS(1920),
    [anon_sym_new] = ACTIONS(1918),
    [anon_sym_AT] = ACTIONS(1920),
    [anon_sym_PLUS] = ACTIONS(1918),
    [anon_sym_switch] = ACTIONS(1918),
    [anon_sym_export] = ACTIONS(1918),
    [anon_sym_continue] = ACTIONS(1918),
    [anon_sym_void] = ACTIONS(1918),
    [anon_sym_return] = ACTIONS(1918),
    [anon_sym_do] = ACTIONS(1918),
  },
  [505] = {
    [sym_class_body] = STATE(584),
    [sym_class_heritage] = STATE(585),
    [anon_sym_LBRACE] = ACTIONS(1512),
    [sym_comment] = ACTIONS(3),
    [anon_sym_extends] = ACTIONS(476),
  },
  [506] = {
    [sym_identifier] = ACTIONS(1922),
    [sym_comment] = ACTIONS(3),
  },
  [507] = {
    [anon_sym_class] = ACTIONS(1924),
    [anon_sym_static] = ACTIONS(1924),
    [anon_sym_DASH] = ACTIONS(1924),
    [anon_sym_import] = ACTIONS(1924),
    [anon_sym_LBRACE] = ACTIONS(1926),
    [anon_sym_delete] = ACTIONS(1924),
    [anon_sym_throw] = ACTIONS(1924),
    [anon_sym_LPAREN] = ACTIONS(1926),
    [anon_sym_BANG] = ACTIONS(1926),
    [sym_this] = ACTIONS(1924),
    [sym_true] = ACTIONS(1924),
    [anon_sym_case] = ACTIONS(1924),
    [anon_sym_get] = ACTIONS(1924),
    [anon_sym_default] = ACTIONS(1924),
    [anon_sym_PLUS_PLUS] = ACTIONS(1926),
    [anon_sym_SEMI] = ACTIONS(1926),
    [anon_sym_DQUOTE] = ACTIONS(1926),
    [anon_sym_TILDE] = ACTIONS(1926),
    [sym_super] = ACTIONS(1924),
    [anon_sym_LT] = ACTIONS(1926),
    [sym_false] = ACTIONS(1924),
    [sym_number] = ACTIONS(1926),
    [anon_sym_yield] = ACTIONS(1924),
    [anon_sym_set] = ACTIONS(1924),
    [anon_sym_async] = ACTIONS(1924),
    [anon_sym_var] = ACTIONS(1924),
    [anon_sym_const] = ACTIONS(1924),
    [anon_sym_RBRACE] = ACTIONS(1926),
    [anon_sym_DASH_DASH] = ACTIONS(1926),
    [anon_sym_try] = ACTIONS(1924),
    [anon_sym_for] = ACTIONS(1924),
    [anon_sym_typeof] = ACTIONS(1924),
    [anon_sym_await] = ACTIONS(1924),
    [sym_null] = ACTIONS(1924),
    [anon_sym_finally] = ACTIONS(1924),
    [anon_sym_function] = ACTIONS(1924),
    [anon_sym_let] = ACTIONS(1924),
    [anon_sym_if] = ACTIONS(1924),
    [anon_sym_with] = ACTIONS(1924),
    [anon_sym_SQUOTE] = ACTIONS(1926),
    [anon_sym_SLASH] = ACTIONS(1924),
    [sym_undefined] = ACTIONS(1924),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(1926),
    [anon_sym_else] = ACTIONS(1924),
    [anon_sym_break] = ACTIONS(1924),
    [anon_sym_debugger] = ACTIONS(1924),
    [anon_sym_while] = ACTIONS(1924),
    [sym_identifier] = ACTIONS(1924),
    [anon_sym_BQUOTE] = ACTIONS(1926),
    [ts_builtin_sym_end] = ACTIONS(1926),
    [anon_sym_new] = ACTIONS(1924),
    [anon_sym_AT] = ACTIONS(1926),
    [anon_sym_PLUS] = ACTIONS(1924),
    [anon_sym_switch] = ACTIONS(1924),
    [anon_sym_export] = ACTIONS(1924),
    [anon_sym_continue] = ACTIONS(1924),
    [anon_sym_void] = ACTIONS(1924),
    [anon_sym_return] = ACTIONS(1924),
    [anon_sym_do] = ACTIONS(1924),
  },
  [508] = {
    [anon_sym_class] = ACTIONS(1928),
    [anon_sym_static] = ACTIONS(1928),
    [anon_sym_DASH] = ACTIONS(1928),
    [anon_sym_import] = ACTIONS(1928),
    [anon_sym_LBRACE] = ACTIONS(1930),
    [anon_sym_delete] = ACTIONS(1928),
    [anon_sym_throw] = ACTIONS(1928),
    [anon_sym_LPAREN] = ACTIONS(1930),
    [anon_sym_BANG] = ACTIONS(1930),
    [sym_this] = ACTIONS(1928),
    [sym_true] = ACTIONS(1928),
    [anon_sym_case] = ACTIONS(1928),
    [anon_sym_get] = ACTIONS(1928),
    [anon_sym_default] = ACTIONS(1928),
    [anon_sym_PLUS_PLUS] = ACTIONS(1930),
    [anon_sym_SEMI] = ACTIONS(1930),
    [anon_sym_DQUOTE] = ACTIONS(1930),
    [anon_sym_TILDE] = ACTIONS(1930),
    [sym_super] = ACTIONS(1928),
    [anon_sym_LT] = ACTIONS(1930),
    [sym_false] = ACTIONS(1928),
    [sym_number] = ACTIONS(1930),
    [anon_sym_yield] = ACTIONS(1928),
    [anon_sym_set] = ACTIONS(1928),
    [anon_sym_async] = ACTIONS(1928),
    [anon_sym_var] = ACTIONS(1928),
    [anon_sym_const] = ACTIONS(1928),
    [anon_sym_RBRACE] = ACTIONS(1930),
    [anon_sym_DASH_DASH] = ACTIONS(1930),
    [anon_sym_try] = ACTIONS(1928),
    [anon_sym_for] = ACTIONS(1928),
    [anon_sym_typeof] = ACTIONS(1928),
    [anon_sym_await] = ACTIONS(1928),
    [sym_null] = ACTIONS(1928),
    [anon_sym_function] = ACTIONS(1928),
    [anon_sym_let] = ACTIONS(1928),
    [anon_sym_if] = ACTIONS(1928),
    [anon_sym_with] = ACTIONS(1928),
    [anon_sym_SQUOTE] = ACTIONS(1930),
    [anon_sym_SLASH] = ACTIONS(1928),
    [sym_undefined] = ACTIONS(1928),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(1930),
    [anon_sym_else] = ACTIONS(1928),
    [anon_sym_break] = ACTIONS(1928),
    [anon_sym_debugger] = ACTIONS(1928),
    [anon_sym_while] = ACTIONS(1928),
    [sym_identifier] = ACTIONS(1928),
    [anon_sym_BQUOTE] = ACTIONS(1930),
    [ts_builtin_sym_end] = ACTIONS(1930),
    [anon_sym_new] = ACTIONS(1928),
    [anon_sym_AT] = ACTIONS(1930),
    [anon_sym_PLUS] = ACTIONS(1928),
    [anon_sym_switch] = ACTIONS(1928),
    [anon_sym_export] = ACTIONS(1928),
    [anon_sym_continue] = ACTIONS(1928),
    [anon_sym_void] = ACTIONS(1928),
    [anon_sym_return] = ACTIONS(1928),
    [anon_sym_do] = ACTIONS(1928),
  },
  [509] = {
    [anon_sym_class] = ACTIONS(1932),
    [anon_sym_static] = ACTIONS(1932),
    [anon_sym_DASH] = ACTIONS(1932),
    [anon_sym_import] = ACTIONS(1932),
    [anon_sym_LBRACE] = ACTIONS(1934),
    [anon_sym_delete] = ACTIONS(1932),
    [anon_sym_throw] = ACTIONS(1932),
    [anon_sym_LPAREN] = ACTIONS(1934),
    [anon_sym_BANG] = ACTIONS(1934),
    [sym_this] = ACTIONS(1932),
    [sym_true] = ACTIONS(1932),
    [anon_sym_case] = ACTIONS(1932),
    [anon_sym_get] = ACTIONS(1932),
    [anon_sym_default] = ACTIONS(1932),
    [anon_sym_PLUS_PLUS] = ACTIONS(1934),
    [anon_sym_SEMI] = ACTIONS(1934),
    [anon_sym_DQUOTE] = ACTIONS(1934),
    [anon_sym_TILDE] = ACTIONS(1934),
    [sym_super] = ACTIONS(1932),
    [anon_sym_LT] = ACTIONS(1934),
    [sym_false] = ACTIONS(1932),
    [sym_number] = ACTIONS(1934),
    [anon_sym_yield] = ACTIONS(1932),
    [anon_sym_set] = ACTIONS(1932),
    [anon_sym_async] = ACTIONS(1932),
    [anon_sym_var] = ACTIONS(1932),
    [anon_sym_const] = ACTIONS(1932),
    [anon_sym_RBRACE] = ACTIONS(1934),
    [anon_sym_DASH_DASH] = ACTIONS(1934),
    [anon_sym_try] = ACTIONS(1932),
    [anon_sym_for] = ACTIONS(1932),
    [anon_sym_typeof] = ACTIONS(1932),
    [anon_sym_await] = ACTIONS(1932),
    [sym_null] = ACTIONS(1932),
    [anon_sym_function] = ACTIONS(1932),
    [anon_sym_let] = ACTIONS(1932),
    [anon_sym_if] = ACTIONS(1932),
    [anon_sym_with] = ACTIONS(1932),
    [anon_sym_SQUOTE] = ACTIONS(1934),
    [anon_sym_SLASH] = ACTIONS(1932),
    [sym_undefined] = ACTIONS(1932),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(1934),
    [anon_sym_else] = ACTIONS(1932),
    [anon_sym_break] = ACTIONS(1932),
    [anon_sym_debugger] = ACTIONS(1932),
    [anon_sym_while] = ACTIONS(1932),
    [sym_identifier] = ACTIONS(1932),
    [anon_sym_BQUOTE] = ACTIONS(1934),
    [ts_builtin_sym_end] = ACTIONS(1934),
    [anon_sym_new] = ACTIONS(1932),
    [anon_sym_AT] = ACTIONS(1934),
    [anon_sym_PLUS] = ACTIONS(1932),
    [anon_sym_switch] = ACTIONS(1932),
    [anon_sym_export] = ACTIONS(1932),
    [anon_sym_continue] = ACTIONS(1932),
    [anon_sym_void] = ACTIONS(1932),
    [anon_sym_return] = ACTIONS(1932),
    [anon_sym_do] = ACTIONS(1932),
  },
  [510] = {
    [sym__initializer] = STATE(255),
    [sym__automatic_semicolon] = ACTIONS(534),
    [anon_sym_in] = ACTIONS(1936),
    [anon_sym_of] = ACTIONS(1938),
    [anon_sym_COMMA] = ACTIONS(534),
    [anon_sym_EQ] = ACTIONS(536),
    [anon_sym_SEMI] = ACTIONS(534),
    [sym_comment] = ACTIONS(3),
  },
  [511] = {
    [sym__initializer] = STATE(259),
    [sym__automatic_semicolon] = ACTIONS(542),
    [anon_sym_in] = ACTIONS(1940),
    [anon_sym_of] = ACTIONS(1942),
    [anon_sym_COMMA] = ACTIONS(542),
    [anon_sym_EQ] = ACTIONS(536),
    [anon_sym_SEMI] = ACTIONS(542),
    [sym_comment] = ACTIONS(3),
  },
  [512] = {
    [sym__initializer] = STATE(260),
    [sym__automatic_semicolon] = ACTIONS(544),
    [anon_sym_in] = ACTIONS(1944),
    [anon_sym_of] = ACTIONS(1946),
    [anon_sym_COMMA] = ACTIONS(544),
    [anon_sym_EQ] = ACTIONS(536),
    [anon_sym_SEMI] = ACTIONS(544),
    [sym_comment] = ACTIONS(3),
  },
  [513] = {
    [sym_arrow_function] = STATE(593),
    [sym_call_expression] = STATE(593),
    [sym_subscript_expression] = STATE(42),
    [sym_assignment_expression] = STATE(593),
    [sym_ternary_expression] = STATE(593),
    [sym_binary_expression] = STATE(593),
    [sym_template_string] = STATE(593),
    [sym__expression] = STATE(593),
    [sym_yield_expression] = STATE(593),
    [sym_jsx_element] = STATE(593),
    [sym_jsx_fragment] = STATE(593),
    [sym_function] = STATE(47),
    [sym_new_expression] = STATE(593),
    [sym_augmented_assignment_expression] = STATE(593),
    [sym_unary_expression] = STATE(593),
    [sym_update_expression] = STATE(593),
    [sym_regex] = STATE(593),
    [sym_meta_property] = STATE(593),
    [sym_object] = STATE(43),
    [aux_sym_export_statement_repeat1] = STATE(60),
    [sym_class] = STATE(593),
    [sym_generator_function] = STATE(593),
    [sym_await_expression] = STATE(593),
    [sym_member_expression] = STATE(42),
    [sym_sequence_expression] = STATE(594),
    [sym_string] = STATE(593),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(51),
    [sym_parenthesized_expression] = STATE(593),
    [sym_array] = STATE(52),
    [sym_jsx_opening_element] = STATE(53),
    [sym_jsx_self_closing_element] = STATE(593),
    [anon_sym_await] = ACTIONS(5),
    [sym_null] = ACTIONS(1948),
    [anon_sym_class] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_function] = ACTIONS(95),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(97),
    [anon_sym_delete] = ACTIONS(39),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(1948),
    [sym_undefined] = ACTIONS(1948),
    [sym_true] = ACTIONS(1948),
    [anon_sym_SLASH] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(49),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(63),
    [sym_identifier] = ACTIONS(99),
    [sym_false] = ACTIONS(1948),
    [anon_sym_LT] = ACTIONS(69),
    [sym_number] = ACTIONS(1950),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_set] = ACTIONS(23),
    [anon_sym_async] = ACTIONS(103),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_void] = ACTIONS(39),
    [anon_sym_typeof] = ACTIONS(39),
  },
  [514] = {
    [sym_arrow_function] = STATE(595),
    [sym_call_expression] = STATE(595),
    [sym_subscript_expression] = STATE(701),
    [sym_assignment_expression] = STATE(595),
    [sym_ternary_expression] = STATE(595),
    [sym_binary_expression] = STATE(595),
    [sym_template_string] = STATE(595),
    [sym__expression] = STATE(595),
    [sym_yield_expression] = STATE(595),
    [sym_jsx_element] = STATE(595),
    [sym_jsx_fragment] = STATE(595),
    [sym_function] = STATE(703),
    [sym_new_expression] = STATE(595),
    [sym_augmented_assignment_expression] = STATE(595),
    [sym_unary_expression] = STATE(595),
    [sym_update_expression] = STATE(595),
    [sym_regex] = STATE(595),
    [sym_meta_property] = STATE(595),
    [sym_object] = STATE(702),
    [aux_sym_export_statement_repeat1] = STATE(1016),
    [sym_class] = STATE(595),
    [sym_generator_function] = STATE(595),
    [sym_await_expression] = STATE(595),
    [sym_member_expression] = STATE(701),
    [sym_string] = STATE(595),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(874),
    [sym_parenthesized_expression] = STATE(595),
    [sym_array] = STATE(704),
    [sym_jsx_opening_element] = STATE(875),
    [sym_jsx_self_closing_element] = STATE(595),
    [anon_sym_await] = ACTIONS(217),
    [sym_null] = ACTIONS(1952),
    [anon_sym_class] = ACTIONS(183),
    [anon_sym_static] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(219),
    [anon_sym_DASH] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_delete] = ACTIONS(191),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [anon_sym_LPAREN] = ACTIONS(193),
    [anon_sym_BANG] = ACTIONS(195),
    [sym_this] = ACTIONS(1952),
    [sym_undefined] = ACTIONS(1952),
    [sym_true] = ACTIONS(1952),
    [anon_sym_SLASH] = ACTIONS(223),
    [anon_sym_LBRACK] = ACTIONS(225),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(243),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_TILDE] = ACTIONS(195),
    [sym_super] = ACTIONS(207),
    [sym_identifier] = ACTIONS(253),
    [sym_false] = ACTIONS(1952),
    [anon_sym_LT] = ACTIONS(209),
    [sym_number] = ACTIONS(1954),
    [anon_sym_yield] = ACTIONS(213),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_set] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(251),
    [anon_sym_new] = ACTIONS(231),
    [anon_sym_PLUS] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_void] = ACTIONS(191),
    [anon_sym_typeof] = ACTIONS(191),
  },
  [515] = {
    [sym_arrow_function] = STATE(597),
    [sym_call_expression] = STATE(597),
    [sym_subscript_expression] = STATE(701),
    [sym_assignment_expression] = STATE(597),
    [sym_ternary_expression] = STATE(597),
    [sym_binary_expression] = STATE(597),
    [sym_template_string] = STATE(597),
    [sym__expression] = STATE(597),
    [sym_yield_expression] = STATE(597),
    [sym_jsx_element] = STATE(597),
    [sym_jsx_fragment] = STATE(597),
    [sym_function] = STATE(703),
    [sym_new_expression] = STATE(597),
    [sym_augmented_assignment_expression] = STATE(597),
    [sym_unary_expression] = STATE(597),
    [sym_update_expression] = STATE(597),
    [sym_regex] = STATE(597),
    [sym_meta_property] = STATE(597),
    [sym_object] = STATE(702),
    [aux_sym_export_statement_repeat1] = STATE(1016),
    [sym_class] = STATE(597),
    [sym_generator_function] = STATE(597),
    [sym_await_expression] = STATE(597),
    [sym_member_expression] = STATE(701),
    [sym_sequence_expression] = STATE(598),
    [sym_string] = STATE(597),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(874),
    [sym_parenthesized_expression] = STATE(597),
    [sym_array] = STATE(704),
    [sym_jsx_opening_element] = STATE(875),
    [sym_jsx_self_closing_element] = STATE(597),
    [anon_sym_await] = ACTIONS(217),
    [sym_null] = ACTIONS(1956),
    [anon_sym_class] = ACTIONS(183),
    [anon_sym_static] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(219),
    [anon_sym_DASH] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_delete] = ACTIONS(191),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [anon_sym_LPAREN] = ACTIONS(193),
    [anon_sym_BANG] = ACTIONS(195),
    [sym_this] = ACTIONS(1956),
    [sym_undefined] = ACTIONS(1956),
    [sym_true] = ACTIONS(1956),
    [anon_sym_SLASH] = ACTIONS(223),
    [anon_sym_LBRACK] = ACTIONS(225),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(243),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_RPAREN] = ACTIONS(1958),
    [anon_sym_TILDE] = ACTIONS(195),
    [sym_super] = ACTIONS(207),
    [sym_identifier] = ACTIONS(253),
    [sym_false] = ACTIONS(1956),
    [anon_sym_LT] = ACTIONS(209),
    [sym_number] = ACTIONS(1960),
    [anon_sym_yield] = ACTIONS(213),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_set] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(251),
    [anon_sym_new] = ACTIONS(231),
    [anon_sym_PLUS] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_void] = ACTIONS(191),
    [anon_sym_typeof] = ACTIONS(191),
  },
  [516] = {
    [sym_arrow_function] = STATE(599),
    [sym_call_expression] = STATE(599),
    [sym_subscript_expression] = STATE(701),
    [sym_assignment_expression] = STATE(599),
    [sym_ternary_expression] = STATE(599),
    [sym_binary_expression] = STATE(599),
    [sym_template_string] = STATE(599),
    [sym__expression] = STATE(599),
    [sym_yield_expression] = STATE(599),
    [sym_jsx_element] = STATE(599),
    [sym_jsx_fragment] = STATE(599),
    [sym_function] = STATE(703),
    [sym_new_expression] = STATE(599),
    [sym_augmented_assignment_expression] = STATE(599),
    [sym_unary_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_regex] = STATE(599),
    [sym_meta_property] = STATE(599),
    [sym_object] = STATE(702),
    [aux_sym_export_statement_repeat1] = STATE(1016),
    [sym_class] = STATE(599),
    [sym_generator_function] = STATE(599),
    [sym_await_expression] = STATE(599),
    [sym_member_expression] = STATE(701),
    [sym_string] = STATE(599),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(874),
    [sym_parenthesized_expression] = STATE(599),
    [sym_array] = STATE(704),
    [sym_jsx_opening_element] = STATE(875),
    [sym_jsx_self_closing_element] = STATE(599),
    [anon_sym_await] = ACTIONS(217),
    [sym_null] = ACTIONS(1962),
    [anon_sym_class] = ACTIONS(183),
    [anon_sym_static] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(219),
    [anon_sym_DASH] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_delete] = ACTIONS(191),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [anon_sym_LPAREN] = ACTIONS(193),
    [anon_sym_BANG] = ACTIONS(195),
    [sym_this] = ACTIONS(1962),
    [sym_undefined] = ACTIONS(1962),
    [sym_true] = ACTIONS(1962),
    [anon_sym_SLASH] = ACTIONS(223),
    [anon_sym_LBRACK] = ACTIONS(225),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(243),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_TILDE] = ACTIONS(195),
    [sym_super] = ACTIONS(207),
    [sym_identifier] = ACTIONS(253),
    [sym_false] = ACTIONS(1962),
    [anon_sym_LT] = ACTIONS(209),
    [sym_number] = ACTIONS(1964),
    [anon_sym_yield] = ACTIONS(213),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_set] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(251),
    [anon_sym_new] = ACTIONS(231),
    [anon_sym_PLUS] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_void] = ACTIONS(191),
    [anon_sym_typeof] = ACTIONS(191),
  },
  [517] = {
    [sym_arrow_function] = STATE(600),
    [sym_call_expression] = STATE(600),
    [sym_subscript_expression] = STATE(42),
    [sym_assignment_expression] = STATE(600),
    [sym_ternary_expression] = STATE(600),
    [sym_binary_expression] = STATE(600),
    [sym_template_string] = STATE(600),
    [sym__expression] = STATE(600),
    [sym_yield_expression] = STATE(600),
    [sym_jsx_element] = STATE(600),
    [sym_jsx_fragment] = STATE(600),
    [sym_function] = STATE(47),
    [sym_new_expression] = STATE(600),
    [sym_augmented_assignment_expression] = STATE(600),
    [sym_unary_expression] = STATE(600),
    [sym_update_expression] = STATE(600),
    [sym_regex] = STATE(600),
    [sym_meta_property] = STATE(600),
    [sym_object] = STATE(43),
    [aux_sym_export_statement_repeat1] = STATE(60),
    [sym_class] = STATE(600),
    [sym_generator_function] = STATE(600),
    [sym_await_expression] = STATE(600),
    [sym_member_expression] = STATE(42),
    [sym_sequence_expression] = STATE(601),
    [sym_string] = STATE(600),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(51),
    [sym_parenthesized_expression] = STATE(600),
    [sym_array] = STATE(52),
    [sym_jsx_opening_element] = STATE(53),
    [sym_jsx_self_closing_element] = STATE(600),
    [anon_sym_await] = ACTIONS(5),
    [sym_null] = ACTIONS(1966),
    [anon_sym_class] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_function] = ACTIONS(95),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(97),
    [anon_sym_delete] = ACTIONS(39),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(1966),
    [sym_undefined] = ACTIONS(1966),
    [sym_true] = ACTIONS(1966),
    [anon_sym_SLASH] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(49),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(63),
    [sym_identifier] = ACTIONS(99),
    [sym_false] = ACTIONS(1966),
    [anon_sym_LT] = ACTIONS(69),
    [sym_number] = ACTIONS(1968),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_set] = ACTIONS(23),
    [anon_sym_async] = ACTIONS(103),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_void] = ACTIONS(39),
    [anon_sym_typeof] = ACTIONS(39),
  },
  [518] = {
    [sym_arrow_function] = STATE(602),
    [sym_call_expression] = STATE(602),
    [sym_subscript_expression] = STATE(701),
    [sym_assignment_expression] = STATE(602),
    [sym_ternary_expression] = STATE(602),
    [sym_binary_expression] = STATE(602),
    [sym_template_string] = STATE(602),
    [sym__expression] = STATE(602),
    [sym_yield_expression] = STATE(602),
    [sym_jsx_element] = STATE(602),
    [sym_jsx_fragment] = STATE(602),
    [sym_function] = STATE(703),
    [sym_new_expression] = STATE(602),
    [sym_augmented_assignment_expression] = STATE(602),
    [sym_unary_expression] = STATE(602),
    [sym_update_expression] = STATE(602),
    [sym_regex] = STATE(602),
    [sym_meta_property] = STATE(602),
    [sym_object] = STATE(702),
    [aux_sym_export_statement_repeat1] = STATE(1016),
    [sym_class] = STATE(602),
    [sym_generator_function] = STATE(602),
    [sym_await_expression] = STATE(602),
    [sym_member_expression] = STATE(701),
    [sym_string] = STATE(602),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(874),
    [sym_parenthesized_expression] = STATE(602),
    [sym_array] = STATE(704),
    [sym_jsx_opening_element] = STATE(875),
    [sym_jsx_self_closing_element] = STATE(602),
    [anon_sym_await] = ACTIONS(217),
    [sym_null] = ACTIONS(1970),
    [anon_sym_class] = ACTIONS(183),
    [anon_sym_static] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(219),
    [anon_sym_DASH] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_delete] = ACTIONS(191),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [anon_sym_LPAREN] = ACTIONS(193),
    [anon_sym_BANG] = ACTIONS(195),
    [sym_this] = ACTIONS(1970),
    [sym_undefined] = ACTIONS(1970),
    [sym_true] = ACTIONS(1970),
    [anon_sym_SLASH] = ACTIONS(223),
    [anon_sym_LBRACK] = ACTIONS(225),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(243),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_TILDE] = ACTIONS(195),
    [sym_super] = ACTIONS(207),
    [sym_identifier] = ACTIONS(253),
    [sym_false] = ACTIONS(1970),
    [anon_sym_LT] = ACTIONS(209),
    [sym_number] = ACTIONS(1972),
    [anon_sym_yield] = ACTIONS(213),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_set] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(251),
    [anon_sym_new] = ACTIONS(231),
    [anon_sym_PLUS] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_void] = ACTIONS(191),
    [anon_sym_typeof] = ACTIONS(191),
  },
  [519] = {
    [sym_arrow_function] = STATE(603),
    [sym_call_expression] = STATE(603),
    [sym_subscript_expression] = STATE(42),
    [sym_assignment_expression] = STATE(603),
    [sym_ternary_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_template_string] = STATE(603),
    [sym__expression] = STATE(603),
    [sym_yield_expression] = STATE(603),
    [sym_jsx_element] = STATE(603),
    [sym_jsx_fragment] = STATE(603),
    [sym_function] = STATE(47),
    [sym_new_expression] = STATE(603),
    [sym_augmented_assignment_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_regex] = STATE(603),
    [sym_meta_property] = STATE(603),
    [sym_object] = STATE(43),
    [aux_sym_export_statement_repeat1] = STATE(60),
    [sym_class] = STATE(603),
    [sym_generator_function] = STATE(603),
    [sym_await_expression] = STATE(603),
    [sym_member_expression] = STATE(42),
    [sym_sequence_expression] = STATE(604),
    [sym_string] = STATE(603),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(51),
    [sym_parenthesized_expression] = STATE(603),
    [sym_array] = STATE(52),
    [sym_jsx_opening_element] = STATE(53),
    [sym_jsx_self_closing_element] = STATE(603),
    [anon_sym_await] = ACTIONS(5),
    [sym_null] = ACTIONS(1974),
    [anon_sym_class] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_function] = ACTIONS(95),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(97),
    [anon_sym_delete] = ACTIONS(39),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(1974),
    [sym_undefined] = ACTIONS(1974),
    [sym_true] = ACTIONS(1974),
    [anon_sym_SLASH] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(49),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(63),
    [sym_identifier] = ACTIONS(99),
    [sym_false] = ACTIONS(1974),
    [anon_sym_LT] = ACTIONS(69),
    [sym_number] = ACTIONS(1976),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_set] = ACTIONS(23),
    [anon_sym_async] = ACTIONS(103),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_void] = ACTIONS(39),
    [anon_sym_typeof] = ACTIONS(39),
  },
  [520] = {
    [sym_array] = STATE(606),
    [sym_object] = STATE(607),
    [anon_sym_LBRACE] = ACTIONS(189),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(225),
    [sym_identifier] = ACTIONS(1978),
  },
  [521] = {
    [anon_sym_of] = ACTIONS(1938),
    [sym_comment] = ACTIONS(3),
  },
  [522] = {
    [anon_sym_of] = ACTIONS(1942),
    [sym_comment] = ACTIONS(3),
  },
  [523] = {
    [anon_sym_of] = ACTIONS(1946),
    [sym_comment] = ACTIONS(3),
  },
  [524] = {
    [sym__automatic_semicolon] = ACTIONS(1980),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1980),
  },
  [525] = {
    [sym_template_string] = STATE(141),
    [sym_arguments] = STATE(141),
    [anon_sym_instanceof] = ACTIONS(392),
    [anon_sym_GT] = ACTIONS(287),
    [sym__automatic_semicolon] = ACTIONS(1982),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_CARET] = ACTIONS(396),
    [anon_sym_STAR_STAR] = ACTIONS(398),
    [anon_sym_STAR] = ACTIONS(400),
    [anon_sym_AMP_AMP] = ACTIONS(402),
    [anon_sym_GT_GT] = ACTIONS(400),
    [anon_sym_AMP] = ACTIONS(404),
    [anon_sym_in] = ACTIONS(287),
    [anon_sym_LPAREN] = ACTIONS(271),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(392),
    [anon_sym_GT_EQ] = ACTIONS(392),
    [anon_sym_SLASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(273),
    [anon_sym_PIPE] = ACTIONS(406),
    [anon_sym_LT_EQ] = ACTIONS(392),
    [anon_sym_PIPE_PIPE] = ACTIONS(396),
    [anon_sym_GT_GT_GT] = ACTIONS(408),
    [anon_sym_PLUS_PLUS] = ACTIONS(410),
    [anon_sym_SEMI] = ACTIONS(1982),
    [anon_sym_BANG_EQ] = ACTIONS(287),
    [anon_sym_LT] = ACTIONS(287),
    [anon_sym_DOT] = ACTIONS(275),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_EQ_EQ] = ACTIONS(287),
    [anon_sym_PERCENT] = ACTIONS(408),
    [anon_sym_QMARK] = ACTIONS(414),
    [anon_sym_LT_LT] = ACTIONS(408),
    [anon_sym_DASH_DASH] = ACTIONS(410),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(392),
  },
  [526] = {
    [anon_sym_instanceof] = ACTIONS(1984),
    [sym__automatic_semicolon] = ACTIONS(1986),
    [anon_sym_class] = ACTIONS(1988),
    [anon_sym_DASH] = ACTIONS(1988),
    [anon_sym_STAR] = ACTIONS(1984),
    [anon_sym_AMP] = ACTIONS(1984),
    [anon_sym_throw] = ACTIONS(1988),
    [anon_sym_GT_EQ] = ACTIONS(1990),
    [sym_this] = ACTIONS(1988),
    [anon_sym_case] = ACTIONS(1988),
    [anon_sym_get] = ACTIONS(1988),
    [anon_sym_LT_EQ] = ACTIONS(1990),
    [anon_sym_COMMA] = ACTIONS(1990),
    [anon_sym_PLUS_PLUS] = ACTIONS(1992),
    [anon_sym_TILDE] = ACTIONS(1992),
    [anon_sym_LT] = ACTIONS(1988),
    [sym_false] = ACTIONS(1988),
    [anon_sym_yield] = ACTIONS(1988),
    [anon_sym_async] = ACTIONS(1988),
    [anon_sym_const] = ACTIONS(1988),
    [anon_sym_QMARK] = ACTIONS(1990),
    [anon_sym_try] = ACTIONS(1988),
    [anon_sym_await] = ACTIONS(1988),
    [anon_sym_let] = ACTIONS(1988),
    [anon_sym_CARET] = ACTIONS(1990),
    [anon_sym_GT_GT] = ACTIONS(1984),
    [anon_sym_in] = ACTIONS(1984),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1990),
    [anon_sym_SLASH] = ACTIONS(1988),
    [sym_undefined] = ACTIONS(1988),
    [anon_sym_LBRACK] = ACTIONS(1992),
    [anon_sym_else] = ACTIONS(1988),
    [anon_sym_PIPE_PIPE] = ACTIONS(1990),
    [anon_sym_break] = ACTIONS(1988),
    [anon_sym_while] = ACTIONS(1988),
    [anon_sym_DOT] = ACTIONS(1984),
    [anon_sym_BQUOTE] = ACTIONS(1992),
    [anon_sym_PLUS] = ACTIONS(1988),
    [anon_sym_export] = ACTIONS(1988),
    [anon_sym_LT_LT] = ACTIONS(1990),
    [anon_sym_return] = ACTIONS(1988),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1990),
    [anon_sym_static] = ACTIONS(1988),
    [anon_sym_import] = ACTIONS(1988),
    [anon_sym_STAR_STAR] = ACTIONS(1990),
    [anon_sym_LBRACE] = ACTIONS(1992),
    [anon_sym_delete] = ACTIONS(1988),
    [anon_sym_LPAREN] = ACTIONS(1992),
    [anon_sym_BANG] = ACTIONS(1988),
    [sym_true] = ACTIONS(1988),
    [anon_sym_default] = ACTIONS(1988),
    [anon_sym_SEMI] = ACTIONS(1992),
    [anon_sym_DQUOTE] = ACTIONS(1992),
    [sym_super] = ACTIONS(1988),
    [sym_number] = ACTIONS(1992),
    [anon_sym_set] = ACTIONS(1988),
    [anon_sym_var] = ACTIONS(1988),
    [anon_sym_EQ_EQ] = ACTIONS(1984),
    [anon_sym_RBRACE] = ACTIONS(1992),
    [anon_sym_DASH_DASH] = ACTIONS(1992),
    [anon_sym_for] = ACTIONS(1988),
    [anon_sym_typeof] = ACTIONS(1988),
    [anon_sym_GT] = ACTIONS(1984),
    [sym_null] = ACTIONS(1988),
    [anon_sym_function] = ACTIONS(1988),
    [anon_sym_if] = ACTIONS(1988),
    [anon_sym_AMP_AMP] = ACTIONS(1990),
    [anon_sym_with] = ACTIONS(1988),
    [anon_sym_SQUOTE] = ACTIONS(1992),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(1984),
    [anon_sym_GT_GT_GT] = ACTIONS(1990),
    [anon_sym_debugger] = ACTIONS(1988),
    [anon_sym_BANG_EQ] = ACTIONS(1984),
    [sym_identifier] = ACTIONS(1988),
    [ts_builtin_sym_end] = ACTIONS(1992),
    [anon_sym_new] = ACTIONS(1988),
    [anon_sym_AT] = ACTIONS(1992),
    [anon_sym_switch] = ACTIONS(1988),
    [anon_sym_PERCENT] = ACTIONS(1990),
    [anon_sym_continue] = ACTIONS(1988),
    [anon_sym_void] = ACTIONS(1988),
    [anon_sym_do] = ACTIONS(1988),
  },
  [527] = {
    [sym_class_body] = STATE(611),
    [anon_sym_LBRACE] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
  },
  [528] = {
    [anon_sym_instanceof] = ACTIONS(1994),
    [anon_sym_GT] = ACTIONS(1996),
    [sym__automatic_semicolon] = ACTIONS(1994),
    [anon_sym_DASH] = ACTIONS(1996),
    [anon_sym_CARET] = ACTIONS(1994),
    [anon_sym_STAR_STAR] = ACTIONS(1994),
    [anon_sym_STAR] = ACTIONS(1996),
    [anon_sym_AMP_AMP] = ACTIONS(1994),
    [anon_sym_GT_GT] = ACTIONS(1996),
    [anon_sym_AMP] = ACTIONS(1996),
    [anon_sym_in] = ACTIONS(1996),
    [anon_sym_LPAREN] = ACTIONS(1994),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1994),
    [anon_sym_SLASH] = ACTIONS(1996),
    [anon_sym_GT_EQ] = ACTIONS(1994),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(1994),
    [anon_sym_PIPE] = ACTIONS(1996),
    [anon_sym_LT_EQ] = ACTIONS(1994),
    [anon_sym_PIPE_PIPE] = ACTIONS(1994),
    [anon_sym_COMMA] = ACTIONS(1994),
    [anon_sym_GT_GT_GT] = ACTIONS(1994),
    [anon_sym_SEMI] = ACTIONS(1994),
    [anon_sym_PLUS_PLUS] = ACTIONS(1994),
    [anon_sym_BANG_EQ] = ACTIONS(1996),
    [anon_sym_RPAREN] = ACTIONS(1994),
    [anon_sym_LT] = ACTIONS(1996),
    [anon_sym_DOT] = ACTIONS(1994),
    [anon_sym_BQUOTE] = ACTIONS(1994),
    [anon_sym_PLUS] = ACTIONS(1996),
    [anon_sym_EQ_EQ] = ACTIONS(1996),
    [anon_sym_PERCENT] = ACTIONS(1994),
    [anon_sym_QMARK] = ACTIONS(1994),
    [anon_sym_LT_LT] = ACTIONS(1994),
    [anon_sym_DASH_DASH] = ACTIONS(1994),
    [anon_sym_RBRACE] = ACTIONS(1994),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1994),
  },
  [529] = {
    [sym_arrow_function] = STATE(612),
    [sym_call_expression] = STATE(612),
    [sym_subscript_expression] = STATE(42),
    [sym_assignment_expression] = STATE(612),
    [sym_ternary_expression] = STATE(612),
    [sym_binary_expression] = STATE(612),
    [sym_template_string] = STATE(612),
    [sym__expression] = STATE(612),
    [sym_yield_expression] = STATE(612),
    [sym_jsx_element] = STATE(612),
    [sym_jsx_fragment] = STATE(612),
    [sym_function] = STATE(47),
    [sym_new_expression] = STATE(612),
    [sym_augmented_assignment_expression] = STATE(612),
    [sym_unary_expression] = STATE(612),
    [sym_update_expression] = STATE(612),
    [sym_regex] = STATE(612),
    [sym_meta_property] = STATE(612),
    [sym_object] = STATE(43),
    [aux_sym_export_statement_repeat1] = STATE(60),
    [sym_class] = STATE(612),
    [sym_generator_function] = STATE(612),
    [sym_await_expression] = STATE(612),
    [sym_member_expression] = STATE(42),
    [sym_string] = STATE(612),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(51),
    [sym_parenthesized_expression] = STATE(612),
    [sym_array] = STATE(52),
    [sym_jsx_opening_element] = STATE(53),
    [sym_jsx_self_closing_element] = STATE(612),
    [anon_sym_await] = ACTIONS(5),
    [sym_null] = ACTIONS(1998),
    [anon_sym_class] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_function] = ACTIONS(95),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(97),
    [anon_sym_delete] = ACTIONS(39),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(1998),
    [sym_undefined] = ACTIONS(1998),
    [sym_true] = ACTIONS(1998),
    [anon_sym_SLASH] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(49),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(63),
    [sym_identifier] = ACTIONS(99),
    [sym_false] = ACTIONS(1998),
    [anon_sym_LT] = ACTIONS(69),
    [sym_number] = ACTIONS(2000),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_set] = ACTIONS(23),
    [anon_sym_async] = ACTIONS(103),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_void] = ACTIONS(39),
    [anon_sym_typeof] = ACTIONS(39),
  },
  [530] = {
    [anon_sym_LBRACE] = ACTIONS(2002),
    [sym_comment] = ACTIONS(237),
    [sym_jsx_text] = ACTIONS(2002),
    [anon_sym_LT] = ACTIONS(2002),
  },
  [531] = {
    [anon_sym_GT] = ACTIONS(2004),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(812),
    [anon_sym_DOT] = ACTIONS(820),
  },
  [532] = {
    [anon_sym_GT] = ACTIONS(2004),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(812),
  },
  [533] = {
    [anon_sym_GT] = ACTIONS(2004),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT] = ACTIONS(820),
  },
  [534] = {
    [anon_sym_GT] = ACTIONS(2004),
    [sym_comment] = ACTIONS(3),
  },
  [535] = {
    [sym_nested_identifier] = STATE(1101),
    [sym_jsx_namespace_name] = STATE(1102),
    [sym_identifier] = ACTIONS(1108),
    [sym_jsx_identifier] = ACTIONS(1106),
    [sym_comment] = ACTIONS(3),
  },
  [536] = {
    [anon_sym_instanceof] = ACTIONS(1679),
    [anon_sym_GT] = ACTIONS(1673),
    [sym__automatic_semicolon] = ACTIONS(1679),
    [anon_sym_DASH] = ACTIONS(1673),
    [anon_sym_CARET] = ACTIONS(1679),
    [anon_sym_STAR_STAR] = ACTIONS(1679),
    [anon_sym_STAR] = ACTIONS(1673),
    [anon_sym_AMP_AMP] = ACTIONS(1679),
    [anon_sym_GT_GT] = ACTIONS(1673),
    [anon_sym_AMP] = ACTIONS(1673),
    [anon_sym_in] = ACTIONS(1673),
    [anon_sym_LPAREN] = ACTIONS(1679),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1679),
    [anon_sym_SLASH] = ACTIONS(1673),
    [anon_sym_GT_EQ] = ACTIONS(1679),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(1679),
    [anon_sym_PIPE] = ACTIONS(1673),
    [anon_sym_LT_EQ] = ACTIONS(1679),
    [anon_sym_PIPE_PIPE] = ACTIONS(1679),
    [anon_sym_COMMA] = ACTIONS(1679),
    [anon_sym_GT_GT_GT] = ACTIONS(1679),
    [anon_sym_SEMI] = ACTIONS(1679),
    [anon_sym_PLUS_PLUS] = ACTIONS(1679),
    [anon_sym_BANG_EQ] = ACTIONS(1673),
    [anon_sym_RPAREN] = ACTIONS(1679),
    [anon_sym_LT] = ACTIONS(1673),
    [anon_sym_DOT] = ACTIONS(1679),
    [anon_sym_BQUOTE] = ACTIONS(1679),
    [anon_sym_PLUS] = ACTIONS(1673),
    [anon_sym_EQ_EQ] = ACTIONS(1673),
    [anon_sym_PERCENT] = ACTIONS(1679),
    [anon_sym_QMARK] = ACTIONS(1679),
    [anon_sym_LT_LT] = ACTIONS(1679),
    [anon_sym_DASH_DASH] = ACTIONS(1679),
    [anon_sym_RBRACE] = ACTIONS(1679),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1679),
  },
  [537] = {
    [anon_sym_instanceof] = ACTIONS(1699),
    [anon_sym_GT] = ACTIONS(1693),
    [sym__automatic_semicolon] = ACTIONS(1699),
    [anon_sym_DASH] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1699),
    [anon_sym_STAR_STAR] = ACTIONS(1699),
    [anon_sym_STAR] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1699),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1693),
    [anon_sym_in] = ACTIONS(1693),
    [anon_sym_LPAREN] = ACTIONS(1699),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1699),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_GT_EQ] = ACTIONS(1699),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(1699),
    [anon_sym_PIPE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1699),
    [anon_sym_PIPE_PIPE] = ACTIONS(1699),
    [anon_sym_COMMA] = ACTIONS(1699),
    [anon_sym_GT_GT_GT] = ACTIONS(1699),
    [anon_sym_SEMI] = ACTIONS(1699),
    [anon_sym_PLUS_PLUS] = ACTIONS(1699),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_RPAREN] = ACTIONS(1699),
    [anon_sym_LT] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1699),
    [anon_sym_BQUOTE] = ACTIONS(1699),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1699),
    [anon_sym_QMARK] = ACTIONS(1699),
    [anon_sym_LT_LT] = ACTIONS(1699),
    [anon_sym_DASH_DASH] = ACTIONS(1699),
    [anon_sym_RBRACE] = ACTIONS(1699),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1699),
  },
  [538] = {
    [sym_statement_block] = STATE(614),
    [anon_sym_LBRACE] = ACTIONS(532),
    [sym_comment] = ACTIONS(3),
  },
  [539] = {
    [sym_template_string] = STATE(719),
    [sym_arguments] = STATE(719),
    [anon_sym_instanceof] = ACTIONS(696),
    [anon_sym_GT] = ACTIONS(676),
    [anon_sym_DASH] = ACTIONS(698),
    [anon_sym_CARET] = ACTIONS(700),
    [anon_sym_STAR_STAR] = ACTIONS(702),
    [anon_sym_STAR] = ACTIONS(704),
    [anon_sym_AMP_AMP] = ACTIONS(706),
    [anon_sym_GT_GT] = ACTIONS(704),
    [anon_sym_AMP] = ACTIONS(708),
    [anon_sym_in] = ACTIONS(676),
    [anon_sym_LPAREN] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(696),
    [anon_sym_GT_EQ] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(704),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(710),
    [anon_sym_PIPE] = ACTIONS(712),
    [anon_sym_LT_EQ] = ACTIONS(696),
    [anon_sym_PIPE_PIPE] = ACTIONS(700),
    [anon_sym_COMMA] = ACTIONS(1774),
    [anon_sym_GT_GT_GT] = ACTIONS(714),
    [anon_sym_PLUS_PLUS] = ACTIONS(716),
    [anon_sym_BANG_EQ] = ACTIONS(676),
    [anon_sym_RPAREN] = ACTIONS(1774),
    [anon_sym_LT] = ACTIONS(676),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_PLUS] = ACTIONS(698),
    [anon_sym_EQ_EQ] = ACTIONS(676),
    [anon_sym_PERCENT] = ACTIONS(714),
    [anon_sym_QMARK] = ACTIONS(722),
    [anon_sym_RBRACE] = ACTIONS(1774),
    [anon_sym_LT_LT] = ACTIONS(714),
    [anon_sym_DASH_DASH] = ACTIONS(716),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(696),
  },
  [540] = {
    [sym_template_string] = STATE(719),
    [sym_arguments] = STATE(719),
    [anon_sym_instanceof] = ACTIONS(696),
    [anon_sym_GT] = ACTIONS(676),
    [anon_sym_DASH] = ACTIONS(698),
    [anon_sym_CARET] = ACTIONS(700),
    [anon_sym_STAR_STAR] = ACTIONS(702),
    [anon_sym_STAR] = ACTIONS(704),
    [anon_sym_AMP_AMP] = ACTIONS(706),
    [anon_sym_GT_GT] = ACTIONS(704),
    [anon_sym_AMP] = ACTIONS(708),
    [anon_sym_in] = ACTIONS(676),
    [anon_sym_LPAREN] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(696),
    [anon_sym_GT_EQ] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(704),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(710),
    [anon_sym_PIPE] = ACTIONS(712),
    [anon_sym_LT_EQ] = ACTIONS(696),
    [anon_sym_PIPE_PIPE] = ACTIONS(700),
    [anon_sym_COMMA] = ACTIONS(1783),
    [anon_sym_GT_GT_GT] = ACTIONS(714),
    [anon_sym_PLUS_PLUS] = ACTIONS(716),
    [anon_sym_BANG_EQ] = ACTIONS(676),
    [anon_sym_RPAREN] = ACTIONS(1783),
    [anon_sym_LT] = ACTIONS(676),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_PLUS] = ACTIONS(698),
    [anon_sym_EQ_EQ] = ACTIONS(676),
    [anon_sym_PERCENT] = ACTIONS(714),
    [anon_sym_QMARK] = ACTIONS(722),
    [anon_sym_RBRACE] = ACTIONS(1783),
    [anon_sym_LT_LT] = ACTIONS(714),
    [anon_sym_DASH_DASH] = ACTIONS(716),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(696),
  },
  [541] = {
    [sym_template_string] = STATE(719),
    [sym_arguments] = STATE(719),
    [anon_sym_instanceof] = ACTIONS(696),
    [anon_sym_GT] = ACTIONS(676),
    [anon_sym_DASH] = ACTIONS(698),
    [anon_sym_CARET] = ACTIONS(700),
    [anon_sym_STAR_STAR] = ACTIONS(702),
    [anon_sym_STAR] = ACTIONS(704),
    [anon_sym_AMP_AMP] = ACTIONS(706),
    [anon_sym_GT_GT] = ACTIONS(704),
    [anon_sym_AMP] = ACTIONS(708),
    [anon_sym_in] = ACTIONS(676),
    [anon_sym_LPAREN] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(696),
    [anon_sym_GT_EQ] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(704),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(710),
    [anon_sym_PIPE] = ACTIONS(712),
    [anon_sym_LT_EQ] = ACTIONS(696),
    [anon_sym_PIPE_PIPE] = ACTIONS(700),
    [anon_sym_COMMA] = ACTIONS(1798),
    [anon_sym_GT_GT_GT] = ACTIONS(714),
    [anon_sym_PLUS_PLUS] = ACTIONS(716),
    [anon_sym_BANG_EQ] = ACTIONS(676),
    [anon_sym_RPAREN] = ACTIONS(1798),
    [anon_sym_LT] = ACTIONS(676),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_PLUS] = ACTIONS(698),
    [anon_sym_EQ_EQ] = ACTIONS(676),
    [anon_sym_PERCENT] = ACTIONS(714),
    [anon_sym_QMARK] = ACTIONS(722),
    [anon_sym_RBRACE] = ACTIONS(1798),
    [anon_sym_LT_LT] = ACTIONS(714),
    [anon_sym_DASH_DASH] = ACTIONS(716),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(696),
  },
  [542] = {
    [sym_statement_block] = STATE(615),
    [anon_sym_LBRACE] = ACTIONS(532),
    [sym_comment] = ACTIONS(3),
  },
  [543] = {
    [anon_sym_instanceof] = ACTIONS(1990),
    [anon_sym_GT] = ACTIONS(1984),
    [sym__automatic_semicolon] = ACTIONS(1990),
    [anon_sym_DASH] = ACTIONS(1984),
    [anon_sym_CARET] = ACTIONS(1990),
    [anon_sym_STAR_STAR] = ACTIONS(1990),
    [anon_sym_STAR] = ACTIONS(1984),
    [anon_sym_AMP_AMP] = ACTIONS(1990),
    [anon_sym_GT_GT] = ACTIONS(1984),
    [anon_sym_AMP] = ACTIONS(1984),
    [anon_sym_in] = ACTIONS(1984),
    [anon_sym_LPAREN] = ACTIONS(1990),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1990),
    [anon_sym_SLASH] = ACTIONS(1984),
    [anon_sym_GT_EQ] = ACTIONS(1990),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(1990),
    [anon_sym_PIPE] = ACTIONS(1984),
    [anon_sym_LT_EQ] = ACTIONS(1990),
    [anon_sym_PIPE_PIPE] = ACTIONS(1990),
    [anon_sym_COMMA] = ACTIONS(1990),
    [anon_sym_GT_GT_GT] = ACTIONS(1990),
    [anon_sym_SEMI] = ACTIONS(1990),
    [anon_sym_PLUS_PLUS] = ACTIONS(1990),
    [anon_sym_BANG_EQ] = ACTIONS(1984),
    [anon_sym_RPAREN] = ACTIONS(1990),
    [anon_sym_LT] = ACTIONS(1984),
    [anon_sym_DOT] = ACTIONS(1990),
    [anon_sym_BQUOTE] = ACTIONS(1990),
    [anon_sym_PLUS] = ACTIONS(1984),
    [anon_sym_EQ_EQ] = ACTIONS(1984),
    [anon_sym_PERCENT] = ACTIONS(1990),
    [anon_sym_QMARK] = ACTIONS(1990),
    [anon_sym_LT_LT] = ACTIONS(1990),
    [anon_sym_DASH_DASH] = ACTIONS(1990),
    [anon_sym_RBRACE] = ACTIONS(1990),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1990),
  },
  [544] = {
    [sym_class_body] = STATE(616),
    [anon_sym_LBRACE] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
  },
  [545] = {
    [sym__automatic_semicolon] = ACTIONS(2006),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(2006),
  },
  [546] = {
    [sym__automatic_semicolon] = ACTIONS(1744),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1744),
    [anon_sym_EQ] = ACTIONS(1744),
    [anon_sym_SEMI] = ACTIONS(1744),
  },
  [547] = {
    [anon_sym_class] = ACTIONS(2008),
    [anon_sym_static] = ACTIONS(2008),
    [anon_sym_DASH] = ACTIONS(2008),
    [anon_sym_import] = ACTIONS(2008),
    [anon_sym_LBRACE] = ACTIONS(2010),
    [anon_sym_delete] = ACTIONS(2008),
    [anon_sym_throw] = ACTIONS(2008),
    [anon_sym_LPAREN] = ACTIONS(2010),
    [anon_sym_BANG] = ACTIONS(2010),
    [sym_this] = ACTIONS(2008),
    [sym_true] = ACTIONS(2008),
    [anon_sym_case] = ACTIONS(2008),
    [anon_sym_get] = ACTIONS(2008),
    [anon_sym_default] = ACTIONS(2008),
    [anon_sym_PLUS_PLUS] = ACTIONS(2010),
    [anon_sym_SEMI] = ACTIONS(2010),
    [anon_sym_DQUOTE] = ACTIONS(2010),
    [anon_sym_TILDE] = ACTIONS(2010),
    [sym_super] = ACTIONS(2008),
    [anon_sym_LT] = ACTIONS(2010),
    [sym_false] = ACTIONS(2008),
    [sym_number] = ACTIONS(2010),
    [anon_sym_yield] = ACTIONS(2008),
    [anon_sym_set] = ACTIONS(2008),
    [anon_sym_async] = ACTIONS(2008),
    [anon_sym_var] = ACTIONS(2008),
    [anon_sym_const] = ACTIONS(2008),
    [anon_sym_RBRACE] = ACTIONS(2010),
    [anon_sym_DASH_DASH] = ACTIONS(2010),
    [anon_sym_try] = ACTIONS(2008),
    [anon_sym_for] = ACTIONS(2008),
    [anon_sym_typeof] = ACTIONS(2008),
    [anon_sym_await] = ACTIONS(2008),
    [sym_null] = ACTIONS(2008),
    [anon_sym_function] = ACTIONS(2008),
    [anon_sym_let] = ACTIONS(2008),
    [anon_sym_if] = ACTIONS(2008),
    [anon_sym_with] = ACTIONS(2008),
    [anon_sym_SQUOTE] = ACTIONS(2010),
    [anon_sym_SLASH] = ACTIONS(2008),
    [sym_undefined] = ACTIONS(2008),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(2010),
    [anon_sym_else] = ACTIONS(2008),
    [anon_sym_break] = ACTIONS(2008),
    [anon_sym_debugger] = ACTIONS(2008),
    [anon_sym_while] = ACTIONS(2008),
    [sym_identifier] = ACTIONS(2008),
    [anon_sym_BQUOTE] = ACTIONS(2010),
    [ts_builtin_sym_end] = ACTIONS(2010),
    [anon_sym_new] = ACTIONS(2008),
    [anon_sym_AT] = ACTIONS(2010),
    [anon_sym_PLUS] = ACTIONS(2008),
    [anon_sym_switch] = ACTIONS(2008),
    [anon_sym_export] = ACTIONS(2008),
    [anon_sym_continue] = ACTIONS(2008),
    [anon_sym_void] = ACTIONS(2008),
    [anon_sym_return] = ACTIONS(2008),
    [anon_sym_do] = ACTIONS(2008),
  },
  [548] = {
    [anon_sym_class] = ACTIONS(2012),
    [anon_sym_static] = ACTIONS(2012),
    [anon_sym_DASH] = ACTIONS(2012),
    [anon_sym_import] = ACTIONS(2012),
    [anon_sym_LBRACE] = ACTIONS(2014),
    [anon_sym_delete] = ACTIONS(2012),
    [anon_sym_throw] = ACTIONS(2012),
    [anon_sym_LPAREN] = ACTIONS(2014),
    [anon_sym_BANG] = ACTIONS(2014),
    [sym_this] = ACTIONS(2012),
    [sym_true] = ACTIONS(2012),
    [anon_sym_case] = ACTIONS(2012),
    [anon_sym_get] = ACTIONS(2012),
    [anon_sym_default] = ACTIONS(2012),
    [anon_sym_PLUS_PLUS] = ACTIONS(2014),
    [anon_sym_SEMI] = ACTIONS(2014),
    [anon_sym_DQUOTE] = ACTIONS(2014),
    [anon_sym_TILDE] = ACTIONS(2014),
    [sym_super] = ACTIONS(2012),
    [anon_sym_LT] = ACTIONS(2014),
    [sym_false] = ACTIONS(2012),
    [sym_number] = ACTIONS(2014),
    [anon_sym_yield] = ACTIONS(2012),
    [anon_sym_set] = ACTIONS(2012),
    [anon_sym_async] = ACTIONS(2012),
    [anon_sym_var] = ACTIONS(2012),
    [anon_sym_const] = ACTIONS(2012),
    [anon_sym_RBRACE] = ACTIONS(2014),
    [anon_sym_DASH_DASH] = ACTIONS(2014),
    [anon_sym_try] = ACTIONS(2012),
    [anon_sym_for] = ACTIONS(2012),
    [anon_sym_typeof] = ACTIONS(2012),
    [anon_sym_await] = ACTIONS(2012),
    [sym_null] = ACTIONS(2012),
    [anon_sym_function] = ACTIONS(2012),
    [anon_sym_let] = ACTIONS(2012),
    [anon_sym_if] = ACTIONS(2012),
    [anon_sym_with] = ACTIONS(2012),
    [anon_sym_SQUOTE] = ACTIONS(2014),
    [anon_sym_SLASH] = ACTIONS(2012),
    [sym_undefined] = ACTIONS(2012),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(2014),
    [anon_sym_else] = ACTIONS(2012),
    [anon_sym_break] = ACTIONS(2012),
    [anon_sym_debugger] = ACTIONS(2012),
    [anon_sym_while] = ACTIONS(2012),
    [sym_identifier] = ACTIONS(2012),
    [anon_sym_BQUOTE] = ACTIONS(2014),
    [ts_builtin_sym_end] = ACTIONS(2014),
    [anon_sym_new] = ACTIONS(2012),
    [anon_sym_AT] = ACTIONS(2014),
    [anon_sym_PLUS] = ACTIONS(2012),
    [anon_sym_switch] = ACTIONS(2012),
    [anon_sym_export] = ACTIONS(2012),
    [anon_sym_continue] = ACTIONS(2012),
    [anon_sym_void] = ACTIONS(2012),
    [anon_sym_return] = ACTIONS(2012),
    [anon_sym_do] = ACTIONS(2012),
  },
  [549] = {
    [anon_sym_instanceof] = ACTIONS(2016),
    [sym__automatic_semicolon] = ACTIONS(2018),
    [anon_sym_class] = ACTIONS(2020),
    [anon_sym_DASH] = ACTIONS(2020),
    [anon_sym_STAR] = ACTIONS(2016),
    [anon_sym_AMP] = ACTIONS(2016),
    [anon_sym_throw] = ACTIONS(2020),
    [anon_sym_GT_EQ] = ACTIONS(2022),
    [sym_this] = ACTIONS(2020),
    [anon_sym_case] = ACTIONS(2020),
    [anon_sym_get] = ACTIONS(2020),
    [anon_sym_LT_EQ] = ACTIONS(2022),
    [anon_sym_COMMA] = ACTIONS(2022),
    [anon_sym_PLUS_PLUS] = ACTIONS(2024),
    [anon_sym_TILDE] = ACTIONS(2024),
    [anon_sym_LT] = ACTIONS(2020),
    [sym_false] = ACTIONS(2020),
    [anon_sym_yield] = ACTIONS(2020),
    [anon_sym_async] = ACTIONS(2020),
    [anon_sym_const] = ACTIONS(2020),
    [anon_sym_QMARK] = ACTIONS(2022),
    [anon_sym_try] = ACTIONS(2020),
    [anon_sym_await] = ACTIONS(2020),
    [anon_sym_let] = ACTIONS(2020),
    [anon_sym_CARET] = ACTIONS(2022),
    [anon_sym_GT_GT] = ACTIONS(2016),
    [anon_sym_in] = ACTIONS(2016),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2022),
    [anon_sym_SLASH] = ACTIONS(2020),
    [sym_undefined] = ACTIONS(2020),
    [anon_sym_LBRACK] = ACTIONS(2024),
    [anon_sym_else] = ACTIONS(2020),
    [anon_sym_PIPE_PIPE] = ACTIONS(2022),
    [anon_sym_break] = ACTIONS(2020),
    [anon_sym_while] = ACTIONS(2020),
    [anon_sym_DOT] = ACTIONS(2016),
    [anon_sym_BQUOTE] = ACTIONS(2024),
    [anon_sym_PLUS] = ACTIONS(2020),
    [anon_sym_export] = ACTIONS(2020),
    [anon_sym_LT_LT] = ACTIONS(2022),
    [anon_sym_return] = ACTIONS(2020),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2022),
    [anon_sym_static] = ACTIONS(2020),
    [anon_sym_import] = ACTIONS(2020),
    [anon_sym_STAR_STAR] = ACTIONS(2022),
    [anon_sym_LBRACE] = ACTIONS(2024),
    [anon_sym_delete] = ACTIONS(2020),
    [anon_sym_LPAREN] = ACTIONS(2024),
    [anon_sym_BANG] = ACTIONS(2020),
    [sym_true] = ACTIONS(2020),
    [anon_sym_default] = ACTIONS(2020),
    [anon_sym_SEMI] = ACTIONS(2024),
    [anon_sym_DQUOTE] = ACTIONS(2024),
    [sym_super] = ACTIONS(2020),
    [sym_number] = ACTIONS(2024),
    [anon_sym_set] = ACTIONS(2020),
    [anon_sym_var] = ACTIONS(2020),
    [anon_sym_EQ_EQ] = ACTIONS(2016),
    [anon_sym_RBRACE] = ACTIONS(2024),
    [anon_sym_DASH_DASH] = ACTIONS(2024),
    [anon_sym_for] = ACTIONS(2020),
    [anon_sym_typeof] = ACTIONS(2020),
    [anon_sym_GT] = ACTIONS(2016),
    [sym_null] = ACTIONS(2020),
    [anon_sym_function] = ACTIONS(2020),
    [anon_sym_if] = ACTIONS(2020),
    [anon_sym_AMP_AMP] = ACTIONS(2022),
    [anon_sym_with] = ACTIONS(2020),
    [anon_sym_SQUOTE] = ACTIONS(2024),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(2016),
    [anon_sym_GT_GT_GT] = ACTIONS(2022),
    [anon_sym_debugger] = ACTIONS(2020),
    [anon_sym_BANG_EQ] = ACTIONS(2016),
    [sym_identifier] = ACTIONS(2020),
    [ts_builtin_sym_end] = ACTIONS(2024),
    [anon_sym_new] = ACTIONS(2020),
    [anon_sym_AT] = ACTIONS(2024),
    [anon_sym_switch] = ACTIONS(2020),
    [anon_sym_PERCENT] = ACTIONS(2022),
    [anon_sym_continue] = ACTIONS(2020),
    [anon_sym_void] = ACTIONS(2020),
    [anon_sym_do] = ACTIONS(2020),
  },
  [550] = {
    [anon_sym_COMMA] = ACTIONS(2026),
    [anon_sym_RBRACE] = ACTIONS(2026),
    [sym_comment] = ACTIONS(3),
  },
  [551] = {
    [anon_sym_from] = ACTIONS(2028),
    [sym_comment] = ACTIONS(3),
  },
  [552] = {
    [anon_sym_COMMA] = ACTIONS(2030),
    [anon_sym_RBRACE] = ACTIONS(2030),
    [sym_comment] = ACTIONS(3),
  },
  [553] = {
    [sym__import_export_specifier] = STATE(552),
    [sym_identifier] = ACTIONS(548),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACE] = ACTIONS(2032),
  },
  [554] = {
    [aux_sym_named_imports_repeat1] = STATE(554),
    [anon_sym_COMMA] = ACTIONS(2034),
    [anon_sym_RBRACE] = ACTIONS(2037),
    [sym_comment] = ACTIONS(3),
  },
  [555] = {
    [anon_sym_class] = ACTIONS(2039),
    [anon_sym_static] = ACTIONS(2039),
    [anon_sym_DASH] = ACTIONS(2039),
    [anon_sym_import] = ACTIONS(2039),
    [anon_sym_LBRACE] = ACTIONS(2041),
    [anon_sym_delete] = ACTIONS(2039),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_LPAREN] = ACTIONS(2041),
    [anon_sym_BANG] = ACTIONS(2041),
    [sym_this] = ACTIONS(2039),
    [sym_true] = ACTIONS(2039),
    [anon_sym_case] = ACTIONS(2039),
    [anon_sym_get] = ACTIONS(2039),
    [anon_sym_default] = ACTIONS(2039),
    [anon_sym_PLUS_PLUS] = ACTIONS(2041),
    [anon_sym_SEMI] = ACTIONS(2041),
    [anon_sym_DQUOTE] = ACTIONS(2041),
    [anon_sym_TILDE] = ACTIONS(2041),
    [sym_super] = ACTIONS(2039),
    [anon_sym_LT] = ACTIONS(2041),
    [sym_false] = ACTIONS(2039),
    [sym_number] = ACTIONS(2041),
    [anon_sym_yield] = ACTIONS(2039),
    [anon_sym_set] = ACTIONS(2039),
    [anon_sym_async] = ACTIONS(2039),
    [anon_sym_var] = ACTIONS(2039),
    [anon_sym_const] = ACTIONS(2039),
    [anon_sym_RBRACE] = ACTIONS(2041),
    [anon_sym_DASH_DASH] = ACTIONS(2041),
    [anon_sym_try] = ACTIONS(2039),
    [anon_sym_for] = ACTIONS(2039),
    [anon_sym_typeof] = ACTIONS(2039),
    [anon_sym_await] = ACTIONS(2039),
    [sym_null] = ACTIONS(2039),
    [anon_sym_function] = ACTIONS(2039),
    [anon_sym_let] = ACTIONS(2039),
    [anon_sym_if] = ACTIONS(2039),
    [anon_sym_with] = ACTIONS(2039),
    [anon_sym_SQUOTE] = ACTIONS(2041),
    [anon_sym_SLASH] = ACTIONS(2039),
    [sym_undefined] = ACTIONS(2039),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(2041),
    [anon_sym_else] = ACTIONS(2039),
    [anon_sym_break] = ACTIONS(2039),
    [anon_sym_debugger] = ACTIONS(2039),
    [anon_sym_while] = ACTIONS(2039),
    [sym_identifier] = ACTIONS(2039),
    [anon_sym_BQUOTE] = ACTIONS(2041),
    [ts_builtin_sym_end] = ACTIONS(2041),
    [anon_sym_new] = ACTIONS(2039),
    [anon_sym_AT] = ACTIONS(2041),
    [anon_sym_PLUS] = ACTIONS(2039),
    [anon_sym_switch] = ACTIONS(2039),
    [anon_sym_export] = ACTIONS(2039),
    [anon_sym_continue] = ACTIONS(2039),
    [anon_sym_void] = ACTIONS(2039),
    [anon_sym_return] = ACTIONS(2039),
    [anon_sym_do] = ACTIONS(2039),
  },
  [556] = {
    [sym_statement_block] = STATE(620),
    [anon_sym_LBRACE] = ACTIONS(354),
    [sym_comment] = ACTIONS(3),
  },
  [557] = {
    [sym_formal_parameters] = STATE(621),
    [anon_sym_LPAREN] = ACTIONS(139),
    [sym_comment] = ACTIONS(3),
  },
  [558] = {
    [anon_sym_COMMA] = ACTIONS(2043),
    [anon_sym_SEMI] = ACTIONS(2043),
    [anon_sym_DQUOTE] = ACTIONS(2043),
    [anon_sym_static] = ACTIONS(2045),
    [sym_identifier] = ACTIONS(2045),
    [anon_sym_STAR] = ACTIONS(2043),
    [sym_number] = ACTIONS(2043),
    [anon_sym_SQUOTE] = ACTIONS(2043),
    [anon_sym_set] = ACTIONS(2045),
    [anon_sym_async] = ACTIONS(2045),
    [anon_sym_AT] = ACTIONS(2043),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACE] = ACTIONS(2043),
    [anon_sym_LBRACK] = ACTIONS(2043),
    [anon_sym_get] = ACTIONS(2045),
  },
  [559] = {
    [sym_computed_property_name] = STATE(622),
    [sym_string] = STATE(622),
    [sym__property_name] = STATE(622),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_static] = ACTIONS(568),
    [sym_identifier] = ACTIONS(568),
    [sym_number] = ACTIONS(2047),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [anon_sym_set] = ACTIONS(568),
    [anon_sym_async] = ACTIONS(568),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(589),
    [anon_sym_get] = ACTIONS(568),
  },
  [560] = {
    [sym_computed_property_name] = STATE(622),
    [sym_string] = STATE(622),
    [sym__property_name] = STATE(622),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_static] = ACTIONS(568),
    [sym_identifier] = ACTIONS(568),
    [sym_number] = ACTIONS(2047),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [anon_sym_set] = ACTIONS(568),
    [anon_sym_LPAREN] = ACTIONS(566),
    [anon_sym_async] = ACTIONS(568),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(589),
    [anon_sym_get] = ACTIONS(568),
  },
  [561] = {
    [anon_sym_LBRACE] = ACTIONS(2049),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(2049),
  },
  [562] = {
    [sym_array] = STATE(458),
    [sym_object] = STATE(459),
    [sym_assignment_pattern] = STATE(460),
    [sym_rest_parameter] = STATE(460),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_set] = ACTIONS(1341),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(199),
    [anon_sym_async] = ACTIONS(1341),
    [anon_sym_static] = ACTIONS(1341),
    [anon_sym_LBRACK] = ACTIONS(225),
    [sym_comment] = ACTIONS(3),
    [sym_identifier] = ACTIONS(1345),
    [anon_sym_get] = ACTIONS(1341),
  },
  [563] = {
    [anon_sym_LBRACE] = ACTIONS(2051),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(2051),
  },
  [564] = {
    [anon_sym_LBRACE] = ACTIONS(2053),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(2053),
  },
  [565] = {
    [anon_sym_LBRACE] = ACTIONS(2055),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(2055),
  },
  [566] = {
    [anon_sym_instanceof] = ACTIONS(2057),
    [anon_sym_GT] = ACTIONS(2059),
    [sym__automatic_semicolon] = ACTIONS(2057),
    [anon_sym_DASH] = ACTIONS(2059),
    [anon_sym_CARET] = ACTIONS(2057),
    [anon_sym_STAR_STAR] = ACTIONS(2057),
    [anon_sym_STAR] = ACTIONS(2059),
    [anon_sym_AMP_AMP] = ACTIONS(2057),
    [anon_sym_GT_GT] = ACTIONS(2059),
    [anon_sym_AMP] = ACTIONS(2059),
    [anon_sym_in] = ACTIONS(2059),
    [anon_sym_LPAREN] = ACTIONS(2057),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2057),
    [anon_sym_SLASH] = ACTIONS(2059),
    [anon_sym_GT_EQ] = ACTIONS(2057),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(2057),
    [anon_sym_PIPE] = ACTIONS(2059),
    [anon_sym_LT_EQ] = ACTIONS(2057),
    [anon_sym_PIPE_PIPE] = ACTIONS(2057),
    [anon_sym_COMMA] = ACTIONS(2057),
    [anon_sym_GT_GT_GT] = ACTIONS(2057),
    [anon_sym_SEMI] = ACTIONS(2057),
    [anon_sym_PLUS_PLUS] = ACTIONS(2057),
    [anon_sym_BANG_EQ] = ACTIONS(2059),
    [anon_sym_RPAREN] = ACTIONS(2057),
    [anon_sym_LT] = ACTIONS(2059),
    [anon_sym_DOT] = ACTIONS(2057),
    [anon_sym_BQUOTE] = ACTIONS(2057),
    [anon_sym_PLUS] = ACTIONS(2059),
    [anon_sym_EQ_EQ] = ACTIONS(2059),
    [anon_sym_PERCENT] = ACTIONS(2057),
    [anon_sym_QMARK] = ACTIONS(2057),
    [anon_sym_LT_LT] = ACTIONS(2057),
    [anon_sym_DASH_DASH] = ACTIONS(2057),
    [anon_sym_RBRACE] = ACTIONS(2057),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2057),
  },
  [567] = {
    [anon_sym_LBRACE] = ACTIONS(2061),
    [anon_sym_GT] = ACTIONS(2061),
    [sym_jsx_identifier] = ACTIONS(2061),
    [sym_comment] = ACTIONS(3),
    [sym_identifier] = ACTIONS(2063),
    [anon_sym_SLASH] = ACTIONS(2063),
  },
  [568] = {
    [anon_sym_LBRACE] = ACTIONS(2065),
    [anon_sym_GT] = ACTIONS(2065),
    [sym_jsx_identifier] = ACTIONS(2065),
    [sym_comment] = ACTIONS(3),
    [sym_identifier] = ACTIONS(2067),
    [anon_sym_SLASH] = ACTIONS(2067),
  },
  [569] = {
    [anon_sym_instanceof] = ACTIONS(2069),
    [anon_sym_GT] = ACTIONS(2071),
    [sym__automatic_semicolon] = ACTIONS(2069),
    [anon_sym_DASH] = ACTIONS(2071),
    [anon_sym_CARET] = ACTIONS(2069),
    [anon_sym_STAR_STAR] = ACTIONS(2069),
    [anon_sym_STAR] = ACTIONS(2071),
    [anon_sym_AMP_AMP] = ACTIONS(2069),
    [anon_sym_GT_GT] = ACTIONS(2071),
    [anon_sym_AMP] = ACTIONS(2071),
    [anon_sym_in] = ACTIONS(2071),
    [anon_sym_LPAREN] = ACTIONS(2069),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2069),
    [anon_sym_SLASH] = ACTIONS(2071),
    [anon_sym_GT_EQ] = ACTIONS(2069),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(2069),
    [anon_sym_PIPE] = ACTIONS(2071),
    [anon_sym_LT_EQ] = ACTIONS(2069),
    [anon_sym_PIPE_PIPE] = ACTIONS(2069),
    [anon_sym_COMMA] = ACTIONS(2069),
    [anon_sym_GT_GT_GT] = ACTIONS(2069),
    [anon_sym_SEMI] = ACTIONS(2069),
    [anon_sym_PLUS_PLUS] = ACTIONS(2069),
    [anon_sym_BANG_EQ] = ACTIONS(2071),
    [anon_sym_RPAREN] = ACTIONS(2069),
    [anon_sym_LT] = ACTIONS(2071),
    [anon_sym_DOT] = ACTIONS(2069),
    [anon_sym_BQUOTE] = ACTIONS(2069),
    [anon_sym_PLUS] = ACTIONS(2071),
    [anon_sym_EQ_EQ] = ACTIONS(2071),
    [anon_sym_PERCENT] = ACTIONS(2069),
    [anon_sym_QMARK] = ACTIONS(2069),
    [anon_sym_LT_LT] = ACTIONS(2069),
    [anon_sym_DASH_DASH] = ACTIONS(2069),
    [anon_sym_RBRACE] = ACTIONS(2069),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2069),
  },
  [570] = {
    [anon_sym_instanceof] = ACTIONS(2073),
    [anon_sym_GT] = ACTIONS(2075),
    [sym__automatic_semicolon] = ACTIONS(2073),
    [anon_sym_DASH] = ACTIONS(2075),
    [anon_sym_CARET] = ACTIONS(2073),
    [anon_sym_STAR_STAR] = ACTIONS(2073),
    [anon_sym_STAR] = ACTIONS(2075),
    [anon_sym_AMP_AMP] = ACTIONS(2073),
    [anon_sym_GT_GT] = ACTIONS(2075),
    [anon_sym_AMP] = ACTIONS(2075),
    [anon_sym_in] = ACTIONS(2075),
    [anon_sym_LPAREN] = ACTIONS(2073),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2073),
    [anon_sym_SLASH] = ACTIONS(2075),
    [anon_sym_GT_EQ] = ACTIONS(2073),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(2073),
    [anon_sym_PIPE] = ACTIONS(2075),
    [anon_sym_LT_EQ] = ACTIONS(2073),
    [anon_sym_PIPE_PIPE] = ACTIONS(2073),
    [anon_sym_COMMA] = ACTIONS(2073),
    [anon_sym_GT_GT_GT] = ACTIONS(2073),
    [anon_sym_SEMI] = ACTIONS(2073),
    [anon_sym_PLUS_PLUS] = ACTIONS(2073),
    [anon_sym_BANG_EQ] = ACTIONS(2075),
    [anon_sym_RPAREN] = ACTIONS(2073),
    [anon_sym_LT] = ACTIONS(2075),
    [anon_sym_DOT] = ACTIONS(2073),
    [anon_sym_BQUOTE] = ACTIONS(2073),
    [anon_sym_PLUS] = ACTIONS(2075),
    [anon_sym_EQ_EQ] = ACTIONS(2075),
    [anon_sym_PERCENT] = ACTIONS(2073),
    [anon_sym_QMARK] = ACTIONS(2073),
    [anon_sym_LT_LT] = ACTIONS(2073),
    [anon_sym_DASH_DASH] = ACTIONS(2073),
    [anon_sym_RBRACE] = ACTIONS(2073),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2073),
  },
  [571] = {
    [anon_sym_GT] = ACTIONS(2077),
    [sym_comment] = ACTIONS(3),
  },
  [572] = {
    [anon_sym_instanceof] = ACTIONS(2079),
    [sym__automatic_semicolon] = ACTIONS(2081),
    [anon_sym_class] = ACTIONS(2083),
    [anon_sym_DASH] = ACTIONS(2083),
    [anon_sym_STAR] = ACTIONS(2079),
    [anon_sym_AMP] = ACTIONS(2079),
    [anon_sym_throw] = ACTIONS(2083),
    [anon_sym_GT_EQ] = ACTIONS(2085),
    [sym_this] = ACTIONS(2083),
    [anon_sym_case] = ACTIONS(2083),
    [anon_sym_get] = ACTIONS(2083),
    [anon_sym_LT_EQ] = ACTIONS(2085),
    [anon_sym_COMMA] = ACTIONS(2085),
    [anon_sym_PLUS_PLUS] = ACTIONS(2087),
    [anon_sym_TILDE] = ACTIONS(2087),
    [anon_sym_LT] = ACTIONS(2083),
    [sym_false] = ACTIONS(2083),
    [anon_sym_yield] = ACTIONS(2083),
    [anon_sym_async] = ACTIONS(2083),
    [anon_sym_const] = ACTIONS(2083),
    [anon_sym_QMARK] = ACTIONS(2085),
    [anon_sym_try] = ACTIONS(2083),
    [anon_sym_await] = ACTIONS(2083),
    [anon_sym_let] = ACTIONS(2083),
    [anon_sym_CARET] = ACTIONS(2085),
    [anon_sym_GT_GT] = ACTIONS(2079),
    [anon_sym_in] = ACTIONS(2079),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2085),
    [anon_sym_SLASH] = ACTIONS(2083),
    [sym_undefined] = ACTIONS(2083),
    [anon_sym_LBRACK] = ACTIONS(2087),
    [anon_sym_else] = ACTIONS(2083),
    [anon_sym_PIPE_PIPE] = ACTIONS(2085),
    [anon_sym_break] = ACTIONS(2083),
    [anon_sym_while] = ACTIONS(2083),
    [anon_sym_DOT] = ACTIONS(2079),
    [anon_sym_BQUOTE] = ACTIONS(2087),
    [anon_sym_PLUS] = ACTIONS(2083),
    [anon_sym_export] = ACTIONS(2083),
    [anon_sym_LT_LT] = ACTIONS(2085),
    [anon_sym_return] = ACTIONS(2083),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2085),
    [anon_sym_static] = ACTIONS(2083),
    [anon_sym_import] = ACTIONS(2083),
    [anon_sym_STAR_STAR] = ACTIONS(2085),
    [anon_sym_LBRACE] = ACTIONS(2087),
    [anon_sym_delete] = ACTIONS(2083),
    [anon_sym_LPAREN] = ACTIONS(2087),
    [anon_sym_BANG] = ACTIONS(2083),
    [sym_true] = ACTIONS(2083),
    [anon_sym_default] = ACTIONS(2083),
    [anon_sym_SEMI] = ACTIONS(2087),
    [anon_sym_DQUOTE] = ACTIONS(2087),
    [sym_super] = ACTIONS(2083),
    [sym_number] = ACTIONS(2087),
    [anon_sym_set] = ACTIONS(2083),
    [anon_sym_var] = ACTIONS(2083),
    [anon_sym_EQ_EQ] = ACTIONS(2079),
    [anon_sym_RBRACE] = ACTIONS(2087),
    [anon_sym_DASH_DASH] = ACTIONS(2087),
    [anon_sym_for] = ACTIONS(2083),
    [anon_sym_typeof] = ACTIONS(2083),
    [anon_sym_GT] = ACTIONS(2079),
    [sym_null] = ACTIONS(2083),
    [anon_sym_function] = ACTIONS(2083),
    [anon_sym_if] = ACTIONS(2083),
    [anon_sym_AMP_AMP] = ACTIONS(2085),
    [anon_sym_with] = ACTIONS(2083),
    [anon_sym_SQUOTE] = ACTIONS(2087),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(2079),
    [anon_sym_GT_GT_GT] = ACTIONS(2085),
    [anon_sym_debugger] = ACTIONS(2083),
    [anon_sym_BANG_EQ] = ACTIONS(2079),
    [sym_identifier] = ACTIONS(2083),
    [ts_builtin_sym_end] = ACTIONS(2087),
    [anon_sym_new] = ACTIONS(2083),
    [anon_sym_AT] = ACTIONS(2087),
    [anon_sym_switch] = ACTIONS(2083),
    [anon_sym_PERCENT] = ACTIONS(2085),
    [anon_sym_continue] = ACTIONS(2083),
    [anon_sym_void] = ACTIONS(2083),
    [anon_sym_do] = ACTIONS(2083),
  },
  [573] = {
    [anon_sym_instanceof] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(283),
    [anon_sym_EQ] = ACTIONS(844),
    [anon_sym_AMP_EQ] = ACTIONS(674),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(674),
    [anon_sym_GT_GT_EQ] = ACTIONS(674),
    [anon_sym_STAR_EQ] = ACTIONS(674),
    [anon_sym_DASH] = ACTIONS(283),
    [anon_sym_CARET] = ACTIONS(283),
    [anon_sym_STAR_STAR] = ACTIONS(283),
    [anon_sym_STAR] = ACTIONS(283),
    [anon_sym_AMP_AMP] = ACTIONS(277),
    [anon_sym_GT_GT] = ACTIONS(283),
    [anon_sym_AMP] = ACTIONS(283),
    [anon_sym_in] = ACTIONS(676),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(277),
    [anon_sym_SLASH] = ACTIONS(283),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(277),
    [anon_sym_PIPE_EQ] = ACTIONS(674),
    [anon_sym_PERCENT_EQ] = ACTIONS(674),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(674),
    [anon_sym_EQ_GT] = ACTIONS(678),
    [anon_sym_SLASH_EQ] = ACTIONS(674),
    [anon_sym_PLUS_EQ] = ACTIONS(674),
    [anon_sym_PIPE] = ACTIONS(283),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_PIPE_PIPE] = ACTIONS(277),
    [anon_sym_COMMA] = ACTIONS(2089),
    [anon_sym_GT_GT_GT] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(277),
    [anon_sym_RPAREN] = ACTIONS(2089),
    [anon_sym_BANG_EQ] = ACTIONS(283),
    [anon_sym_LT] = ACTIONS(283),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_BQUOTE] = ACTIONS(277),
    [anon_sym_CARET_EQ] = ACTIONS(674),
    [anon_sym_LT_LT_EQ] = ACTIONS(674),
    [anon_sym_DASH_EQ] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_EQ_EQ] = ACTIONS(283),
    [anon_sym_PERCENT] = ACTIONS(283),
    [anon_sym_QMARK] = ACTIONS(277),
    [anon_sym_LT_LT] = ACTIONS(283),
    [anon_sym_DASH_DASH] = ACTIONS(277),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(277),
  },
  [574] = {
    [aux_sym_switch_body_repeat1] = STATE(628),
    [sym_switch_case] = STATE(628),
    [sym_switch_default] = STATE(628),
    [anon_sym_case] = ACTIONS(2092),
    [anon_sym_RBRACE] = ACTIONS(2094),
    [anon_sym_default] = ACTIONS(2096),
    [sym_comment] = ACTIONS(3),
  },
  [575] = {
    [anon_sym_class] = ACTIONS(2098),
    [anon_sym_static] = ACTIONS(2098),
    [anon_sym_DASH] = ACTIONS(2098),
    [anon_sym_import] = ACTIONS(2098),
    [anon_sym_LBRACE] = ACTIONS(2100),
    [anon_sym_delete] = ACTIONS(2098),
    [anon_sym_throw] = ACTIONS(2098),
    [anon_sym_LPAREN] = ACTIONS(2100),
    [anon_sym_BANG] = ACTIONS(2100),
    [sym_this] = ACTIONS(2098),
    [sym_true] = ACTIONS(2098),
    [anon_sym_case] = ACTIONS(2098),
    [anon_sym_get] = ACTIONS(2098),
    [anon_sym_default] = ACTIONS(2098),
    [anon_sym_PLUS_PLUS] = ACTIONS(2100),
    [anon_sym_SEMI] = ACTIONS(2100),
    [anon_sym_DQUOTE] = ACTIONS(2100),
    [anon_sym_TILDE] = ACTIONS(2100),
    [sym_super] = ACTIONS(2098),
    [anon_sym_LT] = ACTIONS(2100),
    [sym_false] = ACTIONS(2098),
    [sym_number] = ACTIONS(2100),
    [anon_sym_yield] = ACTIONS(2098),
    [anon_sym_set] = ACTIONS(2098),
    [anon_sym_async] = ACTIONS(2098),
    [anon_sym_var] = ACTIONS(2098),
    [anon_sym_const] = ACTIONS(2098),
    [anon_sym_RBRACE] = ACTIONS(2100),
    [anon_sym_DASH_DASH] = ACTIONS(2100),
    [anon_sym_try] = ACTIONS(2098),
    [anon_sym_for] = ACTIONS(2098),
    [anon_sym_typeof] = ACTIONS(2098),
    [anon_sym_await] = ACTIONS(2098),
    [sym_null] = ACTIONS(2098),
    [anon_sym_function] = ACTIONS(2098),
    [anon_sym_let] = ACTIONS(2098),
    [anon_sym_if] = ACTIONS(2098),
    [anon_sym_with] = ACTIONS(2098),
    [anon_sym_SQUOTE] = ACTIONS(2100),
    [anon_sym_SLASH] = ACTIONS(2098),
    [sym_undefined] = ACTIONS(2098),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(2100),
    [anon_sym_else] = ACTIONS(2098),
    [anon_sym_break] = ACTIONS(2098),
    [anon_sym_debugger] = ACTIONS(2098),
    [anon_sym_while] = ACTIONS(2098),
    [sym_identifier] = ACTIONS(2098),
    [anon_sym_BQUOTE] = ACTIONS(2100),
    [ts_builtin_sym_end] = ACTIONS(2100),
    [anon_sym_new] = ACTIONS(2098),
    [anon_sym_AT] = ACTIONS(2100),
    [anon_sym_PLUS] = ACTIONS(2098),
    [anon_sym_switch] = ACTIONS(2098),
    [anon_sym_export] = ACTIONS(2098),
    [anon_sym_continue] = ACTIONS(2098),
    [anon_sym_void] = ACTIONS(2098),
    [anon_sym_return] = ACTIONS(2098),
    [anon_sym_do] = ACTIONS(2098),
  },
  [576] = {
    [sym__automatic_semicolon] = ACTIONS(2102),
    [anon_sym_from] = ACTIONS(2102),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(2102),
  },
  [577] = {
    [anon_sym_COMMA] = ACTIONS(2104),
    [anon_sym_RBRACE] = ACTIONS(2104),
    [sym_comment] = ACTIONS(3),
  },
  [578] = {
    [sym__import_export_specifier] = STATE(577),
    [sym_identifier] = ACTIONS(548),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACE] = ACTIONS(2106),
  },
  [579] = {
    [aux_sym_export_clause_repeat1] = STATE(579),
    [anon_sym_COMMA] = ACTIONS(2108),
    [anon_sym_RBRACE] = ACTIONS(2111),
    [sym_comment] = ACTIONS(3),
  },
  [580] = {
    [sym__automatic_semicolon] = ACTIONS(1675),
    [anon_sym_class] = ACTIONS(1677),
    [anon_sym_static] = ACTIONS(1677),
    [anon_sym_DASH] = ACTIONS(1677),
    [anon_sym_import] = ACTIONS(1677),
    [anon_sym_LBRACE] = ACTIONS(1681),
    [anon_sym_delete] = ACTIONS(1677),
    [anon_sym_throw] = ACTIONS(1677),
    [anon_sym_LPAREN] = ACTIONS(1681),
    [anon_sym_BANG] = ACTIONS(1681),
    [sym_this] = ACTIONS(1677),
    [sym_true] = ACTIONS(1677),
    [anon_sym_case] = ACTIONS(1677),
    [anon_sym_get] = ACTIONS(1677),
    [anon_sym_default] = ACTIONS(1677),
    [anon_sym_PLUS_PLUS] = ACTIONS(1681),
    [anon_sym_SEMI] = ACTIONS(1681),
    [anon_sym_DQUOTE] = ACTIONS(1681),
    [anon_sym_TILDE] = ACTIONS(1681),
    [sym_super] = ACTIONS(1677),
    [anon_sym_LT] = ACTIONS(1681),
    [sym_false] = ACTIONS(1677),
    [sym_number] = ACTIONS(1681),
    [anon_sym_yield] = ACTIONS(1677),
    [anon_sym_set] = ACTIONS(1677),
    [anon_sym_async] = ACTIONS(1677),
    [anon_sym_var] = ACTIONS(1677),
    [anon_sym_const] = ACTIONS(1677),
    [anon_sym_RBRACE] = ACTIONS(1681),
    [anon_sym_DASH_DASH] = ACTIONS(1681),
    [anon_sym_try] = ACTIONS(1677),
    [anon_sym_for] = ACTIONS(1677),
    [anon_sym_typeof] = ACTIONS(1677),
    [anon_sym_await] = ACTIONS(1677),
    [sym_null] = ACTIONS(1677),
    [anon_sym_function] = ACTIONS(1677),
    [anon_sym_let] = ACTIONS(1677),
    [anon_sym_if] = ACTIONS(1677),
    [anon_sym_with] = ACTIONS(1677),
    [anon_sym_SQUOTE] = ACTIONS(1681),
    [anon_sym_SLASH] = ACTIONS(1677),
    [sym_undefined] = ACTIONS(1677),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(1681),
    [anon_sym_else] = ACTIONS(1677),
    [anon_sym_break] = ACTIONS(1677),
    [anon_sym_debugger] = ACTIONS(1677),
    [anon_sym_while] = ACTIONS(1677),
    [sym_identifier] = ACTIONS(1677),
    [anon_sym_BQUOTE] = ACTIONS(1681),
    [ts_builtin_sym_end] = ACTIONS(1681),
    [anon_sym_new] = ACTIONS(1677),
    [anon_sym_AT] = ACTIONS(1681),
    [anon_sym_PLUS] = ACTIONS(1677),
    [anon_sym_switch] = ACTIONS(1677),
    [anon_sym_export] = ACTIONS(1677),
    [anon_sym_continue] = ACTIONS(1677),
    [anon_sym_void] = ACTIONS(1677),
    [anon_sym_return] = ACTIONS(1677),
    [anon_sym_do] = ACTIONS(1677),
  },
  [581] = {
    [sym_statement_block] = STATE(631),
    [anon_sym_LBRACE] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
  },
  [582] = {
    [sym__automatic_semicolon] = ACTIONS(1695),
    [anon_sym_class] = ACTIONS(1697),
    [anon_sym_static] = ACTIONS(1697),
    [anon_sym_DASH] = ACTIONS(1697),
    [anon_sym_import] = ACTIONS(1697),
    [anon_sym_LBRACE] = ACTIONS(1701),
    [anon_sym_delete] = ACTIONS(1697),
    [anon_sym_throw] = ACTIONS(1697),
    [anon_sym_LPAREN] = ACTIONS(1701),
    [anon_sym_BANG] = ACTIONS(1701),
    [sym_this] = ACTIONS(1697),
    [sym_true] = ACTIONS(1697),
    [anon_sym_case] = ACTIONS(1697),
    [anon_sym_get] = ACTIONS(1697),
    [anon_sym_default] = ACTIONS(1697),
    [anon_sym_PLUS_PLUS] = ACTIONS(1701),
    [anon_sym_SEMI] = ACTIONS(1701),
    [anon_sym_DQUOTE] = ACTIONS(1701),
    [anon_sym_TILDE] = ACTIONS(1701),
    [sym_super] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1701),
    [sym_false] = ACTIONS(1697),
    [sym_number] = ACTIONS(1701),
    [anon_sym_yield] = ACTIONS(1697),
    [anon_sym_set] = ACTIONS(1697),
    [anon_sym_async] = ACTIONS(1697),
    [anon_sym_var] = ACTIONS(1697),
    [anon_sym_const] = ACTIONS(1697),
    [anon_sym_RBRACE] = ACTIONS(1701),
    [anon_sym_DASH_DASH] = ACTIONS(1701),
    [anon_sym_try] = ACTIONS(1697),
    [anon_sym_for] = ACTIONS(1697),
    [anon_sym_typeof] = ACTIONS(1697),
    [anon_sym_await] = ACTIONS(1697),
    [sym_null] = ACTIONS(1697),
    [anon_sym_function] = ACTIONS(1697),
    [anon_sym_let] = ACTIONS(1697),
    [anon_sym_if] = ACTIONS(1697),
    [anon_sym_with] = ACTIONS(1697),
    [anon_sym_SQUOTE] = ACTIONS(1701),
    [anon_sym_SLASH] = ACTIONS(1697),
    [sym_undefined] = ACTIONS(1697),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(1701),
    [anon_sym_else] = ACTIONS(1697),
    [anon_sym_break] = ACTIONS(1697),
    [anon_sym_debugger] = ACTIONS(1697),
    [anon_sym_while] = ACTIONS(1697),
    [sym_identifier] = ACTIONS(1697),
    [anon_sym_BQUOTE] = ACTIONS(1701),
    [ts_builtin_sym_end] = ACTIONS(1701),
    [anon_sym_new] = ACTIONS(1697),
    [anon_sym_AT] = ACTIONS(1701),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_switch] = ACTIONS(1697),
    [anon_sym_export] = ACTIONS(1697),
    [anon_sym_continue] = ACTIONS(1697),
    [anon_sym_void] = ACTIONS(1697),
    [anon_sym_return] = ACTIONS(1697),
    [anon_sym_do] = ACTIONS(1697),
  },
  [583] = {
    [sym_statement_block] = STATE(632),
    [anon_sym_LBRACE] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
  },
  [584] = {
    [sym__automatic_semicolon] = ACTIONS(1986),
    [anon_sym_class] = ACTIONS(1988),
    [anon_sym_static] = ACTIONS(1988),
    [anon_sym_DASH] = ACTIONS(1988),
    [anon_sym_import] = ACTIONS(1988),
    [anon_sym_LBRACE] = ACTIONS(1992),
    [anon_sym_delete] = ACTIONS(1988),
    [anon_sym_throw] = ACTIONS(1988),
    [anon_sym_LPAREN] = ACTIONS(1992),
    [anon_sym_BANG] = ACTIONS(1992),
    [sym_this] = ACTIONS(1988),
    [sym_true] = ACTIONS(1988),
    [anon_sym_case] = ACTIONS(1988),
    [anon_sym_get] = ACTIONS(1988),
    [anon_sym_default] = ACTIONS(1988),
    [anon_sym_PLUS_PLUS] = ACTIONS(1992),
    [anon_sym_SEMI] = ACTIONS(1992),
    [anon_sym_DQUOTE] = ACTIONS(1992),
    [anon_sym_TILDE] = ACTIONS(1992),
    [sym_super] = ACTIONS(1988),
    [anon_sym_LT] = ACTIONS(1992),
    [sym_false] = ACTIONS(1988),
    [sym_number] = ACTIONS(1992),
    [anon_sym_yield] = ACTIONS(1988),
    [anon_sym_set] = ACTIONS(1988),
    [anon_sym_async] = ACTIONS(1988),
    [anon_sym_var] = ACTIONS(1988),
    [anon_sym_const] = ACTIONS(1988),
    [anon_sym_RBRACE] = ACTIONS(1992),
    [anon_sym_DASH_DASH] = ACTIONS(1992),
    [anon_sym_try] = ACTIONS(1988),
    [anon_sym_for] = ACTIONS(1988),
    [anon_sym_typeof] = ACTIONS(1988),
    [anon_sym_await] = ACTIONS(1988),
    [sym_null] = ACTIONS(1988),
    [anon_sym_function] = ACTIONS(1988),
    [anon_sym_let] = ACTIONS(1988),
    [anon_sym_if] = ACTIONS(1988),
    [anon_sym_with] = ACTIONS(1988),
    [anon_sym_SQUOTE] = ACTIONS(1992),
    [anon_sym_SLASH] = ACTIONS(1988),
    [sym_undefined] = ACTIONS(1988),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(1992),
    [anon_sym_else] = ACTIONS(1988),
    [anon_sym_break] = ACTIONS(1988),
    [anon_sym_debugger] = ACTIONS(1988),
    [anon_sym_while] = ACTIONS(1988),
    [sym_identifier] = ACTIONS(1988),
    [anon_sym_BQUOTE] = ACTIONS(1992),
    [ts_builtin_sym_end] = ACTIONS(1992),
    [anon_sym_new] = ACTIONS(1988),
    [anon_sym_AT] = ACTIONS(1992),
    [anon_sym_PLUS] = ACTIONS(1988),
    [anon_sym_switch] = ACTIONS(1988),
    [anon_sym_export] = ACTIONS(1988),
    [anon_sym_continue] = ACTIONS(1988),
    [anon_sym_void] = ACTIONS(1988),
    [anon_sym_return] = ACTIONS(1988),
    [anon_sym_do] = ACTIONS(1988),
  },
  [585] = {
    [sym_class_body] = STATE(633),
    [anon_sym_LBRACE] = ACTIONS(1512),
    [sym_comment] = ACTIONS(3),
  },
  [586] = {
    [anon_sym_RPAREN] = ACTIONS(2113),
    [sym_comment] = ACTIONS(3),
  },
  [587] = {
    [sym_arrow_function] = STATE(635),
    [sym_call_expression] = STATE(635),
    [sym_subscript_expression] = STATE(701),
    [sym_assignment_expression] = STATE(635),
    [sym_ternary_expression] = STATE(635),
    [sym_binary_expression] = STATE(635),
    [sym_template_string] = STATE(635),
    [sym__expression] = STATE(635),
    [sym_yield_expression] = STATE(635),
    [sym_jsx_element] = STATE(635),
    [sym_jsx_fragment] = STATE(635),
    [sym_function] = STATE(703),
    [sym_new_expression] = STATE(635),
    [sym_augmented_assignment_expression] = STATE(635),
    [sym_unary_expression] = STATE(635),
    [sym_update_expression] = STATE(635),
    [sym_regex] = STATE(635),
    [sym_meta_property] = STATE(635),
    [sym_object] = STATE(702),
    [aux_sym_export_statement_repeat1] = STATE(1016),
    [sym_class] = STATE(635),
    [sym_generator_function] = STATE(635),
    [sym_await_expression] = STATE(635),
    [sym_member_expression] = STATE(701),
    [sym_string] = STATE(635),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(874),
    [sym_parenthesized_expression] = STATE(635),
    [sym_array] = STATE(704),
    [sym_jsx_opening_element] = STATE(875),
    [sym_jsx_self_closing_element] = STATE(635),
    [anon_sym_await] = ACTIONS(217),
    [sym_null] = ACTIONS(2115),
    [anon_sym_class] = ACTIONS(183),
    [anon_sym_static] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(219),
    [anon_sym_DASH] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_delete] = ACTIONS(191),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [anon_sym_LPAREN] = ACTIONS(193),
    [anon_sym_BANG] = ACTIONS(195),
    [sym_this] = ACTIONS(2115),
    [sym_undefined] = ACTIONS(2115),
    [sym_true] = ACTIONS(2115),
    [anon_sym_SLASH] = ACTIONS(223),
    [anon_sym_LBRACK] = ACTIONS(225),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(243),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_TILDE] = ACTIONS(195),
    [sym_super] = ACTIONS(207),
    [sym_identifier] = ACTIONS(253),
    [sym_false] = ACTIONS(2115),
    [anon_sym_LT] = ACTIONS(209),
    [sym_number] = ACTIONS(2117),
    [anon_sym_yield] = ACTIONS(213),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_set] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(251),
    [anon_sym_new] = ACTIONS(231),
    [anon_sym_PLUS] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_void] = ACTIONS(191),
    [anon_sym_typeof] = ACTIONS(191),
  },
  [588] = {
    [sym_arrow_function] = STATE(636),
    [sym_call_expression] = STATE(636),
    [sym_subscript_expression] = STATE(701),
    [sym_assignment_expression] = STATE(636),
    [sym_ternary_expression] = STATE(636),
    [sym_binary_expression] = STATE(636),
    [sym_template_string] = STATE(636),
    [sym__expression] = STATE(636),
    [sym_yield_expression] = STATE(636),
    [sym_jsx_element] = STATE(636),
    [sym_jsx_fragment] = STATE(636),
    [sym_function] = STATE(703),
    [sym_new_expression] = STATE(636),
    [sym_augmented_assignment_expression] = STATE(636),
    [sym_unary_expression] = STATE(636),
    [sym_update_expression] = STATE(636),
    [sym_regex] = STATE(636),
    [sym_meta_property] = STATE(636),
    [sym_object] = STATE(702),
    [aux_sym_export_statement_repeat1] = STATE(1016),
    [sym_class] = STATE(636),
    [sym_generator_function] = STATE(636),
    [sym_await_expression] = STATE(636),
    [sym_member_expression] = STATE(701),
    [sym_sequence_expression] = STATE(637),
    [sym_string] = STATE(636),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(874),
    [sym_parenthesized_expression] = STATE(636),
    [sym_array] = STATE(704),
    [sym_jsx_opening_element] = STATE(875),
    [sym_jsx_self_closing_element] = STATE(636),
    [anon_sym_await] = ACTIONS(217),
    [sym_null] = ACTIONS(2119),
    [anon_sym_class] = ACTIONS(183),
    [anon_sym_static] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(219),
    [anon_sym_DASH] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_delete] = ACTIONS(191),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [anon_sym_LPAREN] = ACTIONS(193),
    [anon_sym_BANG] = ACTIONS(195),
    [sym_this] = ACTIONS(2119),
    [sym_undefined] = ACTIONS(2119),
    [sym_true] = ACTIONS(2119),
    [anon_sym_SLASH] = ACTIONS(223),
    [anon_sym_LBRACK] = ACTIONS(225),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(243),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_TILDE] = ACTIONS(195),
    [sym_super] = ACTIONS(207),
    [sym_identifier] = ACTIONS(253),
    [sym_false] = ACTIONS(2119),
    [anon_sym_LT] = ACTIONS(209),
    [sym_number] = ACTIONS(2121),
    [anon_sym_yield] = ACTIONS(213),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_set] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(251),
    [anon_sym_new] = ACTIONS(231),
    [anon_sym_PLUS] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_void] = ACTIONS(191),
    [anon_sym_typeof] = ACTIONS(191),
  },
  [589] = {
    [sym_arrow_function] = STATE(638),
    [sym_call_expression] = STATE(638),
    [sym_subscript_expression] = STATE(701),
    [sym_assignment_expression] = STATE(638),
    [sym_ternary_expression] = STATE(638),
    [sym_binary_expression] = STATE(638),
    [sym_template_string] = STATE(638),
    [sym__expression] = STATE(638),
    [sym_yield_expression] = STATE(638),
    [sym_jsx_element] = STATE(638),
    [sym_jsx_fragment] = STATE(638),
    [sym_function] = STATE(703),
    [sym_new_expression] = STATE(638),
    [sym_augmented_assignment_expression] = STATE(638),
    [sym_unary_expression] = STATE(638),
    [sym_update_expression] = STATE(638),
    [sym_regex] = STATE(638),
    [sym_meta_property] = STATE(638),
    [sym_object] = STATE(702),
    [aux_sym_export_statement_repeat1] = STATE(1016),
    [sym_class] = STATE(638),
    [sym_generator_function] = STATE(638),
    [sym_await_expression] = STATE(638),
    [sym_member_expression] = STATE(701),
    [sym_string] = STATE(638),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(874),
    [sym_parenthesized_expression] = STATE(638),
    [sym_array] = STATE(704),
    [sym_jsx_opening_element] = STATE(875),
    [sym_jsx_self_closing_element] = STATE(638),
    [anon_sym_await] = ACTIONS(217),
    [sym_null] = ACTIONS(2123),
    [anon_sym_class] = ACTIONS(183),
    [anon_sym_static] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(219),
    [anon_sym_DASH] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_delete] = ACTIONS(191),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [anon_sym_LPAREN] = ACTIONS(193),
    [anon_sym_BANG] = ACTIONS(195),
    [sym_this] = ACTIONS(2123),
    [sym_undefined] = ACTIONS(2123),
    [sym_true] = ACTIONS(2123),
    [anon_sym_SLASH] = ACTIONS(223),
    [anon_sym_LBRACK] = ACTIONS(225),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(243),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_TILDE] = ACTIONS(195),
    [sym_super] = ACTIONS(207),
    [sym_identifier] = ACTIONS(253),
    [sym_false] = ACTIONS(2123),
    [anon_sym_LT] = ACTIONS(209),
    [sym_number] = ACTIONS(2125),
    [anon_sym_yield] = ACTIONS(213),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_set] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(251),
    [anon_sym_new] = ACTIONS(231),
    [anon_sym_PLUS] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_void] = ACTIONS(191),
    [anon_sym_typeof] = ACTIONS(191),
  },
  [590] = {
    [sym_arrow_function] = STATE(639),
    [sym_call_expression] = STATE(639),
    [sym_subscript_expression] = STATE(701),
    [sym_assignment_expression] = STATE(639),
    [sym_ternary_expression] = STATE(639),
    [sym_binary_expression] = STATE(639),
    [sym_template_string] = STATE(639),
    [sym__expression] = STATE(639),
    [sym_yield_expression] = STATE(639),
    [sym_jsx_element] = STATE(639),
    [sym_jsx_fragment] = STATE(639),
    [sym_function] = STATE(703),
    [sym_new_expression] = STATE(639),
    [sym_augmented_assignment_expression] = STATE(639),
    [sym_unary_expression] = STATE(639),
    [sym_update_expression] = STATE(639),
    [sym_regex] = STATE(639),
    [sym_meta_property] = STATE(639),
    [sym_object] = STATE(702),
    [aux_sym_export_statement_repeat1] = STATE(1016),
    [sym_class] = STATE(639),
    [sym_generator_function] = STATE(639),
    [sym_await_expression] = STATE(639),
    [sym_member_expression] = STATE(701),
    [sym_sequence_expression] = STATE(640),
    [sym_string] = STATE(639),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(874),
    [sym_parenthesized_expression] = STATE(639),
    [sym_array] = STATE(704),
    [sym_jsx_opening_element] = STATE(875),
    [sym_jsx_self_closing_element] = STATE(639),
    [anon_sym_await] = ACTIONS(217),
    [sym_null] = ACTIONS(2127),
    [anon_sym_class] = ACTIONS(183),
    [anon_sym_static] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(219),
    [anon_sym_DASH] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_delete] = ACTIONS(191),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [anon_sym_LPAREN] = ACTIONS(193),
    [anon_sym_BANG] = ACTIONS(195),
    [sym_this] = ACTIONS(2127),
    [sym_undefined] = ACTIONS(2127),
    [sym_true] = ACTIONS(2127),
    [anon_sym_SLASH] = ACTIONS(223),
    [anon_sym_LBRACK] = ACTIONS(225),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(243),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_TILDE] = ACTIONS(195),
    [sym_super] = ACTIONS(207),
    [sym_identifier] = ACTIONS(253),
    [sym_false] = ACTIONS(2127),
    [anon_sym_LT] = ACTIONS(209),
    [sym_number] = ACTIONS(2129),
    [anon_sym_yield] = ACTIONS(213),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_set] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(251),
    [anon_sym_new] = ACTIONS(231),
    [anon_sym_PLUS] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_void] = ACTIONS(191),
    [anon_sym_typeof] = ACTIONS(191),
  },
  [591] = {
    [sym_arrow_function] = STATE(641),
    [sym_call_expression] = STATE(641),
    [sym_subscript_expression] = STATE(701),
    [sym_assignment_expression] = STATE(641),
    [sym_ternary_expression] = STATE(641),
    [sym_binary_expression] = STATE(641),
    [sym_template_string] = STATE(641),
    [sym__expression] = STATE(641),
    [sym_yield_expression] = STATE(641),
    [sym_jsx_element] = STATE(641),
    [sym_jsx_fragment] = STATE(641),
    [sym_function] = STATE(703),
    [sym_new_expression] = STATE(641),
    [sym_augmented_assignment_expression] = STATE(641),
    [sym_unary_expression] = STATE(641),
    [sym_update_expression] = STATE(641),
    [sym_regex] = STATE(641),
    [sym_meta_property] = STATE(641),
    [sym_object] = STATE(702),
    [aux_sym_export_statement_repeat1] = STATE(1016),
    [sym_class] = STATE(641),
    [sym_generator_function] = STATE(641),
    [sym_await_expression] = STATE(641),
    [sym_member_expression] = STATE(701),
    [sym_string] = STATE(641),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(874),
    [sym_parenthesized_expression] = STATE(641),
    [sym_array] = STATE(704),
    [sym_jsx_opening_element] = STATE(875),
    [sym_jsx_self_closing_element] = STATE(641),
    [anon_sym_await] = ACTIONS(217),
    [sym_null] = ACTIONS(2131),
    [anon_sym_class] = ACTIONS(183),
    [anon_sym_static] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(219),
    [anon_sym_DASH] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_delete] = ACTIONS(191),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [anon_sym_LPAREN] = ACTIONS(193),
    [anon_sym_BANG] = ACTIONS(195),
    [sym_this] = ACTIONS(2131),
    [sym_undefined] = ACTIONS(2131),
    [sym_true] = ACTIONS(2131),
    [anon_sym_SLASH] = ACTIONS(223),
    [anon_sym_LBRACK] = ACTIONS(225),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(243),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_TILDE] = ACTIONS(195),
    [sym_super] = ACTIONS(207),
    [sym_identifier] = ACTIONS(253),
    [sym_false] = ACTIONS(2131),
    [anon_sym_LT] = ACTIONS(209),
    [sym_number] = ACTIONS(2133),
    [anon_sym_yield] = ACTIONS(213),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_set] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(251),
    [anon_sym_new] = ACTIONS(231),
    [anon_sym_PLUS] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_void] = ACTIONS(191),
    [anon_sym_typeof] = ACTIONS(191),
  },
  [592] = {
    [sym_arrow_function] = STATE(642),
    [sym_call_expression] = STATE(642),
    [sym_subscript_expression] = STATE(701),
    [sym_assignment_expression] = STATE(642),
    [sym_ternary_expression] = STATE(642),
    [sym_binary_expression] = STATE(642),
    [sym_template_string] = STATE(642),
    [sym__expression] = STATE(642),
    [sym_yield_expression] = STATE(642),
    [sym_jsx_element] = STATE(642),
    [sym_jsx_fragment] = STATE(642),
    [sym_function] = STATE(703),
    [sym_new_expression] = STATE(642),
    [sym_augmented_assignment_expression] = STATE(642),
    [sym_unary_expression] = STATE(642),
    [sym_update_expression] = STATE(642),
    [sym_regex] = STATE(642),
    [sym_meta_property] = STATE(642),
    [sym_object] = STATE(702),
    [aux_sym_export_statement_repeat1] = STATE(1016),
    [sym_class] = STATE(642),
    [sym_generator_function] = STATE(642),
    [sym_await_expression] = STATE(642),
    [sym_member_expression] = STATE(701),
    [sym_sequence_expression] = STATE(643),
    [sym_string] = STATE(642),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(874),
    [sym_parenthesized_expression] = STATE(642),
    [sym_array] = STATE(704),
    [sym_jsx_opening_element] = STATE(875),
    [sym_jsx_self_closing_element] = STATE(642),
    [anon_sym_await] = ACTIONS(217),
    [sym_null] = ACTIONS(2135),
    [anon_sym_class] = ACTIONS(183),
    [anon_sym_static] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(219),
    [anon_sym_DASH] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_delete] = ACTIONS(191),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [anon_sym_LPAREN] = ACTIONS(193),
    [anon_sym_BANG] = ACTIONS(195),
    [sym_this] = ACTIONS(2135),
    [sym_undefined] = ACTIONS(2135),
    [sym_true] = ACTIONS(2135),
    [anon_sym_SLASH] = ACTIONS(223),
    [anon_sym_LBRACK] = ACTIONS(225),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(243),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_TILDE] = ACTIONS(195),
    [sym_super] = ACTIONS(207),
    [sym_identifier] = ACTIONS(253),
    [sym_false] = ACTIONS(2135),
    [anon_sym_LT] = ACTIONS(209),
    [sym_number] = ACTIONS(2137),
    [anon_sym_yield] = ACTIONS(213),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_set] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(251),
    [anon_sym_new] = ACTIONS(231),
    [anon_sym_PLUS] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_void] = ACTIONS(191),
    [anon_sym_typeof] = ACTIONS(191),
  },
  [593] = {
    [sym_template_string] = STATE(141),
    [sym_arguments] = STATE(141),
    [anon_sym_instanceof] = ACTIONS(1429),
    [anon_sym_GT] = ACTIONS(1431),
    [sym__automatic_semicolon] = ACTIONS(1429),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_CARET] = ACTIONS(1429),
    [anon_sym_STAR_STAR] = ACTIONS(398),
    [anon_sym_STAR] = ACTIONS(400),
    [anon_sym_AMP_AMP] = ACTIONS(1429),
    [anon_sym_GT_GT] = ACTIONS(400),
    [anon_sym_AMP] = ACTIONS(1431),
    [anon_sym_in] = ACTIONS(1431),
    [anon_sym_LPAREN] = ACTIONS(271),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1429),
    [anon_sym_SLASH] = ACTIONS(400),
    [anon_sym_GT_EQ] = ACTIONS(1429),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(273),
    [anon_sym_PIPE] = ACTIONS(1431),
    [anon_sym_LT_EQ] = ACTIONS(1429),
    [anon_sym_PIPE_PIPE] = ACTIONS(1429),
    [anon_sym_COMMA] = ACTIONS(1429),
    [anon_sym_GT_GT_GT] = ACTIONS(408),
    [anon_sym_SEMI] = ACTIONS(1429),
    [anon_sym_PLUS_PLUS] = ACTIONS(410),
    [anon_sym_BANG_EQ] = ACTIONS(1431),
    [anon_sym_RPAREN] = ACTIONS(2139),
    [anon_sym_LT] = ACTIONS(1431),
    [anon_sym_DOT] = ACTIONS(275),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_EQ_EQ] = ACTIONS(1431),
    [anon_sym_PERCENT] = ACTIONS(408),
    [anon_sym_QMARK] = ACTIONS(1429),
    [anon_sym_LT_LT] = ACTIONS(408),
    [anon_sym_DASH_DASH] = ACTIONS(410),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1429),
  },
  [594] = {
    [anon_sym_RPAREN] = ACTIONS(2139),
    [sym_comment] = ACTIONS(3),
  },
  [595] = {
    [sym_template_string] = STATE(719),
    [sym_arguments] = STATE(719),
    [anon_sym_instanceof] = ACTIONS(696),
    [anon_sym_GT] = ACTIONS(676),
    [anon_sym_DASH] = ACTIONS(698),
    [anon_sym_CARET] = ACTIONS(700),
    [anon_sym_STAR_STAR] = ACTIONS(702),
    [anon_sym_STAR] = ACTIONS(704),
    [anon_sym_AMP_AMP] = ACTIONS(706),
    [anon_sym_GT_GT] = ACTIONS(704),
    [anon_sym_AMP] = ACTIONS(708),
    [anon_sym_in] = ACTIONS(676),
    [anon_sym_LPAREN] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(696),
    [anon_sym_GT_EQ] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(704),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(710),
    [anon_sym_PIPE] = ACTIONS(712),
    [anon_sym_LT_EQ] = ACTIONS(696),
    [anon_sym_PIPE_PIPE] = ACTIONS(700),
    [anon_sym_GT_GT_GT] = ACTIONS(714),
    [anon_sym_PLUS_PLUS] = ACTIONS(716),
    [anon_sym_BANG_EQ] = ACTIONS(676),
    [anon_sym_RPAREN] = ACTIONS(2141),
    [anon_sym_LT] = ACTIONS(676),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_PLUS] = ACTIONS(698),
    [anon_sym_EQ_EQ] = ACTIONS(676),
    [anon_sym_PERCENT] = ACTIONS(714),
    [anon_sym_QMARK] = ACTIONS(722),
    [anon_sym_LT_LT] = ACTIONS(714),
    [anon_sym_DASH_DASH] = ACTIONS(716),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(696),
  },
  [596] = {
    [sym_arrow_function] = STATE(46),
    [sym__declaration] = STATE(646),
    [sym_subscript_expression] = STATE(42),
    [sym_ternary_expression] = STATE(46),
    [sym_if_statement] = STATE(646),
    [sym_template_string] = STATE(46),
    [sym_do_statement] = STATE(646),
    [sym_return_statement] = STATE(646),
    [sym_yield_expression] = STATE(46),
    [sym_jsx_fragment] = STATE(46),
    [sym_function_declaration] = STATE(646),
    [sym_import_statement] = STATE(646),
    [sym_expression_statement] = STATE(646),
    [sym_switch_statement] = STATE(646),
    [sym_update_expression] = STATE(46),
    [sym_try_statement] = STATE(646),
    [sym_meta_property] = STATE(46),
    [sym_throw_statement] = STATE(646),
    [sym_object] = STATE(43),
    [aux_sym_export_statement_repeat1] = STATE(44),
    [sym_generator_function] = STATE(46),
    [sym_await_expression] = STATE(46),
    [sym_sequence_expression] = STATE(45),
    [sym_for_of_statement] = STATE(646),
    [sym_continue_statement] = STATE(646),
    [sym_call_expression] = STATE(46),
    [sym_assignment_expression] = STATE(46),
    [sym_statement_block] = STATE(646),
    [sym_binary_expression] = STATE(46),
    [sym_while_statement] = STATE(646),
    [sym_debugger_statement] = STATE(646),
    [sym__expression] = STATE(46),
    [sym_jsx_element] = STATE(46),
    [sym_function] = STATE(47),
    [sym_new_expression] = STATE(46),
    [sym_augmented_assignment_expression] = STATE(46),
    [sym_variable_declaration] = STATE(646),
    [sym_unary_expression] = STATE(46),
    [sym_for_statement] = STATE(646),
    [sym_regex] = STATE(46),
    [sym_with_statement] = STATE(646),
    [sym_empty_statement] = STATE(646),
    [sym_class] = STATE(46),
    [sym_export_statement] = STATE(646),
    [sym_generator_function_declaration] = STATE(646),
    [sym_member_expression] = STATE(42),
    [sym_lexical_declaration] = STATE(646),
    [sym_for_in_statement] = STATE(646),
    [sym_string] = STATE(46),
    [sym_break_statement] = STATE(646),
    [sym_decorator] = STATE(50),
    [sym_labeled_statement] = STATE(646),
    [sym_formal_parameters] = STATE(51),
    [sym_parenthesized_expression] = STATE(46),
    [sym_array] = STATE(52),
    [sym_jsx_opening_element] = STATE(53),
    [sym_jsx_self_closing_element] = STATE(46),
    [sym_class_declaration] = STATE(646),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_delete] = ACTIONS(39),
    [anon_sym_throw] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [anon_sym_get] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(69),
    [sym_false] = ACTIONS(9),
    [sym_number] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_set] = ACTIONS(23),
    [anon_sym_async] = ACTIONS(81),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_try] = ACTIONS(15),
    [anon_sym_for] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(5),
    [sym_null] = ACTIONS(9),
    [anon_sym_function] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(35),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_SLASH] = ACTIONS(45),
    [sym_undefined] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(61),
    [sym_identifier] = ACTIONS(65),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_switch] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(13),
    [anon_sym_void] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_do] = ACTIONS(21),
  },
  [597] = {
    [sym_template_string] = STATE(719),
    [sym_arguments] = STATE(719),
    [anon_sym_instanceof] = ACTIONS(696),
    [anon_sym_GT] = ACTIONS(676),
    [anon_sym_DASH] = ACTIONS(698),
    [anon_sym_CARET] = ACTIONS(700),
    [anon_sym_STAR_STAR] = ACTIONS(702),
    [anon_sym_STAR] = ACTIONS(704),
    [anon_sym_AMP_AMP] = ACTIONS(706),
    [anon_sym_GT_GT] = ACTIONS(704),
    [anon_sym_AMP] = ACTIONS(708),
    [anon_sym_in] = ACTIONS(676),
    [anon_sym_LPAREN] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(696),
    [anon_sym_GT_EQ] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(704),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(710),
    [anon_sym_PIPE] = ACTIONS(712),
    [anon_sym_LT_EQ] = ACTIONS(696),
    [anon_sym_PIPE_PIPE] = ACTIONS(700),
    [anon_sym_GT_GT_GT] = ACTIONS(714),
    [anon_sym_PLUS_PLUS] = ACTIONS(716),
    [anon_sym_COMMA] = ACTIONS(718),
    [anon_sym_BANG_EQ] = ACTIONS(676),
    [anon_sym_RPAREN] = ACTIONS(2143),
    [anon_sym_LT] = ACTIONS(676),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_PLUS] = ACTIONS(698),
    [anon_sym_EQ_EQ] = ACTIONS(676),
    [anon_sym_PERCENT] = ACTIONS(714),
    [anon_sym_QMARK] = ACTIONS(722),
    [anon_sym_LT_LT] = ACTIONS(714),
    [anon_sym_DASH_DASH] = ACTIONS(716),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(696),
  },
  [598] = {
    [anon_sym_RPAREN] = ACTIONS(2143),
    [sym_comment] = ACTIONS(3),
  },
  [599] = {
    [sym_template_string] = STATE(719),
    [sym_arguments] = STATE(719),
    [anon_sym_instanceof] = ACTIONS(696),
    [anon_sym_GT] = ACTIONS(676),
    [anon_sym_DASH] = ACTIONS(698),
    [anon_sym_CARET] = ACTIONS(700),
    [anon_sym_STAR_STAR] = ACTIONS(702),
    [anon_sym_STAR] = ACTIONS(704),
    [anon_sym_AMP_AMP] = ACTIONS(706),
    [anon_sym_GT_GT] = ACTIONS(704),
    [anon_sym_AMP] = ACTIONS(708),
    [anon_sym_in] = ACTIONS(676),
    [anon_sym_LPAREN] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(696),
    [anon_sym_GT_EQ] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(704),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(710),
    [anon_sym_PIPE] = ACTIONS(712),
    [anon_sym_LT_EQ] = ACTIONS(696),
    [anon_sym_PIPE_PIPE] = ACTIONS(700),
    [anon_sym_GT_GT_GT] = ACTIONS(714),
    [anon_sym_PLUS_PLUS] = ACTIONS(716),
    [anon_sym_BANG_EQ] = ACTIONS(676),
    [anon_sym_RPAREN] = ACTIONS(2145),
    [anon_sym_LT] = ACTIONS(676),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_PLUS] = ACTIONS(698),
    [anon_sym_EQ_EQ] = ACTIONS(676),
    [anon_sym_PERCENT] = ACTIONS(714),
    [anon_sym_QMARK] = ACTIONS(722),
    [anon_sym_LT_LT] = ACTIONS(714),
    [anon_sym_DASH_DASH] = ACTIONS(716),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(696),
  },
  [600] = {
    [sym_template_string] = STATE(141),
    [sym_arguments] = STATE(141),
    [anon_sym_instanceof] = ACTIONS(1429),
    [anon_sym_GT] = ACTIONS(1431),
    [sym__automatic_semicolon] = ACTIONS(1429),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_CARET] = ACTIONS(1429),
    [anon_sym_STAR_STAR] = ACTIONS(398),
    [anon_sym_STAR] = ACTIONS(400),
    [anon_sym_AMP_AMP] = ACTIONS(1429),
    [anon_sym_GT_GT] = ACTIONS(400),
    [anon_sym_AMP] = ACTIONS(1431),
    [anon_sym_in] = ACTIONS(1431),
    [anon_sym_LPAREN] = ACTIONS(271),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1429),
    [anon_sym_SLASH] = ACTIONS(400),
    [anon_sym_GT_EQ] = ACTIONS(1429),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(273),
    [anon_sym_PIPE] = ACTIONS(1431),
    [anon_sym_LT_EQ] = ACTIONS(1429),
    [anon_sym_PIPE_PIPE] = ACTIONS(1429),
    [anon_sym_COMMA] = ACTIONS(1429),
    [anon_sym_GT_GT_GT] = ACTIONS(408),
    [anon_sym_SEMI] = ACTIONS(1429),
    [anon_sym_PLUS_PLUS] = ACTIONS(410),
    [anon_sym_BANG_EQ] = ACTIONS(1431),
    [anon_sym_RPAREN] = ACTIONS(2147),
    [anon_sym_LT] = ACTIONS(1431),
    [anon_sym_DOT] = ACTIONS(275),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_EQ_EQ] = ACTIONS(1431),
    [anon_sym_PERCENT] = ACTIONS(408),
    [anon_sym_QMARK] = ACTIONS(1429),
    [anon_sym_LT_LT] = ACTIONS(408),
    [anon_sym_DASH_DASH] = ACTIONS(410),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1429),
  },
  [601] = {
    [anon_sym_RPAREN] = ACTIONS(2147),
    [sym_comment] = ACTIONS(3),
  },
  [602] = {
    [sym_template_string] = STATE(719),
    [sym_arguments] = STATE(719),
    [anon_sym_instanceof] = ACTIONS(696),
    [anon_sym_GT] = ACTIONS(676),
    [anon_sym_DASH] = ACTIONS(698),
    [anon_sym_CARET] = ACTIONS(700),
    [anon_sym_STAR_STAR] = ACTIONS(702),
    [anon_sym_STAR] = ACTIONS(704),
    [anon_sym_AMP_AMP] = ACTIONS(706),
    [anon_sym_GT_GT] = ACTIONS(704),
    [anon_sym_AMP] = ACTIONS(708),
    [anon_sym_in] = ACTIONS(676),
    [anon_sym_LPAREN] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(696),
    [anon_sym_GT_EQ] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(704),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(710),
    [anon_sym_PIPE] = ACTIONS(712),
    [anon_sym_LT_EQ] = ACTIONS(696),
    [anon_sym_PIPE_PIPE] = ACTIONS(700),
    [anon_sym_GT_GT_GT] = ACTIONS(714),
    [anon_sym_PLUS_PLUS] = ACTIONS(716),
    [anon_sym_BANG_EQ] = ACTIONS(676),
    [anon_sym_RPAREN] = ACTIONS(2149),
    [anon_sym_LT] = ACTIONS(676),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_PLUS] = ACTIONS(698),
    [anon_sym_EQ_EQ] = ACTIONS(676),
    [anon_sym_PERCENT] = ACTIONS(714),
    [anon_sym_QMARK] = ACTIONS(722),
    [anon_sym_LT_LT] = ACTIONS(714),
    [anon_sym_DASH_DASH] = ACTIONS(716),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(696),
  },
  [603] = {
    [sym_template_string] = STATE(141),
    [sym_arguments] = STATE(141),
    [anon_sym_instanceof] = ACTIONS(1429),
    [anon_sym_GT] = ACTIONS(1431),
    [sym__automatic_semicolon] = ACTIONS(1429),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_CARET] = ACTIONS(1429),
    [anon_sym_STAR_STAR] = ACTIONS(398),
    [anon_sym_STAR] = ACTIONS(400),
    [anon_sym_AMP_AMP] = ACTIONS(1429),
    [anon_sym_GT_GT] = ACTIONS(400),
    [anon_sym_AMP] = ACTIONS(1431),
    [anon_sym_in] = ACTIONS(1431),
    [anon_sym_LPAREN] = ACTIONS(271),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1429),
    [anon_sym_SLASH] = ACTIONS(400),
    [anon_sym_GT_EQ] = ACTIONS(1429),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(273),
    [anon_sym_PIPE] = ACTIONS(1431),
    [anon_sym_LT_EQ] = ACTIONS(1429),
    [anon_sym_PIPE_PIPE] = ACTIONS(1429),
    [anon_sym_COMMA] = ACTIONS(1429),
    [anon_sym_GT_GT_GT] = ACTIONS(408),
    [anon_sym_SEMI] = ACTIONS(1429),
    [anon_sym_PLUS_PLUS] = ACTIONS(410),
    [anon_sym_BANG_EQ] = ACTIONS(1431),
    [anon_sym_RPAREN] = ACTIONS(2151),
    [anon_sym_LT] = ACTIONS(1431),
    [anon_sym_DOT] = ACTIONS(275),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_EQ_EQ] = ACTIONS(1431),
    [anon_sym_PERCENT] = ACTIONS(408),
    [anon_sym_QMARK] = ACTIONS(1429),
    [anon_sym_LT_LT] = ACTIONS(408),
    [anon_sym_DASH_DASH] = ACTIONS(410),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1429),
  },
  [604] = {
    [anon_sym_RPAREN] = ACTIONS(2151),
    [sym_comment] = ACTIONS(3),
  },
  [605] = {
    [anon_sym_of] = ACTIONS(2153),
    [sym_comment] = ACTIONS(3),
  },
  [606] = {
    [anon_sym_of] = ACTIONS(2155),
    [sym_comment] = ACTIONS(3),
  },
  [607] = {
    [anon_sym_of] = ACTIONS(2157),
    [sym_comment] = ACTIONS(3),
  },
  [608] = {
    [anon_sym_class] = ACTIONS(2159),
    [anon_sym_static] = ACTIONS(2159),
    [anon_sym_DASH] = ACTIONS(2159),
    [anon_sym_import] = ACTIONS(2159),
    [anon_sym_LBRACE] = ACTIONS(2161),
    [anon_sym_delete] = ACTIONS(2159),
    [anon_sym_throw] = ACTIONS(2159),
    [anon_sym_LPAREN] = ACTIONS(2161),
    [anon_sym_BANG] = ACTIONS(2161),
    [sym_this] = ACTIONS(2159),
    [sym_true] = ACTIONS(2159),
    [anon_sym_case] = ACTIONS(2159),
    [anon_sym_get] = ACTIONS(2159),
    [anon_sym_default] = ACTIONS(2159),
    [anon_sym_PLUS_PLUS] = ACTIONS(2161),
    [anon_sym_SEMI] = ACTIONS(2161),
    [anon_sym_DQUOTE] = ACTIONS(2161),
    [anon_sym_TILDE] = ACTIONS(2161),
    [sym_super] = ACTIONS(2159),
    [anon_sym_LT] = ACTIONS(2161),
    [sym_false] = ACTIONS(2159),
    [sym_number] = ACTIONS(2161),
    [anon_sym_yield] = ACTIONS(2159),
    [anon_sym_set] = ACTIONS(2159),
    [anon_sym_async] = ACTIONS(2159),
    [anon_sym_var] = ACTIONS(2159),
    [anon_sym_const] = ACTIONS(2159),
    [anon_sym_RBRACE] = ACTIONS(2161),
    [anon_sym_DASH_DASH] = ACTIONS(2161),
    [anon_sym_try] = ACTIONS(2159),
    [anon_sym_for] = ACTIONS(2159),
    [anon_sym_typeof] = ACTIONS(2159),
    [anon_sym_await] = ACTIONS(2159),
    [sym_null] = ACTIONS(2159),
    [anon_sym_function] = ACTIONS(2159),
    [anon_sym_let] = ACTIONS(2159),
    [anon_sym_if] = ACTIONS(2159),
    [anon_sym_with] = ACTIONS(2159),
    [anon_sym_SQUOTE] = ACTIONS(2161),
    [anon_sym_SLASH] = ACTIONS(2159),
    [sym_undefined] = ACTIONS(2159),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(2161),
    [anon_sym_else] = ACTIONS(2159),
    [anon_sym_break] = ACTIONS(2159),
    [anon_sym_debugger] = ACTIONS(2159),
    [anon_sym_while] = ACTIONS(2159),
    [sym_identifier] = ACTIONS(2159),
    [anon_sym_BQUOTE] = ACTIONS(2161),
    [ts_builtin_sym_end] = ACTIONS(2161),
    [anon_sym_new] = ACTIONS(2159),
    [anon_sym_AT] = ACTIONS(2161),
    [anon_sym_PLUS] = ACTIONS(2159),
    [anon_sym_switch] = ACTIONS(2159),
    [anon_sym_export] = ACTIONS(2159),
    [anon_sym_continue] = ACTIONS(2159),
    [anon_sym_void] = ACTIONS(2159),
    [anon_sym_return] = ACTIONS(2159),
    [anon_sym_do] = ACTIONS(2159),
  },
  [609] = {
    [anon_sym_class] = ACTIONS(2163),
    [anon_sym_static] = ACTIONS(2163),
    [anon_sym_DASH] = ACTIONS(2163),
    [anon_sym_import] = ACTIONS(2163),
    [anon_sym_LBRACE] = ACTIONS(2165),
    [anon_sym_delete] = ACTIONS(2163),
    [anon_sym_throw] = ACTIONS(2163),
    [anon_sym_LPAREN] = ACTIONS(2165),
    [anon_sym_BANG] = ACTIONS(2165),
    [sym_this] = ACTIONS(2163),
    [sym_true] = ACTIONS(2163),
    [anon_sym_case] = ACTIONS(2163),
    [anon_sym_get] = ACTIONS(2163),
    [anon_sym_default] = ACTIONS(2163),
    [anon_sym_PLUS_PLUS] = ACTIONS(2165),
    [anon_sym_SEMI] = ACTIONS(2165),
    [anon_sym_DQUOTE] = ACTIONS(2165),
    [anon_sym_TILDE] = ACTIONS(2165),
    [sym_super] = ACTIONS(2163),
    [anon_sym_LT] = ACTIONS(2165),
    [sym_false] = ACTIONS(2163),
    [sym_number] = ACTIONS(2165),
    [anon_sym_yield] = ACTIONS(2163),
    [anon_sym_set] = ACTIONS(2163),
    [anon_sym_async] = ACTIONS(2163),
    [anon_sym_var] = ACTIONS(2163),
    [anon_sym_const] = ACTIONS(2163),
    [anon_sym_RBRACE] = ACTIONS(2165),
    [anon_sym_DASH_DASH] = ACTIONS(2165),
    [anon_sym_try] = ACTIONS(2163),
    [anon_sym_for] = ACTIONS(2163),
    [anon_sym_typeof] = ACTIONS(2163),
    [anon_sym_await] = ACTIONS(2163),
    [sym_null] = ACTIONS(2163),
    [anon_sym_function] = ACTIONS(2163),
    [anon_sym_let] = ACTIONS(2163),
    [anon_sym_if] = ACTIONS(2163),
    [anon_sym_with] = ACTIONS(2163),
    [anon_sym_SQUOTE] = ACTIONS(2165),
    [anon_sym_SLASH] = ACTIONS(2163),
    [sym_undefined] = ACTIONS(2163),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(2165),
    [anon_sym_else] = ACTIONS(2163),
    [anon_sym_break] = ACTIONS(2163),
    [anon_sym_debugger] = ACTIONS(2163),
    [anon_sym_while] = ACTIONS(2163),
    [sym_identifier] = ACTIONS(2163),
    [anon_sym_BQUOTE] = ACTIONS(2165),
    [ts_builtin_sym_end] = ACTIONS(2165),
    [anon_sym_new] = ACTIONS(2163),
    [anon_sym_AT] = ACTIONS(2165),
    [anon_sym_PLUS] = ACTIONS(2163),
    [anon_sym_switch] = ACTIONS(2163),
    [anon_sym_export] = ACTIONS(2163),
    [anon_sym_continue] = ACTIONS(2163),
    [anon_sym_void] = ACTIONS(2163),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_do] = ACTIONS(2163),
  },
  [610] = {
    [anon_sym_class] = ACTIONS(2167),
    [anon_sym_static] = ACTIONS(2167),
    [anon_sym_DASH] = ACTIONS(2167),
    [anon_sym_import] = ACTIONS(2167),
    [anon_sym_LBRACE] = ACTIONS(2169),
    [anon_sym_delete] = ACTIONS(2167),
    [anon_sym_throw] = ACTIONS(2167),
    [anon_sym_LPAREN] = ACTIONS(2169),
    [anon_sym_BANG] = ACTIONS(2169),
    [sym_this] = ACTIONS(2167),
    [sym_true] = ACTIONS(2167),
    [anon_sym_case] = ACTIONS(2167),
    [anon_sym_get] = ACTIONS(2167),
    [anon_sym_default] = ACTIONS(2167),
    [anon_sym_PLUS_PLUS] = ACTIONS(2169),
    [anon_sym_SEMI] = ACTIONS(2169),
    [anon_sym_DQUOTE] = ACTIONS(2169),
    [anon_sym_TILDE] = ACTIONS(2169),
    [sym_super] = ACTIONS(2167),
    [anon_sym_LT] = ACTIONS(2169),
    [sym_false] = ACTIONS(2167),
    [sym_number] = ACTIONS(2169),
    [anon_sym_yield] = ACTIONS(2167),
    [anon_sym_set] = ACTIONS(2167),
    [anon_sym_async] = ACTIONS(2167),
    [anon_sym_var] = ACTIONS(2167),
    [anon_sym_const] = ACTIONS(2167),
    [anon_sym_RBRACE] = ACTIONS(2169),
    [anon_sym_DASH_DASH] = ACTIONS(2169),
    [anon_sym_try] = ACTIONS(2167),
    [anon_sym_for] = ACTIONS(2167),
    [anon_sym_typeof] = ACTIONS(2167),
    [anon_sym_await] = ACTIONS(2167),
    [sym_null] = ACTIONS(2167),
    [anon_sym_function] = ACTIONS(2167),
    [anon_sym_let] = ACTIONS(2167),
    [anon_sym_if] = ACTIONS(2167),
    [anon_sym_with] = ACTIONS(2167),
    [anon_sym_SQUOTE] = ACTIONS(2169),
    [anon_sym_SLASH] = ACTIONS(2167),
    [sym_undefined] = ACTIONS(2167),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(2169),
    [anon_sym_else] = ACTIONS(2167),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_debugger] = ACTIONS(2167),
    [anon_sym_while] = ACTIONS(2167),
    [sym_identifier] = ACTIONS(2167),
    [anon_sym_BQUOTE] = ACTIONS(2169),
    [ts_builtin_sym_end] = ACTIONS(2169),
    [anon_sym_new] = ACTIONS(2167),
    [anon_sym_AT] = ACTIONS(2169),
    [anon_sym_PLUS] = ACTIONS(2167),
    [anon_sym_switch] = ACTIONS(2167),
    [anon_sym_export] = ACTIONS(2167),
    [anon_sym_continue] = ACTIONS(2167),
    [anon_sym_void] = ACTIONS(2167),
    [anon_sym_return] = ACTIONS(2167),
    [anon_sym_do] = ACTIONS(2167),
  },
  [611] = {
    [anon_sym_instanceof] = ACTIONS(2171),
    [sym__automatic_semicolon] = ACTIONS(2173),
    [anon_sym_class] = ACTIONS(2175),
    [anon_sym_DASH] = ACTIONS(2175),
    [anon_sym_STAR] = ACTIONS(2171),
    [anon_sym_AMP] = ACTIONS(2171),
    [anon_sym_throw] = ACTIONS(2175),
    [anon_sym_GT_EQ] = ACTIONS(2177),
    [sym_this] = ACTIONS(2175),
    [anon_sym_case] = ACTIONS(2175),
    [anon_sym_get] = ACTIONS(2175),
    [anon_sym_LT_EQ] = ACTIONS(2177),
    [anon_sym_COMMA] = ACTIONS(2177),
    [anon_sym_PLUS_PLUS] = ACTIONS(2179),
    [anon_sym_TILDE] = ACTIONS(2179),
    [anon_sym_LT] = ACTIONS(2175),
    [sym_false] = ACTIONS(2175),
    [anon_sym_yield] = ACTIONS(2175),
    [anon_sym_async] = ACTIONS(2175),
    [anon_sym_const] = ACTIONS(2175),
    [anon_sym_QMARK] = ACTIONS(2177),
    [anon_sym_try] = ACTIONS(2175),
    [anon_sym_await] = ACTIONS(2175),
    [anon_sym_let] = ACTIONS(2175),
    [anon_sym_CARET] = ACTIONS(2177),
    [anon_sym_GT_GT] = ACTIONS(2171),
    [anon_sym_in] = ACTIONS(2171),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2177),
    [anon_sym_SLASH] = ACTIONS(2175),
    [sym_undefined] = ACTIONS(2175),
    [anon_sym_LBRACK] = ACTIONS(2179),
    [anon_sym_else] = ACTIONS(2175),
    [anon_sym_PIPE_PIPE] = ACTIONS(2177),
    [anon_sym_break] = ACTIONS(2175),
    [anon_sym_while] = ACTIONS(2175),
    [anon_sym_DOT] = ACTIONS(2171),
    [anon_sym_BQUOTE] = ACTIONS(2179),
    [anon_sym_PLUS] = ACTIONS(2175),
    [anon_sym_export] = ACTIONS(2175),
    [anon_sym_LT_LT] = ACTIONS(2177),
    [anon_sym_return] = ACTIONS(2175),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2177),
    [anon_sym_static] = ACTIONS(2175),
    [anon_sym_import] = ACTIONS(2175),
    [anon_sym_STAR_STAR] = ACTIONS(2177),
    [anon_sym_LBRACE] = ACTIONS(2179),
    [anon_sym_delete] = ACTIONS(2175),
    [anon_sym_LPAREN] = ACTIONS(2179),
    [anon_sym_BANG] = ACTIONS(2175),
    [sym_true] = ACTIONS(2175),
    [anon_sym_default] = ACTIONS(2175),
    [anon_sym_SEMI] = ACTIONS(2179),
    [anon_sym_DQUOTE] = ACTIONS(2179),
    [sym_super] = ACTIONS(2175),
    [sym_number] = ACTIONS(2179),
    [anon_sym_set] = ACTIONS(2175),
    [anon_sym_var] = ACTIONS(2175),
    [anon_sym_EQ_EQ] = ACTIONS(2171),
    [anon_sym_RBRACE] = ACTIONS(2179),
    [anon_sym_DASH_DASH] = ACTIONS(2179),
    [anon_sym_for] = ACTIONS(2175),
    [anon_sym_typeof] = ACTIONS(2175),
    [anon_sym_GT] = ACTIONS(2171),
    [sym_null] = ACTIONS(2175),
    [anon_sym_function] = ACTIONS(2175),
    [anon_sym_if] = ACTIONS(2175),
    [anon_sym_AMP_AMP] = ACTIONS(2177),
    [anon_sym_with] = ACTIONS(2175),
    [anon_sym_SQUOTE] = ACTIONS(2179),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(2171),
    [anon_sym_GT_GT_GT] = ACTIONS(2177),
    [anon_sym_debugger] = ACTIONS(2175),
    [anon_sym_BANG_EQ] = ACTIONS(2171),
    [sym_identifier] = ACTIONS(2175),
    [ts_builtin_sym_end] = ACTIONS(2179),
    [anon_sym_new] = ACTIONS(2175),
    [anon_sym_AT] = ACTIONS(2179),
    [anon_sym_switch] = ACTIONS(2175),
    [anon_sym_PERCENT] = ACTIONS(2177),
    [anon_sym_continue] = ACTIONS(2175),
    [anon_sym_void] = ACTIONS(2175),
    [anon_sym_do] = ACTIONS(2175),
  },
  [612] = {
    [sym_template_string] = STATE(141),
    [sym_arguments] = STATE(141),
    [anon_sym_instanceof] = ACTIONS(392),
    [anon_sym_GT] = ACTIONS(287),
    [sym__automatic_semicolon] = ACTIONS(2181),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_CARET] = ACTIONS(396),
    [anon_sym_STAR_STAR] = ACTIONS(398),
    [anon_sym_STAR] = ACTIONS(400),
    [anon_sym_AMP_AMP] = ACTIONS(402),
    [anon_sym_GT_GT] = ACTIONS(400),
    [anon_sym_AMP] = ACTIONS(404),
    [anon_sym_in] = ACTIONS(287),
    [anon_sym_LPAREN] = ACTIONS(271),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(392),
    [anon_sym_SLASH] = ACTIONS(400),
    [anon_sym_GT_EQ] = ACTIONS(392),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(273),
    [anon_sym_PIPE] = ACTIONS(406),
    [anon_sym_LT_EQ] = ACTIONS(392),
    [anon_sym_PIPE_PIPE] = ACTIONS(396),
    [anon_sym_COMMA] = ACTIONS(2181),
    [anon_sym_GT_GT_GT] = ACTIONS(408),
    [anon_sym_SEMI] = ACTIONS(2181),
    [anon_sym_PLUS_PLUS] = ACTIONS(410),
    [anon_sym_BANG_EQ] = ACTIONS(287),
    [anon_sym_RPAREN] = ACTIONS(2181),
    [anon_sym_LT] = ACTIONS(287),
    [anon_sym_DOT] = ACTIONS(275),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_EQ_EQ] = ACTIONS(287),
    [anon_sym_PERCENT] = ACTIONS(408),
    [anon_sym_QMARK] = ACTIONS(414),
    [anon_sym_LT_LT] = ACTIONS(408),
    [anon_sym_DASH_DASH] = ACTIONS(410),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(392),
  },
  [613] = {
    [anon_sym_instanceof] = ACTIONS(2183),
    [anon_sym_GT] = ACTIONS(2185),
    [sym__automatic_semicolon] = ACTIONS(2183),
    [anon_sym_DASH] = ACTIONS(2185),
    [anon_sym_CARET] = ACTIONS(2183),
    [anon_sym_STAR_STAR] = ACTIONS(2183),
    [anon_sym_STAR] = ACTIONS(2185),
    [anon_sym_AMP_AMP] = ACTIONS(2183),
    [anon_sym_GT_GT] = ACTIONS(2185),
    [anon_sym_AMP] = ACTIONS(2185),
    [anon_sym_in] = ACTIONS(2185),
    [anon_sym_LPAREN] = ACTIONS(2183),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2183),
    [anon_sym_SLASH] = ACTIONS(2185),
    [anon_sym_GT_EQ] = ACTIONS(2183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(2183),
    [anon_sym_PIPE] = ACTIONS(2185),
    [anon_sym_LT_EQ] = ACTIONS(2183),
    [anon_sym_PIPE_PIPE] = ACTIONS(2183),
    [anon_sym_COMMA] = ACTIONS(2183),
    [anon_sym_GT_GT_GT] = ACTIONS(2183),
    [anon_sym_SEMI] = ACTIONS(2183),
    [anon_sym_PLUS_PLUS] = ACTIONS(2183),
    [anon_sym_BANG_EQ] = ACTIONS(2185),
    [anon_sym_RPAREN] = ACTIONS(2183),
    [anon_sym_LT] = ACTIONS(2185),
    [anon_sym_DOT] = ACTIONS(2183),
    [anon_sym_BQUOTE] = ACTIONS(2183),
    [anon_sym_PLUS] = ACTIONS(2185),
    [anon_sym_EQ_EQ] = ACTIONS(2185),
    [anon_sym_PERCENT] = ACTIONS(2183),
    [anon_sym_QMARK] = ACTIONS(2183),
    [anon_sym_LT_LT] = ACTIONS(2183),
    [anon_sym_DASH_DASH] = ACTIONS(2183),
    [anon_sym_RBRACE] = ACTIONS(2183),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2183),
  },
  [614] = {
    [anon_sym_instanceof] = ACTIONS(2022),
    [anon_sym_GT] = ACTIONS(2016),
    [sym__automatic_semicolon] = ACTIONS(2022),
    [anon_sym_DASH] = ACTIONS(2016),
    [anon_sym_CARET] = ACTIONS(2022),
    [anon_sym_STAR_STAR] = ACTIONS(2022),
    [anon_sym_STAR] = ACTIONS(2016),
    [anon_sym_AMP_AMP] = ACTIONS(2022),
    [anon_sym_GT_GT] = ACTIONS(2016),
    [anon_sym_AMP] = ACTIONS(2016),
    [anon_sym_in] = ACTIONS(2016),
    [anon_sym_LPAREN] = ACTIONS(2022),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2022),
    [anon_sym_SLASH] = ACTIONS(2016),
    [anon_sym_GT_EQ] = ACTIONS(2022),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(2022),
    [anon_sym_PIPE] = ACTIONS(2016),
    [anon_sym_LT_EQ] = ACTIONS(2022),
    [anon_sym_PIPE_PIPE] = ACTIONS(2022),
    [anon_sym_COMMA] = ACTIONS(2022),
    [anon_sym_GT_GT_GT] = ACTIONS(2022),
    [anon_sym_SEMI] = ACTIONS(2022),
    [anon_sym_PLUS_PLUS] = ACTIONS(2022),
    [anon_sym_BANG_EQ] = ACTIONS(2016),
    [anon_sym_RPAREN] = ACTIONS(2022),
    [anon_sym_LT] = ACTIONS(2016),
    [anon_sym_DOT] = ACTIONS(2022),
    [anon_sym_BQUOTE] = ACTIONS(2022),
    [anon_sym_PLUS] = ACTIONS(2016),
    [anon_sym_EQ_EQ] = ACTIONS(2016),
    [anon_sym_PERCENT] = ACTIONS(2022),
    [anon_sym_QMARK] = ACTIONS(2022),
    [anon_sym_LT_LT] = ACTIONS(2022),
    [anon_sym_DASH_DASH] = ACTIONS(2022),
    [anon_sym_RBRACE] = ACTIONS(2022),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2022),
  },
  [615] = {
    [anon_sym_instanceof] = ACTIONS(2085),
    [anon_sym_GT] = ACTIONS(2079),
    [sym__automatic_semicolon] = ACTIONS(2085),
    [anon_sym_DASH] = ACTIONS(2079),
    [anon_sym_CARET] = ACTIONS(2085),
    [anon_sym_STAR_STAR] = ACTIONS(2085),
    [anon_sym_STAR] = ACTIONS(2079),
    [anon_sym_AMP_AMP] = ACTIONS(2085),
    [anon_sym_GT_GT] = ACTIONS(2079),
    [anon_sym_AMP] = ACTIONS(2079),
    [anon_sym_in] = ACTIONS(2079),
    [anon_sym_LPAREN] = ACTIONS(2085),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2085),
    [anon_sym_SLASH] = ACTIONS(2079),
    [anon_sym_GT_EQ] = ACTIONS(2085),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(2085),
    [anon_sym_PIPE] = ACTIONS(2079),
    [anon_sym_LT_EQ] = ACTIONS(2085),
    [anon_sym_PIPE_PIPE] = ACTIONS(2085),
    [anon_sym_COMMA] = ACTIONS(2085),
    [anon_sym_GT_GT_GT] = ACTIONS(2085),
    [anon_sym_SEMI] = ACTIONS(2085),
    [anon_sym_PLUS_PLUS] = ACTIONS(2085),
    [anon_sym_BANG_EQ] = ACTIONS(2079),
    [anon_sym_RPAREN] = ACTIONS(2085),
    [anon_sym_LT] = ACTIONS(2079),
    [anon_sym_DOT] = ACTIONS(2085),
    [anon_sym_BQUOTE] = ACTIONS(2085),
    [anon_sym_PLUS] = ACTIONS(2079),
    [anon_sym_EQ_EQ] = ACTIONS(2079),
    [anon_sym_PERCENT] = ACTIONS(2085),
    [anon_sym_QMARK] = ACTIONS(2085),
    [anon_sym_LT_LT] = ACTIONS(2085),
    [anon_sym_DASH_DASH] = ACTIONS(2085),
    [anon_sym_RBRACE] = ACTIONS(2085),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2085),
  },
  [616] = {
    [anon_sym_instanceof] = ACTIONS(2177),
    [anon_sym_GT] = ACTIONS(2171),
    [sym__automatic_semicolon] = ACTIONS(2177),
    [anon_sym_DASH] = ACTIONS(2171),
    [anon_sym_CARET] = ACTIONS(2177),
    [anon_sym_STAR_STAR] = ACTIONS(2177),
    [anon_sym_STAR] = ACTIONS(2171),
    [anon_sym_AMP_AMP] = ACTIONS(2177),
    [anon_sym_GT_GT] = ACTIONS(2171),
    [anon_sym_AMP] = ACTIONS(2171),
    [anon_sym_in] = ACTIONS(2171),
    [anon_sym_LPAREN] = ACTIONS(2177),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2177),
    [anon_sym_SLASH] = ACTIONS(2171),
    [anon_sym_GT_EQ] = ACTIONS(2177),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(2177),
    [anon_sym_PIPE] = ACTIONS(2171),
    [anon_sym_LT_EQ] = ACTIONS(2177),
    [anon_sym_PIPE_PIPE] = ACTIONS(2177),
    [anon_sym_COMMA] = ACTIONS(2177),
    [anon_sym_GT_GT_GT] = ACTIONS(2177),
    [anon_sym_SEMI] = ACTIONS(2177),
    [anon_sym_PLUS_PLUS] = ACTIONS(2177),
    [anon_sym_BANG_EQ] = ACTIONS(2171),
    [anon_sym_RPAREN] = ACTIONS(2177),
    [anon_sym_LT] = ACTIONS(2171),
    [anon_sym_DOT] = ACTIONS(2177),
    [anon_sym_BQUOTE] = ACTIONS(2177),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_EQ_EQ] = ACTIONS(2171),
    [anon_sym_PERCENT] = ACTIONS(2177),
    [anon_sym_QMARK] = ACTIONS(2177),
    [anon_sym_LT_LT] = ACTIONS(2177),
    [anon_sym_DASH_DASH] = ACTIONS(2177),
    [anon_sym_RBRACE] = ACTIONS(2177),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2177),
  },
  [617] = {
    [anon_sym_class] = ACTIONS(2187),
    [anon_sym_static] = ACTIONS(2187),
    [anon_sym_DASH] = ACTIONS(2187),
    [anon_sym_import] = ACTIONS(2187),
    [anon_sym_LBRACE] = ACTIONS(2189),
    [anon_sym_delete] = ACTIONS(2187),
    [anon_sym_throw] = ACTIONS(2187),
    [anon_sym_LPAREN] = ACTIONS(2189),
    [anon_sym_BANG] = ACTIONS(2189),
    [sym_this] = ACTIONS(2187),
    [sym_true] = ACTIONS(2187),
    [anon_sym_case] = ACTIONS(2187),
    [anon_sym_get] = ACTIONS(2187),
    [anon_sym_default] = ACTIONS(2187),
    [anon_sym_PLUS_PLUS] = ACTIONS(2189),
    [anon_sym_SEMI] = ACTIONS(2189),
    [anon_sym_DQUOTE] = ACTIONS(2189),
    [anon_sym_TILDE] = ACTIONS(2189),
    [sym_super] = ACTIONS(2187),
    [anon_sym_LT] = ACTIONS(2189),
    [sym_false] = ACTIONS(2187),
    [sym_number] = ACTIONS(2189),
    [anon_sym_yield] = ACTIONS(2187),
    [anon_sym_set] = ACTIONS(2187),
    [anon_sym_async] = ACTIONS(2187),
    [anon_sym_var] = ACTIONS(2187),
    [anon_sym_const] = ACTIONS(2187),
    [anon_sym_RBRACE] = ACTIONS(2189),
    [anon_sym_DASH_DASH] = ACTIONS(2189),
    [anon_sym_try] = ACTIONS(2187),
    [anon_sym_for] = ACTIONS(2187),
    [anon_sym_typeof] = ACTIONS(2187),
    [anon_sym_await] = ACTIONS(2187),
    [sym_null] = ACTIONS(2187),
    [anon_sym_function] = ACTIONS(2187),
    [anon_sym_let] = ACTIONS(2187),
    [anon_sym_if] = ACTIONS(2187),
    [anon_sym_with] = ACTIONS(2187),
    [anon_sym_SQUOTE] = ACTIONS(2189),
    [anon_sym_SLASH] = ACTIONS(2187),
    [sym_undefined] = ACTIONS(2187),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(2189),
    [anon_sym_else] = ACTIONS(2187),
    [anon_sym_break] = ACTIONS(2187),
    [anon_sym_debugger] = ACTIONS(2187),
    [anon_sym_while] = ACTIONS(2187),
    [sym_identifier] = ACTIONS(2187),
    [anon_sym_BQUOTE] = ACTIONS(2189),
    [ts_builtin_sym_end] = ACTIONS(2189),
    [anon_sym_new] = ACTIONS(2187),
    [anon_sym_AT] = ACTIONS(2189),
    [anon_sym_PLUS] = ACTIONS(2187),
    [anon_sym_switch] = ACTIONS(2187),
    [anon_sym_export] = ACTIONS(2187),
    [anon_sym_continue] = ACTIONS(2187),
    [anon_sym_void] = ACTIONS(2187),
    [anon_sym_return] = ACTIONS(2187),
    [anon_sym_do] = ACTIONS(2187),
  },
  [618] = {
    [anon_sym_from] = ACTIONS(2191),
    [sym_comment] = ACTIONS(3),
  },
  [619] = {
    [sym__import_export_specifier] = STATE(552),
    [sym_identifier] = ACTIONS(548),
    [sym_comment] = ACTIONS(3),
  },
  [620] = {
    [anon_sym_COMMA] = ACTIONS(2193),
    [anon_sym_SEMI] = ACTIONS(2193),
    [anon_sym_DQUOTE] = ACTIONS(2193),
    [anon_sym_static] = ACTIONS(2195),
    [sym_identifier] = ACTIONS(2195),
    [anon_sym_STAR] = ACTIONS(2193),
    [sym_number] = ACTIONS(2193),
    [anon_sym_SQUOTE] = ACTIONS(2193),
    [anon_sym_set] = ACTIONS(2195),
    [anon_sym_async] = ACTIONS(2195),
    [anon_sym_AT] = ACTIONS(2193),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACE] = ACTIONS(2193),
    [anon_sym_LBRACK] = ACTIONS(2193),
    [anon_sym_get] = ACTIONS(2195),
  },
  [621] = {
    [sym_statement_block] = STATE(656),
    [anon_sym_LBRACE] = ACTIONS(354),
    [sym_comment] = ACTIONS(3),
  },
  [622] = {
    [sym_formal_parameters] = STATE(657),
    [anon_sym_LPAREN] = ACTIONS(139),
    [sym_comment] = ACTIONS(3),
  },
  [623] = {
    [anon_sym_instanceof] = ACTIONS(2197),
    [anon_sym_GT] = ACTIONS(2199),
    [sym__automatic_semicolon] = ACTIONS(2197),
    [anon_sym_DASH] = ACTIONS(2199),
    [anon_sym_CARET] = ACTIONS(2197),
    [anon_sym_STAR_STAR] = ACTIONS(2197),
    [anon_sym_STAR] = ACTIONS(2199),
    [anon_sym_AMP_AMP] = ACTIONS(2197),
    [anon_sym_GT_GT] = ACTIONS(2199),
    [anon_sym_AMP] = ACTIONS(2199),
    [anon_sym_in] = ACTIONS(2199),
    [anon_sym_LPAREN] = ACTIONS(2197),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2197),
    [anon_sym_SLASH] = ACTIONS(2199),
    [anon_sym_GT_EQ] = ACTIONS(2197),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(2197),
    [anon_sym_PIPE] = ACTIONS(2199),
    [anon_sym_LT_EQ] = ACTIONS(2197),
    [anon_sym_PIPE_PIPE] = ACTIONS(2197),
    [anon_sym_COMMA] = ACTIONS(2197),
    [anon_sym_GT_GT_GT] = ACTIONS(2197),
    [anon_sym_SEMI] = ACTIONS(2197),
    [anon_sym_PLUS_PLUS] = ACTIONS(2197),
    [anon_sym_BANG_EQ] = ACTIONS(2199),
    [anon_sym_RPAREN] = ACTIONS(2197),
    [anon_sym_LT] = ACTIONS(2199),
    [anon_sym_DOT] = ACTIONS(2197),
    [anon_sym_BQUOTE] = ACTIONS(2197),
    [anon_sym_PLUS] = ACTIONS(2199),
    [anon_sym_EQ_EQ] = ACTIONS(2199),
    [anon_sym_PERCENT] = ACTIONS(2197),
    [anon_sym_QMARK] = ACTIONS(2197),
    [anon_sym_LT_LT] = ACTIONS(2197),
    [anon_sym_DASH_DASH] = ACTIONS(2197),
    [anon_sym_RBRACE] = ACTIONS(2197),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2197),
  },
  [624] = {
    [anon_sym_class] = ACTIONS(2201),
    [anon_sym_static] = ACTIONS(2201),
    [anon_sym_DASH] = ACTIONS(2201),
    [anon_sym_import] = ACTIONS(2201),
    [anon_sym_LBRACE] = ACTIONS(2203),
    [anon_sym_delete] = ACTIONS(2201),
    [anon_sym_throw] = ACTIONS(2201),
    [anon_sym_LPAREN] = ACTIONS(2203),
    [anon_sym_BANG] = ACTIONS(2203),
    [sym_this] = ACTIONS(2201),
    [sym_true] = ACTIONS(2201),
    [anon_sym_case] = ACTIONS(2201),
    [anon_sym_get] = ACTIONS(2201),
    [anon_sym_default] = ACTIONS(2201),
    [anon_sym_PLUS_PLUS] = ACTIONS(2203),
    [anon_sym_SEMI] = ACTIONS(2203),
    [anon_sym_DQUOTE] = ACTIONS(2203),
    [anon_sym_TILDE] = ACTIONS(2203),
    [sym_super] = ACTIONS(2201),
    [anon_sym_LT] = ACTIONS(2203),
    [sym_false] = ACTIONS(2201),
    [sym_number] = ACTIONS(2203),
    [anon_sym_yield] = ACTIONS(2201),
    [anon_sym_set] = ACTIONS(2201),
    [anon_sym_async] = ACTIONS(2201),
    [anon_sym_var] = ACTIONS(2201),
    [anon_sym_const] = ACTIONS(2201),
    [anon_sym_RBRACE] = ACTIONS(2203),
    [anon_sym_DASH_DASH] = ACTIONS(2203),
    [anon_sym_try] = ACTIONS(2201),
    [anon_sym_for] = ACTIONS(2201),
    [anon_sym_typeof] = ACTIONS(2201),
    [anon_sym_await] = ACTIONS(2201),
    [sym_null] = ACTIONS(2201),
    [anon_sym_function] = ACTIONS(2201),
    [anon_sym_let] = ACTIONS(2201),
    [anon_sym_if] = ACTIONS(2201),
    [anon_sym_with] = ACTIONS(2201),
    [anon_sym_SQUOTE] = ACTIONS(2203),
    [anon_sym_SLASH] = ACTIONS(2201),
    [sym_undefined] = ACTIONS(2201),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(2203),
    [anon_sym_else] = ACTIONS(2201),
    [anon_sym_break] = ACTIONS(2201),
    [anon_sym_debugger] = ACTIONS(2201),
    [anon_sym_while] = ACTIONS(2201),
    [sym_identifier] = ACTIONS(2201),
    [anon_sym_BQUOTE] = ACTIONS(2203),
    [ts_builtin_sym_end] = ACTIONS(2203),
    [anon_sym_new] = ACTIONS(2201),
    [anon_sym_AT] = ACTIONS(2203),
    [anon_sym_PLUS] = ACTIONS(2201),
    [anon_sym_switch] = ACTIONS(2201),
    [anon_sym_export] = ACTIONS(2201),
    [anon_sym_continue] = ACTIONS(2201),
    [anon_sym_void] = ACTIONS(2201),
    [anon_sym_return] = ACTIONS(2201),
    [anon_sym_do] = ACTIONS(2201),
  },
  [625] = {
    [sym_arrow_function] = STATE(658),
    [sym_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(701),
    [sym_assignment_expression] = STATE(658),
    [sym_ternary_expression] = STATE(658),
    [sym_binary_expression] = STATE(658),
    [sym_template_string] = STATE(658),
    [sym__expression] = STATE(658),
    [sym_yield_expression] = STATE(658),
    [sym_jsx_element] = STATE(658),
    [sym_jsx_fragment] = STATE(658),
    [sym_function] = STATE(703),
    [sym_new_expression] = STATE(658),
    [sym_augmented_assignment_expression] = STATE(658),
    [sym_unary_expression] = STATE(658),
    [sym_update_expression] = STATE(658),
    [sym_regex] = STATE(658),
    [sym_meta_property] = STATE(658),
    [sym_object] = STATE(702),
    [aux_sym_export_statement_repeat1] = STATE(1016),
    [sym_class] = STATE(658),
    [sym_generator_function] = STATE(658),
    [sym_await_expression] = STATE(658),
    [sym_member_expression] = STATE(701),
    [sym_sequence_expression] = STATE(659),
    [sym_string] = STATE(658),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(874),
    [sym_parenthesized_expression] = STATE(658),
    [sym_array] = STATE(704),
    [sym_jsx_opening_element] = STATE(875),
    [sym_jsx_self_closing_element] = STATE(658),
    [anon_sym_await] = ACTIONS(217),
    [sym_null] = ACTIONS(2205),
    [anon_sym_class] = ACTIONS(183),
    [anon_sym_static] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(219),
    [anon_sym_DASH] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_delete] = ACTIONS(191),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [anon_sym_LPAREN] = ACTIONS(193),
    [anon_sym_BANG] = ACTIONS(195),
    [sym_this] = ACTIONS(2205),
    [sym_undefined] = ACTIONS(2205),
    [sym_true] = ACTIONS(2205),
    [anon_sym_SLASH] = ACTIONS(223),
    [anon_sym_LBRACK] = ACTIONS(225),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(243),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_TILDE] = ACTIONS(195),
    [sym_super] = ACTIONS(207),
    [sym_identifier] = ACTIONS(253),
    [sym_false] = ACTIONS(2205),
    [anon_sym_LT] = ACTIONS(209),
    [sym_number] = ACTIONS(2207),
    [anon_sym_yield] = ACTIONS(213),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_set] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(251),
    [anon_sym_new] = ACTIONS(231),
    [anon_sym_PLUS] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_void] = ACTIONS(191),
    [anon_sym_typeof] = ACTIONS(191),
  },
  [626] = {
    [anon_sym_class] = ACTIONS(2209),
    [anon_sym_static] = ACTIONS(2209),
    [anon_sym_DASH] = ACTIONS(2209),
    [anon_sym_import] = ACTIONS(2209),
    [anon_sym_LBRACE] = ACTIONS(2211),
    [anon_sym_delete] = ACTIONS(2209),
    [anon_sym_throw] = ACTIONS(2209),
    [anon_sym_LPAREN] = ACTIONS(2211),
    [anon_sym_BANG] = ACTIONS(2211),
    [sym_this] = ACTIONS(2209),
    [sym_true] = ACTIONS(2209),
    [anon_sym_case] = ACTIONS(2209),
    [anon_sym_get] = ACTIONS(2209),
    [anon_sym_default] = ACTIONS(2209),
    [anon_sym_PLUS_PLUS] = ACTIONS(2211),
    [anon_sym_SEMI] = ACTIONS(2211),
    [anon_sym_DQUOTE] = ACTIONS(2211),
    [anon_sym_TILDE] = ACTIONS(2211),
    [sym_super] = ACTIONS(2209),
    [anon_sym_LT] = ACTIONS(2211),
    [sym_false] = ACTIONS(2209),
    [sym_number] = ACTIONS(2211),
    [anon_sym_yield] = ACTIONS(2209),
    [anon_sym_set] = ACTIONS(2209),
    [anon_sym_async] = ACTIONS(2209),
    [anon_sym_var] = ACTIONS(2209),
    [anon_sym_const] = ACTIONS(2209),
    [anon_sym_RBRACE] = ACTIONS(2211),
    [anon_sym_DASH_DASH] = ACTIONS(2211),
    [anon_sym_try] = ACTIONS(2209),
    [anon_sym_for] = ACTIONS(2209),
    [anon_sym_typeof] = ACTIONS(2209),
    [anon_sym_await] = ACTIONS(2209),
    [sym_null] = ACTIONS(2209),
    [anon_sym_function] = ACTIONS(2209),
    [anon_sym_let] = ACTIONS(2209),
    [anon_sym_if] = ACTIONS(2209),
    [anon_sym_with] = ACTIONS(2209),
    [anon_sym_SQUOTE] = ACTIONS(2211),
    [anon_sym_SLASH] = ACTIONS(2209),
    [sym_undefined] = ACTIONS(2209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(2211),
    [anon_sym_else] = ACTIONS(2209),
    [anon_sym_break] = ACTIONS(2209),
    [anon_sym_debugger] = ACTIONS(2209),
    [anon_sym_while] = ACTIONS(2209),
    [sym_identifier] = ACTIONS(2209),
    [anon_sym_BQUOTE] = ACTIONS(2211),
    [ts_builtin_sym_end] = ACTIONS(2211),
    [anon_sym_new] = ACTIONS(2209),
    [anon_sym_AT] = ACTIONS(2211),
    [anon_sym_PLUS] = ACTIONS(2209),
    [anon_sym_switch] = ACTIONS(2209),
    [anon_sym_export] = ACTIONS(2209),
    [anon_sym_continue] = ACTIONS(2209),
    [anon_sym_void] = ACTIONS(2209),
    [anon_sym_return] = ACTIONS(2209),
    [anon_sym_do] = ACTIONS(2209),
  },
  [627] = {
    [anon_sym_COLON] = ACTIONS(2213),
    [sym_comment] = ACTIONS(3),
  },
  [628] = {
    [aux_sym_switch_body_repeat1] = STATE(662),
    [sym_switch_case] = STATE(662),
    [sym_switch_default] = STATE(662),
    [anon_sym_case] = ACTIONS(2092),
    [anon_sym_RBRACE] = ACTIONS(2215),
    [anon_sym_default] = ACTIONS(2096),
    [sym_comment] = ACTIONS(3),
  },
  [629] = {
    [sym__automatic_semicolon] = ACTIONS(2217),
    [anon_sym_from] = ACTIONS(2217),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(2217),
  },
  [630] = {
    [sym__import_export_specifier] = STATE(577),
    [sym_identifier] = ACTIONS(548),
    [sym_comment] = ACTIONS(3),
  },
  [631] = {
    [sym__automatic_semicolon] = ACTIONS(2081),
    [anon_sym_class] = ACTIONS(2083),
    [anon_sym_static] = ACTIONS(2083),
    [anon_sym_DASH] = ACTIONS(2083),
    [anon_sym_import] = ACTIONS(2083),
    [anon_sym_LBRACE] = ACTIONS(2087),
    [anon_sym_delete] = ACTIONS(2083),
    [anon_sym_throw] = ACTIONS(2083),
    [anon_sym_LPAREN] = ACTIONS(2087),
    [anon_sym_BANG] = ACTIONS(2087),
    [sym_this] = ACTIONS(2083),
    [sym_true] = ACTIONS(2083),
    [anon_sym_case] = ACTIONS(2083),
    [anon_sym_get] = ACTIONS(2083),
    [anon_sym_default] = ACTIONS(2083),
    [anon_sym_PLUS_PLUS] = ACTIONS(2087),
    [anon_sym_SEMI] = ACTIONS(2087),
    [anon_sym_DQUOTE] = ACTIONS(2087),
    [anon_sym_TILDE] = ACTIONS(2087),
    [sym_super] = ACTIONS(2083),
    [anon_sym_LT] = ACTIONS(2087),
    [sym_false] = ACTIONS(2083),
    [sym_number] = ACTIONS(2087),
    [anon_sym_yield] = ACTIONS(2083),
    [anon_sym_set] = ACTIONS(2083),
    [anon_sym_async] = ACTIONS(2083),
    [anon_sym_var] = ACTIONS(2083),
    [anon_sym_const] = ACTIONS(2083),
    [anon_sym_RBRACE] = ACTIONS(2087),
    [anon_sym_DASH_DASH] = ACTIONS(2087),
    [anon_sym_try] = ACTIONS(2083),
    [anon_sym_for] = ACTIONS(2083),
    [anon_sym_typeof] = ACTIONS(2083),
    [anon_sym_await] = ACTIONS(2083),
    [sym_null] = ACTIONS(2083),
    [anon_sym_function] = ACTIONS(2083),
    [anon_sym_let] = ACTIONS(2083),
    [anon_sym_if] = ACTIONS(2083),
    [anon_sym_with] = ACTIONS(2083),
    [anon_sym_SQUOTE] = ACTIONS(2087),
    [anon_sym_SLASH] = ACTIONS(2083),
    [sym_undefined] = ACTIONS(2083),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(2087),
    [anon_sym_else] = ACTIONS(2083),
    [anon_sym_break] = ACTIONS(2083),
    [anon_sym_debugger] = ACTIONS(2083),
    [anon_sym_while] = ACTIONS(2083),
    [sym_identifier] = ACTIONS(2083),
    [anon_sym_BQUOTE] = ACTIONS(2087),
    [ts_builtin_sym_end] = ACTIONS(2087),
    [anon_sym_new] = ACTIONS(2083),
    [anon_sym_AT] = ACTIONS(2087),
    [anon_sym_PLUS] = ACTIONS(2083),
    [anon_sym_switch] = ACTIONS(2083),
    [anon_sym_export] = ACTIONS(2083),
    [anon_sym_continue] = ACTIONS(2083),
    [anon_sym_void] = ACTIONS(2083),
    [anon_sym_return] = ACTIONS(2083),
    [anon_sym_do] = ACTIONS(2083),
  },
  [632] = {
    [sym__automatic_semicolon] = ACTIONS(2018),
    [anon_sym_class] = ACTIONS(2020),
    [anon_sym_static] = ACTIONS(2020),
    [anon_sym_DASH] = ACTIONS(2020),
    [anon_sym_import] = ACTIONS(2020),
    [anon_sym_LBRACE] = ACTIONS(2024),
    [anon_sym_delete] = ACTIONS(2020),
    [anon_sym_throw] = ACTIONS(2020),
    [anon_sym_LPAREN] = ACTIONS(2024),
    [anon_sym_BANG] = ACTIONS(2024),
    [sym_this] = ACTIONS(2020),
    [sym_true] = ACTIONS(2020),
    [anon_sym_case] = ACTIONS(2020),
    [anon_sym_get] = ACTIONS(2020),
    [anon_sym_default] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2024),
    [anon_sym_SEMI] = ACTIONS(2024),
    [anon_sym_DQUOTE] = ACTIONS(2024),
    [anon_sym_TILDE] = ACTIONS(2024),
    [sym_super] = ACTIONS(2020),
    [anon_sym_LT] = ACTIONS(2024),
    [sym_false] = ACTIONS(2020),
    [sym_number] = ACTIONS(2024),
    [anon_sym_yield] = ACTIONS(2020),
    [anon_sym_set] = ACTIONS(2020),
    [anon_sym_async] = ACTIONS(2020),
    [anon_sym_var] = ACTIONS(2020),
    [anon_sym_const] = ACTIONS(2020),
    [anon_sym_RBRACE] = ACTIONS(2024),
    [anon_sym_DASH_DASH] = ACTIONS(2024),
    [anon_sym_try] = ACTIONS(2020),
    [anon_sym_for] = ACTIONS(2020),
    [anon_sym_typeof] = ACTIONS(2020),
    [anon_sym_await] = ACTIONS(2020),
    [sym_null] = ACTIONS(2020),
    [anon_sym_function] = ACTIONS(2020),
    [anon_sym_let] = ACTIONS(2020),
    [anon_sym_if] = ACTIONS(2020),
    [anon_sym_with] = ACTIONS(2020),
    [anon_sym_SQUOTE] = ACTIONS(2024),
    [anon_sym_SLASH] = ACTIONS(2020),
    [sym_undefined] = ACTIONS(2020),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(2024),
    [anon_sym_else] = ACTIONS(2020),
    [anon_sym_break] = ACTIONS(2020),
    [anon_sym_debugger] = ACTIONS(2020),
    [anon_sym_while] = ACTIONS(2020),
    [sym_identifier] = ACTIONS(2020),
    [anon_sym_BQUOTE] = ACTIONS(2024),
    [ts_builtin_sym_end] = ACTIONS(2024),
    [anon_sym_new] = ACTIONS(2020),
    [anon_sym_AT] = ACTIONS(2024),
    [anon_sym_PLUS] = ACTIONS(2020),
    [anon_sym_switch] = ACTIONS(2020),
    [anon_sym_export] = ACTIONS(2020),
    [anon_sym_continue] = ACTIONS(2020),
    [anon_sym_void] = ACTIONS(2020),
    [anon_sym_return] = ACTIONS(2020),
    [anon_sym_do] = ACTIONS(2020),
  },
  [633] = {
    [sym__automatic_semicolon] = ACTIONS(2173),
    [anon_sym_class] = ACTIONS(2175),
    [anon_sym_static] = ACTIONS(2175),
    [anon_sym_DASH] = ACTIONS(2175),
    [anon_sym_import] = ACTIONS(2175),
    [anon_sym_LBRACE] = ACTIONS(2179),
    [anon_sym_delete] = ACTIONS(2175),
    [anon_sym_throw] = ACTIONS(2175),
    [anon_sym_LPAREN] = ACTIONS(2179),
    [anon_sym_BANG] = ACTIONS(2179),
    [sym_this] = ACTIONS(2175),
    [sym_true] = ACTIONS(2175),
    [anon_sym_case] = ACTIONS(2175),
    [anon_sym_get] = ACTIONS(2175),
    [anon_sym_default] = ACTIONS(2175),
    [anon_sym_PLUS_PLUS] = ACTIONS(2179),
    [anon_sym_SEMI] = ACTIONS(2179),
    [anon_sym_DQUOTE] = ACTIONS(2179),
    [anon_sym_TILDE] = ACTIONS(2179),
    [sym_super] = ACTIONS(2175),
    [anon_sym_LT] = ACTIONS(2179),
    [sym_false] = ACTIONS(2175),
    [sym_number] = ACTIONS(2179),
    [anon_sym_yield] = ACTIONS(2175),
    [anon_sym_set] = ACTIONS(2175),
    [anon_sym_async] = ACTIONS(2175),
    [anon_sym_var] = ACTIONS(2175),
    [anon_sym_const] = ACTIONS(2175),
    [anon_sym_RBRACE] = ACTIONS(2179),
    [anon_sym_DASH_DASH] = ACTIONS(2179),
    [anon_sym_try] = ACTIONS(2175),
    [anon_sym_for] = ACTIONS(2175),
    [anon_sym_typeof] = ACTIONS(2175),
    [anon_sym_await] = ACTIONS(2175),
    [sym_null] = ACTIONS(2175),
    [anon_sym_function] = ACTIONS(2175),
    [anon_sym_let] = ACTIONS(2175),
    [anon_sym_if] = ACTIONS(2175),
    [anon_sym_with] = ACTIONS(2175),
    [anon_sym_SQUOTE] = ACTIONS(2179),
    [anon_sym_SLASH] = ACTIONS(2175),
    [sym_undefined] = ACTIONS(2175),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(2179),
    [anon_sym_else] = ACTIONS(2175),
    [anon_sym_break] = ACTIONS(2175),
    [anon_sym_debugger] = ACTIONS(2175),
    [anon_sym_while] = ACTIONS(2175),
    [sym_identifier] = ACTIONS(2175),
    [anon_sym_BQUOTE] = ACTIONS(2179),
    [ts_builtin_sym_end] = ACTIONS(2179),
    [anon_sym_new] = ACTIONS(2175),
    [anon_sym_AT] = ACTIONS(2179),
    [anon_sym_PLUS] = ACTIONS(2175),
    [anon_sym_switch] = ACTIONS(2175),
    [anon_sym_export] = ACTIONS(2175),
    [anon_sym_continue] = ACTIONS(2175),
    [anon_sym_void] = ACTIONS(2175),
    [anon_sym_return] = ACTIONS(2175),
    [anon_sym_do] = ACTIONS(2175),
  },
  [634] = {
    [sym_statement_block] = STATE(663),
    [anon_sym_LBRACE] = ACTIONS(354),
    [sym_comment] = ACTIONS(3),
  },
  [635] = {
    [sym_template_string] = STATE(719),
    [sym_arguments] = STATE(719),
    [anon_sym_instanceof] = ACTIONS(696),
    [anon_sym_GT] = ACTIONS(676),
    [anon_sym_DASH] = ACTIONS(698),
    [anon_sym_CARET] = ACTIONS(700),
    [anon_sym_STAR_STAR] = ACTIONS(702),
    [anon_sym_STAR] = ACTIONS(704),
    [anon_sym_AMP_AMP] = ACTIONS(706),
    [anon_sym_GT_GT] = ACTIONS(704),
    [anon_sym_AMP] = ACTIONS(708),
    [anon_sym_in] = ACTIONS(676),
    [anon_sym_LPAREN] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(696),
    [anon_sym_GT_EQ] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(704),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(710),
    [anon_sym_PIPE] = ACTIONS(712),
    [anon_sym_LT_EQ] = ACTIONS(696),
    [anon_sym_PIPE_PIPE] = ACTIONS(700),
    [anon_sym_GT_GT_GT] = ACTIONS(714),
    [anon_sym_PLUS_PLUS] = ACTIONS(716),
    [anon_sym_BANG_EQ] = ACTIONS(676),
    [anon_sym_RPAREN] = ACTIONS(2219),
    [anon_sym_LT] = ACTIONS(676),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_PLUS] = ACTIONS(698),
    [anon_sym_EQ_EQ] = ACTIONS(676),
    [anon_sym_PERCENT] = ACTIONS(714),
    [anon_sym_QMARK] = ACTIONS(722),
    [anon_sym_LT_LT] = ACTIONS(714),
    [anon_sym_DASH_DASH] = ACTIONS(716),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(696),
  },
  [636] = {
    [sym_template_string] = STATE(719),
    [sym_arguments] = STATE(719),
    [anon_sym_instanceof] = ACTIONS(696),
    [anon_sym_GT] = ACTIONS(676),
    [anon_sym_DASH] = ACTIONS(698),
    [anon_sym_CARET] = ACTIONS(700),
    [anon_sym_STAR_STAR] = ACTIONS(702),
    [anon_sym_STAR] = ACTIONS(704),
    [anon_sym_AMP_AMP] = ACTIONS(706),
    [anon_sym_GT_GT] = ACTIONS(704),
    [anon_sym_AMP] = ACTIONS(708),
    [anon_sym_in] = ACTIONS(676),
    [anon_sym_LPAREN] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(696),
    [anon_sym_GT_EQ] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(704),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(710),
    [anon_sym_PIPE] = ACTIONS(712),
    [anon_sym_LT_EQ] = ACTIONS(696),
    [anon_sym_PIPE_PIPE] = ACTIONS(700),
    [anon_sym_GT_GT_GT] = ACTIONS(714),
    [anon_sym_PLUS_PLUS] = ACTIONS(716),
    [anon_sym_COMMA] = ACTIONS(718),
    [anon_sym_BANG_EQ] = ACTIONS(676),
    [anon_sym_RPAREN] = ACTIONS(2221),
    [anon_sym_LT] = ACTIONS(676),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_PLUS] = ACTIONS(698),
    [anon_sym_EQ_EQ] = ACTIONS(676),
    [anon_sym_PERCENT] = ACTIONS(714),
    [anon_sym_QMARK] = ACTIONS(722),
    [anon_sym_LT_LT] = ACTIONS(714),
    [anon_sym_DASH_DASH] = ACTIONS(716),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(696),
  },
  [637] = {
    [anon_sym_RPAREN] = ACTIONS(2221),
    [sym_comment] = ACTIONS(3),
  },
  [638] = {
    [sym_template_string] = STATE(719),
    [sym_arguments] = STATE(719),
    [anon_sym_instanceof] = ACTIONS(696),
    [anon_sym_GT] = ACTIONS(676),
    [anon_sym_DASH] = ACTIONS(698),
    [anon_sym_CARET] = ACTIONS(700),
    [anon_sym_STAR_STAR] = ACTIONS(702),
    [anon_sym_STAR] = ACTIONS(704),
    [anon_sym_AMP_AMP] = ACTIONS(706),
    [anon_sym_GT_GT] = ACTIONS(704),
    [anon_sym_AMP] = ACTIONS(708),
    [anon_sym_in] = ACTIONS(676),
    [anon_sym_LPAREN] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(696),
    [anon_sym_GT_EQ] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(704),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(710),
    [anon_sym_PIPE] = ACTIONS(712),
    [anon_sym_LT_EQ] = ACTIONS(696),
    [anon_sym_PIPE_PIPE] = ACTIONS(700),
    [anon_sym_GT_GT_GT] = ACTIONS(714),
    [anon_sym_PLUS_PLUS] = ACTIONS(716),
    [anon_sym_BANG_EQ] = ACTIONS(676),
    [anon_sym_RPAREN] = ACTIONS(2223),
    [anon_sym_LT] = ACTIONS(676),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_PLUS] = ACTIONS(698),
    [anon_sym_EQ_EQ] = ACTIONS(676),
    [anon_sym_PERCENT] = ACTIONS(714),
    [anon_sym_QMARK] = ACTIONS(722),
    [anon_sym_LT_LT] = ACTIONS(714),
    [anon_sym_DASH_DASH] = ACTIONS(716),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(696),
  },
  [639] = {
    [sym_template_string] = STATE(719),
    [sym_arguments] = STATE(719),
    [anon_sym_instanceof] = ACTIONS(696),
    [anon_sym_GT] = ACTIONS(676),
    [anon_sym_DASH] = ACTIONS(698),
    [anon_sym_CARET] = ACTIONS(700),
    [anon_sym_STAR_STAR] = ACTIONS(702),
    [anon_sym_STAR] = ACTIONS(704),
    [anon_sym_AMP_AMP] = ACTIONS(706),
    [anon_sym_GT_GT] = ACTIONS(704),
    [anon_sym_AMP] = ACTIONS(708),
    [anon_sym_in] = ACTIONS(676),
    [anon_sym_LPAREN] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(696),
    [anon_sym_GT_EQ] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(704),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(710),
    [anon_sym_PIPE] = ACTIONS(712),
    [anon_sym_LT_EQ] = ACTIONS(696),
    [anon_sym_PIPE_PIPE] = ACTIONS(700),
    [anon_sym_GT_GT_GT] = ACTIONS(714),
    [anon_sym_PLUS_PLUS] = ACTIONS(716),
    [anon_sym_COMMA] = ACTIONS(718),
    [anon_sym_BANG_EQ] = ACTIONS(676),
    [anon_sym_RPAREN] = ACTIONS(2225),
    [anon_sym_LT] = ACTIONS(676),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_PLUS] = ACTIONS(698),
    [anon_sym_EQ_EQ] = ACTIONS(676),
    [anon_sym_PERCENT] = ACTIONS(714),
    [anon_sym_QMARK] = ACTIONS(722),
    [anon_sym_LT_LT] = ACTIONS(714),
    [anon_sym_DASH_DASH] = ACTIONS(716),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(696),
  },
  [640] = {
    [anon_sym_RPAREN] = ACTIONS(2225),
    [sym_comment] = ACTIONS(3),
  },
  [641] = {
    [sym_template_string] = STATE(719),
    [sym_arguments] = STATE(719),
    [anon_sym_instanceof] = ACTIONS(696),
    [anon_sym_GT] = ACTIONS(676),
    [anon_sym_DASH] = ACTIONS(698),
    [anon_sym_CARET] = ACTIONS(700),
    [anon_sym_STAR_STAR] = ACTIONS(702),
    [anon_sym_STAR] = ACTIONS(704),
    [anon_sym_AMP_AMP] = ACTIONS(706),
    [anon_sym_GT_GT] = ACTIONS(704),
    [anon_sym_AMP] = ACTIONS(708),
    [anon_sym_in] = ACTIONS(676),
    [anon_sym_LPAREN] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(696),
    [anon_sym_GT_EQ] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(704),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(710),
    [anon_sym_PIPE] = ACTIONS(712),
    [anon_sym_LT_EQ] = ACTIONS(696),
    [anon_sym_PIPE_PIPE] = ACTIONS(700),
    [anon_sym_GT_GT_GT] = ACTIONS(714),
    [anon_sym_PLUS_PLUS] = ACTIONS(716),
    [anon_sym_BANG_EQ] = ACTIONS(676),
    [anon_sym_RPAREN] = ACTIONS(2227),
    [anon_sym_LT] = ACTIONS(676),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_PLUS] = ACTIONS(698),
    [anon_sym_EQ_EQ] = ACTIONS(676),
    [anon_sym_PERCENT] = ACTIONS(714),
    [anon_sym_QMARK] = ACTIONS(722),
    [anon_sym_LT_LT] = ACTIONS(714),
    [anon_sym_DASH_DASH] = ACTIONS(716),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(696),
  },
  [642] = {
    [sym_template_string] = STATE(719),
    [sym_arguments] = STATE(719),
    [anon_sym_instanceof] = ACTIONS(696),
    [anon_sym_GT] = ACTIONS(676),
    [anon_sym_DASH] = ACTIONS(698),
    [anon_sym_CARET] = ACTIONS(700),
    [anon_sym_STAR_STAR] = ACTIONS(702),
    [anon_sym_STAR] = ACTIONS(704),
    [anon_sym_AMP_AMP] = ACTIONS(706),
    [anon_sym_GT_GT] = ACTIONS(704),
    [anon_sym_AMP] = ACTIONS(708),
    [anon_sym_in] = ACTIONS(676),
    [anon_sym_LPAREN] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(696),
    [anon_sym_GT_EQ] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(704),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(710),
    [anon_sym_PIPE] = ACTIONS(712),
    [anon_sym_LT_EQ] = ACTIONS(696),
    [anon_sym_PIPE_PIPE] = ACTIONS(700),
    [anon_sym_GT_GT_GT] = ACTIONS(714),
    [anon_sym_PLUS_PLUS] = ACTIONS(716),
    [anon_sym_COMMA] = ACTIONS(718),
    [anon_sym_BANG_EQ] = ACTIONS(676),
    [anon_sym_RPAREN] = ACTIONS(2229),
    [anon_sym_LT] = ACTIONS(676),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_PLUS] = ACTIONS(698),
    [anon_sym_EQ_EQ] = ACTIONS(676),
    [anon_sym_PERCENT] = ACTIONS(714),
    [anon_sym_QMARK] = ACTIONS(722),
    [anon_sym_LT_LT] = ACTIONS(714),
    [anon_sym_DASH_DASH] = ACTIONS(716),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(696),
  },
  [643] = {
    [anon_sym_RPAREN] = ACTIONS(2229),
    [sym_comment] = ACTIONS(3),
  },
  [644] = {
    [sym_arrow_function] = STATE(46),
    [sym__declaration] = STATE(670),
    [sym_subscript_expression] = STATE(42),
    [sym_ternary_expression] = STATE(46),
    [sym_if_statement] = STATE(670),
    [sym_template_string] = STATE(46),
    [sym_do_statement] = STATE(670),
    [sym_return_statement] = STATE(670),
    [sym_yield_expression] = STATE(46),
    [sym_jsx_fragment] = STATE(46),
    [sym_function_declaration] = STATE(670),
    [sym_import_statement] = STATE(670),
    [sym_expression_statement] = STATE(670),
    [sym_switch_statement] = STATE(670),
    [sym_update_expression] = STATE(46),
    [sym_try_statement] = STATE(670),
    [sym_meta_property] = STATE(46),
    [sym_throw_statement] = STATE(670),
    [sym_object] = STATE(43),
    [aux_sym_export_statement_repeat1] = STATE(44),
    [sym_generator_function] = STATE(46),
    [sym_await_expression] = STATE(46),
    [sym_sequence_expression] = STATE(45),
    [sym_for_of_statement] = STATE(670),
    [sym_continue_statement] = STATE(670),
    [sym_call_expression] = STATE(46),
    [sym_assignment_expression] = STATE(46),
    [sym_statement_block] = STATE(670),
    [sym_binary_expression] = STATE(46),
    [sym_while_statement] = STATE(670),
    [sym_debugger_statement] = STATE(670),
    [sym__expression] = STATE(46),
    [sym_jsx_element] = STATE(46),
    [sym_function] = STATE(47),
    [sym_new_expression] = STATE(46),
    [sym_augmented_assignment_expression] = STATE(46),
    [sym_variable_declaration] = STATE(670),
    [sym_unary_expression] = STATE(46),
    [sym_for_statement] = STATE(670),
    [sym_regex] = STATE(46),
    [sym_with_statement] = STATE(670),
    [sym_empty_statement] = STATE(670),
    [sym_class] = STATE(46),
    [sym_export_statement] = STATE(670),
    [sym_generator_function_declaration] = STATE(670),
    [sym_member_expression] = STATE(42),
    [sym_lexical_declaration] = STATE(670),
    [sym_for_in_statement] = STATE(670),
    [sym_string] = STATE(46),
    [sym_break_statement] = STATE(670),
    [sym_decorator] = STATE(50),
    [sym_labeled_statement] = STATE(670),
    [sym_formal_parameters] = STATE(51),
    [sym_parenthesized_expression] = STATE(46),
    [sym_array] = STATE(52),
    [sym_jsx_opening_element] = STATE(53),
    [sym_jsx_self_closing_element] = STATE(46),
    [sym_class_declaration] = STATE(670),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_delete] = ACTIONS(39),
    [anon_sym_throw] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [anon_sym_get] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(69),
    [sym_false] = ACTIONS(9),
    [sym_number] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_set] = ACTIONS(23),
    [anon_sym_async] = ACTIONS(81),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_try] = ACTIONS(15),
    [anon_sym_for] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(5),
    [sym_null] = ACTIONS(9),
    [anon_sym_function] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(35),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_SLASH] = ACTIONS(45),
    [sym_undefined] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(61),
    [sym_identifier] = ACTIONS(65),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_switch] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(13),
    [anon_sym_void] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_do] = ACTIONS(21),
  },
  [645] = {
    [sym_arrow_function] = STATE(46),
    [sym__declaration] = STATE(671),
    [sym_subscript_expression] = STATE(42),
    [sym_ternary_expression] = STATE(46),
    [sym_if_statement] = STATE(671),
    [sym_template_string] = STATE(46),
    [sym_do_statement] = STATE(671),
    [sym_return_statement] = STATE(671),
    [sym_yield_expression] = STATE(46),
    [sym_jsx_fragment] = STATE(46),
    [sym_function_declaration] = STATE(671),
    [sym_import_statement] = STATE(671),
    [sym_expression_statement] = STATE(671),
    [sym_switch_statement] = STATE(671),
    [sym_update_expression] = STATE(46),
    [sym_try_statement] = STATE(671),
    [sym_meta_property] = STATE(46),
    [sym_throw_statement] = STATE(671),
    [sym_object] = STATE(43),
    [aux_sym_export_statement_repeat1] = STATE(44),
    [sym_generator_function] = STATE(46),
    [sym_await_expression] = STATE(46),
    [sym_sequence_expression] = STATE(45),
    [sym_for_of_statement] = STATE(671),
    [sym_continue_statement] = STATE(671),
    [sym_call_expression] = STATE(46),
    [sym_assignment_expression] = STATE(46),
    [sym_statement_block] = STATE(671),
    [sym_binary_expression] = STATE(46),
    [sym_while_statement] = STATE(671),
    [sym_debugger_statement] = STATE(671),
    [sym__expression] = STATE(46),
    [sym_jsx_element] = STATE(46),
    [sym_function] = STATE(47),
    [sym_new_expression] = STATE(46),
    [sym_augmented_assignment_expression] = STATE(46),
    [sym_variable_declaration] = STATE(671),
    [sym_unary_expression] = STATE(46),
    [sym_for_statement] = STATE(671),
    [sym_regex] = STATE(46),
    [sym_with_statement] = STATE(671),
    [sym_empty_statement] = STATE(671),
    [sym_class] = STATE(46),
    [sym_export_statement] = STATE(671),
    [sym_generator_function_declaration] = STATE(671),
    [sym_member_expression] = STATE(42),
    [sym_lexical_declaration] = STATE(671),
    [sym_for_in_statement] = STATE(671),
    [sym_string] = STATE(46),
    [sym_break_statement] = STATE(671),
    [sym_decorator] = STATE(50),
    [sym_labeled_statement] = STATE(671),
    [sym_formal_parameters] = STATE(51),
    [sym_parenthesized_expression] = STATE(46),
    [sym_array] = STATE(52),
    [sym_jsx_opening_element] = STATE(53),
    [sym_jsx_self_closing_element] = STATE(46),
    [sym_class_declaration] = STATE(671),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_delete] = ACTIONS(39),
    [anon_sym_throw] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [anon_sym_get] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(69),
    [sym_false] = ACTIONS(9),
    [sym_number] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_set] = ACTIONS(23),
    [anon_sym_async] = ACTIONS(81),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_try] = ACTIONS(15),
    [anon_sym_for] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(5),
    [sym_null] = ACTIONS(9),
    [anon_sym_function] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(35),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_SLASH] = ACTIONS(45),
    [sym_undefined] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(61),
    [sym_identifier] = ACTIONS(65),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_switch] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(13),
    [anon_sym_void] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_do] = ACTIONS(21),
  },
  [646] = {
    [anon_sym_class] = ACTIONS(2231),
    [anon_sym_static] = ACTIONS(2231),
    [anon_sym_DASH] = ACTIONS(2231),
    [anon_sym_import] = ACTIONS(2231),
    [anon_sym_LBRACE] = ACTIONS(2233),
    [anon_sym_delete] = ACTIONS(2231),
    [anon_sym_throw] = ACTIONS(2231),
    [anon_sym_LPAREN] = ACTIONS(2233),
    [anon_sym_BANG] = ACTIONS(2233),
    [sym_this] = ACTIONS(2231),
    [sym_true] = ACTIONS(2231),
    [anon_sym_case] = ACTIONS(2231),
    [anon_sym_get] = ACTIONS(2231),
    [anon_sym_default] = ACTIONS(2231),
    [anon_sym_PLUS_PLUS] = ACTIONS(2233),
    [anon_sym_SEMI] = ACTIONS(2233),
    [anon_sym_DQUOTE] = ACTIONS(2233),
    [anon_sym_TILDE] = ACTIONS(2233),
    [sym_super] = ACTIONS(2231),
    [anon_sym_LT] = ACTIONS(2233),
    [sym_false] = ACTIONS(2231),
    [sym_number] = ACTIONS(2233),
    [anon_sym_yield] = ACTIONS(2231),
    [anon_sym_set] = ACTIONS(2231),
    [anon_sym_async] = ACTIONS(2231),
    [anon_sym_var] = ACTIONS(2231),
    [anon_sym_const] = ACTIONS(2231),
    [anon_sym_RBRACE] = ACTIONS(2233),
    [anon_sym_DASH_DASH] = ACTIONS(2233),
    [anon_sym_try] = ACTIONS(2231),
    [anon_sym_for] = ACTIONS(2231),
    [anon_sym_typeof] = ACTIONS(2231),
    [anon_sym_await] = ACTIONS(2231),
    [sym_null] = ACTIONS(2231),
    [anon_sym_function] = ACTIONS(2231),
    [anon_sym_let] = ACTIONS(2231),
    [anon_sym_if] = ACTIONS(2231),
    [anon_sym_with] = ACTIONS(2231),
    [anon_sym_SQUOTE] = ACTIONS(2233),
    [anon_sym_SLASH] = ACTIONS(2231),
    [sym_undefined] = ACTIONS(2231),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(2233),
    [anon_sym_else] = ACTIONS(2231),
    [anon_sym_break] = ACTIONS(2231),
    [anon_sym_debugger] = ACTIONS(2231),
    [anon_sym_while] = ACTIONS(2231),
    [sym_identifier] = ACTIONS(2231),
    [anon_sym_BQUOTE] = ACTIONS(2233),
    [ts_builtin_sym_end] = ACTIONS(2233),
    [anon_sym_new] = ACTIONS(2231),
    [anon_sym_AT] = ACTIONS(2233),
    [anon_sym_PLUS] = ACTIONS(2231),
    [anon_sym_switch] = ACTIONS(2231),
    [anon_sym_export] = ACTIONS(2231),
    [anon_sym_continue] = ACTIONS(2231),
    [anon_sym_void] = ACTIONS(2231),
    [anon_sym_return] = ACTIONS(2231),
    [anon_sym_do] = ACTIONS(2231),
  },
  [647] = {
    [sym_arrow_function] = STATE(46),
    [sym__declaration] = STATE(672),
    [sym_subscript_expression] = STATE(42),
    [sym_ternary_expression] = STATE(46),
    [sym_if_statement] = STATE(672),
    [sym_template_string] = STATE(46),
    [sym_do_statement] = STATE(672),
    [sym_return_statement] = STATE(672),
    [sym_yield_expression] = STATE(46),
    [sym_jsx_fragment] = STATE(46),
    [sym_function_declaration] = STATE(672),
    [sym_import_statement] = STATE(672),
    [sym_expression_statement] = STATE(672),
    [sym_switch_statement] = STATE(672),
    [sym_update_expression] = STATE(46),
    [sym_try_statement] = STATE(672),
    [sym_meta_property] = STATE(46),
    [sym_throw_statement] = STATE(672),
    [sym_object] = STATE(43),
    [aux_sym_export_statement_repeat1] = STATE(44),
    [sym_generator_function] = STATE(46),
    [sym_await_expression] = STATE(46),
    [sym_sequence_expression] = STATE(45),
    [sym_for_of_statement] = STATE(672),
    [sym_continue_statement] = STATE(672),
    [sym_call_expression] = STATE(46),
    [sym_assignment_expression] = STATE(46),
    [sym_statement_block] = STATE(672),
    [sym_binary_expression] = STATE(46),
    [sym_while_statement] = STATE(672),
    [sym_debugger_statement] = STATE(672),
    [sym__expression] = STATE(46),
    [sym_jsx_element] = STATE(46),
    [sym_function] = STATE(47),
    [sym_new_expression] = STATE(46),
    [sym_augmented_assignment_expression] = STATE(46),
    [sym_variable_declaration] = STATE(672),
    [sym_unary_expression] = STATE(46),
    [sym_for_statement] = STATE(672),
    [sym_regex] = STATE(46),
    [sym_with_statement] = STATE(672),
    [sym_empty_statement] = STATE(672),
    [sym_class] = STATE(46),
    [sym_export_statement] = STATE(672),
    [sym_generator_function_declaration] = STATE(672),
    [sym_member_expression] = STATE(42),
    [sym_lexical_declaration] = STATE(672),
    [sym_for_in_statement] = STATE(672),
    [sym_string] = STATE(46),
    [sym_break_statement] = STATE(672),
    [sym_decorator] = STATE(50),
    [sym_labeled_statement] = STATE(672),
    [sym_formal_parameters] = STATE(51),
    [sym_parenthesized_expression] = STATE(46),
    [sym_array] = STATE(52),
    [sym_jsx_opening_element] = STATE(53),
    [sym_jsx_self_closing_element] = STATE(46),
    [sym_class_declaration] = STATE(672),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_delete] = ACTIONS(39),
    [anon_sym_throw] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [anon_sym_get] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(69),
    [sym_false] = ACTIONS(9),
    [sym_number] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_set] = ACTIONS(23),
    [anon_sym_async] = ACTIONS(81),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_try] = ACTIONS(15),
    [anon_sym_for] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(5),
    [sym_null] = ACTIONS(9),
    [anon_sym_function] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(35),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_SLASH] = ACTIONS(45),
    [sym_undefined] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(61),
    [sym_identifier] = ACTIONS(65),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_switch] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(13),
    [anon_sym_void] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_do] = ACTIONS(21),
  },
  [648] = {
    [sym_arrow_function] = STATE(46),
    [sym__declaration] = STATE(673),
    [sym_subscript_expression] = STATE(42),
    [sym_ternary_expression] = STATE(46),
    [sym_if_statement] = STATE(673),
    [sym_template_string] = STATE(46),
    [sym_do_statement] = STATE(673),
    [sym_return_statement] = STATE(673),
    [sym_yield_expression] = STATE(46),
    [sym_jsx_fragment] = STATE(46),
    [sym_function_declaration] = STATE(673),
    [sym_import_statement] = STATE(673),
    [sym_expression_statement] = STATE(673),
    [sym_switch_statement] = STATE(673),
    [sym_update_expression] = STATE(46),
    [sym_try_statement] = STATE(673),
    [sym_meta_property] = STATE(46),
    [sym_throw_statement] = STATE(673),
    [sym_object] = STATE(43),
    [aux_sym_export_statement_repeat1] = STATE(44),
    [sym_generator_function] = STATE(46),
    [sym_await_expression] = STATE(46),
    [sym_sequence_expression] = STATE(45),
    [sym_for_of_statement] = STATE(673),
    [sym_continue_statement] = STATE(673),
    [sym_call_expression] = STATE(46),
    [sym_assignment_expression] = STATE(46),
    [sym_statement_block] = STATE(673),
    [sym_binary_expression] = STATE(46),
    [sym_while_statement] = STATE(673),
    [sym_debugger_statement] = STATE(673),
    [sym__expression] = STATE(46),
    [sym_jsx_element] = STATE(46),
    [sym_function] = STATE(47),
    [sym_new_expression] = STATE(46),
    [sym_augmented_assignment_expression] = STATE(46),
    [sym_variable_declaration] = STATE(673),
    [sym_unary_expression] = STATE(46),
    [sym_for_statement] = STATE(673),
    [sym_regex] = STATE(46),
    [sym_with_statement] = STATE(673),
    [sym_empty_statement] = STATE(673),
    [sym_class] = STATE(46),
    [sym_export_statement] = STATE(673),
    [sym_generator_function_declaration] = STATE(673),
    [sym_member_expression] = STATE(42),
    [sym_lexical_declaration] = STATE(673),
    [sym_for_in_statement] = STATE(673),
    [sym_string] = STATE(46),
    [sym_break_statement] = STATE(673),
    [sym_decorator] = STATE(50),
    [sym_labeled_statement] = STATE(673),
    [sym_formal_parameters] = STATE(51),
    [sym_parenthesized_expression] = STATE(46),
    [sym_array] = STATE(52),
    [sym_jsx_opening_element] = STATE(53),
    [sym_jsx_self_closing_element] = STATE(46),
    [sym_class_declaration] = STATE(673),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_delete] = ACTIONS(39),
    [anon_sym_throw] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [anon_sym_get] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(69),
    [sym_false] = ACTIONS(9),
    [sym_number] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_set] = ACTIONS(23),
    [anon_sym_async] = ACTIONS(81),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_try] = ACTIONS(15),
    [anon_sym_for] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(5),
    [sym_null] = ACTIONS(9),
    [anon_sym_function] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(35),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_SLASH] = ACTIONS(45),
    [sym_undefined] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(61),
    [sym_identifier] = ACTIONS(65),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_switch] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(13),
    [anon_sym_void] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_do] = ACTIONS(21),
  },
  [649] = {
    [sym_arrow_function] = STATE(46),
    [sym__declaration] = STATE(674),
    [sym_subscript_expression] = STATE(42),
    [sym_ternary_expression] = STATE(46),
    [sym_if_statement] = STATE(674),
    [sym_template_string] = STATE(46),
    [sym_do_statement] = STATE(674),
    [sym_return_statement] = STATE(674),
    [sym_yield_expression] = STATE(46),
    [sym_jsx_fragment] = STATE(46),
    [sym_function_declaration] = STATE(674),
    [sym_import_statement] = STATE(674),
    [sym_expression_statement] = STATE(674),
    [sym_switch_statement] = STATE(674),
    [sym_update_expression] = STATE(46),
    [sym_try_statement] = STATE(674),
    [sym_meta_property] = STATE(46),
    [sym_throw_statement] = STATE(674),
    [sym_object] = STATE(43),
    [aux_sym_export_statement_repeat1] = STATE(44),
    [sym_generator_function] = STATE(46),
    [sym_await_expression] = STATE(46),
    [sym_sequence_expression] = STATE(45),
    [sym_for_of_statement] = STATE(674),
    [sym_continue_statement] = STATE(674),
    [sym_call_expression] = STATE(46),
    [sym_assignment_expression] = STATE(46),
    [sym_statement_block] = STATE(674),
    [sym_binary_expression] = STATE(46),
    [sym_while_statement] = STATE(674),
    [sym_debugger_statement] = STATE(674),
    [sym__expression] = STATE(46),
    [sym_jsx_element] = STATE(46),
    [sym_function] = STATE(47),
    [sym_new_expression] = STATE(46),
    [sym_augmented_assignment_expression] = STATE(46),
    [sym_variable_declaration] = STATE(674),
    [sym_unary_expression] = STATE(46),
    [sym_for_statement] = STATE(674),
    [sym_regex] = STATE(46),
    [sym_with_statement] = STATE(674),
    [sym_empty_statement] = STATE(674),
    [sym_class] = STATE(46),
    [sym_export_statement] = STATE(674),
    [sym_generator_function_declaration] = STATE(674),
    [sym_member_expression] = STATE(42),
    [sym_lexical_declaration] = STATE(674),
    [sym_for_in_statement] = STATE(674),
    [sym_string] = STATE(46),
    [sym_break_statement] = STATE(674),
    [sym_decorator] = STATE(50),
    [sym_labeled_statement] = STATE(674),
    [sym_formal_parameters] = STATE(51),
    [sym_parenthesized_expression] = STATE(46),
    [sym_array] = STATE(52),
    [sym_jsx_opening_element] = STATE(53),
    [sym_jsx_self_closing_element] = STATE(46),
    [sym_class_declaration] = STATE(674),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_delete] = ACTIONS(39),
    [anon_sym_throw] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [anon_sym_get] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(69),
    [sym_false] = ACTIONS(9),
    [sym_number] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_set] = ACTIONS(23),
    [anon_sym_async] = ACTIONS(81),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_try] = ACTIONS(15),
    [anon_sym_for] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(5),
    [sym_null] = ACTIONS(9),
    [anon_sym_function] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(35),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_SLASH] = ACTIONS(45),
    [sym_undefined] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(61),
    [sym_identifier] = ACTIONS(65),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_switch] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(13),
    [anon_sym_void] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_do] = ACTIONS(21),
  },
  [650] = {
    [sym_arrow_function] = STATE(46),
    [sym__declaration] = STATE(675),
    [sym_subscript_expression] = STATE(42),
    [sym_ternary_expression] = STATE(46),
    [sym_if_statement] = STATE(675),
    [sym_template_string] = STATE(46),
    [sym_do_statement] = STATE(675),
    [sym_return_statement] = STATE(675),
    [sym_yield_expression] = STATE(46),
    [sym_jsx_fragment] = STATE(46),
    [sym_function_declaration] = STATE(675),
    [sym_import_statement] = STATE(675),
    [sym_expression_statement] = STATE(675),
    [sym_switch_statement] = STATE(675),
    [sym_update_expression] = STATE(46),
    [sym_try_statement] = STATE(675),
    [sym_meta_property] = STATE(46),
    [sym_throw_statement] = STATE(675),
    [sym_object] = STATE(43),
    [aux_sym_export_statement_repeat1] = STATE(44),
    [sym_generator_function] = STATE(46),
    [sym_await_expression] = STATE(46),
    [sym_sequence_expression] = STATE(45),
    [sym_for_of_statement] = STATE(675),
    [sym_continue_statement] = STATE(675),
    [sym_call_expression] = STATE(46),
    [sym_assignment_expression] = STATE(46),
    [sym_statement_block] = STATE(675),
    [sym_binary_expression] = STATE(46),
    [sym_while_statement] = STATE(675),
    [sym_debugger_statement] = STATE(675),
    [sym__expression] = STATE(46),
    [sym_jsx_element] = STATE(46),
    [sym_function] = STATE(47),
    [sym_new_expression] = STATE(46),
    [sym_augmented_assignment_expression] = STATE(46),
    [sym_variable_declaration] = STATE(675),
    [sym_unary_expression] = STATE(46),
    [sym_for_statement] = STATE(675),
    [sym_regex] = STATE(46),
    [sym_with_statement] = STATE(675),
    [sym_empty_statement] = STATE(675),
    [sym_class] = STATE(46),
    [sym_export_statement] = STATE(675),
    [sym_generator_function_declaration] = STATE(675),
    [sym_member_expression] = STATE(42),
    [sym_lexical_declaration] = STATE(675),
    [sym_for_in_statement] = STATE(675),
    [sym_string] = STATE(46),
    [sym_break_statement] = STATE(675),
    [sym_decorator] = STATE(50),
    [sym_labeled_statement] = STATE(675),
    [sym_formal_parameters] = STATE(51),
    [sym_parenthesized_expression] = STATE(46),
    [sym_array] = STATE(52),
    [sym_jsx_opening_element] = STATE(53),
    [sym_jsx_self_closing_element] = STATE(46),
    [sym_class_declaration] = STATE(675),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_delete] = ACTIONS(39),
    [anon_sym_throw] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [anon_sym_get] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(69),
    [sym_false] = ACTIONS(9),
    [sym_number] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_set] = ACTIONS(23),
    [anon_sym_async] = ACTIONS(81),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_try] = ACTIONS(15),
    [anon_sym_for] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(5),
    [sym_null] = ACTIONS(9),
    [anon_sym_function] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(35),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_SLASH] = ACTIONS(45),
    [sym_undefined] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(61),
    [sym_identifier] = ACTIONS(65),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_switch] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(13),
    [anon_sym_void] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_do] = ACTIONS(21),
  },
  [651] = {
    [sym_arrow_function] = STATE(46),
    [sym__declaration] = STATE(676),
    [sym_subscript_expression] = STATE(42),
    [sym_ternary_expression] = STATE(46),
    [sym_if_statement] = STATE(676),
    [sym_template_string] = STATE(46),
    [sym_do_statement] = STATE(676),
    [sym_return_statement] = STATE(676),
    [sym_yield_expression] = STATE(46),
    [sym_jsx_fragment] = STATE(46),
    [sym_function_declaration] = STATE(676),
    [sym_import_statement] = STATE(676),
    [sym_expression_statement] = STATE(676),
    [sym_switch_statement] = STATE(676),
    [sym_update_expression] = STATE(46),
    [sym_try_statement] = STATE(676),
    [sym_meta_property] = STATE(46),
    [sym_throw_statement] = STATE(676),
    [sym_object] = STATE(43),
    [aux_sym_export_statement_repeat1] = STATE(44),
    [sym_generator_function] = STATE(46),
    [sym_await_expression] = STATE(46),
    [sym_sequence_expression] = STATE(45),
    [sym_for_of_statement] = STATE(676),
    [sym_continue_statement] = STATE(676),
    [sym_call_expression] = STATE(46),
    [sym_assignment_expression] = STATE(46),
    [sym_statement_block] = STATE(676),
    [sym_binary_expression] = STATE(46),
    [sym_while_statement] = STATE(676),
    [sym_debugger_statement] = STATE(676),
    [sym__expression] = STATE(46),
    [sym_jsx_element] = STATE(46),
    [sym_function] = STATE(47),
    [sym_new_expression] = STATE(46),
    [sym_augmented_assignment_expression] = STATE(46),
    [sym_variable_declaration] = STATE(676),
    [sym_unary_expression] = STATE(46),
    [sym_for_statement] = STATE(676),
    [sym_regex] = STATE(46),
    [sym_with_statement] = STATE(676),
    [sym_empty_statement] = STATE(676),
    [sym_class] = STATE(46),
    [sym_export_statement] = STATE(676),
    [sym_generator_function_declaration] = STATE(676),
    [sym_member_expression] = STATE(42),
    [sym_lexical_declaration] = STATE(676),
    [sym_for_in_statement] = STATE(676),
    [sym_string] = STATE(46),
    [sym_break_statement] = STATE(676),
    [sym_decorator] = STATE(50),
    [sym_labeled_statement] = STATE(676),
    [sym_formal_parameters] = STATE(51),
    [sym_parenthesized_expression] = STATE(46),
    [sym_array] = STATE(52),
    [sym_jsx_opening_element] = STATE(53),
    [sym_jsx_self_closing_element] = STATE(46),
    [sym_class_declaration] = STATE(676),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_delete] = ACTIONS(39),
    [anon_sym_throw] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [anon_sym_get] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(69),
    [sym_false] = ACTIONS(9),
    [sym_number] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_set] = ACTIONS(23),
    [anon_sym_async] = ACTIONS(81),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_try] = ACTIONS(15),
    [anon_sym_for] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(5),
    [sym_null] = ACTIONS(9),
    [anon_sym_function] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(35),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_SLASH] = ACTIONS(45),
    [sym_undefined] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(61),
    [sym_identifier] = ACTIONS(65),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_switch] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(13),
    [anon_sym_void] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_do] = ACTIONS(21),
  },
  [652] = {
    [sym_arrow_function] = STATE(677),
    [sym_call_expression] = STATE(677),
    [sym_subscript_expression] = STATE(701),
    [sym_assignment_expression] = STATE(677),
    [sym_ternary_expression] = STATE(677),
    [sym_binary_expression] = STATE(677),
    [sym_template_string] = STATE(677),
    [sym__expression] = STATE(677),
    [sym_yield_expression] = STATE(677),
    [sym_jsx_element] = STATE(677),
    [sym_jsx_fragment] = STATE(677),
    [sym_function] = STATE(703),
    [sym_new_expression] = STATE(677),
    [sym_augmented_assignment_expression] = STATE(677),
    [sym_unary_expression] = STATE(677),
    [sym_update_expression] = STATE(677),
    [sym_regex] = STATE(677),
    [sym_meta_property] = STATE(677),
    [sym_object] = STATE(702),
    [aux_sym_export_statement_repeat1] = STATE(1016),
    [sym_class] = STATE(677),
    [sym_generator_function] = STATE(677),
    [sym_await_expression] = STATE(677),
    [sym_member_expression] = STATE(701),
    [sym_string] = STATE(677),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(874),
    [sym_parenthesized_expression] = STATE(677),
    [sym_array] = STATE(704),
    [sym_jsx_opening_element] = STATE(875),
    [sym_jsx_self_closing_element] = STATE(677),
    [anon_sym_await] = ACTIONS(217),
    [sym_null] = ACTIONS(2235),
    [anon_sym_class] = ACTIONS(183),
    [anon_sym_static] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(219),
    [anon_sym_DASH] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_delete] = ACTIONS(191),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [anon_sym_LPAREN] = ACTIONS(193),
    [anon_sym_BANG] = ACTIONS(195),
    [sym_this] = ACTIONS(2235),
    [sym_undefined] = ACTIONS(2235),
    [sym_true] = ACTIONS(2235),
    [anon_sym_SLASH] = ACTIONS(223),
    [anon_sym_LBRACK] = ACTIONS(225),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(243),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_TILDE] = ACTIONS(195),
    [sym_super] = ACTIONS(207),
    [sym_identifier] = ACTIONS(253),
    [sym_false] = ACTIONS(2235),
    [anon_sym_LT] = ACTIONS(209),
    [sym_number] = ACTIONS(2237),
    [anon_sym_yield] = ACTIONS(213),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_set] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(251),
    [anon_sym_new] = ACTIONS(231),
    [anon_sym_PLUS] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_void] = ACTIONS(191),
    [anon_sym_typeof] = ACTIONS(191),
  },
  [653] = {
    [sym_arrow_function] = STATE(678),
    [sym_call_expression] = STATE(678),
    [sym_subscript_expression] = STATE(701),
    [sym_assignment_expression] = STATE(678),
    [sym_ternary_expression] = STATE(678),
    [sym_binary_expression] = STATE(678),
    [sym_template_string] = STATE(678),
    [sym__expression] = STATE(678),
    [sym_yield_expression] = STATE(678),
    [sym_jsx_element] = STATE(678),
    [sym_jsx_fragment] = STATE(678),
    [sym_function] = STATE(703),
    [sym_new_expression] = STATE(678),
    [sym_augmented_assignment_expression] = STATE(678),
    [sym_unary_expression] = STATE(678),
    [sym_update_expression] = STATE(678),
    [sym_regex] = STATE(678),
    [sym_meta_property] = STATE(678),
    [sym_object] = STATE(702),
    [aux_sym_export_statement_repeat1] = STATE(1016),
    [sym_class] = STATE(678),
    [sym_generator_function] = STATE(678),
    [sym_await_expression] = STATE(678),
    [sym_member_expression] = STATE(701),
    [sym_string] = STATE(678),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(874),
    [sym_parenthesized_expression] = STATE(678),
    [sym_array] = STATE(704),
    [sym_jsx_opening_element] = STATE(875),
    [sym_jsx_self_closing_element] = STATE(678),
    [anon_sym_await] = ACTIONS(217),
    [sym_null] = ACTIONS(2239),
    [anon_sym_class] = ACTIONS(183),
    [anon_sym_static] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(219),
    [anon_sym_DASH] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_delete] = ACTIONS(191),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [anon_sym_LPAREN] = ACTIONS(193),
    [anon_sym_BANG] = ACTIONS(195),
    [sym_this] = ACTIONS(2239),
    [sym_undefined] = ACTIONS(2239),
    [sym_true] = ACTIONS(2239),
    [anon_sym_SLASH] = ACTIONS(223),
    [anon_sym_LBRACK] = ACTIONS(225),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(243),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_TILDE] = ACTIONS(195),
    [sym_super] = ACTIONS(207),
    [sym_identifier] = ACTIONS(253),
    [sym_false] = ACTIONS(2239),
    [anon_sym_LT] = ACTIONS(209),
    [sym_number] = ACTIONS(2241),
    [anon_sym_yield] = ACTIONS(213),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_set] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(251),
    [anon_sym_new] = ACTIONS(231),
    [anon_sym_PLUS] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_void] = ACTIONS(191),
    [anon_sym_typeof] = ACTIONS(191),
  },
  [654] = {
    [sym_arrow_function] = STATE(679),
    [sym_call_expression] = STATE(679),
    [sym_subscript_expression] = STATE(701),
    [sym_assignment_expression] = STATE(679),
    [sym_ternary_expression] = STATE(679),
    [sym_binary_expression] = STATE(679),
    [sym_template_string] = STATE(679),
    [sym__expression] = STATE(679),
    [sym_yield_expression] = STATE(679),
    [sym_jsx_element] = STATE(679),
    [sym_jsx_fragment] = STATE(679),
    [sym_function] = STATE(703),
    [sym_new_expression] = STATE(679),
    [sym_augmented_assignment_expression] = STATE(679),
    [sym_unary_expression] = STATE(679),
    [sym_update_expression] = STATE(679),
    [sym_regex] = STATE(679),
    [sym_meta_property] = STATE(679),
    [sym_object] = STATE(702),
    [aux_sym_export_statement_repeat1] = STATE(1016),
    [sym_class] = STATE(679),
    [sym_generator_function] = STATE(679),
    [sym_await_expression] = STATE(679),
    [sym_member_expression] = STATE(701),
    [sym_string] = STATE(679),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(874),
    [sym_parenthesized_expression] = STATE(679),
    [sym_array] = STATE(704),
    [sym_jsx_opening_element] = STATE(875),
    [sym_jsx_self_closing_element] = STATE(679),
    [anon_sym_await] = ACTIONS(217),
    [sym_null] = ACTIONS(2243),
    [anon_sym_class] = ACTIONS(183),
    [anon_sym_static] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(219),
    [anon_sym_DASH] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_delete] = ACTIONS(191),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [anon_sym_LPAREN] = ACTIONS(193),
    [anon_sym_BANG] = ACTIONS(195),
    [sym_this] = ACTIONS(2243),
    [sym_undefined] = ACTIONS(2243),
    [sym_true] = ACTIONS(2243),
    [anon_sym_SLASH] = ACTIONS(223),
    [anon_sym_LBRACK] = ACTIONS(225),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(243),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_TILDE] = ACTIONS(195),
    [sym_super] = ACTIONS(207),
    [sym_identifier] = ACTIONS(253),
    [sym_false] = ACTIONS(2243),
    [anon_sym_LT] = ACTIONS(209),
    [sym_number] = ACTIONS(2245),
    [anon_sym_yield] = ACTIONS(213),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_set] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(251),
    [anon_sym_new] = ACTIONS(231),
    [anon_sym_PLUS] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_void] = ACTIONS(191),
    [anon_sym_typeof] = ACTIONS(191),
  },
  [655] = {
    [anon_sym_class] = ACTIONS(2247),
    [anon_sym_static] = ACTIONS(2247),
    [anon_sym_DASH] = ACTIONS(2247),
    [anon_sym_import] = ACTIONS(2247),
    [anon_sym_LBRACE] = ACTIONS(2249),
    [anon_sym_delete] = ACTIONS(2247),
    [anon_sym_throw] = ACTIONS(2247),
    [anon_sym_LPAREN] = ACTIONS(2249),
    [anon_sym_BANG] = ACTIONS(2249),
    [sym_this] = ACTIONS(2247),
    [sym_true] = ACTIONS(2247),
    [anon_sym_case] = ACTIONS(2247),
    [anon_sym_get] = ACTIONS(2247),
    [anon_sym_default] = ACTIONS(2247),
    [anon_sym_PLUS_PLUS] = ACTIONS(2249),
    [anon_sym_SEMI] = ACTIONS(2249),
    [anon_sym_DQUOTE] = ACTIONS(2249),
    [anon_sym_TILDE] = ACTIONS(2249),
    [sym_super] = ACTIONS(2247),
    [anon_sym_LT] = ACTIONS(2249),
    [sym_false] = ACTIONS(2247),
    [sym_number] = ACTIONS(2249),
    [anon_sym_yield] = ACTIONS(2247),
    [anon_sym_set] = ACTIONS(2247),
    [anon_sym_async] = ACTIONS(2247),
    [anon_sym_var] = ACTIONS(2247),
    [anon_sym_const] = ACTIONS(2247),
    [anon_sym_RBRACE] = ACTIONS(2249),
    [anon_sym_DASH_DASH] = ACTIONS(2249),
    [anon_sym_try] = ACTIONS(2247),
    [anon_sym_for] = ACTIONS(2247),
    [anon_sym_typeof] = ACTIONS(2247),
    [anon_sym_await] = ACTIONS(2247),
    [sym_null] = ACTIONS(2247),
    [anon_sym_function] = ACTIONS(2247),
    [anon_sym_let] = ACTIONS(2247),
    [anon_sym_if] = ACTIONS(2247),
    [anon_sym_with] = ACTIONS(2247),
    [anon_sym_SQUOTE] = ACTIONS(2249),
    [anon_sym_SLASH] = ACTIONS(2247),
    [sym_undefined] = ACTIONS(2247),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(2249),
    [anon_sym_else] = ACTIONS(2247),
    [anon_sym_break] = ACTIONS(2247),
    [anon_sym_debugger] = ACTIONS(2247),
    [anon_sym_while] = ACTIONS(2247),
    [sym_identifier] = ACTIONS(2247),
    [anon_sym_BQUOTE] = ACTIONS(2249),
    [ts_builtin_sym_end] = ACTIONS(2249),
    [anon_sym_new] = ACTIONS(2247),
    [anon_sym_AT] = ACTIONS(2249),
    [anon_sym_PLUS] = ACTIONS(2247),
    [anon_sym_switch] = ACTIONS(2247),
    [anon_sym_export] = ACTIONS(2247),
    [anon_sym_continue] = ACTIONS(2247),
    [anon_sym_void] = ACTIONS(2247),
    [anon_sym_return] = ACTIONS(2247),
    [anon_sym_do] = ACTIONS(2247),
  },
  [656] = {
    [anon_sym_COMMA] = ACTIONS(2251),
    [anon_sym_SEMI] = ACTIONS(2251),
    [anon_sym_DQUOTE] = ACTIONS(2251),
    [anon_sym_static] = ACTIONS(2253),
    [sym_identifier] = ACTIONS(2253),
    [anon_sym_STAR] = ACTIONS(2251),
    [sym_number] = ACTIONS(2251),
    [anon_sym_SQUOTE] = ACTIONS(2251),
    [anon_sym_set] = ACTIONS(2253),
    [anon_sym_async] = ACTIONS(2253),
    [anon_sym_AT] = ACTIONS(2251),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACE] = ACTIONS(2251),
    [anon_sym_LBRACK] = ACTIONS(2251),
    [anon_sym_get] = ACTIONS(2253),
  },
  [657] = {
    [sym_statement_block] = STATE(680),
    [anon_sym_LBRACE] = ACTIONS(354),
    [sym_comment] = ACTIONS(3),
  },
  [658] = {
    [sym_template_string] = STATE(719),
    [sym_arguments] = STATE(719),
    [anon_sym_instanceof] = ACTIONS(696),
    [anon_sym_GT] = ACTIONS(676),
    [anon_sym_COLON] = ACTIONS(2255),
    [anon_sym_DASH] = ACTIONS(698),
    [anon_sym_CARET] = ACTIONS(700),
    [anon_sym_STAR_STAR] = ACTIONS(702),
    [anon_sym_STAR] = ACTIONS(704),
    [anon_sym_AMP_AMP] = ACTIONS(706),
    [anon_sym_GT_GT] = ACTIONS(704),
    [anon_sym_AMP] = ACTIONS(708),
    [anon_sym_in] = ACTIONS(676),
    [anon_sym_LPAREN] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(696),
    [anon_sym_GT_EQ] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(704),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(710),
    [anon_sym_PIPE] = ACTIONS(712),
    [anon_sym_LT_EQ] = ACTIONS(696),
    [anon_sym_PIPE_PIPE] = ACTIONS(700),
    [anon_sym_GT_GT_GT] = ACTIONS(714),
    [anon_sym_PLUS_PLUS] = ACTIONS(716),
    [anon_sym_COMMA] = ACTIONS(718),
    [anon_sym_BANG_EQ] = ACTIONS(676),
    [anon_sym_LT] = ACTIONS(676),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_PLUS] = ACTIONS(698),
    [anon_sym_EQ_EQ] = ACTIONS(676),
    [anon_sym_PERCENT] = ACTIONS(714),
    [anon_sym_QMARK] = ACTIONS(722),
    [anon_sym_LT_LT] = ACTIONS(714),
    [anon_sym_DASH_DASH] = ACTIONS(716),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(696),
  },
  [659] = {
    [anon_sym_COLON] = ACTIONS(2255),
    [sym_comment] = ACTIONS(3),
  },
  [660] = {
    [sym_arrow_function] = STATE(46),
    [sym__declaration] = STATE(682),
    [sym_subscript_expression] = STATE(42),
    [sym_ternary_expression] = STATE(46),
    [sym_if_statement] = STATE(682),
    [sym_template_string] = STATE(46),
    [sym_do_statement] = STATE(682),
    [sym_return_statement] = STATE(682),
    [sym_yield_expression] = STATE(46),
    [sym_jsx_fragment] = STATE(46),
    [sym_function_declaration] = STATE(682),
    [sym_import_statement] = STATE(682),
    [sym_expression_statement] = STATE(682),
    [sym_switch_statement] = STATE(682),
    [sym_update_expression] = STATE(46),
    [sym_try_statement] = STATE(682),
    [sym_meta_property] = STATE(46),
    [sym_throw_statement] = STATE(682),
    [sym_object] = STATE(43),
    [aux_sym_export_statement_repeat1] = STATE(44),
    [sym_generator_function] = STATE(46),
    [sym_await_expression] = STATE(46),
    [sym_sequence_expression] = STATE(45),
    [sym_for_of_statement] = STATE(682),
    [sym_continue_statement] = STATE(682),
    [sym_call_expression] = STATE(46),
    [sym_assignment_expression] = STATE(46),
    [sym_statement_block] = STATE(682),
    [sym_binary_expression] = STATE(46),
    [sym_while_statement] = STATE(682),
    [sym_debugger_statement] = STATE(682),
    [sym__expression] = STATE(46),
    [sym_jsx_element] = STATE(46),
    [sym_function] = STATE(47),
    [sym_new_expression] = STATE(46),
    [sym_augmented_assignment_expression] = STATE(46),
    [sym_variable_declaration] = STATE(682),
    [sym_unary_expression] = STATE(46),
    [sym_for_statement] = STATE(682),
    [sym_regex] = STATE(46),
    [sym_with_statement] = STATE(682),
    [sym_empty_statement] = STATE(682),
    [aux_sym_program_repeat1] = STATE(682),
    [sym_class] = STATE(46),
    [sym_export_statement] = STATE(682),
    [sym_generator_function_declaration] = STATE(682),
    [sym_member_expression] = STATE(42),
    [sym_lexical_declaration] = STATE(682),
    [sym_for_in_statement] = STATE(682),
    [sym_string] = STATE(46),
    [sym_break_statement] = STATE(682),
    [sym_decorator] = STATE(50),
    [sym_labeled_statement] = STATE(682),
    [sym_formal_parameters] = STATE(51),
    [sym_parenthesized_expression] = STATE(46),
    [sym_array] = STATE(52),
    [sym_jsx_opening_element] = STATE(53),
    [sym_jsx_self_closing_element] = STATE(46),
    [sym_class_declaration] = STATE(682),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_delete] = ACTIONS(39),
    [anon_sym_throw] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [anon_sym_case] = ACTIONS(2257),
    [anon_sym_get] = ACTIONS(23),
    [anon_sym_default] = ACTIONS(2257),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(69),
    [sym_false] = ACTIONS(9),
    [sym_number] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_set] = ACTIONS(23),
    [anon_sym_async] = ACTIONS(81),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_RBRACE] = ACTIONS(2259),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_try] = ACTIONS(15),
    [anon_sym_for] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(5),
    [sym_null] = ACTIONS(9),
    [anon_sym_function] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(35),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_SLASH] = ACTIONS(45),
    [sym_undefined] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(61),
    [sym_identifier] = ACTIONS(65),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_switch] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(13),
    [anon_sym_void] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_do] = ACTIONS(21),
  },
  [661] = {
    [anon_sym_class] = ACTIONS(2261),
    [anon_sym_static] = ACTIONS(2261),
    [anon_sym_DASH] = ACTIONS(2261),
    [anon_sym_import] = ACTIONS(2261),
    [anon_sym_LBRACE] = ACTIONS(2263),
    [anon_sym_delete] = ACTIONS(2261),
    [anon_sym_throw] = ACTIONS(2261),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_BANG] = ACTIONS(2263),
    [sym_this] = ACTIONS(2261),
    [sym_true] = ACTIONS(2261),
    [anon_sym_case] = ACTIONS(2261),
    [anon_sym_get] = ACTIONS(2261),
    [anon_sym_default] = ACTIONS(2261),
    [anon_sym_PLUS_PLUS] = ACTIONS(2263),
    [anon_sym_SEMI] = ACTIONS(2263),
    [anon_sym_DQUOTE] = ACTIONS(2263),
    [anon_sym_TILDE] = ACTIONS(2263),
    [sym_super] = ACTIONS(2261),
    [anon_sym_LT] = ACTIONS(2263),
    [sym_false] = ACTIONS(2261),
    [sym_number] = ACTIONS(2263),
    [anon_sym_yield] = ACTIONS(2261),
    [anon_sym_set] = ACTIONS(2261),
    [anon_sym_async] = ACTIONS(2261),
    [anon_sym_var] = ACTIONS(2261),
    [anon_sym_const] = ACTIONS(2261),
    [anon_sym_RBRACE] = ACTIONS(2263),
    [anon_sym_DASH_DASH] = ACTIONS(2263),
    [anon_sym_try] = ACTIONS(2261),
    [anon_sym_for] = ACTIONS(2261),
    [anon_sym_typeof] = ACTIONS(2261),
    [anon_sym_await] = ACTIONS(2261),
    [sym_null] = ACTIONS(2261),
    [anon_sym_function] = ACTIONS(2261),
    [anon_sym_let] = ACTIONS(2261),
    [anon_sym_if] = ACTIONS(2261),
    [anon_sym_with] = ACTIONS(2261),
    [anon_sym_SQUOTE] = ACTIONS(2263),
    [anon_sym_SLASH] = ACTIONS(2261),
    [sym_undefined] = ACTIONS(2261),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(2263),
    [anon_sym_else] = ACTIONS(2261),
    [anon_sym_break] = ACTIONS(2261),
    [anon_sym_debugger] = ACTIONS(2261),
    [anon_sym_while] = ACTIONS(2261),
    [sym_identifier] = ACTIONS(2261),
    [anon_sym_BQUOTE] = ACTIONS(2263),
    [ts_builtin_sym_end] = ACTIONS(2263),
    [anon_sym_new] = ACTIONS(2261),
    [anon_sym_AT] = ACTIONS(2263),
    [anon_sym_PLUS] = ACTIONS(2261),
    [anon_sym_switch] = ACTIONS(2261),
    [anon_sym_export] = ACTIONS(2261),
    [anon_sym_continue] = ACTIONS(2261),
    [anon_sym_void] = ACTIONS(2261),
    [anon_sym_return] = ACTIONS(2261),
    [anon_sym_do] = ACTIONS(2261),
  },
  [662] = {
    [sym_switch_default] = STATE(662),
    [aux_sym_switch_body_repeat1] = STATE(662),
    [sym_switch_case] = STATE(662),
    [anon_sym_case] = ACTIONS(2265),
    [anon_sym_RBRACE] = ACTIONS(2268),
    [anon_sym_default] = ACTIONS(2270),
    [sym_comment] = ACTIONS(3),
  },
  [663] = {
    [anon_sym_class] = ACTIONS(2273),
    [anon_sym_static] = ACTIONS(2273),
    [anon_sym_DASH] = ACTIONS(2273),
    [anon_sym_import] = ACTIONS(2273),
    [anon_sym_LBRACE] = ACTIONS(2275),
    [anon_sym_delete] = ACTIONS(2273),
    [anon_sym_throw] = ACTIONS(2273),
    [anon_sym_LPAREN] = ACTIONS(2275),
    [anon_sym_BANG] = ACTIONS(2275),
    [sym_this] = ACTIONS(2273),
    [sym_true] = ACTIONS(2273),
    [anon_sym_case] = ACTIONS(2273),
    [anon_sym_get] = ACTIONS(2273),
    [anon_sym_default] = ACTIONS(2273),
    [anon_sym_PLUS_PLUS] = ACTIONS(2275),
    [anon_sym_SEMI] = ACTIONS(2275),
    [anon_sym_DQUOTE] = ACTIONS(2275),
    [anon_sym_TILDE] = ACTIONS(2275),
    [sym_super] = ACTIONS(2273),
    [anon_sym_LT] = ACTIONS(2275),
    [sym_false] = ACTIONS(2273),
    [sym_number] = ACTIONS(2275),
    [anon_sym_yield] = ACTIONS(2273),
    [anon_sym_set] = ACTIONS(2273),
    [anon_sym_async] = ACTIONS(2273),
    [anon_sym_var] = ACTIONS(2273),
    [anon_sym_const] = ACTIONS(2273),
    [anon_sym_RBRACE] = ACTIONS(2275),
    [anon_sym_DASH_DASH] = ACTIONS(2275),
    [anon_sym_try] = ACTIONS(2273),
    [anon_sym_for] = ACTIONS(2273),
    [anon_sym_typeof] = ACTIONS(2273),
    [anon_sym_await] = ACTIONS(2273),
    [sym_null] = ACTIONS(2273),
    [anon_sym_finally] = ACTIONS(2273),
    [anon_sym_function] = ACTIONS(2273),
    [anon_sym_let] = ACTIONS(2273),
    [anon_sym_if] = ACTIONS(2273),
    [anon_sym_with] = ACTIONS(2273),
    [anon_sym_SQUOTE] = ACTIONS(2275),
    [anon_sym_SLASH] = ACTIONS(2273),
    [sym_undefined] = ACTIONS(2273),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(2275),
    [anon_sym_else] = ACTIONS(2273),
    [anon_sym_break] = ACTIONS(2273),
    [anon_sym_debugger] = ACTIONS(2273),
    [anon_sym_while] = ACTIONS(2273),
    [sym_identifier] = ACTIONS(2273),
    [anon_sym_BQUOTE] = ACTIONS(2275),
    [ts_builtin_sym_end] = ACTIONS(2275),
    [anon_sym_new] = ACTIONS(2273),
    [anon_sym_AT] = ACTIONS(2275),
    [anon_sym_PLUS] = ACTIONS(2273),
    [anon_sym_switch] = ACTIONS(2273),
    [anon_sym_export] = ACTIONS(2273),
    [anon_sym_continue] = ACTIONS(2273),
    [anon_sym_void] = ACTIONS(2273),
    [anon_sym_return] = ACTIONS(2273),
    [anon_sym_do] = ACTIONS(2273),
  },
  [664] = {
    [sym_arrow_function] = STATE(46),
    [sym__declaration] = STATE(683),
    [sym_subscript_expression] = STATE(42),
    [sym_ternary_expression] = STATE(46),
    [sym_if_statement] = STATE(683),
    [sym_template_string] = STATE(46),
    [sym_do_statement] = STATE(683),
    [sym_return_statement] = STATE(683),
    [sym_yield_expression] = STATE(46),
    [sym_jsx_fragment] = STATE(46),
    [sym_function_declaration] = STATE(683),
    [sym_import_statement] = STATE(683),
    [sym_expression_statement] = STATE(683),
    [sym_switch_statement] = STATE(683),
    [sym_update_expression] = STATE(46),
    [sym_try_statement] = STATE(683),
    [sym_meta_property] = STATE(46),
    [sym_throw_statement] = STATE(683),
    [sym_object] = STATE(43),
    [aux_sym_export_statement_repeat1] = STATE(44),
    [sym_generator_function] = STATE(46),
    [sym_await_expression] = STATE(46),
    [sym_sequence_expression] = STATE(45),
    [sym_for_of_statement] = STATE(683),
    [sym_continue_statement] = STATE(683),
    [sym_call_expression] = STATE(46),
    [sym_assignment_expression] = STATE(46),
    [sym_statement_block] = STATE(683),
    [sym_binary_expression] = STATE(46),
    [sym_while_statement] = STATE(683),
    [sym_debugger_statement] = STATE(683),
    [sym__expression] = STATE(46),
    [sym_jsx_element] = STATE(46),
    [sym_function] = STATE(47),
    [sym_new_expression] = STATE(46),
    [sym_augmented_assignment_expression] = STATE(46),
    [sym_variable_declaration] = STATE(683),
    [sym_unary_expression] = STATE(46),
    [sym_for_statement] = STATE(683),
    [sym_regex] = STATE(46),
    [sym_with_statement] = STATE(683),
    [sym_empty_statement] = STATE(683),
    [sym_class] = STATE(46),
    [sym_export_statement] = STATE(683),
    [sym_generator_function_declaration] = STATE(683),
    [sym_member_expression] = STATE(42),
    [sym_lexical_declaration] = STATE(683),
    [sym_for_in_statement] = STATE(683),
    [sym_string] = STATE(46),
    [sym_break_statement] = STATE(683),
    [sym_decorator] = STATE(50),
    [sym_labeled_statement] = STATE(683),
    [sym_formal_parameters] = STATE(51),
    [sym_parenthesized_expression] = STATE(46),
    [sym_array] = STATE(52),
    [sym_jsx_opening_element] = STATE(53),
    [sym_jsx_self_closing_element] = STATE(46),
    [sym_class_declaration] = STATE(683),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_delete] = ACTIONS(39),
    [anon_sym_throw] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [anon_sym_get] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(69),
    [sym_false] = ACTIONS(9),
    [sym_number] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_set] = ACTIONS(23),
    [anon_sym_async] = ACTIONS(81),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_try] = ACTIONS(15),
    [anon_sym_for] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(5),
    [sym_null] = ACTIONS(9),
    [anon_sym_function] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(35),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_SLASH] = ACTIONS(45),
    [sym_undefined] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(61),
    [sym_identifier] = ACTIONS(65),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_switch] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(13),
    [anon_sym_void] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_do] = ACTIONS(21),
  },
  [665] = {
    [sym_arrow_function] = STATE(46),
    [sym__declaration] = STATE(684),
    [sym_subscript_expression] = STATE(42),
    [sym_ternary_expression] = STATE(46),
    [sym_if_statement] = STATE(684),
    [sym_template_string] = STATE(46),
    [sym_do_statement] = STATE(684),
    [sym_return_statement] = STATE(684),
    [sym_yield_expression] = STATE(46),
    [sym_jsx_fragment] = STATE(46),
    [sym_function_declaration] = STATE(684),
    [sym_import_statement] = STATE(684),
    [sym_expression_statement] = STATE(684),
    [sym_switch_statement] = STATE(684),
    [sym_update_expression] = STATE(46),
    [sym_try_statement] = STATE(684),
    [sym_meta_property] = STATE(46),
    [sym_throw_statement] = STATE(684),
    [sym_object] = STATE(43),
    [aux_sym_export_statement_repeat1] = STATE(44),
    [sym_generator_function] = STATE(46),
    [sym_await_expression] = STATE(46),
    [sym_sequence_expression] = STATE(45),
    [sym_for_of_statement] = STATE(684),
    [sym_continue_statement] = STATE(684),
    [sym_call_expression] = STATE(46),
    [sym_assignment_expression] = STATE(46),
    [sym_statement_block] = STATE(684),
    [sym_binary_expression] = STATE(46),
    [sym_while_statement] = STATE(684),
    [sym_debugger_statement] = STATE(684),
    [sym__expression] = STATE(46),
    [sym_jsx_element] = STATE(46),
    [sym_function] = STATE(47),
    [sym_new_expression] = STATE(46),
    [sym_augmented_assignment_expression] = STATE(46),
    [sym_variable_declaration] = STATE(684),
    [sym_unary_expression] = STATE(46),
    [sym_for_statement] = STATE(684),
    [sym_regex] = STATE(46),
    [sym_with_statement] = STATE(684),
    [sym_empty_statement] = STATE(684),
    [sym_class] = STATE(46),
    [sym_export_statement] = STATE(684),
    [sym_generator_function_declaration] = STATE(684),
    [sym_member_expression] = STATE(42),
    [sym_lexical_declaration] = STATE(684),
    [sym_for_in_statement] = STATE(684),
    [sym_string] = STATE(46),
    [sym_break_statement] = STATE(684),
    [sym_decorator] = STATE(50),
    [sym_labeled_statement] = STATE(684),
    [sym_formal_parameters] = STATE(51),
    [sym_parenthesized_expression] = STATE(46),
    [sym_array] = STATE(52),
    [sym_jsx_opening_element] = STATE(53),
    [sym_jsx_self_closing_element] = STATE(46),
    [sym_class_declaration] = STATE(684),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_delete] = ACTIONS(39),
    [anon_sym_throw] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [anon_sym_get] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(69),
    [sym_false] = ACTIONS(9),
    [sym_number] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_set] = ACTIONS(23),
    [anon_sym_async] = ACTIONS(81),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_try] = ACTIONS(15),
    [anon_sym_for] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(5),
    [sym_null] = ACTIONS(9),
    [anon_sym_function] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(35),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_SLASH] = ACTIONS(45),
    [sym_undefined] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(61),
    [sym_identifier] = ACTIONS(65),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_switch] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(13),
    [anon_sym_void] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_do] = ACTIONS(21),
  },
  [666] = {
    [sym_arrow_function] = STATE(46),
    [sym__declaration] = STATE(685),
    [sym_subscript_expression] = STATE(42),
    [sym_ternary_expression] = STATE(46),
    [sym_if_statement] = STATE(685),
    [sym_template_string] = STATE(46),
    [sym_do_statement] = STATE(685),
    [sym_return_statement] = STATE(685),
    [sym_yield_expression] = STATE(46),
    [sym_jsx_fragment] = STATE(46),
    [sym_function_declaration] = STATE(685),
    [sym_import_statement] = STATE(685),
    [sym_expression_statement] = STATE(685),
    [sym_switch_statement] = STATE(685),
    [sym_update_expression] = STATE(46),
    [sym_try_statement] = STATE(685),
    [sym_meta_property] = STATE(46),
    [sym_throw_statement] = STATE(685),
    [sym_object] = STATE(43),
    [aux_sym_export_statement_repeat1] = STATE(44),
    [sym_generator_function] = STATE(46),
    [sym_await_expression] = STATE(46),
    [sym_sequence_expression] = STATE(45),
    [sym_for_of_statement] = STATE(685),
    [sym_continue_statement] = STATE(685),
    [sym_call_expression] = STATE(46),
    [sym_assignment_expression] = STATE(46),
    [sym_statement_block] = STATE(685),
    [sym_binary_expression] = STATE(46),
    [sym_while_statement] = STATE(685),
    [sym_debugger_statement] = STATE(685),
    [sym__expression] = STATE(46),
    [sym_jsx_element] = STATE(46),
    [sym_function] = STATE(47),
    [sym_new_expression] = STATE(46),
    [sym_augmented_assignment_expression] = STATE(46),
    [sym_variable_declaration] = STATE(685),
    [sym_unary_expression] = STATE(46),
    [sym_for_statement] = STATE(685),
    [sym_regex] = STATE(46),
    [sym_with_statement] = STATE(685),
    [sym_empty_statement] = STATE(685),
    [sym_class] = STATE(46),
    [sym_export_statement] = STATE(685),
    [sym_generator_function_declaration] = STATE(685),
    [sym_member_expression] = STATE(42),
    [sym_lexical_declaration] = STATE(685),
    [sym_for_in_statement] = STATE(685),
    [sym_string] = STATE(46),
    [sym_break_statement] = STATE(685),
    [sym_decorator] = STATE(50),
    [sym_labeled_statement] = STATE(685),
    [sym_formal_parameters] = STATE(51),
    [sym_parenthesized_expression] = STATE(46),
    [sym_array] = STATE(52),
    [sym_jsx_opening_element] = STATE(53),
    [sym_jsx_self_closing_element] = STATE(46),
    [sym_class_declaration] = STATE(685),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_delete] = ACTIONS(39),
    [anon_sym_throw] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [anon_sym_get] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(69),
    [sym_false] = ACTIONS(9),
    [sym_number] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_set] = ACTIONS(23),
    [anon_sym_async] = ACTIONS(81),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_try] = ACTIONS(15),
    [anon_sym_for] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(5),
    [sym_null] = ACTIONS(9),
    [anon_sym_function] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(35),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_SLASH] = ACTIONS(45),
    [sym_undefined] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(61),
    [sym_identifier] = ACTIONS(65),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_switch] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(13),
    [anon_sym_void] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_do] = ACTIONS(21),
  },
  [667] = {
    [sym_arrow_function] = STATE(46),
    [sym__declaration] = STATE(686),
    [sym_subscript_expression] = STATE(42),
    [sym_ternary_expression] = STATE(46),
    [sym_if_statement] = STATE(686),
    [sym_template_string] = STATE(46),
    [sym_do_statement] = STATE(686),
    [sym_return_statement] = STATE(686),
    [sym_yield_expression] = STATE(46),
    [sym_jsx_fragment] = STATE(46),
    [sym_function_declaration] = STATE(686),
    [sym_import_statement] = STATE(686),
    [sym_expression_statement] = STATE(686),
    [sym_switch_statement] = STATE(686),
    [sym_update_expression] = STATE(46),
    [sym_try_statement] = STATE(686),
    [sym_meta_property] = STATE(46),
    [sym_throw_statement] = STATE(686),
    [sym_object] = STATE(43),
    [aux_sym_export_statement_repeat1] = STATE(44),
    [sym_generator_function] = STATE(46),
    [sym_await_expression] = STATE(46),
    [sym_sequence_expression] = STATE(45),
    [sym_for_of_statement] = STATE(686),
    [sym_continue_statement] = STATE(686),
    [sym_call_expression] = STATE(46),
    [sym_assignment_expression] = STATE(46),
    [sym_statement_block] = STATE(686),
    [sym_binary_expression] = STATE(46),
    [sym_while_statement] = STATE(686),
    [sym_debugger_statement] = STATE(686),
    [sym__expression] = STATE(46),
    [sym_jsx_element] = STATE(46),
    [sym_function] = STATE(47),
    [sym_new_expression] = STATE(46),
    [sym_augmented_assignment_expression] = STATE(46),
    [sym_variable_declaration] = STATE(686),
    [sym_unary_expression] = STATE(46),
    [sym_for_statement] = STATE(686),
    [sym_regex] = STATE(46),
    [sym_with_statement] = STATE(686),
    [sym_empty_statement] = STATE(686),
    [sym_class] = STATE(46),
    [sym_export_statement] = STATE(686),
    [sym_generator_function_declaration] = STATE(686),
    [sym_member_expression] = STATE(42),
    [sym_lexical_declaration] = STATE(686),
    [sym_for_in_statement] = STATE(686),
    [sym_string] = STATE(46),
    [sym_break_statement] = STATE(686),
    [sym_decorator] = STATE(50),
    [sym_labeled_statement] = STATE(686),
    [sym_formal_parameters] = STATE(51),
    [sym_parenthesized_expression] = STATE(46),
    [sym_array] = STATE(52),
    [sym_jsx_opening_element] = STATE(53),
    [sym_jsx_self_closing_element] = STATE(46),
    [sym_class_declaration] = STATE(686),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_delete] = ACTIONS(39),
    [anon_sym_throw] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [anon_sym_get] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(69),
    [sym_false] = ACTIONS(9),
    [sym_number] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_set] = ACTIONS(23),
    [anon_sym_async] = ACTIONS(81),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_try] = ACTIONS(15),
    [anon_sym_for] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(5),
    [sym_null] = ACTIONS(9),
    [anon_sym_function] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(35),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_SLASH] = ACTIONS(45),
    [sym_undefined] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(61),
    [sym_identifier] = ACTIONS(65),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_switch] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(13),
    [anon_sym_void] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_do] = ACTIONS(21),
  },
  [668] = {
    [sym_arrow_function] = STATE(46),
    [sym__declaration] = STATE(687),
    [sym_subscript_expression] = STATE(42),
    [sym_ternary_expression] = STATE(46),
    [sym_if_statement] = STATE(687),
    [sym_template_string] = STATE(46),
    [sym_do_statement] = STATE(687),
    [sym_return_statement] = STATE(687),
    [sym_yield_expression] = STATE(46),
    [sym_jsx_fragment] = STATE(46),
    [sym_function_declaration] = STATE(687),
    [sym_import_statement] = STATE(687),
    [sym_expression_statement] = STATE(687),
    [sym_switch_statement] = STATE(687),
    [sym_update_expression] = STATE(46),
    [sym_try_statement] = STATE(687),
    [sym_meta_property] = STATE(46),
    [sym_throw_statement] = STATE(687),
    [sym_object] = STATE(43),
    [aux_sym_export_statement_repeat1] = STATE(44),
    [sym_generator_function] = STATE(46),
    [sym_await_expression] = STATE(46),
    [sym_sequence_expression] = STATE(45),
    [sym_for_of_statement] = STATE(687),
    [sym_continue_statement] = STATE(687),
    [sym_call_expression] = STATE(46),
    [sym_assignment_expression] = STATE(46),
    [sym_statement_block] = STATE(687),
    [sym_binary_expression] = STATE(46),
    [sym_while_statement] = STATE(687),
    [sym_debugger_statement] = STATE(687),
    [sym__expression] = STATE(46),
    [sym_jsx_element] = STATE(46),
    [sym_function] = STATE(47),
    [sym_new_expression] = STATE(46),
    [sym_augmented_assignment_expression] = STATE(46),
    [sym_variable_declaration] = STATE(687),
    [sym_unary_expression] = STATE(46),
    [sym_for_statement] = STATE(687),
    [sym_regex] = STATE(46),
    [sym_with_statement] = STATE(687),
    [sym_empty_statement] = STATE(687),
    [sym_class] = STATE(46),
    [sym_export_statement] = STATE(687),
    [sym_generator_function_declaration] = STATE(687),
    [sym_member_expression] = STATE(42),
    [sym_lexical_declaration] = STATE(687),
    [sym_for_in_statement] = STATE(687),
    [sym_string] = STATE(46),
    [sym_break_statement] = STATE(687),
    [sym_decorator] = STATE(50),
    [sym_labeled_statement] = STATE(687),
    [sym_formal_parameters] = STATE(51),
    [sym_parenthesized_expression] = STATE(46),
    [sym_array] = STATE(52),
    [sym_jsx_opening_element] = STATE(53),
    [sym_jsx_self_closing_element] = STATE(46),
    [sym_class_declaration] = STATE(687),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_delete] = ACTIONS(39),
    [anon_sym_throw] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [anon_sym_get] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(69),
    [sym_false] = ACTIONS(9),
    [sym_number] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_set] = ACTIONS(23),
    [anon_sym_async] = ACTIONS(81),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_try] = ACTIONS(15),
    [anon_sym_for] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(5),
    [sym_null] = ACTIONS(9),
    [anon_sym_function] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(35),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_SLASH] = ACTIONS(45),
    [sym_undefined] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(61),
    [sym_identifier] = ACTIONS(65),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_switch] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(13),
    [anon_sym_void] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_do] = ACTIONS(21),
  },
  [669] = {
    [sym_arrow_function] = STATE(46),
    [sym__declaration] = STATE(688),
    [sym_subscript_expression] = STATE(42),
    [sym_ternary_expression] = STATE(46),
    [sym_if_statement] = STATE(688),
    [sym_template_string] = STATE(46),
    [sym_do_statement] = STATE(688),
    [sym_return_statement] = STATE(688),
    [sym_yield_expression] = STATE(46),
    [sym_jsx_fragment] = STATE(46),
    [sym_function_declaration] = STATE(688),
    [sym_import_statement] = STATE(688),
    [sym_expression_statement] = STATE(688),
    [sym_switch_statement] = STATE(688),
    [sym_update_expression] = STATE(46),
    [sym_try_statement] = STATE(688),
    [sym_meta_property] = STATE(46),
    [sym_throw_statement] = STATE(688),
    [sym_object] = STATE(43),
    [aux_sym_export_statement_repeat1] = STATE(44),
    [sym_generator_function] = STATE(46),
    [sym_await_expression] = STATE(46),
    [sym_sequence_expression] = STATE(45),
    [sym_for_of_statement] = STATE(688),
    [sym_continue_statement] = STATE(688),
    [sym_call_expression] = STATE(46),
    [sym_assignment_expression] = STATE(46),
    [sym_statement_block] = STATE(688),
    [sym_binary_expression] = STATE(46),
    [sym_while_statement] = STATE(688),
    [sym_debugger_statement] = STATE(688),
    [sym__expression] = STATE(46),
    [sym_jsx_element] = STATE(46),
    [sym_function] = STATE(47),
    [sym_new_expression] = STATE(46),
    [sym_augmented_assignment_expression] = STATE(46),
    [sym_variable_declaration] = STATE(688),
    [sym_unary_expression] = STATE(46),
    [sym_for_statement] = STATE(688),
    [sym_regex] = STATE(46),
    [sym_with_statement] = STATE(688),
    [sym_empty_statement] = STATE(688),
    [sym_class] = STATE(46),
    [sym_export_statement] = STATE(688),
    [sym_generator_function_declaration] = STATE(688),
    [sym_member_expression] = STATE(42),
    [sym_lexical_declaration] = STATE(688),
    [sym_for_in_statement] = STATE(688),
    [sym_string] = STATE(46),
    [sym_break_statement] = STATE(688),
    [sym_decorator] = STATE(50),
    [sym_labeled_statement] = STATE(688),
    [sym_formal_parameters] = STATE(51),
    [sym_parenthesized_expression] = STATE(46),
    [sym_array] = STATE(52),
    [sym_jsx_opening_element] = STATE(53),
    [sym_jsx_self_closing_element] = STATE(46),
    [sym_class_declaration] = STATE(688),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_delete] = ACTIONS(39),
    [anon_sym_throw] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [anon_sym_get] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(69),
    [sym_false] = ACTIONS(9),
    [sym_number] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_set] = ACTIONS(23),
    [anon_sym_async] = ACTIONS(81),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_try] = ACTIONS(15),
    [anon_sym_for] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(5),
    [sym_null] = ACTIONS(9),
    [anon_sym_function] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(35),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_SLASH] = ACTIONS(45),
    [sym_undefined] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(61),
    [sym_identifier] = ACTIONS(65),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_switch] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(13),
    [anon_sym_void] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_do] = ACTIONS(21),
  },
  [670] = {
    [anon_sym_class] = ACTIONS(2277),
    [anon_sym_static] = ACTIONS(2277),
    [anon_sym_DASH] = ACTIONS(2277),
    [anon_sym_import] = ACTIONS(2277),
    [anon_sym_LBRACE] = ACTIONS(2279),
    [anon_sym_delete] = ACTIONS(2277),
    [anon_sym_throw] = ACTIONS(2277),
    [anon_sym_LPAREN] = ACTIONS(2279),
    [anon_sym_BANG] = ACTIONS(2279),
    [sym_this] = ACTIONS(2277),
    [sym_true] = ACTIONS(2277),
    [anon_sym_case] = ACTIONS(2277),
    [anon_sym_get] = ACTIONS(2277),
    [anon_sym_default] = ACTIONS(2277),
    [anon_sym_PLUS_PLUS] = ACTIONS(2279),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_DQUOTE] = ACTIONS(2279),
    [anon_sym_TILDE] = ACTIONS(2279),
    [sym_super] = ACTIONS(2277),
    [anon_sym_LT] = ACTIONS(2279),
    [sym_false] = ACTIONS(2277),
    [sym_number] = ACTIONS(2279),
    [anon_sym_yield] = ACTIONS(2277),
    [anon_sym_set] = ACTIONS(2277),
    [anon_sym_async] = ACTIONS(2277),
    [anon_sym_var] = ACTIONS(2277),
    [anon_sym_const] = ACTIONS(2277),
    [anon_sym_RBRACE] = ACTIONS(2279),
    [anon_sym_DASH_DASH] = ACTIONS(2279),
    [anon_sym_try] = ACTIONS(2277),
    [anon_sym_for] = ACTIONS(2277),
    [anon_sym_typeof] = ACTIONS(2277),
    [anon_sym_await] = ACTIONS(2277),
    [sym_null] = ACTIONS(2277),
    [anon_sym_function] = ACTIONS(2277),
    [anon_sym_let] = ACTIONS(2277),
    [anon_sym_if] = ACTIONS(2277),
    [anon_sym_with] = ACTIONS(2277),
    [anon_sym_SQUOTE] = ACTIONS(2279),
    [anon_sym_SLASH] = ACTIONS(2277),
    [sym_undefined] = ACTIONS(2277),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(2279),
    [anon_sym_else] = ACTIONS(2277),
    [anon_sym_break] = ACTIONS(2277),
    [anon_sym_debugger] = ACTIONS(2277),
    [anon_sym_while] = ACTIONS(2277),
    [sym_identifier] = ACTIONS(2277),
    [anon_sym_BQUOTE] = ACTIONS(2279),
    [ts_builtin_sym_end] = ACTIONS(2279),
    [anon_sym_new] = ACTIONS(2277),
    [anon_sym_AT] = ACTIONS(2279),
    [anon_sym_PLUS] = ACTIONS(2277),
    [anon_sym_switch] = ACTIONS(2277),
    [anon_sym_export] = ACTIONS(2277),
    [anon_sym_continue] = ACTIONS(2277),
    [anon_sym_void] = ACTIONS(2277),
    [anon_sym_return] = ACTIONS(2277),
    [anon_sym_do] = ACTIONS(2277),
  },
  [671] = {
    [anon_sym_class] = ACTIONS(2281),
    [anon_sym_static] = ACTIONS(2281),
    [anon_sym_DASH] = ACTIONS(2281),
    [anon_sym_import] = ACTIONS(2281),
    [anon_sym_LBRACE] = ACTIONS(2283),
    [anon_sym_delete] = ACTIONS(2281),
    [anon_sym_throw] = ACTIONS(2281),
    [anon_sym_LPAREN] = ACTIONS(2283),
    [anon_sym_BANG] = ACTIONS(2283),
    [sym_this] = ACTIONS(2281),
    [sym_true] = ACTIONS(2281),
    [anon_sym_case] = ACTIONS(2281),
    [anon_sym_get] = ACTIONS(2281),
    [anon_sym_default] = ACTIONS(2281),
    [anon_sym_PLUS_PLUS] = ACTIONS(2283),
    [anon_sym_SEMI] = ACTIONS(2283),
    [anon_sym_DQUOTE] = ACTIONS(2283),
    [anon_sym_TILDE] = ACTIONS(2283),
    [sym_super] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(2283),
    [sym_false] = ACTIONS(2281),
    [sym_number] = ACTIONS(2283),
    [anon_sym_yield] = ACTIONS(2281),
    [anon_sym_set] = ACTIONS(2281),
    [anon_sym_async] = ACTIONS(2281),
    [anon_sym_var] = ACTIONS(2281),
    [anon_sym_const] = ACTIONS(2281),
    [anon_sym_RBRACE] = ACTIONS(2283),
    [anon_sym_DASH_DASH] = ACTIONS(2283),
    [anon_sym_try] = ACTIONS(2281),
    [anon_sym_for] = ACTIONS(2281),
    [anon_sym_typeof] = ACTIONS(2281),
    [anon_sym_await] = ACTIONS(2281),
    [sym_null] = ACTIONS(2281),
    [anon_sym_function] = ACTIONS(2281),
    [anon_sym_let] = ACTIONS(2281),
    [anon_sym_if] = ACTIONS(2281),
    [anon_sym_with] = ACTIONS(2281),
    [anon_sym_SQUOTE] = ACTIONS(2283),
    [anon_sym_SLASH] = ACTIONS(2281),
    [sym_undefined] = ACTIONS(2281),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(2283),
    [anon_sym_else] = ACTIONS(2281),
    [anon_sym_break] = ACTIONS(2281),
    [anon_sym_debugger] = ACTIONS(2281),
    [anon_sym_while] = ACTIONS(2281),
    [sym_identifier] = ACTIONS(2281),
    [anon_sym_BQUOTE] = ACTIONS(2283),
    [ts_builtin_sym_end] = ACTIONS(2283),
    [anon_sym_new] = ACTIONS(2281),
    [anon_sym_AT] = ACTIONS(2283),
    [anon_sym_PLUS] = ACTIONS(2281),
    [anon_sym_switch] = ACTIONS(2281),
    [anon_sym_export] = ACTIONS(2281),
    [anon_sym_continue] = ACTIONS(2281),
    [anon_sym_void] = ACTIONS(2281),
    [anon_sym_return] = ACTIONS(2281),
    [anon_sym_do] = ACTIONS(2281),
  },
  [672] = {
    [anon_sym_class] = ACTIONS(2285),
    [anon_sym_static] = ACTIONS(2285),
    [anon_sym_DASH] = ACTIONS(2285),
    [anon_sym_import] = ACTIONS(2285),
    [anon_sym_LBRACE] = ACTIONS(2287),
    [anon_sym_delete] = ACTIONS(2285),
    [anon_sym_throw] = ACTIONS(2285),
    [anon_sym_LPAREN] = ACTIONS(2287),
    [anon_sym_BANG] = ACTIONS(2287),
    [sym_this] = ACTIONS(2285),
    [sym_true] = ACTIONS(2285),
    [anon_sym_case] = ACTIONS(2285),
    [anon_sym_get] = ACTIONS(2285),
    [anon_sym_default] = ACTIONS(2285),
    [anon_sym_PLUS_PLUS] = ACTIONS(2287),
    [anon_sym_SEMI] = ACTIONS(2287),
    [anon_sym_DQUOTE] = ACTIONS(2287),
    [anon_sym_TILDE] = ACTIONS(2287),
    [sym_super] = ACTIONS(2285),
    [anon_sym_LT] = ACTIONS(2287),
    [sym_false] = ACTIONS(2285),
    [sym_number] = ACTIONS(2287),
    [anon_sym_yield] = ACTIONS(2285),
    [anon_sym_set] = ACTIONS(2285),
    [anon_sym_async] = ACTIONS(2285),
    [anon_sym_var] = ACTIONS(2285),
    [anon_sym_const] = ACTIONS(2285),
    [anon_sym_RBRACE] = ACTIONS(2287),
    [anon_sym_DASH_DASH] = ACTIONS(2287),
    [anon_sym_try] = ACTIONS(2285),
    [anon_sym_for] = ACTIONS(2285),
    [anon_sym_typeof] = ACTIONS(2285),
    [anon_sym_await] = ACTIONS(2285),
    [sym_null] = ACTIONS(2285),
    [anon_sym_function] = ACTIONS(2285),
    [anon_sym_let] = ACTIONS(2285),
    [anon_sym_if] = ACTIONS(2285),
    [anon_sym_with] = ACTIONS(2285),
    [anon_sym_SQUOTE] = ACTIONS(2287),
    [anon_sym_SLASH] = ACTIONS(2285),
    [sym_undefined] = ACTIONS(2285),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(2287),
    [anon_sym_else] = ACTIONS(2285),
    [anon_sym_break] = ACTIONS(2285),
    [anon_sym_debugger] = ACTIONS(2285),
    [anon_sym_while] = ACTIONS(2285),
    [sym_identifier] = ACTIONS(2285),
    [anon_sym_BQUOTE] = ACTIONS(2287),
    [ts_builtin_sym_end] = ACTIONS(2287),
    [anon_sym_new] = ACTIONS(2285),
    [anon_sym_AT] = ACTIONS(2287),
    [anon_sym_PLUS] = ACTIONS(2285),
    [anon_sym_switch] = ACTIONS(2285),
    [anon_sym_export] = ACTIONS(2285),
    [anon_sym_continue] = ACTIONS(2285),
    [anon_sym_void] = ACTIONS(2285),
    [anon_sym_return] = ACTIONS(2285),
    [anon_sym_do] = ACTIONS(2285),
  },
  [673] = {
    [anon_sym_class] = ACTIONS(2289),
    [anon_sym_static] = ACTIONS(2289),
    [anon_sym_DASH] = ACTIONS(2289),
    [anon_sym_import] = ACTIONS(2289),
    [anon_sym_LBRACE] = ACTIONS(2291),
    [anon_sym_delete] = ACTIONS(2289),
    [anon_sym_throw] = ACTIONS(2289),
    [anon_sym_LPAREN] = ACTIONS(2291),
    [anon_sym_BANG] = ACTIONS(2291),
    [sym_this] = ACTIONS(2289),
    [sym_true] = ACTIONS(2289),
    [anon_sym_case] = ACTIONS(2289),
    [anon_sym_get] = ACTIONS(2289),
    [anon_sym_default] = ACTIONS(2289),
    [anon_sym_PLUS_PLUS] = ACTIONS(2291),
    [anon_sym_SEMI] = ACTIONS(2291),
    [anon_sym_DQUOTE] = ACTIONS(2291),
    [anon_sym_TILDE] = ACTIONS(2291),
    [sym_super] = ACTIONS(2289),
    [anon_sym_LT] = ACTIONS(2291),
    [sym_false] = ACTIONS(2289),
    [sym_number] = ACTIONS(2291),
    [anon_sym_yield] = ACTIONS(2289),
    [anon_sym_set] = ACTIONS(2289),
    [anon_sym_async] = ACTIONS(2289),
    [anon_sym_var] = ACTIONS(2289),
    [anon_sym_const] = ACTIONS(2289),
    [anon_sym_RBRACE] = ACTIONS(2291),
    [anon_sym_DASH_DASH] = ACTIONS(2291),
    [anon_sym_try] = ACTIONS(2289),
    [anon_sym_for] = ACTIONS(2289),
    [anon_sym_typeof] = ACTIONS(2289),
    [anon_sym_await] = ACTIONS(2289),
    [sym_null] = ACTIONS(2289),
    [anon_sym_function] = ACTIONS(2289),
    [anon_sym_let] = ACTIONS(2289),
    [anon_sym_if] = ACTIONS(2289),
    [anon_sym_with] = ACTIONS(2289),
    [anon_sym_SQUOTE] = ACTIONS(2291),
    [anon_sym_SLASH] = ACTIONS(2289),
    [sym_undefined] = ACTIONS(2289),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(2291),
    [anon_sym_else] = ACTIONS(2289),
    [anon_sym_break] = ACTIONS(2289),
    [anon_sym_debugger] = ACTIONS(2289),
    [anon_sym_while] = ACTIONS(2289),
    [sym_identifier] = ACTIONS(2289),
    [anon_sym_BQUOTE] = ACTIONS(2291),
    [ts_builtin_sym_end] = ACTIONS(2291),
    [anon_sym_new] = ACTIONS(2289),
    [anon_sym_AT] = ACTIONS(2291),
    [anon_sym_PLUS] = ACTIONS(2289),
    [anon_sym_switch] = ACTIONS(2289),
    [anon_sym_export] = ACTIONS(2289),
    [anon_sym_continue] = ACTIONS(2289),
    [anon_sym_void] = ACTIONS(2289),
    [anon_sym_return] = ACTIONS(2289),
    [anon_sym_do] = ACTIONS(2289),
  },
  [674] = {
    [anon_sym_class] = ACTIONS(2293),
    [anon_sym_static] = ACTIONS(2293),
    [anon_sym_DASH] = ACTIONS(2293),
    [anon_sym_import] = ACTIONS(2293),
    [anon_sym_LBRACE] = ACTIONS(2295),
    [anon_sym_delete] = ACTIONS(2293),
    [anon_sym_throw] = ACTIONS(2293),
    [anon_sym_LPAREN] = ACTIONS(2295),
    [anon_sym_BANG] = ACTIONS(2295),
    [sym_this] = ACTIONS(2293),
    [sym_true] = ACTIONS(2293),
    [anon_sym_case] = ACTIONS(2293),
    [anon_sym_get] = ACTIONS(2293),
    [anon_sym_default] = ACTIONS(2293),
    [anon_sym_PLUS_PLUS] = ACTIONS(2295),
    [anon_sym_SEMI] = ACTIONS(2295),
    [anon_sym_DQUOTE] = ACTIONS(2295),
    [anon_sym_TILDE] = ACTIONS(2295),
    [sym_super] = ACTIONS(2293),
    [anon_sym_LT] = ACTIONS(2295),
    [sym_false] = ACTIONS(2293),
    [sym_number] = ACTIONS(2295),
    [anon_sym_yield] = ACTIONS(2293),
    [anon_sym_set] = ACTIONS(2293),
    [anon_sym_async] = ACTIONS(2293),
    [anon_sym_var] = ACTIONS(2293),
    [anon_sym_const] = ACTIONS(2293),
    [anon_sym_RBRACE] = ACTIONS(2295),
    [anon_sym_DASH_DASH] = ACTIONS(2295),
    [anon_sym_try] = ACTIONS(2293),
    [anon_sym_for] = ACTIONS(2293),
    [anon_sym_typeof] = ACTIONS(2293),
    [anon_sym_await] = ACTIONS(2293),
    [sym_null] = ACTIONS(2293),
    [anon_sym_function] = ACTIONS(2293),
    [anon_sym_let] = ACTIONS(2293),
    [anon_sym_if] = ACTIONS(2293),
    [anon_sym_with] = ACTIONS(2293),
    [anon_sym_SQUOTE] = ACTIONS(2295),
    [anon_sym_SLASH] = ACTIONS(2293),
    [sym_undefined] = ACTIONS(2293),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(2295),
    [anon_sym_else] = ACTIONS(2293),
    [anon_sym_break] = ACTIONS(2293),
    [anon_sym_debugger] = ACTIONS(2293),
    [anon_sym_while] = ACTIONS(2293),
    [sym_identifier] = ACTIONS(2293),
    [anon_sym_BQUOTE] = ACTIONS(2295),
    [ts_builtin_sym_end] = ACTIONS(2295),
    [anon_sym_new] = ACTIONS(2293),
    [anon_sym_AT] = ACTIONS(2295),
    [anon_sym_PLUS] = ACTIONS(2293),
    [anon_sym_switch] = ACTIONS(2293),
    [anon_sym_export] = ACTIONS(2293),
    [anon_sym_continue] = ACTIONS(2293),
    [anon_sym_void] = ACTIONS(2293),
    [anon_sym_return] = ACTIONS(2293),
    [anon_sym_do] = ACTIONS(2293),
  },
  [675] = {
    [anon_sym_class] = ACTIONS(2297),
    [anon_sym_static] = ACTIONS(2297),
    [anon_sym_DASH] = ACTIONS(2297),
    [anon_sym_import] = ACTIONS(2297),
    [anon_sym_LBRACE] = ACTIONS(2299),
    [anon_sym_delete] = ACTIONS(2297),
    [anon_sym_throw] = ACTIONS(2297),
    [anon_sym_LPAREN] = ACTIONS(2299),
    [anon_sym_BANG] = ACTIONS(2299),
    [sym_this] = ACTIONS(2297),
    [sym_true] = ACTIONS(2297),
    [anon_sym_case] = ACTIONS(2297),
    [anon_sym_get] = ACTIONS(2297),
    [anon_sym_default] = ACTIONS(2297),
    [anon_sym_PLUS_PLUS] = ACTIONS(2299),
    [anon_sym_SEMI] = ACTIONS(2299),
    [anon_sym_DQUOTE] = ACTIONS(2299),
    [anon_sym_TILDE] = ACTIONS(2299),
    [sym_super] = ACTIONS(2297),
    [anon_sym_LT] = ACTIONS(2299),
    [sym_false] = ACTIONS(2297),
    [sym_number] = ACTIONS(2299),
    [anon_sym_yield] = ACTIONS(2297),
    [anon_sym_set] = ACTIONS(2297),
    [anon_sym_async] = ACTIONS(2297),
    [anon_sym_var] = ACTIONS(2297),
    [anon_sym_const] = ACTIONS(2297),
    [anon_sym_RBRACE] = ACTIONS(2299),
    [anon_sym_DASH_DASH] = ACTIONS(2299),
    [anon_sym_try] = ACTIONS(2297),
    [anon_sym_for] = ACTIONS(2297),
    [anon_sym_typeof] = ACTIONS(2297),
    [anon_sym_await] = ACTIONS(2297),
    [sym_null] = ACTIONS(2297),
    [anon_sym_function] = ACTIONS(2297),
    [anon_sym_let] = ACTIONS(2297),
    [anon_sym_if] = ACTIONS(2297),
    [anon_sym_with] = ACTIONS(2297),
    [anon_sym_SQUOTE] = ACTIONS(2299),
    [anon_sym_SLASH] = ACTIONS(2297),
    [sym_undefined] = ACTIONS(2297),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(2299),
    [anon_sym_else] = ACTIONS(2297),
    [anon_sym_break] = ACTIONS(2297),
    [anon_sym_debugger] = ACTIONS(2297),
    [anon_sym_while] = ACTIONS(2297),
    [sym_identifier] = ACTIONS(2297),
    [anon_sym_BQUOTE] = ACTIONS(2299),
    [ts_builtin_sym_end] = ACTIONS(2299),
    [anon_sym_new] = ACTIONS(2297),
    [anon_sym_AT] = ACTIONS(2299),
    [anon_sym_PLUS] = ACTIONS(2297),
    [anon_sym_switch] = ACTIONS(2297),
    [anon_sym_export] = ACTIONS(2297),
    [anon_sym_continue] = ACTIONS(2297),
    [anon_sym_void] = ACTIONS(2297),
    [anon_sym_return] = ACTIONS(2297),
    [anon_sym_do] = ACTIONS(2297),
  },
  [676] = {
    [anon_sym_class] = ACTIONS(2301),
    [anon_sym_static] = ACTIONS(2301),
    [anon_sym_DASH] = ACTIONS(2301),
    [anon_sym_import] = ACTIONS(2301),
    [anon_sym_LBRACE] = ACTIONS(2303),
    [anon_sym_delete] = ACTIONS(2301),
    [anon_sym_throw] = ACTIONS(2301),
    [anon_sym_LPAREN] = ACTIONS(2303),
    [anon_sym_BANG] = ACTIONS(2303),
    [sym_this] = ACTIONS(2301),
    [sym_true] = ACTIONS(2301),
    [anon_sym_case] = ACTIONS(2301),
    [anon_sym_get] = ACTIONS(2301),
    [anon_sym_default] = ACTIONS(2301),
    [anon_sym_PLUS_PLUS] = ACTIONS(2303),
    [anon_sym_SEMI] = ACTIONS(2303),
    [anon_sym_DQUOTE] = ACTIONS(2303),
    [anon_sym_TILDE] = ACTIONS(2303),
    [sym_super] = ACTIONS(2301),
    [anon_sym_LT] = ACTIONS(2303),
    [sym_false] = ACTIONS(2301),
    [sym_number] = ACTIONS(2303),
    [anon_sym_yield] = ACTIONS(2301),
    [anon_sym_set] = ACTIONS(2301),
    [anon_sym_async] = ACTIONS(2301),
    [anon_sym_var] = ACTIONS(2301),
    [anon_sym_const] = ACTIONS(2301),
    [anon_sym_RBRACE] = ACTIONS(2303),
    [anon_sym_DASH_DASH] = ACTIONS(2303),
    [anon_sym_try] = ACTIONS(2301),
    [anon_sym_for] = ACTIONS(2301),
    [anon_sym_typeof] = ACTIONS(2301),
    [anon_sym_await] = ACTIONS(2301),
    [sym_null] = ACTIONS(2301),
    [anon_sym_function] = ACTIONS(2301),
    [anon_sym_let] = ACTIONS(2301),
    [anon_sym_if] = ACTIONS(2301),
    [anon_sym_with] = ACTIONS(2301),
    [anon_sym_SQUOTE] = ACTIONS(2303),
    [anon_sym_SLASH] = ACTIONS(2301),
    [sym_undefined] = ACTIONS(2301),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(2303),
    [anon_sym_else] = ACTIONS(2301),
    [anon_sym_break] = ACTIONS(2301),
    [anon_sym_debugger] = ACTIONS(2301),
    [anon_sym_while] = ACTIONS(2301),
    [sym_identifier] = ACTIONS(2301),
    [anon_sym_BQUOTE] = ACTIONS(2303),
    [ts_builtin_sym_end] = ACTIONS(2303),
    [anon_sym_new] = ACTIONS(2301),
    [anon_sym_AT] = ACTIONS(2303),
    [anon_sym_PLUS] = ACTIONS(2301),
    [anon_sym_switch] = ACTIONS(2301),
    [anon_sym_export] = ACTIONS(2301),
    [anon_sym_continue] = ACTIONS(2301),
    [anon_sym_void] = ACTIONS(2301),
    [anon_sym_return] = ACTIONS(2301),
    [anon_sym_do] = ACTIONS(2301),
  },
  [677] = {
    [sym_template_string] = STATE(719),
    [sym_arguments] = STATE(719),
    [anon_sym_instanceof] = ACTIONS(696),
    [anon_sym_GT] = ACTIONS(676),
    [anon_sym_DASH] = ACTIONS(698),
    [anon_sym_CARET] = ACTIONS(700),
    [anon_sym_STAR_STAR] = ACTIONS(702),
    [anon_sym_STAR] = ACTIONS(704),
    [anon_sym_AMP_AMP] = ACTIONS(706),
    [anon_sym_GT_GT] = ACTIONS(704),
    [anon_sym_AMP] = ACTIONS(708),
    [anon_sym_in] = ACTIONS(676),
    [anon_sym_LPAREN] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(696),
    [anon_sym_GT_EQ] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(704),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(710),
    [anon_sym_PIPE] = ACTIONS(712),
    [anon_sym_LT_EQ] = ACTIONS(696),
    [anon_sym_PIPE_PIPE] = ACTIONS(700),
    [anon_sym_GT_GT_GT] = ACTIONS(714),
    [anon_sym_PLUS_PLUS] = ACTIONS(716),
    [anon_sym_BANG_EQ] = ACTIONS(676),
    [anon_sym_RPAREN] = ACTIONS(2305),
    [anon_sym_LT] = ACTIONS(676),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_PLUS] = ACTIONS(698),
    [anon_sym_EQ_EQ] = ACTIONS(676),
    [anon_sym_PERCENT] = ACTIONS(714),
    [anon_sym_QMARK] = ACTIONS(722),
    [anon_sym_LT_LT] = ACTIONS(714),
    [anon_sym_DASH_DASH] = ACTIONS(716),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(696),
  },
  [678] = {
    [sym_template_string] = STATE(719),
    [sym_arguments] = STATE(719),
    [anon_sym_instanceof] = ACTIONS(696),
    [anon_sym_GT] = ACTIONS(676),
    [anon_sym_DASH] = ACTIONS(698),
    [anon_sym_CARET] = ACTIONS(700),
    [anon_sym_STAR_STAR] = ACTIONS(702),
    [anon_sym_STAR] = ACTIONS(704),
    [anon_sym_AMP_AMP] = ACTIONS(706),
    [anon_sym_GT_GT] = ACTIONS(704),
    [anon_sym_AMP] = ACTIONS(708),
    [anon_sym_in] = ACTIONS(676),
    [anon_sym_LPAREN] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(696),
    [anon_sym_GT_EQ] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(704),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(710),
    [anon_sym_PIPE] = ACTIONS(712),
    [anon_sym_LT_EQ] = ACTIONS(696),
    [anon_sym_PIPE_PIPE] = ACTIONS(700),
    [anon_sym_GT_GT_GT] = ACTIONS(714),
    [anon_sym_PLUS_PLUS] = ACTIONS(716),
    [anon_sym_BANG_EQ] = ACTIONS(676),
    [anon_sym_RPAREN] = ACTIONS(2307),
    [anon_sym_LT] = ACTIONS(676),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_PLUS] = ACTIONS(698),
    [anon_sym_EQ_EQ] = ACTIONS(676),
    [anon_sym_PERCENT] = ACTIONS(714),
    [anon_sym_QMARK] = ACTIONS(722),
    [anon_sym_LT_LT] = ACTIONS(714),
    [anon_sym_DASH_DASH] = ACTIONS(716),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(696),
  },
  [679] = {
    [sym_template_string] = STATE(719),
    [sym_arguments] = STATE(719),
    [anon_sym_instanceof] = ACTIONS(696),
    [anon_sym_GT] = ACTIONS(676),
    [anon_sym_DASH] = ACTIONS(698),
    [anon_sym_CARET] = ACTIONS(700),
    [anon_sym_STAR_STAR] = ACTIONS(702),
    [anon_sym_STAR] = ACTIONS(704),
    [anon_sym_AMP_AMP] = ACTIONS(706),
    [anon_sym_GT_GT] = ACTIONS(704),
    [anon_sym_AMP] = ACTIONS(708),
    [anon_sym_in] = ACTIONS(676),
    [anon_sym_LPAREN] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(696),
    [anon_sym_GT_EQ] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(704),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(710),
    [anon_sym_PIPE] = ACTIONS(712),
    [anon_sym_LT_EQ] = ACTIONS(696),
    [anon_sym_PIPE_PIPE] = ACTIONS(700),
    [anon_sym_GT_GT_GT] = ACTIONS(714),
    [anon_sym_PLUS_PLUS] = ACTIONS(716),
    [anon_sym_BANG_EQ] = ACTIONS(676),
    [anon_sym_RPAREN] = ACTIONS(2309),
    [anon_sym_LT] = ACTIONS(676),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_PLUS] = ACTIONS(698),
    [anon_sym_EQ_EQ] = ACTIONS(676),
    [anon_sym_PERCENT] = ACTIONS(714),
    [anon_sym_QMARK] = ACTIONS(722),
    [anon_sym_LT_LT] = ACTIONS(714),
    [anon_sym_DASH_DASH] = ACTIONS(716),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(696),
  },
  [680] = {
    [anon_sym_COMMA] = ACTIONS(2311),
    [anon_sym_SEMI] = ACTIONS(2311),
    [anon_sym_DQUOTE] = ACTIONS(2311),
    [anon_sym_static] = ACTIONS(2313),
    [sym_identifier] = ACTIONS(2313),
    [anon_sym_STAR] = ACTIONS(2311),
    [sym_number] = ACTIONS(2311),
    [anon_sym_SQUOTE] = ACTIONS(2311),
    [anon_sym_set] = ACTIONS(2313),
    [anon_sym_async] = ACTIONS(2313),
    [anon_sym_AT] = ACTIONS(2311),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACE] = ACTIONS(2311),
    [anon_sym_LBRACK] = ACTIONS(2311),
    [anon_sym_get] = ACTIONS(2313),
  },
  [681] = {
    [sym_arrow_function] = STATE(46),
    [sym__declaration] = STATE(692),
    [sym_subscript_expression] = STATE(42),
    [sym_ternary_expression] = STATE(46),
    [sym_if_statement] = STATE(692),
    [sym_template_string] = STATE(46),
    [sym_do_statement] = STATE(692),
    [sym_return_statement] = STATE(692),
    [sym_yield_expression] = STATE(46),
    [sym_jsx_fragment] = STATE(46),
    [sym_function_declaration] = STATE(692),
    [sym_import_statement] = STATE(692),
    [sym_expression_statement] = STATE(692),
    [sym_switch_statement] = STATE(692),
    [sym_update_expression] = STATE(46),
    [sym_try_statement] = STATE(692),
    [sym_meta_property] = STATE(46),
    [sym_throw_statement] = STATE(692),
    [sym_object] = STATE(43),
    [aux_sym_export_statement_repeat1] = STATE(44),
    [sym_generator_function] = STATE(46),
    [sym_await_expression] = STATE(46),
    [sym_sequence_expression] = STATE(45),
    [sym_for_of_statement] = STATE(692),
    [sym_continue_statement] = STATE(692),
    [sym_call_expression] = STATE(46),
    [sym_assignment_expression] = STATE(46),
    [sym_statement_block] = STATE(692),
    [sym_binary_expression] = STATE(46),
    [sym_while_statement] = STATE(692),
    [sym_debugger_statement] = STATE(692),
    [sym__expression] = STATE(46),
    [sym_jsx_element] = STATE(46),
    [sym_function] = STATE(47),
    [sym_new_expression] = STATE(46),
    [sym_augmented_assignment_expression] = STATE(46),
    [sym_variable_declaration] = STATE(692),
    [sym_unary_expression] = STATE(46),
    [sym_for_statement] = STATE(692),
    [sym_regex] = STATE(46),
    [sym_with_statement] = STATE(692),
    [sym_empty_statement] = STATE(692),
    [aux_sym_program_repeat1] = STATE(692),
    [sym_class] = STATE(46),
    [sym_export_statement] = STATE(692),
    [sym_generator_function_declaration] = STATE(692),
    [sym_member_expression] = STATE(42),
    [sym_lexical_declaration] = STATE(692),
    [sym_for_in_statement] = STATE(692),
    [sym_string] = STATE(46),
    [sym_break_statement] = STATE(692),
    [sym_decorator] = STATE(50),
    [sym_labeled_statement] = STATE(692),
    [sym_formal_parameters] = STATE(51),
    [sym_parenthesized_expression] = STATE(46),
    [sym_array] = STATE(52),
    [sym_jsx_opening_element] = STATE(53),
    [sym_jsx_self_closing_element] = STATE(46),
    [sym_class_declaration] = STATE(692),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_delete] = ACTIONS(39),
    [anon_sym_throw] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [anon_sym_case] = ACTIONS(2315),
    [anon_sym_get] = ACTIONS(23),
    [anon_sym_default] = ACTIONS(2315),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(69),
    [sym_false] = ACTIONS(9),
    [sym_number] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_set] = ACTIONS(23),
    [anon_sym_async] = ACTIONS(81),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_RBRACE] = ACTIONS(2317),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_try] = ACTIONS(15),
    [anon_sym_for] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(5),
    [sym_null] = ACTIONS(9),
    [anon_sym_function] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(35),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_SLASH] = ACTIONS(45),
    [sym_undefined] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(61),
    [sym_identifier] = ACTIONS(65),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_switch] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(13),
    [anon_sym_void] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_do] = ACTIONS(21),
  },
  [682] = {
    [sym_arrow_function] = STATE(46),
    [sym__declaration] = STATE(201),
    [sym_subscript_expression] = STATE(42),
    [sym_ternary_expression] = STATE(46),
    [sym_if_statement] = STATE(201),
    [sym_template_string] = STATE(46),
    [sym_do_statement] = STATE(201),
    [sym_return_statement] = STATE(201),
    [sym_yield_expression] = STATE(46),
    [sym_jsx_fragment] = STATE(46),
    [sym_function_declaration] = STATE(201),
    [sym_import_statement] = STATE(201),
    [sym_expression_statement] = STATE(201),
    [sym_switch_statement] = STATE(201),
    [sym_update_expression] = STATE(46),
    [sym_try_statement] = STATE(201),
    [sym_meta_property] = STATE(46),
    [sym_throw_statement] = STATE(201),
    [sym_object] = STATE(43),
    [aux_sym_export_statement_repeat1] = STATE(44),
    [sym_generator_function] = STATE(46),
    [sym_await_expression] = STATE(46),
    [sym_sequence_expression] = STATE(45),
    [sym_for_of_statement] = STATE(201),
    [sym_continue_statement] = STATE(201),
    [sym_call_expression] = STATE(46),
    [sym_assignment_expression] = STATE(46),
    [sym_statement_block] = STATE(201),
    [sym_binary_expression] = STATE(46),
    [sym_while_statement] = STATE(201),
    [sym_debugger_statement] = STATE(201),
    [sym__expression] = STATE(46),
    [sym_jsx_element] = STATE(46),
    [sym_function] = STATE(47),
    [sym_new_expression] = STATE(46),
    [sym_augmented_assignment_expression] = STATE(46),
    [sym_variable_declaration] = STATE(201),
    [sym_unary_expression] = STATE(46),
    [sym_for_statement] = STATE(201),
    [sym_regex] = STATE(46),
    [sym_with_statement] = STATE(201),
    [sym_empty_statement] = STATE(201),
    [aux_sym_program_repeat1] = STATE(201),
    [sym_class] = STATE(46),
    [sym_export_statement] = STATE(201),
    [sym_generator_function_declaration] = STATE(201),
    [sym_member_expression] = STATE(42),
    [sym_lexical_declaration] = STATE(201),
    [sym_for_in_statement] = STATE(201),
    [sym_string] = STATE(46),
    [sym_break_statement] = STATE(201),
    [sym_decorator] = STATE(50),
    [sym_labeled_statement] = STATE(201),
    [sym_formal_parameters] = STATE(51),
    [sym_parenthesized_expression] = STATE(46),
    [sym_array] = STATE(52),
    [sym_jsx_opening_element] = STATE(53),
    [sym_jsx_self_closing_element] = STATE(46),
    [sym_class_declaration] = STATE(201),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_delete] = ACTIONS(39),
    [anon_sym_throw] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [anon_sym_case] = ACTIONS(2319),
    [anon_sym_get] = ACTIONS(23),
    [anon_sym_default] = ACTIONS(2319),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(69),
    [sym_false] = ACTIONS(9),
    [sym_number] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_set] = ACTIONS(23),
    [anon_sym_async] = ACTIONS(81),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_RBRACE] = ACTIONS(2321),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_try] = ACTIONS(15),
    [anon_sym_for] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(5),
    [sym_null] = ACTIONS(9),
    [anon_sym_function] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(35),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_SLASH] = ACTIONS(45),
    [sym_undefined] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(61),
    [sym_identifier] = ACTIONS(65),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_switch] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(13),
    [anon_sym_void] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_do] = ACTIONS(21),
  },
  [683] = {
    [anon_sym_class] = ACTIONS(2323),
    [anon_sym_static] = ACTIONS(2323),
    [anon_sym_DASH] = ACTIONS(2323),
    [anon_sym_import] = ACTIONS(2323),
    [anon_sym_LBRACE] = ACTIONS(2325),
    [anon_sym_delete] = ACTIONS(2323),
    [anon_sym_throw] = ACTIONS(2323),
    [anon_sym_LPAREN] = ACTIONS(2325),
    [anon_sym_BANG] = ACTIONS(2325),
    [sym_this] = ACTIONS(2323),
    [sym_true] = ACTIONS(2323),
    [anon_sym_case] = ACTIONS(2323),
    [anon_sym_get] = ACTIONS(2323),
    [anon_sym_default] = ACTIONS(2323),
    [anon_sym_PLUS_PLUS] = ACTIONS(2325),
    [anon_sym_SEMI] = ACTIONS(2325),
    [anon_sym_DQUOTE] = ACTIONS(2325),
    [anon_sym_TILDE] = ACTIONS(2325),
    [sym_super] = ACTIONS(2323),
    [anon_sym_LT] = ACTIONS(2325),
    [sym_false] = ACTIONS(2323),
    [sym_number] = ACTIONS(2325),
    [anon_sym_yield] = ACTIONS(2323),
    [anon_sym_set] = ACTIONS(2323),
    [anon_sym_async] = ACTIONS(2323),
    [anon_sym_var] = ACTIONS(2323),
    [anon_sym_const] = ACTIONS(2323),
    [anon_sym_RBRACE] = ACTIONS(2325),
    [anon_sym_DASH_DASH] = ACTIONS(2325),
    [anon_sym_try] = ACTIONS(2323),
    [anon_sym_for] = ACTIONS(2323),
    [anon_sym_typeof] = ACTIONS(2323),
    [anon_sym_await] = ACTIONS(2323),
    [sym_null] = ACTIONS(2323),
    [anon_sym_function] = ACTIONS(2323),
    [anon_sym_let] = ACTIONS(2323),
    [anon_sym_if] = ACTIONS(2323),
    [anon_sym_with] = ACTIONS(2323),
    [anon_sym_SQUOTE] = ACTIONS(2325),
    [anon_sym_SLASH] = ACTIONS(2323),
    [sym_undefined] = ACTIONS(2323),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(2325),
    [anon_sym_else] = ACTIONS(2323),
    [anon_sym_break] = ACTIONS(2323),
    [anon_sym_debugger] = ACTIONS(2323),
    [anon_sym_while] = ACTIONS(2323),
    [sym_identifier] = ACTIONS(2323),
    [anon_sym_BQUOTE] = ACTIONS(2325),
    [ts_builtin_sym_end] = ACTIONS(2325),
    [anon_sym_new] = ACTIONS(2323),
    [anon_sym_AT] = ACTIONS(2325),
    [anon_sym_PLUS] = ACTIONS(2323),
    [anon_sym_switch] = ACTIONS(2323),
    [anon_sym_export] = ACTIONS(2323),
    [anon_sym_continue] = ACTIONS(2323),
    [anon_sym_void] = ACTIONS(2323),
    [anon_sym_return] = ACTIONS(2323),
    [anon_sym_do] = ACTIONS(2323),
  },
  [684] = {
    [anon_sym_class] = ACTIONS(2327),
    [anon_sym_static] = ACTIONS(2327),
    [anon_sym_DASH] = ACTIONS(2327),
    [anon_sym_import] = ACTIONS(2327),
    [anon_sym_LBRACE] = ACTIONS(2329),
    [anon_sym_delete] = ACTIONS(2327),
    [anon_sym_throw] = ACTIONS(2327),
    [anon_sym_LPAREN] = ACTIONS(2329),
    [anon_sym_BANG] = ACTIONS(2329),
    [sym_this] = ACTIONS(2327),
    [sym_true] = ACTIONS(2327),
    [anon_sym_case] = ACTIONS(2327),
    [anon_sym_get] = ACTIONS(2327),
    [anon_sym_default] = ACTIONS(2327),
    [anon_sym_PLUS_PLUS] = ACTIONS(2329),
    [anon_sym_SEMI] = ACTIONS(2329),
    [anon_sym_DQUOTE] = ACTIONS(2329),
    [anon_sym_TILDE] = ACTIONS(2329),
    [sym_super] = ACTIONS(2327),
    [anon_sym_LT] = ACTIONS(2329),
    [sym_false] = ACTIONS(2327),
    [sym_number] = ACTIONS(2329),
    [anon_sym_yield] = ACTIONS(2327),
    [anon_sym_set] = ACTIONS(2327),
    [anon_sym_async] = ACTIONS(2327),
    [anon_sym_var] = ACTIONS(2327),
    [anon_sym_const] = ACTIONS(2327),
    [anon_sym_RBRACE] = ACTIONS(2329),
    [anon_sym_DASH_DASH] = ACTIONS(2329),
    [anon_sym_try] = ACTIONS(2327),
    [anon_sym_for] = ACTIONS(2327),
    [anon_sym_typeof] = ACTIONS(2327),
    [anon_sym_await] = ACTIONS(2327),
    [sym_null] = ACTIONS(2327),
    [anon_sym_function] = ACTIONS(2327),
    [anon_sym_let] = ACTIONS(2327),
    [anon_sym_if] = ACTIONS(2327),
    [anon_sym_with] = ACTIONS(2327),
    [anon_sym_SQUOTE] = ACTIONS(2329),
    [anon_sym_SLASH] = ACTIONS(2327),
    [sym_undefined] = ACTIONS(2327),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(2329),
    [anon_sym_else] = ACTIONS(2327),
    [anon_sym_break] = ACTIONS(2327),
    [anon_sym_debugger] = ACTIONS(2327),
    [anon_sym_while] = ACTIONS(2327),
    [sym_identifier] = ACTIONS(2327),
    [anon_sym_BQUOTE] = ACTIONS(2329),
    [ts_builtin_sym_end] = ACTIONS(2329),
    [anon_sym_new] = ACTIONS(2327),
    [anon_sym_AT] = ACTIONS(2329),
    [anon_sym_PLUS] = ACTIONS(2327),
    [anon_sym_switch] = ACTIONS(2327),
    [anon_sym_export] = ACTIONS(2327),
    [anon_sym_continue] = ACTIONS(2327),
    [anon_sym_void] = ACTIONS(2327),
    [anon_sym_return] = ACTIONS(2327),
    [anon_sym_do] = ACTIONS(2327),
  },
  [685] = {
    [anon_sym_class] = ACTIONS(2331),
    [anon_sym_static] = ACTIONS(2331),
    [anon_sym_DASH] = ACTIONS(2331),
    [anon_sym_import] = ACTIONS(2331),
    [anon_sym_LBRACE] = ACTIONS(2333),
    [anon_sym_delete] = ACTIONS(2331),
    [anon_sym_throw] = ACTIONS(2331),
    [anon_sym_LPAREN] = ACTIONS(2333),
    [anon_sym_BANG] = ACTIONS(2333),
    [sym_this] = ACTIONS(2331),
    [sym_true] = ACTIONS(2331),
    [anon_sym_case] = ACTIONS(2331),
    [anon_sym_get] = ACTIONS(2331),
    [anon_sym_default] = ACTIONS(2331),
    [anon_sym_PLUS_PLUS] = ACTIONS(2333),
    [anon_sym_SEMI] = ACTIONS(2333),
    [anon_sym_DQUOTE] = ACTIONS(2333),
    [anon_sym_TILDE] = ACTIONS(2333),
    [sym_super] = ACTIONS(2331),
    [anon_sym_LT] = ACTIONS(2333),
    [sym_false] = ACTIONS(2331),
    [sym_number] = ACTIONS(2333),
    [anon_sym_yield] = ACTIONS(2331),
    [anon_sym_set] = ACTIONS(2331),
    [anon_sym_async] = ACTIONS(2331),
    [anon_sym_var] = ACTIONS(2331),
    [anon_sym_const] = ACTIONS(2331),
    [anon_sym_RBRACE] = ACTIONS(2333),
    [anon_sym_DASH_DASH] = ACTIONS(2333),
    [anon_sym_try] = ACTIONS(2331),
    [anon_sym_for] = ACTIONS(2331),
    [anon_sym_typeof] = ACTIONS(2331),
    [anon_sym_await] = ACTIONS(2331),
    [sym_null] = ACTIONS(2331),
    [anon_sym_function] = ACTIONS(2331),
    [anon_sym_let] = ACTIONS(2331),
    [anon_sym_if] = ACTIONS(2331),
    [anon_sym_with] = ACTIONS(2331),
    [anon_sym_SQUOTE] = ACTIONS(2333),
    [anon_sym_SLASH] = ACTIONS(2331),
    [sym_undefined] = ACTIONS(2331),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(2333),
    [anon_sym_else] = ACTIONS(2331),
    [anon_sym_break] = ACTIONS(2331),
    [anon_sym_debugger] = ACTIONS(2331),
    [anon_sym_while] = ACTIONS(2331),
    [sym_identifier] = ACTIONS(2331),
    [anon_sym_BQUOTE] = ACTIONS(2333),
    [ts_builtin_sym_end] = ACTIONS(2333),
    [anon_sym_new] = ACTIONS(2331),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_PLUS] = ACTIONS(2331),
    [anon_sym_switch] = ACTIONS(2331),
    [anon_sym_export] = ACTIONS(2331),
    [anon_sym_continue] = ACTIONS(2331),
    [anon_sym_void] = ACTIONS(2331),
    [anon_sym_return] = ACTIONS(2331),
    [anon_sym_do] = ACTIONS(2331),
  },
  [686] = {
    [anon_sym_class] = ACTIONS(2335),
    [anon_sym_static] = ACTIONS(2335),
    [anon_sym_DASH] = ACTIONS(2335),
    [anon_sym_import] = ACTIONS(2335),
    [anon_sym_LBRACE] = ACTIONS(2337),
    [anon_sym_delete] = ACTIONS(2335),
    [anon_sym_throw] = ACTIONS(2335),
    [anon_sym_LPAREN] = ACTIONS(2337),
    [anon_sym_BANG] = ACTIONS(2337),
    [sym_this] = ACTIONS(2335),
    [sym_true] = ACTIONS(2335),
    [anon_sym_case] = ACTIONS(2335),
    [anon_sym_get] = ACTIONS(2335),
    [anon_sym_default] = ACTIONS(2335),
    [anon_sym_PLUS_PLUS] = ACTIONS(2337),
    [anon_sym_SEMI] = ACTIONS(2337),
    [anon_sym_DQUOTE] = ACTIONS(2337),
    [anon_sym_TILDE] = ACTIONS(2337),
    [sym_super] = ACTIONS(2335),
    [anon_sym_LT] = ACTIONS(2337),
    [sym_false] = ACTIONS(2335),
    [sym_number] = ACTIONS(2337),
    [anon_sym_yield] = ACTIONS(2335),
    [anon_sym_set] = ACTIONS(2335),
    [anon_sym_async] = ACTIONS(2335),
    [anon_sym_var] = ACTIONS(2335),
    [anon_sym_const] = ACTIONS(2335),
    [anon_sym_RBRACE] = ACTIONS(2337),
    [anon_sym_DASH_DASH] = ACTIONS(2337),
    [anon_sym_try] = ACTIONS(2335),
    [anon_sym_for] = ACTIONS(2335),
    [anon_sym_typeof] = ACTIONS(2335),
    [anon_sym_await] = ACTIONS(2335),
    [sym_null] = ACTIONS(2335),
    [anon_sym_function] = ACTIONS(2335),
    [anon_sym_let] = ACTIONS(2335),
    [anon_sym_if] = ACTIONS(2335),
    [anon_sym_with] = ACTIONS(2335),
    [anon_sym_SQUOTE] = ACTIONS(2337),
    [anon_sym_SLASH] = ACTIONS(2335),
    [sym_undefined] = ACTIONS(2335),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(2337),
    [anon_sym_else] = ACTIONS(2335),
    [anon_sym_break] = ACTIONS(2335),
    [anon_sym_debugger] = ACTIONS(2335),
    [anon_sym_while] = ACTIONS(2335),
    [sym_identifier] = ACTIONS(2335),
    [anon_sym_BQUOTE] = ACTIONS(2337),
    [ts_builtin_sym_end] = ACTIONS(2337),
    [anon_sym_new] = ACTIONS(2335),
    [anon_sym_AT] = ACTIONS(2337),
    [anon_sym_PLUS] = ACTIONS(2335),
    [anon_sym_switch] = ACTIONS(2335),
    [anon_sym_export] = ACTIONS(2335),
    [anon_sym_continue] = ACTIONS(2335),
    [anon_sym_void] = ACTIONS(2335),
    [anon_sym_return] = ACTIONS(2335),
    [anon_sym_do] = ACTIONS(2335),
  },
  [687] = {
    [anon_sym_class] = ACTIONS(2339),
    [anon_sym_static] = ACTIONS(2339),
    [anon_sym_DASH] = ACTIONS(2339),
    [anon_sym_import] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(2341),
    [anon_sym_delete] = ACTIONS(2339),
    [anon_sym_throw] = ACTIONS(2339),
    [anon_sym_LPAREN] = ACTIONS(2341),
    [anon_sym_BANG] = ACTIONS(2341),
    [sym_this] = ACTIONS(2339),
    [sym_true] = ACTIONS(2339),
    [anon_sym_case] = ACTIONS(2339),
    [anon_sym_get] = ACTIONS(2339),
    [anon_sym_default] = ACTIONS(2339),
    [anon_sym_PLUS_PLUS] = ACTIONS(2341),
    [anon_sym_SEMI] = ACTIONS(2341),
    [anon_sym_DQUOTE] = ACTIONS(2341),
    [anon_sym_TILDE] = ACTIONS(2341),
    [sym_super] = ACTIONS(2339),
    [anon_sym_LT] = ACTIONS(2341),
    [sym_false] = ACTIONS(2339),
    [sym_number] = ACTIONS(2341),
    [anon_sym_yield] = ACTIONS(2339),
    [anon_sym_set] = ACTIONS(2339),
    [anon_sym_async] = ACTIONS(2339),
    [anon_sym_var] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_RBRACE] = ACTIONS(2341),
    [anon_sym_DASH_DASH] = ACTIONS(2341),
    [anon_sym_try] = ACTIONS(2339),
    [anon_sym_for] = ACTIONS(2339),
    [anon_sym_typeof] = ACTIONS(2339),
    [anon_sym_await] = ACTIONS(2339),
    [sym_null] = ACTIONS(2339),
    [anon_sym_function] = ACTIONS(2339),
    [anon_sym_let] = ACTIONS(2339),
    [anon_sym_if] = ACTIONS(2339),
    [anon_sym_with] = ACTIONS(2339),
    [anon_sym_SQUOTE] = ACTIONS(2341),
    [anon_sym_SLASH] = ACTIONS(2339),
    [sym_undefined] = ACTIONS(2339),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(2341),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_break] = ACTIONS(2339),
    [anon_sym_debugger] = ACTIONS(2339),
    [anon_sym_while] = ACTIONS(2339),
    [sym_identifier] = ACTIONS(2339),
    [anon_sym_BQUOTE] = ACTIONS(2341),
    [ts_builtin_sym_end] = ACTIONS(2341),
    [anon_sym_new] = ACTIONS(2339),
    [anon_sym_AT] = ACTIONS(2341),
    [anon_sym_PLUS] = ACTIONS(2339),
    [anon_sym_switch] = ACTIONS(2339),
    [anon_sym_export] = ACTIONS(2339),
    [anon_sym_continue] = ACTIONS(2339),
    [anon_sym_void] = ACTIONS(2339),
    [anon_sym_return] = ACTIONS(2339),
    [anon_sym_do] = ACTIONS(2339),
  },
  [688] = {
    [anon_sym_class] = ACTIONS(2343),
    [anon_sym_static] = ACTIONS(2343),
    [anon_sym_DASH] = ACTIONS(2343),
    [anon_sym_import] = ACTIONS(2343),
    [anon_sym_LBRACE] = ACTIONS(2345),
    [anon_sym_delete] = ACTIONS(2343),
    [anon_sym_throw] = ACTIONS(2343),
    [anon_sym_LPAREN] = ACTIONS(2345),
    [anon_sym_BANG] = ACTIONS(2345),
    [sym_this] = ACTIONS(2343),
    [sym_true] = ACTIONS(2343),
    [anon_sym_case] = ACTIONS(2343),
    [anon_sym_get] = ACTIONS(2343),
    [anon_sym_default] = ACTIONS(2343),
    [anon_sym_PLUS_PLUS] = ACTIONS(2345),
    [anon_sym_SEMI] = ACTIONS(2345),
    [anon_sym_DQUOTE] = ACTIONS(2345),
    [anon_sym_TILDE] = ACTIONS(2345),
    [sym_super] = ACTIONS(2343),
    [anon_sym_LT] = ACTIONS(2345),
    [sym_false] = ACTIONS(2343),
    [sym_number] = ACTIONS(2345),
    [anon_sym_yield] = ACTIONS(2343),
    [anon_sym_set] = ACTIONS(2343),
    [anon_sym_async] = ACTIONS(2343),
    [anon_sym_var] = ACTIONS(2343),
    [anon_sym_const] = ACTIONS(2343),
    [anon_sym_RBRACE] = ACTIONS(2345),
    [anon_sym_DASH_DASH] = ACTIONS(2345),
    [anon_sym_try] = ACTIONS(2343),
    [anon_sym_for] = ACTIONS(2343),
    [anon_sym_typeof] = ACTIONS(2343),
    [anon_sym_await] = ACTIONS(2343),
    [sym_null] = ACTIONS(2343),
    [anon_sym_function] = ACTIONS(2343),
    [anon_sym_let] = ACTIONS(2343),
    [anon_sym_if] = ACTIONS(2343),
    [anon_sym_with] = ACTIONS(2343),
    [anon_sym_SQUOTE] = ACTIONS(2345),
    [anon_sym_SLASH] = ACTIONS(2343),
    [sym_undefined] = ACTIONS(2343),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(2345),
    [anon_sym_else] = ACTIONS(2343),
    [anon_sym_break] = ACTIONS(2343),
    [anon_sym_debugger] = ACTIONS(2343),
    [anon_sym_while] = ACTIONS(2343),
    [sym_identifier] = ACTIONS(2343),
    [anon_sym_BQUOTE] = ACTIONS(2345),
    [ts_builtin_sym_end] = ACTIONS(2345),
    [anon_sym_new] = ACTIONS(2343),
    [anon_sym_AT] = ACTIONS(2345),
    [anon_sym_PLUS] = ACTIONS(2343),
    [anon_sym_switch] = ACTIONS(2343),
    [anon_sym_export] = ACTIONS(2343),
    [anon_sym_continue] = ACTIONS(2343),
    [anon_sym_void] = ACTIONS(2343),
    [anon_sym_return] = ACTIONS(2343),
    [anon_sym_do] = ACTIONS(2343),
  },
  [689] = {
    [sym_arrow_function] = STATE(46),
    [sym__declaration] = STATE(693),
    [sym_subscript_expression] = STATE(42),
    [sym_ternary_expression] = STATE(46),
    [sym_if_statement] = STATE(693),
    [sym_template_string] = STATE(46),
    [sym_do_statement] = STATE(693),
    [sym_return_statement] = STATE(693),
    [sym_yield_expression] = STATE(46),
    [sym_jsx_fragment] = STATE(46),
    [sym_function_declaration] = STATE(693),
    [sym_import_statement] = STATE(693),
    [sym_expression_statement] = STATE(693),
    [sym_switch_statement] = STATE(693),
    [sym_update_expression] = STATE(46),
    [sym_try_statement] = STATE(693),
    [sym_meta_property] = STATE(46),
    [sym_throw_statement] = STATE(693),
    [sym_object] = STATE(43),
    [aux_sym_export_statement_repeat1] = STATE(44),
    [sym_generator_function] = STATE(46),
    [sym_await_expression] = STATE(46),
    [sym_sequence_expression] = STATE(45),
    [sym_for_of_statement] = STATE(693),
    [sym_continue_statement] = STATE(693),
    [sym_call_expression] = STATE(46),
    [sym_assignment_expression] = STATE(46),
    [sym_statement_block] = STATE(693),
    [sym_binary_expression] = STATE(46),
    [sym_while_statement] = STATE(693),
    [sym_debugger_statement] = STATE(693),
    [sym__expression] = STATE(46),
    [sym_jsx_element] = STATE(46),
    [sym_function] = STATE(47),
    [sym_new_expression] = STATE(46),
    [sym_augmented_assignment_expression] = STATE(46),
    [sym_variable_declaration] = STATE(693),
    [sym_unary_expression] = STATE(46),
    [sym_for_statement] = STATE(693),
    [sym_regex] = STATE(46),
    [sym_with_statement] = STATE(693),
    [sym_empty_statement] = STATE(693),
    [sym_class] = STATE(46),
    [sym_export_statement] = STATE(693),
    [sym_generator_function_declaration] = STATE(693),
    [sym_member_expression] = STATE(42),
    [sym_lexical_declaration] = STATE(693),
    [sym_for_in_statement] = STATE(693),
    [sym_string] = STATE(46),
    [sym_break_statement] = STATE(693),
    [sym_decorator] = STATE(50),
    [sym_labeled_statement] = STATE(693),
    [sym_formal_parameters] = STATE(51),
    [sym_parenthesized_expression] = STATE(46),
    [sym_array] = STATE(52),
    [sym_jsx_opening_element] = STATE(53),
    [sym_jsx_self_closing_element] = STATE(46),
    [sym_class_declaration] = STATE(693),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_delete] = ACTIONS(39),
    [anon_sym_throw] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [anon_sym_get] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(69),
    [sym_false] = ACTIONS(9),
    [sym_number] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_set] = ACTIONS(23),
    [anon_sym_async] = ACTIONS(81),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_try] = ACTIONS(15),
    [anon_sym_for] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(5),
    [sym_null] = ACTIONS(9),
    [anon_sym_function] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(35),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_SLASH] = ACTIONS(45),
    [sym_undefined] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(61),
    [sym_identifier] = ACTIONS(65),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_switch] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(13),
    [anon_sym_void] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_do] = ACTIONS(21),
  },
  [690] = {
    [sym_arrow_function] = STATE(46),
    [sym__declaration] = STATE(694),
    [sym_subscript_expression] = STATE(42),
    [sym_ternary_expression] = STATE(46),
    [sym_if_statement] = STATE(694),
    [sym_template_string] = STATE(46),
    [sym_do_statement] = STATE(694),
    [sym_return_statement] = STATE(694),
    [sym_yield_expression] = STATE(46),
    [sym_jsx_fragment] = STATE(46),
    [sym_function_declaration] = STATE(694),
    [sym_import_statement] = STATE(694),
    [sym_expression_statement] = STATE(694),
    [sym_switch_statement] = STATE(694),
    [sym_update_expression] = STATE(46),
    [sym_try_statement] = STATE(694),
    [sym_meta_property] = STATE(46),
    [sym_throw_statement] = STATE(694),
    [sym_object] = STATE(43),
    [aux_sym_export_statement_repeat1] = STATE(44),
    [sym_generator_function] = STATE(46),
    [sym_await_expression] = STATE(46),
    [sym_sequence_expression] = STATE(45),
    [sym_for_of_statement] = STATE(694),
    [sym_continue_statement] = STATE(694),
    [sym_call_expression] = STATE(46),
    [sym_assignment_expression] = STATE(46),
    [sym_statement_block] = STATE(694),
    [sym_binary_expression] = STATE(46),
    [sym_while_statement] = STATE(694),
    [sym_debugger_statement] = STATE(694),
    [sym__expression] = STATE(46),
    [sym_jsx_element] = STATE(46),
    [sym_function] = STATE(47),
    [sym_new_expression] = STATE(46),
    [sym_augmented_assignment_expression] = STATE(46),
    [sym_variable_declaration] = STATE(694),
    [sym_unary_expression] = STATE(46),
    [sym_for_statement] = STATE(694),
    [sym_regex] = STATE(46),
    [sym_with_statement] = STATE(694),
    [sym_empty_statement] = STATE(694),
    [sym_class] = STATE(46),
    [sym_export_statement] = STATE(694),
    [sym_generator_function_declaration] = STATE(694),
    [sym_member_expression] = STATE(42),
    [sym_lexical_declaration] = STATE(694),
    [sym_for_in_statement] = STATE(694),
    [sym_string] = STATE(46),
    [sym_break_statement] = STATE(694),
    [sym_decorator] = STATE(50),
    [sym_labeled_statement] = STATE(694),
    [sym_formal_parameters] = STATE(51),
    [sym_parenthesized_expression] = STATE(46),
    [sym_array] = STATE(52),
    [sym_jsx_opening_element] = STATE(53),
    [sym_jsx_self_closing_element] = STATE(46),
    [sym_class_declaration] = STATE(694),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_delete] = ACTIONS(39),
    [anon_sym_throw] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [anon_sym_get] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(69),
    [sym_false] = ACTIONS(9),
    [sym_number] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_set] = ACTIONS(23),
    [anon_sym_async] = ACTIONS(81),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_try] = ACTIONS(15),
    [anon_sym_for] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(5),
    [sym_null] = ACTIONS(9),
    [anon_sym_function] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(35),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_SLASH] = ACTIONS(45),
    [sym_undefined] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(61),
    [sym_identifier] = ACTIONS(65),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_switch] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(13),
    [anon_sym_void] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_do] = ACTIONS(21),
  },
  [691] = {
    [sym_arrow_function] = STATE(46),
    [sym__declaration] = STATE(695),
    [sym_subscript_expression] = STATE(42),
    [sym_ternary_expression] = STATE(46),
    [sym_if_statement] = STATE(695),
    [sym_template_string] = STATE(46),
    [sym_do_statement] = STATE(695),
    [sym_return_statement] = STATE(695),
    [sym_yield_expression] = STATE(46),
    [sym_jsx_fragment] = STATE(46),
    [sym_function_declaration] = STATE(695),
    [sym_import_statement] = STATE(695),
    [sym_expression_statement] = STATE(695),
    [sym_switch_statement] = STATE(695),
    [sym_update_expression] = STATE(46),
    [sym_try_statement] = STATE(695),
    [sym_meta_property] = STATE(46),
    [sym_throw_statement] = STATE(695),
    [sym_object] = STATE(43),
    [aux_sym_export_statement_repeat1] = STATE(44),
    [sym_generator_function] = STATE(46),
    [sym_await_expression] = STATE(46),
    [sym_sequence_expression] = STATE(45),
    [sym_for_of_statement] = STATE(695),
    [sym_continue_statement] = STATE(695),
    [sym_call_expression] = STATE(46),
    [sym_assignment_expression] = STATE(46),
    [sym_statement_block] = STATE(695),
    [sym_binary_expression] = STATE(46),
    [sym_while_statement] = STATE(695),
    [sym_debugger_statement] = STATE(695),
    [sym__expression] = STATE(46),
    [sym_jsx_element] = STATE(46),
    [sym_function] = STATE(47),
    [sym_new_expression] = STATE(46),
    [sym_augmented_assignment_expression] = STATE(46),
    [sym_variable_declaration] = STATE(695),
    [sym_unary_expression] = STATE(46),
    [sym_for_statement] = STATE(695),
    [sym_regex] = STATE(46),
    [sym_with_statement] = STATE(695),
    [sym_empty_statement] = STATE(695),
    [sym_class] = STATE(46),
    [sym_export_statement] = STATE(695),
    [sym_generator_function_declaration] = STATE(695),
    [sym_member_expression] = STATE(42),
    [sym_lexical_declaration] = STATE(695),
    [sym_for_in_statement] = STATE(695),
    [sym_string] = STATE(46),
    [sym_break_statement] = STATE(695),
    [sym_decorator] = STATE(50),
    [sym_labeled_statement] = STATE(695),
    [sym_formal_parameters] = STATE(51),
    [sym_parenthesized_expression] = STATE(46),
    [sym_array] = STATE(52),
    [sym_jsx_opening_element] = STATE(53),
    [sym_jsx_self_closing_element] = STATE(46),
    [sym_class_declaration] = STATE(695),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_delete] = ACTIONS(39),
    [anon_sym_throw] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [anon_sym_get] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(69),
    [sym_false] = ACTIONS(9),
    [sym_number] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_set] = ACTIONS(23),
    [anon_sym_async] = ACTIONS(81),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_try] = ACTIONS(15),
    [anon_sym_for] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(5),
    [sym_null] = ACTIONS(9),
    [anon_sym_function] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(35),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_SLASH] = ACTIONS(45),
    [sym_undefined] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(61),
    [sym_identifier] = ACTIONS(65),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_switch] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(13),
    [anon_sym_void] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_do] = ACTIONS(21),
  },
  [692] = {
    [sym_arrow_function] = STATE(46),
    [sym__declaration] = STATE(201),
    [sym_subscript_expression] = STATE(42),
    [sym_ternary_expression] = STATE(46),
    [sym_if_statement] = STATE(201),
    [sym_template_string] = STATE(46),
    [sym_do_statement] = STATE(201),
    [sym_return_statement] = STATE(201),
    [sym_yield_expression] = STATE(46),
    [sym_jsx_fragment] = STATE(46),
    [sym_function_declaration] = STATE(201),
    [sym_import_statement] = STATE(201),
    [sym_expression_statement] = STATE(201),
    [sym_switch_statement] = STATE(201),
    [sym_update_expression] = STATE(46),
    [sym_try_statement] = STATE(201),
    [sym_meta_property] = STATE(46),
    [sym_throw_statement] = STATE(201),
    [sym_object] = STATE(43),
    [aux_sym_export_statement_repeat1] = STATE(44),
    [sym_generator_function] = STATE(46),
    [sym_await_expression] = STATE(46),
    [sym_sequence_expression] = STATE(45),
    [sym_for_of_statement] = STATE(201),
    [sym_continue_statement] = STATE(201),
    [sym_call_expression] = STATE(46),
    [sym_assignment_expression] = STATE(46),
    [sym_statement_block] = STATE(201),
    [sym_binary_expression] = STATE(46),
    [sym_while_statement] = STATE(201),
    [sym_debugger_statement] = STATE(201),
    [sym__expression] = STATE(46),
    [sym_jsx_element] = STATE(46),
    [sym_function] = STATE(47),
    [sym_new_expression] = STATE(46),
    [sym_augmented_assignment_expression] = STATE(46),
    [sym_variable_declaration] = STATE(201),
    [sym_unary_expression] = STATE(46),
    [sym_for_statement] = STATE(201),
    [sym_regex] = STATE(46),
    [sym_with_statement] = STATE(201),
    [sym_empty_statement] = STATE(201),
    [aux_sym_program_repeat1] = STATE(201),
    [sym_class] = STATE(46),
    [sym_export_statement] = STATE(201),
    [sym_generator_function_declaration] = STATE(201),
    [sym_member_expression] = STATE(42),
    [sym_lexical_declaration] = STATE(201),
    [sym_for_in_statement] = STATE(201),
    [sym_string] = STATE(46),
    [sym_break_statement] = STATE(201),
    [sym_decorator] = STATE(50),
    [sym_labeled_statement] = STATE(201),
    [sym_formal_parameters] = STATE(51),
    [sym_parenthesized_expression] = STATE(46),
    [sym_array] = STATE(52),
    [sym_jsx_opening_element] = STATE(53),
    [sym_jsx_self_closing_element] = STATE(46),
    [sym_class_declaration] = STATE(201),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_delete] = ACTIONS(39),
    [anon_sym_throw] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [anon_sym_case] = ACTIONS(2347),
    [anon_sym_get] = ACTIONS(23),
    [anon_sym_default] = ACTIONS(2347),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(69),
    [sym_false] = ACTIONS(9),
    [sym_number] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_set] = ACTIONS(23),
    [anon_sym_async] = ACTIONS(81),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_RBRACE] = ACTIONS(2349),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_try] = ACTIONS(15),
    [anon_sym_for] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(5),
    [sym_null] = ACTIONS(9),
    [anon_sym_function] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(35),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_SLASH] = ACTIONS(45),
    [sym_undefined] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(61),
    [sym_identifier] = ACTIONS(65),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_switch] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(13),
    [anon_sym_void] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_do] = ACTIONS(21),
  },
  [693] = {
    [anon_sym_class] = ACTIONS(2351),
    [anon_sym_static] = ACTIONS(2351),
    [anon_sym_DASH] = ACTIONS(2351),
    [anon_sym_import] = ACTIONS(2351),
    [anon_sym_LBRACE] = ACTIONS(2353),
    [anon_sym_delete] = ACTIONS(2351),
    [anon_sym_throw] = ACTIONS(2351),
    [anon_sym_LPAREN] = ACTIONS(2353),
    [anon_sym_BANG] = ACTIONS(2353),
    [sym_this] = ACTIONS(2351),
    [sym_true] = ACTIONS(2351),
    [anon_sym_case] = ACTIONS(2351),
    [anon_sym_get] = ACTIONS(2351),
    [anon_sym_default] = ACTIONS(2351),
    [anon_sym_PLUS_PLUS] = ACTIONS(2353),
    [anon_sym_SEMI] = ACTIONS(2353),
    [anon_sym_DQUOTE] = ACTIONS(2353),
    [anon_sym_TILDE] = ACTIONS(2353),
    [sym_super] = ACTIONS(2351),
    [anon_sym_LT] = ACTIONS(2353),
    [sym_false] = ACTIONS(2351),
    [sym_number] = ACTIONS(2353),
    [anon_sym_yield] = ACTIONS(2351),
    [anon_sym_set] = ACTIONS(2351),
    [anon_sym_async] = ACTIONS(2351),
    [anon_sym_var] = ACTIONS(2351),
    [anon_sym_const] = ACTIONS(2351),
    [anon_sym_RBRACE] = ACTIONS(2353),
    [anon_sym_DASH_DASH] = ACTIONS(2353),
    [anon_sym_try] = ACTIONS(2351),
    [anon_sym_for] = ACTIONS(2351),
    [anon_sym_typeof] = ACTIONS(2351),
    [anon_sym_await] = ACTIONS(2351),
    [sym_null] = ACTIONS(2351),
    [anon_sym_function] = ACTIONS(2351),
    [anon_sym_let] = ACTIONS(2351),
    [anon_sym_if] = ACTIONS(2351),
    [anon_sym_with] = ACTIONS(2351),
    [anon_sym_SQUOTE] = ACTIONS(2353),
    [anon_sym_SLASH] = ACTIONS(2351),
    [sym_undefined] = ACTIONS(2351),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(2353),
    [anon_sym_else] = ACTIONS(2351),
    [anon_sym_break] = ACTIONS(2351),
    [anon_sym_debugger] = ACTIONS(2351),
    [anon_sym_while] = ACTIONS(2351),
    [sym_identifier] = ACTIONS(2351),
    [anon_sym_BQUOTE] = ACTIONS(2353),
    [ts_builtin_sym_end] = ACTIONS(2353),
    [anon_sym_new] = ACTIONS(2351),
    [anon_sym_AT] = ACTIONS(2353),
    [anon_sym_PLUS] = ACTIONS(2351),
    [anon_sym_switch] = ACTIONS(2351),
    [anon_sym_export] = ACTIONS(2351),
    [anon_sym_continue] = ACTIONS(2351),
    [anon_sym_void] = ACTIONS(2351),
    [anon_sym_return] = ACTIONS(2351),
    [anon_sym_do] = ACTIONS(2351),
  },
  [694] = {
    [anon_sym_class] = ACTIONS(2355),
    [anon_sym_static] = ACTIONS(2355),
    [anon_sym_DASH] = ACTIONS(2355),
    [anon_sym_import] = ACTIONS(2355),
    [anon_sym_LBRACE] = ACTIONS(2357),
    [anon_sym_delete] = ACTIONS(2355),
    [anon_sym_throw] = ACTIONS(2355),
    [anon_sym_LPAREN] = ACTIONS(2357),
    [anon_sym_BANG] = ACTIONS(2357),
    [sym_this] = ACTIONS(2355),
    [sym_true] = ACTIONS(2355),
    [anon_sym_case] = ACTIONS(2355),
    [anon_sym_get] = ACTIONS(2355),
    [anon_sym_default] = ACTIONS(2355),
    [anon_sym_PLUS_PLUS] = ACTIONS(2357),
    [anon_sym_SEMI] = ACTIONS(2357),
    [anon_sym_DQUOTE] = ACTIONS(2357),
    [anon_sym_TILDE] = ACTIONS(2357),
    [sym_super] = ACTIONS(2355),
    [anon_sym_LT] = ACTIONS(2357),
    [sym_false] = ACTIONS(2355),
    [sym_number] = ACTIONS(2357),
    [anon_sym_yield] = ACTIONS(2355),
    [anon_sym_set] = ACTIONS(2355),
    [anon_sym_async] = ACTIONS(2355),
    [anon_sym_var] = ACTIONS(2355),
    [anon_sym_const] = ACTIONS(2355),
    [anon_sym_RBRACE] = ACTIONS(2357),
    [anon_sym_DASH_DASH] = ACTIONS(2357),
    [anon_sym_try] = ACTIONS(2355),
    [anon_sym_for] = ACTIONS(2355),
    [anon_sym_typeof] = ACTIONS(2355),
    [anon_sym_await] = ACTIONS(2355),
    [sym_null] = ACTIONS(2355),
    [anon_sym_function] = ACTIONS(2355),
    [anon_sym_let] = ACTIONS(2355),
    [anon_sym_if] = ACTIONS(2355),
    [anon_sym_with] = ACTIONS(2355),
    [anon_sym_SQUOTE] = ACTIONS(2357),
    [anon_sym_SLASH] = ACTIONS(2355),
    [sym_undefined] = ACTIONS(2355),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(2357),
    [anon_sym_else] = ACTIONS(2355),
    [anon_sym_break] = ACTIONS(2355),
    [anon_sym_debugger] = ACTIONS(2355),
    [anon_sym_while] = ACTIONS(2355),
    [sym_identifier] = ACTIONS(2355),
    [anon_sym_BQUOTE] = ACTIONS(2357),
    [ts_builtin_sym_end] = ACTIONS(2357),
    [anon_sym_new] = ACTIONS(2355),
    [anon_sym_AT] = ACTIONS(2357),
    [anon_sym_PLUS] = ACTIONS(2355),
    [anon_sym_switch] = ACTIONS(2355),
    [anon_sym_export] = ACTIONS(2355),
    [anon_sym_continue] = ACTIONS(2355),
    [anon_sym_void] = ACTIONS(2355),
    [anon_sym_return] = ACTIONS(2355),
    [anon_sym_do] = ACTIONS(2355),
  },
  [695] = {
    [anon_sym_class] = ACTIONS(2359),
    [anon_sym_static] = ACTIONS(2359),
    [anon_sym_DASH] = ACTIONS(2359),
    [anon_sym_import] = ACTIONS(2359),
    [anon_sym_LBRACE] = ACTIONS(2361),
    [anon_sym_delete] = ACTIONS(2359),
    [anon_sym_throw] = ACTIONS(2359),
    [anon_sym_LPAREN] = ACTIONS(2361),
    [anon_sym_BANG] = ACTIONS(2361),
    [sym_this] = ACTIONS(2359),
    [sym_true] = ACTIONS(2359),
    [anon_sym_case] = ACTIONS(2359),
    [anon_sym_get] = ACTIONS(2359),
    [anon_sym_default] = ACTIONS(2359),
    [anon_sym_PLUS_PLUS] = ACTIONS(2361),
    [anon_sym_SEMI] = ACTIONS(2361),
    [anon_sym_DQUOTE] = ACTIONS(2361),
    [anon_sym_TILDE] = ACTIONS(2361),
    [sym_super] = ACTIONS(2359),
    [anon_sym_LT] = ACTIONS(2361),
    [sym_false] = ACTIONS(2359),
    [sym_number] = ACTIONS(2361),
    [anon_sym_yield] = ACTIONS(2359),
    [anon_sym_set] = ACTIONS(2359),
    [anon_sym_async] = ACTIONS(2359),
    [anon_sym_var] = ACTIONS(2359),
    [anon_sym_const] = ACTIONS(2359),
    [anon_sym_RBRACE] = ACTIONS(2361),
    [anon_sym_DASH_DASH] = ACTIONS(2361),
    [anon_sym_try] = ACTIONS(2359),
    [anon_sym_for] = ACTIONS(2359),
    [anon_sym_typeof] = ACTIONS(2359),
    [anon_sym_await] = ACTIONS(2359),
    [sym_null] = ACTIONS(2359),
    [anon_sym_function] = ACTIONS(2359),
    [anon_sym_let] = ACTIONS(2359),
    [anon_sym_if] = ACTIONS(2359),
    [anon_sym_with] = ACTIONS(2359),
    [anon_sym_SQUOTE] = ACTIONS(2361),
    [anon_sym_SLASH] = ACTIONS(2359),
    [sym_undefined] = ACTIONS(2359),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(2361),
    [anon_sym_else] = ACTIONS(2359),
    [anon_sym_break] = ACTIONS(2359),
    [anon_sym_debugger] = ACTIONS(2359),
    [anon_sym_while] = ACTIONS(2359),
    [sym_identifier] = ACTIONS(2359),
    [anon_sym_BQUOTE] = ACTIONS(2361),
    [ts_builtin_sym_end] = ACTIONS(2361),
    [anon_sym_new] = ACTIONS(2359),
    [anon_sym_AT] = ACTIONS(2361),
    [anon_sym_PLUS] = ACTIONS(2359),
    [anon_sym_switch] = ACTIONS(2359),
    [anon_sym_export] = ACTIONS(2359),
    [anon_sym_continue] = ACTIONS(2359),
    [anon_sym_void] = ACTIONS(2359),
    [anon_sym_return] = ACTIONS(2359),
    [anon_sym_do] = ACTIONS(2359),
  },
  [696] = {
    [sym_arrow_function] = STATE(710),
    [sym_call_expression] = STATE(710),
    [sym_subscript_expression] = STATE(701),
    [sym_assignment_expression] = STATE(710),
    [sym_ternary_expression] = STATE(710),
    [sym_binary_expression] = STATE(710),
    [sym_template_string] = STATE(710),
    [sym__expression] = STATE(710),
    [sym_yield_expression] = STATE(710),
    [sym_jsx_element] = STATE(710),
    [sym_jsx_fragment] = STATE(710),
    [sym_function] = STATE(703),
    [sym_new_expression] = STATE(710),
    [sym_augmented_assignment_expression] = STATE(710),
    [sym_unary_expression] = STATE(710),
    [sym_update_expression] = STATE(710),
    [sym_regex] = STATE(710),
    [sym_meta_property] = STATE(710),
    [sym_object] = STATE(702),
    [aux_sym_export_statement_repeat1] = STATE(1016),
    [sym_class] = STATE(710),
    [sym_generator_function] = STATE(710),
    [sym_await_expression] = STATE(710),
    [sym_member_expression] = STATE(701),
    [sym_string] = STATE(710),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(874),
    [sym_parenthesized_expression] = STATE(710),
    [sym_array] = STATE(704),
    [sym_jsx_opening_element] = STATE(875),
    [sym_jsx_self_closing_element] = STATE(710),
    [anon_sym_await] = ACTIONS(217),
    [sym_null] = ACTIONS(2363),
    [anon_sym_class] = ACTIONS(183),
    [anon_sym_static] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(219),
    [anon_sym_DASH] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_delete] = ACTIONS(191),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [anon_sym_LPAREN] = ACTIONS(193),
    [anon_sym_BANG] = ACTIONS(195),
    [sym_this] = ACTIONS(2363),
    [sym_undefined] = ACTIONS(2363),
    [sym_true] = ACTIONS(2363),
    [anon_sym_SLASH] = ACTIONS(223),
    [anon_sym_LBRACK] = ACTIONS(225),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(243),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_TILDE] = ACTIONS(195),
    [sym_super] = ACTIONS(207),
    [sym_identifier] = ACTIONS(253),
    [sym_false] = ACTIONS(2363),
    [anon_sym_LT] = ACTIONS(209),
    [sym_number] = ACTIONS(2365),
    [anon_sym_yield] = ACTIONS(213),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_set] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(251),
    [anon_sym_new] = ACTIONS(231),
    [anon_sym_PLUS] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_void] = ACTIONS(191),
    [anon_sym_typeof] = ACTIONS(191),
  },
  [697] = {
    [anon_sym_instanceof] = ACTIONS(129),
    [anon_sym_COLON] = ACTIONS(129),
    [anon_sym_AMP_EQ] = ACTIONS(658),
    [anon_sym_GT_GT_EQ] = ACTIONS(658),
    [anon_sym_STAR_EQ] = ACTIONS(658),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_STAR_STAR] = ACTIONS(133),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_GT_EQ] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(129),
    [anon_sym_PIPE_EQ] = ACTIONS(658),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(658),
    [anon_sym_SLASH_EQ] = ACTIONS(658),
    [anon_sym_LT_EQ] = ACTIONS(129),
    [anon_sym_COMMA] = ACTIONS(129),
    [anon_sym_PLUS_PLUS] = ACTIONS(129),
    [anon_sym_RPAREN] = ACTIONS(129),
    [anon_sym_LT] = ACTIONS(133),
    [anon_sym_LT_LT_EQ] = ACTIONS(658),
    [anon_sym_EQ_EQ] = ACTIONS(133),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_RBRACE] = ACTIONS(129),
    [anon_sym_DASH_DASH] = ACTIONS(129),
    [anon_sym_GT] = ACTIONS(133),
    [anon_sym_EQ] = ACTIONS(656),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(658),
    [anon_sym_CARET] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(129),
    [anon_sym_GT_GT] = ACTIONS(133),
    [anon_sym_in] = ACTIONS(133),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(129),
    [anon_sym_SLASH] = ACTIONS(133),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(129),
    [anon_sym_PERCENT_EQ] = ACTIONS(658),
    [anon_sym_PLUS_EQ] = ACTIONS(658),
    [anon_sym_PIPE] = ACTIONS(133),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_GT_GT_GT] = ACTIONS(133),
    [anon_sym_BANG_EQ] = ACTIONS(133),
    [anon_sym_DOT] = ACTIONS(666),
    [anon_sym_BQUOTE] = ACTIONS(129),
    [anon_sym_RBRACK] = ACTIONS(129),
    [anon_sym_CARET_EQ] = ACTIONS(658),
    [anon_sym_DASH_EQ] = ACTIONS(658),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_LT_LT] = ACTIONS(133),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(129),
  },
  [698] = {
    [sym_arrow_function] = STATE(714),
    [sym_call_expression] = STATE(714),
    [sym_subscript_expression] = STATE(701),
    [sym_assignment_expression] = STATE(714),
    [sym_ternary_expression] = STATE(714),
    [sym_binary_expression] = STATE(714),
    [sym_template_string] = STATE(714),
    [sym__expression] = STATE(714),
    [sym_yield_expression] = STATE(714),
    [sym_jsx_element] = STATE(714),
    [sym_jsx_fragment] = STATE(714),
    [sym_function] = STATE(703),
    [sym_new_expression] = STATE(714),
    [sym_augmented_assignment_expression] = STATE(714),
    [sym_unary_expression] = STATE(714),
    [sym_update_expression] = STATE(714),
    [sym_regex] = STATE(714),
    [sym_meta_property] = STATE(714),
    [sym_object] = STATE(702),
    [aux_sym_export_statement_repeat1] = STATE(1016),
    [sym_class] = STATE(714),
    [sym_generator_function] = STATE(714),
    [sym_await_expression] = STATE(714),
    [sym_member_expression] = STATE(701),
    [sym_string] = STATE(714),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(874),
    [sym_parenthesized_expression] = STATE(714),
    [sym_array] = STATE(704),
    [sym_jsx_opening_element] = STATE(875),
    [sym_jsx_self_closing_element] = STATE(714),
    [anon_sym_await] = ACTIONS(217),
    [sym_null] = ACTIONS(2367),
    [anon_sym_class] = ACTIONS(183),
    [anon_sym_static] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(219),
    [anon_sym_DASH] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_delete] = ACTIONS(191),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [anon_sym_LPAREN] = ACTIONS(193),
    [anon_sym_BANG] = ACTIONS(195),
    [sym_this] = ACTIONS(2367),
    [sym_undefined] = ACTIONS(2367),
    [sym_true] = ACTIONS(2367),
    [anon_sym_SLASH] = ACTIONS(223),
    [anon_sym_LBRACK] = ACTIONS(225),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(243),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_TILDE] = ACTIONS(195),
    [sym_super] = ACTIONS(207),
    [sym_identifier] = ACTIONS(253),
    [sym_false] = ACTIONS(2367),
    [anon_sym_LT] = ACTIONS(209),
    [sym_number] = ACTIONS(2369),
    [anon_sym_yield] = ACTIONS(213),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_set] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(251),
    [anon_sym_new] = ACTIONS(231),
    [anon_sym_PLUS] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_void] = ACTIONS(191),
    [anon_sym_typeof] = ACTIONS(191),
  },
  [699] = {
    [sym_arrow_function] = STATE(716),
    [sym_call_expression] = STATE(716),
    [sym_subscript_expression] = STATE(701),
    [sym_assignment_expression] = STATE(716),
    [sym_ternary_expression] = STATE(716),
    [sym_binary_expression] = STATE(716),
    [sym_template_string] = STATE(716),
    [sym__expression] = STATE(716),
    [sym_yield_expression] = STATE(716),
    [sym_jsx_element] = STATE(716),
    [sym_jsx_fragment] = STATE(716),
    [sym_function] = STATE(703),
    [sym_new_expression] = STATE(716),
    [sym_augmented_assignment_expression] = STATE(716),
    [sym_unary_expression] = STATE(716),
    [sym_update_expression] = STATE(716),
    [sym_regex] = STATE(716),
    [sym_meta_property] = STATE(716),
    [sym_object] = STATE(702),
    [aux_sym_export_statement_repeat1] = STATE(1016),
    [sym_class] = STATE(716),
    [sym_generator_function] = STATE(716),
    [sym_await_expression] = STATE(716),
    [sym_member_expression] = STATE(701),
    [sym_string] = STATE(716),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(874),
    [sym_parenthesized_expression] = STATE(716),
    [sym_array] = STATE(704),
    [sym_jsx_opening_element] = STATE(875),
    [sym_jsx_self_closing_element] = STATE(716),
    [anon_sym_await] = ACTIONS(217),
    [sym_null] = ACTIONS(2371),
    [anon_sym_class] = ACTIONS(183),
    [anon_sym_static] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(219),
    [anon_sym_DASH] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_delete] = ACTIONS(191),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [anon_sym_LPAREN] = ACTIONS(193),
    [anon_sym_BANG] = ACTIONS(195),
    [sym_this] = ACTIONS(2371),
    [sym_undefined] = ACTIONS(2371),
    [sym_true] = ACTIONS(2371),
    [anon_sym_SLASH] = ACTIONS(223),
    [anon_sym_LBRACK] = ACTIONS(225),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(243),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_TILDE] = ACTIONS(195),
    [sym_super] = ACTIONS(207),
    [sym_identifier] = ACTIONS(253),
    [sym_false] = ACTIONS(2371),
    [anon_sym_LT] = ACTIONS(209),
    [sym_number] = ACTIONS(2373),
    [anon_sym_yield] = ACTIONS(213),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_set] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(251),
    [anon_sym_new] = ACTIONS(231),
    [anon_sym_PLUS] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_void] = ACTIONS(191),
    [anon_sym_typeof] = ACTIONS(191),
  },
  [700] = {
    [sym_arrow_function] = STATE(724),
    [sym_call_expression] = STATE(724),
    [sym_subscript_expression] = STATE(701),
    [sym_assignment_expression] = STATE(724),
    [sym_ternary_expression] = STATE(724),
    [sym_binary_expression] = STATE(724),
    [sym_template_string] = STATE(724),
    [sym__expression] = STATE(724),
    [sym_yield_expression] = STATE(724),
    [sym_jsx_element] = STATE(724),
    [sym_jsx_fragment] = STATE(724),
    [sym_function] = STATE(703),
    [sym_new_expression] = STATE(724),
    [sym_augmented_assignment_expression] = STATE(724),
    [sym_unary_expression] = STATE(724),
    [sym_update_expression] = STATE(724),
    [sym_regex] = STATE(724),
    [sym_meta_property] = STATE(724),
    [sym_object] = STATE(702),
    [aux_sym_export_statement_repeat1] = STATE(1016),
    [sym_class] = STATE(724),
    [sym_generator_function] = STATE(724),
    [sym_await_expression] = STATE(724),
    [sym_member_expression] = STATE(701),
    [sym_string] = STATE(724),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(874),
    [sym_parenthesized_expression] = STATE(724),
    [sym_array] = STATE(704),
    [sym_jsx_opening_element] = STATE(875),
    [sym_jsx_self_closing_element] = STATE(724),
    [anon_sym_instanceof] = ACTIONS(297),
    [anon_sym_class] = ACTIONS(183),
    [anon_sym_COLON] = ACTIONS(299),
    [anon_sym_static] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(187),
    [anon_sym_STAR_STAR] = ACTIONS(299),
    [anon_sym_STAR] = ACTIONS(297),
    [anon_sym_AMP] = ACTIONS(297),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_delete] = ACTIONS(191),
    [anon_sym_GT_EQ] = ACTIONS(299),
    [anon_sym_LPAREN] = ACTIONS(193),
    [anon_sym_BANG] = ACTIONS(2375),
    [sym_this] = ACTIONS(2377),
    [sym_true] = ACTIONS(2377),
    [anon_sym_get] = ACTIONS(243),
    [anon_sym_LT_EQ] = ACTIONS(299),
    [anon_sym_COMMA] = ACTIONS(299),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_RPAREN] = ACTIONS(299),
    [anon_sym_TILDE] = ACTIONS(195),
    [sym_super] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(2379),
    [sym_false] = ACTIONS(2377),
    [sym_number] = ACTIONS(2381),
    [anon_sym_yield] = ACTIONS(213),
    [anon_sym_set] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(251),
    [anon_sym_EQ_EQ] = ACTIONS(297),
    [anon_sym_QMARK] = ACTIONS(299),
    [anon_sym_RBRACE] = ACTIONS(299),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_typeof] = ACTIONS(191),
    [anon_sym_await] = ACTIONS(217),
    [anon_sym_GT] = ACTIONS(297),
    [sym_null] = ACTIONS(2377),
    [anon_sym_function] = ACTIONS(219),
    [anon_sym_CARET] = ACTIONS(299),
    [anon_sym_AMP_AMP] = ACTIONS(299),
    [anon_sym_GT_GT] = ACTIONS(297),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [anon_sym_in] = ACTIONS(297),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(299),
    [anon_sym_SLASH] = ACTIONS(223),
    [sym_undefined] = ACTIONS(2377),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_PIPE] = ACTIONS(297),
    [anon_sym_PIPE_PIPE] = ACTIONS(299),
    [anon_sym_GT_GT_GT] = ACTIONS(299),
    [anon_sym_BANG_EQ] = ACTIONS(297),
    [sym_identifier] = ACTIONS(253),
    [anon_sym_DOT] = ACTIONS(297),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_RBRACK] = ACTIONS(299),
    [anon_sym_new] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(187),
    [anon_sym_PERCENT] = ACTIONS(299),
    [anon_sym_LT_LT] = ACTIONS(299),
    [anon_sym_void] = ACTIONS(191),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(299),
  },
  [701] = {
    [anon_sym_instanceof] = ACTIONS(277),
    [anon_sym_COLON] = ACTIONS(277),
    [anon_sym_AMP_EQ] = ACTIONS(674),
    [anon_sym_GT_GT_EQ] = ACTIONS(674),
    [anon_sym_STAR_EQ] = ACTIONS(674),
    [anon_sym_DASH] = ACTIONS(283),
    [anon_sym_STAR_STAR] = ACTIONS(283),
    [anon_sym_STAR] = ACTIONS(283),
    [anon_sym_AMP] = ACTIONS(283),
    [anon_sym_LBRACE] = ACTIONS(277),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_PIPE_EQ] = ACTIONS(674),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(674),
    [anon_sym_SLASH_EQ] = ACTIONS(674),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_COMMA] = ACTIONS(277),
    [anon_sym_PLUS_PLUS] = ACTIONS(277),
    [anon_sym_RPAREN] = ACTIONS(277),
    [anon_sym_LT] = ACTIONS(283),
    [anon_sym_LT_LT_EQ] = ACTIONS(674),
    [anon_sym_EQ_EQ] = ACTIONS(283),
    [anon_sym_QMARK] = ACTIONS(277),
    [anon_sym_RBRACE] = ACTIONS(277),
    [anon_sym_DASH_DASH] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(283),
    [anon_sym_EQ] = ACTIONS(844),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(674),
    [anon_sym_CARET] = ACTIONS(283),
    [anon_sym_AMP_AMP] = ACTIONS(277),
    [anon_sym_GT_GT] = ACTIONS(283),
    [anon_sym_in] = ACTIONS(283),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(277),
    [anon_sym_SLASH] = ACTIONS(283),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(277),
    [anon_sym_PERCENT_EQ] = ACTIONS(674),
    [anon_sym_PLUS_EQ] = ACTIONS(674),
    [anon_sym_PIPE] = ACTIONS(283),
    [anon_sym_PIPE_PIPE] = ACTIONS(277),
    [anon_sym_GT_GT_GT] = ACTIONS(283),
    [anon_sym_BANG_EQ] = ACTIONS(283),
    [anon_sym_DOT] = ACTIONS(277),
    [anon_sym_BQUOTE] = ACTIONS(277),
    [anon_sym_RBRACK] = ACTIONS(277),
    [anon_sym_CARET_EQ] = ACTIONS(674),
    [anon_sym_DASH_EQ] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_PERCENT] = ACTIONS(283),
    [anon_sym_LT_LT] = ACTIONS(283),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(277),
  },
  [702] = {
    [anon_sym_instanceof] = ACTIONS(277),
    [anon_sym_COLON] = ACTIONS(277),
    [anon_sym_DASH] = ACTIONS(283),
    [anon_sym_STAR_STAR] = ACTIONS(277),
    [anon_sym_STAR] = ACTIONS(283),
    [anon_sym_AMP] = ACTIONS(283),
    [anon_sym_LBRACE] = ACTIONS(277),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_COMMA] = ACTIONS(277),
    [anon_sym_PLUS_PLUS] = ACTIONS(277),
    [anon_sym_RPAREN] = ACTIONS(277),
    [anon_sym_LT] = ACTIONS(283),
    [anon_sym_EQ_EQ] = ACTIONS(283),
    [anon_sym_QMARK] = ACTIONS(277),
    [anon_sym_RBRACE] = ACTIONS(277),
    [anon_sym_DASH_DASH] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(283),
    [anon_sym_EQ] = ACTIONS(848),
    [anon_sym_CARET] = ACTIONS(277),
    [anon_sym_AMP_AMP] = ACTIONS(277),
    [anon_sym_GT_GT] = ACTIONS(283),
    [anon_sym_in] = ACTIONS(676),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(277),
    [anon_sym_SLASH] = ACTIONS(283),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(277),
    [anon_sym_PIPE] = ACTIONS(283),
    [anon_sym_PIPE_PIPE] = ACTIONS(277),
    [anon_sym_GT_GT_GT] = ACTIONS(277),
    [anon_sym_BANG_EQ] = ACTIONS(283),
    [anon_sym_DOT] = ACTIONS(277),
    [anon_sym_BQUOTE] = ACTIONS(277),
    [anon_sym_RBRACK] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_PERCENT] = ACTIONS(277),
    [anon_sym_LT_LT] = ACTIONS(277),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(277),
  },
  [703] = {
    [sym_template_string] = STATE(719),
    [sym_arguments] = STATE(719),
    [anon_sym_instanceof] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(283),
    [anon_sym_COLON] = ACTIONS(277),
    [anon_sym_DASH] = ACTIONS(283),
    [anon_sym_CARET] = ACTIONS(277),
    [anon_sym_STAR_STAR] = ACTIONS(277),
    [anon_sym_STAR] = ACTIONS(283),
    [anon_sym_AMP_AMP] = ACTIONS(277),
    [anon_sym_GT_GT] = ACTIONS(283),
    [anon_sym_AMP] = ACTIONS(283),
    [anon_sym_LBRACE] = ACTIONS(277),
    [anon_sym_in] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(277),
    [anon_sym_SLASH] = ACTIONS(283),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(277),
    [anon_sym_PIPE] = ACTIONS(283),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_PIPE_PIPE] = ACTIONS(277),
    [anon_sym_COMMA] = ACTIONS(277),
    [anon_sym_GT_GT_GT] = ACTIONS(277),
    [anon_sym_PLUS_PLUS] = ACTIONS(277),
    [anon_sym_RPAREN] = ACTIONS(277),
    [anon_sym_BANG_EQ] = ACTIONS(283),
    [anon_sym_LT] = ACTIONS(283),
    [anon_sym_DOT] = ACTIONS(277),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_RBRACK] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_EQ_EQ] = ACTIONS(283),
    [anon_sym_PERCENT] = ACTIONS(277),
    [anon_sym_QMARK] = ACTIONS(277),
    [anon_sym_LT_LT] = ACTIONS(277),
    [anon_sym_DASH_DASH] = ACTIONS(277),
    [anon_sym_RBRACE] = ACTIONS(277),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(277),
  },
  [704] = {
    [anon_sym_instanceof] = ACTIONS(277),
    [anon_sym_COLON] = ACTIONS(277),
    [anon_sym_DASH] = ACTIONS(283),
    [anon_sym_STAR_STAR] = ACTIONS(277),
    [anon_sym_STAR] = ACTIONS(283),
    [anon_sym_AMP] = ACTIONS(283),
    [anon_sym_LBRACE] = ACTIONS(277),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_COMMA] = ACTIONS(277),
    [anon_sym_PLUS_PLUS] = ACTIONS(277),
    [anon_sym_RPAREN] = ACTIONS(277),
    [anon_sym_LT] = ACTIONS(283),
    [anon_sym_EQ_EQ] = ACTIONS(283),
    [anon_sym_QMARK] = ACTIONS(277),
    [anon_sym_RBRACE] = ACTIONS(277),
    [anon_sym_DASH_DASH] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(283),
    [anon_sym_EQ] = ACTIONS(850),
    [anon_sym_CARET] = ACTIONS(277),
    [anon_sym_AMP_AMP] = ACTIONS(277),
    [anon_sym_GT_GT] = ACTIONS(283),
    [anon_sym_in] = ACTIONS(676),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(277),
    [anon_sym_SLASH] = ACTIONS(283),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(277),
    [anon_sym_PIPE] = ACTIONS(283),
    [anon_sym_PIPE_PIPE] = ACTIONS(277),
    [anon_sym_GT_GT_GT] = ACTIONS(277),
    [anon_sym_BANG_EQ] = ACTIONS(283),
    [anon_sym_DOT] = ACTIONS(277),
    [anon_sym_BQUOTE] = ACTIONS(277),
    [anon_sym_RBRACK] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_PERCENT] = ACTIONS(277),
    [anon_sym_LT_LT] = ACTIONS(277),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(277),
  },
  [705] = {
    [anon_sym_instanceof] = ACTIONS(277),
    [anon_sym_COLON] = ACTIONS(277),
    [anon_sym_AMP_EQ] = ACTIONS(674),
    [anon_sym_GT_GT_EQ] = ACTIONS(674),
    [anon_sym_STAR_EQ] = ACTIONS(674),
    [anon_sym_DASH] = ACTIONS(283),
    [anon_sym_STAR_STAR] = ACTIONS(283),
    [anon_sym_STAR] = ACTIONS(283),
    [anon_sym_AMP] = ACTIONS(283),
    [anon_sym_LBRACE] = ACTIONS(277),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_PIPE_EQ] = ACTIONS(674),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(674),
    [anon_sym_SLASH_EQ] = ACTIONS(674),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_COMMA] = ACTIONS(277),
    [anon_sym_PLUS_PLUS] = ACTIONS(277),
    [anon_sym_RPAREN] = ACTIONS(277),
    [anon_sym_LT] = ACTIONS(283),
    [anon_sym_LT_LT_EQ] = ACTIONS(674),
    [anon_sym_EQ_EQ] = ACTIONS(283),
    [anon_sym_QMARK] = ACTIONS(277),
    [anon_sym_RBRACE] = ACTIONS(277),
    [anon_sym_DASH_DASH] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(283),
    [anon_sym_EQ] = ACTIONS(844),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(674),
    [anon_sym_CARET] = ACTIONS(283),
    [anon_sym_AMP_AMP] = ACTIONS(277),
    [anon_sym_GT_GT] = ACTIONS(283),
    [anon_sym_in] = ACTIONS(676),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(277),
    [anon_sym_SLASH] = ACTIONS(283),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(277),
    [anon_sym_PERCENT_EQ] = ACTIONS(674),
    [anon_sym_EQ_GT] = ACTIONS(678),
    [anon_sym_PLUS_EQ] = ACTIONS(674),
    [anon_sym_PIPE] = ACTIONS(283),
    [anon_sym_PIPE_PIPE] = ACTIONS(277),
    [anon_sym_GT_GT_GT] = ACTIONS(283),
    [anon_sym_BANG_EQ] = ACTIONS(283),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_BQUOTE] = ACTIONS(277),
    [anon_sym_RBRACK] = ACTIONS(277),
    [anon_sym_CARET_EQ] = ACTIONS(674),
    [anon_sym_DASH_EQ] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_PERCENT] = ACTIONS(283),
    [anon_sym_LT_LT] = ACTIONS(283),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(277),
  },
  [706] = {
    [sym_formal_parameters] = STATE(904),
    [anon_sym_instanceof] = ACTIONS(133),
    [anon_sym_COLON] = ACTIONS(129),
    [anon_sym_AMP_EQ] = ACTIONS(658),
    [anon_sym_GT_GT_EQ] = ACTIONS(658),
    [anon_sym_STAR_EQ] = ACTIONS(658),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_STAR_STAR] = ACTIONS(133),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_GT_EQ] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(311),
    [anon_sym_PIPE_EQ] = ACTIONS(658),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(658),
    [anon_sym_SLASH_EQ] = ACTIONS(658),
    [anon_sym_LT_EQ] = ACTIONS(129),
    [anon_sym_COMMA] = ACTIONS(129),
    [anon_sym_PLUS_PLUS] = ACTIONS(129),
    [anon_sym_RPAREN] = ACTIONS(129),
    [anon_sym_LT] = ACTIONS(133),
    [anon_sym_LT_LT_EQ] = ACTIONS(658),
    [anon_sym_EQ_EQ] = ACTIONS(133),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_RBRACE] = ACTIONS(129),
    [anon_sym_DASH_DASH] = ACTIONS(129),
    [anon_sym_GT] = ACTIONS(133),
    [anon_sym_EQ] = ACTIONS(656),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(658),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_CARET] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(129),
    [anon_sym_GT_GT] = ACTIONS(133),
    [anon_sym_in] = ACTIONS(133),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(129),
    [anon_sym_SLASH] = ACTIONS(133),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(129),
    [anon_sym_PERCENT_EQ] = ACTIONS(658),
    [anon_sym_PLUS_EQ] = ACTIONS(658),
    [anon_sym_PIPE] = ACTIONS(133),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_GT_GT_GT] = ACTIONS(133),
    [anon_sym_BANG_EQ] = ACTIONS(133),
    [sym_identifier] = ACTIONS(690),
    [anon_sym_DOT] = ACTIONS(666),
    [anon_sym_BQUOTE] = ACTIONS(129),
    [anon_sym_RBRACK] = ACTIONS(129),
    [anon_sym_CARET_EQ] = ACTIONS(658),
    [anon_sym_DASH_EQ] = ACTIONS(658),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_LT_LT] = ACTIONS(133),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(129),
  },
  [707] = {
    [sym_template_string] = STATE(719),
    [sym_arguments] = STATE(719),
    [anon_sym_instanceof] = ACTIONS(696),
    [anon_sym_GT] = ACTIONS(676),
    [anon_sym_COLON] = ACTIONS(454),
    [anon_sym_DASH] = ACTIONS(698),
    [anon_sym_CARET] = ACTIONS(700),
    [anon_sym_STAR_STAR] = ACTIONS(702),
    [anon_sym_STAR] = ACTIONS(704),
    [anon_sym_AMP_AMP] = ACTIONS(706),
    [anon_sym_GT_GT] = ACTIONS(704),
    [anon_sym_AMP] = ACTIONS(708),
    [anon_sym_LBRACE] = ACTIONS(454),
    [anon_sym_in] = ACTIONS(676),
    [anon_sym_LPAREN] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(704),
    [anon_sym_GT_EQ] = ACTIONS(696),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(710),
    [anon_sym_PIPE] = ACTIONS(712),
    [anon_sym_LT_EQ] = ACTIONS(696),
    [anon_sym_PIPE_PIPE] = ACTIONS(700),
    [anon_sym_COMMA] = ACTIONS(454),
    [anon_sym_GT_GT_GT] = ACTIONS(714),
    [anon_sym_PLUS_PLUS] = ACTIONS(716),
    [anon_sym_RPAREN] = ACTIONS(454),
    [anon_sym_BANG_EQ] = ACTIONS(676),
    [anon_sym_LT] = ACTIONS(676),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_RBRACK] = ACTIONS(454),
    [anon_sym_PLUS] = ACTIONS(698),
    [anon_sym_EQ_EQ] = ACTIONS(676),
    [anon_sym_PERCENT] = ACTIONS(714),
    [anon_sym_QMARK] = ACTIONS(722),
    [anon_sym_LT_LT] = ACTIONS(714),
    [anon_sym_DASH_DASH] = ACTIONS(716),
    [anon_sym_RBRACE] = ACTIONS(454),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(696),
  },
  [708] = {
    [sym_template_string] = STATE(719),
    [sym_arguments] = STATE(719),
    [anon_sym_instanceof] = ACTIONS(458),
    [anon_sym_GT] = ACTIONS(460),
    [anon_sym_COLON] = ACTIONS(458),
    [anon_sym_DASH] = ACTIONS(460),
    [anon_sym_CARET] = ACTIONS(458),
    [anon_sym_STAR_STAR] = ACTIONS(458),
    [anon_sym_STAR] = ACTIONS(460),
    [anon_sym_AMP_AMP] = ACTIONS(458),
    [anon_sym_GT_GT] = ACTIONS(460),
    [anon_sym_AMP] = ACTIONS(460),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_in] = ACTIONS(460),
    [anon_sym_LPAREN] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(458),
    [anon_sym_SLASH] = ACTIONS(460),
    [anon_sym_GT_EQ] = ACTIONS(458),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(710),
    [anon_sym_PIPE] = ACTIONS(460),
    [anon_sym_LT_EQ] = ACTIONS(458),
    [anon_sym_PIPE_PIPE] = ACTIONS(458),
    [anon_sym_COMMA] = ACTIONS(458),
    [anon_sym_GT_GT_GT] = ACTIONS(458),
    [anon_sym_PLUS_PLUS] = ACTIONS(716),
    [anon_sym_RPAREN] = ACTIONS(458),
    [anon_sym_BANG_EQ] = ACTIONS(460),
    [anon_sym_LT] = ACTIONS(460),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_RBRACK] = ACTIONS(458),
    [anon_sym_PLUS] = ACTIONS(460),
    [anon_sym_EQ_EQ] = ACTIONS(460),
    [anon_sym_PERCENT] = ACTIONS(458),
    [anon_sym_QMARK] = ACTIONS(458),
    [anon_sym_LT_LT] = ACTIONS(458),
    [anon_sym_DASH_DASH] = ACTIONS(716),
    [anon_sym_RBRACE] = ACTIONS(458),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(458),
  },
  [709] = {
    [anon_sym_instanceof] = ACTIONS(482),
    [anon_sym_GT] = ACTIONS(484),
    [anon_sym_COLON] = ACTIONS(482),
    [anon_sym_DASH] = ACTIONS(484),
    [anon_sym_CARET] = ACTIONS(482),
    [anon_sym_STAR_STAR] = ACTIONS(482),
    [anon_sym_STAR] = ACTIONS(484),
    [anon_sym_AMP_AMP] = ACTIONS(482),
    [anon_sym_GT_GT] = ACTIONS(484),
    [anon_sym_AMP] = ACTIONS(484),
    [anon_sym_LBRACE] = ACTIONS(482),
    [anon_sym_in] = ACTIONS(484),
    [anon_sym_LPAREN] = ACTIONS(482),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(482),
    [anon_sym_SLASH] = ACTIONS(484),
    [anon_sym_GT_EQ] = ACTIONS(482),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(482),
    [anon_sym_PIPE] = ACTIONS(484),
    [anon_sym_LT_EQ] = ACTIONS(482),
    [anon_sym_PIPE_PIPE] = ACTIONS(482),
    [anon_sym_COMMA] = ACTIONS(482),
    [anon_sym_GT_GT_GT] = ACTIONS(482),
    [anon_sym_PLUS_PLUS] = ACTIONS(482),
    [anon_sym_RPAREN] = ACTIONS(482),
    [anon_sym_BANG_EQ] = ACTIONS(484),
    [anon_sym_LT] = ACTIONS(484),
    [anon_sym_DOT] = ACTIONS(482),
    [anon_sym_BQUOTE] = ACTIONS(482),
    [anon_sym_RBRACK] = ACTIONS(482),
    [anon_sym_PLUS] = ACTIONS(484),
    [anon_sym_EQ_EQ] = ACTIONS(484),
    [anon_sym_PERCENT] = ACTIONS(482),
    [anon_sym_QMARK] = ACTIONS(482),
    [anon_sym_LT_LT] = ACTIONS(482),
    [anon_sym_DASH_DASH] = ACTIONS(482),
    [anon_sym_RBRACE] = ACTIONS(482),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(482),
  },
  [710] = {
    [sym_template_string] = STATE(719),
    [sym_arguments] = STATE(719),
    [anon_sym_instanceof] = ACTIONS(486),
    [anon_sym_GT] = ACTIONS(488),
    [anon_sym_COLON] = ACTIONS(486),
    [anon_sym_DASH] = ACTIONS(488),
    [anon_sym_CARET] = ACTIONS(486),
    [anon_sym_STAR_STAR] = ACTIONS(486),
    [anon_sym_STAR] = ACTIONS(488),
    [anon_sym_AMP_AMP] = ACTIONS(486),
    [anon_sym_GT_GT] = ACTIONS(488),
    [anon_sym_AMP] = ACTIONS(488),
    [anon_sym_LBRACE] = ACTIONS(486),
    [anon_sym_in] = ACTIONS(488),
    [anon_sym_LPAREN] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(486),
    [anon_sym_SLASH] = ACTIONS(488),
    [anon_sym_GT_EQ] = ACTIONS(486),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(710),
    [anon_sym_PIPE] = ACTIONS(488),
    [anon_sym_LT_EQ] = ACTIONS(486),
    [anon_sym_PIPE_PIPE] = ACTIONS(486),
    [anon_sym_COMMA] = ACTIONS(486),
    [anon_sym_GT_GT_GT] = ACTIONS(486),
    [anon_sym_PLUS_PLUS] = ACTIONS(486),
    [anon_sym_RPAREN] = ACTIONS(486),
    [anon_sym_BANG_EQ] = ACTIONS(488),
    [anon_sym_LT] = ACTIONS(488),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_RBRACK] = ACTIONS(486),
    [anon_sym_PLUS] = ACTIONS(488),
    [anon_sym_EQ_EQ] = ACTIONS(488),
    [anon_sym_PERCENT] = ACTIONS(486),
    [anon_sym_QMARK] = ACTIONS(486),
    [anon_sym_LT_LT] = ACTIONS(486),
    [anon_sym_DASH_DASH] = ACTIONS(486),
    [anon_sym_RBRACE] = ACTIONS(486),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(486),
  },
  [711] = {
    [anon_sym_instanceof] = ACTIONS(494),
    [anon_sym_GT] = ACTIONS(496),
    [anon_sym_COLON] = ACTIONS(494),
    [anon_sym_DASH] = ACTIONS(496),
    [anon_sym_CARET] = ACTIONS(494),
    [anon_sym_STAR_STAR] = ACTIONS(494),
    [anon_sym_STAR] = ACTIONS(496),
    [anon_sym_AMP_AMP] = ACTIONS(494),
    [anon_sym_GT_GT] = ACTIONS(496),
    [anon_sym_AMP] = ACTIONS(496),
    [anon_sym_LBRACE] = ACTIONS(494),
    [anon_sym_in] = ACTIONS(496),
    [anon_sym_LPAREN] = ACTIONS(494),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(494),
    [anon_sym_SLASH] = ACTIONS(496),
    [anon_sym_GT_EQ] = ACTIONS(494),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(494),
    [anon_sym_PIPE] = ACTIONS(496),
    [anon_sym_LT_EQ] = ACTIONS(494),
    [anon_sym_PIPE_PIPE] = ACTIONS(494),
    [anon_sym_COMMA] = ACTIONS(494),
    [anon_sym_GT_GT_GT] = ACTIONS(494),
    [anon_sym_PLUS_PLUS] = ACTIONS(494),
    [anon_sym_RPAREN] = ACTIONS(494),
    [anon_sym_BANG_EQ] = ACTIONS(496),
    [anon_sym_LT] = ACTIONS(496),
    [anon_sym_DOT] = ACTIONS(494),
    [anon_sym_BQUOTE] = ACTIONS(494),
    [anon_sym_RBRACK] = ACTIONS(494),
    [anon_sym_PLUS] = ACTIONS(496),
    [anon_sym_EQ_EQ] = ACTIONS(496),
    [anon_sym_PERCENT] = ACTIONS(494),
    [anon_sym_QMARK] = ACTIONS(494),
    [anon_sym_LT_LT] = ACTIONS(494),
    [anon_sym_DASH_DASH] = ACTIONS(494),
    [anon_sym_RBRACE] = ACTIONS(494),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(494),
  },
  [712] = {
    [sym_arrow_function] = STATE(750),
    [sym_call_expression] = STATE(750),
    [sym_subscript_expression] = STATE(701),
    [sym_assignment_expression] = STATE(750),
    [sym_ternary_expression] = STATE(750),
    [sym_binary_expression] = STATE(750),
    [sym_template_string] = STATE(750),
    [sym__expression] = STATE(750),
    [sym_yield_expression] = STATE(750),
    [sym_jsx_element] = STATE(750),
    [sym_jsx_fragment] = STATE(750),
    [sym_function] = STATE(703),
    [sym_new_expression] = STATE(750),
    [sym_augmented_assignment_expression] = STATE(750),
    [sym_unary_expression] = STATE(750),
    [sym_update_expression] = STATE(750),
    [sym_regex] = STATE(750),
    [sym_meta_property] = STATE(750),
    [sym_object] = STATE(702),
    [aux_sym_export_statement_repeat1] = STATE(1016),
    [sym_class] = STATE(750),
    [sym_generator_function] = STATE(750),
    [sym_await_expression] = STATE(750),
    [sym_member_expression] = STATE(701),
    [sym_string] = STATE(750),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(874),
    [sym_parenthesized_expression] = STATE(750),
    [sym_array] = STATE(704),
    [sym_jsx_opening_element] = STATE(875),
    [sym_jsx_self_closing_element] = STATE(750),
    [anon_sym_await] = ACTIONS(217),
    [sym_null] = ACTIONS(2383),
    [anon_sym_class] = ACTIONS(183),
    [anon_sym_static] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(219),
    [anon_sym_DASH] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_delete] = ACTIONS(191),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [anon_sym_LPAREN] = ACTIONS(193),
    [anon_sym_BANG] = ACTIONS(195),
    [sym_this] = ACTIONS(2383),
    [sym_undefined] = ACTIONS(2383),
    [sym_true] = ACTIONS(2383),
    [anon_sym_SLASH] = ACTIONS(223),
    [anon_sym_LBRACK] = ACTIONS(225),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(243),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_TILDE] = ACTIONS(195),
    [sym_super] = ACTIONS(207),
    [sym_identifier] = ACTIONS(253),
    [sym_false] = ACTIONS(2383),
    [anon_sym_LT] = ACTIONS(209),
    [sym_number] = ACTIONS(2385),
    [anon_sym_yield] = ACTIONS(213),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_set] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(251),
    [anon_sym_new] = ACTIONS(231),
    [anon_sym_PLUS] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_void] = ACTIONS(191),
    [anon_sym_typeof] = ACTIONS(191),
  },
  [713] = {
    [sym_arrow_function] = STATE(751),
    [sym_call_expression] = STATE(751),
    [sym_subscript_expression] = STATE(701),
    [sym_assignment_expression] = STATE(751),
    [sym_ternary_expression] = STATE(751),
    [sym_binary_expression] = STATE(751),
    [sym_template_string] = STATE(751),
    [sym__expression] = STATE(751),
    [sym_yield_expression] = STATE(751),
    [sym_jsx_element] = STATE(751),
    [sym_jsx_fragment] = STATE(751),
    [sym_function] = STATE(703),
    [sym_new_expression] = STATE(751),
    [sym_augmented_assignment_expression] = STATE(751),
    [sym_unary_expression] = STATE(751),
    [sym_update_expression] = STATE(751),
    [sym_regex] = STATE(751),
    [sym_meta_property] = STATE(751),
    [sym_object] = STATE(702),
    [aux_sym_export_statement_repeat1] = STATE(1016),
    [sym_class] = STATE(751),
    [sym_generator_function] = STATE(751),
    [sym_await_expression] = STATE(751),
    [sym_member_expression] = STATE(701),
    [sym_string] = STATE(751),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(874),
    [sym_parenthesized_expression] = STATE(751),
    [sym_array] = STATE(704),
    [sym_jsx_opening_element] = STATE(875),
    [sym_jsx_self_closing_element] = STATE(751),
    [anon_sym_await] = ACTIONS(217),
    [sym_null] = ACTIONS(2387),
    [anon_sym_class] = ACTIONS(183),
    [anon_sym_static] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(219),
    [anon_sym_DASH] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_delete] = ACTIONS(191),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [anon_sym_LPAREN] = ACTIONS(193),
    [anon_sym_BANG] = ACTIONS(195),
    [sym_this] = ACTIONS(2387),
    [sym_undefined] = ACTIONS(2387),
    [sym_true] = ACTIONS(2387),
    [anon_sym_SLASH] = ACTIONS(223),
    [anon_sym_LBRACK] = ACTIONS(225),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(243),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_TILDE] = ACTIONS(195),
    [sym_super] = ACTIONS(207),
    [sym_identifier] = ACTIONS(253),
    [sym_false] = ACTIONS(2387),
    [anon_sym_LT] = ACTIONS(209),
    [sym_number] = ACTIONS(2389),
    [anon_sym_yield] = ACTIONS(213),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_set] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(251),
    [anon_sym_new] = ACTIONS(231),
    [anon_sym_PLUS] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_void] = ACTIONS(191),
    [anon_sym_typeof] = ACTIONS(191),
  },
  [714] = {
    [sym_template_string] = STATE(719),
    [sym_arguments] = STATE(719),
    [anon_sym_instanceof] = ACTIONS(458),
    [anon_sym_GT] = ACTIONS(460),
    [anon_sym_COLON] = ACTIONS(458),
    [anon_sym_DASH] = ACTIONS(460),
    [anon_sym_CARET] = ACTIONS(458),
    [anon_sym_STAR_STAR] = ACTIONS(458),
    [anon_sym_STAR] = ACTIONS(460),
    [anon_sym_AMP_AMP] = ACTIONS(458),
    [anon_sym_GT_GT] = ACTIONS(460),
    [anon_sym_AMP] = ACTIONS(460),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_in] = ACTIONS(460),
    [anon_sym_LPAREN] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(458),
    [anon_sym_SLASH] = ACTIONS(460),
    [anon_sym_GT_EQ] = ACTIONS(458),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(710),
    [anon_sym_PIPE] = ACTIONS(460),
    [anon_sym_LT_EQ] = ACTIONS(458),
    [anon_sym_PIPE_PIPE] = ACTIONS(458),
    [anon_sym_COMMA] = ACTIONS(458),
    [anon_sym_GT_GT_GT] = ACTIONS(458),
    [anon_sym_PLUS_PLUS] = ACTIONS(716),
    [anon_sym_RPAREN] = ACTIONS(458),
    [anon_sym_BANG_EQ] = ACTIONS(460),
    [anon_sym_LT] = ACTIONS(460),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_RBRACK] = ACTIONS(458),
    [anon_sym_PLUS] = ACTIONS(460),
    [anon_sym_EQ_EQ] = ACTIONS(460),
    [anon_sym_PERCENT] = ACTIONS(458),
    [anon_sym_QMARK] = ACTIONS(458),
    [anon_sym_LT_LT] = ACTIONS(458),
    [anon_sym_DASH_DASH] = ACTIONS(716),
    [anon_sym_RBRACE] = ACTIONS(458),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(458),
  },
  [715] = {
    [anon_sym_instanceof] = ACTIONS(618),
    [anon_sym_COLON] = ACTIONS(618),
    [anon_sym_DASH] = ACTIONS(616),
    [anon_sym_STAR_STAR] = ACTIONS(618),
    [anon_sym_STAR] = ACTIONS(616),
    [anon_sym_AMP] = ACTIONS(616),
    [anon_sym_LBRACE] = ACTIONS(618),
    [anon_sym_GT_EQ] = ACTIONS(618),
    [anon_sym_LPAREN] = ACTIONS(618),
    [anon_sym_LT_EQ] = ACTIONS(618),
    [anon_sym_COMMA] = ACTIONS(618),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_RPAREN] = ACTIONS(618),
    [anon_sym_LT] = ACTIONS(616),
    [anon_sym_EQ_EQ] = ACTIONS(616),
    [anon_sym_QMARK] = ACTIONS(618),
    [anon_sym_RBRACE] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(618),
    [anon_sym_GT] = ACTIONS(616),
    [anon_sym_EQ] = ACTIONS(616),
    [anon_sym_CARET] = ACTIONS(618),
    [anon_sym_AMP_AMP] = ACTIONS(618),
    [anon_sym_GT_GT] = ACTIONS(616),
    [anon_sym_in] = ACTIONS(616),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(618),
    [anon_sym_SLASH] = ACTIONS(616),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(618),
    [anon_sym_PIPE] = ACTIONS(616),
    [anon_sym_PIPE_PIPE] = ACTIONS(618),
    [anon_sym_GT_GT_GT] = ACTIONS(618),
    [anon_sym_BANG_EQ] = ACTIONS(616),
    [anon_sym_DOT] = ACTIONS(618),
    [anon_sym_BQUOTE] = ACTIONS(618),
    [anon_sym_RBRACK] = ACTIONS(618),
    [anon_sym_PLUS] = ACTIONS(616),
    [anon_sym_PERCENT] = ACTIONS(618),
    [anon_sym_LT_LT] = ACTIONS(618),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(618),
  },
  [716] = {
    [sym_template_string] = STATE(719),
    [sym_arguments] = STATE(719),
    [anon_sym_instanceof] = ACTIONS(458),
    [anon_sym_GT] = ACTIONS(460),
    [anon_sym_COLON] = ACTIONS(458),
    [anon_sym_DASH] = ACTIONS(460),
    [anon_sym_CARET] = ACTIONS(458),
    [anon_sym_STAR_STAR] = ACTIONS(458),
    [anon_sym_STAR] = ACTIONS(460),
    [anon_sym_AMP_AMP] = ACTIONS(458),
    [anon_sym_GT_GT] = ACTIONS(460),
    [anon_sym_AMP] = ACTIONS(460),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_in] = ACTIONS(460),
    [anon_sym_LPAREN] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(458),
    [anon_sym_SLASH] = ACTIONS(460),
    [anon_sym_GT_EQ] = ACTIONS(458),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(710),
    [anon_sym_PIPE] = ACTIONS(460),
    [anon_sym_LT_EQ] = ACTIONS(458),
    [anon_sym_PIPE_PIPE] = ACTIONS(458),
    [anon_sym_COMMA] = ACTIONS(458),
    [anon_sym_GT_GT_GT] = ACTIONS(458),
    [anon_sym_PLUS_PLUS] = ACTIONS(716),
    [anon_sym_RPAREN] = ACTIONS(458),
    [anon_sym_BANG_EQ] = ACTIONS(460),
    [anon_sym_LT] = ACTIONS(460),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_RBRACK] = ACTIONS(458),
    [anon_sym_PLUS] = ACTIONS(460),
    [anon_sym_EQ_EQ] = ACTIONS(460),
    [anon_sym_PERCENT] = ACTIONS(458),
    [anon_sym_QMARK] = ACTIONS(458),
    [anon_sym_LT_LT] = ACTIONS(458),
    [anon_sym_DASH_DASH] = ACTIONS(716),
    [anon_sym_RBRACE] = ACTIONS(458),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(458),
  },
  [717] = {
    [anon_sym_instanceof] = ACTIONS(740),
    [anon_sym_GT] = ACTIONS(742),
    [anon_sym_COLON] = ACTIONS(740),
    [anon_sym_DASH] = ACTIONS(742),
    [anon_sym_CARET] = ACTIONS(740),
    [anon_sym_STAR_STAR] = ACTIONS(740),
    [anon_sym_STAR] = ACTIONS(742),
    [anon_sym_AMP_AMP] = ACTIONS(740),
    [anon_sym_GT_GT] = ACTIONS(742),
    [anon_sym_AMP] = ACTIONS(742),
    [anon_sym_LBRACE] = ACTIONS(740),
    [anon_sym_in] = ACTIONS(742),
    [anon_sym_LPAREN] = ACTIONS(740),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(740),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_GT_EQ] = ACTIONS(740),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(740),
    [anon_sym_PIPE] = ACTIONS(742),
    [anon_sym_LT_EQ] = ACTIONS(740),
    [anon_sym_PIPE_PIPE] = ACTIONS(740),
    [anon_sym_COMMA] = ACTIONS(740),
    [anon_sym_GT_GT_GT] = ACTIONS(740),
    [anon_sym_PLUS_PLUS] = ACTIONS(740),
    [anon_sym_RPAREN] = ACTIONS(740),
    [anon_sym_BANG_EQ] = ACTIONS(742),
    [anon_sym_LT] = ACTIONS(742),
    [anon_sym_DOT] = ACTIONS(740),
    [anon_sym_BQUOTE] = ACTIONS(740),
    [anon_sym_RBRACK] = ACTIONS(740),
    [anon_sym_PLUS] = ACTIONS(742),
    [anon_sym_EQ_EQ] = ACTIONS(742),
    [anon_sym_PERCENT] = ACTIONS(740),
    [anon_sym_QMARK] = ACTIONS(740),
    [anon_sym_LT_LT] = ACTIONS(740),
    [anon_sym_DASH_DASH] = ACTIONS(740),
    [anon_sym_RBRACE] = ACTIONS(740),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(740),
  },
  [718] = {
    [anon_sym_instanceof] = ACTIONS(754),
    [anon_sym_COLON] = ACTIONS(754),
    [anon_sym_DASH] = ACTIONS(756),
    [anon_sym_STAR_STAR] = ACTIONS(754),
    [anon_sym_STAR] = ACTIONS(756),
    [anon_sym_AMP] = ACTIONS(756),
    [anon_sym_LBRACE] = ACTIONS(754),
    [anon_sym_GT_EQ] = ACTIONS(754),
    [anon_sym_LPAREN] = ACTIONS(754),
    [anon_sym_LT_EQ] = ACTIONS(754),
    [anon_sym_COMMA] = ACTIONS(754),
    [anon_sym_PLUS_PLUS] = ACTIONS(754),
    [anon_sym_RPAREN] = ACTIONS(754),
    [anon_sym_LT] = ACTIONS(756),
    [anon_sym_EQ_EQ] = ACTIONS(756),
    [anon_sym_QMARK] = ACTIONS(754),
    [anon_sym_RBRACE] = ACTIONS(754),
    [anon_sym_DASH_DASH] = ACTIONS(754),
    [anon_sym_GT] = ACTIONS(756),
    [anon_sym_EQ] = ACTIONS(756),
    [anon_sym_CARET] = ACTIONS(754),
    [anon_sym_AMP_AMP] = ACTIONS(754),
    [anon_sym_GT_GT] = ACTIONS(756),
    [anon_sym_in] = ACTIONS(756),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(754),
    [anon_sym_of] = ACTIONS(754),
    [anon_sym_SLASH] = ACTIONS(756),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(754),
    [anon_sym_PIPE] = ACTIONS(756),
    [anon_sym_PIPE_PIPE] = ACTIONS(754),
    [anon_sym_GT_GT_GT] = ACTIONS(754),
    [anon_sym_BANG_EQ] = ACTIONS(756),
    [anon_sym_DOT] = ACTIONS(754),
    [anon_sym_BQUOTE] = ACTIONS(754),
    [anon_sym_RBRACK] = ACTIONS(754),
    [anon_sym_PLUS] = ACTIONS(756),
    [anon_sym_PERCENT] = ACTIONS(754),
    [anon_sym_LT_LT] = ACTIONS(754),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(754),
  },
  [719] = {
    [anon_sym_instanceof] = ACTIONS(786),
    [anon_sym_GT] = ACTIONS(788),
    [anon_sym_COLON] = ACTIONS(786),
    [anon_sym_DASH] = ACTIONS(788),
    [anon_sym_CARET] = ACTIONS(786),
    [anon_sym_STAR_STAR] = ACTIONS(786),
    [anon_sym_STAR] = ACTIONS(788),
    [anon_sym_AMP_AMP] = ACTIONS(786),
    [anon_sym_GT_GT] = ACTIONS(788),
    [anon_sym_AMP] = ACTIONS(788),
    [anon_sym_LBRACE] = ACTIONS(786),
    [anon_sym_in] = ACTIONS(788),
    [anon_sym_LPAREN] = ACTIONS(786),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(786),
    [anon_sym_SLASH] = ACTIONS(788),
    [anon_sym_GT_EQ] = ACTIONS(786),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(786),
    [anon_sym_PIPE] = ACTIONS(788),
    [anon_sym_LT_EQ] = ACTIONS(786),
    [anon_sym_PIPE_PIPE] = ACTIONS(786),
    [anon_sym_COMMA] = ACTIONS(786),
    [anon_sym_GT_GT_GT] = ACTIONS(786),
    [anon_sym_PLUS_PLUS] = ACTIONS(786),
    [anon_sym_RPAREN] = ACTIONS(786),
    [anon_sym_BANG_EQ] = ACTIONS(788),
    [anon_sym_LT] = ACTIONS(788),
    [anon_sym_DOT] = ACTIONS(786),
    [anon_sym_BQUOTE] = ACTIONS(786),
    [anon_sym_RBRACK] = ACTIONS(786),
    [anon_sym_PLUS] = ACTIONS(788),
    [anon_sym_EQ_EQ] = ACTIONS(788),
    [anon_sym_PERCENT] = ACTIONS(786),
    [anon_sym_QMARK] = ACTIONS(786),
    [anon_sym_LT_LT] = ACTIONS(786),
    [anon_sym_DASH_DASH] = ACTIONS(786),
    [anon_sym_RBRACE] = ACTIONS(786),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(786),
  },
  [720] = {
    [sym_arrow_function] = STATE(768),
    [sym_call_expression] = STATE(768),
    [sym_subscript_expression] = STATE(701),
    [sym_assignment_expression] = STATE(768),
    [sym_ternary_expression] = STATE(768),
    [sym_binary_expression] = STATE(768),
    [sym_template_string] = STATE(768),
    [sym__expression] = STATE(768),
    [sym_yield_expression] = STATE(768),
    [sym_jsx_element] = STATE(768),
    [sym_jsx_fragment] = STATE(768),
    [sym_function] = STATE(703),
    [sym_new_expression] = STATE(768),
    [sym_augmented_assignment_expression] = STATE(768),
    [sym_unary_expression] = STATE(768),
    [sym_update_expression] = STATE(768),
    [sym_regex] = STATE(768),
    [sym_meta_property] = STATE(768),
    [sym_object] = STATE(702),
    [aux_sym_export_statement_repeat1] = STATE(1016),
    [sym_class] = STATE(768),
    [sym_generator_function] = STATE(768),
    [sym_await_expression] = STATE(768),
    [sym_member_expression] = STATE(701),
    [sym_string] = STATE(768),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(874),
    [sym_parenthesized_expression] = STATE(768),
    [sym_array] = STATE(704),
    [sym_jsx_opening_element] = STATE(875),
    [sym_jsx_self_closing_element] = STATE(768),
    [anon_sym_await] = ACTIONS(217),
    [sym_null] = ACTIONS(2391),
    [anon_sym_class] = ACTIONS(183),
    [anon_sym_static] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(219),
    [anon_sym_DASH] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_delete] = ACTIONS(191),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [anon_sym_LPAREN] = ACTIONS(193),
    [anon_sym_BANG] = ACTIONS(195),
    [sym_this] = ACTIONS(2391),
    [sym_undefined] = ACTIONS(2391),
    [sym_true] = ACTIONS(2391),
    [anon_sym_SLASH] = ACTIONS(223),
    [anon_sym_LBRACK] = ACTIONS(225),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(243),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_TILDE] = ACTIONS(195),
    [sym_super] = ACTIONS(207),
    [sym_identifier] = ACTIONS(253),
    [sym_false] = ACTIONS(2391),
    [anon_sym_LT] = ACTIONS(209),
    [sym_number] = ACTIONS(2393),
    [anon_sym_yield] = ACTIONS(213),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_set] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(251),
    [anon_sym_new] = ACTIONS(231),
    [anon_sym_PLUS] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_void] = ACTIONS(191),
    [anon_sym_typeof] = ACTIONS(191),
  },
  [721] = {
    [sym_arrow_function] = STATE(769),
    [sym_call_expression] = STATE(769),
    [sym_subscript_expression] = STATE(701),
    [sym_assignment_expression] = STATE(769),
    [sym_ternary_expression] = STATE(769),
    [sym_binary_expression] = STATE(769),
    [sym_template_string] = STATE(769),
    [sym__expression] = STATE(769),
    [sym_yield_expression] = STATE(769),
    [sym_jsx_element] = STATE(769),
    [sym_jsx_fragment] = STATE(769),
    [sym_function] = STATE(703),
    [sym_new_expression] = STATE(769),
    [sym_augmented_assignment_expression] = STATE(769),
    [sym_unary_expression] = STATE(769),
    [sym_update_expression] = STATE(769),
    [sym_regex] = STATE(769),
    [sym_meta_property] = STATE(769),
    [sym_object] = STATE(702),
    [aux_sym_export_statement_repeat1] = STATE(1016),
    [sym_class] = STATE(769),
    [sym_generator_function] = STATE(769),
    [sym_await_expression] = STATE(769),
    [sym_member_expression] = STATE(701),
    [sym_string] = STATE(769),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(874),
    [sym_parenthesized_expression] = STATE(769),
    [sym_array] = STATE(704),
    [sym_jsx_opening_element] = STATE(875),
    [sym_jsx_self_closing_element] = STATE(769),
    [anon_sym_await] = ACTIONS(217),
    [sym_null] = ACTIONS(2395),
    [anon_sym_class] = ACTIONS(183),
    [anon_sym_static] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(219),
    [anon_sym_DASH] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_delete] = ACTIONS(191),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [anon_sym_LPAREN] = ACTIONS(193),
    [anon_sym_BANG] = ACTIONS(195),
    [sym_this] = ACTIONS(2395),
    [sym_undefined] = ACTIONS(2395),
    [sym_true] = ACTIONS(2395),
    [anon_sym_SLASH] = ACTIONS(223),
    [anon_sym_LBRACK] = ACTIONS(225),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(243),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_TILDE] = ACTIONS(195),
    [sym_super] = ACTIONS(207),
    [sym_identifier] = ACTIONS(253),
    [sym_false] = ACTIONS(2395),
    [anon_sym_LT] = ACTIONS(209),
    [sym_number] = ACTIONS(2397),
    [anon_sym_yield] = ACTIONS(213),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_set] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(251),
    [anon_sym_new] = ACTIONS(231),
    [anon_sym_PLUS] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_void] = ACTIONS(191),
    [anon_sym_typeof] = ACTIONS(191),
  },
  [722] = {
    [sym_arrow_function] = STATE(770),
    [sym_call_expression] = STATE(770),
    [sym_subscript_expression] = STATE(701),
    [sym_assignment_expression] = STATE(770),
    [sym_ternary_expression] = STATE(770),
    [sym_binary_expression] = STATE(770),
    [sym_template_string] = STATE(770),
    [sym__expression] = STATE(770),
    [sym_yield_expression] = STATE(770),
    [sym_jsx_element] = STATE(770),
    [sym_jsx_fragment] = STATE(770),
    [sym_function] = STATE(703),
    [sym_new_expression] = STATE(770),
    [sym_augmented_assignment_expression] = STATE(770),
    [sym_unary_expression] = STATE(770),
    [sym_update_expression] = STATE(770),
    [sym_regex] = STATE(770),
    [sym_meta_property] = STATE(770),
    [sym_object] = STATE(702),
    [aux_sym_export_statement_repeat1] = STATE(1016),
    [sym_class] = STATE(770),
    [sym_generator_function] = STATE(770),
    [sym_await_expression] = STATE(770),
    [sym_member_expression] = STATE(701),
    [sym_string] = STATE(770),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(874),
    [sym_parenthesized_expression] = STATE(770),
    [sym_array] = STATE(704),
    [sym_jsx_opening_element] = STATE(875),
    [sym_jsx_self_closing_element] = STATE(770),
    [anon_sym_await] = ACTIONS(217),
    [sym_null] = ACTIONS(2399),
    [anon_sym_class] = ACTIONS(183),
    [anon_sym_static] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(219),
    [anon_sym_DASH] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_delete] = ACTIONS(191),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [anon_sym_LPAREN] = ACTIONS(193),
    [anon_sym_BANG] = ACTIONS(195),
    [sym_this] = ACTIONS(2399),
    [sym_undefined] = ACTIONS(2399),
    [sym_true] = ACTIONS(2399),
    [anon_sym_SLASH] = ACTIONS(223),
    [anon_sym_LBRACK] = ACTIONS(225),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(243),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_TILDE] = ACTIONS(195),
    [sym_super] = ACTIONS(207),
    [sym_identifier] = ACTIONS(253),
    [sym_false] = ACTIONS(2399),
    [anon_sym_LT] = ACTIONS(209),
    [sym_number] = ACTIONS(2401),
    [anon_sym_yield] = ACTIONS(213),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_set] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(251),
    [anon_sym_new] = ACTIONS(231),
    [anon_sym_PLUS] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_void] = ACTIONS(191),
    [anon_sym_typeof] = ACTIONS(191),
  },
  [723] = {
    [sym_arrow_function] = STATE(772),
    [sym_call_expression] = STATE(772),
    [sym_subscript_expression] = STATE(701),
    [sym_assignment_expression] = STATE(772),
    [sym_ternary_expression] = STATE(772),
    [sym_binary_expression] = STATE(772),
    [sym_template_string] = STATE(772),
    [sym_statement_block] = STATE(771),
    [sym__expression] = STATE(772),
    [sym_yield_expression] = STATE(772),
    [sym_jsx_element] = STATE(772),
    [sym_jsx_fragment] = STATE(772),
    [sym_function] = STATE(703),
    [sym_new_expression] = STATE(772),
    [sym_augmented_assignment_expression] = STATE(772),
    [sym_unary_expression] = STATE(772),
    [sym_update_expression] = STATE(772),
    [sym_regex] = STATE(772),
    [sym_meta_property] = STATE(772),
    [sym_object] = STATE(702),
    [aux_sym_export_statement_repeat1] = STATE(1016),
    [sym_class] = STATE(772),
    [sym_generator_function] = STATE(772),
    [sym_await_expression] = STATE(772),
    [sym_member_expression] = STATE(701),
    [sym_string] = STATE(772),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(874),
    [sym_parenthesized_expression] = STATE(772),
    [sym_array] = STATE(704),
    [sym_jsx_opening_element] = STATE(875),
    [sym_jsx_self_closing_element] = STATE(772),
    [anon_sym_await] = ACTIONS(217),
    [sym_null] = ACTIONS(2403),
    [anon_sym_class] = ACTIONS(183),
    [anon_sym_static] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(219),
    [anon_sym_DASH] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(2405),
    [anon_sym_delete] = ACTIONS(191),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [anon_sym_LPAREN] = ACTIONS(193),
    [anon_sym_BANG] = ACTIONS(195),
    [sym_this] = ACTIONS(2403),
    [sym_undefined] = ACTIONS(2403),
    [sym_true] = ACTIONS(2403),
    [anon_sym_SLASH] = ACTIONS(223),
    [anon_sym_LBRACK] = ACTIONS(225),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(243),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_TILDE] = ACTIONS(195),
    [sym_super] = ACTIONS(207),
    [sym_identifier] = ACTIONS(253),
    [sym_false] = ACTIONS(2403),
    [anon_sym_LT] = ACTIONS(209),
    [sym_number] = ACTIONS(2407),
    [anon_sym_yield] = ACTIONS(213),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_set] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(251),
    [anon_sym_new] = ACTIONS(231),
    [anon_sym_PLUS] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_void] = ACTIONS(191),
    [anon_sym_typeof] = ACTIONS(191),
  },
  [724] = {
    [sym_template_string] = STATE(719),
    [sym_arguments] = STATE(719),
    [anon_sym_instanceof] = ACTIONS(696),
    [anon_sym_GT] = ACTIONS(676),
    [anon_sym_COLON] = ACTIONS(826),
    [anon_sym_DASH] = ACTIONS(698),
    [anon_sym_CARET] = ACTIONS(700),
    [anon_sym_STAR_STAR] = ACTIONS(702),
    [anon_sym_STAR] = ACTIONS(704),
    [anon_sym_AMP_AMP] = ACTIONS(706),
    [anon_sym_GT_GT] = ACTIONS(704),
    [anon_sym_AMP] = ACTIONS(708),
    [anon_sym_LBRACE] = ACTIONS(826),
    [anon_sym_in] = ACTIONS(676),
    [anon_sym_LPAREN] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(704),
    [anon_sym_GT_EQ] = ACTIONS(696),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(710),
    [anon_sym_PIPE] = ACTIONS(712),
    [anon_sym_LT_EQ] = ACTIONS(696),
    [anon_sym_PIPE_PIPE] = ACTIONS(700),
    [anon_sym_COMMA] = ACTIONS(826),
    [anon_sym_GT_GT_GT] = ACTIONS(714),
    [anon_sym_PLUS_PLUS] = ACTIONS(716),
    [anon_sym_RPAREN] = ACTIONS(826),
    [anon_sym_BANG_EQ] = ACTIONS(676),
    [anon_sym_LT] = ACTIONS(676),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_RBRACK] = ACTIONS(826),
    [anon_sym_PLUS] = ACTIONS(698),
    [anon_sym_EQ_EQ] = ACTIONS(676),
    [anon_sym_PERCENT] = ACTIONS(714),
    [anon_sym_QMARK] = ACTIONS(722),
    [anon_sym_LT_LT] = ACTIONS(714),
    [anon_sym_DASH_DASH] = ACTIONS(716),
    [anon_sym_RBRACE] = ACTIONS(826),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(696),
  },
  [725] = {
    [sym_arguments] = STATE(775),
    [anon_sym_instanceof] = ACTIONS(836),
    [anon_sym_GT] = ACTIONS(838),
    [anon_sym_COLON] = ACTIONS(836),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_CARET] = ACTIONS(836),
    [anon_sym_STAR_STAR] = ACTIONS(836),
    [anon_sym_STAR] = ACTIONS(838),
    [anon_sym_AMP_AMP] = ACTIONS(836),
    [anon_sym_GT_GT] = ACTIONS(838),
    [anon_sym_AMP] = ACTIONS(838),
    [anon_sym_LBRACE] = ACTIONS(836),
    [anon_sym_in] = ACTIONS(838),
    [anon_sym_LPAREN] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(836),
    [anon_sym_SLASH] = ACTIONS(838),
    [anon_sym_GT_EQ] = ACTIONS(836),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(836),
    [anon_sym_PIPE] = ACTIONS(838),
    [anon_sym_LT_EQ] = ACTIONS(836),
    [anon_sym_PIPE_PIPE] = ACTIONS(836),
    [anon_sym_GT_GT_GT] = ACTIONS(836),
    [anon_sym_PLUS_PLUS] = ACTIONS(836),
    [anon_sym_COMMA] = ACTIONS(836),
    [anon_sym_BANG_EQ] = ACTIONS(838),
    [anon_sym_RPAREN] = ACTIONS(836),
    [anon_sym_LT] = ACTIONS(838),
    [anon_sym_DOT] = ACTIONS(836),
    [anon_sym_BQUOTE] = ACTIONS(836),
    [anon_sym_RBRACK] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_EQ_EQ] = ACTIONS(838),
    [anon_sym_PERCENT] = ACTIONS(836),
    [anon_sym_QMARK] = ACTIONS(836),
    [anon_sym_LT_LT] = ACTIONS(836),
    [anon_sym_DASH_DASH] = ACTIONS(836),
    [anon_sym_RBRACE] = ACTIONS(836),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(836),
  },
  [726] = {
    [sym_arguments] = STATE(776),
    [anon_sym_instanceof] = ACTIONS(840),
    [anon_sym_COLON] = ACTIONS(840),
    [anon_sym_AMP_EQ] = ACTIONS(658),
    [anon_sym_GT_GT_EQ] = ACTIONS(658),
    [anon_sym_STAR_EQ] = ACTIONS(658),
    [anon_sym_DASH] = ACTIONS(842),
    [anon_sym_STAR_STAR] = ACTIONS(842),
    [anon_sym_STAR] = ACTIONS(842),
    [anon_sym_AMP] = ACTIONS(842),
    [anon_sym_LBRACE] = ACTIONS(840),
    [anon_sym_GT_EQ] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(508),
    [anon_sym_PIPE_EQ] = ACTIONS(658),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(658),
    [anon_sym_SLASH_EQ] = ACTIONS(658),
    [anon_sym_LT_EQ] = ACTIONS(840),
    [anon_sym_COMMA] = ACTIONS(840),
    [anon_sym_PLUS_PLUS] = ACTIONS(840),
    [anon_sym_RPAREN] = ACTIONS(840),
    [anon_sym_LT] = ACTIONS(842),
    [anon_sym_LT_LT_EQ] = ACTIONS(658),
    [anon_sym_EQ_EQ] = ACTIONS(842),
    [anon_sym_QMARK] = ACTIONS(840),
    [anon_sym_RBRACE] = ACTIONS(840),
    [anon_sym_DASH_DASH] = ACTIONS(840),
    [anon_sym_GT] = ACTIONS(842),
    [anon_sym_EQ] = ACTIONS(656),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(658),
    [anon_sym_CARET] = ACTIONS(842),
    [anon_sym_AMP_AMP] = ACTIONS(840),
    [anon_sym_GT_GT] = ACTIONS(842),
    [anon_sym_in] = ACTIONS(842),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(840),
    [anon_sym_SLASH] = ACTIONS(842),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(840),
    [anon_sym_PERCENT_EQ] = ACTIONS(658),
    [anon_sym_PLUS_EQ] = ACTIONS(658),
    [anon_sym_PIPE] = ACTIONS(842),
    [anon_sym_PIPE_PIPE] = ACTIONS(840),
    [anon_sym_GT_GT_GT] = ACTIONS(842),
    [anon_sym_BANG_EQ] = ACTIONS(842),
    [anon_sym_DOT] = ACTIONS(666),
    [anon_sym_BQUOTE] = ACTIONS(840),
    [anon_sym_RBRACK] = ACTIONS(840),
    [anon_sym_CARET_EQ] = ACTIONS(658),
    [anon_sym_DASH_EQ] = ACTIONS(658),
    [anon_sym_PLUS] = ACTIONS(842),
    [anon_sym_PERCENT] = ACTIONS(842),
    [anon_sym_LT_LT] = ACTIONS(842),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(840),
  },
  [727] = {
    [sym_arguments] = STATE(775),
    [anon_sym_instanceof] = ACTIONS(836),
    [anon_sym_COLON] = ACTIONS(836),
    [anon_sym_AMP_EQ] = ACTIONS(674),
    [anon_sym_GT_GT_EQ] = ACTIONS(674),
    [anon_sym_STAR_EQ] = ACTIONS(674),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_STAR_STAR] = ACTIONS(838),
    [anon_sym_STAR] = ACTIONS(838),
    [anon_sym_AMP] = ACTIONS(838),
    [anon_sym_LBRACE] = ACTIONS(836),
    [anon_sym_GT_EQ] = ACTIONS(836),
    [anon_sym_LPAREN] = ACTIONS(508),
    [anon_sym_PIPE_EQ] = ACTIONS(674),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(674),
    [anon_sym_SLASH_EQ] = ACTIONS(674),
    [anon_sym_LT_EQ] = ACTIONS(836),
    [anon_sym_COMMA] = ACTIONS(836),
    [anon_sym_PLUS_PLUS] = ACTIONS(836),
    [anon_sym_RPAREN] = ACTIONS(836),
    [anon_sym_LT] = ACTIONS(838),
    [anon_sym_LT_LT_EQ] = ACTIONS(674),
    [anon_sym_EQ_EQ] = ACTIONS(838),
    [anon_sym_QMARK] = ACTIONS(836),
    [anon_sym_RBRACE] = ACTIONS(836),
    [anon_sym_DASH_DASH] = ACTIONS(836),
    [anon_sym_GT] = ACTIONS(838),
    [anon_sym_EQ] = ACTIONS(844),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(674),
    [anon_sym_CARET] = ACTIONS(838),
    [anon_sym_AMP_AMP] = ACTIONS(836),
    [anon_sym_GT_GT] = ACTIONS(838),
    [anon_sym_in] = ACTIONS(838),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(836),
    [anon_sym_SLASH] = ACTIONS(838),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(836),
    [anon_sym_PERCENT_EQ] = ACTIONS(674),
    [anon_sym_EQ_GT] = ACTIONS(678),
    [anon_sym_PLUS_EQ] = ACTIONS(674),
    [anon_sym_PIPE] = ACTIONS(838),
    [anon_sym_PIPE_PIPE] = ACTIONS(836),
    [anon_sym_GT_GT_GT] = ACTIONS(838),
    [anon_sym_BANG_EQ] = ACTIONS(838),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_BQUOTE] = ACTIONS(836),
    [anon_sym_RBRACK] = ACTIONS(836),
    [anon_sym_CARET_EQ] = ACTIONS(674),
    [anon_sym_DASH_EQ] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_PERCENT] = ACTIONS(838),
    [anon_sym_LT_LT] = ACTIONS(838),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(836),
  },
  [728] = {
    [sym_formal_parameters] = STATE(904),
    [sym_arguments] = STATE(776),
    [anon_sym_instanceof] = ACTIONS(842),
    [anon_sym_COLON] = ACTIONS(840),
    [anon_sym_AMP_EQ] = ACTIONS(658),
    [anon_sym_GT_GT_EQ] = ACTIONS(658),
    [anon_sym_STAR_EQ] = ACTIONS(658),
    [anon_sym_DASH] = ACTIONS(842),
    [anon_sym_STAR_STAR] = ACTIONS(842),
    [anon_sym_STAR] = ACTIONS(842),
    [anon_sym_AMP] = ACTIONS(842),
    [anon_sym_LBRACE] = ACTIONS(840),
    [anon_sym_GT_EQ] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(840),
    [anon_sym_PIPE_EQ] = ACTIONS(658),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(658),
    [anon_sym_SLASH_EQ] = ACTIONS(658),
    [anon_sym_LT_EQ] = ACTIONS(840),
    [anon_sym_COMMA] = ACTIONS(840),
    [anon_sym_PLUS_PLUS] = ACTIONS(840),
    [anon_sym_RPAREN] = ACTIONS(840),
    [anon_sym_LT] = ACTIONS(842),
    [anon_sym_LT_LT_EQ] = ACTIONS(658),
    [anon_sym_EQ_EQ] = ACTIONS(842),
    [anon_sym_QMARK] = ACTIONS(840),
    [anon_sym_RBRACE] = ACTIONS(840),
    [anon_sym_DASH_DASH] = ACTIONS(840),
    [anon_sym_GT] = ACTIONS(842),
    [anon_sym_EQ] = ACTIONS(656),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(658),
    [anon_sym_function] = ACTIONS(688),
    [anon_sym_CARET] = ACTIONS(842),
    [anon_sym_AMP_AMP] = ACTIONS(840),
    [anon_sym_GT_GT] = ACTIONS(842),
    [anon_sym_in] = ACTIONS(842),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(840),
    [anon_sym_SLASH] = ACTIONS(842),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(840),
    [anon_sym_PERCENT_EQ] = ACTIONS(658),
    [anon_sym_PLUS_EQ] = ACTIONS(658),
    [anon_sym_PIPE] = ACTIONS(842),
    [anon_sym_PIPE_PIPE] = ACTIONS(840),
    [anon_sym_GT_GT_GT] = ACTIONS(842),
    [anon_sym_BANG_EQ] = ACTIONS(842),
    [sym_identifier] = ACTIONS(690),
    [anon_sym_DOT] = ACTIONS(666),
    [anon_sym_BQUOTE] = ACTIONS(840),
    [anon_sym_RBRACK] = ACTIONS(840),
    [anon_sym_CARET_EQ] = ACTIONS(658),
    [anon_sym_DASH_EQ] = ACTIONS(658),
    [anon_sym_PLUS] = ACTIONS(842),
    [anon_sym_PERCENT] = ACTIONS(842),
    [anon_sym_LT_LT] = ACTIONS(842),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(840),
  },
  [729] = {
    [sym_arguments] = STATE(775),
    [anon_sym_instanceof] = ACTIONS(836),
    [anon_sym_COLON] = ACTIONS(836),
    [anon_sym_AMP_EQ] = ACTIONS(674),
    [anon_sym_GT_GT_EQ] = ACTIONS(674),
    [anon_sym_STAR_EQ] = ACTIONS(674),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_STAR_STAR] = ACTIONS(838),
    [anon_sym_STAR] = ACTIONS(838),
    [anon_sym_AMP] = ACTIONS(838),
    [anon_sym_LBRACE] = ACTIONS(836),
    [anon_sym_GT_EQ] = ACTIONS(836),
    [anon_sym_LPAREN] = ACTIONS(508),
    [anon_sym_PIPE_EQ] = ACTIONS(674),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(674),
    [anon_sym_SLASH_EQ] = ACTIONS(674),
    [anon_sym_LT_EQ] = ACTIONS(836),
    [anon_sym_COMMA] = ACTIONS(836),
    [anon_sym_PLUS_PLUS] = ACTIONS(836),
    [anon_sym_RPAREN] = ACTIONS(836),
    [anon_sym_LT] = ACTIONS(838),
    [anon_sym_LT_LT_EQ] = ACTIONS(674),
    [anon_sym_EQ_EQ] = ACTIONS(838),
    [anon_sym_QMARK] = ACTIONS(836),
    [anon_sym_RBRACE] = ACTIONS(836),
    [anon_sym_DASH_DASH] = ACTIONS(836),
    [anon_sym_GT] = ACTIONS(838),
    [anon_sym_EQ] = ACTIONS(844),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(674),
    [anon_sym_CARET] = ACTIONS(838),
    [anon_sym_AMP_AMP] = ACTIONS(836),
    [anon_sym_GT_GT] = ACTIONS(838),
    [anon_sym_in] = ACTIONS(838),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(836),
    [anon_sym_SLASH] = ACTIONS(838),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(836),
    [anon_sym_PERCENT_EQ] = ACTIONS(674),
    [anon_sym_PLUS_EQ] = ACTIONS(674),
    [anon_sym_PIPE] = ACTIONS(838),
    [anon_sym_PIPE_PIPE] = ACTIONS(836),
    [anon_sym_GT_GT_GT] = ACTIONS(838),
    [anon_sym_BANG_EQ] = ACTIONS(838),
    [anon_sym_DOT] = ACTIONS(836),
    [anon_sym_BQUOTE] = ACTIONS(836),
    [anon_sym_RBRACK] = ACTIONS(836),
    [anon_sym_CARET_EQ] = ACTIONS(674),
    [anon_sym_DASH_EQ] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_PERCENT] = ACTIONS(838),
    [anon_sym_LT_LT] = ACTIONS(838),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(836),
  },
  [730] = {
    [sym_template_string] = STATE(719),
    [sym_arguments] = STATE(778),
    [anon_sym_instanceof] = ACTIONS(836),
    [anon_sym_GT] = ACTIONS(838),
    [anon_sym_COLON] = ACTIONS(836),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_CARET] = ACTIONS(836),
    [anon_sym_STAR_STAR] = ACTIONS(836),
    [anon_sym_STAR] = ACTIONS(838),
    [anon_sym_AMP_AMP] = ACTIONS(836),
    [anon_sym_GT_GT] = ACTIONS(838),
    [anon_sym_AMP] = ACTIONS(838),
    [anon_sym_LBRACE] = ACTIONS(836),
    [anon_sym_in] = ACTIONS(838),
    [anon_sym_LPAREN] = ACTIONS(836),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(836),
    [anon_sym_SLASH] = ACTIONS(838),
    [anon_sym_GT_EQ] = ACTIONS(836),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(836),
    [anon_sym_PIPE] = ACTIONS(838),
    [anon_sym_LT_EQ] = ACTIONS(836),
    [anon_sym_PIPE_PIPE] = ACTIONS(836),
    [anon_sym_GT_GT_GT] = ACTIONS(836),
    [anon_sym_PLUS_PLUS] = ACTIONS(836),
    [anon_sym_COMMA] = ACTIONS(836),
    [anon_sym_BANG_EQ] = ACTIONS(838),
    [anon_sym_RPAREN] = ACTIONS(836),
    [anon_sym_LT] = ACTIONS(838),
    [anon_sym_DOT] = ACTIONS(836),
    [anon_sym_BQUOTE] = ACTIONS(836),
    [anon_sym_RBRACK] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_EQ_EQ] = ACTIONS(838),
    [anon_sym_PERCENT] = ACTIONS(836),
    [anon_sym_QMARK] = ACTIONS(836),
    [anon_sym_LT_LT] = ACTIONS(836),
    [anon_sym_DASH_DASH] = ACTIONS(836),
    [anon_sym_RBRACE] = ACTIONS(836),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(836),
  },
  [731] = {
    [sym_arguments] = STATE(775),
    [anon_sym_instanceof] = ACTIONS(836),
    [anon_sym_COLON] = ACTIONS(836),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_STAR_STAR] = ACTIONS(836),
    [anon_sym_STAR] = ACTIONS(838),
    [anon_sym_AMP] = ACTIONS(838),
    [anon_sym_LBRACE] = ACTIONS(836),
    [anon_sym_GT_EQ] = ACTIONS(836),
    [anon_sym_LPAREN] = ACTIONS(508),
    [anon_sym_LT_EQ] = ACTIONS(836),
    [anon_sym_COMMA] = ACTIONS(836),
    [anon_sym_PLUS_PLUS] = ACTIONS(836),
    [anon_sym_RPAREN] = ACTIONS(836),
    [anon_sym_LT] = ACTIONS(838),
    [anon_sym_EQ_EQ] = ACTIONS(838),
    [anon_sym_QMARK] = ACTIONS(836),
    [anon_sym_RBRACE] = ACTIONS(836),
    [anon_sym_DASH_DASH] = ACTIONS(836),
    [anon_sym_GT] = ACTIONS(838),
    [anon_sym_EQ] = ACTIONS(848),
    [anon_sym_CARET] = ACTIONS(836),
    [anon_sym_AMP_AMP] = ACTIONS(836),
    [anon_sym_GT_GT] = ACTIONS(838),
    [anon_sym_in] = ACTIONS(838),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(836),
    [anon_sym_SLASH] = ACTIONS(838),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(836),
    [anon_sym_PIPE] = ACTIONS(838),
    [anon_sym_PIPE_PIPE] = ACTIONS(836),
    [anon_sym_GT_GT_GT] = ACTIONS(836),
    [anon_sym_BANG_EQ] = ACTIONS(838),
    [anon_sym_DOT] = ACTIONS(836),
    [anon_sym_BQUOTE] = ACTIONS(836),
    [anon_sym_RBRACK] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_PERCENT] = ACTIONS(836),
    [anon_sym_LT_LT] = ACTIONS(836),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(836),
  },
  [732] = {
    [sym_arguments] = STATE(775),
    [anon_sym_instanceof] = ACTIONS(836),
    [anon_sym_COLON] = ACTIONS(836),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_STAR_STAR] = ACTIONS(836),
    [anon_sym_STAR] = ACTIONS(838),
    [anon_sym_AMP] = ACTIONS(838),
    [anon_sym_LBRACE] = ACTIONS(836),
    [anon_sym_GT_EQ] = ACTIONS(836),
    [anon_sym_LPAREN] = ACTIONS(508),
    [anon_sym_LT_EQ] = ACTIONS(836),
    [anon_sym_COMMA] = ACTIONS(836),
    [anon_sym_PLUS_PLUS] = ACTIONS(836),
    [anon_sym_RPAREN] = ACTIONS(836),
    [anon_sym_LT] = ACTIONS(838),
    [anon_sym_EQ_EQ] = ACTIONS(838),
    [anon_sym_QMARK] = ACTIONS(836),
    [anon_sym_RBRACE] = ACTIONS(836),
    [anon_sym_DASH_DASH] = ACTIONS(836),
    [anon_sym_GT] = ACTIONS(838),
    [anon_sym_EQ] = ACTIONS(850),
    [anon_sym_CARET] = ACTIONS(836),
    [anon_sym_AMP_AMP] = ACTIONS(836),
    [anon_sym_GT_GT] = ACTIONS(838),
    [anon_sym_in] = ACTIONS(838),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(836),
    [anon_sym_SLASH] = ACTIONS(838),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(836),
    [anon_sym_PIPE] = ACTIONS(838),
    [anon_sym_PIPE_PIPE] = ACTIONS(836),
    [anon_sym_GT_GT_GT] = ACTIONS(836),
    [anon_sym_BANG_EQ] = ACTIONS(838),
    [anon_sym_DOT] = ACTIONS(836),
    [anon_sym_BQUOTE] = ACTIONS(836),
    [anon_sym_RBRACK] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_PERCENT] = ACTIONS(836),
    [anon_sym_LT_LT] = ACTIONS(836),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(836),
  },
  [733] = {
    [sym_arrow_function] = STATE(780),
    [sym_call_expression] = STATE(780),
    [sym_subscript_expression] = STATE(701),
    [sym_assignment_expression] = STATE(780),
    [sym_ternary_expression] = STATE(780),
    [sym_binary_expression] = STATE(780),
    [sym_template_string] = STATE(780),
    [sym__expression] = STATE(780),
    [sym_yield_expression] = STATE(780),
    [sym_jsx_element] = STATE(780),
    [sym_jsx_fragment] = STATE(780),
    [sym_function] = STATE(703),
    [sym_new_expression] = STATE(780),
    [sym_augmented_assignment_expression] = STATE(780),
    [sym_unary_expression] = STATE(780),
    [sym_update_expression] = STATE(780),
    [sym_regex] = STATE(780),
    [sym_meta_property] = STATE(780),
    [sym_object] = STATE(702),
    [aux_sym_export_statement_repeat1] = STATE(1016),
    [sym_class] = STATE(780),
    [sym_generator_function] = STATE(780),
    [sym_await_expression] = STATE(780),
    [sym_member_expression] = STATE(701),
    [sym_string] = STATE(780),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(874),
    [sym_parenthesized_expression] = STATE(780),
    [sym_array] = STATE(704),
    [sym_jsx_opening_element] = STATE(875),
    [sym_jsx_self_closing_element] = STATE(780),
    [anon_sym_await] = ACTIONS(217),
    [sym_null] = ACTIONS(2409),
    [anon_sym_class] = ACTIONS(183),
    [anon_sym_static] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(219),
    [anon_sym_DASH] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_delete] = ACTIONS(191),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [anon_sym_LPAREN] = ACTIONS(193),
    [anon_sym_BANG] = ACTIONS(195),
    [sym_this] = ACTIONS(2409),
    [sym_undefined] = ACTIONS(2409),
    [sym_true] = ACTIONS(2409),
    [anon_sym_SLASH] = ACTIONS(223),
    [anon_sym_LBRACK] = ACTIONS(225),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(243),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_TILDE] = ACTIONS(195),
    [sym_super] = ACTIONS(207),
    [sym_identifier] = ACTIONS(253),
    [sym_false] = ACTIONS(2409),
    [anon_sym_LT] = ACTIONS(209),
    [sym_number] = ACTIONS(2411),
    [anon_sym_yield] = ACTIONS(213),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_set] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(251),
    [anon_sym_new] = ACTIONS(231),
    [anon_sym_PLUS] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_void] = ACTIONS(191),
    [anon_sym_typeof] = ACTIONS(191),
  },
  [734] = {
    [sym_arrow_function] = STATE(781),
    [sym_call_expression] = STATE(781),
    [sym_subscript_expression] = STATE(701),
    [sym_assignment_expression] = STATE(781),
    [sym_ternary_expression] = STATE(781),
    [sym_binary_expression] = STATE(781),
    [sym_template_string] = STATE(781),
    [sym__expression] = STATE(781),
    [sym_yield_expression] = STATE(781),
    [sym_jsx_element] = STATE(781),
    [sym_jsx_fragment] = STATE(781),
    [sym_function] = STATE(703),
    [sym_new_expression] = STATE(781),
    [sym_augmented_assignment_expression] = STATE(781),
    [sym_unary_expression] = STATE(781),
    [sym_update_expression] = STATE(781),
    [sym_regex] = STATE(781),
    [sym_meta_property] = STATE(781),
    [sym_object] = STATE(702),
    [aux_sym_export_statement_repeat1] = STATE(1016),
    [sym_class] = STATE(781),
    [sym_generator_function] = STATE(781),
    [sym_await_expression] = STATE(781),
    [sym_member_expression] = STATE(701),
    [sym_string] = STATE(781),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(874),
    [sym_parenthesized_expression] = STATE(781),
    [sym_array] = STATE(704),
    [sym_jsx_opening_element] = STATE(875),
    [sym_jsx_self_closing_element] = STATE(781),
    [anon_sym_await] = ACTIONS(217),
    [sym_null] = ACTIONS(2413),
    [anon_sym_class] = ACTIONS(183),
    [anon_sym_static] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(219),
    [anon_sym_DASH] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_delete] = ACTIONS(191),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [anon_sym_LPAREN] = ACTIONS(193),
    [anon_sym_BANG] = ACTIONS(195),
    [sym_this] = ACTIONS(2413),
    [sym_undefined] = ACTIONS(2413),
    [sym_true] = ACTIONS(2413),
    [anon_sym_SLASH] = ACTIONS(223),
    [anon_sym_LBRACK] = ACTIONS(225),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(243),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_TILDE] = ACTIONS(195),
    [sym_super] = ACTIONS(207),
    [sym_identifier] = ACTIONS(253),
    [sym_false] = ACTIONS(2413),
    [anon_sym_LT] = ACTIONS(209),
    [sym_number] = ACTIONS(2415),
    [anon_sym_yield] = ACTIONS(213),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_set] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(251),
    [anon_sym_new] = ACTIONS(231),
    [anon_sym_PLUS] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_void] = ACTIONS(191),
    [anon_sym_typeof] = ACTIONS(191),
  },
  [735] = {
    [sym_arrow_function] = STATE(782),
    [sym_call_expression] = STATE(782),
    [sym_subscript_expression] = STATE(701),
    [sym_assignment_expression] = STATE(782),
    [sym_ternary_expression] = STATE(782),
    [sym_binary_expression] = STATE(782),
    [sym_template_string] = STATE(782),
    [sym__expression] = STATE(782),
    [sym_yield_expression] = STATE(782),
    [sym_jsx_element] = STATE(782),
    [sym_jsx_fragment] = STATE(782),
    [sym_function] = STATE(703),
    [sym_new_expression] = STATE(782),
    [sym_augmented_assignment_expression] = STATE(782),
    [sym_unary_expression] = STATE(782),
    [sym_update_expression] = STATE(782),
    [sym_regex] = STATE(782),
    [sym_meta_property] = STATE(782),
    [sym_object] = STATE(702),
    [aux_sym_export_statement_repeat1] = STATE(1016),
    [sym_class] = STATE(782),
    [sym_generator_function] = STATE(782),
    [sym_await_expression] = STATE(782),
    [sym_member_expression] = STATE(701),
    [sym_string] = STATE(782),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(874),
    [sym_parenthesized_expression] = STATE(782),
    [sym_array] = STATE(704),
    [sym_jsx_opening_element] = STATE(875),
    [sym_jsx_self_closing_element] = STATE(782),
    [anon_sym_await] = ACTIONS(217),
    [sym_null] = ACTIONS(2417),
    [anon_sym_class] = ACTIONS(183),
    [anon_sym_static] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(219),
    [anon_sym_DASH] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_delete] = ACTIONS(191),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [anon_sym_LPAREN] = ACTIONS(193),
    [anon_sym_BANG] = ACTIONS(195),
    [sym_this] = ACTIONS(2417),
    [sym_undefined] = ACTIONS(2417),
    [sym_true] = ACTIONS(2417),
    [anon_sym_SLASH] = ACTIONS(223),
    [anon_sym_LBRACK] = ACTIONS(225),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(243),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_TILDE] = ACTIONS(195),
    [sym_super] = ACTIONS(207),
    [sym_identifier] = ACTIONS(253),
    [sym_false] = ACTIONS(2417),
    [anon_sym_LT] = ACTIONS(209),
    [sym_number] = ACTIONS(2419),
    [anon_sym_yield] = ACTIONS(213),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_set] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(251),
    [anon_sym_new] = ACTIONS(231),
    [anon_sym_PLUS] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_void] = ACTIONS(191),
    [anon_sym_typeof] = ACTIONS(191),
  },
  [736] = {
    [sym_arrow_function] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_subscript_expression] = STATE(701),
    [sym_assignment_expression] = STATE(783),
    [sym_ternary_expression] = STATE(783),
    [sym_binary_expression] = STATE(783),
    [sym_template_string] = STATE(783),
    [sym__expression] = STATE(783),
    [sym_yield_expression] = STATE(783),
    [sym_jsx_element] = STATE(783),
    [sym_jsx_fragment] = STATE(783),
    [sym_function] = STATE(703),
    [sym_new_expression] = STATE(783),
    [sym_augmented_assignment_expression] = STATE(783),
    [sym_unary_expression] = STATE(783),
    [sym_update_expression] = STATE(783),
    [sym_regex] = STATE(783),
    [sym_meta_property] = STATE(783),
    [sym_object] = STATE(702),
    [aux_sym_export_statement_repeat1] = STATE(1016),
    [sym_class] = STATE(783),
    [sym_generator_function] = STATE(783),
    [sym_await_expression] = STATE(783),
    [sym_member_expression] = STATE(701),
    [sym_string] = STATE(783),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(874),
    [sym_parenthesized_expression] = STATE(783),
    [sym_array] = STATE(704),
    [sym_jsx_opening_element] = STATE(875),
    [sym_jsx_self_closing_element] = STATE(783),
    [anon_sym_await] = ACTIONS(217),
    [sym_null] = ACTIONS(2421),
    [anon_sym_class] = ACTIONS(183),
    [anon_sym_static] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(219),
    [anon_sym_DASH] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_delete] = ACTIONS(191),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [anon_sym_LPAREN] = ACTIONS(193),
    [anon_sym_BANG] = ACTIONS(195),
    [sym_this] = ACTIONS(2421),
    [sym_undefined] = ACTIONS(2421),
    [sym_true] = ACTIONS(2421),
    [anon_sym_SLASH] = ACTIONS(223),
    [anon_sym_LBRACK] = ACTIONS(225),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(243),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_TILDE] = ACTIONS(195),
    [sym_super] = ACTIONS(207),
    [sym_identifier] = ACTIONS(253),
    [sym_false] = ACTIONS(2421),
    [anon_sym_LT] = ACTIONS(209),
    [sym_number] = ACTIONS(2423),
    [anon_sym_yield] = ACTIONS(213),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_set] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(251),
    [anon_sym_new] = ACTIONS(231),
    [anon_sym_PLUS] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_void] = ACTIONS(191),
    [anon_sym_typeof] = ACTIONS(191),
  },
  [737] = {
    [sym_arrow_function] = STATE(784),
    [sym_call_expression] = STATE(784),
    [sym_subscript_expression] = STATE(701),
    [sym_assignment_expression] = STATE(784),
    [sym_ternary_expression] = STATE(784),
    [sym_binary_expression] = STATE(784),
    [sym_template_string] = STATE(784),
    [sym__expression] = STATE(784),
    [sym_yield_expression] = STATE(784),
    [sym_jsx_element] = STATE(784),
    [sym_jsx_fragment] = STATE(784),
    [sym_function] = STATE(703),
    [sym_new_expression] = STATE(784),
    [sym_augmented_assignment_expression] = STATE(784),
    [sym_unary_expression] = STATE(784),
    [sym_update_expression] = STATE(784),
    [sym_regex] = STATE(784),
    [sym_meta_property] = STATE(784),
    [sym_object] = STATE(702),
    [aux_sym_export_statement_repeat1] = STATE(1016),
    [sym_class] = STATE(784),
    [sym_generator_function] = STATE(784),
    [sym_await_expression] = STATE(784),
    [sym_member_expression] = STATE(701),
    [sym_string] = STATE(784),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(874),
    [sym_parenthesized_expression] = STATE(784),
    [sym_array] = STATE(704),
    [sym_jsx_opening_element] = STATE(875),
    [sym_jsx_self_closing_element] = STATE(784),
    [anon_sym_await] = ACTIONS(217),
    [sym_null] = ACTIONS(2425),
    [anon_sym_class] = ACTIONS(183),
    [anon_sym_static] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(219),
    [anon_sym_DASH] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_delete] = ACTIONS(191),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [anon_sym_LPAREN] = ACTIONS(193),
    [anon_sym_BANG] = ACTIONS(195),
    [sym_this] = ACTIONS(2425),
    [sym_undefined] = ACTIONS(2425),
    [sym_true] = ACTIONS(2425),
    [anon_sym_SLASH] = ACTIONS(223),
    [anon_sym_LBRACK] = ACTIONS(225),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(243),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_TILDE] = ACTIONS(195),
    [sym_super] = ACTIONS(207),
    [sym_identifier] = ACTIONS(253),
    [sym_false] = ACTIONS(2425),
    [anon_sym_LT] = ACTIONS(209),
    [sym_number] = ACTIONS(2427),
    [anon_sym_yield] = ACTIONS(213),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_set] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(251),
    [anon_sym_new] = ACTIONS(231),
    [anon_sym_PLUS] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_void] = ACTIONS(191),
    [anon_sym_typeof] = ACTIONS(191),
  },
  [738] = {
    [sym_arrow_function] = STATE(785),
    [sym_call_expression] = STATE(785),
    [sym_subscript_expression] = STATE(701),
    [sym_assignment_expression] = STATE(785),
    [sym_ternary_expression] = STATE(785),
    [sym_binary_expression] = STATE(785),
    [sym_template_string] = STATE(785),
    [sym__expression] = STATE(785),
    [sym_yield_expression] = STATE(785),
    [sym_jsx_element] = STATE(785),
    [sym_jsx_fragment] = STATE(785),
    [sym_function] = STATE(703),
    [sym_new_expression] = STATE(785),
    [sym_augmented_assignment_expression] = STATE(785),
    [sym_unary_expression] = STATE(785),
    [sym_update_expression] = STATE(785),
    [sym_regex] = STATE(785),
    [sym_meta_property] = STATE(785),
    [sym_object] = STATE(702),
    [aux_sym_export_statement_repeat1] = STATE(1016),
    [sym_class] = STATE(785),
    [sym_generator_function] = STATE(785),
    [sym_await_expression] = STATE(785),
    [sym_member_expression] = STATE(701),
    [sym_string] = STATE(785),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(874),
    [sym_parenthesized_expression] = STATE(785),
    [sym_array] = STATE(704),
    [sym_jsx_opening_element] = STATE(875),
    [sym_jsx_self_closing_element] = STATE(785),
    [anon_sym_await] = ACTIONS(217),
    [sym_null] = ACTIONS(2429),
    [anon_sym_class] = ACTIONS(183),
    [anon_sym_static] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(219),
    [anon_sym_DASH] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_delete] = ACTIONS(191),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [anon_sym_LPAREN] = ACTIONS(193),
    [anon_sym_BANG] = ACTIONS(195),
    [sym_this] = ACTIONS(2429),
    [sym_undefined] = ACTIONS(2429),
    [sym_true] = ACTIONS(2429),
    [anon_sym_SLASH] = ACTIONS(223),
    [anon_sym_LBRACK] = ACTIONS(225),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(243),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_TILDE] = ACTIONS(195),
    [sym_super] = ACTIONS(207),
    [sym_identifier] = ACTIONS(253),
    [sym_false] = ACTIONS(2429),
    [anon_sym_LT] = ACTIONS(209),
    [sym_number] = ACTIONS(2431),
    [anon_sym_yield] = ACTIONS(213),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_set] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(251),
    [anon_sym_new] = ACTIONS(231),
    [anon_sym_PLUS] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_void] = ACTIONS(191),
    [anon_sym_typeof] = ACTIONS(191),
  },
  [739] = {
    [anon_sym_instanceof] = ACTIONS(953),
    [anon_sym_GT] = ACTIONS(955),
    [anon_sym_COLON] = ACTIONS(953),
    [anon_sym_DASH] = ACTIONS(955),
    [anon_sym_CARET] = ACTIONS(953),
    [anon_sym_STAR_STAR] = ACTIONS(953),
    [anon_sym_STAR] = ACTIONS(955),
    [anon_sym_AMP_AMP] = ACTIONS(953),
    [anon_sym_GT_GT] = ACTIONS(955),
    [anon_sym_AMP] = ACTIONS(955),
    [anon_sym_LBRACE] = ACTIONS(953),
    [anon_sym_in] = ACTIONS(955),
    [anon_sym_LPAREN] = ACTIONS(953),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(953),
    [anon_sym_SLASH] = ACTIONS(955),
    [anon_sym_GT_EQ] = ACTIONS(953),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_PIPE] = ACTIONS(955),
    [anon_sym_LT_EQ] = ACTIONS(953),
    [anon_sym_PIPE_PIPE] = ACTIONS(953),
    [anon_sym_COMMA] = ACTIONS(953),
    [anon_sym_GT_GT_GT] = ACTIONS(953),
    [anon_sym_PLUS_PLUS] = ACTIONS(953),
    [anon_sym_RPAREN] = ACTIONS(953),
    [anon_sym_BANG_EQ] = ACTIONS(955),
    [anon_sym_LT] = ACTIONS(955),
    [anon_sym_DOT] = ACTIONS(953),
    [anon_sym_BQUOTE] = ACTIONS(953),
    [anon_sym_RBRACK] = ACTIONS(953),
    [anon_sym_PLUS] = ACTIONS(955),
    [anon_sym_EQ_EQ] = ACTIONS(955),
    [anon_sym_PERCENT] = ACTIONS(953),
    [anon_sym_QMARK] = ACTIONS(953),
    [anon_sym_LT_LT] = ACTIONS(953),
    [anon_sym_DASH_DASH] = ACTIONS(953),
    [anon_sym_RBRACE] = ACTIONS(953),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(953),
  },
  [740] = {
    [sym_arrow_function] = STATE(786),
    [sym_call_expression] = STATE(786),
    [sym_subscript_expression] = STATE(701),
    [sym_assignment_expression] = STATE(786),
    [sym_ternary_expression] = STATE(786),
    [sym_binary_expression] = STATE(786),
    [sym_template_string] = STATE(786),
    [sym__expression] = STATE(786),
    [sym_yield_expression] = STATE(786),
    [sym_jsx_element] = STATE(786),
    [sym_jsx_fragment] = STATE(786),
    [sym_function] = STATE(703),
    [sym_new_expression] = STATE(786),
    [sym_augmented_assignment_expression] = STATE(786),
    [sym_unary_expression] = STATE(786),
    [sym_update_expression] = STATE(786),
    [sym_regex] = STATE(786),
    [sym_meta_property] = STATE(786),
    [sym_object] = STATE(702),
    [aux_sym_export_statement_repeat1] = STATE(1016),
    [sym_class] = STATE(786),
    [sym_generator_function] = STATE(786),
    [sym_await_expression] = STATE(786),
    [sym_member_expression] = STATE(701),
    [sym_sequence_expression] = STATE(787),
    [sym_string] = STATE(786),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(874),
    [sym_parenthesized_expression] = STATE(786),
    [sym_array] = STATE(704),
    [sym_jsx_opening_element] = STATE(875),
    [sym_jsx_self_closing_element] = STATE(786),
    [anon_sym_await] = ACTIONS(217),
    [sym_null] = ACTIONS(2433),
    [anon_sym_class] = ACTIONS(183),
    [anon_sym_static] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(219),
    [anon_sym_DASH] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_delete] = ACTIONS(191),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [anon_sym_LPAREN] = ACTIONS(193),
    [anon_sym_BANG] = ACTIONS(195),
    [sym_this] = ACTIONS(2433),
    [sym_undefined] = ACTIONS(2433),
    [sym_true] = ACTIONS(2433),
    [anon_sym_SLASH] = ACTIONS(223),
    [anon_sym_LBRACK] = ACTIONS(225),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(243),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_TILDE] = ACTIONS(195),
    [sym_super] = ACTIONS(207),
    [sym_identifier] = ACTIONS(253),
    [sym_false] = ACTIONS(2433),
    [anon_sym_LT] = ACTIONS(209),
    [sym_number] = ACTIONS(2435),
    [anon_sym_yield] = ACTIONS(213),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_set] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(251),
    [anon_sym_new] = ACTIONS(231),
    [anon_sym_PLUS] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_void] = ACTIONS(191),
    [anon_sym_typeof] = ACTIONS(191),
  },
  [741] = {
    [sym_arrow_function] = STATE(789),
    [sym_call_expression] = STATE(789),
    [sym_subscript_expression] = STATE(701),
    [sym_assignment_expression] = STATE(789),
    [sym_ternary_expression] = STATE(789),
    [sym_binary_expression] = STATE(789),
    [sym_template_string] = STATE(789),
    [sym_statement_block] = STATE(788),
    [sym__expression] = STATE(789),
    [sym_yield_expression] = STATE(789),
    [sym_jsx_element] = STATE(789),
    [sym_jsx_fragment] = STATE(789),
    [sym_function] = STATE(703),
    [sym_new_expression] = STATE(789),
    [sym_augmented_assignment_expression] = STATE(789),
    [sym_unary_expression] = STATE(789),
    [sym_update_expression] = STATE(789),
    [sym_regex] = STATE(789),
    [sym_meta_property] = STATE(789),
    [sym_object] = STATE(702),
    [aux_sym_export_statement_repeat1] = STATE(1016),
    [sym_class] = STATE(789),
    [sym_generator_function] = STATE(789),
    [sym_await_expression] = STATE(789),
    [sym_member_expression] = STATE(701),
    [sym_string] = STATE(789),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(874),
    [sym_parenthesized_expression] = STATE(789),
    [sym_array] = STATE(704),
    [sym_jsx_opening_element] = STATE(875),
    [sym_jsx_self_closing_element] = STATE(789),
    [anon_sym_await] = ACTIONS(217),
    [sym_null] = ACTIONS(2437),
    [anon_sym_class] = ACTIONS(183),
    [anon_sym_static] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(219),
    [anon_sym_DASH] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(2405),
    [anon_sym_delete] = ACTIONS(191),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [anon_sym_LPAREN] = ACTIONS(193),
    [anon_sym_BANG] = ACTIONS(195),
    [sym_this] = ACTIONS(2437),
    [sym_undefined] = ACTIONS(2437),
    [sym_true] = ACTIONS(2437),
    [anon_sym_SLASH] = ACTIONS(223),
    [anon_sym_LBRACK] = ACTIONS(225),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(243),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_TILDE] = ACTIONS(195),
    [sym_super] = ACTIONS(207),
    [sym_identifier] = ACTIONS(253),
    [sym_false] = ACTIONS(2437),
    [anon_sym_LT] = ACTIONS(209),
    [sym_number] = ACTIONS(2439),
    [anon_sym_yield] = ACTIONS(213),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_set] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(251),
    [anon_sym_new] = ACTIONS(231),
    [anon_sym_PLUS] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_void] = ACTIONS(191),
    [anon_sym_typeof] = ACTIONS(191),
  },
  [742] = {
    [sym_arrow_function] = STATE(790),
    [sym_call_expression] = STATE(790),
    [sym_subscript_expression] = STATE(701),
    [sym_assignment_expression] = STATE(790),
    [sym_ternary_expression] = STATE(790),
    [sym_binary_expression] = STATE(790),
    [sym_template_string] = STATE(790),
    [sym__expression] = STATE(790),
    [sym_yield_expression] = STATE(790),
    [sym_jsx_element] = STATE(790),
    [sym_jsx_fragment] = STATE(790),
    [sym_function] = STATE(703),
    [sym_new_expression] = STATE(790),
    [sym_augmented_assignment_expression] = STATE(790),
    [sym_unary_expression] = STATE(790),
    [sym_update_expression] = STATE(790),
    [sym_regex] = STATE(790),
    [sym_meta_property] = STATE(790),
    [sym_object] = STATE(702),
    [aux_sym_export_statement_repeat1] = STATE(1016),
    [sym_class] = STATE(790),
    [sym_generator_function] = STATE(790),
    [sym_await_expression] = STATE(790),
    [sym_member_expression] = STATE(701),
    [sym_string] = STATE(790),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(874),
    [sym_parenthesized_expression] = STATE(790),
    [sym_array] = STATE(704),
    [sym_jsx_opening_element] = STATE(875),
    [sym_jsx_self_closing_element] = STATE(790),
    [anon_sym_await] = ACTIONS(217),
    [sym_null] = ACTIONS(2441),
    [anon_sym_class] = ACTIONS(183),
    [anon_sym_static] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(219),
    [anon_sym_DASH] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_delete] = ACTIONS(191),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [anon_sym_LPAREN] = ACTIONS(193),
    [anon_sym_BANG] = ACTIONS(195),
    [sym_this] = ACTIONS(2441),
    [sym_undefined] = ACTIONS(2441),
    [sym_true] = ACTIONS(2441),
    [anon_sym_SLASH] = ACTIONS(223),
    [anon_sym_LBRACK] = ACTIONS(225),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(243),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_TILDE] = ACTIONS(195),
    [sym_super] = ACTIONS(207),
    [sym_identifier] = ACTIONS(253),
    [sym_false] = ACTIONS(2441),
    [anon_sym_LT] = ACTIONS(209),
    [sym_number] = ACTIONS(2443),
    [anon_sym_yield] = ACTIONS(213),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_set] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(251),
    [anon_sym_new] = ACTIONS(231),
    [anon_sym_PLUS] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_void] = ACTIONS(191),
    [anon_sym_typeof] = ACTIONS(191),
  },
  [743] = {
    [anon_sym_instanceof] = ACTIONS(1112),
    [anon_sym_GT] = ACTIONS(1114),
    [anon_sym_COLON] = ACTIONS(1112),
    [anon_sym_DASH] = ACTIONS(1114),
    [anon_sym_CARET] = ACTIONS(1112),
    [anon_sym_STAR_STAR] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1114),
    [anon_sym_AMP_AMP] = ACTIONS(1112),
    [anon_sym_GT_GT] = ACTIONS(1114),
    [anon_sym_AMP] = ACTIONS(1114),
    [anon_sym_LBRACE] = ACTIONS(1112),
    [anon_sym_in] = ACTIONS(1114),
    [anon_sym_LPAREN] = ACTIONS(1112),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1112),
    [anon_sym_SLASH] = ACTIONS(1114),
    [anon_sym_GT_EQ] = ACTIONS(1112),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(1112),
    [anon_sym_PIPE] = ACTIONS(1114),
    [anon_sym_LT_EQ] = ACTIONS(1112),
    [anon_sym_PIPE_PIPE] = ACTIONS(1112),
    [anon_sym_COMMA] = ACTIONS(1112),
    [anon_sym_GT_GT_GT] = ACTIONS(1112),
    [anon_sym_PLUS_PLUS] = ACTIONS(1112),
    [anon_sym_RPAREN] = ACTIONS(1112),
    [anon_sym_BANG_EQ] = ACTIONS(1114),
    [anon_sym_LT] = ACTIONS(1114),
    [anon_sym_DOT] = ACTIONS(1112),
    [anon_sym_BQUOTE] = ACTIONS(1112),
    [anon_sym_RBRACK] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1114),
    [anon_sym_EQ_EQ] = ACTIONS(1114),
    [anon_sym_PERCENT] = ACTIONS(1112),
    [anon_sym_QMARK] = ACTIONS(1112),
    [anon_sym_LT_LT] = ACTIONS(1112),
    [anon_sym_DASH_DASH] = ACTIONS(1112),
    [anon_sym_RBRACE] = ACTIONS(1112),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1112),
  },
  [744] = {
    [anon_sym_instanceof] = ACTIONS(618),
    [anon_sym_COLON] = ACTIONS(618),
    [anon_sym_DASH] = ACTIONS(616),
    [anon_sym_STAR_STAR] = ACTIONS(618),
    [anon_sym_STAR] = ACTIONS(616),
    [anon_sym_AMP] = ACTIONS(616),
    [anon_sym_LBRACE] = ACTIONS(618),
    [anon_sym_GT_EQ] = ACTIONS(618),
    [anon_sym_LPAREN] = ACTIONS(618),
    [anon_sym_LT_EQ] = ACTIONS(618),
    [anon_sym_COMMA] = ACTIONS(618),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_RPAREN] = ACTIONS(618),
    [anon_sym_LT] = ACTIONS(616),
    [anon_sym_EQ_EQ] = ACTIONS(616),
    [anon_sym_QMARK] = ACTIONS(618),
    [anon_sym_RBRACE] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(618),
    [anon_sym_GT] = ACTIONS(616),
    [anon_sym_EQ] = ACTIONS(616),
    [anon_sym_CARET] = ACTIONS(618),
    [anon_sym_AMP_AMP] = ACTIONS(618),
    [anon_sym_GT_GT] = ACTIONS(616),
    [anon_sym_in] = ACTIONS(616),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(618),
    [anon_sym_of] = ACTIONS(618),
    [anon_sym_SLASH] = ACTIONS(616),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(618),
    [anon_sym_PIPE] = ACTIONS(616),
    [anon_sym_PIPE_PIPE] = ACTIONS(618),
    [anon_sym_GT_GT_GT] = ACTIONS(618),
    [anon_sym_BANG_EQ] = ACTIONS(616),
    [anon_sym_DOT] = ACTIONS(618),
    [anon_sym_BQUOTE] = ACTIONS(618),
    [anon_sym_RBRACK] = ACTIONS(618),
    [anon_sym_PLUS] = ACTIONS(616),
    [anon_sym_PERCENT] = ACTIONS(618),
    [anon_sym_LT_LT] = ACTIONS(618),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(618),
  },
  [745] = {
    [anon_sym_instanceof] = ACTIONS(1142),
    [anon_sym_GT] = ACTIONS(1140),
    [anon_sym_COLON] = ACTIONS(1142),
    [anon_sym_DASH] = ACTIONS(1140),
    [anon_sym_CARET] = ACTIONS(1142),
    [anon_sym_STAR_STAR] = ACTIONS(1142),
    [anon_sym_STAR] = ACTIONS(1140),
    [anon_sym_AMP_AMP] = ACTIONS(1142),
    [anon_sym_GT_GT] = ACTIONS(1140),
    [anon_sym_AMP] = ACTIONS(1140),
    [anon_sym_LBRACE] = ACTIONS(1142),
    [anon_sym_in] = ACTIONS(1140),
    [anon_sym_LPAREN] = ACTIONS(1142),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1142),
    [anon_sym_SLASH] = ACTIONS(1140),
    [anon_sym_GT_EQ] = ACTIONS(1142),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(1142),
    [anon_sym_PIPE] = ACTIONS(1140),
    [anon_sym_LT_EQ] = ACTIONS(1142),
    [anon_sym_PIPE_PIPE] = ACTIONS(1142),
    [anon_sym_COMMA] = ACTIONS(1142),
    [anon_sym_GT_GT_GT] = ACTIONS(1142),
    [anon_sym_PLUS_PLUS] = ACTIONS(1142),
    [anon_sym_RPAREN] = ACTIONS(1142),
    [anon_sym_BANG_EQ] = ACTIONS(1140),
    [anon_sym_LT] = ACTIONS(1140),
    [anon_sym_DOT] = ACTIONS(1142),
    [anon_sym_BQUOTE] = ACTIONS(1142),
    [anon_sym_RBRACK] = ACTIONS(1142),
    [anon_sym_PLUS] = ACTIONS(1140),
    [anon_sym_EQ_EQ] = ACTIONS(1140),
    [anon_sym_PERCENT] = ACTIONS(1142),
    [anon_sym_QMARK] = ACTIONS(1142),
    [anon_sym_LT_LT] = ACTIONS(1142),
    [anon_sym_DASH_DASH] = ACTIONS(1142),
    [anon_sym_RBRACE] = ACTIONS(1142),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1142),
  },
  [746] = {
    [anon_sym_LPAREN] = ACTIONS(566),
    [sym_comment] = ACTIONS(3),
  },
  [747] = {
    [anon_sym_instanceof] = ACTIONS(1160),
    [anon_sym_GT] = ACTIONS(1154),
    [sym__automatic_semicolon] = ACTIONS(1156),
    [anon_sym_DASH] = ACTIONS(1154),
    [anon_sym_CARET] = ACTIONS(1160),
    [anon_sym_STAR_STAR] = ACTIONS(1160),
    [anon_sym_STAR] = ACTIONS(1154),
    [anon_sym_AMP_AMP] = ACTIONS(1160),
    [anon_sym_GT_GT] = ACTIONS(1154),
    [anon_sym_AMP] = ACTIONS(1154),
    [anon_sym_in] = ACTIONS(1154),
    [anon_sym_LPAREN] = ACTIONS(1160),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1160),
    [anon_sym_SLASH] = ACTIONS(1154),
    [anon_sym_GT_EQ] = ACTIONS(1160),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(1160),
    [anon_sym_PIPE] = ACTIONS(1154),
    [anon_sym_LT_EQ] = ACTIONS(1160),
    [anon_sym_PIPE_PIPE] = ACTIONS(1160),
    [anon_sym_else] = ACTIONS(1162),
    [anon_sym_COMMA] = ACTIONS(1160),
    [anon_sym_GT_GT_GT] = ACTIONS(1160),
    [anon_sym_SEMI] = ACTIONS(1160),
    [anon_sym_PLUS_PLUS] = ACTIONS(1160),
    [anon_sym_BANG_EQ] = ACTIONS(1154),
    [anon_sym_while] = ACTIONS(1162),
    [anon_sym_LT] = ACTIONS(1154),
    [anon_sym_DOT] = ACTIONS(1160),
    [anon_sym_BQUOTE] = ACTIONS(1160),
    [anon_sym_PLUS] = ACTIONS(1154),
    [anon_sym_EQ_EQ] = ACTIONS(1154),
    [anon_sym_PERCENT] = ACTIONS(1160),
    [anon_sym_QMARK] = ACTIONS(1160),
    [anon_sym_LT_LT] = ACTIONS(1160),
    [anon_sym_DASH_DASH] = ACTIONS(1160),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1160),
  },
  [748] = {
    [anon_sym_instanceof] = ACTIONS(1166),
    [anon_sym_GT] = ACTIONS(1168),
    [anon_sym_COLON] = ACTIONS(1166),
    [anon_sym_DASH] = ACTIONS(1168),
    [anon_sym_CARET] = ACTIONS(1166),
    [anon_sym_STAR_STAR] = ACTIONS(1166),
    [anon_sym_STAR] = ACTIONS(1168),
    [anon_sym_AMP_AMP] = ACTIONS(1166),
    [anon_sym_GT_GT] = ACTIONS(1168),
    [anon_sym_AMP] = ACTIONS(1168),
    [anon_sym_LBRACE] = ACTIONS(1166),
    [anon_sym_in] = ACTIONS(1168),
    [anon_sym_LPAREN] = ACTIONS(1166),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1166),
    [anon_sym_SLASH] = ACTIONS(1168),
    [anon_sym_GT_EQ] = ACTIONS(1166),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(1166),
    [anon_sym_PIPE] = ACTIONS(1168),
    [anon_sym_LT_EQ] = ACTIONS(1166),
    [anon_sym_PIPE_PIPE] = ACTIONS(1166),
    [anon_sym_COMMA] = ACTIONS(1166),
    [anon_sym_GT_GT_GT] = ACTIONS(1166),
    [anon_sym_PLUS_PLUS] = ACTIONS(1166),
    [anon_sym_RPAREN] = ACTIONS(1166),
    [anon_sym_BANG_EQ] = ACTIONS(1168),
    [anon_sym_LT] = ACTIONS(1168),
    [anon_sym_DOT] = ACTIONS(1166),
    [anon_sym_BQUOTE] = ACTIONS(1166),
    [anon_sym_RBRACK] = ACTIONS(1166),
    [anon_sym_PLUS] = ACTIONS(1168),
    [anon_sym_EQ_EQ] = ACTIONS(1168),
    [anon_sym_PERCENT] = ACTIONS(1166),
    [anon_sym_QMARK] = ACTIONS(1166),
    [anon_sym_LT_LT] = ACTIONS(1166),
    [anon_sym_DASH_DASH] = ACTIONS(1166),
    [anon_sym_RBRACE] = ACTIONS(1166),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1166),
  },
  [749] = {
    [anon_sym_instanceof] = ACTIONS(1172),
    [anon_sym_GT] = ACTIONS(1174),
    [anon_sym_COLON] = ACTIONS(1172),
    [anon_sym_DASH] = ACTIONS(1174),
    [anon_sym_CARET] = ACTIONS(1172),
    [anon_sym_STAR_STAR] = ACTIONS(1172),
    [anon_sym_STAR] = ACTIONS(1174),
    [anon_sym_AMP_AMP] = ACTIONS(1172),
    [anon_sym_GT_GT] = ACTIONS(1174),
    [anon_sym_AMP] = ACTIONS(1174),
    [anon_sym_LBRACE] = ACTIONS(1172),
    [anon_sym_in] = ACTIONS(1174),
    [anon_sym_LPAREN] = ACTIONS(1172),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1172),
    [anon_sym_SLASH] = ACTIONS(1174),
    [anon_sym_GT_EQ] = ACTIONS(1172),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(1172),
    [anon_sym_PIPE] = ACTIONS(1174),
    [anon_sym_LT_EQ] = ACTIONS(1172),
    [anon_sym_PIPE_PIPE] = ACTIONS(1172),
    [anon_sym_COMMA] = ACTIONS(1172),
    [anon_sym_GT_GT_GT] = ACTIONS(1172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1172),
    [anon_sym_RPAREN] = ACTIONS(1172),
    [anon_sym_BANG_EQ] = ACTIONS(1174),
    [anon_sym_LT] = ACTIONS(1174),
    [anon_sym_DOT] = ACTIONS(1172),
    [anon_sym_BQUOTE] = ACTIONS(1172),
    [anon_sym_RBRACK] = ACTIONS(1172),
    [anon_sym_PLUS] = ACTIONS(1174),
    [anon_sym_EQ_EQ] = ACTIONS(1174),
    [anon_sym_PERCENT] = ACTIONS(1172),
    [anon_sym_QMARK] = ACTIONS(1172),
    [anon_sym_LT_LT] = ACTIONS(1172),
    [anon_sym_DASH_DASH] = ACTIONS(1172),
    [anon_sym_RBRACE] = ACTIONS(1172),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1172),
  },
  [750] = {
    [sym_template_string] = STATE(719),
    [sym_arguments] = STATE(719),
    [anon_sym_instanceof] = ACTIONS(696),
    [anon_sym_GT] = ACTIONS(676),
    [anon_sym_COLON] = ACTIONS(1196),
    [anon_sym_DASH] = ACTIONS(698),
    [anon_sym_CARET] = ACTIONS(700),
    [anon_sym_STAR_STAR] = ACTIONS(702),
    [anon_sym_STAR] = ACTIONS(704),
    [anon_sym_AMP_AMP] = ACTIONS(706),
    [anon_sym_GT_GT] = ACTIONS(704),
    [anon_sym_AMP] = ACTIONS(708),
    [anon_sym_LBRACE] = ACTIONS(1196),
    [anon_sym_in] = ACTIONS(676),
    [anon_sym_LPAREN] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(704),
    [anon_sym_GT_EQ] = ACTIONS(696),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(710),
    [anon_sym_PIPE] = ACTIONS(712),
    [anon_sym_LT_EQ] = ACTIONS(696),
    [anon_sym_PIPE_PIPE] = ACTIONS(700),
    [anon_sym_COMMA] = ACTIONS(1196),
    [anon_sym_GT_GT_GT] = ACTIONS(714),
    [anon_sym_PLUS_PLUS] = ACTIONS(716),
    [anon_sym_RPAREN] = ACTIONS(1196),
    [anon_sym_BANG_EQ] = ACTIONS(676),
    [anon_sym_LT] = ACTIONS(676),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_RBRACK] = ACTIONS(1196),
    [anon_sym_PLUS] = ACTIONS(698),
    [anon_sym_EQ_EQ] = ACTIONS(676),
    [anon_sym_PERCENT] = ACTIONS(714),
    [anon_sym_QMARK] = ACTIONS(722),
    [anon_sym_LT_LT] = ACTIONS(714),
    [anon_sym_DASH_DASH] = ACTIONS(716),
    [anon_sym_RBRACE] = ACTIONS(1196),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(696),
  },
  [751] = {
    [sym_template_string] = STATE(719),
    [sym_arguments] = STATE(719),
    [anon_sym_instanceof] = ACTIONS(696),
    [anon_sym_GT] = ACTIONS(676),
    [anon_sym_COLON] = ACTIONS(1198),
    [anon_sym_DASH] = ACTIONS(698),
    [anon_sym_CARET] = ACTIONS(700),
    [anon_sym_STAR_STAR] = ACTIONS(702),
    [anon_sym_STAR] = ACTIONS(704),
    [anon_sym_AMP_AMP] = ACTIONS(706),
    [anon_sym_GT_GT] = ACTIONS(704),
    [anon_sym_AMP] = ACTIONS(708),
    [anon_sym_LBRACE] = ACTIONS(1198),
    [anon_sym_in] = ACTIONS(676),
    [anon_sym_LPAREN] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(704),
    [anon_sym_GT_EQ] = ACTIONS(696),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(710),
    [anon_sym_PIPE] = ACTIONS(712),
    [anon_sym_LT_EQ] = ACTIONS(696),
    [anon_sym_PIPE_PIPE] = ACTIONS(700),
    [anon_sym_COMMA] = ACTIONS(1198),
    [anon_sym_GT_GT_GT] = ACTIONS(714),
    [anon_sym_PLUS_PLUS] = ACTIONS(716),
    [anon_sym_RPAREN] = ACTIONS(1198),
    [anon_sym_BANG_EQ] = ACTIONS(676),
    [anon_sym_LT] = ACTIONS(676),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_RBRACK] = ACTIONS(1198),
    [anon_sym_PLUS] = ACTIONS(698),
    [anon_sym_EQ_EQ] = ACTIONS(676),
    [anon_sym_PERCENT] = ACTIONS(714),
    [anon_sym_QMARK] = ACTIONS(722),
    [anon_sym_LT_LT] = ACTIONS(714),
    [anon_sym_DASH_DASH] = ACTIONS(716),
    [anon_sym_RBRACE] = ACTIONS(1198),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(696),
  },
  [752] = {
    [anon_sym_instanceof] = ACTIONS(1200),
    [anon_sym_COLON] = ACTIONS(1200),
    [anon_sym_AMP_EQ] = ACTIONS(1200),
    [anon_sym_GT_GT_EQ] = ACTIONS(1200),
    [anon_sym_STAR_EQ] = ACTIONS(1200),
    [anon_sym_DASH] = ACTIONS(1202),
    [anon_sym_STAR_STAR] = ACTIONS(1202),
    [anon_sym_STAR] = ACTIONS(1202),
    [anon_sym_AMP] = ACTIONS(1202),
    [anon_sym_LBRACE] = ACTIONS(1200),
    [anon_sym_GT_EQ] = ACTIONS(1200),
    [anon_sym_LPAREN] = ACTIONS(1200),
    [anon_sym_PIPE_EQ] = ACTIONS(1200),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1200),
    [anon_sym_SLASH_EQ] = ACTIONS(1200),
    [anon_sym_LT_EQ] = ACTIONS(1200),
    [anon_sym_COMMA] = ACTIONS(1200),
    [anon_sym_PLUS_PLUS] = ACTIONS(1200),
    [anon_sym_RPAREN] = ACTIONS(1200),
    [anon_sym_LT] = ACTIONS(1202),
    [anon_sym_LT_LT_EQ] = ACTIONS(1200),
    [anon_sym_EQ_EQ] = ACTIONS(1202),
    [anon_sym_QMARK] = ACTIONS(1200),
    [anon_sym_RBRACE] = ACTIONS(1200),
    [anon_sym_DASH_DASH] = ACTIONS(1200),
    [anon_sym_GT] = ACTIONS(1202),
    [anon_sym_EQ] = ACTIONS(1202),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1200),
    [anon_sym_CARET] = ACTIONS(1202),
    [anon_sym_AMP_AMP] = ACTIONS(1200),
    [anon_sym_GT_GT] = ACTIONS(1202),
    [anon_sym_in] = ACTIONS(1202),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1200),
    [anon_sym_SLASH] = ACTIONS(1202),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(1200),
    [anon_sym_PERCENT_EQ] = ACTIONS(1200),
    [anon_sym_PLUS_EQ] = ACTIONS(1200),
    [anon_sym_PIPE] = ACTIONS(1202),
    [anon_sym_PIPE_PIPE] = ACTIONS(1200),
    [anon_sym_GT_GT_GT] = ACTIONS(1202),
    [anon_sym_BANG_EQ] = ACTIONS(1202),
    [anon_sym_DOT] = ACTIONS(1200),
    [anon_sym_BQUOTE] = ACTIONS(1200),
    [anon_sym_RBRACK] = ACTIONS(1200),
    [anon_sym_CARET_EQ] = ACTIONS(1200),
    [anon_sym_DASH_EQ] = ACTIONS(1200),
    [anon_sym_PLUS] = ACTIONS(1202),
    [anon_sym_PERCENT] = ACTIONS(1202),
    [anon_sym_LT_LT] = ACTIONS(1202),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1200),
  },
  [753] = {
    [anon_sym_instanceof] = ACTIONS(1216),
    [anon_sym_GT] = ACTIONS(1218),
    [anon_sym_COLON] = ACTIONS(1216),
    [anon_sym_DASH] = ACTIONS(1218),
    [anon_sym_CARET] = ACTIONS(1216),
    [anon_sym_STAR_STAR] = ACTIONS(1216),
    [anon_sym_STAR] = ACTIONS(1218),
    [anon_sym_AMP_AMP] = ACTIONS(1216),
    [anon_sym_GT_GT] = ACTIONS(1218),
    [anon_sym_AMP] = ACTIONS(1218),
    [anon_sym_LBRACE] = ACTIONS(1216),
    [anon_sym_in] = ACTIONS(1218),
    [anon_sym_LPAREN] = ACTIONS(1216),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1216),
    [anon_sym_SLASH] = ACTIONS(1218),
    [anon_sym_GT_EQ] = ACTIONS(1216),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(1216),
    [anon_sym_PIPE] = ACTIONS(1218),
    [anon_sym_LT_EQ] = ACTIONS(1216),
    [anon_sym_PIPE_PIPE] = ACTIONS(1216),
    [anon_sym_COMMA] = ACTIONS(1216),
    [anon_sym_GT_GT_GT] = ACTIONS(1216),
    [anon_sym_PLUS_PLUS] = ACTIONS(1216),
    [anon_sym_RPAREN] = ACTIONS(1216),
    [anon_sym_BANG_EQ] = ACTIONS(1218),
    [anon_sym_LT] = ACTIONS(1218),
    [anon_sym_DOT] = ACTIONS(1216),
    [anon_sym_BQUOTE] = ACTIONS(1216),
    [anon_sym_RBRACK] = ACTIONS(1216),
    [anon_sym_PLUS] = ACTIONS(1218),
    [anon_sym_EQ_EQ] = ACTIONS(1218),
    [anon_sym_PERCENT] = ACTIONS(1216),
    [anon_sym_QMARK] = ACTIONS(1216),
    [anon_sym_LT_LT] = ACTIONS(1216),
    [anon_sym_DASH_DASH] = ACTIONS(1216),
    [anon_sym_RBRACE] = ACTIONS(1216),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1216),
  },
  [754] = {
    [anon_sym_instanceof] = ACTIONS(1262),
    [anon_sym_COLON] = ACTIONS(1262),
    [anon_sym_DASH] = ACTIONS(1264),
    [anon_sym_STAR_STAR] = ACTIONS(1262),
    [anon_sym_STAR] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1264),
    [anon_sym_LBRACE] = ACTIONS(1262),
    [anon_sym_GT_EQ] = ACTIONS(1262),
    [anon_sym_LPAREN] = ACTIONS(1262),
    [anon_sym_LT_EQ] = ACTIONS(1262),
    [anon_sym_COMMA] = ACTIONS(1262),
    [anon_sym_PLUS_PLUS] = ACTIONS(1262),
    [anon_sym_RPAREN] = ACTIONS(1262),
    [anon_sym_LT] = ACTIONS(1264),
    [anon_sym_EQ_EQ] = ACTIONS(1264),
    [anon_sym_QMARK] = ACTIONS(1262),
    [anon_sym_RBRACE] = ACTIONS(1262),
    [anon_sym_DASH_DASH] = ACTIONS(1262),
    [anon_sym_GT] = ACTIONS(1264),
    [anon_sym_EQ] = ACTIONS(1264),
    [anon_sym_CARET] = ACTIONS(1262),
    [anon_sym_AMP_AMP] = ACTIONS(1262),
    [anon_sym_GT_GT] = ACTIONS(1264),
    [anon_sym_in] = ACTIONS(1264),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1262),
    [anon_sym_of] = ACTIONS(1262),
    [anon_sym_SLASH] = ACTIONS(1264),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(1262),
    [anon_sym_PIPE] = ACTIONS(1264),
    [anon_sym_PIPE_PIPE] = ACTIONS(1262),
    [anon_sym_GT_GT_GT] = ACTIONS(1262),
    [anon_sym_BANG_EQ] = ACTIONS(1264),
    [anon_sym_DOT] = ACTIONS(1262),
    [anon_sym_BQUOTE] = ACTIONS(1262),
    [anon_sym_RBRACK] = ACTIONS(1262),
    [anon_sym_PLUS] = ACTIONS(1264),
    [anon_sym_PERCENT] = ACTIONS(1262),
    [anon_sym_LT_LT] = ACTIONS(1262),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1262),
  },
  [755] = {
    [sym_computed_property_name] = STATE(442),
    [sym_string] = STATE(442),
    [sym__property_name] = STATE(442),
    [sym__automatic_semicolon] = ACTIONS(566),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [anon_sym_set] = ACTIONS(568),
    [anon_sym_LPAREN] = ACTIONS(566),
    [anon_sym_EQ] = ACTIONS(566),
    [anon_sym_async] = ACTIONS(568),
    [anon_sym_SEMI] = ACTIONS(566),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_static] = ACTIONS(568),
    [anon_sym_LBRACK] = ACTIONS(589),
    [sym_comment] = ACTIONS(3),
    [sym_identifier] = ACTIONS(568),
    [anon_sym_get] = ACTIONS(568),
    [sym_number] = ACTIONS(1266),
  },
  [756] = {
    [sym_computed_property_name] = STATE(442),
    [sym_string] = STATE(442),
    [sym__property_name] = STATE(442),
    [sym__automatic_semicolon] = ACTIONS(566),
    [anon_sym_EQ] = ACTIONS(566),
    [anon_sym_SEMI] = ACTIONS(566),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_static] = ACTIONS(568),
    [sym_identifier] = ACTIONS(568),
    [anon_sym_STAR] = ACTIONS(1268),
    [sym_number] = ACTIONS(1266),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [anon_sym_set] = ACTIONS(1270),
    [anon_sym_LPAREN] = ACTIONS(566),
    [anon_sym_async] = ACTIONS(568),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(589),
    [anon_sym_get] = ACTIONS(1270),
  },
  [757] = {
    [sym_arrow_function] = STATE(800),
    [sym_call_expression] = STATE(800),
    [sym_subscript_expression] = STATE(701),
    [sym_assignment_expression] = STATE(800),
    [sym_ternary_expression] = STATE(800),
    [sym_binary_expression] = STATE(800),
    [sym_template_string] = STATE(800),
    [sym__expression] = STATE(800),
    [sym_yield_expression] = STATE(800),
    [sym_jsx_element] = STATE(800),
    [sym_jsx_fragment] = STATE(800),
    [sym_function] = STATE(703),
    [sym_new_expression] = STATE(800),
    [sym_augmented_assignment_expression] = STATE(800),
    [sym_unary_expression] = STATE(800),
    [sym_update_expression] = STATE(800),
    [sym_regex] = STATE(800),
    [sym_meta_property] = STATE(800),
    [sym_object] = STATE(702),
    [aux_sym_export_statement_repeat1] = STATE(1016),
    [sym_class] = STATE(800),
    [sym_generator_function] = STATE(800),
    [sym_await_expression] = STATE(800),
    [sym_member_expression] = STATE(701),
    [sym_string] = STATE(800),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(874),
    [sym_parenthesized_expression] = STATE(800),
    [sym_array] = STATE(704),
    [sym_jsx_opening_element] = STATE(875),
    [sym_jsx_self_closing_element] = STATE(800),
    [anon_sym_await] = ACTIONS(217),
    [sym_null] = ACTIONS(2445),
    [anon_sym_class] = ACTIONS(183),
    [anon_sym_static] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(219),
    [anon_sym_DASH] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_delete] = ACTIONS(191),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [anon_sym_LPAREN] = ACTIONS(193),
    [anon_sym_BANG] = ACTIONS(195),
    [sym_this] = ACTIONS(2445),
    [sym_undefined] = ACTIONS(2445),
    [sym_true] = ACTIONS(2445),
    [anon_sym_SLASH] = ACTIONS(223),
    [anon_sym_LBRACK] = ACTIONS(225),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(243),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_TILDE] = ACTIONS(195),
    [sym_super] = ACTIONS(207),
    [sym_identifier] = ACTIONS(253),
    [sym_false] = ACTIONS(2445),
    [anon_sym_LT] = ACTIONS(209),
    [sym_number] = ACTIONS(2447),
    [anon_sym_yield] = ACTIONS(213),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_set] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(251),
    [anon_sym_new] = ACTIONS(231),
    [anon_sym_PLUS] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_void] = ACTIONS(191),
    [anon_sym_typeof] = ACTIONS(191),
  },
  [758] = {
    [anon_sym_instanceof] = ACTIONS(1306),
    [anon_sym_COLON] = ACTIONS(1306),
    [anon_sym_DASH] = ACTIONS(1308),
    [anon_sym_STAR_STAR] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_LBRACE] = ACTIONS(1306),
    [anon_sym_GT_EQ] = ACTIONS(1306),
    [anon_sym_LPAREN] = ACTIONS(1306),
    [anon_sym_LT_EQ] = ACTIONS(1306),
    [anon_sym_COMMA] = ACTIONS(1306),
    [anon_sym_PLUS_PLUS] = ACTIONS(1306),
    [anon_sym_RPAREN] = ACTIONS(1306),
    [anon_sym_LT] = ACTIONS(1308),
    [anon_sym_EQ_EQ] = ACTIONS(1308),
    [anon_sym_QMARK] = ACTIONS(1306),
    [anon_sym_RBRACE] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1306),
    [anon_sym_GT] = ACTIONS(1308),
    [anon_sym_EQ] = ACTIONS(1308),
    [anon_sym_CARET] = ACTIONS(1306),
    [anon_sym_AMP_AMP] = ACTIONS(1306),
    [anon_sym_GT_GT] = ACTIONS(1308),
    [anon_sym_in] = ACTIONS(1308),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1306),
    [anon_sym_of] = ACTIONS(1306),
    [anon_sym_SLASH] = ACTIONS(1308),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(1306),
    [anon_sym_PIPE] = ACTIONS(1308),
    [anon_sym_PIPE_PIPE] = ACTIONS(1306),
    [anon_sym_GT_GT_GT] = ACTIONS(1306),
    [anon_sym_BANG_EQ] = ACTIONS(1308),
    [anon_sym_DOT] = ACTIONS(1306),
    [anon_sym_BQUOTE] = ACTIONS(1306),
    [anon_sym_RBRACK] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1308),
    [anon_sym_PERCENT] = ACTIONS(1306),
    [anon_sym_LT_LT] = ACTIONS(1306),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1306),
  },
  [759] = {
    [sym_arrow_function] = STATE(802),
    [sym_call_expression] = STATE(802),
    [sym_subscript_expression] = STATE(701),
    [sym_assignment_expression] = STATE(802),
    [sym_ternary_expression] = STATE(802),
    [sym_binary_expression] = STATE(802),
    [sym_template_string] = STATE(802),
    [sym__expression] = STATE(802),
    [sym_yield_expression] = STATE(802),
    [sym_jsx_element] = STATE(802),
    [sym_jsx_fragment] = STATE(802),
    [sym_function] = STATE(703),
    [sym_new_expression] = STATE(802),
    [sym_augmented_assignment_expression] = STATE(802),
    [sym_unary_expression] = STATE(802),
    [sym_update_expression] = STATE(802),
    [sym_regex] = STATE(802),
    [sym_meta_property] = STATE(802),
    [sym_object] = STATE(702),
    [aux_sym_export_statement_repeat1] = STATE(1016),
    [sym_class] = STATE(802),
    [sym_generator_function] = STATE(802),
    [sym_await_expression] = STATE(802),
    [sym_member_expression] = STATE(701),
    [sym_string] = STATE(802),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(874),
    [sym_parenthesized_expression] = STATE(802),
    [sym_array] = STATE(704),
    [sym_jsx_opening_element] = STATE(875),
    [sym_jsx_self_closing_element] = STATE(802),
    [anon_sym_await] = ACTIONS(217),
    [sym_null] = ACTIONS(2449),
    [anon_sym_class] = ACTIONS(183),
    [anon_sym_static] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(219),
    [anon_sym_DASH] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_delete] = ACTIONS(191),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [anon_sym_LPAREN] = ACTIONS(193),
    [anon_sym_BANG] = ACTIONS(195),
    [sym_this] = ACTIONS(2449),
    [sym_undefined] = ACTIONS(2449),
    [sym_true] = ACTIONS(2449),
    [anon_sym_SLASH] = ACTIONS(223),
    [anon_sym_LBRACK] = ACTIONS(225),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(243),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_TILDE] = ACTIONS(195),
    [sym_super] = ACTIONS(207),
    [sym_identifier] = ACTIONS(253),
    [sym_false] = ACTIONS(2449),
    [anon_sym_LT] = ACTIONS(209),
    [sym_number] = ACTIONS(2451),
    [anon_sym_yield] = ACTIONS(213),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_set] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(251),
    [anon_sym_new] = ACTIONS(231),
    [anon_sym_PLUS] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_void] = ACTIONS(191),
    [anon_sym_typeof] = ACTIONS(191),
  },
  [760] = {
    [anon_sym_instanceof] = ACTIONS(1322),
    [sym__automatic_semicolon] = ACTIONS(1324),
    [anon_sym_class] = ACTIONS(1322),
    [anon_sym_DASH] = ACTIONS(1322),
    [anon_sym_STAR] = ACTIONS(1322),
    [anon_sym_AMP] = ACTIONS(1322),
    [anon_sym_throw] = ACTIONS(1322),
    [anon_sym_GT_EQ] = ACTIONS(1324),
    [sym_this] = ACTIONS(1322),
    [anon_sym_case] = ACTIONS(1322),
    [anon_sym_get] = ACTIONS(1322),
    [anon_sym_LT_EQ] = ACTIONS(1324),
    [anon_sym_COMMA] = ACTIONS(1324),
    [anon_sym_PLUS_PLUS] = ACTIONS(1324),
    [anon_sym_RPAREN] = ACTIONS(1324),
    [anon_sym_TILDE] = ACTIONS(1324),
    [anon_sym_LT] = ACTIONS(1322),
    [sym_false] = ACTIONS(1322),
    [anon_sym_yield] = ACTIONS(1322),
    [anon_sym_async] = ACTIONS(1322),
    [anon_sym_const] = ACTIONS(1322),
    [anon_sym_QMARK] = ACTIONS(1324),
    [anon_sym_try] = ACTIONS(1322),
    [anon_sym_await] = ACTIONS(1322),
    [anon_sym_let] = ACTIONS(1322),
    [anon_sym_CARET] = ACTIONS(1324),
    [anon_sym_GT_GT] = ACTIONS(1322),
    [anon_sym_in] = ACTIONS(1322),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1324),
    [anon_sym_SLASH] = ACTIONS(1322),
    [sym_undefined] = ACTIONS(1322),
    [anon_sym_LBRACK] = ACTIONS(1324),
    [anon_sym_else] = ACTIONS(1322),
    [anon_sym_PIPE_PIPE] = ACTIONS(1324),
    [anon_sym_break] = ACTIONS(1322),
    [anon_sym_while] = ACTIONS(1322),
    [anon_sym_DOT] = ACTIONS(1322),
    [anon_sym_BQUOTE] = ACTIONS(1324),
    [anon_sym_PLUS] = ACTIONS(1322),
    [anon_sym_export] = ACTIONS(1322),
    [anon_sym_LT_LT] = ACTIONS(1324),
    [anon_sym_return] = ACTIONS(1322),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1324),
    [anon_sym_static] = ACTIONS(1322),
    [anon_sym_import] = ACTIONS(1322),
    [anon_sym_STAR_STAR] = ACTIONS(1324),
    [anon_sym_LBRACE] = ACTIONS(1324),
    [anon_sym_delete] = ACTIONS(1322),
    [anon_sym_LPAREN] = ACTIONS(1324),
    [anon_sym_BANG] = ACTIONS(1322),
    [sym_true] = ACTIONS(1322),
    [anon_sym_default] = ACTIONS(1322),
    [anon_sym_SEMI] = ACTIONS(1324),
    [anon_sym_DQUOTE] = ACTIONS(1324),
    [sym_super] = ACTIONS(1322),
    [sym_number] = ACTIONS(1324),
    [anon_sym_set] = ACTIONS(1322),
    [anon_sym_var] = ACTIONS(1322),
    [anon_sym_EQ_EQ] = ACTIONS(1322),
    [anon_sym_RBRACE] = ACTIONS(1324),
    [anon_sym_DASH_DASH] = ACTIONS(1324),
    [anon_sym_for] = ACTIONS(1322),
    [anon_sym_typeof] = ACTIONS(1322),
    [anon_sym_GT] = ACTIONS(1322),
    [sym_null] = ACTIONS(1322),
    [anon_sym_function] = ACTIONS(1322),
    [anon_sym_if] = ACTIONS(1322),
    [anon_sym_AMP_AMP] = ACTIONS(1324),
    [anon_sym_with] = ACTIONS(1322),
    [anon_sym_SQUOTE] = ACTIONS(1324),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(1322),
    [anon_sym_GT_GT_GT] = ACTIONS(1324),
    [anon_sym_debugger] = ACTIONS(1322),
    [anon_sym_BANG_EQ] = ACTIONS(1322),
    [sym_identifier] = ACTIONS(1322),
    [ts_builtin_sym_end] = ACTIONS(1324),
    [anon_sym_new] = ACTIONS(1322),
    [anon_sym_AT] = ACTIONS(1324),
    [anon_sym_switch] = ACTIONS(1322),
    [anon_sym_PERCENT] = ACTIONS(1324),
    [anon_sym_continue] = ACTIONS(1322),
    [anon_sym_void] = ACTIONS(1322),
    [anon_sym_do] = ACTIONS(1322),
  },
  [761] = {
    [sym_arrow_function] = STATE(803),
    [sym_call_expression] = STATE(803),
    [sym_subscript_expression] = STATE(701),
    [sym_assignment_expression] = STATE(803),
    [sym_ternary_expression] = STATE(803),
    [sym_binary_expression] = STATE(803),
    [sym_template_string] = STATE(803),
    [sym__expression] = STATE(803),
    [sym_yield_expression] = STATE(803),
    [sym_jsx_element] = STATE(803),
    [sym_jsx_fragment] = STATE(803),
    [sym_function] = STATE(703),
    [sym_new_expression] = STATE(803),
    [sym_augmented_assignment_expression] = STATE(803),
    [sym_unary_expression] = STATE(803),
    [sym_update_expression] = STATE(803),
    [sym_regex] = STATE(803),
    [sym_meta_property] = STATE(803),
    [sym_object] = STATE(702),
    [aux_sym_export_statement_repeat1] = STATE(1016),
    [sym_class] = STATE(803),
    [sym_generator_function] = STATE(803),
    [sym_await_expression] = STATE(803),
    [sym_member_expression] = STATE(701),
    [sym_string] = STATE(803),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(874),
    [sym_parenthesized_expression] = STATE(803),
    [sym_array] = STATE(704),
    [sym_jsx_opening_element] = STATE(875),
    [sym_jsx_self_closing_element] = STATE(803),
    [anon_sym_await] = ACTIONS(217),
    [sym_null] = ACTIONS(2453),
    [anon_sym_class] = ACTIONS(183),
    [anon_sym_static] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(219),
    [anon_sym_DASH] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_delete] = ACTIONS(191),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [anon_sym_LPAREN] = ACTIONS(193),
    [anon_sym_BANG] = ACTIONS(195),
    [sym_this] = ACTIONS(2453),
    [sym_undefined] = ACTIONS(2453),
    [sym_true] = ACTIONS(2453),
    [anon_sym_SLASH] = ACTIONS(223),
    [anon_sym_LBRACK] = ACTIONS(225),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(243),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_TILDE] = ACTIONS(195),
    [sym_super] = ACTIONS(207),
    [sym_identifier] = ACTIONS(253),
    [sym_false] = ACTIONS(2453),
    [anon_sym_LT] = ACTIONS(209),
    [sym_number] = ACTIONS(2455),
    [anon_sym_yield] = ACTIONS(213),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_set] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(251),
    [anon_sym_new] = ACTIONS(231),
    [anon_sym_PLUS] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_void] = ACTIONS(191),
    [anon_sym_typeof] = ACTIONS(191),
  },
  [762] = {
    [anon_sym_await] = ACTIONS(1361),
    [anon_sym_typeof] = ACTIONS(1361),
    [anon_sym_class] = ACTIONS(1361),
    [anon_sym_void] = ACTIONS(1361),
    [anon_sym_DASH_DASH] = ACTIONS(1359),
    [sym_null] = ACTIONS(1361),
    [anon_sym_AT] = ACTIONS(1359),
    [anon_sym_set] = ACTIONS(1361),
    [anon_sym_function] = ACTIONS(1361),
    [anon_sym_static] = ACTIONS(1361),
    [anon_sym_let] = ACTIONS(1361),
    [anon_sym_import] = ACTIONS(1361),
    [anon_sym_if] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1361),
    [anon_sym_LBRACE] = ACTIONS(1359),
    [anon_sym_with] = ACTIONS(1361),
    [anon_sym_throw] = ACTIONS(1361),
    [anon_sym_delete] = ACTIONS(1361),
    [anon_sym_LPAREN] = ACTIONS(1359),
    [anon_sym_BANG] = ACTIONS(1359),
    [anon_sym_SLASH] = ACTIONS(1361),
    [anon_sym_SQUOTE] = ACTIONS(1359),
    [sym_this] = ACTIONS(1361),
    [sym_true] = ACTIONS(1361),
    [anon_sym_LBRACK] = ACTIONS(1359),
    [sym_undefined] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(1361),
    [anon_sym_break] = ACTIONS(1361),
    [anon_sym_SEMI] = ACTIONS(1359),
    [anon_sym_debugger] = ACTIONS(1361),
    [anon_sym_PLUS_PLUS] = ACTIONS(1359),
    [anon_sym_while] = ACTIONS(1361),
    [anon_sym_TILDE] = ACTIONS(1359),
    [anon_sym_LT] = ACTIONS(1359),
    [anon_sym_DQUOTE] = ACTIONS(1359),
    [anon_sym_BQUOTE] = ACTIONS(1359),
    [sym_number] = ACTIONS(1359),
    [anon_sym_yield] = ACTIONS(1361),
    [sym_identifier] = ACTIONS(1361),
    [sym_super] = ACTIONS(1361),
    [anon_sym_new] = ACTIONS(1361),
    [anon_sym_async] = ACTIONS(1361),
    [sym_false] = ACTIONS(1361),
    [anon_sym_var] = ACTIONS(1361),
    [anon_sym_switch] = ACTIONS(1361),
    [anon_sym_const] = ACTIONS(1361),
    [anon_sym_export] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_continue] = ACTIONS(1361),
    [anon_sym_try] = ACTIONS(1361),
    [anon_sym_return] = ACTIONS(1361),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_do] = ACTIONS(1361),
  },
  [763] = {
    [anon_sym_instanceof] = ACTIONS(1375),
    [anon_sym_GT] = ACTIONS(1377),
    [anon_sym_COLON] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_STAR_STAR] = ACTIONS(1375),
    [anon_sym_STAR] = ACTIONS(1377),
    [anon_sym_AMP_AMP] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1377),
    [anon_sym_AMP] = ACTIONS(1377),
    [anon_sym_LBRACE] = ACTIONS(1375),
    [anon_sym_in] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_COMMA] = ACTIONS(1375),
    [anon_sym_GT_GT_GT] = ACTIONS(1375),
    [anon_sym_PLUS_PLUS] = ACTIONS(1375),
    [anon_sym_RPAREN] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1377),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_DOT] = ACTIONS(1375),
    [anon_sym_BQUOTE] = ACTIONS(1375),
    [anon_sym_RBRACK] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1377),
    [anon_sym_EQ_EQ] = ACTIONS(1377),
    [anon_sym_PERCENT] = ACTIONS(1375),
    [anon_sym_QMARK] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_DASH_DASH] = ACTIONS(1375),
    [anon_sym_RBRACE] = ACTIONS(1375),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1375),
  },
  [764] = {
    [anon_sym_instanceof] = ACTIONS(1386),
    [anon_sym_COLON] = ACTIONS(1386),
    [anon_sym_DASH] = ACTIONS(1388),
    [anon_sym_STAR_STAR] = ACTIONS(1386),
    [anon_sym_STAR] = ACTIONS(1388),
    [anon_sym_AMP] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(1386),
    [anon_sym_GT_EQ] = ACTIONS(1386),
    [anon_sym_LPAREN] = ACTIONS(1386),
    [anon_sym_LT_EQ] = ACTIONS(1386),
    [anon_sym_COMMA] = ACTIONS(1386),
    [anon_sym_PLUS_PLUS] = ACTIONS(1386),
    [anon_sym_RPAREN] = ACTIONS(1386),
    [anon_sym_LT] = ACTIONS(1388),
    [anon_sym_EQ_EQ] = ACTIONS(1388),
    [anon_sym_QMARK] = ACTIONS(1386),
    [anon_sym_RBRACE] = ACTIONS(1386),
    [anon_sym_DASH_DASH] = ACTIONS(1386),
    [anon_sym_GT] = ACTIONS(1388),
    [anon_sym_EQ] = ACTIONS(1388),
    [anon_sym_CARET] = ACTIONS(1386),
    [anon_sym_AMP_AMP] = ACTIONS(1386),
    [anon_sym_GT_GT] = ACTIONS(1388),
    [anon_sym_in] = ACTIONS(1388),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1386),
    [anon_sym_of] = ACTIONS(1386),
    [anon_sym_SLASH] = ACTIONS(1388),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(1386),
    [anon_sym_PIPE] = ACTIONS(1388),
    [anon_sym_PIPE_PIPE] = ACTIONS(1386),
    [anon_sym_GT_GT_GT] = ACTIONS(1386),
    [anon_sym_BANG_EQ] = ACTIONS(1388),
    [anon_sym_DOT] = ACTIONS(1386),
    [anon_sym_BQUOTE] = ACTIONS(1386),
    [anon_sym_RBRACK] = ACTIONS(1386),
    [anon_sym_PLUS] = ACTIONS(1388),
    [anon_sym_PERCENT] = ACTIONS(1386),
    [anon_sym_LT_LT] = ACTIONS(1386),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1386),
  },
  [765] = {
    [anon_sym_instanceof] = ACTIONS(1395),
    [anon_sym_COLON] = ACTIONS(1397),
    [anon_sym_DASH] = ACTIONS(1395),
    [anon_sym_STAR_STAR] = ACTIONS(1397),
    [anon_sym_STAR] = ACTIONS(1395),
    [anon_sym_AMP] = ACTIONS(1395),
    [anon_sym_LBRACE] = ACTIONS(1397),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [sym_regex_flags] = ACTIONS(2457),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_COMMA] = ACTIONS(1397),
    [anon_sym_PLUS_PLUS] = ACTIONS(1397),
    [anon_sym_RPAREN] = ACTIONS(1397),
    [anon_sym_LT] = ACTIONS(1395),
    [anon_sym_EQ_EQ] = ACTIONS(1395),
    [anon_sym_QMARK] = ACTIONS(1397),
    [anon_sym_RBRACE] = ACTIONS(1397),
    [anon_sym_DASH_DASH] = ACTIONS(1397),
    [anon_sym_GT] = ACTIONS(1395),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_AMP_AMP] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1395),
    [anon_sym_in] = ACTIONS(1395),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1397),
    [anon_sym_SLASH] = ACTIONS(1395),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [anon_sym_PIPE] = ACTIONS(1395),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_GT_GT_GT] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1395),
    [anon_sym_DOT] = ACTIONS(1397),
    [anon_sym_BQUOTE] = ACTIONS(1397),
    [anon_sym_RBRACK] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1395),
    [anon_sym_PERCENT] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1397),
  },
  [766] = {
    [anon_sym_instanceof] = ACTIONS(1413),
    [anon_sym_class] = ACTIONS(1413),
    [anon_sym_COLON] = ACTIONS(1411),
    [anon_sym_static] = ACTIONS(1413),
    [anon_sym_DASH] = ACTIONS(1413),
    [anon_sym_STAR_STAR] = ACTIONS(1411),
    [anon_sym_STAR] = ACTIONS(1413),
    [anon_sym_AMP] = ACTIONS(1413),
    [anon_sym_LBRACE] = ACTIONS(1411),
    [anon_sym_GT_EQ] = ACTIONS(1411),
    [anon_sym_LPAREN] = ACTIONS(1411),
    [anon_sym_get] = ACTIONS(1413),
    [anon_sym_LT_EQ] = ACTIONS(1411),
    [anon_sym_COMMA] = ACTIONS(1411),
    [anon_sym_PLUS_PLUS] = ACTIONS(1411),
    [anon_sym_DQUOTE] = ACTIONS(1411),
    [anon_sym_RPAREN] = ACTIONS(1411),
    [anon_sym_LT] = ACTIONS(1413),
    [sym_number] = ACTIONS(1411),
    [anon_sym_set] = ACTIONS(1413),
    [anon_sym_async] = ACTIONS(1413),
    [anon_sym_EQ_EQ] = ACTIONS(1413),
    [anon_sym_QMARK] = ACTIONS(1411),
    [anon_sym_RBRACE] = ACTIONS(1411),
    [anon_sym_DASH_DASH] = ACTIONS(1411),
    [anon_sym_GT] = ACTIONS(1413),
    [anon_sym_CARET] = ACTIONS(1411),
    [anon_sym_AMP_AMP] = ACTIONS(1411),
    [anon_sym_GT_GT] = ACTIONS(1413),
    [anon_sym_SQUOTE] = ACTIONS(1411),
    [anon_sym_in] = ACTIONS(1413),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1411),
    [anon_sym_SLASH] = ACTIONS(1413),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(1411),
    [anon_sym_PIPE] = ACTIONS(1413),
    [anon_sym_PIPE_PIPE] = ACTIONS(1411),
    [anon_sym_GT_GT_GT] = ACTIONS(1411),
    [anon_sym_BANG_EQ] = ACTIONS(1413),
    [sym_identifier] = ACTIONS(1413),
    [anon_sym_DOT] = ACTIONS(1413),
    [anon_sym_BQUOTE] = ACTIONS(1411),
    [anon_sym_RBRACK] = ACTIONS(1411),
    [anon_sym_AT] = ACTIONS(1411),
    [anon_sym_PLUS] = ACTIONS(1413),
    [anon_sym_PERCENT] = ACTIONS(1411),
    [anon_sym_export] = ACTIONS(1413),
    [anon_sym_LT_LT] = ACTIONS(1411),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1411),
  },
  [767] = {
    [anon_sym_instanceof] = ACTIONS(1417),
    [anon_sym_COLON] = ACTIONS(1417),
    [anon_sym_AMP_EQ] = ACTIONS(1417),
    [anon_sym_GT_GT_EQ] = ACTIONS(1417),
    [anon_sym_STAR_EQ] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR_STAR] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_AMP] = ACTIONS(1419),
    [anon_sym_LBRACE] = ACTIONS(1417),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [anon_sym_PIPE_EQ] = ACTIONS(1417),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1417),
    [anon_sym_SLASH_EQ] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [anon_sym_PLUS_PLUS] = ACTIONS(1417),
    [anon_sym_RPAREN] = ACTIONS(1417),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_LT_LT_EQ] = ACTIONS(1417),
    [anon_sym_EQ_EQ] = ACTIONS(1419),
    [anon_sym_QMARK] = ACTIONS(1417),
    [anon_sym_RBRACE] = ACTIONS(1417),
    [anon_sym_DASH_DASH] = ACTIONS(1417),
    [anon_sym_GT] = ACTIONS(1419),
    [anon_sym_EQ] = ACTIONS(1419),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1417),
    [anon_sym_CARET] = ACTIONS(1419),
    [anon_sym_AMP_AMP] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1419),
    [anon_sym_in] = ACTIONS(1419),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1417),
    [anon_sym_SLASH] = ACTIONS(1419),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [anon_sym_PERCENT_EQ] = ACTIONS(1417),
    [anon_sym_PLUS_EQ] = ACTIONS(1417),
    [anon_sym_PIPE] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_GT_GT_GT] = ACTIONS(1419),
    [anon_sym_BANG_EQ] = ACTIONS(1419),
    [anon_sym_DOT] = ACTIONS(1417),
    [anon_sym_BQUOTE] = ACTIONS(1417),
    [anon_sym_RBRACK] = ACTIONS(1417),
    [anon_sym_CARET_EQ] = ACTIONS(1417),
    [anon_sym_DASH_EQ] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1419),
    [anon_sym_PERCENT] = ACTIONS(1419),
    [anon_sym_LT_LT] = ACTIONS(1419),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1417),
  },
  [768] = {
    [sym_template_string] = STATE(719),
    [sym_arguments] = STATE(719),
    [anon_sym_instanceof] = ACTIONS(696),
    [anon_sym_GT] = ACTIONS(676),
    [anon_sym_COLON] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(698),
    [anon_sym_CARET] = ACTIONS(700),
    [anon_sym_STAR_STAR] = ACTIONS(702),
    [anon_sym_STAR] = ACTIONS(704),
    [anon_sym_AMP_AMP] = ACTIONS(706),
    [anon_sym_GT_GT] = ACTIONS(704),
    [anon_sym_AMP] = ACTIONS(708),
    [anon_sym_LBRACE] = ACTIONS(1421),
    [anon_sym_in] = ACTIONS(676),
    [anon_sym_LPAREN] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(704),
    [anon_sym_GT_EQ] = ACTIONS(696),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(710),
    [anon_sym_PIPE] = ACTIONS(712),
    [anon_sym_LT_EQ] = ACTIONS(696),
    [anon_sym_PIPE_PIPE] = ACTIONS(700),
    [anon_sym_COMMA] = ACTIONS(1421),
    [anon_sym_GT_GT_GT] = ACTIONS(714),
    [anon_sym_PLUS_PLUS] = ACTIONS(716),
    [anon_sym_RPAREN] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(676),
    [anon_sym_LT] = ACTIONS(676),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_RBRACK] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(698),
    [anon_sym_EQ_EQ] = ACTIONS(676),
    [anon_sym_PERCENT] = ACTIONS(714),
    [anon_sym_QMARK] = ACTIONS(722),
    [anon_sym_LT_LT] = ACTIONS(714),
    [anon_sym_DASH_DASH] = ACTIONS(716),
    [anon_sym_RBRACE] = ACTIONS(1421),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(696),
  },
  [769] = {
    [sym_template_string] = STATE(719),
    [sym_arguments] = STATE(719),
    [anon_sym_instanceof] = ACTIONS(696),
    [anon_sym_GT] = ACTIONS(676),
    [anon_sym_COLON] = ACTIONS(1427),
    [anon_sym_DASH] = ACTIONS(698),
    [anon_sym_CARET] = ACTIONS(700),
    [anon_sym_STAR_STAR] = ACTIONS(702),
    [anon_sym_STAR] = ACTIONS(704),
    [anon_sym_AMP_AMP] = ACTIONS(706),
    [anon_sym_GT_GT] = ACTIONS(704),
    [anon_sym_AMP] = ACTIONS(708),
    [anon_sym_LBRACE] = ACTIONS(1427),
    [anon_sym_in] = ACTIONS(676),
    [anon_sym_LPAREN] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(704),
    [anon_sym_GT_EQ] = ACTIONS(696),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(710),
    [anon_sym_PIPE] = ACTIONS(712),
    [anon_sym_LT_EQ] = ACTIONS(696),
    [anon_sym_PIPE_PIPE] = ACTIONS(700),
    [anon_sym_COMMA] = ACTIONS(1427),
    [anon_sym_GT_GT_GT] = ACTIONS(714),
    [anon_sym_PLUS_PLUS] = ACTIONS(716),
    [anon_sym_RPAREN] = ACTIONS(1427),
    [anon_sym_BANG_EQ] = ACTIONS(676),
    [anon_sym_LT] = ACTIONS(676),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_RBRACK] = ACTIONS(1427),
    [anon_sym_PLUS] = ACTIONS(698),
    [anon_sym_EQ_EQ] = ACTIONS(676),
    [anon_sym_PERCENT] = ACTIONS(714),
    [anon_sym_QMARK] = ACTIONS(722),
    [anon_sym_LT_LT] = ACTIONS(714),
    [anon_sym_DASH_DASH] = ACTIONS(716),
    [anon_sym_RBRACE] = ACTIONS(1427),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(696),
  },
  [770] = {
    [sym_template_string] = STATE(719),
    [sym_arguments] = STATE(719),
    [anon_sym_instanceof] = ACTIONS(1429),
    [anon_sym_GT] = ACTIONS(1431),
    [anon_sym_COLON] = ACTIONS(1429),
    [anon_sym_DASH] = ACTIONS(698),
    [anon_sym_CARET] = ACTIONS(1429),
    [anon_sym_STAR_STAR] = ACTIONS(702),
    [anon_sym_STAR] = ACTIONS(704),
    [anon_sym_AMP_AMP] = ACTIONS(1429),
    [anon_sym_GT_GT] = ACTIONS(704),
    [anon_sym_AMP] = ACTIONS(1431),
    [anon_sym_LBRACE] = ACTIONS(1429),
    [anon_sym_in] = ACTIONS(1431),
    [anon_sym_LPAREN] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1429),
    [anon_sym_SLASH] = ACTIONS(704),
    [anon_sym_GT_EQ] = ACTIONS(1429),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(710),
    [anon_sym_PIPE] = ACTIONS(1431),
    [anon_sym_LT_EQ] = ACTIONS(1429),
    [anon_sym_PIPE_PIPE] = ACTIONS(1429),
    [anon_sym_COMMA] = ACTIONS(1429),
    [anon_sym_GT_GT_GT] = ACTIONS(714),
    [anon_sym_PLUS_PLUS] = ACTIONS(716),
    [anon_sym_RPAREN] = ACTIONS(1429),
    [anon_sym_BANG_EQ] = ACTIONS(1431),
    [anon_sym_LT] = ACTIONS(1431),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_RBRACK] = ACTIONS(1429),
    [anon_sym_PLUS] = ACTIONS(698),
    [anon_sym_EQ_EQ] = ACTIONS(1431),
    [anon_sym_PERCENT] = ACTIONS(714),
    [anon_sym_QMARK] = ACTIONS(1429),
    [anon_sym_LT_LT] = ACTIONS(714),
    [anon_sym_DASH_DASH] = ACTIONS(716),
    [anon_sym_RBRACE] = ACTIONS(1429),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1429),
  },
  [771] = {
    [anon_sym_instanceof] = ACTIONS(1433),
    [anon_sym_GT] = ACTIONS(1435),
    [anon_sym_COLON] = ACTIONS(1433),
    [anon_sym_DASH] = ACTIONS(1435),
    [anon_sym_CARET] = ACTIONS(1433),
    [anon_sym_STAR_STAR] = ACTIONS(1433),
    [anon_sym_STAR] = ACTIONS(1435),
    [anon_sym_AMP_AMP] = ACTIONS(1433),
    [anon_sym_GT_GT] = ACTIONS(1435),
    [anon_sym_AMP] = ACTIONS(1435),
    [anon_sym_LBRACE] = ACTIONS(1433),
    [anon_sym_in] = ACTIONS(1435),
    [anon_sym_LPAREN] = ACTIONS(1433),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1433),
    [anon_sym_SLASH] = ACTIONS(1435),
    [anon_sym_GT_EQ] = ACTIONS(1433),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(1433),
    [anon_sym_PIPE] = ACTIONS(1435),
    [anon_sym_LT_EQ] = ACTIONS(1433),
    [anon_sym_PIPE_PIPE] = ACTIONS(1433),
    [anon_sym_COMMA] = ACTIONS(1433),
    [anon_sym_GT_GT_GT] = ACTIONS(1433),
    [anon_sym_PLUS_PLUS] = ACTIONS(1433),
    [anon_sym_RPAREN] = ACTIONS(1433),
    [anon_sym_BANG_EQ] = ACTIONS(1435),
    [anon_sym_LT] = ACTIONS(1435),
    [anon_sym_DOT] = ACTIONS(1433),
    [anon_sym_BQUOTE] = ACTIONS(1433),
    [anon_sym_RBRACK] = ACTIONS(1433),
    [anon_sym_PLUS] = ACTIONS(1435),
    [anon_sym_EQ_EQ] = ACTIONS(1435),
    [anon_sym_PERCENT] = ACTIONS(1433),
    [anon_sym_QMARK] = ACTIONS(1433),
    [anon_sym_LT_LT] = ACTIONS(1433),
    [anon_sym_DASH_DASH] = ACTIONS(1433),
    [anon_sym_RBRACE] = ACTIONS(1433),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1433),
  },
  [772] = {
    [sym_template_string] = STATE(719),
    [sym_arguments] = STATE(719),
    [anon_sym_instanceof] = ACTIONS(696),
    [anon_sym_GT] = ACTIONS(676),
    [anon_sym_COLON] = ACTIONS(1433),
    [anon_sym_DASH] = ACTIONS(698),
    [anon_sym_CARET] = ACTIONS(700),
    [anon_sym_STAR_STAR] = ACTIONS(702),
    [anon_sym_STAR] = ACTIONS(704),
    [anon_sym_AMP_AMP] = ACTIONS(706),
    [anon_sym_GT_GT] = ACTIONS(704),
    [anon_sym_AMP] = ACTIONS(708),
    [anon_sym_LBRACE] = ACTIONS(1433),
    [anon_sym_in] = ACTIONS(676),
    [anon_sym_LPAREN] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(704),
    [anon_sym_GT_EQ] = ACTIONS(696),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(710),
    [anon_sym_PIPE] = ACTIONS(712),
    [anon_sym_LT_EQ] = ACTIONS(696),
    [anon_sym_PIPE_PIPE] = ACTIONS(700),
    [anon_sym_COMMA] = ACTIONS(1433),
    [anon_sym_GT_GT_GT] = ACTIONS(714),
    [anon_sym_PLUS_PLUS] = ACTIONS(716),
    [anon_sym_RPAREN] = ACTIONS(1433),
    [anon_sym_BANG_EQ] = ACTIONS(676),
    [anon_sym_LT] = ACTIONS(676),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_RBRACK] = ACTIONS(1433),
    [anon_sym_PLUS] = ACTIONS(698),
    [anon_sym_EQ_EQ] = ACTIONS(676),
    [anon_sym_PERCENT] = ACTIONS(714),
    [anon_sym_QMARK] = ACTIONS(722),
    [anon_sym_LT_LT] = ACTIONS(714),
    [anon_sym_DASH_DASH] = ACTIONS(716),
    [anon_sym_RBRACE] = ACTIONS(1433),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(696),
  },
  [773] = {
    [sym_arrow_function] = STATE(811),
    [sym_call_expression] = STATE(811),
    [sym_subscript_expression] = STATE(701),
    [sym_assignment_expression] = STATE(811),
    [sym_ternary_expression] = STATE(811),
    [sym_binary_expression] = STATE(811),
    [sym_template_string] = STATE(811),
    [sym_statement_block] = STATE(810),
    [sym__expression] = STATE(811),
    [sym_yield_expression] = STATE(811),
    [sym_jsx_element] = STATE(811),
    [sym_jsx_fragment] = STATE(811),
    [sym_function] = STATE(703),
    [sym_new_expression] = STATE(811),
    [sym_augmented_assignment_expression] = STATE(811),
    [sym_unary_expression] = STATE(811),
    [sym_update_expression] = STATE(811),
    [sym_regex] = STATE(811),
    [sym_meta_property] = STATE(811),
    [sym_object] = STATE(702),
    [aux_sym_export_statement_repeat1] = STATE(1016),
    [sym_class] = STATE(811),
    [sym_generator_function] = STATE(811),
    [sym_await_expression] = STATE(811),
    [sym_member_expression] = STATE(701),
    [sym_string] = STATE(811),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(874),
    [sym_parenthesized_expression] = STATE(811),
    [sym_array] = STATE(704),
    [sym_jsx_opening_element] = STATE(875),
    [sym_jsx_self_closing_element] = STATE(811),
    [anon_sym_await] = ACTIONS(217),
    [sym_null] = ACTIONS(2459),
    [anon_sym_class] = ACTIONS(183),
    [anon_sym_static] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(219),
    [anon_sym_DASH] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(2405),
    [anon_sym_delete] = ACTIONS(191),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [anon_sym_LPAREN] = ACTIONS(193),
    [anon_sym_BANG] = ACTIONS(195),
    [sym_this] = ACTIONS(2459),
    [sym_undefined] = ACTIONS(2459),
    [sym_true] = ACTIONS(2459),
    [anon_sym_SLASH] = ACTIONS(223),
    [anon_sym_LBRACK] = ACTIONS(225),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(243),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_TILDE] = ACTIONS(195),
    [sym_super] = ACTIONS(207),
    [sym_identifier] = ACTIONS(253),
    [sym_false] = ACTIONS(2459),
    [anon_sym_LT] = ACTIONS(209),
    [sym_number] = ACTIONS(2461),
    [anon_sym_yield] = ACTIONS(213),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_set] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(251),
    [anon_sym_new] = ACTIONS(231),
    [anon_sym_PLUS] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_void] = ACTIONS(191),
    [anon_sym_typeof] = ACTIONS(191),
  },
  [774] = {
    [sym_arrow_function] = STATE(813),
    [sym_call_expression] = STATE(813),
    [sym_subscript_expression] = STATE(701),
    [sym_assignment_expression] = STATE(813),
    [sym_ternary_expression] = STATE(813),
    [sym_binary_expression] = STATE(813),
    [sym_template_string] = STATE(813),
    [sym_statement_block] = STATE(812),
    [sym__expression] = STATE(813),
    [sym_yield_expression] = STATE(813),
    [sym_jsx_element] = STATE(813),
    [sym_jsx_fragment] = STATE(813),
    [sym_function] = STATE(703),
    [sym_new_expression] = STATE(813),
    [sym_augmented_assignment_expression] = STATE(813),
    [sym_unary_expression] = STATE(813),
    [sym_update_expression] = STATE(813),
    [sym_regex] = STATE(813),
    [sym_meta_property] = STATE(813),
    [sym_object] = STATE(702),
    [aux_sym_export_statement_repeat1] = STATE(1016),
    [sym_class] = STATE(813),
    [sym_generator_function] = STATE(813),
    [sym_await_expression] = STATE(813),
    [sym_member_expression] = STATE(701),
    [sym_string] = STATE(813),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(874),
    [sym_parenthesized_expression] = STATE(813),
    [sym_array] = STATE(704),
    [sym_jsx_opening_element] = STATE(875),
    [sym_jsx_self_closing_element] = STATE(813),
    [anon_sym_await] = ACTIONS(217),
    [sym_null] = ACTIONS(2463),
    [anon_sym_class] = ACTIONS(183),
    [anon_sym_static] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(219),
    [anon_sym_DASH] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(2405),
    [anon_sym_delete] = ACTIONS(191),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [anon_sym_LPAREN] = ACTIONS(193),
    [anon_sym_BANG] = ACTIONS(195),
    [sym_this] = ACTIONS(2463),
    [sym_undefined] = ACTIONS(2463),
    [sym_true] = ACTIONS(2463),
    [anon_sym_SLASH] = ACTIONS(223),
    [anon_sym_LBRACK] = ACTIONS(225),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(243),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_TILDE] = ACTIONS(195),
    [sym_super] = ACTIONS(207),
    [sym_identifier] = ACTIONS(253),
    [sym_false] = ACTIONS(2463),
    [anon_sym_LT] = ACTIONS(209),
    [sym_number] = ACTIONS(2465),
    [anon_sym_yield] = ACTIONS(213),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_set] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(251),
    [anon_sym_new] = ACTIONS(231),
    [anon_sym_PLUS] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_void] = ACTIONS(191),
    [anon_sym_typeof] = ACTIONS(191),
  },
  [775] = {
    [anon_sym_instanceof] = ACTIONS(1484),
    [anon_sym_GT] = ACTIONS(1486),
    [anon_sym_COLON] = ACTIONS(1484),
    [anon_sym_DASH] = ACTIONS(1486),
    [anon_sym_CARET] = ACTIONS(1484),
    [anon_sym_STAR_STAR] = ACTIONS(1484),
    [anon_sym_STAR] = ACTIONS(1486),
    [anon_sym_AMP_AMP] = ACTIONS(1484),
    [anon_sym_GT_GT] = ACTIONS(1486),
    [anon_sym_AMP] = ACTIONS(1486),
    [anon_sym_LBRACE] = ACTIONS(1484),
    [anon_sym_in] = ACTIONS(1486),
    [anon_sym_LPAREN] = ACTIONS(1484),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1484),
    [anon_sym_SLASH] = ACTIONS(1486),
    [anon_sym_GT_EQ] = ACTIONS(1484),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [anon_sym_PIPE] = ACTIONS(1486),
    [anon_sym_LT_EQ] = ACTIONS(1484),
    [anon_sym_PIPE_PIPE] = ACTIONS(1484),
    [anon_sym_COMMA] = ACTIONS(1484),
    [anon_sym_GT_GT_GT] = ACTIONS(1484),
    [anon_sym_PLUS_PLUS] = ACTIONS(1484),
    [anon_sym_RPAREN] = ACTIONS(1484),
    [anon_sym_BANG_EQ] = ACTIONS(1486),
    [anon_sym_LT] = ACTIONS(1486),
    [anon_sym_DOT] = ACTIONS(1484),
    [anon_sym_BQUOTE] = ACTIONS(1484),
    [anon_sym_RBRACK] = ACTIONS(1484),
    [anon_sym_PLUS] = ACTIONS(1486),
    [anon_sym_EQ_EQ] = ACTIONS(1486),
    [anon_sym_PERCENT] = ACTIONS(1484),
    [anon_sym_QMARK] = ACTIONS(1484),
    [anon_sym_LT_LT] = ACTIONS(1484),
    [anon_sym_DASH_DASH] = ACTIONS(1484),
    [anon_sym_RBRACE] = ACTIONS(1484),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1484),
  },
  [776] = {
    [anon_sym_instanceof] = ACTIONS(1488),
    [anon_sym_GT] = ACTIONS(1490),
    [anon_sym_COLON] = ACTIONS(1488),
    [anon_sym_DASH] = ACTIONS(1490),
    [anon_sym_CARET] = ACTIONS(1488),
    [anon_sym_STAR_STAR] = ACTIONS(1488),
    [anon_sym_STAR] = ACTIONS(1490),
    [anon_sym_AMP_AMP] = ACTIONS(1488),
    [anon_sym_GT_GT] = ACTIONS(1490),
    [anon_sym_AMP] = ACTIONS(1490),
    [anon_sym_LBRACE] = ACTIONS(1488),
    [anon_sym_in] = ACTIONS(1490),
    [anon_sym_LPAREN] = ACTIONS(1488),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1488),
    [anon_sym_SLASH] = ACTIONS(1490),
    [anon_sym_GT_EQ] = ACTIONS(1488),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(1488),
    [anon_sym_PIPE] = ACTIONS(1490),
    [anon_sym_LT_EQ] = ACTIONS(1488),
    [anon_sym_PIPE_PIPE] = ACTIONS(1488),
    [anon_sym_COMMA] = ACTIONS(1488),
    [anon_sym_GT_GT_GT] = ACTIONS(1488),
    [anon_sym_PLUS_PLUS] = ACTIONS(1488),
    [anon_sym_RPAREN] = ACTIONS(1488),
    [anon_sym_BANG_EQ] = ACTIONS(1490),
    [anon_sym_LT] = ACTIONS(1490),
    [anon_sym_DOT] = ACTIONS(1488),
    [anon_sym_BQUOTE] = ACTIONS(1488),
    [anon_sym_RBRACK] = ACTIONS(1488),
    [anon_sym_PLUS] = ACTIONS(1490),
    [anon_sym_EQ_EQ] = ACTIONS(1490),
    [anon_sym_PERCENT] = ACTIONS(1488),
    [anon_sym_QMARK] = ACTIONS(1488),
    [anon_sym_LT_LT] = ACTIONS(1488),
    [anon_sym_DASH_DASH] = ACTIONS(1488),
    [anon_sym_RBRACE] = ACTIONS(1488),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1488),
  },
  [777] = {
    [anon_sym_instanceof] = ACTIONS(1492),
    [anon_sym_GT] = ACTIONS(1494),
    [anon_sym_COLON] = ACTIONS(1492),
    [anon_sym_DASH] = ACTIONS(1494),
    [anon_sym_CARET] = ACTIONS(1492),
    [anon_sym_STAR_STAR] = ACTIONS(1492),
    [anon_sym_STAR] = ACTIONS(1494),
    [anon_sym_AMP_AMP] = ACTIONS(1492),
    [anon_sym_GT_GT] = ACTIONS(1494),
    [anon_sym_AMP] = ACTIONS(1494),
    [anon_sym_LBRACE] = ACTIONS(1492),
    [anon_sym_in] = ACTIONS(1494),
    [anon_sym_LPAREN] = ACTIONS(1492),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1492),
    [anon_sym_SLASH] = ACTIONS(1494),
    [anon_sym_GT_EQ] = ACTIONS(1492),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(1492),
    [anon_sym_PIPE] = ACTIONS(1494),
    [anon_sym_LT_EQ] = ACTIONS(1492),
    [anon_sym_PIPE_PIPE] = ACTIONS(1492),
    [anon_sym_COMMA] = ACTIONS(1492),
    [anon_sym_GT_GT_GT] = ACTIONS(1492),
    [anon_sym_PLUS_PLUS] = ACTIONS(1492),
    [anon_sym_RPAREN] = ACTIONS(1492),
    [anon_sym_BANG_EQ] = ACTIONS(1494),
    [anon_sym_LT] = ACTIONS(1494),
    [anon_sym_DOT] = ACTIONS(1492),
    [anon_sym_BQUOTE] = ACTIONS(1492),
    [anon_sym_RBRACK] = ACTIONS(1492),
    [anon_sym_PLUS] = ACTIONS(1494),
    [anon_sym_EQ_EQ] = ACTIONS(1494),
    [anon_sym_PERCENT] = ACTIONS(1492),
    [anon_sym_QMARK] = ACTIONS(1492),
    [anon_sym_LT_LT] = ACTIONS(1492),
    [anon_sym_DASH_DASH] = ACTIONS(1492),
    [anon_sym_RBRACE] = ACTIONS(1492),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1492),
  },
  [778] = {
    [anon_sym_instanceof] = ACTIONS(1484),
    [anon_sym_GT] = ACTIONS(1486),
    [anon_sym_COLON] = ACTIONS(1484),
    [anon_sym_DASH] = ACTIONS(1486),
    [anon_sym_CARET] = ACTIONS(1484),
    [anon_sym_STAR_STAR] = ACTIONS(1484),
    [anon_sym_STAR] = ACTIONS(1486),
    [anon_sym_AMP_AMP] = ACTIONS(1484),
    [anon_sym_GT_GT] = ACTIONS(1486),
    [anon_sym_AMP] = ACTIONS(1486),
    [anon_sym_LBRACE] = ACTIONS(1484),
    [anon_sym_in] = ACTIONS(1486),
    [anon_sym_LPAREN] = ACTIONS(1484),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1484),
    [anon_sym_SLASH] = ACTIONS(1486),
    [anon_sym_GT_EQ] = ACTIONS(1484),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [anon_sym_PIPE] = ACTIONS(1486),
    [anon_sym_LT_EQ] = ACTIONS(1484),
    [anon_sym_PIPE_PIPE] = ACTIONS(1484),
    [anon_sym_GT_GT_GT] = ACTIONS(1484),
    [anon_sym_PLUS_PLUS] = ACTIONS(1484),
    [anon_sym_COMMA] = ACTIONS(1484),
    [anon_sym_BANG_EQ] = ACTIONS(1486),
    [anon_sym_RPAREN] = ACTIONS(1484),
    [anon_sym_LT] = ACTIONS(1486),
    [anon_sym_DOT] = ACTIONS(1484),
    [anon_sym_BQUOTE] = ACTIONS(1484),
    [anon_sym_RBRACK] = ACTIONS(1484),
    [anon_sym_PLUS] = ACTIONS(1486),
    [anon_sym_EQ_EQ] = ACTIONS(1486),
    [anon_sym_PERCENT] = ACTIONS(1484),
    [anon_sym_QMARK] = ACTIONS(1484),
    [anon_sym_LT_LT] = ACTIONS(1484),
    [anon_sym_DASH_DASH] = ACTIONS(1484),
    [anon_sym_RBRACE] = ACTIONS(1484),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1484),
  },
  [779] = {
    [anon_sym_instanceof] = ACTIONS(620),
    [sym__automatic_semicolon] = ACTIONS(622),
    [anon_sym_class] = ACTIONS(620),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_STAR] = ACTIONS(620),
    [anon_sym_AMP] = ACTIONS(620),
    [anon_sym_throw] = ACTIONS(620),
    [anon_sym_GT_EQ] = ACTIONS(622),
    [sym_this] = ACTIONS(620),
    [anon_sym_case] = ACTIONS(620),
    [anon_sym_get] = ACTIONS(620),
    [anon_sym_LT_EQ] = ACTIONS(622),
    [anon_sym_COMMA] = ACTIONS(622),
    [anon_sym_PLUS_PLUS] = ACTIONS(622),
    [anon_sym_RPAREN] = ACTIONS(622),
    [anon_sym_TILDE] = ACTIONS(622),
    [anon_sym_LT] = ACTIONS(620),
    [sym_false] = ACTIONS(620),
    [anon_sym_yield] = ACTIONS(620),
    [anon_sym_async] = ACTIONS(620),
    [anon_sym_const] = ACTIONS(620),
    [anon_sym_QMARK] = ACTIONS(622),
    [anon_sym_try] = ACTIONS(620),
    [anon_sym_await] = ACTIONS(620),
    [anon_sym_let] = ACTIONS(620),
    [anon_sym_CARET] = ACTIONS(622),
    [anon_sym_GT_GT] = ACTIONS(620),
    [anon_sym_in] = ACTIONS(620),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(622),
    [anon_sym_SLASH] = ACTIONS(620),
    [sym_undefined] = ACTIONS(620),
    [anon_sym_LBRACK] = ACTIONS(622),
    [anon_sym_else] = ACTIONS(620),
    [anon_sym_PIPE_PIPE] = ACTIONS(622),
    [anon_sym_break] = ACTIONS(620),
    [anon_sym_while] = ACTIONS(620),
    [anon_sym_DOT] = ACTIONS(620),
    [anon_sym_BQUOTE] = ACTIONS(622),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_export] = ACTIONS(620),
    [anon_sym_LT_LT] = ACTIONS(622),
    [anon_sym_return] = ACTIONS(620),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(622),
    [anon_sym_static] = ACTIONS(620),
    [anon_sym_import] = ACTIONS(620),
    [anon_sym_STAR_STAR] = ACTIONS(622),
    [anon_sym_LBRACE] = ACTIONS(622),
    [anon_sym_delete] = ACTIONS(620),
    [anon_sym_LPAREN] = ACTIONS(622),
    [anon_sym_BANG] = ACTIONS(620),
    [sym_true] = ACTIONS(620),
    [anon_sym_default] = ACTIONS(620),
    [anon_sym_SEMI] = ACTIONS(622),
    [anon_sym_DQUOTE] = ACTIONS(622),
    [sym_super] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [anon_sym_set] = ACTIONS(620),
    [anon_sym_var] = ACTIONS(620),
    [anon_sym_EQ_EQ] = ACTIONS(620),
    [anon_sym_RBRACE] = ACTIONS(622),
    [anon_sym_DASH_DASH] = ACTIONS(622),
    [anon_sym_for] = ACTIONS(620),
    [anon_sym_typeof] = ACTIONS(620),
    [anon_sym_GT] = ACTIONS(620),
    [sym_null] = ACTIONS(620),
    [anon_sym_function] = ACTIONS(620),
    [anon_sym_if] = ACTIONS(620),
    [anon_sym_AMP_AMP] = ACTIONS(622),
    [anon_sym_with] = ACTIONS(620),
    [anon_sym_SQUOTE] = ACTIONS(622),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(620),
    [anon_sym_GT_GT_GT] = ACTIONS(622),
    [anon_sym_debugger] = ACTIONS(620),
    [anon_sym_BANG_EQ] = ACTIONS(620),
    [sym_identifier] = ACTIONS(620),
    [ts_builtin_sym_end] = ACTIONS(622),
    [anon_sym_new] = ACTIONS(620),
    [anon_sym_AT] = ACTIONS(622),
    [anon_sym_switch] = ACTIONS(620),
    [anon_sym_PERCENT] = ACTIONS(622),
    [anon_sym_continue] = ACTIONS(620),
    [anon_sym_void] = ACTIONS(620),
    [anon_sym_do] = ACTIONS(620),
  },
  [780] = {
    [sym_template_string] = STATE(719),
    [sym_arguments] = STATE(719),
    [anon_sym_instanceof] = ACTIONS(696),
    [anon_sym_GT] = ACTIONS(676),
    [anon_sym_COLON] = ACTIONS(1570),
    [anon_sym_DASH] = ACTIONS(698),
    [anon_sym_CARET] = ACTIONS(700),
    [anon_sym_STAR_STAR] = ACTIONS(702),
    [anon_sym_AMP_AMP] = ACTIONS(706),
    [anon_sym_STAR] = ACTIONS(704),
    [anon_sym_GT_GT] = ACTIONS(704),
    [anon_sym_AMP] = ACTIONS(708),
    [anon_sym_LBRACE] = ACTIONS(1570),
    [anon_sym_in] = ACTIONS(676),
    [anon_sym_LPAREN] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(704),
    [anon_sym_GT_EQ] = ACTIONS(696),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(710),
    [anon_sym_PIPE] = ACTIONS(712),
    [anon_sym_LT_EQ] = ACTIONS(696),
    [anon_sym_PIPE_PIPE] = ACTIONS(700),
    [anon_sym_COMMA] = ACTIONS(1570),
    [anon_sym_GT_GT_GT] = ACTIONS(714),
    [anon_sym_PLUS_PLUS] = ACTIONS(716),
    [anon_sym_BANG_EQ] = ACTIONS(676),
    [anon_sym_RPAREN] = ACTIONS(1570),
    [anon_sym_LT] = ACTIONS(676),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_RBRACK] = ACTIONS(1570),
    [anon_sym_PLUS] = ACTIONS(698),
    [anon_sym_EQ_EQ] = ACTIONS(676),
    [anon_sym_PERCENT] = ACTIONS(714),
    [anon_sym_QMARK] = ACTIONS(722),
    [anon_sym_LT_LT] = ACTIONS(714),
    [anon_sym_DASH_DASH] = ACTIONS(716),
    [anon_sym_RBRACE] = ACTIONS(1570),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(696),
  },
  [781] = {
    [sym_template_string] = STATE(719),
    [sym_arguments] = STATE(719),
    [anon_sym_instanceof] = ACTIONS(1429),
    [anon_sym_GT] = ACTIONS(1431),
    [anon_sym_COLON] = ACTIONS(1429),
    [anon_sym_DASH] = ACTIONS(1431),
    [anon_sym_CARET] = ACTIONS(1429),
    [anon_sym_STAR_STAR] = ACTIONS(702),
    [anon_sym_STAR] = ACTIONS(704),
    [anon_sym_AMP_AMP] = ACTIONS(1429),
    [anon_sym_GT_GT] = ACTIONS(704),
    [anon_sym_AMP] = ACTIONS(1431),
    [anon_sym_LBRACE] = ACTIONS(1429),
    [anon_sym_in] = ACTIONS(1431),
    [anon_sym_LPAREN] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1429),
    [anon_sym_SLASH] = ACTIONS(704),
    [anon_sym_GT_EQ] = ACTIONS(1429),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(710),
    [anon_sym_PIPE] = ACTIONS(1431),
    [anon_sym_LT_EQ] = ACTIONS(1429),
    [anon_sym_PIPE_PIPE] = ACTIONS(1429),
    [anon_sym_COMMA] = ACTIONS(1429),
    [anon_sym_GT_GT_GT] = ACTIONS(714),
    [anon_sym_PLUS_PLUS] = ACTIONS(716),
    [anon_sym_RPAREN] = ACTIONS(1429),
    [anon_sym_BANG_EQ] = ACTIONS(1431),
    [anon_sym_LT] = ACTIONS(1431),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_RBRACK] = ACTIONS(1429),
    [anon_sym_PLUS] = ACTIONS(1431),
    [anon_sym_EQ_EQ] = ACTIONS(1431),
    [anon_sym_PERCENT] = ACTIONS(714),
    [anon_sym_QMARK] = ACTIONS(1429),
    [anon_sym_LT_LT] = ACTIONS(714),
    [anon_sym_DASH_DASH] = ACTIONS(716),
    [anon_sym_RBRACE] = ACTIONS(1429),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1429),
  },
  [782] = {
    [sym_template_string] = STATE(719),
    [sym_arguments] = STATE(719),
    [anon_sym_instanceof] = ACTIONS(696),
    [anon_sym_GT] = ACTIONS(676),
    [anon_sym_COLON] = ACTIONS(1429),
    [anon_sym_DASH] = ACTIONS(698),
    [anon_sym_CARET] = ACTIONS(1429),
    [anon_sym_STAR_STAR] = ACTIONS(702),
    [anon_sym_STAR] = ACTIONS(704),
    [anon_sym_AMP_AMP] = ACTIONS(706),
    [anon_sym_GT_GT] = ACTIONS(704),
    [anon_sym_AMP] = ACTIONS(708),
    [anon_sym_LBRACE] = ACTIONS(1429),
    [anon_sym_in] = ACTIONS(676),
    [anon_sym_LPAREN] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(704),
    [anon_sym_GT_EQ] = ACTIONS(696),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(710),
    [anon_sym_PIPE] = ACTIONS(1431),
    [anon_sym_LT_EQ] = ACTIONS(696),
    [anon_sym_PIPE_PIPE] = ACTIONS(1429),
    [anon_sym_COMMA] = ACTIONS(1429),
    [anon_sym_GT_GT_GT] = ACTIONS(714),
    [anon_sym_PLUS_PLUS] = ACTIONS(716),
    [anon_sym_RPAREN] = ACTIONS(1429),
    [anon_sym_BANG_EQ] = ACTIONS(676),
    [anon_sym_LT] = ACTIONS(676),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_RBRACK] = ACTIONS(1429),
    [anon_sym_PLUS] = ACTIONS(698),
    [anon_sym_EQ_EQ] = ACTIONS(676),
    [anon_sym_PERCENT] = ACTIONS(714),
    [anon_sym_QMARK] = ACTIONS(1429),
    [anon_sym_LT_LT] = ACTIONS(714),
    [anon_sym_DASH_DASH] = ACTIONS(716),
    [anon_sym_RBRACE] = ACTIONS(1429),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(696),
  },
  [783] = {
    [sym_template_string] = STATE(719),
    [sym_arguments] = STATE(719),
    [anon_sym_instanceof] = ACTIONS(1429),
    [anon_sym_GT] = ACTIONS(1431),
    [anon_sym_COLON] = ACTIONS(1429),
    [anon_sym_DASH] = ACTIONS(1431),
    [anon_sym_CARET] = ACTIONS(1429),
    [anon_sym_STAR_STAR] = ACTIONS(1429),
    [anon_sym_STAR] = ACTIONS(1431),
    [anon_sym_AMP_AMP] = ACTIONS(1429),
    [anon_sym_GT_GT] = ACTIONS(1431),
    [anon_sym_AMP] = ACTIONS(1431),
    [anon_sym_LBRACE] = ACTIONS(1429),
    [anon_sym_in] = ACTIONS(1431),
    [anon_sym_LPAREN] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1429),
    [anon_sym_SLASH] = ACTIONS(1431),
    [anon_sym_GT_EQ] = ACTIONS(1429),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(710),
    [anon_sym_PIPE] = ACTIONS(1431),
    [anon_sym_LT_EQ] = ACTIONS(1429),
    [anon_sym_PIPE_PIPE] = ACTIONS(1429),
    [anon_sym_COMMA] = ACTIONS(1429),
    [anon_sym_GT_GT_GT] = ACTIONS(1429),
    [anon_sym_PLUS_PLUS] = ACTIONS(716),
    [anon_sym_RPAREN] = ACTIONS(1429),
    [anon_sym_BANG_EQ] = ACTIONS(1431),
    [anon_sym_LT] = ACTIONS(1431),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_RBRACK] = ACTIONS(1429),
    [anon_sym_PLUS] = ACTIONS(1431),
    [anon_sym_EQ_EQ] = ACTIONS(1431),
    [anon_sym_PERCENT] = ACTIONS(1429),
    [anon_sym_QMARK] = ACTIONS(1429),
    [anon_sym_LT_LT] = ACTIONS(1429),
    [anon_sym_DASH_DASH] = ACTIONS(716),
    [anon_sym_RBRACE] = ACTIONS(1429),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1429),
  },
  [784] = {
    [sym_template_string] = STATE(719),
    [sym_arguments] = STATE(719),
    [anon_sym_instanceof] = ACTIONS(696),
    [anon_sym_GT] = ACTIONS(676),
    [anon_sym_COLON] = ACTIONS(1429),
    [anon_sym_DASH] = ACTIONS(698),
    [anon_sym_CARET] = ACTIONS(1429),
    [anon_sym_STAR_STAR] = ACTIONS(702),
    [anon_sym_STAR] = ACTIONS(704),
    [anon_sym_AMP_AMP] = ACTIONS(1429),
    [anon_sym_GT_GT] = ACTIONS(704),
    [anon_sym_AMP] = ACTIONS(1431),
    [anon_sym_LBRACE] = ACTIONS(1429),
    [anon_sym_in] = ACTIONS(676),
    [anon_sym_LPAREN] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(704),
    [anon_sym_GT_EQ] = ACTIONS(696),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(710),
    [anon_sym_PIPE] = ACTIONS(1431),
    [anon_sym_LT_EQ] = ACTIONS(696),
    [anon_sym_PIPE_PIPE] = ACTIONS(1429),
    [anon_sym_COMMA] = ACTIONS(1429),
    [anon_sym_GT_GT_GT] = ACTIONS(714),
    [anon_sym_PLUS_PLUS] = ACTIONS(716),
    [anon_sym_RPAREN] = ACTIONS(1429),
    [anon_sym_BANG_EQ] = ACTIONS(676),
    [anon_sym_LT] = ACTIONS(676),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_RBRACK] = ACTIONS(1429),
    [anon_sym_PLUS] = ACTIONS(698),
    [anon_sym_EQ_EQ] = ACTIONS(676),
    [anon_sym_PERCENT] = ACTIONS(714),
    [anon_sym_QMARK] = ACTIONS(1429),
    [anon_sym_LT_LT] = ACTIONS(714),
    [anon_sym_DASH_DASH] = ACTIONS(716),
    [anon_sym_RBRACE] = ACTIONS(1429),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(696),
  },
  [785] = {
    [sym_template_string] = STATE(719),
    [sym_arguments] = STATE(719),
    [anon_sym_instanceof] = ACTIONS(1429),
    [anon_sym_GT] = ACTIONS(1431),
    [anon_sym_COLON] = ACTIONS(1429),
    [anon_sym_DASH] = ACTIONS(1431),
    [anon_sym_CARET] = ACTIONS(1429),
    [anon_sym_STAR_STAR] = ACTIONS(702),
    [anon_sym_STAR] = ACTIONS(1431),
    [anon_sym_AMP_AMP] = ACTIONS(1429),
    [anon_sym_GT_GT] = ACTIONS(1431),
    [anon_sym_AMP] = ACTIONS(1431),
    [anon_sym_LBRACE] = ACTIONS(1429),
    [anon_sym_in] = ACTIONS(1431),
    [anon_sym_LPAREN] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1429),
    [anon_sym_SLASH] = ACTIONS(1431),
    [anon_sym_GT_EQ] = ACTIONS(1429),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(710),
    [anon_sym_PIPE] = ACTIONS(1431),
    [anon_sym_LT_EQ] = ACTIONS(1429),
    [anon_sym_PIPE_PIPE] = ACTIONS(1429),
    [anon_sym_COMMA] = ACTIONS(1429),
    [anon_sym_GT_GT_GT] = ACTIONS(1429),
    [anon_sym_PLUS_PLUS] = ACTIONS(716),
    [anon_sym_RPAREN] = ACTIONS(1429),
    [anon_sym_BANG_EQ] = ACTIONS(1431),
    [anon_sym_LT] = ACTIONS(1431),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_RBRACK] = ACTIONS(1429),
    [anon_sym_PLUS] = ACTIONS(1431),
    [anon_sym_EQ_EQ] = ACTIONS(1431),
    [anon_sym_PERCENT] = ACTIONS(1429),
    [anon_sym_QMARK] = ACTIONS(1429),
    [anon_sym_LT_LT] = ACTIONS(1429),
    [anon_sym_DASH_DASH] = ACTIONS(716),
    [anon_sym_RBRACE] = ACTIONS(1429),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1429),
  },
  [786] = {
    [sym_template_string] = STATE(719),
    [sym_arguments] = STATE(719),
    [anon_sym_instanceof] = ACTIONS(696),
    [anon_sym_GT] = ACTIONS(676),
    [anon_sym_COLON] = ACTIONS(1580),
    [anon_sym_DASH] = ACTIONS(698),
    [anon_sym_CARET] = ACTIONS(700),
    [anon_sym_STAR_STAR] = ACTIONS(702),
    [anon_sym_STAR] = ACTIONS(704),
    [anon_sym_AMP_AMP] = ACTIONS(706),
    [anon_sym_GT_GT] = ACTIONS(704),
    [anon_sym_AMP] = ACTIONS(708),
    [anon_sym_in] = ACTIONS(676),
    [anon_sym_LPAREN] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(696),
    [anon_sym_GT_EQ] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(704),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(710),
    [anon_sym_PIPE] = ACTIONS(712),
    [anon_sym_LT_EQ] = ACTIONS(696),
    [anon_sym_PIPE_PIPE] = ACTIONS(700),
    [anon_sym_GT_GT_GT] = ACTIONS(714),
    [anon_sym_PLUS_PLUS] = ACTIONS(716),
    [anon_sym_COMMA] = ACTIONS(718),
    [anon_sym_RPAREN] = ACTIONS(1580),
    [anon_sym_BANG_EQ] = ACTIONS(676),
    [anon_sym_LT] = ACTIONS(676),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_RBRACK] = ACTIONS(1580),
    [anon_sym_PLUS] = ACTIONS(698),
    [anon_sym_EQ_EQ] = ACTIONS(676),
    [anon_sym_PERCENT] = ACTIONS(714),
    [anon_sym_QMARK] = ACTIONS(722),
    [anon_sym_LT_LT] = ACTIONS(714),
    [anon_sym_DASH_DASH] = ACTIONS(716),
    [anon_sym_RBRACE] = ACTIONS(1580),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(696),
  },
  [787] = {
    [anon_sym_RPAREN] = ACTIONS(1580),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACE] = ACTIONS(1580),
    [anon_sym_COLON] = ACTIONS(1580),
    [anon_sym_RBRACK] = ACTIONS(1580),
  },
  [788] = {
    [anon_sym_instanceof] = ACTIONS(1584),
    [anon_sym_GT] = ACTIONS(1586),
    [anon_sym_COLON] = ACTIONS(1584),
    [anon_sym_DASH] = ACTIONS(1586),
    [anon_sym_CARET] = ACTIONS(1584),
    [anon_sym_STAR_STAR] = ACTIONS(1584),
    [anon_sym_STAR] = ACTIONS(1586),
    [anon_sym_AMP_AMP] = ACTIONS(1584),
    [anon_sym_GT_GT] = ACTIONS(1586),
    [anon_sym_AMP] = ACTIONS(1586),
    [anon_sym_LBRACE] = ACTIONS(1584),
    [anon_sym_in] = ACTIONS(1586),
    [anon_sym_LPAREN] = ACTIONS(1584),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1584),
    [anon_sym_SLASH] = ACTIONS(1586),
    [anon_sym_GT_EQ] = ACTIONS(1584),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(1584),
    [anon_sym_PIPE] = ACTIONS(1586),
    [anon_sym_LT_EQ] = ACTIONS(1584),
    [anon_sym_PIPE_PIPE] = ACTIONS(1584),
    [anon_sym_COMMA] = ACTIONS(1584),
    [anon_sym_GT_GT_GT] = ACTIONS(1584),
    [anon_sym_PLUS_PLUS] = ACTIONS(1584),
    [anon_sym_RPAREN] = ACTIONS(1584),
    [anon_sym_BANG_EQ] = ACTIONS(1586),
    [anon_sym_LT] = ACTIONS(1586),
    [anon_sym_DOT] = ACTIONS(1584),
    [anon_sym_BQUOTE] = ACTIONS(1584),
    [anon_sym_RBRACK] = ACTIONS(1584),
    [anon_sym_PLUS] = ACTIONS(1586),
    [anon_sym_EQ_EQ] = ACTIONS(1586),
    [anon_sym_PERCENT] = ACTIONS(1584),
    [anon_sym_QMARK] = ACTIONS(1584),
    [anon_sym_LT_LT] = ACTIONS(1584),
    [anon_sym_DASH_DASH] = ACTIONS(1584),
    [anon_sym_RBRACE] = ACTIONS(1584),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1584),
  },
  [789] = {
    [sym_template_string] = STATE(719),
    [sym_arguments] = STATE(719),
    [anon_sym_instanceof] = ACTIONS(696),
    [anon_sym_GT] = ACTIONS(676),
    [anon_sym_COLON] = ACTIONS(1584),
    [anon_sym_DASH] = ACTIONS(698),
    [anon_sym_CARET] = ACTIONS(700),
    [anon_sym_STAR_STAR] = ACTIONS(702),
    [anon_sym_STAR] = ACTIONS(704),
    [anon_sym_AMP_AMP] = ACTIONS(706),
    [anon_sym_GT_GT] = ACTIONS(704),
    [anon_sym_AMP] = ACTIONS(708),
    [anon_sym_LBRACE] = ACTIONS(1584),
    [anon_sym_in] = ACTIONS(676),
    [anon_sym_LPAREN] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(704),
    [anon_sym_GT_EQ] = ACTIONS(696),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(710),
    [anon_sym_PIPE] = ACTIONS(712),
    [anon_sym_LT_EQ] = ACTIONS(696),
    [anon_sym_PIPE_PIPE] = ACTIONS(700),
    [anon_sym_COMMA] = ACTIONS(1584),
    [anon_sym_GT_GT_GT] = ACTIONS(714),
    [anon_sym_PLUS_PLUS] = ACTIONS(716),
    [anon_sym_RPAREN] = ACTIONS(1584),
    [anon_sym_BANG_EQ] = ACTIONS(676),
    [anon_sym_LT] = ACTIONS(676),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_RBRACK] = ACTIONS(1584),
    [anon_sym_PLUS] = ACTIONS(698),
    [anon_sym_EQ_EQ] = ACTIONS(676),
    [anon_sym_PERCENT] = ACTIONS(714),
    [anon_sym_QMARK] = ACTIONS(722),
    [anon_sym_LT_LT] = ACTIONS(714),
    [anon_sym_DASH_DASH] = ACTIONS(716),
    [anon_sym_RBRACE] = ACTIONS(1584),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(696),
  },
  [790] = {
    [sym_template_string] = STATE(719),
    [sym_arguments] = STATE(719),
    [anon_sym_instanceof] = ACTIONS(696),
    [anon_sym_GT] = ACTIONS(676),
    [anon_sym_COLON] = ACTIONS(1588),
    [anon_sym_DASH] = ACTIONS(698),
    [anon_sym_CARET] = ACTIONS(700),
    [anon_sym_STAR_STAR] = ACTIONS(702),
    [anon_sym_AMP_AMP] = ACTIONS(706),
    [anon_sym_STAR] = ACTIONS(704),
    [anon_sym_GT_GT] = ACTIONS(704),
    [anon_sym_AMP] = ACTIONS(708),
    [anon_sym_LBRACE] = ACTIONS(1588),
    [anon_sym_in] = ACTIONS(676),
    [anon_sym_LPAREN] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(704),
    [anon_sym_GT_EQ] = ACTIONS(696),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(710),
    [anon_sym_PIPE] = ACTIONS(712),
    [anon_sym_LT_EQ] = ACTIONS(696),
    [anon_sym_PIPE_PIPE] = ACTIONS(700),
    [anon_sym_COMMA] = ACTIONS(1588),
    [anon_sym_GT_GT_GT] = ACTIONS(714),
    [anon_sym_PLUS_PLUS] = ACTIONS(716),
    [anon_sym_BANG_EQ] = ACTIONS(676),
    [anon_sym_RPAREN] = ACTIONS(1588),
    [anon_sym_LT] = ACTIONS(676),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_RBRACK] = ACTIONS(1588),
    [anon_sym_PLUS] = ACTIONS(698),
    [anon_sym_EQ_EQ] = ACTIONS(676),
    [anon_sym_PERCENT] = ACTIONS(714),
    [anon_sym_QMARK] = ACTIONS(722),
    [anon_sym_LT_LT] = ACTIONS(714),
    [anon_sym_DASH_DASH] = ACTIONS(716),
    [anon_sym_RBRACE] = ACTIONS(1588),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(696),
  },
  [791] = {
    [anon_sym_LBRACE] = ACTIONS(2467),
    [anon_sym_GT] = ACTIONS(2467),
    [sym_jsx_identifier] = ACTIONS(2467),
    [sym_comment] = ACTIONS(3),
    [sym_identifier] = ACTIONS(1590),
    [anon_sym_SLASH] = ACTIONS(1590),
  },
  [792] = {
    [anon_sym_instanceof] = ACTIONS(1598),
    [anon_sym_GT] = ACTIONS(1600),
    [anon_sym_COLON] = ACTIONS(1598),
    [anon_sym_DASH] = ACTIONS(1600),
    [anon_sym_CARET] = ACTIONS(1598),
    [anon_sym_STAR_STAR] = ACTIONS(1598),
    [anon_sym_STAR] = ACTIONS(1600),
    [anon_sym_AMP_AMP] = ACTIONS(1598),
    [anon_sym_GT_GT] = ACTIONS(1600),
    [anon_sym_AMP] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1598),
    [anon_sym_in] = ACTIONS(1600),
    [anon_sym_LPAREN] = ACTIONS(1598),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1598),
    [anon_sym_SLASH] = ACTIONS(1600),
    [anon_sym_GT_EQ] = ACTIONS(1598),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(1598),
    [anon_sym_PIPE] = ACTIONS(1600),
    [anon_sym_LT_EQ] = ACTIONS(1598),
    [anon_sym_PIPE_PIPE] = ACTIONS(1598),
    [anon_sym_COMMA] = ACTIONS(1598),
    [anon_sym_GT_GT_GT] = ACTIONS(1598),
    [anon_sym_PLUS_PLUS] = ACTIONS(1598),
    [anon_sym_RPAREN] = ACTIONS(1598),
    [anon_sym_BANG_EQ] = ACTIONS(1600),
    [anon_sym_LT] = ACTIONS(1600),
    [anon_sym_DOT] = ACTIONS(1598),
    [anon_sym_BQUOTE] = ACTIONS(1598),
    [anon_sym_RBRACK] = ACTIONS(1598),
    [anon_sym_PLUS] = ACTIONS(1600),
    [anon_sym_EQ_EQ] = ACTIONS(1600),
    [anon_sym_PERCENT] = ACTIONS(1598),
    [anon_sym_QMARK] = ACTIONS(1598),
    [anon_sym_LT_LT] = ACTIONS(1598),
    [anon_sym_DASH_DASH] = ACTIONS(1598),
    [anon_sym_RBRACE] = ACTIONS(1598),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1598),
  },
  [793] = {
    [anon_sym_instanceof] = ACTIONS(1160),
    [anon_sym_GT] = ACTIONS(1154),
    [anon_sym_COLON] = ACTIONS(1160),
    [anon_sym_DASH] = ACTIONS(1154),
    [anon_sym_CARET] = ACTIONS(1160),
    [anon_sym_STAR_STAR] = ACTIONS(1160),
    [anon_sym_STAR] = ACTIONS(1154),
    [anon_sym_AMP_AMP] = ACTIONS(1160),
    [anon_sym_GT_GT] = ACTIONS(1154),
    [anon_sym_AMP] = ACTIONS(1154),
    [anon_sym_LBRACE] = ACTIONS(1160),
    [anon_sym_in] = ACTIONS(1154),
    [anon_sym_LPAREN] = ACTIONS(1160),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1160),
    [anon_sym_SLASH] = ACTIONS(1154),
    [anon_sym_GT_EQ] = ACTIONS(1160),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(1160),
    [anon_sym_PIPE] = ACTIONS(1154),
    [anon_sym_LT_EQ] = ACTIONS(1160),
    [anon_sym_PIPE_PIPE] = ACTIONS(1160),
    [anon_sym_COMMA] = ACTIONS(1160),
    [anon_sym_GT_GT_GT] = ACTIONS(1160),
    [anon_sym_PLUS_PLUS] = ACTIONS(1160),
    [anon_sym_RPAREN] = ACTIONS(1160),
    [anon_sym_BANG_EQ] = ACTIONS(1154),
    [anon_sym_LT] = ACTIONS(1154),
    [anon_sym_DOT] = ACTIONS(1160),
    [anon_sym_BQUOTE] = ACTIONS(1160),
    [anon_sym_RBRACK] = ACTIONS(1160),
    [anon_sym_PLUS] = ACTIONS(1154),
    [anon_sym_EQ_EQ] = ACTIONS(1154),
    [anon_sym_PERCENT] = ACTIONS(1160),
    [anon_sym_QMARK] = ACTIONS(1160),
    [anon_sym_LT_LT] = ACTIONS(1160),
    [anon_sym_DASH_DASH] = ACTIONS(1160),
    [anon_sym_RBRACE] = ACTIONS(1160),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1160),
  },
  [794] = {
    [anon_sym_instanceof] = ACTIONS(1635),
    [anon_sym_GT] = ACTIONS(1633),
    [anon_sym_COLON] = ACTIONS(1635),
    [anon_sym_DASH] = ACTIONS(1633),
    [anon_sym_CARET] = ACTIONS(1635),
    [anon_sym_STAR_STAR] = ACTIONS(1635),
    [anon_sym_STAR] = ACTIONS(1633),
    [anon_sym_AMP_AMP] = ACTIONS(1635),
    [anon_sym_GT_GT] = ACTIONS(1633),
    [anon_sym_AMP] = ACTIONS(1633),
    [anon_sym_LBRACE] = ACTIONS(1635),
    [anon_sym_in] = ACTIONS(1633),
    [anon_sym_LPAREN] = ACTIONS(1635),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1635),
    [anon_sym_SLASH] = ACTIONS(1633),
    [anon_sym_GT_EQ] = ACTIONS(1635),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(1635),
    [anon_sym_PIPE] = ACTIONS(1633),
    [anon_sym_LT_EQ] = ACTIONS(1635),
    [anon_sym_PIPE_PIPE] = ACTIONS(1635),
    [anon_sym_COMMA] = ACTIONS(1635),
    [anon_sym_GT_GT_GT] = ACTIONS(1635),
    [anon_sym_PLUS_PLUS] = ACTIONS(1635),
    [anon_sym_RPAREN] = ACTIONS(1635),
    [anon_sym_BANG_EQ] = ACTIONS(1633),
    [anon_sym_LT] = ACTIONS(1633),
    [anon_sym_DOT] = ACTIONS(1635),
    [anon_sym_BQUOTE] = ACTIONS(1635),
    [anon_sym_RBRACK] = ACTIONS(1635),
    [anon_sym_PLUS] = ACTIONS(1633),
    [anon_sym_EQ_EQ] = ACTIONS(1633),
    [anon_sym_PERCENT] = ACTIONS(1635),
    [anon_sym_QMARK] = ACTIONS(1635),
    [anon_sym_LT_LT] = ACTIONS(1635),
    [anon_sym_DASH_DASH] = ACTIONS(1635),
    [anon_sym_RBRACE] = ACTIONS(1635),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1635),
  },
  [795] = {
    [anon_sym_instanceof] = ACTIONS(1679),
    [anon_sym_GT] = ACTIONS(1673),
    [sym__automatic_semicolon] = ACTIONS(1675),
    [anon_sym_DASH] = ACTIONS(1673),
    [anon_sym_CARET] = ACTIONS(1679),
    [anon_sym_STAR_STAR] = ACTIONS(1679),
    [anon_sym_STAR] = ACTIONS(1673),
    [anon_sym_AMP_AMP] = ACTIONS(1679),
    [anon_sym_GT_GT] = ACTIONS(1673),
    [anon_sym_AMP] = ACTIONS(1673),
    [anon_sym_in] = ACTIONS(1673),
    [anon_sym_LPAREN] = ACTIONS(1679),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1679),
    [anon_sym_SLASH] = ACTIONS(1673),
    [anon_sym_GT_EQ] = ACTIONS(1679),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(1679),
    [anon_sym_PIPE] = ACTIONS(1673),
    [anon_sym_LT_EQ] = ACTIONS(1679),
    [anon_sym_PIPE_PIPE] = ACTIONS(1679),
    [anon_sym_else] = ACTIONS(1681),
    [anon_sym_COMMA] = ACTIONS(1679),
    [anon_sym_GT_GT_GT] = ACTIONS(1679),
    [anon_sym_SEMI] = ACTIONS(1679),
    [anon_sym_PLUS_PLUS] = ACTIONS(1679),
    [anon_sym_BANG_EQ] = ACTIONS(1673),
    [anon_sym_while] = ACTIONS(1681),
    [anon_sym_LT] = ACTIONS(1673),
    [anon_sym_DOT] = ACTIONS(1679),
    [anon_sym_BQUOTE] = ACTIONS(1679),
    [anon_sym_PLUS] = ACTIONS(1673),
    [anon_sym_EQ_EQ] = ACTIONS(1673),
    [anon_sym_PERCENT] = ACTIONS(1679),
    [anon_sym_QMARK] = ACTIONS(1679),
    [anon_sym_LT_LT] = ACTIONS(1679),
    [anon_sym_DASH_DASH] = ACTIONS(1679),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1679),
  },
  [796] = {
    [anon_sym_instanceof] = ACTIONS(1699),
    [anon_sym_GT] = ACTIONS(1693),
    [sym__automatic_semicolon] = ACTIONS(1695),
    [anon_sym_DASH] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1699),
    [anon_sym_STAR_STAR] = ACTIONS(1699),
    [anon_sym_STAR] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1699),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1693),
    [anon_sym_in] = ACTIONS(1693),
    [anon_sym_LPAREN] = ACTIONS(1699),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1699),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_GT_EQ] = ACTIONS(1699),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(1699),
    [anon_sym_PIPE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1699),
    [anon_sym_PIPE_PIPE] = ACTIONS(1699),
    [anon_sym_else] = ACTIONS(1701),
    [anon_sym_COMMA] = ACTIONS(1699),
    [anon_sym_GT_GT_GT] = ACTIONS(1699),
    [anon_sym_SEMI] = ACTIONS(1699),
    [anon_sym_PLUS_PLUS] = ACTIONS(1699),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1701),
    [anon_sym_LT] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1699),
    [anon_sym_BQUOTE] = ACTIONS(1699),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1699),
    [anon_sym_QMARK] = ACTIONS(1699),
    [anon_sym_LT_LT] = ACTIONS(1699),
    [anon_sym_DASH_DASH] = ACTIONS(1699),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1699),
  },
  [797] = {
    [anon_sym_instanceof] = ACTIONS(1703),
    [anon_sym_GT] = ACTIONS(1705),
    [anon_sym_COLON] = ACTIONS(1703),
    [anon_sym_DASH] = ACTIONS(1705),
    [anon_sym_CARET] = ACTIONS(1703),
    [anon_sym_STAR_STAR] = ACTIONS(1703),
    [anon_sym_STAR] = ACTIONS(1705),
    [anon_sym_AMP_AMP] = ACTIONS(1703),
    [anon_sym_GT_GT] = ACTIONS(1705),
    [anon_sym_AMP] = ACTIONS(1705),
    [anon_sym_LBRACE] = ACTIONS(1703),
    [anon_sym_in] = ACTIONS(1705),
    [anon_sym_LPAREN] = ACTIONS(1703),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1703),
    [anon_sym_SLASH] = ACTIONS(1705),
    [anon_sym_GT_EQ] = ACTIONS(1703),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(1703),
    [anon_sym_PIPE] = ACTIONS(1705),
    [anon_sym_LT_EQ] = ACTIONS(1703),
    [anon_sym_PIPE_PIPE] = ACTIONS(1703),
    [anon_sym_COMMA] = ACTIONS(1703),
    [anon_sym_GT_GT_GT] = ACTIONS(1703),
    [anon_sym_PLUS_PLUS] = ACTIONS(1703),
    [anon_sym_RPAREN] = ACTIONS(1703),
    [anon_sym_BANG_EQ] = ACTIONS(1705),
    [anon_sym_LT] = ACTIONS(1705),
    [anon_sym_DOT] = ACTIONS(1703),
    [anon_sym_BQUOTE] = ACTIONS(1703),
    [anon_sym_RBRACK] = ACTIONS(1703),
    [anon_sym_PLUS] = ACTIONS(1705),
    [anon_sym_EQ_EQ] = ACTIONS(1705),
    [anon_sym_PERCENT] = ACTIONS(1703),
    [anon_sym_QMARK] = ACTIONS(1703),
    [anon_sym_LT_LT] = ACTIONS(1703),
    [anon_sym_DASH_DASH] = ACTIONS(1703),
    [anon_sym_RBRACE] = ACTIONS(1703),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1703),
  },
  [798] = {
    [anon_sym_instanceof] = ACTIONS(1740),
    [anon_sym_COLON] = ACTIONS(1740),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_STAR_STAR] = ACTIONS(1740),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym_LBRACE] = ACTIONS(1740),
    [anon_sym_GT_EQ] = ACTIONS(1740),
    [anon_sym_LPAREN] = ACTIONS(1740),
    [anon_sym_LT_EQ] = ACTIONS(1740),
    [anon_sym_COMMA] = ACTIONS(1740),
    [anon_sym_PLUS_PLUS] = ACTIONS(1740),
    [anon_sym_RPAREN] = ACTIONS(1740),
    [anon_sym_LT] = ACTIONS(1742),
    [anon_sym_EQ_EQ] = ACTIONS(1742),
    [anon_sym_QMARK] = ACTIONS(1740),
    [anon_sym_RBRACE] = ACTIONS(1740),
    [anon_sym_DASH_DASH] = ACTIONS(1740),
    [anon_sym_GT] = ACTIONS(1742),
    [anon_sym_EQ] = ACTIONS(1742),
    [anon_sym_CARET] = ACTIONS(1740),
    [anon_sym_AMP_AMP] = ACTIONS(1740),
    [anon_sym_GT_GT] = ACTIONS(1742),
    [anon_sym_in] = ACTIONS(1742),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1740),
    [anon_sym_of] = ACTIONS(1740),
    [anon_sym_SLASH] = ACTIONS(1742),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(1740),
    [anon_sym_PIPE] = ACTIONS(1742),
    [anon_sym_PIPE_PIPE] = ACTIONS(1740),
    [anon_sym_GT_GT_GT] = ACTIONS(1740),
    [anon_sym_BANG_EQ] = ACTIONS(1742),
    [anon_sym_DOT] = ACTIONS(1740),
    [anon_sym_BQUOTE] = ACTIONS(1740),
    [anon_sym_RBRACK] = ACTIONS(1740),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_PERCENT] = ACTIONS(1740),
    [anon_sym_LT_LT] = ACTIONS(1740),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1740),
  },
  [799] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1744),
    [anon_sym_EQ] = ACTIONS(1386),
    [anon_sym_COLON] = ACTIONS(1744),
  },
  [800] = {
    [sym_template_string] = STATE(719),
    [sym_arguments] = STATE(719),
    [anon_sym_instanceof] = ACTIONS(696),
    [anon_sym_GT] = ACTIONS(676),
    [anon_sym_DASH] = ACTIONS(698),
    [anon_sym_CARET] = ACTIONS(700),
    [anon_sym_STAR_STAR] = ACTIONS(702),
    [anon_sym_STAR] = ACTIONS(704),
    [anon_sym_AMP_AMP] = ACTIONS(706),
    [anon_sym_GT_GT] = ACTIONS(704),
    [anon_sym_AMP] = ACTIONS(708),
    [anon_sym_in] = ACTIONS(676),
    [anon_sym_LPAREN] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(704),
    [anon_sym_GT_EQ] = ACTIONS(696),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(710),
    [anon_sym_PIPE] = ACTIONS(712),
    [anon_sym_LT_EQ] = ACTIONS(696),
    [anon_sym_PIPE_PIPE] = ACTIONS(700),
    [anon_sym_COMMA] = ACTIONS(1767),
    [anon_sym_GT_GT_GT] = ACTIONS(714),
    [anon_sym_PLUS_PLUS] = ACTIONS(716),
    [anon_sym_RPAREN] = ACTIONS(1767),
    [anon_sym_BANG_EQ] = ACTIONS(676),
    [anon_sym_LT] = ACTIONS(676),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_PLUS] = ACTIONS(698),
    [anon_sym_EQ_EQ] = ACTIONS(676),
    [anon_sym_PERCENT] = ACTIONS(714),
    [anon_sym_QMARK] = ACTIONS(722),
    [anon_sym_LT_LT] = ACTIONS(714),
    [anon_sym_DASH_DASH] = ACTIONS(716),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(696),
  },
  [801] = {
    [anon_sym_instanceof] = ACTIONS(1776),
    [anon_sym_COLON] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1778),
    [anon_sym_STAR_STAR] = ACTIONS(1776),
    [anon_sym_STAR] = ACTIONS(1778),
    [anon_sym_AMP] = ACTIONS(1778),
    [anon_sym_LBRACE] = ACTIONS(1776),
    [anon_sym_GT_EQ] = ACTIONS(1776),
    [anon_sym_LPAREN] = ACTIONS(1776),
    [anon_sym_LT_EQ] = ACTIONS(1776),
    [anon_sym_COMMA] = ACTIONS(1776),
    [anon_sym_PLUS_PLUS] = ACTIONS(1776),
    [anon_sym_RPAREN] = ACTIONS(1776),
    [anon_sym_LT] = ACTIONS(1778),
    [anon_sym_EQ_EQ] = ACTIONS(1778),
    [anon_sym_QMARK] = ACTIONS(1776),
    [anon_sym_RBRACE] = ACTIONS(1776),
    [anon_sym_DASH_DASH] = ACTIONS(1776),
    [anon_sym_GT] = ACTIONS(1778),
    [anon_sym_EQ] = ACTIONS(1778),
    [anon_sym_CARET] = ACTIONS(1776),
    [anon_sym_AMP_AMP] = ACTIONS(1776),
    [anon_sym_GT_GT] = ACTIONS(1778),
    [anon_sym_in] = ACTIONS(1778),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1776),
    [anon_sym_of] = ACTIONS(1776),
    [anon_sym_SLASH] = ACTIONS(1778),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(1776),
    [anon_sym_PIPE] = ACTIONS(1778),
    [anon_sym_PIPE_PIPE] = ACTIONS(1776),
    [anon_sym_GT_GT_GT] = ACTIONS(1776),
    [anon_sym_BANG_EQ] = ACTIONS(1778),
    [anon_sym_DOT] = ACTIONS(1776),
    [anon_sym_BQUOTE] = ACTIONS(1776),
    [anon_sym_RBRACK] = ACTIONS(1776),
    [anon_sym_PLUS] = ACTIONS(1778),
    [anon_sym_PERCENT] = ACTIONS(1776),
    [anon_sym_LT_LT] = ACTIONS(1776),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1776),
  },
  [802] = {
    [sym_template_string] = STATE(719),
    [sym_arguments] = STATE(719),
    [anon_sym_instanceof] = ACTIONS(696),
    [anon_sym_GT] = ACTIONS(676),
    [anon_sym_DASH] = ACTIONS(698),
    [anon_sym_CARET] = ACTIONS(700),
    [anon_sym_STAR_STAR] = ACTIONS(702),
    [anon_sym_STAR] = ACTIONS(704),
    [anon_sym_AMP_AMP] = ACTIONS(706),
    [anon_sym_GT_GT] = ACTIONS(704),
    [anon_sym_AMP] = ACTIONS(708),
    [anon_sym_in] = ACTIONS(676),
    [anon_sym_LPAREN] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(704),
    [anon_sym_GT_EQ] = ACTIONS(696),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(710),
    [anon_sym_PIPE] = ACTIONS(712),
    [anon_sym_LT_EQ] = ACTIONS(696),
    [anon_sym_PIPE_PIPE] = ACTIONS(700),
    [anon_sym_COMMA] = ACTIONS(1780),
    [anon_sym_GT_GT_GT] = ACTIONS(714),
    [anon_sym_PLUS_PLUS] = ACTIONS(716),
    [anon_sym_RPAREN] = ACTIONS(1780),
    [anon_sym_BANG_EQ] = ACTIONS(676),
    [anon_sym_LT] = ACTIONS(676),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_PLUS] = ACTIONS(698),
    [anon_sym_EQ_EQ] = ACTIONS(676),
    [anon_sym_PERCENT] = ACTIONS(714),
    [anon_sym_QMARK] = ACTIONS(722),
    [anon_sym_LT_LT] = ACTIONS(714),
    [anon_sym_DASH_DASH] = ACTIONS(716),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(696),
  },
  [803] = {
    [sym_template_string] = STATE(719),
    [sym_arguments] = STATE(719),
    [anon_sym_instanceof] = ACTIONS(696),
    [anon_sym_GT] = ACTIONS(676),
    [anon_sym_DASH] = ACTIONS(698),
    [anon_sym_CARET] = ACTIONS(700),
    [anon_sym_STAR_STAR] = ACTIONS(702),
    [anon_sym_STAR] = ACTIONS(704),
    [anon_sym_AMP_AMP] = ACTIONS(706),
    [anon_sym_GT_GT] = ACTIONS(704),
    [anon_sym_AMP] = ACTIONS(708),
    [anon_sym_in] = ACTIONS(676),
    [anon_sym_LPAREN] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(704),
    [anon_sym_GT_EQ] = ACTIONS(696),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(710),
    [anon_sym_PIPE] = ACTIONS(712),
    [anon_sym_LT_EQ] = ACTIONS(696),
    [anon_sym_PIPE_PIPE] = ACTIONS(700),
    [anon_sym_COMMA] = ACTIONS(1795),
    [anon_sym_GT_GT_GT] = ACTIONS(714),
    [anon_sym_PLUS_PLUS] = ACTIONS(716),
    [anon_sym_RPAREN] = ACTIONS(1795),
    [anon_sym_BANG_EQ] = ACTIONS(676),
    [anon_sym_LT] = ACTIONS(676),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_PLUS] = ACTIONS(698),
    [anon_sym_EQ_EQ] = ACTIONS(676),
    [anon_sym_PERCENT] = ACTIONS(714),
    [anon_sym_QMARK] = ACTIONS(722),
    [anon_sym_LT_LT] = ACTIONS(714),
    [anon_sym_DASH_DASH] = ACTIONS(716),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(696),
  },
  [804] = {
    [anon_sym_instanceof] = ACTIONS(1827),
    [anon_sym_COLON] = ACTIONS(1827),
    [anon_sym_DASH] = ACTIONS(1829),
    [anon_sym_STAR_STAR] = ACTIONS(1827),
    [anon_sym_STAR] = ACTIONS(1829),
    [anon_sym_AMP] = ACTIONS(1829),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_GT_EQ] = ACTIONS(1827),
    [anon_sym_LPAREN] = ACTIONS(1827),
    [anon_sym_LT_EQ] = ACTIONS(1827),
    [anon_sym_COMMA] = ACTIONS(1827),
    [anon_sym_PLUS_PLUS] = ACTIONS(1827),
    [anon_sym_RPAREN] = ACTIONS(1827),
    [anon_sym_LT] = ACTIONS(1829),
    [anon_sym_EQ_EQ] = ACTIONS(1829),
    [anon_sym_QMARK] = ACTIONS(1827),
    [anon_sym_RBRACE] = ACTIONS(1827),
    [anon_sym_DASH_DASH] = ACTIONS(1827),
    [anon_sym_GT] = ACTIONS(1829),
    [anon_sym_EQ] = ACTIONS(1829),
    [anon_sym_CARET] = ACTIONS(1827),
    [anon_sym_AMP_AMP] = ACTIONS(1827),
    [anon_sym_GT_GT] = ACTIONS(1829),
    [anon_sym_in] = ACTIONS(1829),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1827),
    [anon_sym_of] = ACTIONS(1827),
    [anon_sym_SLASH] = ACTIONS(1829),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(1827),
    [anon_sym_PIPE] = ACTIONS(1829),
    [anon_sym_PIPE_PIPE] = ACTIONS(1827),
    [anon_sym_GT_GT_GT] = ACTIONS(1827),
    [anon_sym_BANG_EQ] = ACTIONS(1829),
    [anon_sym_DOT] = ACTIONS(1827),
    [anon_sym_BQUOTE] = ACTIONS(1827),
    [anon_sym_RBRACK] = ACTIONS(1827),
    [anon_sym_PLUS] = ACTIONS(1829),
    [anon_sym_PERCENT] = ACTIONS(1827),
    [anon_sym_LT_LT] = ACTIONS(1827),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1827),
  },
  [805] = {
    [anon_sym_instanceof] = ACTIONS(1831),
    [anon_sym_GT] = ACTIONS(1833),
    [anon_sym_COLON] = ACTIONS(1831),
    [anon_sym_DASH] = ACTIONS(1833),
    [anon_sym_CARET] = ACTIONS(1831),
    [anon_sym_STAR_STAR] = ACTIONS(1831),
    [anon_sym_STAR] = ACTIONS(1833),
    [anon_sym_AMP_AMP] = ACTIONS(1831),
    [anon_sym_GT_GT] = ACTIONS(1833),
    [anon_sym_AMP] = ACTIONS(1833),
    [anon_sym_LBRACE] = ACTIONS(1831),
    [anon_sym_in] = ACTIONS(1833),
    [anon_sym_LPAREN] = ACTIONS(1831),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1831),
    [anon_sym_SLASH] = ACTIONS(1833),
    [anon_sym_GT_EQ] = ACTIONS(1831),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(1831),
    [anon_sym_PIPE] = ACTIONS(1833),
    [anon_sym_LT_EQ] = ACTIONS(1831),
    [anon_sym_PIPE_PIPE] = ACTIONS(1831),
    [anon_sym_COMMA] = ACTIONS(1831),
    [anon_sym_GT_GT_GT] = ACTIONS(1831),
    [anon_sym_PLUS_PLUS] = ACTIONS(1831),
    [anon_sym_RPAREN] = ACTIONS(1831),
    [anon_sym_BANG_EQ] = ACTIONS(1833),
    [anon_sym_LT] = ACTIONS(1833),
    [anon_sym_DOT] = ACTIONS(1831),
    [anon_sym_BQUOTE] = ACTIONS(1831),
    [anon_sym_RBRACK] = ACTIONS(1831),
    [anon_sym_PLUS] = ACTIONS(1833),
    [anon_sym_EQ_EQ] = ACTIONS(1833),
    [anon_sym_PERCENT] = ACTIONS(1831),
    [anon_sym_QMARK] = ACTIONS(1831),
    [anon_sym_LT_LT] = ACTIONS(1831),
    [anon_sym_DASH_DASH] = ACTIONS(1831),
    [anon_sym_RBRACE] = ACTIONS(1831),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1831),
  },
  [806] = {
    [anon_sym_instanceof] = ACTIONS(1835),
    [anon_sym_COLON] = ACTIONS(1835),
    [anon_sym_AMP_EQ] = ACTIONS(1835),
    [anon_sym_GT_GT_EQ] = ACTIONS(1835),
    [anon_sym_STAR_EQ] = ACTIONS(1835),
    [anon_sym_DASH] = ACTIONS(1837),
    [anon_sym_STAR_STAR] = ACTIONS(1837),
    [anon_sym_STAR] = ACTIONS(1837),
    [anon_sym_AMP] = ACTIONS(1837),
    [anon_sym_LBRACE] = ACTIONS(1835),
    [anon_sym_GT_EQ] = ACTIONS(1835),
    [anon_sym_LPAREN] = ACTIONS(1835),
    [anon_sym_PIPE_EQ] = ACTIONS(1835),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1835),
    [anon_sym_SLASH_EQ] = ACTIONS(1835),
    [anon_sym_LT_EQ] = ACTIONS(1835),
    [anon_sym_COMMA] = ACTIONS(1835),
    [anon_sym_PLUS_PLUS] = ACTIONS(1835),
    [anon_sym_RPAREN] = ACTIONS(1835),
    [anon_sym_LT] = ACTIONS(1837),
    [anon_sym_LT_LT_EQ] = ACTIONS(1835),
    [anon_sym_EQ_EQ] = ACTIONS(1837),
    [anon_sym_QMARK] = ACTIONS(1835),
    [anon_sym_RBRACE] = ACTIONS(1835),
    [anon_sym_DASH_DASH] = ACTIONS(1835),
    [anon_sym_GT] = ACTIONS(1837),
    [anon_sym_EQ] = ACTIONS(1837),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1835),
    [anon_sym_CARET] = ACTIONS(1837),
    [anon_sym_AMP_AMP] = ACTIONS(1835),
    [anon_sym_GT_GT] = ACTIONS(1837),
    [anon_sym_in] = ACTIONS(1837),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1835),
    [anon_sym_SLASH] = ACTIONS(1837),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(1835),
    [anon_sym_PERCENT_EQ] = ACTIONS(1835),
    [anon_sym_PLUS_EQ] = ACTIONS(1835),
    [anon_sym_PIPE] = ACTIONS(1837),
    [anon_sym_PIPE_PIPE] = ACTIONS(1835),
    [anon_sym_GT_GT_GT] = ACTIONS(1837),
    [anon_sym_BANG_EQ] = ACTIONS(1837),
    [anon_sym_DOT] = ACTIONS(1835),
    [anon_sym_BQUOTE] = ACTIONS(1835),
    [anon_sym_RBRACK] = ACTIONS(1835),
    [anon_sym_CARET_EQ] = ACTIONS(1835),
    [anon_sym_DASH_EQ] = ACTIONS(1835),
    [anon_sym_PLUS] = ACTIONS(1837),
    [anon_sym_PERCENT] = ACTIONS(1837),
    [anon_sym_LT_LT] = ACTIONS(1837),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1835),
  },
  [807] = {
    [anon_sym_instanceof] = ACTIONS(1841),
    [anon_sym_class] = ACTIONS(1841),
    [anon_sym_COLON] = ACTIONS(1839),
    [anon_sym_static] = ACTIONS(1841),
    [anon_sym_DASH] = ACTIONS(1841),
    [anon_sym_STAR_STAR] = ACTIONS(1839),
    [anon_sym_STAR] = ACTIONS(1841),
    [anon_sym_AMP] = ACTIONS(1841),
    [anon_sym_LBRACE] = ACTIONS(1839),
    [anon_sym_GT_EQ] = ACTIONS(1839),
    [anon_sym_LPAREN] = ACTIONS(1839),
    [anon_sym_get] = ACTIONS(1841),
    [anon_sym_LT_EQ] = ACTIONS(1839),
    [anon_sym_COMMA] = ACTIONS(1839),
    [anon_sym_PLUS_PLUS] = ACTIONS(1839),
    [anon_sym_DQUOTE] = ACTIONS(1839),
    [anon_sym_RPAREN] = ACTIONS(1839),
    [anon_sym_LT] = ACTIONS(1841),
    [sym_number] = ACTIONS(1839),
    [anon_sym_set] = ACTIONS(1841),
    [anon_sym_async] = ACTIONS(1841),
    [anon_sym_EQ_EQ] = ACTIONS(1841),
    [anon_sym_QMARK] = ACTIONS(1839),
    [anon_sym_RBRACE] = ACTIONS(1839),
    [anon_sym_DASH_DASH] = ACTIONS(1839),
    [anon_sym_GT] = ACTIONS(1841),
    [anon_sym_CARET] = ACTIONS(1839),
    [anon_sym_AMP_AMP] = ACTIONS(1839),
    [anon_sym_GT_GT] = ACTIONS(1841),
    [anon_sym_SQUOTE] = ACTIONS(1839),
    [anon_sym_in] = ACTIONS(1841),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1839),
    [anon_sym_SLASH] = ACTIONS(1841),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(1839),
    [anon_sym_PIPE] = ACTIONS(1841),
    [anon_sym_PIPE_PIPE] = ACTIONS(1839),
    [anon_sym_GT_GT_GT] = ACTIONS(1839),
    [anon_sym_BANG_EQ] = ACTIONS(1841),
    [sym_identifier] = ACTIONS(1841),
    [anon_sym_DOT] = ACTIONS(1841),
    [anon_sym_BQUOTE] = ACTIONS(1839),
    [anon_sym_RBRACK] = ACTIONS(1839),
    [anon_sym_AT] = ACTIONS(1839),
    [anon_sym_PLUS] = ACTIONS(1841),
    [anon_sym_PERCENT] = ACTIONS(1839),
    [anon_sym_export] = ACTIONS(1841),
    [anon_sym_LT_LT] = ACTIONS(1839),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1839),
  },
  [808] = {
    [anon_sym_instanceof] = ACTIONS(1859),
    [anon_sym_GT] = ACTIONS(1861),
    [anon_sym_COLON] = ACTIONS(1859),
    [anon_sym_DASH] = ACTIONS(1861),
    [anon_sym_CARET] = ACTIONS(1859),
    [anon_sym_STAR_STAR] = ACTIONS(1859),
    [anon_sym_STAR] = ACTIONS(1861),
    [anon_sym_AMP_AMP] = ACTIONS(1859),
    [anon_sym_GT_GT] = ACTIONS(1861),
    [anon_sym_AMP] = ACTIONS(1861),
    [anon_sym_LBRACE] = ACTIONS(1859),
    [anon_sym_in] = ACTIONS(1861),
    [anon_sym_LPAREN] = ACTIONS(1859),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1859),
    [anon_sym_SLASH] = ACTIONS(1861),
    [anon_sym_GT_EQ] = ACTIONS(1859),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(1859),
    [anon_sym_PIPE] = ACTIONS(1861),
    [anon_sym_LT_EQ] = ACTIONS(1859),
    [anon_sym_PIPE_PIPE] = ACTIONS(1859),
    [anon_sym_COMMA] = ACTIONS(1859),
    [anon_sym_GT_GT_GT] = ACTIONS(1859),
    [anon_sym_PLUS_PLUS] = ACTIONS(1859),
    [anon_sym_RPAREN] = ACTIONS(1859),
    [anon_sym_BANG_EQ] = ACTIONS(1861),
    [anon_sym_LT] = ACTIONS(1861),
    [anon_sym_DOT] = ACTIONS(1859),
    [anon_sym_BQUOTE] = ACTIONS(1859),
    [anon_sym_RBRACK] = ACTIONS(1859),
    [anon_sym_PLUS] = ACTIONS(1861),
    [anon_sym_EQ_EQ] = ACTIONS(1861),
    [anon_sym_PERCENT] = ACTIONS(1859),
    [anon_sym_QMARK] = ACTIONS(1859),
    [anon_sym_LT_LT] = ACTIONS(1859),
    [anon_sym_DASH_DASH] = ACTIONS(1859),
    [anon_sym_RBRACE] = ACTIONS(1859),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1859),
  },
  [809] = {
    [anon_sym_instanceof] = ACTIONS(1884),
    [anon_sym_GT] = ACTIONS(1886),
    [anon_sym_COLON] = ACTIONS(1884),
    [anon_sym_DASH] = ACTIONS(1886),
    [anon_sym_CARET] = ACTIONS(1884),
    [anon_sym_STAR_STAR] = ACTIONS(1884),
    [anon_sym_STAR] = ACTIONS(1886),
    [anon_sym_AMP_AMP] = ACTIONS(1884),
    [anon_sym_GT_GT] = ACTIONS(1886),
    [anon_sym_AMP] = ACTIONS(1886),
    [anon_sym_LBRACE] = ACTIONS(1884),
    [anon_sym_in] = ACTIONS(1886),
    [anon_sym_LPAREN] = ACTIONS(1884),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1884),
    [anon_sym_SLASH] = ACTIONS(1886),
    [anon_sym_GT_EQ] = ACTIONS(1884),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(1884),
    [anon_sym_PIPE] = ACTIONS(1886),
    [anon_sym_LT_EQ] = ACTIONS(1884),
    [anon_sym_PIPE_PIPE] = ACTIONS(1884),
    [anon_sym_COMMA] = ACTIONS(1884),
    [anon_sym_GT_GT_GT] = ACTIONS(1884),
    [anon_sym_PLUS_PLUS] = ACTIONS(1884),
    [anon_sym_RPAREN] = ACTIONS(1884),
    [anon_sym_BANG_EQ] = ACTIONS(1886),
    [anon_sym_LT] = ACTIONS(1886),
    [anon_sym_DOT] = ACTIONS(1884),
    [anon_sym_BQUOTE] = ACTIONS(1884),
    [anon_sym_RBRACK] = ACTIONS(1884),
    [anon_sym_PLUS] = ACTIONS(1886),
    [anon_sym_EQ_EQ] = ACTIONS(1886),
    [anon_sym_PERCENT] = ACTIONS(1884),
    [anon_sym_QMARK] = ACTIONS(1884),
    [anon_sym_LT_LT] = ACTIONS(1884),
    [anon_sym_DASH_DASH] = ACTIONS(1884),
    [anon_sym_RBRACE] = ACTIONS(1884),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1884),
  },
  [810] = {
    [anon_sym_instanceof] = ACTIONS(1888),
    [anon_sym_GT] = ACTIONS(1890),
    [anon_sym_COLON] = ACTIONS(1888),
    [anon_sym_DASH] = ACTIONS(1890),
    [anon_sym_CARET] = ACTIONS(1888),
    [anon_sym_STAR_STAR] = ACTIONS(1888),
    [anon_sym_STAR] = ACTIONS(1890),
    [anon_sym_AMP_AMP] = ACTIONS(1888),
    [anon_sym_GT_GT] = ACTIONS(1890),
    [anon_sym_AMP] = ACTIONS(1890),
    [anon_sym_LBRACE] = ACTIONS(1888),
    [anon_sym_in] = ACTIONS(1890),
    [anon_sym_LPAREN] = ACTIONS(1888),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1888),
    [anon_sym_SLASH] = ACTIONS(1890),
    [anon_sym_GT_EQ] = ACTIONS(1888),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(1888),
    [anon_sym_PIPE] = ACTIONS(1890),
    [anon_sym_LT_EQ] = ACTIONS(1888),
    [anon_sym_PIPE_PIPE] = ACTIONS(1888),
    [anon_sym_COMMA] = ACTIONS(1888),
    [anon_sym_GT_GT_GT] = ACTIONS(1888),
    [anon_sym_PLUS_PLUS] = ACTIONS(1888),
    [anon_sym_RPAREN] = ACTIONS(1888),
    [anon_sym_BANG_EQ] = ACTIONS(1890),
    [anon_sym_LT] = ACTIONS(1890),
    [anon_sym_DOT] = ACTIONS(1888),
    [anon_sym_BQUOTE] = ACTIONS(1888),
    [anon_sym_RBRACK] = ACTIONS(1888),
    [anon_sym_PLUS] = ACTIONS(1890),
    [anon_sym_EQ_EQ] = ACTIONS(1890),
    [anon_sym_PERCENT] = ACTIONS(1888),
    [anon_sym_QMARK] = ACTIONS(1888),
    [anon_sym_LT_LT] = ACTIONS(1888),
    [anon_sym_DASH_DASH] = ACTIONS(1888),
    [anon_sym_RBRACE] = ACTIONS(1888),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1888),
  },
  [811] = {
    [sym_template_string] = STATE(719),
    [sym_arguments] = STATE(719),
    [anon_sym_instanceof] = ACTIONS(696),
    [anon_sym_GT] = ACTIONS(676),
    [anon_sym_COLON] = ACTIONS(1888),
    [anon_sym_DASH] = ACTIONS(698),
    [anon_sym_CARET] = ACTIONS(700),
    [anon_sym_STAR_STAR] = ACTIONS(702),
    [anon_sym_STAR] = ACTIONS(704),
    [anon_sym_AMP_AMP] = ACTIONS(706),
    [anon_sym_GT_GT] = ACTIONS(704),
    [anon_sym_AMP] = ACTIONS(708),
    [anon_sym_LBRACE] = ACTIONS(1888),
    [anon_sym_in] = ACTIONS(676),
    [anon_sym_LPAREN] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(704),
    [anon_sym_GT_EQ] = ACTIONS(696),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(710),
    [anon_sym_PIPE] = ACTIONS(712),
    [anon_sym_LT_EQ] = ACTIONS(696),
    [anon_sym_PIPE_PIPE] = ACTIONS(700),
    [anon_sym_COMMA] = ACTIONS(1888),
    [anon_sym_GT_GT_GT] = ACTIONS(714),
    [anon_sym_PLUS_PLUS] = ACTIONS(716),
    [anon_sym_RPAREN] = ACTIONS(1888),
    [anon_sym_BANG_EQ] = ACTIONS(676),
    [anon_sym_LT] = ACTIONS(676),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_RBRACK] = ACTIONS(1888),
    [anon_sym_PLUS] = ACTIONS(698),
    [anon_sym_EQ_EQ] = ACTIONS(676),
    [anon_sym_PERCENT] = ACTIONS(714),
    [anon_sym_QMARK] = ACTIONS(722),
    [anon_sym_LT_LT] = ACTIONS(714),
    [anon_sym_DASH_DASH] = ACTIONS(716),
    [anon_sym_RBRACE] = ACTIONS(1888),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(696),
  },
  [812] = {
    [anon_sym_instanceof] = ACTIONS(1892),
    [anon_sym_GT] = ACTIONS(1894),
    [anon_sym_COLON] = ACTIONS(1892),
    [anon_sym_DASH] = ACTIONS(1894),
    [anon_sym_CARET] = ACTIONS(1892),
    [anon_sym_STAR_STAR] = ACTIONS(1892),
    [anon_sym_STAR] = ACTIONS(1894),
    [anon_sym_AMP_AMP] = ACTIONS(1892),
    [anon_sym_GT_GT] = ACTIONS(1894),
    [anon_sym_AMP] = ACTIONS(1894),
    [anon_sym_LBRACE] = ACTIONS(1892),
    [anon_sym_in] = ACTIONS(1894),
    [anon_sym_LPAREN] = ACTIONS(1892),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1892),
    [anon_sym_SLASH] = ACTIONS(1894),
    [anon_sym_GT_EQ] = ACTIONS(1892),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_PIPE] = ACTIONS(1894),
    [anon_sym_LT_EQ] = ACTIONS(1892),
    [anon_sym_PIPE_PIPE] = ACTIONS(1892),
    [anon_sym_COMMA] = ACTIONS(1892),
    [anon_sym_GT_GT_GT] = ACTIONS(1892),
    [anon_sym_PLUS_PLUS] = ACTIONS(1892),
    [anon_sym_RPAREN] = ACTIONS(1892),
    [anon_sym_BANG_EQ] = ACTIONS(1894),
    [anon_sym_LT] = ACTIONS(1894),
    [anon_sym_DOT] = ACTIONS(1892),
    [anon_sym_BQUOTE] = ACTIONS(1892),
    [anon_sym_RBRACK] = ACTIONS(1892),
    [anon_sym_PLUS] = ACTIONS(1894),
    [anon_sym_EQ_EQ] = ACTIONS(1894),
    [anon_sym_PERCENT] = ACTIONS(1892),
    [anon_sym_QMARK] = ACTIONS(1892),
    [anon_sym_LT_LT] = ACTIONS(1892),
    [anon_sym_DASH_DASH] = ACTIONS(1892),
    [anon_sym_RBRACE] = ACTIONS(1892),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1892),
  },
  [813] = {
    [sym_template_string] = STATE(719),
    [sym_arguments] = STATE(719),
    [anon_sym_instanceof] = ACTIONS(696),
    [anon_sym_GT] = ACTIONS(676),
    [anon_sym_COLON] = ACTIONS(1892),
    [anon_sym_DASH] = ACTIONS(698),
    [anon_sym_CARET] = ACTIONS(700),
    [anon_sym_STAR_STAR] = ACTIONS(702),
    [anon_sym_STAR] = ACTIONS(704),
    [anon_sym_AMP_AMP] = ACTIONS(706),
    [anon_sym_GT_GT] = ACTIONS(704),
    [anon_sym_AMP] = ACTIONS(708),
    [anon_sym_LBRACE] = ACTIONS(1892),
    [anon_sym_in] = ACTIONS(676),
    [anon_sym_LPAREN] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(704),
    [anon_sym_GT_EQ] = ACTIONS(696),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(710),
    [anon_sym_PIPE] = ACTIONS(712),
    [anon_sym_LT_EQ] = ACTIONS(696),
    [anon_sym_PIPE_PIPE] = ACTIONS(700),
    [anon_sym_COMMA] = ACTIONS(1892),
    [anon_sym_GT_GT_GT] = ACTIONS(714),
    [anon_sym_PLUS_PLUS] = ACTIONS(716),
    [anon_sym_RPAREN] = ACTIONS(1892),
    [anon_sym_BANG_EQ] = ACTIONS(676),
    [anon_sym_LT] = ACTIONS(676),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_RBRACK] = ACTIONS(1892),
    [anon_sym_PLUS] = ACTIONS(698),
    [anon_sym_EQ_EQ] = ACTIONS(676),
    [anon_sym_PERCENT] = ACTIONS(714),
    [anon_sym_QMARK] = ACTIONS(722),
    [anon_sym_LT_LT] = ACTIONS(714),
    [anon_sym_DASH_DASH] = ACTIONS(716),
    [anon_sym_RBRACE] = ACTIONS(1892),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(696),
  },
  [814] = {
    [anon_sym_instanceof] = ACTIONS(1411),
    [anon_sym_COLON] = ACTIONS(1411),
    [anon_sym_DASH] = ACTIONS(1413),
    [anon_sym_STAR_STAR] = ACTIONS(1411),
    [anon_sym_STAR] = ACTIONS(1413),
    [anon_sym_AMP] = ACTIONS(1413),
    [anon_sym_LBRACE] = ACTIONS(1411),
    [anon_sym_GT_EQ] = ACTIONS(1411),
    [anon_sym_LPAREN] = ACTIONS(1411),
    [anon_sym_LT_EQ] = ACTIONS(1411),
    [anon_sym_COMMA] = ACTIONS(1411),
    [anon_sym_PLUS_PLUS] = ACTIONS(1411),
    [anon_sym_RPAREN] = ACTIONS(1411),
    [anon_sym_LT] = ACTIONS(1413),
    [anon_sym_EQ_EQ] = ACTIONS(1413),
    [anon_sym_QMARK] = ACTIONS(1411),
    [anon_sym_RBRACE] = ACTIONS(1411),
    [anon_sym_DASH_DASH] = ACTIONS(1411),
    [anon_sym_GT] = ACTIONS(1413),
    [anon_sym_CARET] = ACTIONS(1411),
    [anon_sym_AMP_AMP] = ACTIONS(1411),
    [anon_sym_GT_GT] = ACTIONS(1413),
    [anon_sym_in] = ACTIONS(1413),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1411),
    [anon_sym_SLASH] = ACTIONS(1413),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(1411),
    [anon_sym_EQ_GT] = ACTIONS(670),
    [anon_sym_PIPE] = ACTIONS(1413),
    [anon_sym_PIPE_PIPE] = ACTIONS(1411),
    [anon_sym_GT_GT_GT] = ACTIONS(1411),
    [anon_sym_BANG_EQ] = ACTIONS(1413),
    [anon_sym_DOT] = ACTIONS(1411),
    [anon_sym_BQUOTE] = ACTIONS(1411),
    [anon_sym_RBRACK] = ACTIONS(1411),
    [anon_sym_PLUS] = ACTIONS(1413),
    [anon_sym_PERCENT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1411),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1411),
  },
  [815] = {
    [anon_sym_instanceof] = ACTIONS(1990),
    [anon_sym_GT] = ACTIONS(1984),
    [sym__automatic_semicolon] = ACTIONS(1986),
    [anon_sym_DASH] = ACTIONS(1984),
    [anon_sym_CARET] = ACTIONS(1990),
    [anon_sym_STAR_STAR] = ACTIONS(1990),
    [anon_sym_STAR] = ACTIONS(1984),
    [anon_sym_AMP_AMP] = ACTIONS(1990),
    [anon_sym_GT_GT] = ACTIONS(1984),
    [anon_sym_AMP] = ACTIONS(1984),
    [anon_sym_in] = ACTIONS(1984),
    [anon_sym_LPAREN] = ACTIONS(1990),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1990),
    [anon_sym_SLASH] = ACTIONS(1984),
    [anon_sym_GT_EQ] = ACTIONS(1990),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(1990),
    [anon_sym_PIPE] = ACTIONS(1984),
    [anon_sym_LT_EQ] = ACTIONS(1990),
    [anon_sym_PIPE_PIPE] = ACTIONS(1990),
    [anon_sym_else] = ACTIONS(1992),
    [anon_sym_COMMA] = ACTIONS(1990),
    [anon_sym_GT_GT_GT] = ACTIONS(1990),
    [anon_sym_SEMI] = ACTIONS(1990),
    [anon_sym_PLUS_PLUS] = ACTIONS(1990),
    [anon_sym_BANG_EQ] = ACTIONS(1984),
    [anon_sym_while] = ACTIONS(1992),
    [anon_sym_LT] = ACTIONS(1984),
    [anon_sym_DOT] = ACTIONS(1990),
    [anon_sym_BQUOTE] = ACTIONS(1990),
    [anon_sym_PLUS] = ACTIONS(1984),
    [anon_sym_EQ_EQ] = ACTIONS(1984),
    [anon_sym_PERCENT] = ACTIONS(1990),
    [anon_sym_QMARK] = ACTIONS(1990),
    [anon_sym_LT_LT] = ACTIONS(1990),
    [anon_sym_DASH_DASH] = ACTIONS(1990),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1990),
  },
  [816] = {
    [anon_sym_instanceof] = ACTIONS(1994),
    [anon_sym_GT] = ACTIONS(1996),
    [anon_sym_COLON] = ACTIONS(1994),
    [anon_sym_DASH] = ACTIONS(1996),
    [anon_sym_CARET] = ACTIONS(1994),
    [anon_sym_STAR_STAR] = ACTIONS(1994),
    [anon_sym_STAR] = ACTIONS(1996),
    [anon_sym_AMP_AMP] = ACTIONS(1994),
    [anon_sym_GT_GT] = ACTIONS(1996),
    [anon_sym_AMP] = ACTIONS(1996),
    [anon_sym_LBRACE] = ACTIONS(1994),
    [anon_sym_in] = ACTIONS(1996),
    [anon_sym_LPAREN] = ACTIONS(1994),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1994),
    [anon_sym_SLASH] = ACTIONS(1996),
    [anon_sym_GT_EQ] = ACTIONS(1994),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(1994),
    [anon_sym_PIPE] = ACTIONS(1996),
    [anon_sym_LT_EQ] = ACTIONS(1994),
    [anon_sym_PIPE_PIPE] = ACTIONS(1994),
    [anon_sym_COMMA] = ACTIONS(1994),
    [anon_sym_GT_GT_GT] = ACTIONS(1994),
    [anon_sym_PLUS_PLUS] = ACTIONS(1994),
    [anon_sym_RPAREN] = ACTIONS(1994),
    [anon_sym_BANG_EQ] = ACTIONS(1996),
    [anon_sym_LT] = ACTIONS(1996),
    [anon_sym_DOT] = ACTIONS(1994),
    [anon_sym_BQUOTE] = ACTIONS(1994),
    [anon_sym_RBRACK] = ACTIONS(1994),
    [anon_sym_PLUS] = ACTIONS(1996),
    [anon_sym_EQ_EQ] = ACTIONS(1996),
    [anon_sym_PERCENT] = ACTIONS(1994),
    [anon_sym_QMARK] = ACTIONS(1994),
    [anon_sym_LT_LT] = ACTIONS(1994),
    [anon_sym_DASH_DASH] = ACTIONS(1994),
    [anon_sym_RBRACE] = ACTIONS(1994),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1994),
  },
  [817] = {
    [sym_arrow_function] = STATE(829),
    [sym_call_expression] = STATE(829),
    [sym_subscript_expression] = STATE(701),
    [sym_assignment_expression] = STATE(829),
    [sym_ternary_expression] = STATE(829),
    [sym_binary_expression] = STATE(829),
    [sym_template_string] = STATE(829),
    [sym__expression] = STATE(829),
    [sym_yield_expression] = STATE(829),
    [sym_jsx_element] = STATE(829),
    [sym_jsx_fragment] = STATE(829),
    [sym_function] = STATE(703),
    [sym_new_expression] = STATE(829),
    [sym_augmented_assignment_expression] = STATE(829),
    [sym_unary_expression] = STATE(829),
    [sym_update_expression] = STATE(829),
    [sym_regex] = STATE(829),
    [sym_meta_property] = STATE(829),
    [sym_object] = STATE(702),
    [aux_sym_export_statement_repeat1] = STATE(1016),
    [sym_class] = STATE(829),
    [sym_generator_function] = STATE(829),
    [sym_await_expression] = STATE(829),
    [sym_member_expression] = STATE(701),
    [sym_string] = STATE(829),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(874),
    [sym_parenthesized_expression] = STATE(829),
    [sym_array] = STATE(704),
    [sym_jsx_opening_element] = STATE(875),
    [sym_jsx_self_closing_element] = STATE(829),
    [anon_sym_await] = ACTIONS(217),
    [sym_null] = ACTIONS(2469),
    [anon_sym_class] = ACTIONS(183),
    [anon_sym_static] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(219),
    [anon_sym_DASH] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_delete] = ACTIONS(191),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [anon_sym_LPAREN] = ACTIONS(193),
    [anon_sym_BANG] = ACTIONS(195),
    [sym_this] = ACTIONS(2469),
    [sym_undefined] = ACTIONS(2469),
    [sym_true] = ACTIONS(2469),
    [anon_sym_SLASH] = ACTIONS(223),
    [anon_sym_LBRACK] = ACTIONS(225),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(243),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_TILDE] = ACTIONS(195),
    [sym_super] = ACTIONS(207),
    [sym_identifier] = ACTIONS(253),
    [sym_false] = ACTIONS(2469),
    [anon_sym_LT] = ACTIONS(209),
    [sym_number] = ACTIONS(2471),
    [anon_sym_yield] = ACTIONS(213),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_set] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(251),
    [anon_sym_new] = ACTIONS(231),
    [anon_sym_PLUS] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_void] = ACTIONS(191),
    [anon_sym_typeof] = ACTIONS(191),
  },
  [818] = {
    [anon_sym_LBRACE] = ACTIONS(2473),
    [anon_sym_GT] = ACTIONS(2473),
    [sym_jsx_identifier] = ACTIONS(2473),
    [sym_comment] = ACTIONS(3),
    [sym_identifier] = ACTIONS(2002),
    [anon_sym_SLASH] = ACTIONS(2002),
  },
  [819] = {
    [anon_sym_instanceof] = ACTIONS(1679),
    [anon_sym_GT] = ACTIONS(1673),
    [anon_sym_COLON] = ACTIONS(1679),
    [anon_sym_DASH] = ACTIONS(1673),
    [anon_sym_CARET] = ACTIONS(1679),
    [anon_sym_STAR_STAR] = ACTIONS(1679),
    [anon_sym_STAR] = ACTIONS(1673),
    [anon_sym_AMP_AMP] = ACTIONS(1679),
    [anon_sym_GT_GT] = ACTIONS(1673),
    [anon_sym_AMP] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1679),
    [anon_sym_in] = ACTIONS(1673),
    [anon_sym_LPAREN] = ACTIONS(1679),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1679),
    [anon_sym_SLASH] = ACTIONS(1673),
    [anon_sym_GT_EQ] = ACTIONS(1679),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(1679),
    [anon_sym_PIPE] = ACTIONS(1673),
    [anon_sym_LT_EQ] = ACTIONS(1679),
    [anon_sym_PIPE_PIPE] = ACTIONS(1679),
    [anon_sym_COMMA] = ACTIONS(1679),
    [anon_sym_GT_GT_GT] = ACTIONS(1679),
    [anon_sym_PLUS_PLUS] = ACTIONS(1679),
    [anon_sym_RPAREN] = ACTIONS(1679),
    [anon_sym_BANG_EQ] = ACTIONS(1673),
    [anon_sym_LT] = ACTIONS(1673),
    [anon_sym_DOT] = ACTIONS(1679),
    [anon_sym_BQUOTE] = ACTIONS(1679),
    [anon_sym_RBRACK] = ACTIONS(1679),
    [anon_sym_PLUS] = ACTIONS(1673),
    [anon_sym_EQ_EQ] = ACTIONS(1673),
    [anon_sym_PERCENT] = ACTIONS(1679),
    [anon_sym_QMARK] = ACTIONS(1679),
    [anon_sym_LT_LT] = ACTIONS(1679),
    [anon_sym_DASH_DASH] = ACTIONS(1679),
    [anon_sym_RBRACE] = ACTIONS(1679),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1679),
  },
  [820] = {
    [anon_sym_instanceof] = ACTIONS(1699),
    [anon_sym_GT] = ACTIONS(1693),
    [anon_sym_COLON] = ACTIONS(1699),
    [anon_sym_DASH] = ACTIONS(1693),
    [anon_sym_CARET] = ACTIONS(1699),
    [anon_sym_STAR_STAR] = ACTIONS(1699),
    [anon_sym_STAR] = ACTIONS(1693),
    [anon_sym_AMP_AMP] = ACTIONS(1699),
    [anon_sym_GT_GT] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1693),
    [anon_sym_LBRACE] = ACTIONS(1699),
    [anon_sym_in] = ACTIONS(1693),
    [anon_sym_LPAREN] = ACTIONS(1699),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1699),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym_GT_EQ] = ACTIONS(1699),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(1699),
    [anon_sym_PIPE] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1699),
    [anon_sym_PIPE_PIPE] = ACTIONS(1699),
    [anon_sym_COMMA] = ACTIONS(1699),
    [anon_sym_GT_GT_GT] = ACTIONS(1699),
    [anon_sym_PLUS_PLUS] = ACTIONS(1699),
    [anon_sym_RPAREN] = ACTIONS(1699),
    [anon_sym_BANG_EQ] = ACTIONS(1693),
    [anon_sym_LT] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1699),
    [anon_sym_BQUOTE] = ACTIONS(1699),
    [anon_sym_RBRACK] = ACTIONS(1699),
    [anon_sym_PLUS] = ACTIONS(1693),
    [anon_sym_EQ_EQ] = ACTIONS(1693),
    [anon_sym_PERCENT] = ACTIONS(1699),
    [anon_sym_QMARK] = ACTIONS(1699),
    [anon_sym_LT_LT] = ACTIONS(1699),
    [anon_sym_DASH_DASH] = ACTIONS(1699),
    [anon_sym_RBRACE] = ACTIONS(1699),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1699),
  },
  [821] = {
    [anon_sym_instanceof] = ACTIONS(1990),
    [anon_sym_GT] = ACTIONS(1984),
    [anon_sym_COLON] = ACTIONS(1990),
    [anon_sym_DASH] = ACTIONS(1984),
    [anon_sym_CARET] = ACTIONS(1990),
    [anon_sym_STAR_STAR] = ACTIONS(1990),
    [anon_sym_STAR] = ACTIONS(1984),
    [anon_sym_AMP_AMP] = ACTIONS(1990),
    [anon_sym_GT_GT] = ACTIONS(1984),
    [anon_sym_AMP] = ACTIONS(1984),
    [anon_sym_LBRACE] = ACTIONS(1990),
    [anon_sym_in] = ACTIONS(1984),
    [anon_sym_LPAREN] = ACTIONS(1990),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1990),
    [anon_sym_SLASH] = ACTIONS(1984),
    [anon_sym_GT_EQ] = ACTIONS(1990),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(1990),
    [anon_sym_PIPE] = ACTIONS(1984),
    [anon_sym_LT_EQ] = ACTIONS(1990),
    [anon_sym_PIPE_PIPE] = ACTIONS(1990),
    [anon_sym_COMMA] = ACTIONS(1990),
    [anon_sym_GT_GT_GT] = ACTIONS(1990),
    [anon_sym_PLUS_PLUS] = ACTIONS(1990),
    [anon_sym_RPAREN] = ACTIONS(1990),
    [anon_sym_BANG_EQ] = ACTIONS(1984),
    [anon_sym_LT] = ACTIONS(1984),
    [anon_sym_DOT] = ACTIONS(1990),
    [anon_sym_BQUOTE] = ACTIONS(1990),
    [anon_sym_RBRACK] = ACTIONS(1990),
    [anon_sym_PLUS] = ACTIONS(1984),
    [anon_sym_EQ_EQ] = ACTIONS(1984),
    [anon_sym_PERCENT] = ACTIONS(1990),
    [anon_sym_QMARK] = ACTIONS(1990),
    [anon_sym_LT_LT] = ACTIONS(1990),
    [anon_sym_DASH_DASH] = ACTIONS(1990),
    [anon_sym_RBRACE] = ACTIONS(1990),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1990),
  },
  [822] = {
    [anon_sym_LPAREN] = ACTIONS(1744),
    [sym_comment] = ACTIONS(3),
  },
  [823] = {
    [anon_sym_instanceof] = ACTIONS(2022),
    [anon_sym_GT] = ACTIONS(2016),
    [sym__automatic_semicolon] = ACTIONS(2018),
    [anon_sym_DASH] = ACTIONS(2016),
    [anon_sym_CARET] = ACTIONS(2022),
    [anon_sym_STAR_STAR] = ACTIONS(2022),
    [anon_sym_STAR] = ACTIONS(2016),
    [anon_sym_AMP_AMP] = ACTIONS(2022),
    [anon_sym_GT_GT] = ACTIONS(2016),
    [anon_sym_AMP] = ACTIONS(2016),
    [anon_sym_in] = ACTIONS(2016),
    [anon_sym_LPAREN] = ACTIONS(2022),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2022),
    [anon_sym_SLASH] = ACTIONS(2016),
    [anon_sym_GT_EQ] = ACTIONS(2022),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(2022),
    [anon_sym_PIPE] = ACTIONS(2016),
    [anon_sym_LT_EQ] = ACTIONS(2022),
    [anon_sym_PIPE_PIPE] = ACTIONS(2022),
    [anon_sym_else] = ACTIONS(2024),
    [anon_sym_COMMA] = ACTIONS(2022),
    [anon_sym_GT_GT_GT] = ACTIONS(2022),
    [anon_sym_SEMI] = ACTIONS(2022),
    [anon_sym_PLUS_PLUS] = ACTIONS(2022),
    [anon_sym_BANG_EQ] = ACTIONS(2016),
    [anon_sym_while] = ACTIONS(2024),
    [anon_sym_LT] = ACTIONS(2016),
    [anon_sym_DOT] = ACTIONS(2022),
    [anon_sym_BQUOTE] = ACTIONS(2022),
    [anon_sym_PLUS] = ACTIONS(2016),
    [anon_sym_EQ_EQ] = ACTIONS(2016),
    [anon_sym_PERCENT] = ACTIONS(2022),
    [anon_sym_QMARK] = ACTIONS(2022),
    [anon_sym_LT_LT] = ACTIONS(2022),
    [anon_sym_DASH_DASH] = ACTIONS(2022),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2022),
  },
  [824] = {
    [anon_sym_instanceof] = ACTIONS(2059),
    [anon_sym_class] = ACTIONS(2059),
    [anon_sym_COLON] = ACTIONS(2057),
    [anon_sym_static] = ACTIONS(2059),
    [anon_sym_DASH] = ACTIONS(2059),
    [anon_sym_STAR_STAR] = ACTIONS(2057),
    [anon_sym_STAR] = ACTIONS(2059),
    [anon_sym_AMP] = ACTIONS(2059),
    [anon_sym_LBRACE] = ACTIONS(2057),
    [anon_sym_GT_EQ] = ACTIONS(2057),
    [anon_sym_LPAREN] = ACTIONS(2057),
    [anon_sym_get] = ACTIONS(2059),
    [anon_sym_LT_EQ] = ACTIONS(2057),
    [anon_sym_COMMA] = ACTIONS(2057),
    [anon_sym_PLUS_PLUS] = ACTIONS(2057),
    [anon_sym_DQUOTE] = ACTIONS(2057),
    [anon_sym_RPAREN] = ACTIONS(2057),
    [anon_sym_LT] = ACTIONS(2059),
    [sym_number] = ACTIONS(2057),
    [anon_sym_set] = ACTIONS(2059),
    [anon_sym_async] = ACTIONS(2059),
    [anon_sym_EQ_EQ] = ACTIONS(2059),
    [anon_sym_QMARK] = ACTIONS(2057),
    [anon_sym_RBRACE] = ACTIONS(2057),
    [anon_sym_DASH_DASH] = ACTIONS(2057),
    [anon_sym_GT] = ACTIONS(2059),
    [anon_sym_CARET] = ACTIONS(2057),
    [anon_sym_AMP_AMP] = ACTIONS(2057),
    [anon_sym_GT_GT] = ACTIONS(2059),
    [anon_sym_SQUOTE] = ACTIONS(2057),
    [anon_sym_in] = ACTIONS(2059),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2057),
    [anon_sym_SLASH] = ACTIONS(2059),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(2057),
    [anon_sym_PIPE] = ACTIONS(2059),
    [anon_sym_PIPE_PIPE] = ACTIONS(2057),
    [anon_sym_GT_GT_GT] = ACTIONS(2057),
    [anon_sym_BANG_EQ] = ACTIONS(2059),
    [sym_identifier] = ACTIONS(2059),
    [anon_sym_DOT] = ACTIONS(2059),
    [anon_sym_BQUOTE] = ACTIONS(2057),
    [anon_sym_RBRACK] = ACTIONS(2057),
    [anon_sym_AT] = ACTIONS(2057),
    [anon_sym_PLUS] = ACTIONS(2059),
    [anon_sym_PERCENT] = ACTIONS(2057),
    [anon_sym_export] = ACTIONS(2059),
    [anon_sym_LT_LT] = ACTIONS(2057),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2057),
  },
  [825] = {
    [anon_sym_instanceof] = ACTIONS(2069),
    [anon_sym_GT] = ACTIONS(2071),
    [anon_sym_COLON] = ACTIONS(2069),
    [anon_sym_DASH] = ACTIONS(2071),
    [anon_sym_CARET] = ACTIONS(2069),
    [anon_sym_STAR_STAR] = ACTIONS(2069),
    [anon_sym_STAR] = ACTIONS(2071),
    [anon_sym_AMP_AMP] = ACTIONS(2069),
    [anon_sym_GT_GT] = ACTIONS(2071),
    [anon_sym_AMP] = ACTIONS(2071),
    [anon_sym_LBRACE] = ACTIONS(2069),
    [anon_sym_in] = ACTIONS(2071),
    [anon_sym_LPAREN] = ACTIONS(2069),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2069),
    [anon_sym_SLASH] = ACTIONS(2071),
    [anon_sym_GT_EQ] = ACTIONS(2069),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(2069),
    [anon_sym_PIPE] = ACTIONS(2071),
    [anon_sym_LT_EQ] = ACTIONS(2069),
    [anon_sym_PIPE_PIPE] = ACTIONS(2069),
    [anon_sym_COMMA] = ACTIONS(2069),
    [anon_sym_GT_GT_GT] = ACTIONS(2069),
    [anon_sym_PLUS_PLUS] = ACTIONS(2069),
    [anon_sym_RPAREN] = ACTIONS(2069),
    [anon_sym_BANG_EQ] = ACTIONS(2071),
    [anon_sym_LT] = ACTIONS(2071),
    [anon_sym_DOT] = ACTIONS(2069),
    [anon_sym_BQUOTE] = ACTIONS(2069),
    [anon_sym_RBRACK] = ACTIONS(2069),
    [anon_sym_PLUS] = ACTIONS(2071),
    [anon_sym_EQ_EQ] = ACTIONS(2071),
    [anon_sym_PERCENT] = ACTIONS(2069),
    [anon_sym_QMARK] = ACTIONS(2069),
    [anon_sym_LT_LT] = ACTIONS(2069),
    [anon_sym_DASH_DASH] = ACTIONS(2069),
    [anon_sym_RBRACE] = ACTIONS(2069),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2069),
  },
  [826] = {
    [anon_sym_instanceof] = ACTIONS(2073),
    [anon_sym_GT] = ACTIONS(2075),
    [anon_sym_COLON] = ACTIONS(2073),
    [anon_sym_DASH] = ACTIONS(2075),
    [anon_sym_CARET] = ACTIONS(2073),
    [anon_sym_STAR_STAR] = ACTIONS(2073),
    [anon_sym_STAR] = ACTIONS(2075),
    [anon_sym_AMP_AMP] = ACTIONS(2073),
    [anon_sym_GT_GT] = ACTIONS(2075),
    [anon_sym_AMP] = ACTIONS(2075),
    [anon_sym_LBRACE] = ACTIONS(2073),
    [anon_sym_in] = ACTIONS(2075),
    [anon_sym_LPAREN] = ACTIONS(2073),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2073),
    [anon_sym_SLASH] = ACTIONS(2075),
    [anon_sym_GT_EQ] = ACTIONS(2073),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(2073),
    [anon_sym_PIPE] = ACTIONS(2075),
    [anon_sym_LT_EQ] = ACTIONS(2073),
    [anon_sym_PIPE_PIPE] = ACTIONS(2073),
    [anon_sym_COMMA] = ACTIONS(2073),
    [anon_sym_GT_GT_GT] = ACTIONS(2073),
    [anon_sym_PLUS_PLUS] = ACTIONS(2073),
    [anon_sym_RPAREN] = ACTIONS(2073),
    [anon_sym_BANG_EQ] = ACTIONS(2075),
    [anon_sym_LT] = ACTIONS(2075),
    [anon_sym_DOT] = ACTIONS(2073),
    [anon_sym_BQUOTE] = ACTIONS(2073),
    [anon_sym_RBRACK] = ACTIONS(2073),
    [anon_sym_PLUS] = ACTIONS(2075),
    [anon_sym_EQ_EQ] = ACTIONS(2075),
    [anon_sym_PERCENT] = ACTIONS(2073),
    [anon_sym_QMARK] = ACTIONS(2073),
    [anon_sym_LT_LT] = ACTIONS(2073),
    [anon_sym_DASH_DASH] = ACTIONS(2073),
    [anon_sym_RBRACE] = ACTIONS(2073),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2073),
  },
  [827] = {
    [anon_sym_instanceof] = ACTIONS(2085),
    [anon_sym_GT] = ACTIONS(2079),
    [sym__automatic_semicolon] = ACTIONS(2081),
    [anon_sym_DASH] = ACTIONS(2079),
    [anon_sym_CARET] = ACTIONS(2085),
    [anon_sym_STAR_STAR] = ACTIONS(2085),
    [anon_sym_STAR] = ACTIONS(2079),
    [anon_sym_AMP_AMP] = ACTIONS(2085),
    [anon_sym_GT_GT] = ACTIONS(2079),
    [anon_sym_AMP] = ACTIONS(2079),
    [anon_sym_in] = ACTIONS(2079),
    [anon_sym_LPAREN] = ACTIONS(2085),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2085),
    [anon_sym_SLASH] = ACTIONS(2079),
    [anon_sym_GT_EQ] = ACTIONS(2085),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(2085),
    [anon_sym_PIPE] = ACTIONS(2079),
    [anon_sym_LT_EQ] = ACTIONS(2085),
    [anon_sym_PIPE_PIPE] = ACTIONS(2085),
    [anon_sym_else] = ACTIONS(2087),
    [anon_sym_COMMA] = ACTIONS(2085),
    [anon_sym_GT_GT_GT] = ACTIONS(2085),
    [anon_sym_SEMI] = ACTIONS(2085),
    [anon_sym_PLUS_PLUS] = ACTIONS(2085),
    [anon_sym_BANG_EQ] = ACTIONS(2079),
    [anon_sym_while] = ACTIONS(2087),
    [anon_sym_LT] = ACTIONS(2079),
    [anon_sym_DOT] = ACTIONS(2085),
    [anon_sym_BQUOTE] = ACTIONS(2085),
    [anon_sym_PLUS] = ACTIONS(2079),
    [anon_sym_EQ_EQ] = ACTIONS(2079),
    [anon_sym_PERCENT] = ACTIONS(2085),
    [anon_sym_QMARK] = ACTIONS(2085),
    [anon_sym_LT_LT] = ACTIONS(2085),
    [anon_sym_DASH_DASH] = ACTIONS(2085),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2085),
  },
  [828] = {
    [anon_sym_instanceof] = ACTIONS(2177),
    [anon_sym_GT] = ACTIONS(2171),
    [sym__automatic_semicolon] = ACTIONS(2173),
    [anon_sym_DASH] = ACTIONS(2171),
    [anon_sym_CARET] = ACTIONS(2177),
    [anon_sym_STAR_STAR] = ACTIONS(2177),
    [anon_sym_STAR] = ACTIONS(2171),
    [anon_sym_AMP_AMP] = ACTIONS(2177),
    [anon_sym_GT_GT] = ACTIONS(2171),
    [anon_sym_AMP] = ACTIONS(2171),
    [anon_sym_in] = ACTIONS(2171),
    [anon_sym_LPAREN] = ACTIONS(2177),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2177),
    [anon_sym_SLASH] = ACTIONS(2171),
    [anon_sym_GT_EQ] = ACTIONS(2177),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(2177),
    [anon_sym_PIPE] = ACTIONS(2171),
    [anon_sym_LT_EQ] = ACTIONS(2177),
    [anon_sym_PIPE_PIPE] = ACTIONS(2177),
    [anon_sym_else] = ACTIONS(2179),
    [anon_sym_COMMA] = ACTIONS(2177),
    [anon_sym_GT_GT_GT] = ACTIONS(2177),
    [anon_sym_SEMI] = ACTIONS(2177),
    [anon_sym_PLUS_PLUS] = ACTIONS(2177),
    [anon_sym_BANG_EQ] = ACTIONS(2171),
    [anon_sym_while] = ACTIONS(2179),
    [anon_sym_LT] = ACTIONS(2171),
    [anon_sym_DOT] = ACTIONS(2177),
    [anon_sym_BQUOTE] = ACTIONS(2177),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_EQ_EQ] = ACTIONS(2171),
    [anon_sym_PERCENT] = ACTIONS(2177),
    [anon_sym_QMARK] = ACTIONS(2177),
    [anon_sym_LT_LT] = ACTIONS(2177),
    [anon_sym_DASH_DASH] = ACTIONS(2177),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2177),
  },
  [829] = {
    [sym_template_string] = STATE(719),
    [sym_arguments] = STATE(719),
    [anon_sym_instanceof] = ACTIONS(696),
    [anon_sym_GT] = ACTIONS(676),
    [anon_sym_COLON] = ACTIONS(2181),
    [anon_sym_DASH] = ACTIONS(698),
    [anon_sym_CARET] = ACTIONS(700),
    [anon_sym_STAR_STAR] = ACTIONS(702),
    [anon_sym_STAR] = ACTIONS(704),
    [anon_sym_AMP_AMP] = ACTIONS(706),
    [anon_sym_GT_GT] = ACTIONS(704),
    [anon_sym_AMP] = ACTIONS(708),
    [anon_sym_LBRACE] = ACTIONS(2181),
    [anon_sym_in] = ACTIONS(676),
    [anon_sym_LPAREN] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(704),
    [anon_sym_GT_EQ] = ACTIONS(696),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(710),
    [anon_sym_PIPE] = ACTIONS(712),
    [anon_sym_LT_EQ] = ACTIONS(696),
    [anon_sym_PIPE_PIPE] = ACTIONS(700),
    [anon_sym_COMMA] = ACTIONS(2181),
    [anon_sym_GT_GT_GT] = ACTIONS(714),
    [anon_sym_PLUS_PLUS] = ACTIONS(716),
    [anon_sym_RPAREN] = ACTIONS(2181),
    [anon_sym_BANG_EQ] = ACTIONS(676),
    [anon_sym_LT] = ACTIONS(676),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_RBRACK] = ACTIONS(2181),
    [anon_sym_PLUS] = ACTIONS(698),
    [anon_sym_EQ_EQ] = ACTIONS(676),
    [anon_sym_PERCENT] = ACTIONS(714),
    [anon_sym_QMARK] = ACTIONS(722),
    [anon_sym_LT_LT] = ACTIONS(714),
    [anon_sym_DASH_DASH] = ACTIONS(716),
    [anon_sym_RBRACE] = ACTIONS(2181),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(696),
  },
  [830] = {
    [anon_sym_instanceof] = ACTIONS(2183),
    [anon_sym_GT] = ACTIONS(2185),
    [anon_sym_COLON] = ACTIONS(2183),
    [anon_sym_DASH] = ACTIONS(2185),
    [anon_sym_CARET] = ACTIONS(2183),
    [anon_sym_STAR_STAR] = ACTIONS(2183),
    [anon_sym_STAR] = ACTIONS(2185),
    [anon_sym_AMP_AMP] = ACTIONS(2183),
    [anon_sym_GT_GT] = ACTIONS(2185),
    [anon_sym_AMP] = ACTIONS(2185),
    [anon_sym_LBRACE] = ACTIONS(2183),
    [anon_sym_in] = ACTIONS(2185),
    [anon_sym_LPAREN] = ACTIONS(2183),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2183),
    [anon_sym_SLASH] = ACTIONS(2185),
    [anon_sym_GT_EQ] = ACTIONS(2183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(2183),
    [anon_sym_PIPE] = ACTIONS(2185),
    [anon_sym_LT_EQ] = ACTIONS(2183),
    [anon_sym_PIPE_PIPE] = ACTIONS(2183),
    [anon_sym_COMMA] = ACTIONS(2183),
    [anon_sym_GT_GT_GT] = ACTIONS(2183),
    [anon_sym_PLUS_PLUS] = ACTIONS(2183),
    [anon_sym_RPAREN] = ACTIONS(2183),
    [anon_sym_BANG_EQ] = ACTIONS(2185),
    [anon_sym_LT] = ACTIONS(2185),
    [anon_sym_DOT] = ACTIONS(2183),
    [anon_sym_BQUOTE] = ACTIONS(2183),
    [anon_sym_RBRACK] = ACTIONS(2183),
    [anon_sym_PLUS] = ACTIONS(2185),
    [anon_sym_EQ_EQ] = ACTIONS(2185),
    [anon_sym_PERCENT] = ACTIONS(2183),
    [anon_sym_QMARK] = ACTIONS(2183),
    [anon_sym_LT_LT] = ACTIONS(2183),
    [anon_sym_DASH_DASH] = ACTIONS(2183),
    [anon_sym_RBRACE] = ACTIONS(2183),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2183),
  },
  [831] = {
    [anon_sym_instanceof] = ACTIONS(2022),
    [anon_sym_GT] = ACTIONS(2016),
    [anon_sym_COLON] = ACTIONS(2022),
    [anon_sym_DASH] = ACTIONS(2016),
    [anon_sym_CARET] = ACTIONS(2022),
    [anon_sym_STAR_STAR] = ACTIONS(2022),
    [anon_sym_STAR] = ACTIONS(2016),
    [anon_sym_AMP_AMP] = ACTIONS(2022),
    [anon_sym_GT_GT] = ACTIONS(2016),
    [anon_sym_AMP] = ACTIONS(2016),
    [anon_sym_LBRACE] = ACTIONS(2022),
    [anon_sym_in] = ACTIONS(2016),
    [anon_sym_LPAREN] = ACTIONS(2022),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2022),
    [anon_sym_SLASH] = ACTIONS(2016),
    [anon_sym_GT_EQ] = ACTIONS(2022),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(2022),
    [anon_sym_PIPE] = ACTIONS(2016),
    [anon_sym_LT_EQ] = ACTIONS(2022),
    [anon_sym_PIPE_PIPE] = ACTIONS(2022),
    [anon_sym_COMMA] = ACTIONS(2022),
    [anon_sym_GT_GT_GT] = ACTIONS(2022),
    [anon_sym_PLUS_PLUS] = ACTIONS(2022),
    [anon_sym_RPAREN] = ACTIONS(2022),
    [anon_sym_BANG_EQ] = ACTIONS(2016),
    [anon_sym_LT] = ACTIONS(2016),
    [anon_sym_DOT] = ACTIONS(2022),
    [anon_sym_BQUOTE] = ACTIONS(2022),
    [anon_sym_RBRACK] = ACTIONS(2022),
    [anon_sym_PLUS] = ACTIONS(2016),
    [anon_sym_EQ_EQ] = ACTIONS(2016),
    [anon_sym_PERCENT] = ACTIONS(2022),
    [anon_sym_QMARK] = ACTIONS(2022),
    [anon_sym_LT_LT] = ACTIONS(2022),
    [anon_sym_DASH_DASH] = ACTIONS(2022),
    [anon_sym_RBRACE] = ACTIONS(2022),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2022),
  },
  [832] = {
    [anon_sym_instanceof] = ACTIONS(2085),
    [anon_sym_GT] = ACTIONS(2079),
    [anon_sym_COLON] = ACTIONS(2085),
    [anon_sym_DASH] = ACTIONS(2079),
    [anon_sym_CARET] = ACTIONS(2085),
    [anon_sym_STAR_STAR] = ACTIONS(2085),
    [anon_sym_STAR] = ACTIONS(2079),
    [anon_sym_AMP_AMP] = ACTIONS(2085),
    [anon_sym_GT_GT] = ACTIONS(2079),
    [anon_sym_AMP] = ACTIONS(2079),
    [anon_sym_LBRACE] = ACTIONS(2085),
    [anon_sym_in] = ACTIONS(2079),
    [anon_sym_LPAREN] = ACTIONS(2085),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2085),
    [anon_sym_SLASH] = ACTIONS(2079),
    [anon_sym_GT_EQ] = ACTIONS(2085),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(2085),
    [anon_sym_PIPE] = ACTIONS(2079),
    [anon_sym_LT_EQ] = ACTIONS(2085),
    [anon_sym_PIPE_PIPE] = ACTIONS(2085),
    [anon_sym_COMMA] = ACTIONS(2085),
    [anon_sym_GT_GT_GT] = ACTIONS(2085),
    [anon_sym_PLUS_PLUS] = ACTIONS(2085),
    [anon_sym_RPAREN] = ACTIONS(2085),
    [anon_sym_BANG_EQ] = ACTIONS(2079),
    [anon_sym_LT] = ACTIONS(2079),
    [anon_sym_DOT] = ACTIONS(2085),
    [anon_sym_BQUOTE] = ACTIONS(2085),
    [anon_sym_RBRACK] = ACTIONS(2085),
    [anon_sym_PLUS] = ACTIONS(2079),
    [anon_sym_EQ_EQ] = ACTIONS(2079),
    [anon_sym_PERCENT] = ACTIONS(2085),
    [anon_sym_QMARK] = ACTIONS(2085),
    [anon_sym_LT_LT] = ACTIONS(2085),
    [anon_sym_DASH_DASH] = ACTIONS(2085),
    [anon_sym_RBRACE] = ACTIONS(2085),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2085),
  },
  [833] = {
    [anon_sym_instanceof] = ACTIONS(2177),
    [anon_sym_GT] = ACTIONS(2171),
    [anon_sym_COLON] = ACTIONS(2177),
    [anon_sym_DASH] = ACTIONS(2171),
    [anon_sym_CARET] = ACTIONS(2177),
    [anon_sym_STAR_STAR] = ACTIONS(2177),
    [anon_sym_STAR] = ACTIONS(2171),
    [anon_sym_AMP_AMP] = ACTIONS(2177),
    [anon_sym_GT_GT] = ACTIONS(2171),
    [anon_sym_AMP] = ACTIONS(2171),
    [anon_sym_LBRACE] = ACTIONS(2177),
    [anon_sym_in] = ACTIONS(2171),
    [anon_sym_LPAREN] = ACTIONS(2177),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2177),
    [anon_sym_SLASH] = ACTIONS(2171),
    [anon_sym_GT_EQ] = ACTIONS(2177),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(2177),
    [anon_sym_PIPE] = ACTIONS(2171),
    [anon_sym_LT_EQ] = ACTIONS(2177),
    [anon_sym_PIPE_PIPE] = ACTIONS(2177),
    [anon_sym_COMMA] = ACTIONS(2177),
    [anon_sym_GT_GT_GT] = ACTIONS(2177),
    [anon_sym_PLUS_PLUS] = ACTIONS(2177),
    [anon_sym_RPAREN] = ACTIONS(2177),
    [anon_sym_BANG_EQ] = ACTIONS(2171),
    [anon_sym_LT] = ACTIONS(2171),
    [anon_sym_DOT] = ACTIONS(2177),
    [anon_sym_BQUOTE] = ACTIONS(2177),
    [anon_sym_RBRACK] = ACTIONS(2177),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_EQ_EQ] = ACTIONS(2171),
    [anon_sym_PERCENT] = ACTIONS(2177),
    [anon_sym_QMARK] = ACTIONS(2177),
    [anon_sym_LT_LT] = ACTIONS(2177),
    [anon_sym_DASH_DASH] = ACTIONS(2177),
    [anon_sym_RBRACE] = ACTIONS(2177),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2177),
  },
  [834] = {
    [anon_sym_instanceof] = ACTIONS(2197),
    [anon_sym_GT] = ACTIONS(2199),
    [anon_sym_COLON] = ACTIONS(2197),
    [anon_sym_DASH] = ACTIONS(2199),
    [anon_sym_CARET] = ACTIONS(2197),
    [anon_sym_STAR_STAR] = ACTIONS(2197),
    [anon_sym_STAR] = ACTIONS(2199),
    [anon_sym_AMP_AMP] = ACTIONS(2197),
    [anon_sym_GT_GT] = ACTIONS(2199),
    [anon_sym_AMP] = ACTIONS(2199),
    [anon_sym_LBRACE] = ACTIONS(2197),
    [anon_sym_in] = ACTIONS(2199),
    [anon_sym_LPAREN] = ACTIONS(2197),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2197),
    [anon_sym_SLASH] = ACTIONS(2199),
    [anon_sym_GT_EQ] = ACTIONS(2197),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(2197),
    [anon_sym_PIPE] = ACTIONS(2199),
    [anon_sym_LT_EQ] = ACTIONS(2197),
    [anon_sym_PIPE_PIPE] = ACTIONS(2197),
    [anon_sym_COMMA] = ACTIONS(2197),
    [anon_sym_GT_GT_GT] = ACTIONS(2197),
    [anon_sym_PLUS_PLUS] = ACTIONS(2197),
    [anon_sym_RPAREN] = ACTIONS(2197),
    [anon_sym_BANG_EQ] = ACTIONS(2199),
    [anon_sym_LT] = ACTIONS(2199),
    [anon_sym_DOT] = ACTIONS(2197),
    [anon_sym_BQUOTE] = ACTIONS(2197),
    [anon_sym_RBRACK] = ACTIONS(2197),
    [anon_sym_PLUS] = ACTIONS(2199),
    [anon_sym_EQ_EQ] = ACTIONS(2199),
    [anon_sym_PERCENT] = ACTIONS(2197),
    [anon_sym_QMARK] = ACTIONS(2197),
    [anon_sym_LT_LT] = ACTIONS(2197),
    [anon_sym_DASH_DASH] = ACTIONS(2197),
    [anon_sym_RBRACE] = ACTIONS(2197),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2197),
  },
  [835] = {
    [anon_sym_instanceof] = ACTIONS(618),
    [anon_sym_GT] = ACTIONS(616),
    [sym__automatic_semicolon] = ACTIONS(618),
    [anon_sym_EQ] = ACTIONS(616),
    [anon_sym_DASH] = ACTIONS(616),
    [anon_sym_CARET] = ACTIONS(618),
    [anon_sym_STAR_STAR] = ACTIONS(618),
    [anon_sym_STAR] = ACTIONS(616),
    [anon_sym_AMP_AMP] = ACTIONS(618),
    [anon_sym_GT_GT] = ACTIONS(616),
    [anon_sym_AMP] = ACTIONS(616),
    [anon_sym_in] = ACTIONS(616),
    [anon_sym_LPAREN] = ACTIONS(618),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(618),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_GT_EQ] = ACTIONS(618),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(618),
    [anon_sym_PIPE] = ACTIONS(616),
    [anon_sym_LT_EQ] = ACTIONS(618),
    [anon_sym_PIPE_PIPE] = ACTIONS(618),
    [anon_sym_COMMA] = ACTIONS(618),
    [anon_sym_GT_GT_GT] = ACTIONS(618),
    [anon_sym_SEMI] = ACTIONS(618),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_BANG_EQ] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(616),
    [anon_sym_DOT] = ACTIONS(618),
    [anon_sym_BQUOTE] = ACTIONS(618),
    [anon_sym_PLUS] = ACTIONS(616),
    [anon_sym_EQ_EQ] = ACTIONS(616),
    [anon_sym_PERCENT] = ACTIONS(618),
    [anon_sym_QMARK] = ACTIONS(618),
    [anon_sym_RBRACE] = ACTIONS(618),
    [anon_sym_LT_LT] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(618),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(618),
  },
  [836] = {
    [anon_sym_LBRACE] = ACTIONS(740),
    [anon_sym_GT] = ACTIONS(740),
    [sym_jsx_identifier] = ACTIONS(740),
    [sym_comment] = ACTIONS(3),
    [sym_identifier] = ACTIONS(742),
    [anon_sym_SLASH] = ACTIONS(742),
  },
  [837] = {
    [anon_sym_EQ] = ACTIONS(754),
    [sym__automatic_semicolon] = ACTIONS(754),
    [sym_comment] = ACTIONS(3),
    [anon_sym_in] = ACTIONS(754),
    [anon_sym_COMMA] = ACTIONS(754),
    [anon_sym_of] = ACTIONS(754),
    [anon_sym_SEMI] = ACTIONS(754),
  },
  [838] = {
    [anon_sym_LBRACE] = ACTIONS(1114),
    [sym_comment] = ACTIONS(237),
    [sym_jsx_text] = ACTIONS(1114),
    [anon_sym_LT] = ACTIONS(1114),
  },
  [839] = {
    [anon_sym_EQ] = ACTIONS(618),
    [sym__automatic_semicolon] = ACTIONS(618),
    [sym_comment] = ACTIONS(3),
    [anon_sym_in] = ACTIONS(618),
    [anon_sym_COMMA] = ACTIONS(618),
    [anon_sym_of] = ACTIONS(618),
    [anon_sym_SEMI] = ACTIONS(618),
  },
  [840] = {
    [sym__automatic_semicolon] = ACTIONS(1142),
    [anon_sym_class] = ACTIONS(1140),
    [anon_sym_static] = ACTIONS(1140),
    [anon_sym_DASH] = ACTIONS(1140),
    [anon_sym_import] = ACTIONS(1140),
    [anon_sym_LBRACE] = ACTIONS(1142),
    [anon_sym_delete] = ACTIONS(1140),
    [anon_sym_throw] = ACTIONS(1140),
    [anon_sym_LPAREN] = ACTIONS(1142),
    [anon_sym_BANG] = ACTIONS(1142),
    [sym_this] = ACTIONS(1140),
    [sym_true] = ACTIONS(1140),
    [anon_sym_case] = ACTIONS(1140),
    [anon_sym_get] = ACTIONS(1140),
    [anon_sym_default] = ACTIONS(1140),
    [anon_sym_PLUS_PLUS] = ACTIONS(1142),
    [anon_sym_SEMI] = ACTIONS(1142),
    [anon_sym_DQUOTE] = ACTIONS(1142),
    [anon_sym_TILDE] = ACTIONS(1142),
    [sym_super] = ACTIONS(1140),
    [anon_sym_LT] = ACTIONS(1142),
    [sym_false] = ACTIONS(1140),
    [sym_number] = ACTIONS(1142),
    [anon_sym_yield] = ACTIONS(1140),
    [anon_sym_set] = ACTIONS(1140),
    [anon_sym_async] = ACTIONS(1140),
    [anon_sym_var] = ACTIONS(1140),
    [anon_sym_const] = ACTIONS(1140),
    [anon_sym_RBRACE] = ACTIONS(1142),
    [anon_sym_DASH_DASH] = ACTIONS(1142),
    [anon_sym_try] = ACTIONS(1140),
    [anon_sym_for] = ACTIONS(1140),
    [anon_sym_typeof] = ACTIONS(1140),
    [anon_sym_await] = ACTIONS(1140),
    [sym_null] = ACTIONS(1140),
    [anon_sym_function] = ACTIONS(1140),
    [anon_sym_let] = ACTIONS(1140),
    [anon_sym_if] = ACTIONS(1140),
    [anon_sym_with] = ACTIONS(1140),
    [anon_sym_SQUOTE] = ACTIONS(1142),
    [anon_sym_SLASH] = ACTIONS(1140),
    [sym_undefined] = ACTIONS(1140),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(1142),
    [anon_sym_else] = ACTIONS(1140),
    [anon_sym_break] = ACTIONS(1140),
    [anon_sym_debugger] = ACTIONS(1140),
    [anon_sym_while] = ACTIONS(1140),
    [sym_identifier] = ACTIONS(1140),
    [anon_sym_BQUOTE] = ACTIONS(1142),
    [ts_builtin_sym_end] = ACTIONS(1142),
    [anon_sym_new] = ACTIONS(1140),
    [anon_sym_AT] = ACTIONS(1142),
    [anon_sym_PLUS] = ACTIONS(1140),
    [anon_sym_switch] = ACTIONS(1140),
    [anon_sym_export] = ACTIONS(1140),
    [anon_sym_continue] = ACTIONS(1140),
    [anon_sym_void] = ACTIONS(1140),
    [anon_sym_return] = ACTIONS(1140),
    [anon_sym_do] = ACTIONS(1140),
  },
  [841] = {
    [anon_sym_EQ] = ACTIONS(1262),
    [sym__automatic_semicolon] = ACTIONS(1262),
    [sym_comment] = ACTIONS(3),
    [anon_sym_in] = ACTIONS(1262),
    [anon_sym_COMMA] = ACTIONS(1262),
    [anon_sym_of] = ACTIONS(1262),
    [anon_sym_SEMI] = ACTIONS(1262),
  },
  [842] = {
    [anon_sym_EQ] = ACTIONS(1306),
    [sym__automatic_semicolon] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
    [anon_sym_in] = ACTIONS(1306),
    [anon_sym_COMMA] = ACTIONS(1306),
    [anon_sym_of] = ACTIONS(1306),
    [anon_sym_SEMI] = ACTIONS(1306),
  },
  [843] = {
    [anon_sym_instanceof] = ACTIONS(1324),
    [anon_sym_GT] = ACTIONS(1322),
    [anon_sym_COLON] = ACTIONS(1324),
    [anon_sym_DASH] = ACTIONS(1322),
    [anon_sym_CARET] = ACTIONS(1324),
    [anon_sym_STAR_STAR] = ACTIONS(1324),
    [anon_sym_STAR] = ACTIONS(1322),
    [anon_sym_AMP_AMP] = ACTIONS(1324),
    [anon_sym_GT_GT] = ACTIONS(1322),
    [anon_sym_AMP] = ACTIONS(1322),
    [anon_sym_LBRACE] = ACTIONS(1324),
    [anon_sym_in] = ACTIONS(1322),
    [anon_sym_LPAREN] = ACTIONS(1324),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1324),
    [anon_sym_SLASH] = ACTIONS(1322),
    [anon_sym_GT_EQ] = ACTIONS(1324),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(1324),
    [anon_sym_PIPE] = ACTIONS(1322),
    [anon_sym_LT_EQ] = ACTIONS(1324),
    [anon_sym_PIPE_PIPE] = ACTIONS(1324),
    [anon_sym_COMMA] = ACTIONS(1324),
    [anon_sym_GT_GT_GT] = ACTIONS(1324),
    [anon_sym_PLUS_PLUS] = ACTIONS(1324),
    [anon_sym_RPAREN] = ACTIONS(1324),
    [anon_sym_BANG_EQ] = ACTIONS(1322),
    [anon_sym_LT] = ACTIONS(1322),
    [anon_sym_DOT] = ACTIONS(1324),
    [anon_sym_BQUOTE] = ACTIONS(1324),
    [anon_sym_RBRACK] = ACTIONS(1324),
    [anon_sym_PLUS] = ACTIONS(1322),
    [anon_sym_EQ_EQ] = ACTIONS(1322),
    [anon_sym_PERCENT] = ACTIONS(1324),
    [anon_sym_QMARK] = ACTIONS(1324),
    [anon_sym_LT_LT] = ACTIONS(1324),
    [anon_sym_DASH_DASH] = ACTIONS(1324),
    [anon_sym_RBRACE] = ACTIONS(1324),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1324),
  },
  [844] = {
    [anon_sym_instanceof] = ACTIONS(1359),
    [anon_sym_GT] = ACTIONS(1361),
    [anon_sym_COLON] = ACTIONS(1359),
    [anon_sym_DASH] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1359),
    [anon_sym_STAR_STAR] = ACTIONS(1359),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_AMP_AMP] = ACTIONS(1359),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_LBRACE] = ACTIONS(1359),
    [anon_sym_in] = ACTIONS(1361),
    [anon_sym_LPAREN] = ACTIONS(1359),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1359),
    [anon_sym_SLASH] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1359),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(1359),
    [anon_sym_PIPE] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1359),
    [anon_sym_PIPE_PIPE] = ACTIONS(1359),
    [anon_sym_COMMA] = ACTIONS(1359),
    [anon_sym_GT_GT_GT] = ACTIONS(1359),
    [anon_sym_PLUS_PLUS] = ACTIONS(1359),
    [anon_sym_RPAREN] = ACTIONS(1359),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT] = ACTIONS(1361),
    [anon_sym_DOT] = ACTIONS(1359),
    [anon_sym_BQUOTE] = ACTIONS(1359),
    [anon_sym_RBRACK] = ACTIONS(1359),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_EQ_EQ] = ACTIONS(1361),
    [anon_sym_PERCENT] = ACTIONS(1359),
    [anon_sym_QMARK] = ACTIONS(1359),
    [anon_sym_LT_LT] = ACTIONS(1359),
    [anon_sym_DASH_DASH] = ACTIONS(1359),
    [anon_sym_RBRACE] = ACTIONS(1359),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1359),
  },
  [845] = {
    [anon_sym_LBRACE] = ACTIONS(1375),
    [anon_sym_GT] = ACTIONS(1375),
    [sym_jsx_identifier] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [sym_identifier] = ACTIONS(1377),
    [anon_sym_SLASH] = ACTIONS(1377),
  },
  [846] = {
    [anon_sym_EQ] = ACTIONS(1386),
    [sym__automatic_semicolon] = ACTIONS(1386),
    [sym_comment] = ACTIONS(3),
    [anon_sym_in] = ACTIONS(1386),
    [anon_sym_COMMA] = ACTIONS(1386),
    [anon_sym_of] = ACTIONS(1386),
    [anon_sym_SEMI] = ACTIONS(1386),
  },
  [847] = {
    [anon_sym_instanceof] = ACTIONS(622),
    [anon_sym_GT] = ACTIONS(620),
    [anon_sym_COLON] = ACTIONS(622),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_CARET] = ACTIONS(622),
    [anon_sym_STAR_STAR] = ACTIONS(622),
    [anon_sym_STAR] = ACTIONS(620),
    [anon_sym_AMP_AMP] = ACTIONS(622),
    [anon_sym_GT_GT] = ACTIONS(620),
    [anon_sym_AMP] = ACTIONS(620),
    [anon_sym_LBRACE] = ACTIONS(622),
    [anon_sym_in] = ACTIONS(620),
    [anon_sym_LPAREN] = ACTIONS(622),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(622),
    [anon_sym_SLASH] = ACTIONS(620),
    [anon_sym_GT_EQ] = ACTIONS(622),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(622),
    [anon_sym_PIPE] = ACTIONS(620),
    [anon_sym_LT_EQ] = ACTIONS(622),
    [anon_sym_PIPE_PIPE] = ACTIONS(622),
    [anon_sym_COMMA] = ACTIONS(622),
    [anon_sym_GT_GT_GT] = ACTIONS(622),
    [anon_sym_PLUS_PLUS] = ACTIONS(622),
    [anon_sym_RPAREN] = ACTIONS(622),
    [anon_sym_BANG_EQ] = ACTIONS(620),
    [anon_sym_LT] = ACTIONS(620),
    [anon_sym_DOT] = ACTIONS(622),
    [anon_sym_BQUOTE] = ACTIONS(622),
    [anon_sym_RBRACK] = ACTIONS(622),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_EQ_EQ] = ACTIONS(620),
    [anon_sym_PERCENT] = ACTIONS(622),
    [anon_sym_QMARK] = ACTIONS(622),
    [anon_sym_LT_LT] = ACTIONS(622),
    [anon_sym_DASH_DASH] = ACTIONS(622),
    [anon_sym_RBRACE] = ACTIONS(622),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(622),
  },
  [848] = {
    [anon_sym_LBRACE] = ACTIONS(1600),
    [sym_comment] = ACTIONS(237),
    [sym_jsx_text] = ACTIONS(1600),
    [anon_sym_LT] = ACTIONS(1600),
  },
  [849] = {
    [sym__automatic_semicolon] = ACTIONS(1635),
    [anon_sym_class] = ACTIONS(1633),
    [anon_sym_static] = ACTIONS(1633),
    [anon_sym_DASH] = ACTIONS(1633),
    [anon_sym_import] = ACTIONS(1633),
    [anon_sym_LBRACE] = ACTIONS(1635),
    [anon_sym_delete] = ACTIONS(1633),
    [anon_sym_throw] = ACTIONS(1633),
    [anon_sym_LPAREN] = ACTIONS(1635),
    [anon_sym_BANG] = ACTIONS(1635),
    [sym_this] = ACTIONS(1633),
    [sym_true] = ACTIONS(1633),
    [anon_sym_case] = ACTIONS(1633),
    [anon_sym_get] = ACTIONS(1633),
    [anon_sym_default] = ACTIONS(1633),
    [anon_sym_PLUS_PLUS] = ACTIONS(1635),
    [anon_sym_SEMI] = ACTIONS(1635),
    [anon_sym_DQUOTE] = ACTIONS(1635),
    [anon_sym_TILDE] = ACTIONS(1635),
    [sym_super] = ACTIONS(1633),
    [anon_sym_LT] = ACTIONS(1635),
    [sym_false] = ACTIONS(1633),
    [sym_number] = ACTIONS(1635),
    [anon_sym_yield] = ACTIONS(1633),
    [anon_sym_set] = ACTIONS(1633),
    [anon_sym_async] = ACTIONS(1633),
    [anon_sym_var] = ACTIONS(1633),
    [anon_sym_const] = ACTIONS(1633),
    [anon_sym_RBRACE] = ACTIONS(1635),
    [anon_sym_DASH_DASH] = ACTIONS(1635),
    [anon_sym_try] = ACTIONS(1633),
    [anon_sym_for] = ACTIONS(1633),
    [anon_sym_typeof] = ACTIONS(1633),
    [anon_sym_await] = ACTIONS(1633),
    [sym_null] = ACTIONS(1633),
    [anon_sym_function] = ACTIONS(1633),
    [anon_sym_let] = ACTIONS(1633),
    [anon_sym_if] = ACTIONS(1633),
    [anon_sym_with] = ACTIONS(1633),
    [anon_sym_SQUOTE] = ACTIONS(1635),
    [anon_sym_SLASH] = ACTIONS(1633),
    [sym_undefined] = ACTIONS(1633),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(1635),
    [anon_sym_else] = ACTIONS(1633),
    [anon_sym_break] = ACTIONS(1633),
    [anon_sym_debugger] = ACTIONS(1633),
    [anon_sym_while] = ACTIONS(1633),
    [sym_identifier] = ACTIONS(1633),
    [anon_sym_BQUOTE] = ACTIONS(1635),
    [ts_builtin_sym_end] = ACTIONS(1635),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_AT] = ACTIONS(1635),
    [anon_sym_PLUS] = ACTIONS(1633),
    [anon_sym_switch] = ACTIONS(1633),
    [anon_sym_export] = ACTIONS(1633),
    [anon_sym_continue] = ACTIONS(1633),
    [anon_sym_void] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1633),
    [anon_sym_do] = ACTIONS(1633),
  },
  [850] = {
    [anon_sym_EQ] = ACTIONS(1740),
    [sym__automatic_semicolon] = ACTIONS(1740),
    [sym_comment] = ACTIONS(3),
    [anon_sym_in] = ACTIONS(1740),
    [anon_sym_COMMA] = ACTIONS(1740),
    [anon_sym_of] = ACTIONS(1740),
    [anon_sym_SEMI] = ACTIONS(1740),
  },
  [851] = {
    [anon_sym_EQ] = ACTIONS(1776),
    [sym__automatic_semicolon] = ACTIONS(1776),
    [sym_comment] = ACTIONS(3),
    [anon_sym_in] = ACTIONS(1776),
    [anon_sym_COMMA] = ACTIONS(1776),
    [anon_sym_of] = ACTIONS(1776),
    [anon_sym_SEMI] = ACTIONS(1776),
  },
  [852] = {
    [anon_sym_EQ] = ACTIONS(1827),
    [sym__automatic_semicolon] = ACTIONS(1827),
    [sym_comment] = ACTIONS(3),
    [anon_sym_in] = ACTIONS(1827),
    [anon_sym_COMMA] = ACTIONS(1827),
    [anon_sym_of] = ACTIONS(1827),
    [anon_sym_SEMI] = ACTIONS(1827),
  },
  [853] = {
    [anon_sym_LBRACE] = ACTIONS(1861),
    [sym_comment] = ACTIONS(237),
    [sym_jsx_text] = ACTIONS(1861),
    [anon_sym_LT] = ACTIONS(1861),
  },
  [854] = {
    [anon_sym_LBRACE] = ACTIONS(2071),
    [sym_comment] = ACTIONS(237),
    [sym_jsx_text] = ACTIONS(2071),
    [anon_sym_LT] = ACTIONS(2071),
  },
  [855] = {
    [anon_sym_LBRACE] = ACTIONS(2073),
    [anon_sym_GT] = ACTIONS(2073),
    [sym_jsx_identifier] = ACTIONS(2073),
    [sym_comment] = ACTIONS(3),
    [sym_identifier] = ACTIONS(2075),
    [anon_sym_SLASH] = ACTIONS(2075),
  },
  [856] = {
    [anon_sym_LBRACE] = ACTIONS(2185),
    [sym_comment] = ACTIONS(237),
    [sym_jsx_text] = ACTIONS(2185),
    [anon_sym_LT] = ACTIONS(2185),
  },
  [857] = {
    [anon_sym_LBRACE] = ACTIONS(2197),
    [anon_sym_GT] = ACTIONS(2197),
    [sym_jsx_identifier] = ACTIONS(2197),
    [sym_comment] = ACTIONS(3),
    [sym_identifier] = ACTIONS(2199),
    [anon_sym_SLASH] = ACTIONS(2199),
  },
  [858] = {
    [anon_sym_LBRACE] = ACTIONS(1112),
    [anon_sym_GT] = ACTIONS(1112),
    [sym_jsx_identifier] = ACTIONS(1112),
    [sym_comment] = ACTIONS(3),
    [sym_identifier] = ACTIONS(1114),
    [anon_sym_SLASH] = ACTIONS(1114),
  },
  [859] = {
    [sym__automatic_semicolon] = ACTIONS(1324),
    [anon_sym_class] = ACTIONS(1322),
    [anon_sym_static] = ACTIONS(1322),
    [anon_sym_DASH] = ACTIONS(1322),
    [anon_sym_import] = ACTIONS(1322),
    [anon_sym_LBRACE] = ACTIONS(1324),
    [anon_sym_delete] = ACTIONS(1322),
    [anon_sym_throw] = ACTIONS(1322),
    [anon_sym_LPAREN] = ACTIONS(1324),
    [anon_sym_BANG] = ACTIONS(1324),
    [sym_this] = ACTIONS(1322),
    [sym_true] = ACTIONS(1322),
    [anon_sym_case] = ACTIONS(1322),
    [anon_sym_get] = ACTIONS(1322),
    [anon_sym_default] = ACTIONS(1322),
    [anon_sym_PLUS_PLUS] = ACTIONS(1324),
    [anon_sym_SEMI] = ACTIONS(1324),
    [anon_sym_DQUOTE] = ACTIONS(1324),
    [anon_sym_TILDE] = ACTIONS(1324),
    [sym_super] = ACTIONS(1322),
    [anon_sym_LT] = ACTIONS(1324),
    [sym_false] = ACTIONS(1322),
    [sym_number] = ACTIONS(1324),
    [anon_sym_yield] = ACTIONS(1322),
    [anon_sym_set] = ACTIONS(1322),
    [anon_sym_async] = ACTIONS(1322),
    [anon_sym_var] = ACTIONS(1322),
    [anon_sym_const] = ACTIONS(1322),
    [anon_sym_RBRACE] = ACTIONS(1324),
    [anon_sym_DASH_DASH] = ACTIONS(1324),
    [anon_sym_try] = ACTIONS(1322),
    [anon_sym_for] = ACTIONS(1322),
    [anon_sym_typeof] = ACTIONS(1322),
    [anon_sym_await] = ACTIONS(1322),
    [sym_null] = ACTIONS(1322),
    [anon_sym_function] = ACTIONS(1322),
    [anon_sym_let] = ACTIONS(1322),
    [anon_sym_if] = ACTIONS(1322),
    [anon_sym_with] = ACTIONS(1322),
    [anon_sym_SQUOTE] = ACTIONS(1324),
    [anon_sym_SLASH] = ACTIONS(1322),
    [sym_undefined] = ACTIONS(1322),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(1324),
    [anon_sym_else] = ACTIONS(1322),
    [anon_sym_break] = ACTIONS(1322),
    [anon_sym_debugger] = ACTIONS(1322),
    [anon_sym_while] = ACTIONS(1322),
    [sym_identifier] = ACTIONS(1322),
    [anon_sym_BQUOTE] = ACTIONS(1324),
    [ts_builtin_sym_end] = ACTIONS(1324),
    [anon_sym_new] = ACTIONS(1322),
    [anon_sym_AT] = ACTIONS(1324),
    [anon_sym_PLUS] = ACTIONS(1322),
    [anon_sym_switch] = ACTIONS(1322),
    [anon_sym_export] = ACTIONS(1322),
    [anon_sym_continue] = ACTIONS(1322),
    [anon_sym_void] = ACTIONS(1322),
    [anon_sym_return] = ACTIONS(1322),
    [anon_sym_do] = ACTIONS(1322),
  },
  [860] = {
    [sym__automatic_semicolon] = ACTIONS(622),
    [anon_sym_class] = ACTIONS(620),
    [anon_sym_static] = ACTIONS(620),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_import] = ACTIONS(620),
    [anon_sym_LBRACE] = ACTIONS(622),
    [anon_sym_delete] = ACTIONS(620),
    [anon_sym_throw] = ACTIONS(620),
    [anon_sym_LPAREN] = ACTIONS(622),
    [anon_sym_BANG] = ACTIONS(622),
    [sym_this] = ACTIONS(620),
    [sym_true] = ACTIONS(620),
    [anon_sym_case] = ACTIONS(620),
    [anon_sym_get] = ACTIONS(620),
    [anon_sym_default] = ACTIONS(620),
    [anon_sym_PLUS_PLUS] = ACTIONS(622),
    [anon_sym_SEMI] = ACTIONS(622),
    [anon_sym_DQUOTE] = ACTIONS(622),
    [anon_sym_TILDE] = ACTIONS(622),
    [sym_super] = ACTIONS(620),
    [anon_sym_LT] = ACTIONS(622),
    [sym_false] = ACTIONS(620),
    [sym_number] = ACTIONS(622),
    [anon_sym_yield] = ACTIONS(620),
    [anon_sym_set] = ACTIONS(620),
    [anon_sym_async] = ACTIONS(620),
    [anon_sym_var] = ACTIONS(620),
    [anon_sym_const] = ACTIONS(620),
    [anon_sym_RBRACE] = ACTIONS(622),
    [anon_sym_DASH_DASH] = ACTIONS(622),
    [anon_sym_try] = ACTIONS(620),
    [anon_sym_for] = ACTIONS(620),
    [anon_sym_typeof] = ACTIONS(620),
    [anon_sym_await] = ACTIONS(620),
    [sym_null] = ACTIONS(620),
    [anon_sym_function] = ACTIONS(620),
    [anon_sym_let] = ACTIONS(620),
    [anon_sym_if] = ACTIONS(620),
    [anon_sym_with] = ACTIONS(620),
    [anon_sym_SQUOTE] = ACTIONS(622),
    [anon_sym_SLASH] = ACTIONS(620),
    [sym_undefined] = ACTIONS(620),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(622),
    [anon_sym_else] = ACTIONS(620),
    [anon_sym_break] = ACTIONS(620),
    [anon_sym_debugger] = ACTIONS(620),
    [anon_sym_while] = ACTIONS(620),
    [sym_identifier] = ACTIONS(620),
    [anon_sym_BQUOTE] = ACTIONS(622),
    [ts_builtin_sym_end] = ACTIONS(622),
    [anon_sym_new] = ACTIONS(620),
    [anon_sym_AT] = ACTIONS(622),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_switch] = ACTIONS(620),
    [anon_sym_export] = ACTIONS(620),
    [anon_sym_continue] = ACTIONS(620),
    [anon_sym_void] = ACTIONS(620),
    [anon_sym_return] = ACTIONS(620),
    [anon_sym_do] = ACTIONS(620),
  },
  [861] = {
    [anon_sym_LBRACE] = ACTIONS(1598),
    [anon_sym_GT] = ACTIONS(1598),
    [sym_jsx_identifier] = ACTIONS(1598),
    [sym_comment] = ACTIONS(3),
    [sym_identifier] = ACTIONS(1600),
    [anon_sym_SLASH] = ACTIONS(1600),
  },
  [862] = {
    [anon_sym_LBRACE] = ACTIONS(1859),
    [anon_sym_GT] = ACTIONS(1859),
    [sym_jsx_identifier] = ACTIONS(1859),
    [sym_comment] = ACTIONS(3),
    [sym_identifier] = ACTIONS(1861),
    [anon_sym_SLASH] = ACTIONS(1861),
  },
  [863] = {
    [anon_sym_LBRACE] = ACTIONS(2069),
    [anon_sym_GT] = ACTIONS(2069),
    [sym_jsx_identifier] = ACTIONS(2069),
    [sym_comment] = ACTIONS(3),
    [sym_identifier] = ACTIONS(2071),
    [anon_sym_SLASH] = ACTIONS(2071),
  },
  [864] = {
    [anon_sym_LBRACE] = ACTIONS(2183),
    [anon_sym_GT] = ACTIONS(2183),
    [sym_jsx_identifier] = ACTIONS(2183),
    [sym_comment] = ACTIONS(3),
    [sym_identifier] = ACTIONS(2185),
    [anon_sym_SLASH] = ACTIONS(2185),
  },
  [865] = {
    [sym_arrow_function] = STATE(707),
    [sym_call_expression] = STATE(707),
    [sym_subscript_expression] = STATE(701),
    [sym_assignment_expression] = STATE(707),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_template_string] = STATE(707),
    [sym__expression] = STATE(707),
    [sym_yield_expression] = STATE(707),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_fragment] = STATE(707),
    [sym_function] = STATE(703),
    [sym_new_expression] = STATE(707),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_regex] = STATE(707),
    [sym_meta_property] = STATE(707),
    [sym_object] = STATE(702),
    [aux_sym_export_statement_repeat1] = STATE(1016),
    [sym_class] = STATE(707),
    [sym_generator_function] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(701),
    [sym_string] = STATE(707),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(874),
    [sym_parenthesized_expression] = STATE(707),
    [sym_array] = STATE(704),
    [sym_jsx_opening_element] = STATE(875),
    [sym_jsx_self_closing_element] = STATE(707),
    [anon_sym_await] = ACTIONS(217),
    [sym_null] = ACTIONS(2475),
    [anon_sym_class] = ACTIONS(183),
    [anon_sym_static] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(219),
    [anon_sym_DASH] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_delete] = ACTIONS(191),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [anon_sym_LPAREN] = ACTIONS(193),
    [anon_sym_BANG] = ACTIONS(195),
    [sym_this] = ACTIONS(2475),
    [sym_undefined] = ACTIONS(2475),
    [sym_true] = ACTIONS(2475),
    [anon_sym_SLASH] = ACTIONS(223),
    [anon_sym_LBRACK] = ACTIONS(225),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(243),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_TILDE] = ACTIONS(195),
    [sym_super] = ACTIONS(207),
    [sym_identifier] = ACTIONS(253),
    [sym_false] = ACTIONS(2475),
    [anon_sym_LT] = ACTIONS(209),
    [sym_number] = ACTIONS(2477),
    [anon_sym_yield] = ACTIONS(213),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_set] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(251),
    [anon_sym_new] = ACTIONS(231),
    [anon_sym_PLUS] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_void] = ACTIONS(191),
    [anon_sym_typeof] = ACTIONS(191),
  },
  [866] = {
    [sym_arrow_function] = STATE(708),
    [sym_call_expression] = STATE(708),
    [sym_subscript_expression] = STATE(701),
    [sym_assignment_expression] = STATE(708),
    [sym_ternary_expression] = STATE(708),
    [sym_binary_expression] = STATE(708),
    [sym_template_string] = STATE(708),
    [sym__expression] = STATE(708),
    [sym_yield_expression] = STATE(708),
    [sym_jsx_element] = STATE(708),
    [sym_jsx_fragment] = STATE(708),
    [sym_function] = STATE(703),
    [sym_new_expression] = STATE(708),
    [sym_augmented_assignment_expression] = STATE(708),
    [sym_unary_expression] = STATE(708),
    [sym_update_expression] = STATE(708),
    [sym_regex] = STATE(708),
    [sym_meta_property] = STATE(708),
    [sym_object] = STATE(702),
    [aux_sym_export_statement_repeat1] = STATE(1016),
    [sym_class] = STATE(708),
    [sym_generator_function] = STATE(708),
    [sym_await_expression] = STATE(708),
    [sym_member_expression] = STATE(701),
    [sym_string] = STATE(708),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(874),
    [sym_parenthesized_expression] = STATE(708),
    [sym_array] = STATE(704),
    [sym_jsx_opening_element] = STATE(875),
    [sym_jsx_self_closing_element] = STATE(708),
    [anon_sym_await] = ACTIONS(217),
    [sym_null] = ACTIONS(2479),
    [anon_sym_class] = ACTIONS(183),
    [anon_sym_static] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(219),
    [anon_sym_DASH] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_delete] = ACTIONS(191),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [anon_sym_LPAREN] = ACTIONS(193),
    [anon_sym_BANG] = ACTIONS(195),
    [sym_this] = ACTIONS(2479),
    [sym_undefined] = ACTIONS(2479),
    [sym_true] = ACTIONS(2479),
    [anon_sym_SLASH] = ACTIONS(223),
    [anon_sym_LBRACK] = ACTIONS(225),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(243),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_TILDE] = ACTIONS(195),
    [sym_super] = ACTIONS(207),
    [sym_identifier] = ACTIONS(253),
    [sym_false] = ACTIONS(2479),
    [anon_sym_LT] = ACTIONS(209),
    [sym_number] = ACTIONS(2481),
    [anon_sym_yield] = ACTIONS(213),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_set] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(251),
    [anon_sym_new] = ACTIONS(231),
    [anon_sym_PLUS] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_void] = ACTIONS(191),
    [anon_sym_typeof] = ACTIONS(191),
  },
  [867] = {
    [sym_template_substitution] = STATE(881),
    [aux_sym_template_string_repeat1] = STATE(881),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(119),
    [sym_escape_sequence] = ACTIONS(2483),
    [sym__template_chars] = ACTIONS(2483),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2485),
  },
  [868] = {
    [sym_arrow_function] = STATE(46),
    [sym__declaration] = STATE(971),
    [sym_subscript_expression] = STATE(42),
    [sym_ternary_expression] = STATE(46),
    [sym_if_statement] = STATE(971),
    [sym_template_string] = STATE(46),
    [sym_do_statement] = STATE(971),
    [sym_return_statement] = STATE(971),
    [sym_yield_expression] = STATE(46),
    [sym_jsx_fragment] = STATE(46),
    [sym_function_declaration] = STATE(971),
    [sym_import_statement] = STATE(971),
    [sym_expression_statement] = STATE(971),
    [sym_switch_statement] = STATE(971),
    [sym_update_expression] = STATE(46),
    [sym_try_statement] = STATE(971),
    [sym_meta_property] = STATE(46),
    [sym_throw_statement] = STATE(971),
    [sym_pair] = STATE(889),
    [sym_object] = STATE(105),
    [aux_sym_export_statement_repeat1] = STATE(106),
    [sym_generator_function] = STATE(46),
    [sym_await_expression] = STATE(46),
    [sym_sequence_expression] = STATE(45),
    [sym_for_of_statement] = STATE(971),
    [sym_continue_statement] = STATE(971),
    [sym__property_name] = STATE(107),
    [sym_call_expression] = STATE(46),
    [sym_assignment_expression] = STATE(46),
    [sym_statement_block] = STATE(971),
    [sym_binary_expression] = STATE(46),
    [sym_while_statement] = STATE(971),
    [sym_debugger_statement] = STATE(971),
    [sym__expression] = STATE(46),
    [sym_jsx_element] = STATE(46),
    [sym_function] = STATE(47),
    [sym_new_expression] = STATE(46),
    [sym_augmented_assignment_expression] = STATE(46),
    [sym_variable_declaration] = STATE(971),
    [sym_unary_expression] = STATE(46),
    [sym_for_statement] = STATE(971),
    [sym_regex] = STATE(46),
    [sym_with_statement] = STATE(971),
    [sym_empty_statement] = STATE(971),
    [sym_method_definition] = STATE(889),
    [aux_sym_program_repeat1] = STATE(971),
    [sym_assignment_pattern] = STATE(889),
    [aux_sym_object_repeat1] = STATE(891),
    [sym_class] = STATE(46),
    [sym_export_statement] = STATE(971),
    [sym_generator_function_declaration] = STATE(971),
    [sym_member_expression] = STATE(42),
    [sym_lexical_declaration] = STATE(971),
    [sym_spread_element] = STATE(889),
    [sym_for_in_statement] = STATE(971),
    [sym_string] = STATE(99),
    [sym_break_statement] = STATE(971),
    [sym_decorator] = STATE(50),
    [sym_labeled_statement] = STATE(971),
    [sym_formal_parameters] = STATE(51),
    [sym_parenthesized_expression] = STATE(46),
    [sym_computed_property_name] = STATE(107),
    [sym_array] = STATE(110),
    [sym_jsx_opening_element] = STATE(53),
    [sym_jsx_self_closing_element] = STATE(46),
    [sym_class_declaration] = STATE(971),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_static] = ACTIONS(2487),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(29),
    [anon_sym_STAR] = ACTIONS(161),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_delete] = ACTIONS(39),
    [anon_sym_throw] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [anon_sym_get] = ACTIONS(2489),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(165),
    [anon_sym_COMMA] = ACTIONS(167),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(69),
    [sym_false] = ACTIONS(9),
    [sym_number] = ACTIONS(169),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_set] = ACTIONS(2489),
    [anon_sym_async] = ACTIONS(2491),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_RBRACE] = ACTIONS(2493),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_try] = ACTIONS(15),
    [anon_sym_for] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(5),
    [sym_null] = ACTIONS(9),
    [anon_sym_function] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(35),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_SLASH] = ACTIONS(45),
    [sym_undefined] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(175),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(61),
    [sym_identifier] = ACTIONS(2495),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_switch] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(13),
    [anon_sym_void] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_do] = ACTIONS(21),
  },
  [869] = {
    [aux_sym_string_repeat2] = STATE(894),
    [sym_comment] = ACTIONS(237),
    [anon_sym_SQUOTE] = ACTIONS(2497),
    [sym_escape_sequence] = ACTIONS(2499),
    [aux_sym_string_token2] = ACTIONS(2499),
  },
  [870] = {
    [sym_arrow_function] = STATE(895),
    [sym_call_expression] = STATE(895),
    [sym_subscript_expression] = STATE(701),
    [sym_assignment_expression] = STATE(895),
    [sym_ternary_expression] = STATE(895),
    [sym_binary_expression] = STATE(895),
    [sym_template_string] = STATE(895),
    [sym__expression] = STATE(895),
    [sym_yield_expression] = STATE(895),
    [sym_jsx_element] = STATE(895),
    [sym_jsx_fragment] = STATE(895),
    [sym_function] = STATE(703),
    [sym_new_expression] = STATE(895),
    [sym_augmented_assignment_expression] = STATE(895),
    [sym_unary_expression] = STATE(895),
    [sym_update_expression] = STATE(895),
    [sym_regex] = STATE(895),
    [sym_meta_property] = STATE(895),
    [sym_object] = STATE(702),
    [aux_sym_export_statement_repeat1] = STATE(1016),
    [aux_sym_array_repeat1] = STATE(896),
    [sym_class] = STATE(895),
    [sym_generator_function] = STATE(895),
    [sym_await_expression] = STATE(895),
    [sym_member_expression] = STATE(701),
    [sym_spread_element] = STATE(897),
    [sym_string] = STATE(895),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(874),
    [sym_parenthesized_expression] = STATE(895),
    [sym_array] = STATE(704),
    [sym_jsx_opening_element] = STATE(875),
    [sym_jsx_self_closing_element] = STATE(895),
    [anon_sym_class] = ACTIONS(183),
    [anon_sym_static] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_delete] = ACTIONS(191),
    [anon_sym_LPAREN] = ACTIONS(193),
    [anon_sym_BANG] = ACTIONS(195),
    [sym_this] = ACTIONS(2501),
    [sym_true] = ACTIONS(2501),
    [anon_sym_get] = ACTIONS(243),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(165),
    [anon_sym_COMMA] = ACTIONS(247),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_TILDE] = ACTIONS(195),
    [sym_super] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(209),
    [sym_false] = ACTIONS(2501),
    [sym_number] = ACTIONS(2503),
    [anon_sym_yield] = ACTIONS(213),
    [anon_sym_set] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(251),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_typeof] = ACTIONS(191),
    [anon_sym_await] = ACTIONS(217),
    [sym_null] = ACTIONS(2501),
    [anon_sym_function] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [anon_sym_SLASH] = ACTIONS(223),
    [sym_undefined] = ACTIONS(2501),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(225),
    [sym_identifier] = ACTIONS(253),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_RBRACK] = ACTIONS(2505),
    [anon_sym_new] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(187),
    [anon_sym_void] = ACTIONS(191),
  },
  [871] = {
    [sym_template_string] = STATE(719),
    [sym_arguments] = STATE(719),
    [anon_sym_LPAREN] = ACTIONS(508),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(710),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_BQUOTE] = ACTIONS(229),
  },
  [872] = {
    [aux_sym_string_repeat1] = STATE(902),
    [anon_sym_DQUOTE] = ACTIONS(2497),
    [sym_comment] = ACTIONS(237),
    [sym_escape_sequence] = ACTIONS(2507),
    [aux_sym_string_token1] = ACTIONS(2507),
  },
  [873] = {
    [sym_arrow_function] = STATE(725),
    [sym_call_expression] = STATE(907),
    [sym_subscript_expression] = STATE(729),
    [sym_assignment_expression] = STATE(907),
    [sym_ternary_expression] = STATE(907),
    [sym_binary_expression] = STATE(907),
    [sym_template_string] = STATE(725),
    [sym__expression] = STATE(907),
    [sym_yield_expression] = STATE(907),
    [sym_jsx_element] = STATE(907),
    [sym_jsx_fragment] = STATE(907),
    [sym_function] = STATE(730),
    [sym_new_expression] = STATE(725),
    [sym_augmented_assignment_expression] = STATE(907),
    [sym_unary_expression] = STATE(907),
    [sym_update_expression] = STATE(907),
    [sym_regex] = STATE(725),
    [sym_meta_property] = STATE(725),
    [sym_object] = STATE(731),
    [aux_sym_export_statement_repeat1] = STATE(1016),
    [sym_class] = STATE(725),
    [sym_generator_function] = STATE(725),
    [sym_await_expression] = STATE(907),
    [sym_member_expression] = STATE(729),
    [sym_string] = STATE(725),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(874),
    [sym_parenthesized_expression] = STATE(725),
    [sym_array] = STATE(732),
    [sym_jsx_opening_element] = STATE(875),
    [sym_jsx_self_closing_element] = STATE(907),
    [anon_sym_await] = ACTIONS(217),
    [sym_null] = ACTIONS(2509),
    [anon_sym_class] = ACTIONS(183),
    [anon_sym_static] = ACTIONS(2511),
    [anon_sym_function] = ACTIONS(219),
    [anon_sym_DASH] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_delete] = ACTIONS(191),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [anon_sym_LPAREN] = ACTIONS(193),
    [anon_sym_BANG] = ACTIONS(195),
    [sym_this] = ACTIONS(2509),
    [sym_undefined] = ACTIONS(2509),
    [sym_true] = ACTIONS(2509),
    [anon_sym_SLASH] = ACTIONS(223),
    [anon_sym_LBRACK] = ACTIONS(225),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(2511),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_TILDE] = ACTIONS(195),
    [sym_super] = ACTIONS(207),
    [sym_identifier] = ACTIONS(2513),
    [sym_false] = ACTIONS(2509),
    [anon_sym_LT] = ACTIONS(209),
    [sym_number] = ACTIONS(2515),
    [anon_sym_yield] = ACTIONS(213),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_DOT] = ACTIONS(2517),
    [anon_sym_set] = ACTIONS(2511),
    [anon_sym_async] = ACTIONS(2519),
    [anon_sym_new] = ACTIONS(231),
    [anon_sym_PLUS] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_void] = ACTIONS(191),
    [anon_sym_typeof] = ACTIONS(191),
  },
  [874] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(2521),
  },
  [875] = {
    [sym_jsx_expression] = STATE(911),
    [sym_jsx_closing_element] = STATE(743),
    [aux_sym_jsx_element_repeat1] = STATE(911),
    [sym_jsx_opening_element] = STATE(967),
    [sym_jsx_self_closing_element] = STATE(911),
    [sym_jsx_element] = STATE(911),
    [anon_sym_LBRACE] = ACTIONS(426),
    [sym_comment] = ACTIONS(237),
    [sym_jsx_text] = ACTIONS(2523),
    [anon_sym_LT] = ACTIONS(2525),
  },
  [876] = {
    [sym_class_body] = STATE(709),
    [sym_class_heritage] = STATE(880),
    [anon_sym_LBRACE] = ACTIONS(2527),
    [sym_comment] = ACTIONS(3),
    [sym_identifier] = ACTIONS(2529),
    [anon_sym_extends] = ACTIONS(113),
  },
  [877] = {
    [sym_method_definition] = STATE(889),
    [sym_pair] = STATE(889),
    [sym_object] = STATE(216),
    [aux_sym_export_statement_repeat1] = STATE(217),
    [aux_sym_object_repeat1] = STATE(891),
    [sym_assignment_pattern] = STATE(889),
    [sym_spread_element] = STATE(889),
    [sym_string] = STATE(107),
    [sym_decorator] = STATE(50),
    [sym__property_name] = STATE(107),
    [sym_computed_property_name] = STATE(107),
    [sym_array] = STATE(218),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(165),
    [anon_sym_COMMA] = ACTIONS(167),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_static] = ACTIONS(2531),
    [sym_identifier] = ACTIONS(2533),
    [anon_sym_STAR] = ACTIONS(161),
    [sym_number] = ACTIONS(442),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [anon_sym_set] = ACTIONS(2535),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_async] = ACTIONS(2537),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(448),
    [anon_sym_RBRACE] = ACTIONS(2539),
    [anon_sym_get] = ACTIONS(2535),
  },
  [878] = {
    [sym_method_definition] = STATE(227),
    [sym_string] = STATE(229),
    [aux_sym_export_statement_repeat1] = STATE(217),
    [sym_decorator] = STATE(50),
    [sym_public_field_definition] = STATE(228),
    [sym__property_name] = STATE(229),
    [sym_computed_property_name] = STATE(229),
    [aux_sym_class_body_repeat1] = STATE(918),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_static] = ACTIONS(462),
    [sym_identifier] = ACTIONS(464),
    [anon_sym_STAR] = ACTIONS(161),
    [sym_number] = ACTIONS(466),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_set] = ACTIONS(468),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_async] = ACTIONS(470),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(472),
    [anon_sym_RBRACE] = ACTIONS(2541),
    [anon_sym_get] = ACTIONS(468),
  },
  [879] = {
    [sym_class_body] = STATE(747),
    [sym_class_heritage] = STATE(919),
    [anon_sym_LBRACE] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [anon_sym_extends] = ACTIONS(476),
  },
  [880] = {
    [sym_class_body] = STATE(748),
    [anon_sym_LBRACE] = ACTIONS(2527),
    [sym_comment] = ACTIONS(3),
  },
  [881] = {
    [sym_template_substitution] = STATE(238),
    [aux_sym_template_string_repeat1] = STATE(238),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(119),
    [sym_escape_sequence] = ACTIONS(498),
    [sym__template_chars] = ACTIONS(498),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2543),
  },
  [882] = {
    [sym_identifier] = ACTIONS(2545),
    [sym_comment] = ACTIONS(3),
  },
  [883] = {
    [sym_statement_block] = STATE(753),
    [anon_sym_LBRACE] = ACTIONS(2547),
    [sym_comment] = ACTIONS(3),
  },
  [884] = {
    [sym_computed_property_name] = STATE(276),
    [sym_string] = STATE(276),
    [aux_sym_object_repeat1] = STATE(922),
    [sym__property_name] = STATE(276),
    [anon_sym_instanceof] = ACTIONS(133),
    [sym__automatic_semicolon] = ACTIONS(129),
    [anon_sym_COLON] = ACTIONS(566),
    [anon_sym_AMP_EQ] = ACTIONS(131),
    [anon_sym_GT_GT_EQ] = ACTIONS(131),
    [anon_sym_static] = ACTIONS(568),
    [anon_sym_STAR_EQ] = ACTIONS(131),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_STAR_STAR] = ACTIONS(133),
    [anon_sym_STAR] = ACTIONS(570),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_GT_EQ] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(573),
    [anon_sym_PIPE_EQ] = ACTIONS(131),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(131),
    [anon_sym_get] = ACTIONS(576),
    [anon_sym_SLASH_EQ] = ACTIONS(131),
    [anon_sym_LT_EQ] = ACTIONS(129),
    [anon_sym_COMMA] = ACTIONS(167),
    [anon_sym_PLUS_PLUS] = ACTIONS(129),
    [anon_sym_SEMI] = ACTIONS(129),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_LT] = ACTIONS(133),
    [sym_number] = ACTIONS(578),
    [anon_sym_LT_LT_EQ] = ACTIONS(131),
    [anon_sym_set] = ACTIONS(576),
    [anon_sym_async] = ACTIONS(580),
    [anon_sym_EQ_EQ] = ACTIONS(133),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_RBRACE] = ACTIONS(2549),
    [anon_sym_DASH_DASH] = ACTIONS(129),
    [anon_sym_GT] = ACTIONS(133),
    [anon_sym_EQ] = ACTIONS(135),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(131),
    [anon_sym_CARET] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(129),
    [anon_sym_GT_GT] = ACTIONS(133),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [anon_sym_in] = ACTIONS(133),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(129),
    [anon_sym_SLASH] = ACTIONS(133),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(584),
    [anon_sym_PERCENT_EQ] = ACTIONS(131),
    [anon_sym_PLUS_EQ] = ACTIONS(131),
    [anon_sym_PIPE] = ACTIONS(133),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_GT_GT_GT] = ACTIONS(133),
    [anon_sym_BANG_EQ] = ACTIONS(133),
    [sym_identifier] = ACTIONS(568),
    [anon_sym_DOT] = ACTIONS(587),
    [anon_sym_BQUOTE] = ACTIONS(129),
    [anon_sym_CARET_EQ] = ACTIONS(131),
    [anon_sym_DASH_EQ] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_LT_LT] = ACTIONS(133),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(129),
  },
  [885] = {
    [sym_computed_property_name] = STATE(276),
    [sym_string] = STATE(276),
    [aux_sym_object_repeat1] = STATE(922),
    [sym__property_name] = STATE(276),
    [anon_sym_instanceof] = ACTIONS(133),
    [sym__automatic_semicolon] = ACTIONS(129),
    [anon_sym_COLON] = ACTIONS(566),
    [anon_sym_AMP_EQ] = ACTIONS(131),
    [anon_sym_GT_GT_EQ] = ACTIONS(131),
    [anon_sym_static] = ACTIONS(568),
    [anon_sym_STAR_EQ] = ACTIONS(131),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_STAR_STAR] = ACTIONS(133),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_GT_EQ] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(573),
    [anon_sym_PIPE_EQ] = ACTIONS(131),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(131),
    [anon_sym_get] = ACTIONS(568),
    [anon_sym_SLASH_EQ] = ACTIONS(131),
    [anon_sym_LT_EQ] = ACTIONS(129),
    [anon_sym_COMMA] = ACTIONS(167),
    [anon_sym_PLUS_PLUS] = ACTIONS(129),
    [anon_sym_SEMI] = ACTIONS(129),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_LT] = ACTIONS(133),
    [sym_number] = ACTIONS(578),
    [anon_sym_LT_LT_EQ] = ACTIONS(131),
    [anon_sym_set] = ACTIONS(568),
    [anon_sym_async] = ACTIONS(568),
    [anon_sym_EQ_EQ] = ACTIONS(133),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_RBRACE] = ACTIONS(2549),
    [anon_sym_DASH_DASH] = ACTIONS(129),
    [anon_sym_GT] = ACTIONS(133),
    [anon_sym_EQ] = ACTIONS(135),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(131),
    [anon_sym_CARET] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(129),
    [anon_sym_GT_GT] = ACTIONS(133),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [anon_sym_in] = ACTIONS(133),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(129),
    [anon_sym_SLASH] = ACTIONS(133),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(584),
    [anon_sym_PERCENT_EQ] = ACTIONS(131),
    [anon_sym_PLUS_EQ] = ACTIONS(131),
    [anon_sym_PIPE] = ACTIONS(133),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_GT_GT_GT] = ACTIONS(133),
    [anon_sym_BANG_EQ] = ACTIONS(133),
    [sym_identifier] = ACTIONS(568),
    [anon_sym_DOT] = ACTIONS(587),
    [anon_sym_BQUOTE] = ACTIONS(129),
    [anon_sym_CARET_EQ] = ACTIONS(131),
    [anon_sym_DASH_EQ] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_LT_LT] = ACTIONS(133),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(129),
  },
  [886] = {
    [sym_string] = STATE(276),
    [aux_sym_object_repeat1] = STATE(922),
    [sym_formal_parameters] = STATE(156),
    [sym__property_name] = STATE(276),
    [sym_computed_property_name] = STATE(276),
    [anon_sym_instanceof] = ACTIONS(133),
    [sym__automatic_semicolon] = ACTIONS(129),
    [anon_sym_COLON] = ACTIONS(566),
    [anon_sym_AMP_EQ] = ACTIONS(131),
    [anon_sym_GT_GT_EQ] = ACTIONS(131),
    [anon_sym_static] = ACTIONS(568),
    [anon_sym_STAR_EQ] = ACTIONS(131),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_STAR_STAR] = ACTIONS(133),
    [anon_sym_STAR] = ACTIONS(570),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_GT_EQ] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(610),
    [anon_sym_PIPE_EQ] = ACTIONS(131),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(131),
    [anon_sym_get] = ACTIONS(576),
    [anon_sym_SLASH_EQ] = ACTIONS(131),
    [anon_sym_LT_EQ] = ACTIONS(129),
    [anon_sym_COMMA] = ACTIONS(167),
    [anon_sym_PLUS_PLUS] = ACTIONS(129),
    [anon_sym_SEMI] = ACTIONS(129),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_LT] = ACTIONS(133),
    [sym_number] = ACTIONS(578),
    [anon_sym_LT_LT_EQ] = ACTIONS(131),
    [anon_sym_set] = ACTIONS(576),
    [anon_sym_async] = ACTIONS(568),
    [anon_sym_EQ_EQ] = ACTIONS(133),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_RBRACE] = ACTIONS(2549),
    [anon_sym_DASH_DASH] = ACTIONS(129),
    [anon_sym_GT] = ACTIONS(133),
    [anon_sym_EQ] = ACTIONS(135),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(314),
    [anon_sym_CARET] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(129),
    [anon_sym_GT_GT] = ACTIONS(133),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [anon_sym_in] = ACTIONS(133),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(129),
    [anon_sym_SLASH] = ACTIONS(133),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(584),
    [anon_sym_PERCENT_EQ] = ACTIONS(131),
    [anon_sym_PLUS_EQ] = ACTIONS(131),
    [anon_sym_PIPE] = ACTIONS(133),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_GT_GT_GT] = ACTIONS(133),
    [anon_sym_BANG_EQ] = ACTIONS(133),
    [sym_identifier] = ACTIONS(614),
    [anon_sym_DOT] = ACTIONS(587),
    [anon_sym_BQUOTE] = ACTIONS(129),
    [anon_sym_CARET_EQ] = ACTIONS(131),
    [anon_sym_DASH_EQ] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_LT_LT] = ACTIONS(133),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(129),
  },
  [887] = {
    [sym_arrow_function] = STATE(923),
    [sym_call_expression] = STATE(923),
    [sym_subscript_expression] = STATE(701),
    [sym_assignment_expression] = STATE(923),
    [sym_ternary_expression] = STATE(923),
    [sym_binary_expression] = STATE(923),
    [sym_template_string] = STATE(923),
    [sym__expression] = STATE(923),
    [sym_yield_expression] = STATE(923),
    [sym_jsx_element] = STATE(923),
    [sym_jsx_fragment] = STATE(923),
    [sym_function] = STATE(703),
    [sym_new_expression] = STATE(923),
    [sym_augmented_assignment_expression] = STATE(923),
    [sym_unary_expression] = STATE(923),
    [sym_update_expression] = STATE(923),
    [sym_regex] = STATE(923),
    [sym_meta_property] = STATE(923),
    [sym_object] = STATE(702),
    [aux_sym_export_statement_repeat1] = STATE(1016),
    [aux_sym_array_repeat1] = STATE(896),
    [sym_class] = STATE(923),
    [sym_generator_function] = STATE(923),
    [sym_await_expression] = STATE(923),
    [sym_member_expression] = STATE(701),
    [sym_spread_element] = STATE(897),
    [sym_string] = STATE(923),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(874),
    [sym_parenthesized_expression] = STATE(923),
    [sym_array] = STATE(704),
    [sym_jsx_opening_element] = STATE(875),
    [sym_jsx_self_closing_element] = STATE(923),
    [anon_sym_await] = ACTIONS(217),
    [sym_null] = ACTIONS(2551),
    [anon_sym_class] = ACTIONS(183),
    [anon_sym_static] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(219),
    [anon_sym_DASH] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_delete] = ACTIONS(191),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [anon_sym_LPAREN] = ACTIONS(193),
    [anon_sym_BANG] = ACTIONS(195),
    [sym_this] = ACTIONS(2551),
    [sym_undefined] = ACTIONS(2551),
    [sym_true] = ACTIONS(2551),
    [anon_sym_SLASH] = ACTIONS(223),
    [anon_sym_LBRACK] = ACTIONS(225),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(243),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(165),
    [anon_sym_COMMA] = ACTIONS(247),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_TILDE] = ACTIONS(195),
    [sym_super] = ACTIONS(207),
    [sym_identifier] = ACTIONS(253),
    [sym_false] = ACTIONS(2551),
    [anon_sym_LT] = ACTIONS(209),
    [sym_number] = ACTIONS(2553),
    [anon_sym_yield] = ACTIONS(213),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_RBRACK] = ACTIONS(2505),
    [anon_sym_set] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(251),
    [anon_sym_new] = ACTIONS(231),
    [anon_sym_PLUS] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_void] = ACTIONS(191),
    [anon_sym_typeof] = ACTIONS(191),
  },
  [888] = {
    [aux_sym_object_repeat1] = STATE(922),
    [anon_sym_instanceof] = ACTIONS(277),
    [sym__automatic_semicolon] = ACTIONS(277),
    [anon_sym_COLON] = ACTIONS(628),
    [anon_sym_AMP_EQ] = ACTIONS(281),
    [anon_sym_GT_GT_EQ] = ACTIONS(281),
    [anon_sym_STAR_EQ] = ACTIONS(281),
    [anon_sym_DASH] = ACTIONS(283),
    [anon_sym_STAR_STAR] = ACTIONS(283),
    [anon_sym_STAR] = ACTIONS(283),
    [anon_sym_AMP] = ACTIONS(283),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [anon_sym_LPAREN] = ACTIONS(631),
    [anon_sym_PIPE_EQ] = ACTIONS(281),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(281),
    [anon_sym_SLASH_EQ] = ACTIONS(281),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_COMMA] = ACTIONS(167),
    [anon_sym_PLUS_PLUS] = ACTIONS(277),
    [anon_sym_SEMI] = ACTIONS(277),
    [anon_sym_LT] = ACTIONS(283),
    [anon_sym_LT_LT_EQ] = ACTIONS(281),
    [anon_sym_EQ_EQ] = ACTIONS(283),
    [anon_sym_QMARK] = ACTIONS(277),
    [anon_sym_RBRACE] = ACTIONS(2549),
    [anon_sym_DASH_DASH] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(283),
    [anon_sym_EQ] = ACTIONS(634),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(281),
    [anon_sym_CARET] = ACTIONS(283),
    [anon_sym_AMP_AMP] = ACTIONS(277),
    [anon_sym_GT_GT] = ACTIONS(283),
    [anon_sym_in] = ACTIONS(287),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(277),
    [anon_sym_SLASH] = ACTIONS(283),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(277),
    [anon_sym_PERCENT_EQ] = ACTIONS(281),
    [anon_sym_EQ_GT] = ACTIONS(289),
    [anon_sym_PLUS_EQ] = ACTIONS(281),
    [anon_sym_PIPE] = ACTIONS(283),
    [anon_sym_PIPE_PIPE] = ACTIONS(277),
    [anon_sym_GT_GT_GT] = ACTIONS(283),
    [anon_sym_BANG_EQ] = ACTIONS(283),
    [anon_sym_DOT] = ACTIONS(275),
    [anon_sym_BQUOTE] = ACTIONS(277),
    [anon_sym_CARET_EQ] = ACTIONS(281),
    [anon_sym_DASH_EQ] = ACTIONS(281),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_PERCENT] = ACTIONS(283),
    [anon_sym_LT_LT] = ACTIONS(283),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(277),
  },
  [889] = {
    [aux_sym_object_repeat1] = STATE(924),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACE] = ACTIONS(2555),
    [anon_sym_COMMA] = ACTIONS(167),
  },
  [890] = {
    [sym_arrow_function] = STATE(46),
    [sym__declaration] = STATE(201),
    [sym_subscript_expression] = STATE(42),
    [sym_ternary_expression] = STATE(46),
    [sym_if_statement] = STATE(201),
    [sym_template_string] = STATE(46),
    [sym_do_statement] = STATE(201),
    [sym_return_statement] = STATE(201),
    [sym_yield_expression] = STATE(46),
    [sym_jsx_fragment] = STATE(46),
    [sym_function_declaration] = STATE(201),
    [sym_import_statement] = STATE(201),
    [sym_expression_statement] = STATE(201),
    [sym_switch_statement] = STATE(201),
    [sym_update_expression] = STATE(46),
    [sym_try_statement] = STATE(201),
    [sym_meta_property] = STATE(46),
    [sym_throw_statement] = STATE(201),
    [sym_object] = STATE(43),
    [aux_sym_export_statement_repeat1] = STATE(44),
    [sym_generator_function] = STATE(46),
    [sym_await_expression] = STATE(46),
    [sym_sequence_expression] = STATE(45),
    [sym_for_of_statement] = STATE(201),
    [sym_continue_statement] = STATE(201),
    [sym_call_expression] = STATE(46),
    [sym_assignment_expression] = STATE(46),
    [sym_statement_block] = STATE(201),
    [sym_binary_expression] = STATE(46),
    [sym_while_statement] = STATE(201),
    [sym_debugger_statement] = STATE(201),
    [sym__expression] = STATE(46),
    [sym_jsx_element] = STATE(46),
    [sym_function] = STATE(47),
    [sym_new_expression] = STATE(46),
    [sym_augmented_assignment_expression] = STATE(46),
    [sym_variable_declaration] = STATE(201),
    [sym_unary_expression] = STATE(46),
    [sym_for_statement] = STATE(201),
    [sym_regex] = STATE(46),
    [sym_with_statement] = STATE(201),
    [sym_empty_statement] = STATE(201),
    [aux_sym_program_repeat1] = STATE(201),
    [sym_class] = STATE(46),
    [sym_export_statement] = STATE(201),
    [sym_generator_function_declaration] = STATE(201),
    [sym_member_expression] = STATE(42),
    [sym_lexical_declaration] = STATE(201),
    [sym_for_in_statement] = STATE(201),
    [sym_string] = STATE(46),
    [sym_break_statement] = STATE(201),
    [sym_decorator] = STATE(50),
    [sym_labeled_statement] = STATE(201),
    [sym_formal_parameters] = STATE(51),
    [sym_parenthesized_expression] = STATE(46),
    [sym_array] = STATE(52),
    [sym_jsx_opening_element] = STATE(53),
    [sym_jsx_self_closing_element] = STATE(46),
    [sym_class_declaration] = STATE(201),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_delete] = ACTIONS(39),
    [anon_sym_throw] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [anon_sym_get] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(69),
    [sym_false] = ACTIONS(9),
    [sym_number] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_set] = ACTIONS(23),
    [anon_sym_async] = ACTIONS(81),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_RBRACE] = ACTIONS(2557),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_try] = ACTIONS(15),
    [anon_sym_for] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(5),
    [sym_null] = ACTIONS(9),
    [anon_sym_function] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(35),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_SLASH] = ACTIONS(45),
    [sym_undefined] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(61),
    [sym_identifier] = ACTIONS(65),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_switch] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(13),
    [anon_sym_void] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_do] = ACTIONS(21),
  },
  [891] = {
    [aux_sym_object_repeat1] = STATE(293),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACE] = ACTIONS(2555),
    [anon_sym_COMMA] = ACTIONS(167),
  },
  [892] = {
    [sym_template_string] = STATE(719),
    [sym_arguments] = STATE(719),
    [anon_sym_instanceof] = ACTIONS(696),
    [anon_sym_GT] = ACTIONS(676),
    [anon_sym_DASH] = ACTIONS(698),
    [anon_sym_CARET] = ACTIONS(700),
    [anon_sym_STAR_STAR] = ACTIONS(702),
    [anon_sym_STAR] = ACTIONS(704),
    [anon_sym_AMP_AMP] = ACTIONS(706),
    [anon_sym_GT_GT] = ACTIONS(704),
    [anon_sym_AMP] = ACTIONS(708),
    [anon_sym_in] = ACTIONS(676),
    [anon_sym_LPAREN] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(696),
    [anon_sym_GT_EQ] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(704),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(710),
    [anon_sym_PIPE] = ACTIONS(712),
    [anon_sym_LT_EQ] = ACTIONS(696),
    [anon_sym_PIPE_PIPE] = ACTIONS(700),
    [anon_sym_GT_GT_GT] = ACTIONS(714),
    [anon_sym_PLUS_PLUS] = ACTIONS(716),
    [anon_sym_COMMA] = ACTIONS(718),
    [anon_sym_BANG_EQ] = ACTIONS(676),
    [anon_sym_RPAREN] = ACTIONS(2559),
    [anon_sym_LT] = ACTIONS(676),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_PLUS] = ACTIONS(698),
    [anon_sym_EQ_EQ] = ACTIONS(676),
    [anon_sym_PERCENT] = ACTIONS(714),
    [anon_sym_QMARK] = ACTIONS(722),
    [anon_sym_LT_LT] = ACTIONS(714),
    [anon_sym_DASH_DASH] = ACTIONS(716),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(696),
  },
  [893] = {
    [anon_sym_RPAREN] = ACTIONS(2559),
    [sym_comment] = ACTIONS(3),
  },
  [894] = {
    [aux_sym_string_repeat2] = STATE(312),
    [sym_comment] = ACTIONS(237),
    [anon_sym_SQUOTE] = ACTIONS(2561),
    [sym_escape_sequence] = ACTIONS(746),
    [aux_sym_string_token2] = ACTIONS(746),
  },
  [895] = {
    [sym_arguments] = STATE(719),
    [aux_sym_array_repeat1] = STATE(925),
    [sym_template_string] = STATE(719),
    [anon_sym_instanceof] = ACTIONS(696),
    [anon_sym_GT] = ACTIONS(676),
    [anon_sym_DASH] = ACTIONS(698),
    [anon_sym_CARET] = ACTIONS(700),
    [anon_sym_STAR_STAR] = ACTIONS(702),
    [anon_sym_STAR] = ACTIONS(704),
    [anon_sym_AMP_AMP] = ACTIONS(706),
    [anon_sym_GT_GT] = ACTIONS(704),
    [anon_sym_AMP] = ACTIONS(708),
    [anon_sym_in] = ACTIONS(676),
    [anon_sym_LPAREN] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(696),
    [anon_sym_GT_EQ] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(704),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(710),
    [anon_sym_PIPE] = ACTIONS(712),
    [anon_sym_LT_EQ] = ACTIONS(696),
    [anon_sym_PIPE_PIPE] = ACTIONS(700),
    [anon_sym_COMMA] = ACTIONS(247),
    [anon_sym_GT_GT_GT] = ACTIONS(714),
    [anon_sym_PLUS_PLUS] = ACTIONS(716),
    [anon_sym_BANG_EQ] = ACTIONS(676),
    [anon_sym_LT] = ACTIONS(676),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_RBRACK] = ACTIONS(2563),
    [anon_sym_PLUS] = ACTIONS(698),
    [anon_sym_EQ_EQ] = ACTIONS(676),
    [anon_sym_PERCENT] = ACTIONS(714),
    [anon_sym_QMARK] = ACTIONS(722),
    [anon_sym_LT_LT] = ACTIONS(714),
    [anon_sym_DASH_DASH] = ACTIONS(716),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(696),
  },
  [896] = {
    [aux_sym_array_repeat1] = STATE(317),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(247),
    [anon_sym_RBRACK] = ACTIONS(2563),
  },
  [897] = {
    [aux_sym_array_repeat1] = STATE(925),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(247),
    [anon_sym_RBRACK] = ACTIONS(2563),
  },
  [898] = {
    [anon_sym_SLASH2] = ACTIONS(2565),
    [sym_comment] = ACTIONS(3),
  },
  [899] = {
    [sym_arrow_function] = STATE(928),
    [sym_call_expression] = STATE(928),
    [sym_subscript_expression] = STATE(701),
    [sym_assignment_expression] = STATE(928),
    [sym_ternary_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_template_string] = STATE(928),
    [sym__expression] = STATE(928),
    [sym_yield_expression] = STATE(928),
    [sym_jsx_element] = STATE(928),
    [sym_jsx_fragment] = STATE(928),
    [sym_function] = STATE(703),
    [sym_new_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_unary_expression] = STATE(928),
    [sym_update_expression] = STATE(928),
    [sym_regex] = STATE(928),
    [sym_meta_property] = STATE(928),
    [sym_object] = STATE(702),
    [aux_sym_export_statement_repeat1] = STATE(1016),
    [aux_sym_array_repeat1] = STATE(929),
    [sym_class] = STATE(928),
    [sym_generator_function] = STATE(928),
    [sym_await_expression] = STATE(928),
    [sym_member_expression] = STATE(701),
    [sym_spread_element] = STATE(930),
    [sym_string] = STATE(928),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(874),
    [sym_parenthesized_expression] = STATE(928),
    [sym_array] = STATE(704),
    [sym_jsx_opening_element] = STATE(875),
    [sym_jsx_self_closing_element] = STATE(928),
    [anon_sym_class] = ACTIONS(183),
    [anon_sym_static] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_delete] = ACTIONS(191),
    [anon_sym_LPAREN] = ACTIONS(193),
    [anon_sym_BANG] = ACTIONS(195),
    [sym_this] = ACTIONS(2567),
    [sym_true] = ACTIONS(2567),
    [anon_sym_get] = ACTIONS(243),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(165),
    [anon_sym_COMMA] = ACTIONS(247),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_RPAREN] = ACTIONS(2569),
    [anon_sym_TILDE] = ACTIONS(195),
    [sym_super] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(209),
    [sym_false] = ACTIONS(2567),
    [sym_number] = ACTIONS(2571),
    [anon_sym_yield] = ACTIONS(213),
    [anon_sym_set] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(251),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_typeof] = ACTIONS(191),
    [anon_sym_await] = ACTIONS(217),
    [sym_null] = ACTIONS(2567),
    [anon_sym_function] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [anon_sym_SLASH] = ACTIONS(223),
    [sym_undefined] = ACTIONS(2567),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(225),
    [sym_identifier] = ACTIONS(253),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(187),
    [anon_sym_void] = ACTIONS(191),
  },
  [900] = {
    [sym_identifier] = ACTIONS(2573),
    [sym_comment] = ACTIONS(3),
  },
  [901] = {
    [sym_arrow_function] = STATE(1058),
    [sym_call_expression] = STATE(1058),
    [sym_subscript_expression] = STATE(1127),
    [sym_assignment_expression] = STATE(1058),
    [sym_ternary_expression] = STATE(1058),
    [sym_binary_expression] = STATE(1058),
    [sym_template_string] = STATE(1058),
    [sym_statement_block] = STATE(332),
    [sym__expression] = STATE(1058),
    [sym_yield_expression] = STATE(1058),
    [sym_jsx_element] = STATE(1058),
    [sym_jsx_fragment] = STATE(1058),
    [sym_function] = STATE(47),
    [sym_new_expression] = STATE(1058),
    [sym_augmented_assignment_expression] = STATE(1058),
    [sym_unary_expression] = STATE(1058),
    [sym_update_expression] = STATE(1058),
    [sym_regex] = STATE(1058),
    [sym_meta_property] = STATE(1058),
    [sym_object] = STATE(1128),
    [aux_sym_export_statement_repeat1] = STATE(60),
    [sym_class] = STATE(1058),
    [sym_generator_function] = STATE(1058),
    [sym_await_expression] = STATE(1058),
    [sym_member_expression] = STATE(1127),
    [sym_string] = STATE(1058),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(1013),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_array] = STATE(1130),
    [sym_jsx_opening_element] = STATE(53),
    [sym_jsx_self_closing_element] = STATE(1058),
    [anon_sym_await] = ACTIONS(1282),
    [sym_null] = ACTIONS(2575),
    [anon_sym_class] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(1286),
    [anon_sym_function] = ACTIONS(95),
    [anon_sym_DASH] = ACTIONS(1288),
    [anon_sym_LBRACE] = ACTIONS(2577),
    [anon_sym_delete] = ACTIONS(1290),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(1292),
    [sym_this] = ACTIONS(2575),
    [sym_undefined] = ACTIONS(2575),
    [sym_true] = ACTIONS(2575),
    [anon_sym_SLASH] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(49),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(1286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1294),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1292),
    [sym_super] = ACTIONS(63),
    [sym_identifier] = ACTIONS(1296),
    [sym_false] = ACTIONS(2575),
    [anon_sym_LT] = ACTIONS(69),
    [sym_number] = ACTIONS(2579),
    [anon_sym_yield] = ACTIONS(1300),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_set] = ACTIONS(1286),
    [anon_sym_async] = ACTIONS(1302),
    [anon_sym_new] = ACTIONS(1304),
    [anon_sym_PLUS] = ACTIONS(1288),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(1294),
    [anon_sym_void] = ACTIONS(1290),
    [anon_sym_typeof] = ACTIONS(1290),
  },
  [902] = {
    [aux_sym_string_repeat1] = STATE(344),
    [anon_sym_DQUOTE] = ACTIONS(2561),
    [sym_comment] = ACTIONS(237),
    [sym_escape_sequence] = ACTIONS(828),
    [aux_sym_string_token1] = ACTIONS(828),
  },
  [903] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(2581),
  },
  [904] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(2583),
  },
  [905] = {
    [sym_arguments] = STATE(349),
    [anon_sym_instanceof] = ACTIONS(836),
    [anon_sym_GT] = ACTIONS(838),
    [sym__automatic_semicolon] = ACTIONS(836),
    [anon_sym_EQ] = ACTIONS(844),
    [anon_sym_AMP_EQ] = ACTIONS(674),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(674),
    [anon_sym_GT_GT_EQ] = ACTIONS(674),
    [anon_sym_STAR_EQ] = ACTIONS(674),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_CARET] = ACTIONS(838),
    [anon_sym_STAR_STAR] = ACTIONS(838),
    [anon_sym_STAR] = ACTIONS(838),
    [anon_sym_AMP_AMP] = ACTIONS(836),
    [anon_sym_GT_GT] = ACTIONS(838),
    [anon_sym_AMP] = ACTIONS(838),
    [anon_sym_in] = ACTIONS(838),
    [anon_sym_LPAREN] = ACTIONS(271),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(836),
    [anon_sym_SLASH] = ACTIONS(838),
    [anon_sym_GT_EQ] = ACTIONS(836),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(836),
    [anon_sym_PIPE_EQ] = ACTIONS(674),
    [anon_sym_PERCENT_EQ] = ACTIONS(674),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(674),
    [anon_sym_EQ_GT] = ACTIONS(2585),
    [anon_sym_SLASH_EQ] = ACTIONS(674),
    [anon_sym_PLUS_EQ] = ACTIONS(674),
    [anon_sym_PIPE] = ACTIONS(838),
    [anon_sym_LT_EQ] = ACTIONS(836),
    [anon_sym_PIPE_PIPE] = ACTIONS(836),
    [anon_sym_GT_GT_GT] = ACTIONS(838),
    [anon_sym_PLUS_PLUS] = ACTIONS(836),
    [anon_sym_COMMA] = ACTIONS(836),
    [anon_sym_SEMI] = ACTIONS(836),
    [anon_sym_BANG_EQ] = ACTIONS(838),
    [anon_sym_LT] = ACTIONS(838),
    [anon_sym_DOT] = ACTIONS(275),
    [anon_sym_BQUOTE] = ACTIONS(836),
    [anon_sym_CARET_EQ] = ACTIONS(674),
    [anon_sym_LT_LT_EQ] = ACTIONS(674),
    [anon_sym_DASH_EQ] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_EQ_EQ] = ACTIONS(838),
    [anon_sym_PERCENT] = ACTIONS(838),
    [anon_sym_QMARK] = ACTIONS(836),
    [anon_sym_LT_LT] = ACTIONS(838),
    [anon_sym_DASH_DASH] = ACTIONS(836),
    [anon_sym_RBRACE] = ACTIONS(836),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(836),
  },
  [906] = {
    [anon_sym_target] = ACTIONS(2587),
    [sym_comment] = ACTIONS(3),
  },
  [907] = {
    [sym_template_string] = STATE(719),
    [sym_arguments] = STATE(719),
    [anon_sym_instanceof] = ACTIONS(696),
    [anon_sym_GT] = ACTIONS(676),
    [anon_sym_DASH] = ACTIONS(698),
    [anon_sym_CARET] = ACTIONS(700),
    [anon_sym_STAR_STAR] = ACTIONS(702),
    [anon_sym_STAR] = ACTIONS(704),
    [anon_sym_AMP_AMP] = ACTIONS(706),
    [anon_sym_GT_GT] = ACTIONS(704),
    [anon_sym_AMP] = ACTIONS(708),
    [anon_sym_in] = ACTIONS(676),
    [anon_sym_LPAREN] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(696),
    [anon_sym_GT_EQ] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(704),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(710),
    [anon_sym_PIPE] = ACTIONS(712),
    [anon_sym_LT_EQ] = ACTIONS(696),
    [anon_sym_PIPE_PIPE] = ACTIONS(700),
    [anon_sym_GT_GT_GT] = ACTIONS(714),
    [anon_sym_PLUS_PLUS] = ACTIONS(716),
    [anon_sym_BANG_EQ] = ACTIONS(676),
    [anon_sym_LT] = ACTIONS(676),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_PLUS] = ACTIONS(698),
    [anon_sym_EQ_EQ] = ACTIONS(676),
    [anon_sym_PERCENT] = ACTIONS(714),
    [anon_sym_QMARK] = ACTIONS(722),
    [anon_sym_LT_LT] = ACTIONS(714),
    [anon_sym_DASH_DASH] = ACTIONS(716),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(696),
  },
  [908] = {
    [sym_arrow_function] = STATE(46),
    [sym__declaration] = STATE(890),
    [sym_subscript_expression] = STATE(42),
    [sym_ternary_expression] = STATE(46),
    [sym_if_statement] = STATE(890),
    [sym_template_string] = STATE(46),
    [sym_do_statement] = STATE(890),
    [sym_return_statement] = STATE(890),
    [sym_yield_expression] = STATE(46),
    [sym_jsx_fragment] = STATE(46),
    [sym_function_declaration] = STATE(890),
    [sym_import_statement] = STATE(890),
    [sym_expression_statement] = STATE(890),
    [sym_switch_statement] = STATE(890),
    [sym_update_expression] = STATE(46),
    [sym_try_statement] = STATE(890),
    [sym_meta_property] = STATE(46),
    [sym_throw_statement] = STATE(890),
    [sym_object] = STATE(43),
    [aux_sym_export_statement_repeat1] = STATE(44),
    [sym_generator_function] = STATE(46),
    [sym_await_expression] = STATE(46),
    [sym_sequence_expression] = STATE(45),
    [sym_for_of_statement] = STATE(890),
    [sym_continue_statement] = STATE(890),
    [sym_call_expression] = STATE(46),
    [sym_assignment_expression] = STATE(46),
    [sym_statement_block] = STATE(890),
    [sym_binary_expression] = STATE(46),
    [sym_while_statement] = STATE(890),
    [sym_debugger_statement] = STATE(890),
    [sym__expression] = STATE(46),
    [sym_jsx_element] = STATE(46),
    [sym_function] = STATE(47),
    [sym_new_expression] = STATE(46),
    [sym_augmented_assignment_expression] = STATE(46),
    [sym_variable_declaration] = STATE(890),
    [sym_unary_expression] = STATE(46),
    [sym_for_statement] = STATE(890),
    [sym_regex] = STATE(46),
    [sym_with_statement] = STATE(890),
    [sym_empty_statement] = STATE(890),
    [aux_sym_program_repeat1] = STATE(890),
    [sym_class] = STATE(46),
    [sym_export_statement] = STATE(890),
    [sym_generator_function_declaration] = STATE(890),
    [sym_member_expression] = STATE(42),
    [sym_lexical_declaration] = STATE(890),
    [sym_for_in_statement] = STATE(890),
    [sym_string] = STATE(46),
    [sym_break_statement] = STATE(890),
    [sym_decorator] = STATE(50),
    [sym_labeled_statement] = STATE(890),
    [sym_formal_parameters] = STATE(51),
    [sym_parenthesized_expression] = STATE(46),
    [sym_array] = STATE(52),
    [sym_jsx_opening_element] = STATE(53),
    [sym_jsx_self_closing_element] = STATE(46),
    [sym_class_declaration] = STATE(890),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_delete] = ACTIONS(39),
    [anon_sym_throw] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [anon_sym_get] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(69),
    [sym_false] = ACTIONS(9),
    [sym_number] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_set] = ACTIONS(23),
    [anon_sym_async] = ACTIONS(81),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_RBRACE] = ACTIONS(2589),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_try] = ACTIONS(15),
    [anon_sym_for] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(5),
    [sym_null] = ACTIONS(9),
    [anon_sym_function] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(35),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_SLASH] = ACTIONS(45),
    [sym_undefined] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(61),
    [sym_identifier] = ACTIONS(65),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_switch] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(13),
    [anon_sym_void] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_do] = ACTIONS(21),
  },
  [909] = {
    [sym_arrow_function] = STATE(1068),
    [sym_call_expression] = STATE(1068),
    [sym_subscript_expression] = STATE(1127),
    [sym_assignment_expression] = STATE(1068),
    [sym_ternary_expression] = STATE(1068),
    [sym_binary_expression] = STATE(1068),
    [sym_template_string] = STATE(1068),
    [sym_statement_block] = STATE(396),
    [sym__expression] = STATE(1068),
    [sym_yield_expression] = STATE(1068),
    [sym_jsx_element] = STATE(1068),
    [sym_jsx_fragment] = STATE(1068),
    [sym_function] = STATE(47),
    [sym_new_expression] = STATE(1068),
    [sym_augmented_assignment_expression] = STATE(1068),
    [sym_unary_expression] = STATE(1068),
    [sym_update_expression] = STATE(1068),
    [sym_regex] = STATE(1068),
    [sym_meta_property] = STATE(1068),
    [sym_object] = STATE(1128),
    [aux_sym_export_statement_repeat1] = STATE(60),
    [sym_class] = STATE(1068),
    [sym_generator_function] = STATE(1068),
    [sym_await_expression] = STATE(1068),
    [sym_member_expression] = STATE(1127),
    [sym_string] = STATE(1068),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(1013),
    [sym_parenthesized_expression] = STATE(1068),
    [sym_array] = STATE(1130),
    [sym_jsx_opening_element] = STATE(53),
    [sym_jsx_self_closing_element] = STATE(1068),
    [anon_sym_await] = ACTIONS(1282),
    [sym_null] = ACTIONS(2591),
    [anon_sym_class] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(1286),
    [anon_sym_function] = ACTIONS(95),
    [anon_sym_DASH] = ACTIONS(1288),
    [anon_sym_LBRACE] = ACTIONS(2577),
    [anon_sym_delete] = ACTIONS(1290),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(1292),
    [sym_this] = ACTIONS(2591),
    [sym_undefined] = ACTIONS(2591),
    [sym_true] = ACTIONS(2591),
    [anon_sym_SLASH] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(49),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(1286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1294),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1292),
    [sym_super] = ACTIONS(63),
    [sym_identifier] = ACTIONS(1296),
    [sym_false] = ACTIONS(2591),
    [anon_sym_LT] = ACTIONS(69),
    [sym_number] = ACTIONS(2593),
    [anon_sym_yield] = ACTIONS(1300),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_set] = ACTIONS(1286),
    [anon_sym_async] = ACTIONS(1302),
    [anon_sym_new] = ACTIONS(1304),
    [anon_sym_PLUS] = ACTIONS(1288),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(1294),
    [anon_sym_void] = ACTIONS(1290),
    [anon_sym_typeof] = ACTIONS(1290),
  },
  [910] = {
    [sym_arrow_function] = STATE(939),
    [sym_call_expression] = STATE(939),
    [sym_subscript_expression] = STATE(701),
    [sym_assignment_expression] = STATE(939),
    [sym_ternary_expression] = STATE(939),
    [sym_binary_expression] = STATE(939),
    [sym_template_string] = STATE(939),
    [sym__expression] = STATE(939),
    [sym_yield_expression] = STATE(939),
    [sym_jsx_element] = STATE(939),
    [sym_jsx_fragment] = STATE(939),
    [sym_function] = STATE(703),
    [sym_new_expression] = STATE(939),
    [sym_augmented_assignment_expression] = STATE(939),
    [sym_unary_expression] = STATE(939),
    [sym_update_expression] = STATE(939),
    [sym_regex] = STATE(939),
    [sym_meta_property] = STATE(939),
    [sym_object] = STATE(702),
    [aux_sym_export_statement_repeat1] = STATE(1016),
    [sym_class] = STATE(939),
    [sym_generator_function] = STATE(939),
    [sym_await_expression] = STATE(939),
    [sym_member_expression] = STATE(701),
    [sym_spread_element] = STATE(940),
    [sym_sequence_expression] = STATE(940),
    [sym_string] = STATE(939),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(874),
    [sym_parenthesized_expression] = STATE(939),
    [sym_array] = STATE(704),
    [sym_jsx_opening_element] = STATE(875),
    [sym_jsx_self_closing_element] = STATE(939),
    [anon_sym_await] = ACTIONS(217),
    [sym_null] = ACTIONS(2595),
    [anon_sym_class] = ACTIONS(183),
    [anon_sym_static] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(219),
    [anon_sym_DASH] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_delete] = ACTIONS(191),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [anon_sym_LPAREN] = ACTIONS(193),
    [anon_sym_BANG] = ACTIONS(195),
    [sym_this] = ACTIONS(2595),
    [sym_undefined] = ACTIONS(2595),
    [sym_true] = ACTIONS(2595),
    [anon_sym_SLASH] = ACTIONS(223),
    [anon_sym_LBRACK] = ACTIONS(225),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(243),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(165),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_TILDE] = ACTIONS(195),
    [sym_super] = ACTIONS(207),
    [sym_identifier] = ACTIONS(253),
    [sym_false] = ACTIONS(2595),
    [anon_sym_LT] = ACTIONS(209),
    [sym_number] = ACTIONS(2597),
    [anon_sym_yield] = ACTIONS(213),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_set] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(251),
    [anon_sym_new] = ACTIONS(231),
    [anon_sym_PLUS] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_RBRACE] = ACTIONS(2599),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_void] = ACTIONS(191),
    [anon_sym_typeof] = ACTIONS(191),
  },
  [911] = {
    [sym_jsx_expression] = STATE(404),
    [sym_jsx_closing_element] = STATE(792),
    [aux_sym_jsx_element_repeat1] = STATE(404),
    [sym_jsx_opening_element] = STATE(967),
    [sym_jsx_self_closing_element] = STATE(404),
    [sym_jsx_element] = STATE(404),
    [anon_sym_LBRACE] = ACTIONS(426),
    [sym_comment] = ACTIONS(237),
    [sym_jsx_text] = ACTIONS(1116),
    [anon_sym_LT] = ACTIONS(2525),
  },
  [912] = {
    [sym_class_body] = STATE(793),
    [sym_class_heritage] = STATE(941),
    [anon_sym_LBRACE] = ACTIONS(2527),
    [sym_comment] = ACTIONS(3),
    [anon_sym_extends] = ACTIONS(476),
  },
  [913] = {
    [sym_computed_property_name] = STATE(276),
    [sym_string] = STATE(276),
    [aux_sym_object_repeat1] = STATE(922),
    [sym__property_name] = STATE(276),
    [anon_sym_COLON] = ACTIONS(566),
    [anon_sym_COMMA] = ACTIONS(167),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_static] = ACTIONS(568),
    [sym_identifier] = ACTIONS(568),
    [anon_sym_STAR] = ACTIONS(646),
    [sym_number] = ACTIONS(578),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [anon_sym_set] = ACTIONS(576),
    [anon_sym_LPAREN] = ACTIONS(566),
    [anon_sym_async] = ACTIONS(580),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(589),
    [anon_sym_RBRACE] = ACTIONS(2549),
    [anon_sym_get] = ACTIONS(576),
  },
  [914] = {
    [aux_sym_object_repeat1] = STATE(922),
    [anon_sym_LPAREN] = ACTIONS(566),
    [anon_sym_COLON] = ACTIONS(566),
    [anon_sym_COMMA] = ACTIONS(167),
    [anon_sym_EQ] = ACTIONS(1120),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACE] = ACTIONS(2549),
  },
  [915] = {
    [sym_computed_property_name] = STATE(276),
    [sym_string] = STATE(276),
    [aux_sym_object_repeat1] = STATE(922),
    [sym__property_name] = STATE(276),
    [anon_sym_COLON] = ACTIONS(566),
    [anon_sym_COMMA] = ACTIONS(167),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_static] = ACTIONS(568),
    [sym_identifier] = ACTIONS(568),
    [sym_number] = ACTIONS(578),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [anon_sym_set] = ACTIONS(568),
    [anon_sym_LPAREN] = ACTIONS(566),
    [anon_sym_async] = ACTIONS(568),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(589),
    [anon_sym_RBRACE] = ACTIONS(2549),
    [anon_sym_get] = ACTIONS(568),
  },
  [916] = {
    [sym_computed_property_name] = STATE(276),
    [sym_string] = STATE(276),
    [aux_sym_object_repeat1] = STATE(922),
    [sym__property_name] = STATE(276),
    [anon_sym_COLON] = ACTIONS(566),
    [anon_sym_COMMA] = ACTIONS(167),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_static] = ACTIONS(568),
    [sym_identifier] = ACTIONS(568),
    [anon_sym_STAR] = ACTIONS(646),
    [sym_number] = ACTIONS(578),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [anon_sym_set] = ACTIONS(576),
    [anon_sym_LPAREN] = ACTIONS(566),
    [anon_sym_async] = ACTIONS(568),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(589),
    [anon_sym_RBRACE] = ACTIONS(2549),
    [anon_sym_get] = ACTIONS(576),
  },
  [917] = {
    [sym_class_body] = STATE(748),
    [sym_class_heritage] = STATE(937),
    [anon_sym_LBRACE] = ACTIONS(2527),
    [sym_comment] = ACTIONS(3),
    [sym_identifier] = ACTIONS(2601),
    [anon_sym_extends] = ACTIONS(113),
  },
  [918] = {
    [sym_method_definition] = STATE(227),
    [sym_string] = STATE(229),
    [aux_sym_export_statement_repeat1] = STATE(217),
    [sym_decorator] = STATE(50),
    [sym_public_field_definition] = STATE(228),
    [sym__property_name] = STATE(229),
    [sym_computed_property_name] = STATE(229),
    [aux_sym_class_body_repeat1] = STATE(419),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_static] = ACTIONS(462),
    [sym_identifier] = ACTIONS(464),
    [anon_sym_STAR] = ACTIONS(161),
    [sym_number] = ACTIONS(466),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_set] = ACTIONS(468),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_async] = ACTIONS(470),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(472),
    [anon_sym_RBRACE] = ACTIONS(2603),
    [anon_sym_get] = ACTIONS(468),
  },
  [919] = {
    [sym_class_body] = STATE(795),
    [anon_sym_LBRACE] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
  },
  [920] = {
    [sym_statement_block] = STATE(796),
    [anon_sym_LBRACE] = ACTIONS(532),
    [sym_comment] = ACTIONS(3),
  },
  [921] = {
    [sym_statement_block] = STATE(797),
    [anon_sym_LBRACE] = ACTIONS(2547),
    [sym_comment] = ACTIONS(3),
  },
  [922] = {
    [aux_sym_object_repeat1] = STATE(293),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACE] = ACTIONS(2605),
    [anon_sym_COMMA] = ACTIONS(167),
  },
  [923] = {
    [sym_template_string] = STATE(719),
    [aux_sym_array_repeat1] = STATE(925),
    [sym_arguments] = STATE(719),
    [anon_sym_instanceof] = ACTIONS(696),
    [anon_sym_GT] = ACTIONS(676),
    [anon_sym_DASH] = ACTIONS(698),
    [anon_sym_CARET] = ACTIONS(700),
    [anon_sym_STAR_STAR] = ACTIONS(702),
    [anon_sym_STAR] = ACTIONS(704),
    [anon_sym_AMP_AMP] = ACTIONS(706),
    [anon_sym_GT_GT] = ACTIONS(704),
    [anon_sym_AMP] = ACTIONS(708),
    [anon_sym_in] = ACTIONS(676),
    [anon_sym_LPAREN] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(696),
    [anon_sym_GT_EQ] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(704),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(710),
    [anon_sym_PIPE] = ACTIONS(712),
    [anon_sym_LT_EQ] = ACTIONS(696),
    [anon_sym_PIPE_PIPE] = ACTIONS(700),
    [anon_sym_COMMA] = ACTIONS(247),
    [anon_sym_GT_GT_GT] = ACTIONS(714),
    [anon_sym_PLUS_PLUS] = ACTIONS(716),
    [anon_sym_BANG_EQ] = ACTIONS(676),
    [anon_sym_LT] = ACTIONS(676),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_RBRACK] = ACTIONS(2607),
    [anon_sym_PLUS] = ACTIONS(698),
    [anon_sym_EQ_EQ] = ACTIONS(676),
    [anon_sym_PERCENT] = ACTIONS(714),
    [anon_sym_QMARK] = ACTIONS(722),
    [anon_sym_LT_LT] = ACTIONS(714),
    [anon_sym_DASH_DASH] = ACTIONS(716),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(696),
  },
  [924] = {
    [aux_sym_object_repeat1] = STATE(293),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACE] = ACTIONS(2609),
    [anon_sym_COMMA] = ACTIONS(167),
  },
  [925] = {
    [aux_sym_array_repeat1] = STATE(317),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(247),
    [anon_sym_RBRACK] = ACTIONS(2611),
  },
  [926] = {
    [sym_template_string] = STATE(719),
    [sym_arguments] = STATE(719),
    [anon_sym_instanceof] = ACTIONS(696),
    [anon_sym_GT] = ACTIONS(676),
    [anon_sym_DASH] = ACTIONS(698),
    [anon_sym_CARET] = ACTIONS(700),
    [anon_sym_STAR_STAR] = ACTIONS(702),
    [anon_sym_STAR] = ACTIONS(704),
    [anon_sym_AMP_AMP] = ACTIONS(706),
    [anon_sym_GT_GT] = ACTIONS(704),
    [anon_sym_AMP] = ACTIONS(708),
    [anon_sym_in] = ACTIONS(676),
    [anon_sym_LPAREN] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(696),
    [anon_sym_GT_EQ] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(704),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(710),
    [anon_sym_PIPE] = ACTIONS(712),
    [anon_sym_LT_EQ] = ACTIONS(696),
    [anon_sym_PIPE_PIPE] = ACTIONS(700),
    [anon_sym_GT_GT_GT] = ACTIONS(714),
    [anon_sym_PLUS_PLUS] = ACTIONS(716),
    [anon_sym_COMMA] = ACTIONS(718),
    [anon_sym_BANG_EQ] = ACTIONS(676),
    [anon_sym_LT] = ACTIONS(676),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_RBRACK] = ACTIONS(2613),
    [anon_sym_PLUS] = ACTIONS(698),
    [anon_sym_EQ_EQ] = ACTIONS(676),
    [anon_sym_PERCENT] = ACTIONS(714),
    [anon_sym_QMARK] = ACTIONS(722),
    [anon_sym_LT_LT] = ACTIONS(714),
    [anon_sym_DASH_DASH] = ACTIONS(716),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(696),
  },
  [927] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(2613),
  },
  [928] = {
    [sym_arguments] = STATE(719),
    [aux_sym_array_repeat1] = STATE(946),
    [sym_template_string] = STATE(719),
    [anon_sym_instanceof] = ACTIONS(696),
    [anon_sym_GT] = ACTIONS(676),
    [anon_sym_DASH] = ACTIONS(698),
    [anon_sym_CARET] = ACTIONS(700),
    [anon_sym_STAR_STAR] = ACTIONS(702),
    [anon_sym_STAR] = ACTIONS(704),
    [anon_sym_AMP_AMP] = ACTIONS(706),
    [anon_sym_GT_GT] = ACTIONS(704),
    [anon_sym_AMP] = ACTIONS(708),
    [anon_sym_in] = ACTIONS(676),
    [anon_sym_LPAREN] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(696),
    [anon_sym_GT_EQ] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(704),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(710),
    [anon_sym_PIPE] = ACTIONS(712),
    [anon_sym_LT_EQ] = ACTIONS(696),
    [anon_sym_PIPE_PIPE] = ACTIONS(700),
    [anon_sym_COMMA] = ACTIONS(247),
    [anon_sym_GT_GT_GT] = ACTIONS(714),
    [anon_sym_PLUS_PLUS] = ACTIONS(716),
    [anon_sym_BANG_EQ] = ACTIONS(676),
    [anon_sym_RPAREN] = ACTIONS(2615),
    [anon_sym_LT] = ACTIONS(676),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_PLUS] = ACTIONS(698),
    [anon_sym_EQ_EQ] = ACTIONS(676),
    [anon_sym_PERCENT] = ACTIONS(714),
    [anon_sym_QMARK] = ACTIONS(722),
    [anon_sym_LT_LT] = ACTIONS(714),
    [anon_sym_DASH_DASH] = ACTIONS(716),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(696),
  },
  [929] = {
    [aux_sym_array_repeat1] = STATE(317),
    [anon_sym_RPAREN] = ACTIONS(2615),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(247),
  },
  [930] = {
    [aux_sym_array_repeat1] = STATE(946),
    [anon_sym_RPAREN] = ACTIONS(2615),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(247),
  },
  [931] = {
    [anon_sym_GT] = ACTIONS(2617),
    [sym_comment] = ACTIONS(3),
  },
  [932] = {
    [sym_statement_block] = STATE(809),
    [anon_sym_LBRACE] = ACTIONS(2547),
    [sym_comment] = ACTIONS(3),
  },
  [933] = {
    [sym_arrow_function] = STATE(1075),
    [sym_call_expression] = STATE(1075),
    [sym_subscript_expression] = STATE(1127),
    [sym_assignment_expression] = STATE(1075),
    [sym_ternary_expression] = STATE(1075),
    [sym_binary_expression] = STATE(1075),
    [sym_template_string] = STATE(1075),
    [sym_statement_block] = STATE(486),
    [sym__expression] = STATE(1075),
    [sym_yield_expression] = STATE(1075),
    [sym_jsx_element] = STATE(1075),
    [sym_jsx_fragment] = STATE(1075),
    [sym_function] = STATE(47),
    [sym_new_expression] = STATE(1075),
    [sym_augmented_assignment_expression] = STATE(1075),
    [sym_unary_expression] = STATE(1075),
    [sym_update_expression] = STATE(1075),
    [sym_regex] = STATE(1075),
    [sym_meta_property] = STATE(1075),
    [sym_object] = STATE(1128),
    [aux_sym_export_statement_repeat1] = STATE(60),
    [sym_class] = STATE(1075),
    [sym_generator_function] = STATE(1075),
    [sym_await_expression] = STATE(1075),
    [sym_member_expression] = STATE(1127),
    [sym_string] = STATE(1075),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(1013),
    [sym_parenthesized_expression] = STATE(1075),
    [sym_array] = STATE(1130),
    [sym_jsx_opening_element] = STATE(53),
    [sym_jsx_self_closing_element] = STATE(1075),
    [anon_sym_await] = ACTIONS(1282),
    [sym_null] = ACTIONS(2619),
    [anon_sym_class] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(1286),
    [anon_sym_function] = ACTIONS(95),
    [anon_sym_DASH] = ACTIONS(1288),
    [anon_sym_LBRACE] = ACTIONS(2577),
    [anon_sym_delete] = ACTIONS(1290),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(1292),
    [sym_this] = ACTIONS(2619),
    [sym_undefined] = ACTIONS(2619),
    [sym_true] = ACTIONS(2619),
    [anon_sym_SLASH] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(49),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(1286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1294),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1292),
    [sym_super] = ACTIONS(63),
    [sym_identifier] = ACTIONS(1296),
    [sym_false] = ACTIONS(2619),
    [anon_sym_LT] = ACTIONS(69),
    [sym_number] = ACTIONS(2621),
    [anon_sym_yield] = ACTIONS(1300),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_set] = ACTIONS(1286),
    [anon_sym_async] = ACTIONS(1302),
    [anon_sym_new] = ACTIONS(1304),
    [anon_sym_PLUS] = ACTIONS(1288),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(1294),
    [anon_sym_void] = ACTIONS(1290),
    [anon_sym_typeof] = ACTIONS(1290),
  },
  [934] = {
    [sym_arrow_function] = STATE(1076),
    [sym_call_expression] = STATE(1076),
    [sym_subscript_expression] = STATE(1127),
    [sym_assignment_expression] = STATE(1076),
    [sym_ternary_expression] = STATE(1076),
    [sym_binary_expression] = STATE(1076),
    [sym_template_string] = STATE(1076),
    [sym_statement_block] = STATE(488),
    [sym__expression] = STATE(1076),
    [sym_yield_expression] = STATE(1076),
    [sym_jsx_element] = STATE(1076),
    [sym_jsx_fragment] = STATE(1076),
    [sym_function] = STATE(47),
    [sym_new_expression] = STATE(1076),
    [sym_augmented_assignment_expression] = STATE(1076),
    [sym_unary_expression] = STATE(1076),
    [sym_update_expression] = STATE(1076),
    [sym_regex] = STATE(1076),
    [sym_meta_property] = STATE(1076),
    [sym_object] = STATE(1128),
    [aux_sym_export_statement_repeat1] = STATE(60),
    [sym_class] = STATE(1076),
    [sym_generator_function] = STATE(1076),
    [sym_await_expression] = STATE(1076),
    [sym_member_expression] = STATE(1127),
    [sym_string] = STATE(1076),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(1013),
    [sym_parenthesized_expression] = STATE(1076),
    [sym_array] = STATE(1130),
    [sym_jsx_opening_element] = STATE(53),
    [sym_jsx_self_closing_element] = STATE(1076),
    [anon_sym_await] = ACTIONS(1282),
    [sym_null] = ACTIONS(2623),
    [anon_sym_class] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(1286),
    [anon_sym_function] = ACTIONS(95),
    [anon_sym_DASH] = ACTIONS(1288),
    [anon_sym_LBRACE] = ACTIONS(2577),
    [anon_sym_delete] = ACTIONS(1290),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(1292),
    [sym_this] = ACTIONS(2623),
    [sym_undefined] = ACTIONS(2623),
    [sym_true] = ACTIONS(2623),
    [anon_sym_SLASH] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(49),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(1286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1294),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1292),
    [sym_super] = ACTIONS(63),
    [sym_identifier] = ACTIONS(1296),
    [sym_false] = ACTIONS(2623),
    [anon_sym_LT] = ACTIONS(69),
    [sym_number] = ACTIONS(2625),
    [anon_sym_yield] = ACTIONS(1300),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_set] = ACTIONS(1286),
    [anon_sym_async] = ACTIONS(1302),
    [anon_sym_new] = ACTIONS(1304),
    [anon_sym_PLUS] = ACTIONS(1288),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(1294),
    [anon_sym_void] = ACTIONS(1290),
    [anon_sym_typeof] = ACTIONS(1290),
  },
  [935] = {
    [sym_class_body] = STATE(498),
    [sym_class_heritage] = STATE(950),
    [anon_sym_LBRACE] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [anon_sym_extends] = ACTIONS(476),
  },
  [936] = {
    [sym_class_body] = STATE(815),
    [sym_class_heritage] = STATE(952),
    [anon_sym_LBRACE] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [anon_sym_extends] = ACTIONS(476),
  },
  [937] = {
    [sym_class_body] = STATE(816),
    [anon_sym_LBRACE] = ACTIONS(2527),
    [sym_comment] = ACTIONS(3),
  },
  [938] = {
    [sym_template_string] = STATE(719),
    [sym_arguments] = STATE(719),
    [anon_sym_instanceof] = ACTIONS(696),
    [anon_sym_GT] = ACTIONS(676),
    [anon_sym_COLON] = ACTIONS(2627),
    [anon_sym_DASH] = ACTIONS(698),
    [anon_sym_CARET] = ACTIONS(700),
    [anon_sym_STAR_STAR] = ACTIONS(702),
    [anon_sym_STAR] = ACTIONS(704),
    [anon_sym_AMP_AMP] = ACTIONS(706),
    [anon_sym_GT_GT] = ACTIONS(704),
    [anon_sym_AMP] = ACTIONS(708),
    [anon_sym_in] = ACTIONS(676),
    [anon_sym_LPAREN] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(696),
    [anon_sym_GT_EQ] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(704),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(710),
    [anon_sym_PIPE] = ACTIONS(712),
    [anon_sym_LT_EQ] = ACTIONS(696),
    [anon_sym_PIPE_PIPE] = ACTIONS(700),
    [anon_sym_GT_GT_GT] = ACTIONS(714),
    [anon_sym_PLUS_PLUS] = ACTIONS(716),
    [anon_sym_BANG_EQ] = ACTIONS(676),
    [anon_sym_LT] = ACTIONS(676),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_PLUS] = ACTIONS(698),
    [anon_sym_EQ_EQ] = ACTIONS(676),
    [anon_sym_PERCENT] = ACTIONS(714),
    [anon_sym_QMARK] = ACTIONS(722),
    [anon_sym_LT_LT] = ACTIONS(714),
    [anon_sym_DASH_DASH] = ACTIONS(716),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(696),
  },
  [939] = {
    [sym_template_string] = STATE(719),
    [sym_arguments] = STATE(719),
    [anon_sym_instanceof] = ACTIONS(696),
    [anon_sym_GT] = ACTIONS(676),
    [anon_sym_DASH] = ACTIONS(698),
    [anon_sym_CARET] = ACTIONS(700),
    [anon_sym_STAR_STAR] = ACTIONS(702),
    [anon_sym_STAR] = ACTIONS(704),
    [anon_sym_AMP_AMP] = ACTIONS(706),
    [anon_sym_GT_GT] = ACTIONS(704),
    [anon_sym_AMP] = ACTIONS(708),
    [anon_sym_in] = ACTIONS(676),
    [anon_sym_LPAREN] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(696),
    [anon_sym_GT_EQ] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(704),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(710),
    [anon_sym_PIPE] = ACTIONS(712),
    [anon_sym_LT_EQ] = ACTIONS(696),
    [anon_sym_PIPE_PIPE] = ACTIONS(700),
    [anon_sym_GT_GT_GT] = ACTIONS(714),
    [anon_sym_PLUS_PLUS] = ACTIONS(716),
    [anon_sym_COMMA] = ACTIONS(718),
    [anon_sym_BANG_EQ] = ACTIONS(676),
    [anon_sym_LT] = ACTIONS(676),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_PLUS] = ACTIONS(698),
    [anon_sym_EQ_EQ] = ACTIONS(676),
    [anon_sym_PERCENT] = ACTIONS(714),
    [anon_sym_QMARK] = ACTIONS(722),
    [anon_sym_LT_LT] = ACTIONS(714),
    [anon_sym_DASH_DASH] = ACTIONS(716),
    [anon_sym_RBRACE] = ACTIONS(2629),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(696),
  },
  [940] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACE] = ACTIONS(2629),
  },
  [941] = {
    [sym_class_body] = STATE(819),
    [anon_sym_LBRACE] = ACTIONS(2527),
    [sym_comment] = ACTIONS(3),
  },
  [942] = {
    [sym_statement_block] = STATE(820),
    [anon_sym_LBRACE] = ACTIONS(2547),
    [sym_comment] = ACTIONS(3),
  },
  [943] = {
    [sym_class_body] = STATE(821),
    [sym_class_heritage] = STATE(959),
    [anon_sym_LBRACE] = ACTIONS(2527),
    [sym_comment] = ACTIONS(3),
    [anon_sym_extends] = ACTIONS(476),
  },
  [944] = {
    [sym_template_string] = STATE(719),
    [sym_arguments] = STATE(719),
    [anon_sym_instanceof] = ACTIONS(696),
    [anon_sym_GT] = ACTIONS(676),
    [anon_sym_DASH] = ACTIONS(698),
    [anon_sym_CARET] = ACTIONS(700),
    [anon_sym_STAR_STAR] = ACTIONS(702),
    [anon_sym_STAR] = ACTIONS(704),
    [anon_sym_AMP_AMP] = ACTIONS(706),
    [anon_sym_GT_GT] = ACTIONS(704),
    [anon_sym_AMP] = ACTIONS(708),
    [anon_sym_in] = ACTIONS(676),
    [anon_sym_LPAREN] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(696),
    [anon_sym_GT_EQ] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(704),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(710),
    [anon_sym_PIPE] = ACTIONS(712),
    [anon_sym_LT_EQ] = ACTIONS(696),
    [anon_sym_PIPE_PIPE] = ACTIONS(700),
    [anon_sym_GT_GT_GT] = ACTIONS(714),
    [anon_sym_PLUS_PLUS] = ACTIONS(716),
    [anon_sym_BANG_EQ] = ACTIONS(676),
    [anon_sym_LT] = ACTIONS(676),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_RBRACK] = ACTIONS(2631),
    [anon_sym_PLUS] = ACTIONS(698),
    [anon_sym_EQ_EQ] = ACTIONS(676),
    [anon_sym_PERCENT] = ACTIONS(714),
    [anon_sym_QMARK] = ACTIONS(722),
    [anon_sym_LT_LT] = ACTIONS(714),
    [anon_sym_DASH_DASH] = ACTIONS(716),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(696),
  },
  [945] = {
    [sym_statement_block] = STATE(823),
    [anon_sym_LBRACE] = ACTIONS(532),
    [sym_comment] = ACTIONS(3),
  },
  [946] = {
    [aux_sym_array_repeat1] = STATE(317),
    [anon_sym_RPAREN] = ACTIONS(2633),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(247),
  },
  [947] = {
    [anon_sym_GT] = ACTIONS(2635),
    [sym_comment] = ACTIONS(3),
  },
  [948] = {
    [anon_sym_GT] = ACTIONS(2637),
    [sym_comment] = ACTIONS(3),
  },
  [949] = {
    [sym_statement_block] = STATE(827),
    [anon_sym_LBRACE] = ACTIONS(532),
    [sym_comment] = ACTIONS(3),
  },
  [950] = {
    [sym_class_body] = STATE(580),
    [anon_sym_LBRACE] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
  },
  [951] = {
    [sym_class_body] = STATE(584),
    [sym_class_heritage] = STATE(961),
    [anon_sym_LBRACE] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [anon_sym_extends] = ACTIONS(476),
  },
  [952] = {
    [sym_class_body] = STATE(828),
    [anon_sym_LBRACE] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
  },
  [953] = {
    [anon_sym_GT] = ACTIONS(2639),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(812),
    [anon_sym_DOT] = ACTIONS(820),
  },
  [954] = {
    [anon_sym_GT] = ACTIONS(2639),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(812),
  },
  [955] = {
    [anon_sym_GT] = ACTIONS(2639),
    [sym_comment] = ACTIONS(3),
    [anon_sym_DOT] = ACTIONS(820),
  },
  [956] = {
    [anon_sym_GT] = ACTIONS(2639),
    [sym_comment] = ACTIONS(3),
  },
  [957] = {
    [sym_statement_block] = STATE(831),
    [anon_sym_LBRACE] = ACTIONS(2547),
    [sym_comment] = ACTIONS(3),
  },
  [958] = {
    [sym_statement_block] = STATE(832),
    [anon_sym_LBRACE] = ACTIONS(2547),
    [sym_comment] = ACTIONS(3),
  },
  [959] = {
    [sym_class_body] = STATE(833),
    [anon_sym_LBRACE] = ACTIONS(2527),
    [sym_comment] = ACTIONS(3),
  },
  [960] = {
    [anon_sym_GT] = ACTIONS(2641),
    [sym_comment] = ACTIONS(3),
  },
  [961] = {
    [sym_class_body] = STATE(633),
    [anon_sym_LBRACE] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
  },
  [962] = {
    [sym_arrow_function] = STATE(46),
    [sym__declaration] = STATE(890),
    [sym_subscript_expression] = STATE(42),
    [sym_ternary_expression] = STATE(46),
    [sym_if_statement] = STATE(890),
    [sym_template_string] = STATE(46),
    [sym_do_statement] = STATE(890),
    [sym_return_statement] = STATE(890),
    [sym_yield_expression] = STATE(46),
    [sym_jsx_fragment] = STATE(46),
    [sym_function_declaration] = STATE(890),
    [sym_import_statement] = STATE(890),
    [sym_expression_statement] = STATE(890),
    [sym_switch_statement] = STATE(890),
    [sym_update_expression] = STATE(46),
    [sym_try_statement] = STATE(890),
    [sym_meta_property] = STATE(46),
    [sym_throw_statement] = STATE(890),
    [sym_pair] = STATE(104),
    [sym_object] = STATE(105),
    [aux_sym_export_statement_repeat1] = STATE(106),
    [sym_generator_function] = STATE(46),
    [sym_await_expression] = STATE(46),
    [sym_sequence_expression] = STATE(45),
    [sym_for_of_statement] = STATE(890),
    [sym_continue_statement] = STATE(890),
    [sym__property_name] = STATE(107),
    [sym_call_expression] = STATE(46),
    [sym_assignment_expression] = STATE(46),
    [sym_statement_block] = STATE(890),
    [sym_binary_expression] = STATE(46),
    [sym_while_statement] = STATE(890),
    [sym_debugger_statement] = STATE(890),
    [sym__expression] = STATE(46),
    [sym_jsx_element] = STATE(46),
    [sym_function] = STATE(47),
    [sym_new_expression] = STATE(46),
    [sym_augmented_assignment_expression] = STATE(46),
    [sym_variable_declaration] = STATE(890),
    [sym_unary_expression] = STATE(46),
    [sym_for_statement] = STATE(890),
    [sym_regex] = STATE(46),
    [sym_with_statement] = STATE(890),
    [sym_empty_statement] = STATE(890),
    [sym_method_definition] = STATE(104),
    [aux_sym_program_repeat1] = STATE(890),
    [sym_assignment_pattern] = STATE(104),
    [aux_sym_object_repeat1] = STATE(109),
    [sym_class] = STATE(46),
    [sym_export_statement] = STATE(890),
    [sym_generator_function_declaration] = STATE(890),
    [sym_member_expression] = STATE(42),
    [sym_lexical_declaration] = STATE(890),
    [sym_spread_element] = STATE(104),
    [sym_for_in_statement] = STATE(890),
    [sym_string] = STATE(99),
    [sym_break_statement] = STATE(890),
    [sym_decorator] = STATE(50),
    [sym_labeled_statement] = STATE(890),
    [sym_formal_parameters] = STATE(51),
    [sym_parenthesized_expression] = STATE(46),
    [sym_computed_property_name] = STATE(107),
    [sym_array] = STATE(110),
    [sym_jsx_opening_element] = STATE(53),
    [sym_jsx_self_closing_element] = STATE(46),
    [sym_class_declaration] = STATE(890),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_static] = ACTIONS(159),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(29),
    [anon_sym_STAR] = ACTIONS(161),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_delete] = ACTIONS(39),
    [anon_sym_throw] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [anon_sym_get] = ACTIONS(163),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(165),
    [anon_sym_COMMA] = ACTIONS(167),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(69),
    [sym_false] = ACTIONS(9),
    [sym_number] = ACTIONS(169),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_set] = ACTIONS(163),
    [anon_sym_async] = ACTIONS(171),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_RBRACE] = ACTIONS(2643),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_try] = ACTIONS(15),
    [anon_sym_for] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(5),
    [sym_null] = ACTIONS(9),
    [anon_sym_function] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(35),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_SLASH] = ACTIONS(45),
    [sym_undefined] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(175),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(61),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_switch] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(13),
    [anon_sym_void] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_do] = ACTIONS(21),
  },
  [963] = {
    [aux_sym_string_repeat2] = STATE(975),
    [sym_comment] = ACTIONS(237),
    [anon_sym_SQUOTE] = ACTIONS(2645),
    [sym_escape_sequence] = ACTIONS(2647),
    [aux_sym_string_token2] = ACTIONS(2647),
  },
  [964] = {
    [sym_arrow_function] = STATE(976),
    [sym_call_expression] = STATE(976),
    [sym_subscript_expression] = STATE(701),
    [sym_assignment_expression] = STATE(976),
    [sym_ternary_expression] = STATE(976),
    [sym_binary_expression] = STATE(976),
    [sym_template_string] = STATE(976),
    [sym__expression] = STATE(976),
    [sym_yield_expression] = STATE(976),
    [sym_jsx_element] = STATE(976),
    [sym_jsx_fragment] = STATE(976),
    [sym_function] = STATE(703),
    [sym_new_expression] = STATE(976),
    [sym_augmented_assignment_expression] = STATE(976),
    [sym_unary_expression] = STATE(976),
    [sym_update_expression] = STATE(976),
    [sym_regex] = STATE(976),
    [sym_meta_property] = STATE(976),
    [sym_object] = STATE(702),
    [aux_sym_export_statement_repeat1] = STATE(1016),
    [aux_sym_array_repeat1] = STATE(977),
    [sym_class] = STATE(976),
    [sym_generator_function] = STATE(976),
    [sym_await_expression] = STATE(976),
    [sym_member_expression] = STATE(701),
    [sym_spread_element] = STATE(978),
    [sym_string] = STATE(976),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(874),
    [sym_parenthesized_expression] = STATE(976),
    [sym_array] = STATE(704),
    [sym_jsx_opening_element] = STATE(875),
    [sym_jsx_self_closing_element] = STATE(976),
    [anon_sym_await] = ACTIONS(217),
    [sym_null] = ACTIONS(2649),
    [anon_sym_class] = ACTIONS(183),
    [anon_sym_static] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(219),
    [anon_sym_DASH] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_delete] = ACTIONS(191),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [anon_sym_LPAREN] = ACTIONS(193),
    [anon_sym_BANG] = ACTIONS(195),
    [sym_this] = ACTIONS(2649),
    [sym_undefined] = ACTIONS(2649),
    [sym_true] = ACTIONS(2649),
    [anon_sym_SLASH] = ACTIONS(223),
    [anon_sym_LBRACK] = ACTIONS(225),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(243),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(165),
    [anon_sym_COMMA] = ACTIONS(247),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_TILDE] = ACTIONS(195),
    [sym_super] = ACTIONS(207),
    [sym_identifier] = ACTIONS(253),
    [sym_false] = ACTIONS(2649),
    [anon_sym_LT] = ACTIONS(209),
    [sym_number] = ACTIONS(2651),
    [anon_sym_yield] = ACTIONS(213),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_RBRACK] = ACTIONS(2653),
    [anon_sym_set] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(251),
    [anon_sym_new] = ACTIONS(231),
    [anon_sym_PLUS] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_void] = ACTIONS(191),
    [anon_sym_typeof] = ACTIONS(191),
  },
  [965] = {
    [sym_template_string] = STATE(719),
    [sym_arguments] = STATE(719),
    [anon_sym_LPAREN] = ACTIONS(508),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(273),
    [anon_sym_DOT] = ACTIONS(275),
    [anon_sym_BQUOTE] = ACTIONS(229),
  },
  [966] = {
    [aux_sym_string_repeat1] = STATE(979),
    [anon_sym_DQUOTE] = ACTIONS(2645),
    [sym_comment] = ACTIONS(237),
    [sym_escape_sequence] = ACTIONS(2655),
    [aux_sym_string_token1] = ACTIONS(2655),
  },
  [967] = {
    [sym_jsx_closing_element] = STATE(838),
    [aux_sym_jsx_element_repeat1] = STATE(981),
    [sym_jsx_opening_element] = STATE(967),
    [sym_jsx_expression] = STATE(981),
    [sym_jsx_self_closing_element] = STATE(981),
    [sym_jsx_element] = STATE(981),
    [anon_sym_LBRACE] = ACTIONS(426),
    [sym_comment] = ACTIONS(237),
    [sym_jsx_text] = ACTIONS(2657),
    [anon_sym_LT] = ACTIONS(2659),
  },
  [968] = {
    [sym_spread_element] = STATE(970),
    [sym_method_definition] = STATE(970),
    [sym_string] = STATE(107),
    [sym_object] = STATE(216),
    [aux_sym_export_statement_repeat1] = STATE(217),
    [sym_decorator] = STATE(50),
    [aux_sym_object_repeat1] = STATE(972),
    [sym__property_name] = STATE(107),
    [sym_computed_property_name] = STATE(107),
    [sym_array] = STATE(218),
    [sym_assignment_pattern] = STATE(970),
    [sym_pair] = STATE(970),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(165),
    [anon_sym_COMMA] = ACTIONS(167),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_static] = ACTIONS(2661),
    [sym_identifier] = ACTIONS(2663),
    [anon_sym_STAR] = ACTIONS(161),
    [sym_number] = ACTIONS(442),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [anon_sym_set] = ACTIONS(2665),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_async] = ACTIONS(2667),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(448),
    [anon_sym_RBRACE] = ACTIONS(2669),
    [anon_sym_get] = ACTIONS(2665),
  },
  [969] = {
    [sym_method_definition] = STATE(227),
    [sym_string] = STATE(229),
    [aux_sym_export_statement_repeat1] = STATE(217),
    [sym_decorator] = STATE(50),
    [sym_public_field_definition] = STATE(228),
    [sym__property_name] = STATE(229),
    [sym_computed_property_name] = STATE(229),
    [aux_sym_class_body_repeat1] = STATE(986),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_static] = ACTIONS(462),
    [sym_identifier] = ACTIONS(464),
    [anon_sym_STAR] = ACTIONS(161),
    [sym_number] = ACTIONS(466),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_set] = ACTIONS(468),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_async] = ACTIONS(470),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(472),
    [anon_sym_RBRACE] = ACTIONS(2671),
    [anon_sym_get] = ACTIONS(468),
  },
  [970] = {
    [aux_sym_object_repeat1] = STATE(988),
    [anon_sym_COMMA] = ACTIONS(167),
    [anon_sym_RBRACE] = ACTIONS(2673),
    [sym_comment] = ACTIONS(3),
  },
  [971] = {
    [sym_arrow_function] = STATE(46),
    [sym__declaration] = STATE(201),
    [sym_subscript_expression] = STATE(42),
    [sym_ternary_expression] = STATE(46),
    [sym_if_statement] = STATE(201),
    [sym_template_string] = STATE(46),
    [sym_do_statement] = STATE(201),
    [sym_return_statement] = STATE(201),
    [sym_yield_expression] = STATE(46),
    [sym_jsx_fragment] = STATE(46),
    [sym_function_declaration] = STATE(201),
    [sym_import_statement] = STATE(201),
    [sym_expression_statement] = STATE(201),
    [sym_switch_statement] = STATE(201),
    [sym_update_expression] = STATE(46),
    [sym_try_statement] = STATE(201),
    [sym_meta_property] = STATE(46),
    [sym_throw_statement] = STATE(201),
    [sym_object] = STATE(43),
    [aux_sym_export_statement_repeat1] = STATE(44),
    [sym_generator_function] = STATE(46),
    [sym_await_expression] = STATE(46),
    [sym_sequence_expression] = STATE(45),
    [sym_for_of_statement] = STATE(201),
    [sym_continue_statement] = STATE(201),
    [sym_call_expression] = STATE(46),
    [sym_assignment_expression] = STATE(46),
    [sym_statement_block] = STATE(201),
    [sym_binary_expression] = STATE(46),
    [sym_while_statement] = STATE(201),
    [sym_debugger_statement] = STATE(201),
    [sym__expression] = STATE(46),
    [sym_jsx_element] = STATE(46),
    [sym_function] = STATE(47),
    [sym_new_expression] = STATE(46),
    [sym_augmented_assignment_expression] = STATE(46),
    [sym_variable_declaration] = STATE(201),
    [sym_unary_expression] = STATE(46),
    [sym_for_statement] = STATE(201),
    [sym_regex] = STATE(46),
    [sym_with_statement] = STATE(201),
    [sym_empty_statement] = STATE(201),
    [aux_sym_program_repeat1] = STATE(201),
    [sym_class] = STATE(46),
    [sym_export_statement] = STATE(201),
    [sym_generator_function_declaration] = STATE(201),
    [sym_member_expression] = STATE(42),
    [sym_lexical_declaration] = STATE(201),
    [sym_for_in_statement] = STATE(201),
    [sym_string] = STATE(46),
    [sym_break_statement] = STATE(201),
    [sym_decorator] = STATE(50),
    [sym_labeled_statement] = STATE(201),
    [sym_formal_parameters] = STATE(51),
    [sym_parenthesized_expression] = STATE(46),
    [sym_array] = STATE(52),
    [sym_jsx_opening_element] = STATE(53),
    [sym_jsx_self_closing_element] = STATE(46),
    [sym_class_declaration] = STATE(201),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_delete] = ACTIONS(39),
    [anon_sym_throw] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [anon_sym_get] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(69),
    [sym_false] = ACTIONS(9),
    [sym_number] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_set] = ACTIONS(23),
    [anon_sym_async] = ACTIONS(81),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_RBRACE] = ACTIONS(2675),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_try] = ACTIONS(15),
    [anon_sym_for] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(5),
    [sym_null] = ACTIONS(9),
    [anon_sym_function] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(35),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_SLASH] = ACTIONS(45),
    [sym_undefined] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(61),
    [sym_identifier] = ACTIONS(65),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_switch] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(13),
    [anon_sym_void] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_do] = ACTIONS(21),
  },
  [972] = {
    [aux_sym_object_repeat1] = STATE(293),
    [anon_sym_COMMA] = ACTIONS(167),
    [anon_sym_RBRACE] = ACTIONS(2673),
    [sym_comment] = ACTIONS(3),
  },
  [973] = {
    [sym_template_string] = STATE(719),
    [sym_arguments] = STATE(719),
    [anon_sym_instanceof] = ACTIONS(696),
    [anon_sym_GT] = ACTIONS(676),
    [anon_sym_DASH] = ACTIONS(698),
    [anon_sym_CARET] = ACTIONS(700),
    [anon_sym_STAR_STAR] = ACTIONS(702),
    [anon_sym_STAR] = ACTIONS(704),
    [anon_sym_AMP_AMP] = ACTIONS(706),
    [anon_sym_GT_GT] = ACTIONS(704),
    [anon_sym_AMP] = ACTIONS(708),
    [anon_sym_in] = ACTIONS(676),
    [anon_sym_LPAREN] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(696),
    [anon_sym_GT_EQ] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(704),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(710),
    [anon_sym_PIPE] = ACTIONS(712),
    [anon_sym_LT_EQ] = ACTIONS(696),
    [anon_sym_PIPE_PIPE] = ACTIONS(700),
    [anon_sym_GT_GT_GT] = ACTIONS(714),
    [anon_sym_PLUS_PLUS] = ACTIONS(716),
    [anon_sym_COMMA] = ACTIONS(718),
    [anon_sym_BANG_EQ] = ACTIONS(676),
    [anon_sym_RPAREN] = ACTIONS(2677),
    [anon_sym_LT] = ACTIONS(676),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_PLUS] = ACTIONS(698),
    [anon_sym_EQ_EQ] = ACTIONS(676),
    [anon_sym_PERCENT] = ACTIONS(714),
    [anon_sym_QMARK] = ACTIONS(722),
    [anon_sym_LT_LT] = ACTIONS(714),
    [anon_sym_DASH_DASH] = ACTIONS(716),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(696),
  },
  [974] = {
    [anon_sym_RPAREN] = ACTIONS(2677),
    [sym_comment] = ACTIONS(3),
  },
  [975] = {
    [aux_sym_string_repeat2] = STATE(312),
    [sym_comment] = ACTIONS(237),
    [anon_sym_SQUOTE] = ACTIONS(2679),
    [sym_escape_sequence] = ACTIONS(746),
    [aux_sym_string_token2] = ACTIONS(746),
  },
  [976] = {
    [sym_template_string] = STATE(719),
    [aux_sym_array_repeat1] = STATE(989),
    [sym_arguments] = STATE(719),
    [anon_sym_instanceof] = ACTIONS(696),
    [anon_sym_GT] = ACTIONS(676),
    [anon_sym_DASH] = ACTIONS(698),
    [anon_sym_CARET] = ACTIONS(700),
    [anon_sym_STAR_STAR] = ACTIONS(702),
    [anon_sym_STAR] = ACTIONS(704),
    [anon_sym_AMP_AMP] = ACTIONS(706),
    [anon_sym_GT_GT] = ACTIONS(704),
    [anon_sym_AMP] = ACTIONS(708),
    [anon_sym_in] = ACTIONS(676),
    [anon_sym_LPAREN] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(696),
    [anon_sym_GT_EQ] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(704),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(710),
    [anon_sym_PIPE] = ACTIONS(712),
    [anon_sym_LT_EQ] = ACTIONS(696),
    [anon_sym_PIPE_PIPE] = ACTIONS(700),
    [anon_sym_COMMA] = ACTIONS(247),
    [anon_sym_GT_GT_GT] = ACTIONS(714),
    [anon_sym_PLUS_PLUS] = ACTIONS(716),
    [anon_sym_BANG_EQ] = ACTIONS(676),
    [anon_sym_LT] = ACTIONS(676),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_RBRACK] = ACTIONS(2681),
    [anon_sym_PLUS] = ACTIONS(698),
    [anon_sym_EQ_EQ] = ACTIONS(676),
    [anon_sym_PERCENT] = ACTIONS(714),
    [anon_sym_QMARK] = ACTIONS(722),
    [anon_sym_LT_LT] = ACTIONS(714),
    [anon_sym_DASH_DASH] = ACTIONS(716),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(696),
  },
  [977] = {
    [aux_sym_array_repeat1] = STATE(317),
    [anon_sym_COMMA] = ACTIONS(247),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(2681),
  },
  [978] = {
    [aux_sym_array_repeat1] = STATE(989),
    [anon_sym_COMMA] = ACTIONS(247),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(2681),
  },
  [979] = {
    [aux_sym_string_repeat1] = STATE(344),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [sym_comment] = ACTIONS(237),
    [sym_escape_sequence] = ACTIONS(828),
    [aux_sym_string_token1] = ACTIONS(828),
  },
  [980] = {
    [sym_arrow_function] = STATE(46),
    [sym__declaration] = STATE(971),
    [sym_subscript_expression] = STATE(42),
    [sym_ternary_expression] = STATE(46),
    [sym_if_statement] = STATE(971),
    [sym_template_string] = STATE(46),
    [sym_do_statement] = STATE(971),
    [sym_return_statement] = STATE(971),
    [sym_yield_expression] = STATE(46),
    [sym_jsx_fragment] = STATE(46),
    [sym_function_declaration] = STATE(971),
    [sym_import_statement] = STATE(971),
    [sym_expression_statement] = STATE(971),
    [sym_switch_statement] = STATE(971),
    [sym_update_expression] = STATE(46),
    [sym_try_statement] = STATE(971),
    [sym_meta_property] = STATE(46),
    [sym_throw_statement] = STATE(971),
    [sym_object] = STATE(43),
    [aux_sym_export_statement_repeat1] = STATE(44),
    [sym_generator_function] = STATE(46),
    [sym_await_expression] = STATE(46),
    [sym_sequence_expression] = STATE(45),
    [sym_for_of_statement] = STATE(971),
    [sym_continue_statement] = STATE(971),
    [sym_call_expression] = STATE(46),
    [sym_assignment_expression] = STATE(46),
    [sym_statement_block] = STATE(971),
    [sym_binary_expression] = STATE(46),
    [sym_while_statement] = STATE(971),
    [sym_debugger_statement] = STATE(971),
    [sym__expression] = STATE(46),
    [sym_jsx_element] = STATE(46),
    [sym_function] = STATE(47),
    [sym_new_expression] = STATE(46),
    [sym_augmented_assignment_expression] = STATE(46),
    [sym_variable_declaration] = STATE(971),
    [sym_unary_expression] = STATE(46),
    [sym_for_statement] = STATE(971),
    [sym_regex] = STATE(46),
    [sym_with_statement] = STATE(971),
    [sym_empty_statement] = STATE(971),
    [aux_sym_program_repeat1] = STATE(971),
    [sym_class] = STATE(46),
    [sym_export_statement] = STATE(971),
    [sym_generator_function_declaration] = STATE(971),
    [sym_member_expression] = STATE(42),
    [sym_lexical_declaration] = STATE(971),
    [sym_for_in_statement] = STATE(971),
    [sym_string] = STATE(46),
    [sym_break_statement] = STATE(971),
    [sym_decorator] = STATE(50),
    [sym_labeled_statement] = STATE(971),
    [sym_formal_parameters] = STATE(51),
    [sym_parenthesized_expression] = STATE(46),
    [sym_array] = STATE(52),
    [sym_jsx_opening_element] = STATE(53),
    [sym_jsx_self_closing_element] = STATE(46),
    [sym_class_declaration] = STATE(971),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_delete] = ACTIONS(39),
    [anon_sym_throw] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [anon_sym_get] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(69),
    [sym_false] = ACTIONS(9),
    [sym_number] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_set] = ACTIONS(23),
    [anon_sym_async] = ACTIONS(81),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_RBRACE] = ACTIONS(2683),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_try] = ACTIONS(15),
    [anon_sym_for] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(5),
    [sym_null] = ACTIONS(9),
    [anon_sym_function] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(35),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_SLASH] = ACTIONS(45),
    [sym_undefined] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(61),
    [sym_identifier] = ACTIONS(65),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_switch] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(13),
    [anon_sym_void] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_do] = ACTIONS(21),
  },
  [981] = {
    [sym_jsx_closing_element] = STATE(848),
    [aux_sym_jsx_element_repeat1] = STATE(404),
    [sym_jsx_opening_element] = STATE(967),
    [sym_jsx_expression] = STATE(404),
    [sym_jsx_self_closing_element] = STATE(404),
    [sym_jsx_element] = STATE(404),
    [anon_sym_LBRACE] = ACTIONS(426),
    [sym_comment] = ACTIONS(237),
    [sym_jsx_text] = ACTIONS(1116),
    [anon_sym_LT] = ACTIONS(2659),
  },
  [982] = {
    [sym_computed_property_name] = STATE(276),
    [sym_string] = STATE(276),
    [aux_sym_object_repeat1] = STATE(987),
    [sym__property_name] = STATE(276),
    [anon_sym_COLON] = ACTIONS(566),
    [anon_sym_COMMA] = ACTIONS(167),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_static] = ACTIONS(568),
    [sym_identifier] = ACTIONS(568),
    [anon_sym_STAR] = ACTIONS(646),
    [sym_number] = ACTIONS(578),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [anon_sym_set] = ACTIONS(576),
    [anon_sym_LPAREN] = ACTIONS(566),
    [anon_sym_async] = ACTIONS(580),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(589),
    [anon_sym_RBRACE] = ACTIONS(2685),
    [anon_sym_get] = ACTIONS(576),
  },
  [983] = {
    [aux_sym_object_repeat1] = STATE(987),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACE] = ACTIONS(2685),
    [anon_sym_LPAREN] = ACTIONS(566),
    [anon_sym_COLON] = ACTIONS(566),
    [anon_sym_COMMA] = ACTIONS(167),
    [anon_sym_EQ] = ACTIONS(1120),
  },
  [984] = {
    [sym_computed_property_name] = STATE(276),
    [sym_string] = STATE(276),
    [aux_sym_object_repeat1] = STATE(987),
    [sym__property_name] = STATE(276),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [anon_sym_set] = ACTIONS(568),
    [anon_sym_LPAREN] = ACTIONS(566),
    [anon_sym_COLON] = ACTIONS(566),
    [anon_sym_async] = ACTIONS(568),
    [anon_sym_COMMA] = ACTIONS(167),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_static] = ACTIONS(568),
    [anon_sym_LBRACK] = ACTIONS(589),
    [anon_sym_RBRACE] = ACTIONS(2685),
    [sym_identifier] = ACTIONS(568),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(568),
    [sym_number] = ACTIONS(578),
  },
  [985] = {
    [sym_computed_property_name] = STATE(276),
    [sym_string] = STATE(276),
    [aux_sym_object_repeat1] = STATE(987),
    [sym__property_name] = STATE(276),
    [anon_sym_COLON] = ACTIONS(566),
    [anon_sym_COMMA] = ACTIONS(167),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_static] = ACTIONS(568),
    [sym_identifier] = ACTIONS(568),
    [anon_sym_STAR] = ACTIONS(646),
    [sym_number] = ACTIONS(578),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [anon_sym_set] = ACTIONS(576),
    [anon_sym_LPAREN] = ACTIONS(566),
    [anon_sym_async] = ACTIONS(568),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(589),
    [anon_sym_RBRACE] = ACTIONS(2685),
    [anon_sym_get] = ACTIONS(576),
  },
  [986] = {
    [sym_method_definition] = STATE(227),
    [sym_string] = STATE(229),
    [aux_sym_export_statement_repeat1] = STATE(217),
    [sym_decorator] = STATE(50),
    [sym_public_field_definition] = STATE(228),
    [sym__property_name] = STATE(229),
    [sym_computed_property_name] = STATE(229),
    [aux_sym_class_body_repeat1] = STATE(419),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_static] = ACTIONS(462),
    [sym_identifier] = ACTIONS(464),
    [anon_sym_STAR] = ACTIONS(161),
    [sym_number] = ACTIONS(466),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_set] = ACTIONS(468),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_async] = ACTIONS(470),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(472),
    [anon_sym_RBRACE] = ACTIONS(2687),
    [anon_sym_get] = ACTIONS(468),
  },
  [987] = {
    [aux_sym_object_repeat1] = STATE(293),
    [anon_sym_COMMA] = ACTIONS(167),
    [anon_sym_RBRACE] = ACTIONS(2689),
    [sym_comment] = ACTIONS(3),
  },
  [988] = {
    [aux_sym_object_repeat1] = STATE(293),
    [anon_sym_COMMA] = ACTIONS(167),
    [anon_sym_RBRACE] = ACTIONS(2691),
    [sym_comment] = ACTIONS(3),
  },
  [989] = {
    [aux_sym_array_repeat1] = STATE(317),
    [anon_sym_COMMA] = ACTIONS(247),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(2693),
  },
  [990] = {
    [anon_sym_GT] = ACTIONS(2695),
    [sym_comment] = ACTIONS(3),
  },
  [991] = {
    [anon_sym_GT] = ACTIONS(2697),
    [sym_comment] = ACTIONS(3),
  },
  [992] = {
    [anon_sym_GT] = ACTIONS(2699),
    [sym_comment] = ACTIONS(3),
  },
  [993] = {
    [anon_sym_GT] = ACTIONS(2701),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(812),
    [anon_sym_DOT] = ACTIONS(820),
  },
  [994] = {
    [anon_sym_COLON] = ACTIONS(812),
    [anon_sym_GT] = ACTIONS(2701),
    [sym_comment] = ACTIONS(3),
  },
  [995] = {
    [anon_sym_DOT] = ACTIONS(820),
    [anon_sym_GT] = ACTIONS(2701),
    [sym_comment] = ACTIONS(3),
  },
  [996] = {
    [anon_sym_GT] = ACTIONS(2701),
    [sym_comment] = ACTIONS(3),
  },
  [997] = {
    [anon_sym_GT] = ACTIONS(2703),
    [sym_comment] = ACTIONS(3),
  },
  [998] = {
    [sym_jsx_closing_element] = STATE(858),
    [aux_sym_jsx_element_repeat1] = STATE(1001),
    [sym_jsx_opening_element] = STATE(967),
    [sym_jsx_expression] = STATE(1001),
    [sym_jsx_self_closing_element] = STATE(1001),
    [sym_jsx_element] = STATE(1001),
    [anon_sym_LBRACE] = ACTIONS(426),
    [sym_comment] = ACTIONS(237),
    [sym_jsx_text] = ACTIONS(2705),
    [anon_sym_LT] = ACTIONS(2707),
  },
  [999] = {
    [sym_arrow_function] = STATE(46),
    [sym__declaration] = STATE(201),
    [sym_subscript_expression] = STATE(42),
    [sym_ternary_expression] = STATE(46),
    [sym_if_statement] = STATE(201),
    [sym_template_string] = STATE(46),
    [sym_do_statement] = STATE(201),
    [sym_return_statement] = STATE(201),
    [sym_yield_expression] = STATE(46),
    [sym_jsx_fragment] = STATE(46),
    [sym_function_declaration] = STATE(201),
    [sym_import_statement] = STATE(201),
    [sym_expression_statement] = STATE(201),
    [sym_switch_statement] = STATE(201),
    [sym_update_expression] = STATE(46),
    [sym_try_statement] = STATE(201),
    [sym_meta_property] = STATE(46),
    [sym_throw_statement] = STATE(201),
    [sym_object] = STATE(43),
    [aux_sym_export_statement_repeat1] = STATE(44),
    [sym_generator_function] = STATE(46),
    [sym_await_expression] = STATE(46),
    [sym_sequence_expression] = STATE(45),
    [sym_for_of_statement] = STATE(201),
    [sym_continue_statement] = STATE(201),
    [sym_call_expression] = STATE(46),
    [sym_assignment_expression] = STATE(46),
    [sym_statement_block] = STATE(201),
    [sym_binary_expression] = STATE(46),
    [sym_while_statement] = STATE(201),
    [sym_debugger_statement] = STATE(201),
    [sym__expression] = STATE(46),
    [sym_jsx_element] = STATE(46),
    [sym_function] = STATE(47),
    [sym_new_expression] = STATE(46),
    [sym_augmented_assignment_expression] = STATE(46),
    [sym_variable_declaration] = STATE(201),
    [sym_unary_expression] = STATE(46),
    [sym_for_statement] = STATE(201),
    [sym_regex] = STATE(46),
    [sym_with_statement] = STATE(201),
    [sym_empty_statement] = STATE(201),
    [aux_sym_program_repeat1] = STATE(201),
    [sym_class] = STATE(46),
    [sym_export_statement] = STATE(201),
    [sym_generator_function_declaration] = STATE(201),
    [sym_member_expression] = STATE(42),
    [sym_lexical_declaration] = STATE(201),
    [sym_for_in_statement] = STATE(201),
    [sym_string] = STATE(46),
    [sym_break_statement] = STATE(201),
    [sym_decorator] = STATE(50),
    [sym_labeled_statement] = STATE(201),
    [sym_formal_parameters] = STATE(51),
    [sym_parenthesized_expression] = STATE(46),
    [sym_array] = STATE(52),
    [sym_jsx_opening_element] = STATE(53),
    [sym_jsx_self_closing_element] = STATE(46),
    [sym_class_declaration] = STATE(201),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_delete] = ACTIONS(39),
    [anon_sym_throw] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [anon_sym_get] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(69),
    [sym_false] = ACTIONS(9),
    [sym_number] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_set] = ACTIONS(23),
    [anon_sym_async] = ACTIONS(81),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_RBRACE] = ACTIONS(2709),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_try] = ACTIONS(15),
    [anon_sym_for] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(5),
    [sym_null] = ACTIONS(9),
    [anon_sym_function] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(35),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_SLASH] = ACTIONS(45),
    [sym_undefined] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(61),
    [sym_identifier] = ACTIONS(65),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_switch] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(13),
    [anon_sym_void] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_do] = ACTIONS(21),
  },
  [1000] = {
    [sym_arrow_function] = STATE(46),
    [sym__declaration] = STATE(999),
    [sym_subscript_expression] = STATE(42),
    [sym_ternary_expression] = STATE(46),
    [sym_if_statement] = STATE(999),
    [sym_template_string] = STATE(46),
    [sym_do_statement] = STATE(999),
    [sym_return_statement] = STATE(999),
    [sym_yield_expression] = STATE(46),
    [sym_jsx_fragment] = STATE(46),
    [sym_function_declaration] = STATE(999),
    [sym_import_statement] = STATE(999),
    [sym_expression_statement] = STATE(999),
    [sym_switch_statement] = STATE(999),
    [sym_update_expression] = STATE(46),
    [sym_try_statement] = STATE(999),
    [sym_meta_property] = STATE(46),
    [sym_throw_statement] = STATE(999),
    [sym_object] = STATE(43),
    [aux_sym_export_statement_repeat1] = STATE(44),
    [sym_generator_function] = STATE(46),
    [sym_await_expression] = STATE(46),
    [sym_sequence_expression] = STATE(45),
    [sym_for_of_statement] = STATE(999),
    [sym_continue_statement] = STATE(999),
    [sym_call_expression] = STATE(46),
    [sym_assignment_expression] = STATE(46),
    [sym_statement_block] = STATE(999),
    [sym_binary_expression] = STATE(46),
    [sym_while_statement] = STATE(999),
    [sym_debugger_statement] = STATE(999),
    [sym__expression] = STATE(46),
    [sym_jsx_element] = STATE(46),
    [sym_function] = STATE(47),
    [sym_new_expression] = STATE(46),
    [sym_augmented_assignment_expression] = STATE(46),
    [sym_variable_declaration] = STATE(999),
    [sym_unary_expression] = STATE(46),
    [sym_for_statement] = STATE(999),
    [sym_regex] = STATE(46),
    [sym_with_statement] = STATE(999),
    [sym_empty_statement] = STATE(999),
    [aux_sym_program_repeat1] = STATE(999),
    [sym_class] = STATE(46),
    [sym_export_statement] = STATE(999),
    [sym_generator_function_declaration] = STATE(999),
    [sym_member_expression] = STATE(42),
    [sym_lexical_declaration] = STATE(999),
    [sym_for_in_statement] = STATE(999),
    [sym_string] = STATE(46),
    [sym_break_statement] = STATE(999),
    [sym_decorator] = STATE(50),
    [sym_labeled_statement] = STATE(999),
    [sym_formal_parameters] = STATE(51),
    [sym_parenthesized_expression] = STATE(46),
    [sym_array] = STATE(52),
    [sym_jsx_opening_element] = STATE(53),
    [sym_jsx_self_closing_element] = STATE(46),
    [sym_class_declaration] = STATE(999),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_delete] = ACTIONS(39),
    [anon_sym_throw] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [anon_sym_get] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(69),
    [sym_false] = ACTIONS(9),
    [sym_number] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_set] = ACTIONS(23),
    [anon_sym_async] = ACTIONS(81),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_RBRACE] = ACTIONS(2711),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_try] = ACTIONS(15),
    [anon_sym_for] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(5),
    [sym_null] = ACTIONS(9),
    [anon_sym_function] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(35),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_SLASH] = ACTIONS(45),
    [sym_undefined] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(61),
    [sym_identifier] = ACTIONS(65),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_switch] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(13),
    [anon_sym_void] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_do] = ACTIONS(21),
  },
  [1001] = {
    [sym_jsx_closing_element] = STATE(861),
    [aux_sym_jsx_element_repeat1] = STATE(404),
    [sym_jsx_opening_element] = STATE(967),
    [sym_jsx_expression] = STATE(404),
    [sym_jsx_self_closing_element] = STATE(404),
    [sym_jsx_element] = STATE(404),
    [anon_sym_LBRACE] = ACTIONS(426),
    [sym_comment] = ACTIONS(237),
    [sym_jsx_text] = ACTIONS(1116),
    [anon_sym_LT] = ACTIONS(2707),
  },
  [1002] = {
    [anon_sym_GT] = ACTIONS(2713),
    [sym_comment] = ACTIONS(3),
  },
  [1003] = {
    [anon_sym_GT] = ACTIONS(2715),
    [sym_comment] = ACTIONS(3),
  },
  [1004] = {
    [anon_sym_GT] = ACTIONS(2717),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(812),
    [anon_sym_DOT] = ACTIONS(820),
  },
  [1005] = {
    [anon_sym_COLON] = ACTIONS(812),
    [anon_sym_GT] = ACTIONS(2717),
    [sym_comment] = ACTIONS(3),
  },
  [1006] = {
    [anon_sym_DOT] = ACTIONS(820),
    [anon_sym_GT] = ACTIONS(2717),
    [sym_comment] = ACTIONS(3),
  },
  [1007] = {
    [anon_sym_GT] = ACTIONS(2717),
    [sym_comment] = ACTIONS(3),
  },
  [1008] = {
    [sym_class_body] = STATE(65),
    [sym_class_heritage] = STATE(66),
    [anon_sym_LBRACE] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_identifier] = ACTIONS(2719),
    [anon_sym_extends] = ACTIONS(113),
  },
  [1009] = {
    [sym_arrow_function] = STATE(46),
    [sym__declaration] = STATE(890),
    [sym_subscript_expression] = STATE(42),
    [sym_ternary_expression] = STATE(46),
    [sym_if_statement] = STATE(890),
    [sym_template_string] = STATE(46),
    [sym_do_statement] = STATE(890),
    [sym_return_statement] = STATE(890),
    [sym_yield_expression] = STATE(46),
    [sym_jsx_fragment] = STATE(46),
    [sym_function_declaration] = STATE(890),
    [sym_import_statement] = STATE(890),
    [sym_expression_statement] = STATE(890),
    [sym_switch_statement] = STATE(890),
    [sym_update_expression] = STATE(46),
    [sym_try_statement] = STATE(890),
    [sym_meta_property] = STATE(46),
    [sym_throw_statement] = STATE(890),
    [sym_pair] = STATE(104),
    [sym_object] = STATE(105),
    [aux_sym_export_statement_repeat1] = STATE(106),
    [sym_generator_function] = STATE(46),
    [sym_await_expression] = STATE(46),
    [sym_sequence_expression] = STATE(45),
    [sym_for_of_statement] = STATE(890),
    [sym_continue_statement] = STATE(890),
    [sym__property_name] = STATE(107),
    [sym_call_expression] = STATE(46),
    [sym_assignment_expression] = STATE(46),
    [sym_statement_block] = STATE(890),
    [sym_binary_expression] = STATE(46),
    [sym_while_statement] = STATE(890),
    [sym_debugger_statement] = STATE(890),
    [sym__expression] = STATE(46),
    [sym_jsx_element] = STATE(46),
    [sym_function] = STATE(47),
    [sym_new_expression] = STATE(46),
    [sym_augmented_assignment_expression] = STATE(46),
    [sym_variable_declaration] = STATE(890),
    [sym_unary_expression] = STATE(46),
    [sym_for_statement] = STATE(890),
    [sym_regex] = STATE(46),
    [sym_with_statement] = STATE(890),
    [sym_empty_statement] = STATE(890),
    [sym_method_definition] = STATE(104),
    [aux_sym_program_repeat1] = STATE(890),
    [sym_assignment_pattern] = STATE(104),
    [aux_sym_object_repeat1] = STATE(109),
    [sym_class] = STATE(46),
    [sym_export_statement] = STATE(890),
    [sym_generator_function_declaration] = STATE(890),
    [sym_member_expression] = STATE(42),
    [sym_lexical_declaration] = STATE(890),
    [sym_spread_element] = STATE(104),
    [sym_for_in_statement] = STATE(890),
    [sym_string] = STATE(99),
    [sym_break_statement] = STATE(890),
    [sym_decorator] = STATE(50),
    [sym_labeled_statement] = STATE(890),
    [sym_formal_parameters] = STATE(51),
    [sym_parenthesized_expression] = STATE(46),
    [sym_computed_property_name] = STATE(107),
    [sym_array] = STATE(110),
    [sym_jsx_opening_element] = STATE(53),
    [sym_jsx_self_closing_element] = STATE(46),
    [sym_class_declaration] = STATE(890),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_static] = ACTIONS(159),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(29),
    [anon_sym_STAR] = ACTIONS(161),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_delete] = ACTIONS(39),
    [anon_sym_throw] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [anon_sym_get] = ACTIONS(163),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(165),
    [anon_sym_COMMA] = ACTIONS(167),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(69),
    [sym_false] = ACTIONS(9),
    [sym_number] = ACTIONS(169),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_set] = ACTIONS(163),
    [anon_sym_async] = ACTIONS(171),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_RBRACE] = ACTIONS(173),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_try] = ACTIONS(15),
    [anon_sym_for] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(5),
    [sym_null] = ACTIONS(9),
    [anon_sym_function] = ACTIONS(25),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_with] = ACTIONS(35),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_SLASH] = ACTIONS(45),
    [sym_undefined] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(175),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(61),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_switch] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(13),
    [anon_sym_void] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_do] = ACTIONS(21),
  },
  [1010] = {
    [sym_arrow_function] = STATE(973),
    [sym_call_expression] = STATE(973),
    [sym_subscript_expression] = STATE(701),
    [sym_assignment_expression] = STATE(973),
    [sym_ternary_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_template_string] = STATE(973),
    [sym_rest_parameter] = STATE(119),
    [sym__expression] = STATE(973),
    [sym_yield_expression] = STATE(973),
    [sym_jsx_element] = STATE(973),
    [sym_jsx_fragment] = STATE(973),
    [sym_function] = STATE(703),
    [sym_new_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym_unary_expression] = STATE(973),
    [sym_update_expression] = STATE(973),
    [sym_regex] = STATE(973),
    [sym_meta_property] = STATE(973),
    [sym_object] = STATE(121),
    [aux_sym_export_statement_repeat1] = STATE(1016),
    [sym_assignment_pattern] = STATE(119),
    [sym_class] = STATE(973),
    [sym_generator_function] = STATE(973),
    [sym_await_expression] = STATE(973),
    [sym_member_expression] = STATE(701),
    [sym_sequence_expression] = STATE(974),
    [sym_string] = STATE(973),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(874),
    [sym_parenthesized_expression] = STATE(973),
    [sym_array] = STATE(123),
    [sym_jsx_opening_element] = STATE(875),
    [sym_jsx_self_closing_element] = STATE(973),
    [anon_sym_class] = ACTIONS(183),
    [anon_sym_static] = ACTIONS(185),
    [anon_sym_DASH] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_delete] = ACTIONS(191),
    [anon_sym_LPAREN] = ACTIONS(193),
    [anon_sym_BANG] = ACTIONS(195),
    [sym_this] = ACTIONS(2721),
    [sym_true] = ACTIONS(2721),
    [anon_sym_get] = ACTIONS(185),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(199),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_RPAREN] = ACTIONS(205),
    [anon_sym_TILDE] = ACTIONS(195),
    [sym_super] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(209),
    [sym_false] = ACTIONS(2721),
    [sym_number] = ACTIONS(2723),
    [anon_sym_yield] = ACTIONS(213),
    [anon_sym_set] = ACTIONS(185),
    [anon_sym_async] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_typeof] = ACTIONS(191),
    [anon_sym_await] = ACTIONS(217),
    [sym_null] = ACTIONS(2721),
    [anon_sym_function] = ACTIONS(219),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [anon_sym_SLASH] = ACTIONS(223),
    [sym_undefined] = ACTIONS(2721),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(225),
    [sym_identifier] = ACTIONS(227),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(231),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(187),
    [anon_sym_void] = ACTIONS(191),
  },
  [1011] = {
    [sym_regex_pattern] = ACTIONS(2725),
    [sym_comment] = ACTIONS(237),
  },
  [1012] = {
    [sym_arrow_function] = STATE(157),
    [sym_call_expression] = STATE(163),
    [sym_subscript_expression] = STATE(162),
    [sym_assignment_expression] = STATE(163),
    [sym_ternary_expression] = STATE(163),
    [sym_binary_expression] = STATE(163),
    [sym_template_string] = STATE(157),
    [sym__expression] = STATE(163),
    [sym_yield_expression] = STATE(163),
    [sym_jsx_element] = STATE(163),
    [sym_jsx_fragment] = STATE(163),
    [sym_function] = STATE(164),
    [sym_new_expression] = STATE(157),
    [sym_augmented_assignment_expression] = STATE(163),
    [sym_unary_expression] = STATE(163),
    [sym_update_expression] = STATE(163),
    [sym_regex] = STATE(157),
    [sym_meta_property] = STATE(157),
    [sym_object] = STATE(165),
    [aux_sym_export_statement_repeat1] = STATE(60),
    [sym_class] = STATE(157),
    [sym_generator_function] = STATE(157),
    [sym_await_expression] = STATE(163),
    [sym_member_expression] = STATE(162),
    [sym_string] = STATE(157),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(1013),
    [sym_parenthesized_expression] = STATE(157),
    [sym_array] = STATE(166),
    [sym_jsx_opening_element] = STATE(875),
    [sym_jsx_self_closing_element] = STATE(163),
    [anon_sym_await] = ACTIONS(217),
    [sym_null] = ACTIONS(318),
    [anon_sym_class] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(320),
    [anon_sym_function] = ACTIONS(95),
    [anon_sym_DASH] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(97),
    [anon_sym_delete] = ACTIONS(191),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(195),
    [sym_this] = ACTIONS(318),
    [sym_undefined] = ACTIONS(318),
    [sym_true] = ACTIONS(318),
    [anon_sym_SLASH] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(49),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(320),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(195),
    [sym_super] = ACTIONS(322),
    [sym_identifier] = ACTIONS(2727),
    [sym_false] = ACTIONS(318),
    [anon_sym_LT] = ACTIONS(209),
    [sym_number] = ACTIONS(326),
    [anon_sym_yield] = ACTIONS(213),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_DOT] = ACTIONS(328),
    [anon_sym_set] = ACTIONS(320),
    [anon_sym_async] = ACTIONS(2729),
    [anon_sym_new] = ACTIONS(1304),
    [anon_sym_PLUS] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_void] = ACTIONS(191),
    [anon_sym_typeof] = ACTIONS(191),
  },
  [1013] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(2731),
  },
  [1014] = {
    [sym_formal_parameters] = STATE(883),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(139),
    [sym_identifier] = ACTIONS(2733),
    [anon_sym_STAR] = ACTIONS(2735),
  },
  [1015] = {
    [anon_sym_instanceof] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(283),
    [sym__automatic_semicolon] = ACTIONS(277),
    [anon_sym_EQ] = ACTIONS(2737),
    [anon_sym_AMP_EQ] = ACTIONS(2739),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2739),
    [anon_sym_GT_GT_EQ] = ACTIONS(2739),
    [anon_sym_STAR_EQ] = ACTIONS(2739),
    [anon_sym_DASH] = ACTIONS(283),
    [anon_sym_CARET] = ACTIONS(283),
    [anon_sym_STAR_STAR] = ACTIONS(283),
    [anon_sym_STAR] = ACTIONS(283),
    [anon_sym_AMP_AMP] = ACTIONS(277),
    [anon_sym_GT_GT] = ACTIONS(283),
    [anon_sym_AMP] = ACTIONS(283),
    [anon_sym_in] = ACTIONS(1751),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(277),
    [anon_sym_SLASH] = ACTIONS(283),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(277),
    [anon_sym_PIPE_EQ] = ACTIONS(2739),
    [anon_sym_PERCENT_EQ] = ACTIONS(2739),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2739),
    [anon_sym_EQ_GT] = ACTIONS(2585),
    [anon_sym_SLASH_EQ] = ACTIONS(2739),
    [anon_sym_PLUS_EQ] = ACTIONS(2739),
    [anon_sym_PIPE] = ACTIONS(283),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_PIPE_PIPE] = ACTIONS(277),
    [anon_sym_COMMA] = ACTIONS(277),
    [anon_sym_GT_GT_GT] = ACTIONS(283),
    [anon_sym_SEMI] = ACTIONS(277),
    [anon_sym_PLUS_PLUS] = ACTIONS(277),
    [anon_sym_BANG_EQ] = ACTIONS(283),
    [anon_sym_LT] = ACTIONS(283),
    [anon_sym_DOT] = ACTIONS(275),
    [anon_sym_BQUOTE] = ACTIONS(277),
    [anon_sym_CARET_EQ] = ACTIONS(2739),
    [anon_sym_LT_LT_EQ] = ACTIONS(2739),
    [anon_sym_DASH_EQ] = ACTIONS(2739),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_EQ_EQ] = ACTIONS(283),
    [anon_sym_PERCENT] = ACTIONS(283),
    [anon_sym_QMARK] = ACTIONS(277),
    [anon_sym_RBRACE] = ACTIONS(277),
    [anon_sym_LT_LT] = ACTIONS(283),
    [anon_sym_DASH_DASH] = ACTIONS(277),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(277),
  },
  [1016] = {
    [sym_decorator] = STATE(50),
    [aux_sym_export_statement_repeat1] = STATE(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(2741),
    [anon_sym_AT] = ACTIONS(77),
  },
  [1017] = {
    [sym_arrow_function] = STATE(1052),
    [sym_call_expression] = STATE(1052),
    [sym_subscript_expression] = STATE(1127),
    [sym_assignment_expression] = STATE(1052),
    [sym_ternary_expression] = STATE(1052),
    [sym_binary_expression] = STATE(1052),
    [sym_template_string] = STATE(1052),
    [sym__expression] = STATE(1052),
    [sym_yield_expression] = STATE(1052),
    [sym_jsx_element] = STATE(1052),
    [sym_jsx_fragment] = STATE(1052),
    [sym_function] = STATE(47),
    [sym_new_expression] = STATE(1052),
    [sym_augmented_assignment_expression] = STATE(1052),
    [sym_unary_expression] = STATE(1052),
    [sym_update_expression] = STATE(1052),
    [sym_regex] = STATE(1052),
    [sym_meta_property] = STATE(1052),
    [sym_object] = STATE(1128),
    [aux_sym_export_statement_repeat1] = STATE(60),
    [sym_class] = STATE(1052),
    [sym_generator_function] = STATE(1052),
    [sym_await_expression] = STATE(1052),
    [sym_member_expression] = STATE(1127),
    [sym_string] = STATE(1052),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(1013),
    [sym_parenthesized_expression] = STATE(1052),
    [sym_array] = STATE(1130),
    [sym_jsx_opening_element] = STATE(53),
    [sym_jsx_self_closing_element] = STATE(1052),
    [anon_sym_await] = ACTIONS(1282),
    [sym_null] = ACTIONS(2743),
    [anon_sym_class] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(1286),
    [anon_sym_function] = ACTIONS(95),
    [anon_sym_DASH] = ACTIONS(1288),
    [anon_sym_LBRACE] = ACTIONS(97),
    [anon_sym_delete] = ACTIONS(1290),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(1292),
    [sym_this] = ACTIONS(2743),
    [sym_undefined] = ACTIONS(2743),
    [sym_true] = ACTIONS(2743),
    [anon_sym_SLASH] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(49),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(1286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1294),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1292),
    [sym_super] = ACTIONS(63),
    [sym_identifier] = ACTIONS(1296),
    [sym_false] = ACTIONS(2743),
    [anon_sym_LT] = ACTIONS(69),
    [sym_number] = ACTIONS(2745),
    [anon_sym_yield] = ACTIONS(1300),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_set] = ACTIONS(1286),
    [anon_sym_async] = ACTIONS(1302),
    [anon_sym_new] = ACTIONS(1304),
    [anon_sym_PLUS] = ACTIONS(1288),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(1294),
    [anon_sym_void] = ACTIONS(1290),
    [anon_sym_typeof] = ACTIONS(1290),
  },
  [1018] = {
    [sym_arrow_function] = STATE(1053),
    [sym_call_expression] = STATE(1053),
    [sym_subscript_expression] = STATE(1127),
    [sym_assignment_expression] = STATE(1053),
    [sym_ternary_expression] = STATE(1053),
    [sym_binary_expression] = STATE(1053),
    [sym_template_string] = STATE(1053),
    [sym__expression] = STATE(1053),
    [sym_yield_expression] = STATE(1053),
    [sym_jsx_element] = STATE(1053),
    [sym_jsx_fragment] = STATE(1053),
    [sym_function] = STATE(47),
    [sym_new_expression] = STATE(1053),
    [sym_augmented_assignment_expression] = STATE(1053),
    [sym_unary_expression] = STATE(1053),
    [sym_update_expression] = STATE(1053),
    [sym_regex] = STATE(1053),
    [sym_meta_property] = STATE(1053),
    [sym_object] = STATE(1128),
    [aux_sym_export_statement_repeat1] = STATE(60),
    [sym_class] = STATE(1053),
    [sym_generator_function] = STATE(1053),
    [sym_await_expression] = STATE(1053),
    [sym_member_expression] = STATE(1127),
    [sym_string] = STATE(1053),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(1013),
    [sym_parenthesized_expression] = STATE(1053),
    [sym_array] = STATE(1130),
    [sym_jsx_opening_element] = STATE(53),
    [sym_jsx_self_closing_element] = STATE(1053),
    [anon_sym_await] = ACTIONS(1282),
    [sym_null] = ACTIONS(2747),
    [anon_sym_class] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(1286),
    [anon_sym_function] = ACTIONS(95),
    [anon_sym_DASH] = ACTIONS(1288),
    [anon_sym_LBRACE] = ACTIONS(97),
    [anon_sym_delete] = ACTIONS(1290),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(1292),
    [sym_this] = ACTIONS(2747),
    [sym_undefined] = ACTIONS(2747),
    [sym_true] = ACTIONS(2747),
    [anon_sym_SLASH] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(49),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(1286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1294),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1292),
    [sym_super] = ACTIONS(63),
    [sym_identifier] = ACTIONS(1296),
    [sym_false] = ACTIONS(2747),
    [anon_sym_LT] = ACTIONS(69),
    [sym_number] = ACTIONS(2749),
    [anon_sym_yield] = ACTIONS(1300),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_set] = ACTIONS(1286),
    [anon_sym_async] = ACTIONS(1302),
    [anon_sym_new] = ACTIONS(1304),
    [anon_sym_PLUS] = ACTIONS(1288),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(1294),
    [anon_sym_void] = ACTIONS(1290),
    [anon_sym_typeof] = ACTIONS(1290),
  },
  [1019] = {
    [sym_formal_parameters] = STATE(920),
    [anon_sym_LPAREN] = ACTIONS(139),
    [sym_comment] = ACTIONS(3),
  },
  [1020] = {
    [sym_arrow_function] = STATE(120),
    [sym_call_expression] = STATE(120),
    [sym_subscript_expression] = STATE(701),
    [sym_assignment_expression] = STATE(120),
    [sym_ternary_expression] = STATE(120),
    [sym_binary_expression] = STATE(120),
    [sym_template_string] = STATE(120),
    [sym__expression] = STATE(120),
    [sym_yield_expression] = STATE(120),
    [sym_jsx_element] = STATE(120),
    [sym_jsx_fragment] = STATE(120),
    [sym_function] = STATE(703),
    [sym_new_expression] = STATE(120),
    [sym_augmented_assignment_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_regex] = STATE(120),
    [sym_meta_property] = STATE(120),
    [sym_object] = STATE(702),
    [aux_sym_export_statement_repeat1] = STATE(1016),
    [sym_class] = STATE(120),
    [sym_generator_function] = STATE(120),
    [sym_await_expression] = STATE(120),
    [sym_member_expression] = STATE(701),
    [sym_sequence_expression] = STATE(122),
    [sym_string] = STATE(120),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(874),
    [sym_parenthesized_expression] = STATE(120),
    [sym_array] = STATE(704),
    [sym_jsx_opening_element] = STATE(875),
    [sym_jsx_self_closing_element] = STATE(120),
    [anon_sym_await] = ACTIONS(217),
    [sym_null] = ACTIONS(197),
    [anon_sym_class] = ACTIONS(183),
    [anon_sym_static] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(219),
    [anon_sym_DASH] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_delete] = ACTIONS(191),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [anon_sym_LPAREN] = ACTIONS(193),
    [anon_sym_BANG] = ACTIONS(195),
    [sym_this] = ACTIONS(197),
    [sym_undefined] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [anon_sym_SLASH] = ACTIONS(223),
    [anon_sym_LBRACK] = ACTIONS(225),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(243),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_TILDE] = ACTIONS(195),
    [sym_super] = ACTIONS(207),
    [sym_identifier] = ACTIONS(253),
    [sym_false] = ACTIONS(197),
    [anon_sym_LT] = ACTIONS(209),
    [sym_number] = ACTIONS(211),
    [anon_sym_yield] = ACTIONS(213),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_set] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(251),
    [anon_sym_new] = ACTIONS(231),
    [anon_sym_PLUS] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_void] = ACTIONS(191),
    [anon_sym_typeof] = ACTIONS(191),
  },
  [1021] = {
    [sym_arrow_function] = STATE(46),
    [sym__declaration] = STATE(1138),
    [sym_subscript_expression] = STATE(42),
    [sym_ternary_expression] = STATE(46),
    [sym_if_statement] = STATE(1138),
    [sym_template_string] = STATE(46),
    [sym_do_statement] = STATE(1138),
    [sym_return_statement] = STATE(1138),
    [sym_yield_expression] = STATE(46),
    [sym_jsx_fragment] = STATE(46),
    [sym_function_declaration] = STATE(1138),
    [sym_import_statement] = STATE(1138),
    [sym_expression_statement] = STATE(1138),
    [sym_switch_statement] = STATE(1138),
    [sym_update_expression] = STATE(46),
    [sym_try_statement] = STATE(1138),
    [sym_meta_property] = STATE(46),
    [sym_throw_statement] = STATE(1138),
    [sym_object] = STATE(43),
    [aux_sym_export_statement_repeat1] = STATE(1129),
    [sym_generator_function] = STATE(46),
    [sym_await_expression] = STATE(46),
    [sym_sequence_expression] = STATE(45),
    [sym_for_of_statement] = STATE(1138),
    [sym_continue_statement] = STATE(1138),
    [sym_call_expression] = STATE(46),
    [sym_assignment_expression] = STATE(46),
    [sym_statement_block] = STATE(1138),
    [sym_binary_expression] = STATE(46),
    [sym_while_statement] = STATE(1138),
    [sym_debugger_statement] = STATE(1138),
    [sym__expression] = STATE(46),
    [sym_jsx_element] = STATE(46),
    [sym_function] = STATE(47),
    [sym_new_expression] = STATE(46),
    [sym_augmented_assignment_expression] = STATE(46),
    [sym_variable_declaration] = STATE(1138),
    [sym_unary_expression] = STATE(46),
    [sym_for_statement] = STATE(1138),
    [sym_regex] = STATE(46),
    [sym_with_statement] = STATE(1138),
    [sym_empty_statement] = STATE(1138),
    [sym_class] = STATE(46),
    [sym_export_statement] = STATE(1138),
    [sym_generator_function_declaration] = STATE(1138),
    [sym_member_expression] = STATE(42),
    [sym_lexical_declaration] = STATE(1138),
    [sym_for_in_statement] = STATE(1138),
    [sym_string] = STATE(46),
    [sym_break_statement] = STATE(1138),
    [sym_decorator] = STATE(50),
    [sym_labeled_statement] = STATE(1138),
    [sym_formal_parameters] = STATE(51),
    [sym_parenthesized_expression] = STATE(46),
    [sym_array] = STATE(52),
    [sym_jsx_opening_element] = STATE(53),
    [sym_jsx_self_closing_element] = STATE(46),
    [sym_class_declaration] = STATE(1138),
    [anon_sym_class] = ACTIONS(366),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_delete] = ACTIONS(39),
    [anon_sym_throw] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [anon_sym_get] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(69),
    [sym_false] = ACTIONS(9),
    [sym_number] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_set] = ACTIONS(23),
    [anon_sym_async] = ACTIONS(368),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_try] = ACTIONS(15),
    [anon_sym_for] = ACTIONS(370),
    [anon_sym_typeof] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(5),
    [sym_null] = ACTIONS(9),
    [anon_sym_function] = ACTIONS(372),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_if] = ACTIONS(374),
    [anon_sym_with] = ACTIONS(376),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_SLASH] = ACTIONS(45),
    [sym_undefined] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(378),
    [sym_identifier] = ACTIONS(380),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_switch] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(382),
    [anon_sym_continue] = ACTIONS(13),
    [anon_sym_void] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_do] = ACTIONS(21),
  },
  [1022] = {
    [sym_arrow_function] = STATE(46),
    [sym__declaration] = STATE(295),
    [sym_subscript_expression] = STATE(42),
    [sym_ternary_expression] = STATE(46),
    [sym_if_statement] = STATE(295),
    [sym_template_string] = STATE(46),
    [sym_do_statement] = STATE(295),
    [sym_return_statement] = STATE(295),
    [sym_yield_expression] = STATE(46),
    [sym_jsx_fragment] = STATE(46),
    [sym_function_declaration] = STATE(295),
    [sym_import_statement] = STATE(295),
    [sym_expression_statement] = STATE(295),
    [sym_switch_statement] = STATE(295),
    [sym_update_expression] = STATE(46),
    [sym_try_statement] = STATE(295),
    [sym_meta_property] = STATE(46),
    [sym_throw_statement] = STATE(295),
    [sym_object] = STATE(43),
    [aux_sym_export_statement_repeat1] = STATE(1129),
    [sym_generator_function] = STATE(46),
    [sym_await_expression] = STATE(46),
    [sym_sequence_expression] = STATE(45),
    [sym_for_of_statement] = STATE(295),
    [sym_continue_statement] = STATE(295),
    [sym_call_expression] = STATE(46),
    [sym_assignment_expression] = STATE(46),
    [sym_statement_block] = STATE(295),
    [sym_binary_expression] = STATE(46),
    [sym_while_statement] = STATE(295),
    [sym_debugger_statement] = STATE(295),
    [sym__expression] = STATE(46),
    [sym_jsx_element] = STATE(46),
    [sym_function] = STATE(47),
    [sym_new_expression] = STATE(46),
    [sym_augmented_assignment_expression] = STATE(46),
    [sym_variable_declaration] = STATE(295),
    [sym_unary_expression] = STATE(46),
    [sym_for_statement] = STATE(295),
    [sym_regex] = STATE(46),
    [sym_with_statement] = STATE(295),
    [sym_empty_statement] = STATE(295),
    [sym_class] = STATE(46),
    [sym_export_statement] = STATE(295),
    [sym_generator_function_declaration] = STATE(295),
    [sym_member_expression] = STATE(42),
    [sym_lexical_declaration] = STATE(295),
    [sym_for_in_statement] = STATE(295),
    [sym_string] = STATE(46),
    [sym_break_statement] = STATE(295),
    [sym_decorator] = STATE(50),
    [sym_labeled_statement] = STATE(295),
    [sym_formal_parameters] = STATE(51),
    [sym_parenthesized_expression] = STATE(46),
    [sym_array] = STATE(52),
    [sym_jsx_opening_element] = STATE(53),
    [sym_jsx_self_closing_element] = STATE(46),
    [sym_class_declaration] = STATE(295),
    [anon_sym_class] = ACTIONS(366),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_delete] = ACTIONS(39),
    [anon_sym_throw] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [anon_sym_get] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(69),
    [sym_false] = ACTIONS(9),
    [sym_number] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_set] = ACTIONS(23),
    [anon_sym_async] = ACTIONS(368),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_try] = ACTIONS(15),
    [anon_sym_for] = ACTIONS(370),
    [anon_sym_typeof] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(5),
    [sym_null] = ACTIONS(9),
    [anon_sym_function] = ACTIONS(372),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_if] = ACTIONS(374),
    [anon_sym_with] = ACTIONS(376),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_SLASH] = ACTIONS(45),
    [sym_undefined] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(378),
    [sym_identifier] = ACTIONS(380),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_switch] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(382),
    [anon_sym_continue] = ACTIONS(13),
    [anon_sym_void] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_do] = ACTIONS(21),
  },
  [1023] = {
    [sym_arrow_function] = STATE(46),
    [sym__declaration] = STATE(320),
    [sym_subscript_expression] = STATE(42),
    [sym_ternary_expression] = STATE(46),
    [sym_if_statement] = STATE(320),
    [sym_template_string] = STATE(46),
    [sym_do_statement] = STATE(320),
    [sym_return_statement] = STATE(320),
    [sym_yield_expression] = STATE(46),
    [sym_jsx_fragment] = STATE(46),
    [sym_function_declaration] = STATE(320),
    [sym_import_statement] = STATE(320),
    [sym_expression_statement] = STATE(320),
    [sym_switch_statement] = STATE(320),
    [sym_update_expression] = STATE(46),
    [sym_try_statement] = STATE(320),
    [sym_meta_property] = STATE(46),
    [sym_throw_statement] = STATE(320),
    [sym_object] = STATE(43),
    [aux_sym_export_statement_repeat1] = STATE(1129),
    [sym_generator_function] = STATE(46),
    [sym_await_expression] = STATE(46),
    [sym_sequence_expression] = STATE(45),
    [sym_for_of_statement] = STATE(320),
    [sym_continue_statement] = STATE(320),
    [sym_call_expression] = STATE(46),
    [sym_assignment_expression] = STATE(46),
    [sym_statement_block] = STATE(320),
    [sym_binary_expression] = STATE(46),
    [sym_while_statement] = STATE(320),
    [sym_debugger_statement] = STATE(320),
    [sym__expression] = STATE(46),
    [sym_jsx_element] = STATE(46),
    [sym_function] = STATE(47),
    [sym_new_expression] = STATE(46),
    [sym_augmented_assignment_expression] = STATE(46),
    [sym_variable_declaration] = STATE(320),
    [sym_unary_expression] = STATE(46),
    [sym_for_statement] = STATE(320),
    [sym_regex] = STATE(46),
    [sym_with_statement] = STATE(320),
    [sym_empty_statement] = STATE(320),
    [sym_class] = STATE(46),
    [sym_export_statement] = STATE(320),
    [sym_generator_function_declaration] = STATE(320),
    [sym_member_expression] = STATE(42),
    [sym_lexical_declaration] = STATE(320),
    [sym_for_in_statement] = STATE(320),
    [sym_string] = STATE(46),
    [sym_break_statement] = STATE(320),
    [sym_decorator] = STATE(50),
    [sym_labeled_statement] = STATE(320),
    [sym_formal_parameters] = STATE(51),
    [sym_parenthesized_expression] = STATE(46),
    [sym_array] = STATE(52),
    [sym_jsx_opening_element] = STATE(53),
    [sym_jsx_self_closing_element] = STATE(46),
    [sym_class_declaration] = STATE(320),
    [anon_sym_class] = ACTIONS(366),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_delete] = ACTIONS(39),
    [anon_sym_throw] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [anon_sym_get] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(69),
    [sym_false] = ACTIONS(9),
    [sym_number] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_set] = ACTIONS(23),
    [anon_sym_async] = ACTIONS(368),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_try] = ACTIONS(15),
    [anon_sym_for] = ACTIONS(370),
    [anon_sym_typeof] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(5),
    [sym_null] = ACTIONS(9),
    [anon_sym_function] = ACTIONS(372),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_if] = ACTIONS(374),
    [anon_sym_with] = ACTIONS(376),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_SLASH] = ACTIONS(45),
    [sym_undefined] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(378),
    [sym_identifier] = ACTIONS(380),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_switch] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(382),
    [anon_sym_continue] = ACTIONS(13),
    [anon_sym_void] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_do] = ACTIONS(21),
  },
  [1024] = {
    [sym_arrow_function] = STATE(926),
    [sym_call_expression] = STATE(926),
    [sym_subscript_expression] = STATE(701),
    [sym_assignment_expression] = STATE(926),
    [sym_ternary_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_template_string] = STATE(926),
    [sym__expression] = STATE(926),
    [sym_yield_expression] = STATE(926),
    [sym_jsx_element] = STATE(926),
    [sym_jsx_fragment] = STATE(926),
    [sym_function] = STATE(703),
    [sym_new_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_unary_expression] = STATE(926),
    [sym_update_expression] = STATE(926),
    [sym_regex] = STATE(926),
    [sym_meta_property] = STATE(926),
    [sym_object] = STATE(702),
    [aux_sym_export_statement_repeat1] = STATE(1016),
    [sym_class] = STATE(926),
    [sym_generator_function] = STATE(926),
    [sym_await_expression] = STATE(926),
    [sym_member_expression] = STATE(701),
    [sym_sequence_expression] = STATE(927),
    [sym_string] = STATE(926),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(874),
    [sym_parenthesized_expression] = STATE(926),
    [sym_array] = STATE(704),
    [sym_jsx_opening_element] = STATE(875),
    [sym_jsx_self_closing_element] = STATE(926),
    [anon_sym_await] = ACTIONS(217),
    [sym_null] = ACTIONS(2751),
    [anon_sym_class] = ACTIONS(183),
    [anon_sym_static] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(219),
    [anon_sym_DASH] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_delete] = ACTIONS(191),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [anon_sym_LPAREN] = ACTIONS(193),
    [anon_sym_BANG] = ACTIONS(195),
    [sym_this] = ACTIONS(2751),
    [sym_undefined] = ACTIONS(2751),
    [sym_true] = ACTIONS(2751),
    [anon_sym_SLASH] = ACTIONS(223),
    [anon_sym_LBRACK] = ACTIONS(225),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(243),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_TILDE] = ACTIONS(195),
    [sym_super] = ACTIONS(207),
    [sym_identifier] = ACTIONS(253),
    [sym_false] = ACTIONS(2751),
    [anon_sym_LT] = ACTIONS(209),
    [sym_number] = ACTIONS(2753),
    [anon_sym_yield] = ACTIONS(213),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_set] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(251),
    [anon_sym_new] = ACTIONS(231),
    [anon_sym_PLUS] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_void] = ACTIONS(191),
    [anon_sym_typeof] = ACTIONS(191),
  },
  [1025] = {
    [sym_arrow_function] = STATE(1055),
    [sym_call_expression] = STATE(1055),
    [sym_subscript_expression] = STATE(1127),
    [sym_assignment_expression] = STATE(1055),
    [sym_ternary_expression] = STATE(1055),
    [sym_binary_expression] = STATE(1055),
    [sym_template_string] = STATE(1055),
    [sym__expression] = STATE(1055),
    [sym_yield_expression] = STATE(1055),
    [sym_jsx_element] = STATE(1055),
    [sym_jsx_fragment] = STATE(1055),
    [sym_function] = STATE(47),
    [sym_new_expression] = STATE(1055),
    [sym_augmented_assignment_expression] = STATE(1055),
    [sym_unary_expression] = STATE(1055),
    [sym_update_expression] = STATE(1055),
    [sym_regex] = STATE(1055),
    [sym_meta_property] = STATE(1055),
    [sym_object] = STATE(1128),
    [aux_sym_export_statement_repeat1] = STATE(60),
    [sym_class] = STATE(1055),
    [sym_generator_function] = STATE(1055),
    [sym_await_expression] = STATE(1055),
    [sym_member_expression] = STATE(1127),
    [sym_string] = STATE(1055),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(1013),
    [sym_parenthesized_expression] = STATE(1055),
    [sym_array] = STATE(1130),
    [sym_jsx_opening_element] = STATE(53),
    [sym_jsx_self_closing_element] = STATE(1055),
    [anon_sym_await] = ACTIONS(1282),
    [sym_null] = ACTIONS(2755),
    [anon_sym_class] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(1286),
    [anon_sym_function] = ACTIONS(95),
    [anon_sym_DASH] = ACTIONS(1288),
    [anon_sym_LBRACE] = ACTIONS(97),
    [anon_sym_delete] = ACTIONS(1290),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(1292),
    [sym_this] = ACTIONS(2755),
    [sym_undefined] = ACTIONS(2755),
    [sym_true] = ACTIONS(2755),
    [anon_sym_SLASH] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(49),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(1286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1294),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1292),
    [sym_super] = ACTIONS(63),
    [sym_identifier] = ACTIONS(1296),
    [sym_false] = ACTIONS(2755),
    [anon_sym_LT] = ACTIONS(69),
    [sym_number] = ACTIONS(2757),
    [anon_sym_yield] = ACTIONS(1300),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_set] = ACTIONS(1286),
    [anon_sym_async] = ACTIONS(1302),
    [anon_sym_new] = ACTIONS(1304),
    [anon_sym_PLUS] = ACTIONS(1288),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(1294),
    [anon_sym_void] = ACTIONS(1290),
    [anon_sym_typeof] = ACTIONS(1290),
  },
  [1026] = {
    [sym_arrow_function] = STATE(46),
    [sym__declaration] = STATE(329),
    [sym_subscript_expression] = STATE(42),
    [sym_ternary_expression] = STATE(46),
    [sym_if_statement] = STATE(329),
    [sym_template_string] = STATE(46),
    [sym_do_statement] = STATE(329),
    [sym_return_statement] = STATE(329),
    [sym_yield_expression] = STATE(46),
    [sym_jsx_fragment] = STATE(46),
    [sym_function_declaration] = STATE(329),
    [sym_import_statement] = STATE(329),
    [sym_expression_statement] = STATE(329),
    [sym_switch_statement] = STATE(329),
    [sym_update_expression] = STATE(46),
    [sym_try_statement] = STATE(329),
    [sym_meta_property] = STATE(46),
    [sym_throw_statement] = STATE(329),
    [sym_object] = STATE(43),
    [aux_sym_export_statement_repeat1] = STATE(1129),
    [sym_generator_function] = STATE(46),
    [sym_await_expression] = STATE(46),
    [sym_sequence_expression] = STATE(45),
    [sym_for_of_statement] = STATE(329),
    [sym_continue_statement] = STATE(329),
    [sym_call_expression] = STATE(46),
    [sym_assignment_expression] = STATE(46),
    [sym_statement_block] = STATE(329),
    [sym_binary_expression] = STATE(46),
    [sym_while_statement] = STATE(329),
    [sym_debugger_statement] = STATE(329),
    [sym__expression] = STATE(46),
    [sym_jsx_element] = STATE(46),
    [sym_function] = STATE(47),
    [sym_new_expression] = STATE(46),
    [sym_augmented_assignment_expression] = STATE(46),
    [sym_variable_declaration] = STATE(329),
    [sym_unary_expression] = STATE(46),
    [sym_for_statement] = STATE(329),
    [sym_regex] = STATE(46),
    [sym_with_statement] = STATE(329),
    [sym_empty_statement] = STATE(329),
    [sym_class] = STATE(46),
    [sym_export_statement] = STATE(329),
    [sym_generator_function_declaration] = STATE(329),
    [sym_member_expression] = STATE(42),
    [sym_lexical_declaration] = STATE(329),
    [sym_for_in_statement] = STATE(329),
    [sym_string] = STATE(46),
    [sym_break_statement] = STATE(329),
    [sym_decorator] = STATE(50),
    [sym_labeled_statement] = STATE(329),
    [sym_formal_parameters] = STATE(51),
    [sym_parenthesized_expression] = STATE(46),
    [sym_array] = STATE(52),
    [sym_jsx_opening_element] = STATE(53),
    [sym_jsx_self_closing_element] = STATE(46),
    [sym_class_declaration] = STATE(329),
    [anon_sym_class] = ACTIONS(366),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_delete] = ACTIONS(39),
    [anon_sym_throw] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [anon_sym_get] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(69),
    [sym_false] = ACTIONS(9),
    [sym_number] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_set] = ACTIONS(23),
    [anon_sym_async] = ACTIONS(368),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_try] = ACTIONS(15),
    [anon_sym_for] = ACTIONS(370),
    [anon_sym_typeof] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(5),
    [sym_null] = ACTIONS(9),
    [anon_sym_function] = ACTIONS(372),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_if] = ACTIONS(374),
    [anon_sym_with] = ACTIONS(376),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_SLASH] = ACTIONS(45),
    [sym_undefined] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(378),
    [sym_identifier] = ACTIONS(380),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_switch] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(382),
    [anon_sym_continue] = ACTIONS(13),
    [anon_sym_void] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_do] = ACTIONS(21),
  },
  [1027] = {
    [sym_arrow_function] = STATE(1056),
    [sym_call_expression] = STATE(1056),
    [sym_subscript_expression] = STATE(1127),
    [sym_assignment_expression] = STATE(1056),
    [sym_ternary_expression] = STATE(1056),
    [sym_binary_expression] = STATE(1056),
    [sym_template_string] = STATE(1056),
    [sym__expression] = STATE(1056),
    [sym_yield_expression] = STATE(1056),
    [sym_jsx_element] = STATE(1056),
    [sym_jsx_fragment] = STATE(1056),
    [sym_function] = STATE(47),
    [sym_new_expression] = STATE(1056),
    [sym_augmented_assignment_expression] = STATE(1056),
    [sym_unary_expression] = STATE(1056),
    [sym_update_expression] = STATE(1056),
    [sym_regex] = STATE(1056),
    [sym_meta_property] = STATE(1056),
    [sym_object] = STATE(1128),
    [aux_sym_export_statement_repeat1] = STATE(60),
    [sym_class] = STATE(1056),
    [sym_generator_function] = STATE(1056),
    [sym_await_expression] = STATE(1056),
    [sym_member_expression] = STATE(1127),
    [sym_string] = STATE(1056),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(1013),
    [sym_parenthesized_expression] = STATE(1056),
    [sym_array] = STATE(1130),
    [sym_jsx_opening_element] = STATE(53),
    [sym_jsx_self_closing_element] = STATE(1056),
    [anon_sym_await] = ACTIONS(1282),
    [sym_null] = ACTIONS(2759),
    [anon_sym_class] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(1286),
    [anon_sym_function] = ACTIONS(95),
    [anon_sym_DASH] = ACTIONS(1288),
    [anon_sym_LBRACE] = ACTIONS(97),
    [anon_sym_delete] = ACTIONS(1290),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(1292),
    [sym_this] = ACTIONS(2759),
    [sym_undefined] = ACTIONS(2759),
    [sym_true] = ACTIONS(2759),
    [anon_sym_SLASH] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(49),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(1286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1294),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1292),
    [sym_super] = ACTIONS(63),
    [sym_identifier] = ACTIONS(1296),
    [sym_false] = ACTIONS(2759),
    [anon_sym_LT] = ACTIONS(69),
    [sym_number] = ACTIONS(2761),
    [anon_sym_yield] = ACTIONS(1300),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_set] = ACTIONS(1286),
    [anon_sym_async] = ACTIONS(1302),
    [anon_sym_new] = ACTIONS(1304),
    [anon_sym_PLUS] = ACTIONS(1288),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(1294),
    [anon_sym_void] = ACTIONS(1290),
    [anon_sym_typeof] = ACTIONS(1290),
  },
  [1028] = {
    [sym_arrow_function] = STATE(1057),
    [sym_call_expression] = STATE(1057),
    [sym_subscript_expression] = STATE(1127),
    [sym_assignment_expression] = STATE(1057),
    [sym_ternary_expression] = STATE(1057),
    [sym_binary_expression] = STATE(1057),
    [sym_template_string] = STATE(1057),
    [sym__expression] = STATE(1057),
    [sym_yield_expression] = STATE(1057),
    [sym_jsx_element] = STATE(1057),
    [sym_jsx_fragment] = STATE(1057),
    [sym_function] = STATE(47),
    [sym_new_expression] = STATE(1057),
    [sym_augmented_assignment_expression] = STATE(1057),
    [sym_unary_expression] = STATE(1057),
    [sym_update_expression] = STATE(1057),
    [sym_regex] = STATE(1057),
    [sym_meta_property] = STATE(1057),
    [sym_object] = STATE(1128),
    [aux_sym_export_statement_repeat1] = STATE(60),
    [sym_class] = STATE(1057),
    [sym_generator_function] = STATE(1057),
    [sym_await_expression] = STATE(1057),
    [sym_member_expression] = STATE(1127),
    [sym_string] = STATE(1057),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(1013),
    [sym_parenthesized_expression] = STATE(1057),
    [sym_array] = STATE(1130),
    [sym_jsx_opening_element] = STATE(53),
    [sym_jsx_self_closing_element] = STATE(1057),
    [anon_sym_await] = ACTIONS(1282),
    [sym_null] = ACTIONS(2763),
    [anon_sym_class] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(1286),
    [anon_sym_function] = ACTIONS(95),
    [anon_sym_DASH] = ACTIONS(1288),
    [anon_sym_LBRACE] = ACTIONS(97),
    [anon_sym_delete] = ACTIONS(1290),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(1292),
    [sym_this] = ACTIONS(2763),
    [sym_undefined] = ACTIONS(2763),
    [sym_true] = ACTIONS(2763),
    [anon_sym_SLASH] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(49),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(1286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1294),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1292),
    [sym_super] = ACTIONS(63),
    [sym_identifier] = ACTIONS(1296),
    [sym_false] = ACTIONS(2763),
    [anon_sym_LT] = ACTIONS(69),
    [sym_number] = ACTIONS(2765),
    [anon_sym_yield] = ACTIONS(1300),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_set] = ACTIONS(1286),
    [anon_sym_async] = ACTIONS(1302),
    [anon_sym_new] = ACTIONS(1304),
    [anon_sym_PLUS] = ACTIONS(1288),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(1294),
    [anon_sym_void] = ACTIONS(1290),
    [anon_sym_typeof] = ACTIONS(1290),
  },
  [1029] = {
    [sym_jsx_namespace_name] = STATE(339),
    [sym_jsx_attribute] = STATE(340),
    [sym_jsx_expression] = STATE(340),
    [aux_sym_jsx_opening_element_repeat1] = STATE(1059),
    [anon_sym_LBRACE] = ACTIONS(808),
    [anon_sym_GT] = ACTIONS(810),
    [anon_sym_COLON] = ACTIONS(812),
    [anon_sym_SLASH] = ACTIONS(2767),
    [sym_jsx_identifier] = ACTIONS(816),
    [sym_comment] = ACTIONS(3),
    [sym_identifier] = ACTIONS(818),
    [anon_sym_DOT] = ACTIONS(820),
  },
  [1030] = {
    [sym_jsx_namespace_name] = STATE(339),
    [sym_jsx_attribute] = STATE(340),
    [sym_jsx_expression] = STATE(340),
    [aux_sym_jsx_opening_element_repeat1] = STATE(1059),
    [anon_sym_LBRACE] = ACTIONS(808),
    [anon_sym_GT] = ACTIONS(810),
    [anon_sym_COLON] = ACTIONS(812),
    [anon_sym_SLASH] = ACTIONS(2767),
    [sym_jsx_identifier] = ACTIONS(816),
    [sym_comment] = ACTIONS(3),
    [sym_identifier] = ACTIONS(818),
  },
  [1031] = {
    [sym_jsx_namespace_name] = STATE(339),
    [sym_jsx_attribute] = STATE(340),
    [sym_jsx_expression] = STATE(340),
    [aux_sym_jsx_opening_element_repeat1] = STATE(1059),
    [anon_sym_LBRACE] = ACTIONS(808),
    [anon_sym_GT] = ACTIONS(810),
    [anon_sym_SLASH] = ACTIONS(2767),
    [sym_jsx_identifier] = ACTIONS(816),
    [sym_comment] = ACTIONS(3),
    [sym_identifier] = ACTIONS(818),
    [anon_sym_DOT] = ACTIONS(820),
  },
  [1032] = {
    [sym_jsx_namespace_name] = STATE(339),
    [sym_jsx_attribute] = STATE(340),
    [sym_jsx_expression] = STATE(340),
    [aux_sym_jsx_opening_element_repeat1] = STATE(1059),
    [anon_sym_LBRACE] = ACTIONS(808),
    [anon_sym_GT] = ACTIONS(810),
    [anon_sym_SLASH] = ACTIONS(2767),
    [sym_jsx_identifier] = ACTIONS(816),
    [sym_comment] = ACTIONS(3),
    [sym_identifier] = ACTIONS(818),
  },
  [1033] = {
    [sym_template_string] = STATE(141),
    [sym_arguments] = STATE(141),
    [anon_sym_instanceof] = ACTIONS(1749),
    [anon_sym_GT] = ACTIONS(1751),
    [sym__automatic_semicolon] = ACTIONS(826),
    [anon_sym_DASH] = ACTIONS(1753),
    [anon_sym_CARET] = ACTIONS(1755),
    [anon_sym_STAR_STAR] = ACTIONS(1757),
    [anon_sym_STAR] = ACTIONS(1759),
    [anon_sym_AMP_AMP] = ACTIONS(1761),
    [anon_sym_GT_GT] = ACTIONS(1759),
    [anon_sym_AMP] = ACTIONS(1763),
    [anon_sym_in] = ACTIONS(1751),
    [anon_sym_LPAREN] = ACTIONS(271),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1749),
    [anon_sym_SLASH] = ACTIONS(1759),
    [anon_sym_GT_EQ] = ACTIONS(1749),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(273),
    [anon_sym_PIPE] = ACTIONS(1765),
    [anon_sym_LT_EQ] = ACTIONS(1749),
    [anon_sym_PIPE_PIPE] = ACTIONS(1755),
    [anon_sym_COMMA] = ACTIONS(826),
    [anon_sym_GT_GT_GT] = ACTIONS(1770),
    [anon_sym_SEMI] = ACTIONS(826),
    [anon_sym_PLUS_PLUS] = ACTIONS(410),
    [anon_sym_BANG_EQ] = ACTIONS(1751),
    [anon_sym_LT] = ACTIONS(1751),
    [anon_sym_DOT] = ACTIONS(275),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1753),
    [anon_sym_EQ_EQ] = ACTIONS(1751),
    [anon_sym_PERCENT] = ACTIONS(1770),
    [anon_sym_QMARK] = ACTIONS(1772),
    [anon_sym_RBRACE] = ACTIONS(826),
    [anon_sym_LT_LT] = ACTIONS(1770),
    [anon_sym_DASH_DASH] = ACTIONS(410),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1749),
  },
  [1034] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(2769),
  },
  [1035] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_GT] = ACTIONS(2771),
  },
  [1036] = {
    [sym_formal_parameters] = STATE(1035),
    [sym_arguments] = STATE(350),
    [anon_sym_instanceof] = ACTIONS(842),
    [anon_sym_GT] = ACTIONS(842),
    [sym__automatic_semicolon] = ACTIONS(840),
    [anon_sym_EQ] = ACTIONS(656),
    [anon_sym_AMP_EQ] = ACTIONS(658),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(658),
    [anon_sym_GT_GT_EQ] = ACTIONS(658),
    [anon_sym_function] = ACTIONS(452),
    [anon_sym_STAR_EQ] = ACTIONS(658),
    [anon_sym_DASH] = ACTIONS(842),
    [anon_sym_CARET] = ACTIONS(842),
    [anon_sym_STAR_STAR] = ACTIONS(842),
    [anon_sym_STAR] = ACTIONS(842),
    [anon_sym_AMP_AMP] = ACTIONS(840),
    [anon_sym_GT_GT] = ACTIONS(842),
    [anon_sym_AMP] = ACTIONS(842),
    [anon_sym_in] = ACTIONS(842),
    [anon_sym_LPAREN] = ACTIONS(840),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(840),
    [anon_sym_SLASH] = ACTIONS(842),
    [anon_sym_GT_EQ] = ACTIONS(840),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(840),
    [anon_sym_PIPE_EQ] = ACTIONS(658),
    [anon_sym_PERCENT_EQ] = ACTIONS(658),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(658),
    [anon_sym_SLASH_EQ] = ACTIONS(658),
    [anon_sym_PLUS_EQ] = ACTIONS(658),
    [anon_sym_PIPE] = ACTIONS(842),
    [anon_sym_LT_EQ] = ACTIONS(840),
    [anon_sym_PIPE_PIPE] = ACTIONS(840),
    [anon_sym_GT_GT_GT] = ACTIONS(842),
    [anon_sym_PLUS_PLUS] = ACTIONS(840),
    [anon_sym_COMMA] = ACTIONS(840),
    [anon_sym_SEMI] = ACTIONS(840),
    [anon_sym_BANG_EQ] = ACTIONS(842),
    [anon_sym_LT] = ACTIONS(842),
    [anon_sym_DOT] = ACTIONS(137),
    [anon_sym_BQUOTE] = ACTIONS(840),
    [sym_identifier] = ACTIONS(2773),
    [anon_sym_CARET_EQ] = ACTIONS(658),
    [anon_sym_LT_LT_EQ] = ACTIONS(658),
    [anon_sym_DASH_EQ] = ACTIONS(658),
    [anon_sym_PLUS] = ACTIONS(842),
    [anon_sym_EQ_EQ] = ACTIONS(842),
    [anon_sym_PERCENT] = ACTIONS(842),
    [anon_sym_QMARK] = ACTIONS(840),
    [anon_sym_LT_LT] = ACTIONS(842),
    [anon_sym_DASH_DASH] = ACTIONS(840),
    [anon_sym_RBRACE] = ACTIONS(840),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(840),
  },
  [1037] = {
    [sym_identifier] = ACTIONS(2775),
    [sym_comment] = ACTIONS(3),
  },
  [1038] = {
    [sym_arrow_function] = STATE(1063),
    [sym_call_expression] = STATE(1063),
    [sym_subscript_expression] = STATE(1127),
    [sym_assignment_expression] = STATE(1063),
    [sym_ternary_expression] = STATE(1063),
    [sym_binary_expression] = STATE(1063),
    [sym_template_string] = STATE(1063),
    [sym__expression] = STATE(1063),
    [sym_yield_expression] = STATE(1063),
    [sym_jsx_element] = STATE(1063),
    [sym_jsx_fragment] = STATE(1063),
    [sym_function] = STATE(47),
    [sym_new_expression] = STATE(1063),
    [sym_augmented_assignment_expression] = STATE(1063),
    [sym_unary_expression] = STATE(1063),
    [sym_update_expression] = STATE(1063),
    [sym_regex] = STATE(1063),
    [sym_meta_property] = STATE(1063),
    [sym_object] = STATE(1128),
    [aux_sym_export_statement_repeat1] = STATE(60),
    [sym_class] = STATE(1063),
    [sym_generator_function] = STATE(1063),
    [sym_await_expression] = STATE(1063),
    [sym_member_expression] = STATE(1127),
    [sym_string] = STATE(1063),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(1013),
    [sym_parenthesized_expression] = STATE(1063),
    [sym_array] = STATE(1130),
    [sym_jsx_opening_element] = STATE(53),
    [sym_jsx_self_closing_element] = STATE(1063),
    [anon_sym_await] = ACTIONS(1282),
    [sym_null] = ACTIONS(2777),
    [anon_sym_class] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(1286),
    [anon_sym_function] = ACTIONS(95),
    [anon_sym_DASH] = ACTIONS(1288),
    [anon_sym_LBRACE] = ACTIONS(97),
    [anon_sym_delete] = ACTIONS(1290),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(1292),
    [sym_this] = ACTIONS(2777),
    [sym_undefined] = ACTIONS(2777),
    [sym_true] = ACTIONS(2777),
    [anon_sym_SLASH] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(49),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(1286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1294),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1292),
    [sym_super] = ACTIONS(63),
    [sym_identifier] = ACTIONS(1296),
    [sym_false] = ACTIONS(2777),
    [anon_sym_LT] = ACTIONS(69),
    [sym_number] = ACTIONS(2779),
    [anon_sym_yield] = ACTIONS(1300),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_set] = ACTIONS(1286),
    [anon_sym_async] = ACTIONS(1302),
    [anon_sym_new] = ACTIONS(1304),
    [anon_sym_PLUS] = ACTIONS(1288),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(1294),
    [anon_sym_void] = ACTIONS(1290),
    [anon_sym_typeof] = ACTIONS(1290),
  },
  [1039] = {
    [sym_lexical_declaration] = STATE(385),
    [sym__declaration] = STATE(385),
    [sym_decorator] = STATE(50),
    [aux_sym_export_statement_repeat1] = STATE(1136),
    [sym_function_declaration] = STATE(385),
    [sym_variable_declaration] = STATE(385),
    [sym_generator_function_declaration] = STATE(385),
    [sym_class_declaration] = STATE(385),
    [anon_sym_class] = ACTIONS(2781),
    [anon_sym_default] = ACTIONS(918),
    [anon_sym_async] = ACTIONS(2783),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_var] = ACTIONS(348),
    [anon_sym_const] = ACTIONS(340),
    [anon_sym_function] = ACTIONS(2785),
    [sym_comment] = ACTIONS(3),
    [anon_sym_let] = ACTIONS(340),
  },
  [1040] = {
    [sym_class_body] = STATE(234),
    [sym_class_heritage] = STATE(387),
    [anon_sym_LBRACE] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [sym_identifier] = ACTIONS(2787),
    [anon_sym_extends] = ACTIONS(113),
  },
  [1041] = {
    [sym_arrow_function] = STATE(1064),
    [sym_call_expression] = STATE(1064),
    [sym_subscript_expression] = STATE(1127),
    [sym_assignment_expression] = STATE(1064),
    [sym_ternary_expression] = STATE(1064),
    [sym_binary_expression] = STATE(1064),
    [sym_template_string] = STATE(1064),
    [sym__expression] = STATE(1064),
    [sym_yield_expression] = STATE(1064),
    [sym_jsx_element] = STATE(1064),
    [sym_jsx_fragment] = STATE(1064),
    [sym_function] = STATE(47),
    [sym_new_expression] = STATE(1064),
    [sym_augmented_assignment_expression] = STATE(1064),
    [sym_unary_expression] = STATE(1064),
    [sym_update_expression] = STATE(1064),
    [sym_regex] = STATE(1064),
    [sym_meta_property] = STATE(1064),
    [sym_object] = STATE(1128),
    [aux_sym_export_statement_repeat1] = STATE(60),
    [sym_class] = STATE(1064),
    [sym_generator_function] = STATE(1064),
    [sym_await_expression] = STATE(1064),
    [sym_member_expression] = STATE(1127),
    [sym_string] = STATE(1064),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(1013),
    [sym_parenthesized_expression] = STATE(1064),
    [sym_array] = STATE(1130),
    [sym_jsx_opening_element] = STATE(53),
    [sym_jsx_self_closing_element] = STATE(1064),
    [anon_sym_await] = ACTIONS(1282),
    [sym_null] = ACTIONS(2789),
    [anon_sym_class] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(1286),
    [anon_sym_function] = ACTIONS(95),
    [anon_sym_DASH] = ACTIONS(1288),
    [anon_sym_LBRACE] = ACTIONS(97),
    [anon_sym_delete] = ACTIONS(1290),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(1292),
    [sym_this] = ACTIONS(2789),
    [sym_undefined] = ACTIONS(2789),
    [sym_true] = ACTIONS(2789),
    [anon_sym_SLASH] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(49),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(1286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1294),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1292),
    [sym_super] = ACTIONS(63),
    [sym_identifier] = ACTIONS(1296),
    [sym_false] = ACTIONS(2789),
    [anon_sym_LT] = ACTIONS(69),
    [sym_number] = ACTIONS(2791),
    [anon_sym_yield] = ACTIONS(1300),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_set] = ACTIONS(1286),
    [anon_sym_async] = ACTIONS(1302),
    [anon_sym_new] = ACTIONS(1304),
    [anon_sym_PLUS] = ACTIONS(1288),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(1294),
    [anon_sym_void] = ACTIONS(1290),
    [anon_sym_typeof] = ACTIONS(1290),
  },
  [1042] = {
    [sym_arrow_function] = STATE(1065),
    [sym_call_expression] = STATE(1065),
    [sym_subscript_expression] = STATE(1127),
    [sym_assignment_expression] = STATE(1065),
    [sym_ternary_expression] = STATE(1065),
    [sym_binary_expression] = STATE(1065),
    [sym_template_string] = STATE(1065),
    [sym__expression] = STATE(1065),
    [sym_yield_expression] = STATE(1065),
    [sym_jsx_element] = STATE(1065),
    [sym_jsx_fragment] = STATE(1065),
    [sym_function] = STATE(47),
    [sym_new_expression] = STATE(1065),
    [sym_augmented_assignment_expression] = STATE(1065),
    [sym_unary_expression] = STATE(1065),
    [sym_update_expression] = STATE(1065),
    [sym_regex] = STATE(1065),
    [sym_meta_property] = STATE(1065),
    [sym_object] = STATE(1128),
    [aux_sym_export_statement_repeat1] = STATE(60),
    [sym_class] = STATE(1065),
    [sym_generator_function] = STATE(1065),
    [sym_await_expression] = STATE(1065),
    [sym_member_expression] = STATE(1127),
    [sym_string] = STATE(1065),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(1013),
    [sym_parenthesized_expression] = STATE(1065),
    [sym_array] = STATE(1130),
    [sym_jsx_opening_element] = STATE(53),
    [sym_jsx_self_closing_element] = STATE(1065),
    [anon_sym_await] = ACTIONS(1282),
    [sym_null] = ACTIONS(2793),
    [anon_sym_class] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(1286),
    [anon_sym_function] = ACTIONS(95),
    [anon_sym_DASH] = ACTIONS(1288),
    [anon_sym_LBRACE] = ACTIONS(97),
    [anon_sym_delete] = ACTIONS(1290),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(1292),
    [sym_this] = ACTIONS(2793),
    [sym_undefined] = ACTIONS(2793),
    [sym_true] = ACTIONS(2793),
    [anon_sym_SLASH] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(49),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(1286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1294),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1292),
    [sym_super] = ACTIONS(63),
    [sym_identifier] = ACTIONS(1296),
    [sym_false] = ACTIONS(2793),
    [anon_sym_LT] = ACTIONS(69),
    [sym_number] = ACTIONS(2795),
    [anon_sym_yield] = ACTIONS(1300),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_set] = ACTIONS(1286),
    [anon_sym_async] = ACTIONS(1302),
    [anon_sym_new] = ACTIONS(1304),
    [anon_sym_PLUS] = ACTIONS(1288),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(1294),
    [anon_sym_void] = ACTIONS(1290),
    [anon_sym_typeof] = ACTIONS(1290),
  },
  [1043] = {
    [sym_arrow_function] = STATE(390),
    [sym_call_expression] = STATE(390),
    [sym_subscript_expression] = STATE(1127),
    [sym_assignment_expression] = STATE(390),
    [sym_ternary_expression] = STATE(390),
    [sym_binary_expression] = STATE(390),
    [sym_template_string] = STATE(390),
    [sym__expression] = STATE(390),
    [sym_yield_expression] = STATE(390),
    [sym_jsx_element] = STATE(390),
    [sym_jsx_fragment] = STATE(390),
    [sym_function] = STATE(47),
    [sym_new_expression] = STATE(390),
    [sym_augmented_assignment_expression] = STATE(390),
    [sym_unary_expression] = STATE(390),
    [sym_update_expression] = STATE(390),
    [sym_regex] = STATE(390),
    [sym_meta_property] = STATE(390),
    [sym_object] = STATE(1128),
    [aux_sym_export_statement_repeat1] = STATE(60),
    [sym_class] = STATE(390),
    [sym_generator_function] = STATE(390),
    [sym_await_expression] = STATE(390),
    [sym_member_expression] = STATE(1127),
    [sym_string] = STATE(390),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(1013),
    [sym_parenthesized_expression] = STATE(390),
    [sym_array] = STATE(1130),
    [sym_jsx_opening_element] = STATE(53),
    [sym_jsx_self_closing_element] = STATE(390),
    [anon_sym_await] = ACTIONS(1282),
    [sym_null] = ACTIONS(941),
    [anon_sym_class] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(1286),
    [anon_sym_function] = ACTIONS(95),
    [anon_sym_DASH] = ACTIONS(1288),
    [anon_sym_LBRACE] = ACTIONS(97),
    [anon_sym_delete] = ACTIONS(1290),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(1292),
    [sym_this] = ACTIONS(941),
    [sym_undefined] = ACTIONS(941),
    [sym_true] = ACTIONS(941),
    [anon_sym_SLASH] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(49),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(1286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1294),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1292),
    [sym_super] = ACTIONS(63),
    [sym_identifier] = ACTIONS(1296),
    [sym_false] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(69),
    [sym_number] = ACTIONS(943),
    [anon_sym_yield] = ACTIONS(1300),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_set] = ACTIONS(1286),
    [anon_sym_async] = ACTIONS(1302),
    [anon_sym_new] = ACTIONS(1304),
    [anon_sym_PLUS] = ACTIONS(1288),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(1294),
    [anon_sym_void] = ACTIONS(1290),
    [anon_sym_typeof] = ACTIONS(1290),
  },
  [1044] = {
    [sym_arrow_function] = STATE(1066),
    [sym_call_expression] = STATE(1066),
    [sym_subscript_expression] = STATE(1127),
    [sym_assignment_expression] = STATE(1066),
    [sym_ternary_expression] = STATE(1066),
    [sym_binary_expression] = STATE(1066),
    [sym_template_string] = STATE(1066),
    [sym__expression] = STATE(1066),
    [sym_yield_expression] = STATE(1066),
    [sym_jsx_element] = STATE(1066),
    [sym_jsx_fragment] = STATE(1066),
    [sym_function] = STATE(47),
    [sym_new_expression] = STATE(1066),
    [sym_augmented_assignment_expression] = STATE(1066),
    [sym_unary_expression] = STATE(1066),
    [sym_update_expression] = STATE(1066),
    [sym_regex] = STATE(1066),
    [sym_meta_property] = STATE(1066),
    [sym_object] = STATE(1128),
    [aux_sym_export_statement_repeat1] = STATE(60),
    [sym_class] = STATE(1066),
    [sym_generator_function] = STATE(1066),
    [sym_await_expression] = STATE(1066),
    [sym_member_expression] = STATE(1127),
    [sym_string] = STATE(1066),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(1013),
    [sym_parenthesized_expression] = STATE(1066),
    [sym_array] = STATE(1130),
    [sym_jsx_opening_element] = STATE(53),
    [sym_jsx_self_closing_element] = STATE(1066),
    [anon_sym_await] = ACTIONS(1282),
    [sym_null] = ACTIONS(2797),
    [anon_sym_class] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(1286),
    [anon_sym_function] = ACTIONS(95),
    [anon_sym_DASH] = ACTIONS(1288),
    [anon_sym_LBRACE] = ACTIONS(97),
    [anon_sym_delete] = ACTIONS(1290),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(1292),
    [sym_this] = ACTIONS(2797),
    [sym_undefined] = ACTIONS(2797),
    [sym_true] = ACTIONS(2797),
    [anon_sym_SLASH] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(49),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(1286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1294),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1292),
    [sym_super] = ACTIONS(63),
    [sym_identifier] = ACTIONS(1296),
    [sym_false] = ACTIONS(2797),
    [anon_sym_LT] = ACTIONS(69),
    [sym_number] = ACTIONS(2799),
    [anon_sym_yield] = ACTIONS(1300),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_set] = ACTIONS(1286),
    [anon_sym_async] = ACTIONS(1302),
    [anon_sym_new] = ACTIONS(1304),
    [anon_sym_PLUS] = ACTIONS(1288),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(1294),
    [anon_sym_void] = ACTIONS(1290),
    [anon_sym_typeof] = ACTIONS(1290),
  },
  [1045] = {
    [sym_arrow_function] = STATE(1067),
    [sym_call_expression] = STATE(1067),
    [sym_subscript_expression] = STATE(1127),
    [sym_assignment_expression] = STATE(1067),
    [sym_ternary_expression] = STATE(1067),
    [sym_binary_expression] = STATE(1067),
    [sym_template_string] = STATE(1067),
    [sym__expression] = STATE(1067),
    [sym_yield_expression] = STATE(1067),
    [sym_jsx_element] = STATE(1067),
    [sym_jsx_fragment] = STATE(1067),
    [sym_function] = STATE(47),
    [sym_new_expression] = STATE(1067),
    [sym_augmented_assignment_expression] = STATE(1067),
    [sym_unary_expression] = STATE(1067),
    [sym_update_expression] = STATE(1067),
    [sym_regex] = STATE(1067),
    [sym_meta_property] = STATE(1067),
    [sym_object] = STATE(1128),
    [aux_sym_export_statement_repeat1] = STATE(60),
    [sym_class] = STATE(1067),
    [sym_generator_function] = STATE(1067),
    [sym_await_expression] = STATE(1067),
    [sym_member_expression] = STATE(1127),
    [sym_string] = STATE(1067),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(1013),
    [sym_parenthesized_expression] = STATE(1067),
    [sym_array] = STATE(1130),
    [sym_jsx_opening_element] = STATE(53),
    [sym_jsx_self_closing_element] = STATE(1067),
    [anon_sym_await] = ACTIONS(1282),
    [sym_null] = ACTIONS(2801),
    [anon_sym_class] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(1286),
    [anon_sym_function] = ACTIONS(95),
    [anon_sym_DASH] = ACTIONS(1288),
    [anon_sym_LBRACE] = ACTIONS(97),
    [anon_sym_delete] = ACTIONS(1290),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(1292),
    [sym_this] = ACTIONS(2801),
    [sym_undefined] = ACTIONS(2801),
    [sym_true] = ACTIONS(2801),
    [anon_sym_SLASH] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(49),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(1286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1294),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1292),
    [sym_super] = ACTIONS(63),
    [sym_identifier] = ACTIONS(1296),
    [sym_false] = ACTIONS(2801),
    [anon_sym_LT] = ACTIONS(69),
    [sym_number] = ACTIONS(2803),
    [anon_sym_yield] = ACTIONS(1300),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_set] = ACTIONS(1286),
    [anon_sym_async] = ACTIONS(1302),
    [anon_sym_new] = ACTIONS(1304),
    [anon_sym_PLUS] = ACTIONS(1288),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(1294),
    [anon_sym_void] = ACTIONS(1290),
    [anon_sym_typeof] = ACTIONS(1290),
  },
  [1046] = {
    [sym_arrow_function] = STATE(938),
    [sym_call_expression] = STATE(938),
    [sym_subscript_expression] = STATE(701),
    [sym_assignment_expression] = STATE(938),
    [sym_ternary_expression] = STATE(938),
    [sym_binary_expression] = STATE(938),
    [sym_template_string] = STATE(938),
    [sym__expression] = STATE(938),
    [sym_yield_expression] = STATE(938),
    [sym_jsx_element] = STATE(938),
    [sym_jsx_fragment] = STATE(938),
    [sym_function] = STATE(703),
    [sym_new_expression] = STATE(938),
    [sym_augmented_assignment_expression] = STATE(938),
    [sym_unary_expression] = STATE(938),
    [sym_update_expression] = STATE(938),
    [sym_regex] = STATE(938),
    [sym_meta_property] = STATE(938),
    [sym_object] = STATE(702),
    [aux_sym_export_statement_repeat1] = STATE(1016),
    [sym_class] = STATE(938),
    [sym_generator_function] = STATE(938),
    [sym_await_expression] = STATE(938),
    [sym_member_expression] = STATE(701),
    [sym_string] = STATE(938),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(874),
    [sym_parenthesized_expression] = STATE(938),
    [sym_array] = STATE(704),
    [sym_jsx_opening_element] = STATE(875),
    [sym_jsx_self_closing_element] = STATE(938),
    [anon_sym_await] = ACTIONS(217),
    [sym_null] = ACTIONS(2805),
    [anon_sym_class] = ACTIONS(183),
    [anon_sym_static] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(219),
    [anon_sym_DASH] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_delete] = ACTIONS(191),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [anon_sym_LPAREN] = ACTIONS(193),
    [anon_sym_BANG] = ACTIONS(195),
    [sym_this] = ACTIONS(2805),
    [sym_undefined] = ACTIONS(2805),
    [sym_true] = ACTIONS(2805),
    [anon_sym_SLASH] = ACTIONS(223),
    [anon_sym_LBRACK] = ACTIONS(225),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(243),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_TILDE] = ACTIONS(195),
    [sym_super] = ACTIONS(207),
    [sym_identifier] = ACTIONS(253),
    [sym_false] = ACTIONS(2805),
    [anon_sym_LT] = ACTIONS(209),
    [sym_number] = ACTIONS(2807),
    [anon_sym_yield] = ACTIONS(213),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_set] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(251),
    [anon_sym_new] = ACTIONS(231),
    [anon_sym_PLUS] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_void] = ACTIONS(191),
    [anon_sym_typeof] = ACTIONS(191),
  },
  [1047] = {
    [sym_arrow_function] = STATE(1069),
    [sym_call_expression] = STATE(1069),
    [sym_subscript_expression] = STATE(1127),
    [sym_assignment_expression] = STATE(1069),
    [sym_ternary_expression] = STATE(1069),
    [sym_binary_expression] = STATE(1069),
    [sym_template_string] = STATE(1069),
    [sym__expression] = STATE(1069),
    [sym_yield_expression] = STATE(1069),
    [sym_jsx_element] = STATE(1069),
    [sym_jsx_fragment] = STATE(1069),
    [sym_function] = STATE(47),
    [sym_new_expression] = STATE(1069),
    [sym_augmented_assignment_expression] = STATE(1069),
    [sym_unary_expression] = STATE(1069),
    [sym_update_expression] = STATE(1069),
    [sym_regex] = STATE(1069),
    [sym_meta_property] = STATE(1069),
    [sym_object] = STATE(1128),
    [aux_sym_export_statement_repeat1] = STATE(60),
    [sym_class] = STATE(1069),
    [sym_generator_function] = STATE(1069),
    [sym_await_expression] = STATE(1069),
    [sym_member_expression] = STATE(1127),
    [sym_string] = STATE(1069),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(1013),
    [sym_parenthesized_expression] = STATE(1069),
    [sym_array] = STATE(1130),
    [sym_jsx_opening_element] = STATE(53),
    [sym_jsx_self_closing_element] = STATE(1069),
    [anon_sym_await] = ACTIONS(1282),
    [sym_null] = ACTIONS(2809),
    [anon_sym_class] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(1286),
    [anon_sym_function] = ACTIONS(95),
    [anon_sym_DASH] = ACTIONS(1288),
    [anon_sym_LBRACE] = ACTIONS(97),
    [anon_sym_delete] = ACTIONS(1290),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(1292),
    [sym_this] = ACTIONS(2809),
    [sym_undefined] = ACTIONS(2809),
    [sym_true] = ACTIONS(2809),
    [anon_sym_SLASH] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(49),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(1286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1294),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1292),
    [sym_super] = ACTIONS(63),
    [sym_identifier] = ACTIONS(1296),
    [sym_false] = ACTIONS(2809),
    [anon_sym_LT] = ACTIONS(69),
    [sym_number] = ACTIONS(2811),
    [anon_sym_yield] = ACTIONS(1300),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_set] = ACTIONS(1286),
    [anon_sym_async] = ACTIONS(1302),
    [anon_sym_new] = ACTIONS(1304),
    [anon_sym_PLUS] = ACTIONS(1288),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(1294),
    [anon_sym_void] = ACTIONS(1290),
    [anon_sym_typeof] = ACTIONS(1290),
  },
  [1048] = {
    [sym_formal_parameters] = STATE(942),
    [anon_sym_LPAREN] = ACTIONS(139),
    [sym_comment] = ACTIONS(3),
  },
  [1049] = {
    [sym_formal_parameters] = STATE(921),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(139),
    [sym_identifier] = ACTIONS(2813),
  },
  [1050] = {
    [sym_formal_parameters] = STATE(932),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(139),
    [sym_identifier] = ACTIONS(2815),
  },
  [1051] = {
    [sym_arrow_function] = STATE(944),
    [sym_call_expression] = STATE(944),
    [sym_subscript_expression] = STATE(701),
    [sym_assignment_expression] = STATE(944),
    [sym_ternary_expression] = STATE(944),
    [sym_binary_expression] = STATE(944),
    [sym_template_string] = STATE(944),
    [sym__expression] = STATE(944),
    [sym_yield_expression] = STATE(944),
    [sym_jsx_element] = STATE(944),
    [sym_jsx_fragment] = STATE(944),
    [sym_function] = STATE(703),
    [sym_new_expression] = STATE(944),
    [sym_augmented_assignment_expression] = STATE(944),
    [sym_unary_expression] = STATE(944),
    [sym_update_expression] = STATE(944),
    [sym_regex] = STATE(944),
    [sym_meta_property] = STATE(944),
    [sym_object] = STATE(702),
    [aux_sym_export_statement_repeat1] = STATE(1016),
    [sym_class] = STATE(944),
    [sym_generator_function] = STATE(944),
    [sym_await_expression] = STATE(944),
    [sym_member_expression] = STATE(701),
    [sym_string] = STATE(944),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(874),
    [sym_parenthesized_expression] = STATE(944),
    [sym_array] = STATE(704),
    [sym_jsx_opening_element] = STATE(875),
    [sym_jsx_self_closing_element] = STATE(944),
    [anon_sym_await] = ACTIONS(217),
    [sym_null] = ACTIONS(2817),
    [anon_sym_class] = ACTIONS(183),
    [anon_sym_static] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(219),
    [anon_sym_DASH] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_delete] = ACTIONS(191),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [anon_sym_LPAREN] = ACTIONS(193),
    [anon_sym_BANG] = ACTIONS(195),
    [sym_this] = ACTIONS(2817),
    [sym_undefined] = ACTIONS(2817),
    [sym_true] = ACTIONS(2817),
    [anon_sym_SLASH] = ACTIONS(223),
    [anon_sym_LBRACK] = ACTIONS(225),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(243),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_TILDE] = ACTIONS(195),
    [sym_super] = ACTIONS(207),
    [sym_identifier] = ACTIONS(253),
    [sym_false] = ACTIONS(2817),
    [anon_sym_LT] = ACTIONS(209),
    [sym_number] = ACTIONS(2819),
    [anon_sym_yield] = ACTIONS(213),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_set] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(251),
    [anon_sym_new] = ACTIONS(231),
    [anon_sym_PLUS] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_void] = ACTIONS(191),
    [anon_sym_typeof] = ACTIONS(191),
  },
  [1052] = {
    [sym_template_string] = STATE(141),
    [sym_arguments] = STATE(141),
    [anon_sym_instanceof] = ACTIONS(1749),
    [anon_sym_GT] = ACTIONS(1751),
    [sym__automatic_semicolon] = ACTIONS(1196),
    [anon_sym_DASH] = ACTIONS(1753),
    [anon_sym_CARET] = ACTIONS(1755),
    [anon_sym_STAR_STAR] = ACTIONS(1757),
    [anon_sym_STAR] = ACTIONS(1759),
    [anon_sym_AMP_AMP] = ACTIONS(1761),
    [anon_sym_GT_GT] = ACTIONS(1759),
    [anon_sym_AMP] = ACTIONS(1763),
    [anon_sym_in] = ACTIONS(1751),
    [anon_sym_LPAREN] = ACTIONS(271),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1749),
    [anon_sym_SLASH] = ACTIONS(1759),
    [anon_sym_GT_EQ] = ACTIONS(1749),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(273),
    [anon_sym_PIPE] = ACTIONS(1765),
    [anon_sym_LT_EQ] = ACTIONS(1749),
    [anon_sym_PIPE_PIPE] = ACTIONS(1755),
    [anon_sym_COMMA] = ACTIONS(1196),
    [anon_sym_GT_GT_GT] = ACTIONS(1770),
    [anon_sym_SEMI] = ACTIONS(1196),
    [anon_sym_PLUS_PLUS] = ACTIONS(410),
    [anon_sym_BANG_EQ] = ACTIONS(1751),
    [anon_sym_LT] = ACTIONS(1751),
    [anon_sym_DOT] = ACTIONS(275),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1753),
    [anon_sym_EQ_EQ] = ACTIONS(1751),
    [anon_sym_PERCENT] = ACTIONS(1770),
    [anon_sym_QMARK] = ACTIONS(1772),
    [anon_sym_RBRACE] = ACTIONS(1196),
    [anon_sym_LT_LT] = ACTIONS(1770),
    [anon_sym_DASH_DASH] = ACTIONS(410),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1749),
  },
  [1053] = {
    [sym_template_string] = STATE(141),
    [sym_arguments] = STATE(141),
    [anon_sym_instanceof] = ACTIONS(1749),
    [anon_sym_GT] = ACTIONS(1751),
    [sym__automatic_semicolon] = ACTIONS(1198),
    [anon_sym_DASH] = ACTIONS(1753),
    [anon_sym_CARET] = ACTIONS(1755),
    [anon_sym_STAR_STAR] = ACTIONS(1757),
    [anon_sym_STAR] = ACTIONS(1759),
    [anon_sym_AMP_AMP] = ACTIONS(1761),
    [anon_sym_GT_GT] = ACTIONS(1759),
    [anon_sym_AMP] = ACTIONS(1763),
    [anon_sym_in] = ACTIONS(1751),
    [anon_sym_LPAREN] = ACTIONS(271),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1749),
    [anon_sym_SLASH] = ACTIONS(1759),
    [anon_sym_GT_EQ] = ACTIONS(1749),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(273),
    [anon_sym_PIPE] = ACTIONS(1765),
    [anon_sym_LT_EQ] = ACTIONS(1749),
    [anon_sym_PIPE_PIPE] = ACTIONS(1755),
    [anon_sym_COMMA] = ACTIONS(1198),
    [anon_sym_GT_GT_GT] = ACTIONS(1770),
    [anon_sym_SEMI] = ACTIONS(1198),
    [anon_sym_PLUS_PLUS] = ACTIONS(410),
    [anon_sym_BANG_EQ] = ACTIONS(1751),
    [anon_sym_LT] = ACTIONS(1751),
    [anon_sym_DOT] = ACTIONS(275),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1753),
    [anon_sym_EQ_EQ] = ACTIONS(1751),
    [anon_sym_PERCENT] = ACTIONS(1770),
    [anon_sym_QMARK] = ACTIONS(1772),
    [anon_sym_RBRACE] = ACTIONS(1198),
    [anon_sym_LT_LT] = ACTIONS(1770),
    [anon_sym_DASH_DASH] = ACTIONS(410),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1749),
  },
  [1054] = {
    [sym_formal_parameters] = STATE(945),
    [anon_sym_LPAREN] = ACTIONS(139),
    [sym_comment] = ACTIONS(3),
  },
  [1055] = {
    [sym_template_string] = STATE(141),
    [sym_arguments] = STATE(141),
    [anon_sym_instanceof] = ACTIONS(1749),
    [anon_sym_GT] = ACTIONS(1751),
    [sym__automatic_semicolon] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1753),
    [anon_sym_CARET] = ACTIONS(1755),
    [anon_sym_STAR_STAR] = ACTIONS(1757),
    [anon_sym_STAR] = ACTIONS(1759),
    [anon_sym_AMP_AMP] = ACTIONS(1761),
    [anon_sym_GT_GT] = ACTIONS(1759),
    [anon_sym_AMP] = ACTIONS(1763),
    [anon_sym_in] = ACTIONS(1751),
    [anon_sym_LPAREN] = ACTIONS(271),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1749),
    [anon_sym_SLASH] = ACTIONS(1759),
    [anon_sym_GT_EQ] = ACTIONS(1749),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(273),
    [anon_sym_PIPE] = ACTIONS(1765),
    [anon_sym_LT_EQ] = ACTIONS(1749),
    [anon_sym_PIPE_PIPE] = ACTIONS(1755),
    [anon_sym_COMMA] = ACTIONS(1421),
    [anon_sym_GT_GT_GT] = ACTIONS(1770),
    [anon_sym_SEMI] = ACTIONS(1421),
    [anon_sym_PLUS_PLUS] = ACTIONS(410),
    [anon_sym_BANG_EQ] = ACTIONS(1751),
    [anon_sym_LT] = ACTIONS(1751),
    [anon_sym_DOT] = ACTIONS(275),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1753),
    [anon_sym_EQ_EQ] = ACTIONS(1751),
    [anon_sym_PERCENT] = ACTIONS(1770),
    [anon_sym_QMARK] = ACTIONS(1772),
    [anon_sym_RBRACE] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1770),
    [anon_sym_DASH_DASH] = ACTIONS(410),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1749),
  },
  [1056] = {
    [sym_template_string] = STATE(141),
    [sym_arguments] = STATE(141),
    [anon_sym_instanceof] = ACTIONS(1749),
    [anon_sym_GT] = ACTIONS(1751),
    [sym__automatic_semicolon] = ACTIONS(1427),
    [anon_sym_DASH] = ACTIONS(1753),
    [anon_sym_CARET] = ACTIONS(1755),
    [anon_sym_STAR_STAR] = ACTIONS(1757),
    [anon_sym_STAR] = ACTIONS(1759),
    [anon_sym_AMP_AMP] = ACTIONS(1761),
    [anon_sym_GT_GT] = ACTIONS(1759),
    [anon_sym_AMP] = ACTIONS(1763),
    [anon_sym_in] = ACTIONS(1751),
    [anon_sym_LPAREN] = ACTIONS(271),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1749),
    [anon_sym_SLASH] = ACTIONS(1759),
    [anon_sym_GT_EQ] = ACTIONS(1749),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(273),
    [anon_sym_PIPE] = ACTIONS(1765),
    [anon_sym_LT_EQ] = ACTIONS(1749),
    [anon_sym_PIPE_PIPE] = ACTIONS(1755),
    [anon_sym_COMMA] = ACTIONS(1427),
    [anon_sym_GT_GT_GT] = ACTIONS(1770),
    [anon_sym_SEMI] = ACTIONS(1427),
    [anon_sym_PLUS_PLUS] = ACTIONS(410),
    [anon_sym_BANG_EQ] = ACTIONS(1751),
    [anon_sym_LT] = ACTIONS(1751),
    [anon_sym_DOT] = ACTIONS(275),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1753),
    [anon_sym_EQ_EQ] = ACTIONS(1751),
    [anon_sym_PERCENT] = ACTIONS(1770),
    [anon_sym_QMARK] = ACTIONS(1772),
    [anon_sym_RBRACE] = ACTIONS(1427),
    [anon_sym_LT_LT] = ACTIONS(1770),
    [anon_sym_DASH_DASH] = ACTIONS(410),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1749),
  },
  [1057] = {
    [sym_template_string] = STATE(141),
    [sym_arguments] = STATE(141),
    [anon_sym_instanceof] = ACTIONS(1429),
    [anon_sym_GT] = ACTIONS(1431),
    [sym__automatic_semicolon] = ACTIONS(1429),
    [anon_sym_DASH] = ACTIONS(1753),
    [anon_sym_CARET] = ACTIONS(1429),
    [anon_sym_STAR_STAR] = ACTIONS(1757),
    [anon_sym_STAR] = ACTIONS(1759),
    [anon_sym_AMP_AMP] = ACTIONS(1429),
    [anon_sym_GT_GT] = ACTIONS(1759),
    [anon_sym_AMP] = ACTIONS(1431),
    [anon_sym_in] = ACTIONS(1431),
    [anon_sym_LPAREN] = ACTIONS(271),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1429),
    [anon_sym_SLASH] = ACTIONS(1759),
    [anon_sym_GT_EQ] = ACTIONS(1429),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(273),
    [anon_sym_PIPE] = ACTIONS(1431),
    [anon_sym_LT_EQ] = ACTIONS(1429),
    [anon_sym_PIPE_PIPE] = ACTIONS(1429),
    [anon_sym_COMMA] = ACTIONS(1429),
    [anon_sym_GT_GT_GT] = ACTIONS(1770),
    [anon_sym_SEMI] = ACTIONS(1429),
    [anon_sym_PLUS_PLUS] = ACTIONS(410),
    [anon_sym_BANG_EQ] = ACTIONS(1431),
    [anon_sym_LT] = ACTIONS(1431),
    [anon_sym_DOT] = ACTIONS(275),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1753),
    [anon_sym_EQ_EQ] = ACTIONS(1431),
    [anon_sym_PERCENT] = ACTIONS(1770),
    [anon_sym_QMARK] = ACTIONS(1429),
    [anon_sym_RBRACE] = ACTIONS(1429),
    [anon_sym_LT_LT] = ACTIONS(1770),
    [anon_sym_DASH_DASH] = ACTIONS(410),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1429),
  },
  [1058] = {
    [sym_template_string] = STATE(141),
    [sym_arguments] = STATE(141),
    [anon_sym_instanceof] = ACTIONS(1749),
    [anon_sym_GT] = ACTIONS(1751),
    [sym__automatic_semicolon] = ACTIONS(1433),
    [anon_sym_DASH] = ACTIONS(1753),
    [anon_sym_CARET] = ACTIONS(1755),
    [anon_sym_STAR_STAR] = ACTIONS(1757),
    [anon_sym_STAR] = ACTIONS(1759),
    [anon_sym_AMP_AMP] = ACTIONS(1761),
    [anon_sym_GT_GT] = ACTIONS(1759),
    [anon_sym_AMP] = ACTIONS(1763),
    [anon_sym_in] = ACTIONS(1751),
    [anon_sym_LPAREN] = ACTIONS(271),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1749),
    [anon_sym_SLASH] = ACTIONS(1759),
    [anon_sym_GT_EQ] = ACTIONS(1749),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(273),
    [anon_sym_PIPE] = ACTIONS(1765),
    [anon_sym_LT_EQ] = ACTIONS(1749),
    [anon_sym_PIPE_PIPE] = ACTIONS(1755),
    [anon_sym_COMMA] = ACTIONS(1433),
    [anon_sym_GT_GT_GT] = ACTIONS(1770),
    [anon_sym_SEMI] = ACTIONS(1433),
    [anon_sym_PLUS_PLUS] = ACTIONS(410),
    [anon_sym_BANG_EQ] = ACTIONS(1751),
    [anon_sym_LT] = ACTIONS(1751),
    [anon_sym_DOT] = ACTIONS(275),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1753),
    [anon_sym_EQ_EQ] = ACTIONS(1751),
    [anon_sym_PERCENT] = ACTIONS(1770),
    [anon_sym_QMARK] = ACTIONS(1772),
    [anon_sym_RBRACE] = ACTIONS(1433),
    [anon_sym_LT_LT] = ACTIONS(1770),
    [anon_sym_DASH_DASH] = ACTIONS(410),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1749),
  },
  [1059] = {
    [sym_jsx_namespace_name] = STATE(339),
    [sym_jsx_attribute] = STATE(340),
    [sym_jsx_expression] = STATE(340),
    [aux_sym_jsx_opening_element_repeat1] = STATE(481),
    [anon_sym_LBRACE] = ACTIONS(808),
    [anon_sym_GT] = ACTIONS(1463),
    [anon_sym_SLASH] = ACTIONS(2821),
    [sym_jsx_identifier] = ACTIONS(816),
    [sym_comment] = ACTIONS(3),
    [sym_identifier] = ACTIONS(818),
  },
  [1060] = {
    [sym_nested_identifier] = STATE(1101),
    [sym_jsx_namespace_name] = STATE(1102),
    [sym_jsx_identifier] = ACTIONS(1106),
    [sym_comment] = ACTIONS(3),
    [sym_identifier] = ACTIONS(1108),
    [anon_sym_SLASH] = ACTIONS(2823),
  },
  [1061] = {
    [sym_formal_parameters] = STATE(949),
    [anon_sym_LPAREN] = ACTIONS(139),
    [sym_comment] = ACTIONS(3),
  },
  [1062] = {
    [sym_identifier] = ACTIONS(2825),
    [sym_comment] = ACTIONS(3),
  },
  [1063] = {
    [sym_template_string] = STATE(141),
    [sym_arguments] = STATE(141),
    [anon_sym_instanceof] = ACTIONS(1749),
    [anon_sym_GT] = ACTIONS(1751),
    [sym__automatic_semicolon] = ACTIONS(1570),
    [anon_sym_DASH] = ACTIONS(1753),
    [anon_sym_CARET] = ACTIONS(1755),
    [anon_sym_STAR_STAR] = ACTIONS(1757),
    [anon_sym_STAR] = ACTIONS(1759),
    [anon_sym_AMP_AMP] = ACTIONS(1761),
    [anon_sym_GT_GT] = ACTIONS(1759),
    [anon_sym_AMP] = ACTIONS(1763),
    [anon_sym_in] = ACTIONS(1751),
    [anon_sym_LPAREN] = ACTIONS(271),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1749),
    [anon_sym_SLASH] = ACTIONS(1759),
    [anon_sym_GT_EQ] = ACTIONS(1749),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(273),
    [anon_sym_PIPE] = ACTIONS(1765),
    [anon_sym_LT_EQ] = ACTIONS(1749),
    [anon_sym_PIPE_PIPE] = ACTIONS(1755),
    [anon_sym_COMMA] = ACTIONS(1570),
    [anon_sym_GT_GT_GT] = ACTIONS(1770),
    [anon_sym_SEMI] = ACTIONS(1570),
    [anon_sym_PLUS_PLUS] = ACTIONS(410),
    [anon_sym_BANG_EQ] = ACTIONS(1751),
    [anon_sym_LT] = ACTIONS(1751),
    [anon_sym_DOT] = ACTIONS(275),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1753),
    [anon_sym_EQ_EQ] = ACTIONS(1751),
    [anon_sym_PERCENT] = ACTIONS(1770),
    [anon_sym_QMARK] = ACTIONS(1772),
    [anon_sym_RBRACE] = ACTIONS(1570),
    [anon_sym_LT_LT] = ACTIONS(1770),
    [anon_sym_DASH_DASH] = ACTIONS(410),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1749),
  },
  [1064] = {
    [sym_template_string] = STATE(141),
    [sym_arguments] = STATE(141),
    [anon_sym_instanceof] = ACTIONS(1429),
    [anon_sym_GT] = ACTIONS(1431),
    [sym__automatic_semicolon] = ACTIONS(1429),
    [anon_sym_DASH] = ACTIONS(1431),
    [anon_sym_CARET] = ACTIONS(1429),
    [anon_sym_STAR_STAR] = ACTIONS(1757),
    [anon_sym_STAR] = ACTIONS(1759),
    [anon_sym_AMP_AMP] = ACTIONS(1429),
    [anon_sym_GT_GT] = ACTIONS(1759),
    [anon_sym_AMP] = ACTIONS(1431),
    [anon_sym_in] = ACTIONS(1431),
    [anon_sym_LPAREN] = ACTIONS(271),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1429),
    [anon_sym_SLASH] = ACTIONS(1759),
    [anon_sym_GT_EQ] = ACTIONS(1429),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(273),
    [anon_sym_PIPE] = ACTIONS(1431),
    [anon_sym_LT_EQ] = ACTIONS(1429),
    [anon_sym_PIPE_PIPE] = ACTIONS(1429),
    [anon_sym_COMMA] = ACTIONS(1429),
    [anon_sym_GT_GT_GT] = ACTIONS(1770),
    [anon_sym_SEMI] = ACTIONS(1429),
    [anon_sym_PLUS_PLUS] = ACTIONS(410),
    [anon_sym_BANG_EQ] = ACTIONS(1431),
    [anon_sym_LT] = ACTIONS(1431),
    [anon_sym_DOT] = ACTIONS(275),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1431),
    [anon_sym_EQ_EQ] = ACTIONS(1431),
    [anon_sym_PERCENT] = ACTIONS(1770),
    [anon_sym_QMARK] = ACTIONS(1429),
    [anon_sym_RBRACE] = ACTIONS(1429),
    [anon_sym_LT_LT] = ACTIONS(1770),
    [anon_sym_DASH_DASH] = ACTIONS(410),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1429),
  },
  [1065] = {
    [sym_template_string] = STATE(141),
    [sym_arguments] = STATE(141),
    [anon_sym_instanceof] = ACTIONS(1749),
    [anon_sym_GT] = ACTIONS(1751),
    [sym__automatic_semicolon] = ACTIONS(1429),
    [anon_sym_DASH] = ACTIONS(1753),
    [anon_sym_CARET] = ACTIONS(1429),
    [anon_sym_STAR_STAR] = ACTIONS(1757),
    [anon_sym_STAR] = ACTIONS(1759),
    [anon_sym_AMP_AMP] = ACTIONS(1761),
    [anon_sym_GT_GT] = ACTIONS(1759),
    [anon_sym_AMP] = ACTIONS(1763),
    [anon_sym_in] = ACTIONS(1751),
    [anon_sym_LPAREN] = ACTIONS(271),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1749),
    [anon_sym_SLASH] = ACTIONS(1759),
    [anon_sym_GT_EQ] = ACTIONS(1749),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(273),
    [anon_sym_PIPE] = ACTIONS(1431),
    [anon_sym_LT_EQ] = ACTIONS(1749),
    [anon_sym_PIPE_PIPE] = ACTIONS(1429),
    [anon_sym_COMMA] = ACTIONS(1429),
    [anon_sym_GT_GT_GT] = ACTIONS(1770),
    [anon_sym_SEMI] = ACTIONS(1429),
    [anon_sym_PLUS_PLUS] = ACTIONS(410),
    [anon_sym_BANG_EQ] = ACTIONS(1751),
    [anon_sym_LT] = ACTIONS(1751),
    [anon_sym_DOT] = ACTIONS(275),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1753),
    [anon_sym_EQ_EQ] = ACTIONS(1751),
    [anon_sym_PERCENT] = ACTIONS(1770),
    [anon_sym_QMARK] = ACTIONS(1429),
    [anon_sym_RBRACE] = ACTIONS(1429),
    [anon_sym_LT_LT] = ACTIONS(1770),
    [anon_sym_DASH_DASH] = ACTIONS(410),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1749),
  },
  [1066] = {
    [sym_template_string] = STATE(141),
    [sym_arguments] = STATE(141),
    [anon_sym_instanceof] = ACTIONS(1749),
    [anon_sym_GT] = ACTIONS(1751),
    [sym__automatic_semicolon] = ACTIONS(1429),
    [anon_sym_DASH] = ACTIONS(1753),
    [anon_sym_CARET] = ACTIONS(1429),
    [anon_sym_STAR_STAR] = ACTIONS(1757),
    [anon_sym_STAR] = ACTIONS(1759),
    [anon_sym_AMP_AMP] = ACTIONS(1429),
    [anon_sym_GT_GT] = ACTIONS(1759),
    [anon_sym_AMP] = ACTIONS(1431),
    [anon_sym_in] = ACTIONS(1751),
    [anon_sym_LPAREN] = ACTIONS(271),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1749),
    [anon_sym_SLASH] = ACTIONS(1759),
    [anon_sym_GT_EQ] = ACTIONS(1749),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(273),
    [anon_sym_PIPE] = ACTIONS(1431),
    [anon_sym_LT_EQ] = ACTIONS(1749),
    [anon_sym_PIPE_PIPE] = ACTIONS(1429),
    [anon_sym_COMMA] = ACTIONS(1429),
    [anon_sym_GT_GT_GT] = ACTIONS(1770),
    [anon_sym_SEMI] = ACTIONS(1429),
    [anon_sym_PLUS_PLUS] = ACTIONS(410),
    [anon_sym_BANG_EQ] = ACTIONS(1751),
    [anon_sym_LT] = ACTIONS(1751),
    [anon_sym_DOT] = ACTIONS(275),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1753),
    [anon_sym_EQ_EQ] = ACTIONS(1751),
    [anon_sym_PERCENT] = ACTIONS(1770),
    [anon_sym_QMARK] = ACTIONS(1429),
    [anon_sym_RBRACE] = ACTIONS(1429),
    [anon_sym_LT_LT] = ACTIONS(1770),
    [anon_sym_DASH_DASH] = ACTIONS(410),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1749),
  },
  [1067] = {
    [sym_template_string] = STATE(141),
    [sym_arguments] = STATE(141),
    [anon_sym_instanceof] = ACTIONS(1429),
    [anon_sym_GT] = ACTIONS(1431),
    [sym__automatic_semicolon] = ACTIONS(1429),
    [anon_sym_DASH] = ACTIONS(1431),
    [anon_sym_CARET] = ACTIONS(1429),
    [anon_sym_STAR_STAR] = ACTIONS(1757),
    [anon_sym_STAR] = ACTIONS(1431),
    [anon_sym_AMP_AMP] = ACTIONS(1429),
    [anon_sym_GT_GT] = ACTIONS(1431),
    [anon_sym_AMP] = ACTIONS(1431),
    [anon_sym_in] = ACTIONS(1431),
    [anon_sym_LPAREN] = ACTIONS(271),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1429),
    [anon_sym_SLASH] = ACTIONS(1431),
    [anon_sym_GT_EQ] = ACTIONS(1429),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(273),
    [anon_sym_PIPE] = ACTIONS(1431),
    [anon_sym_LT_EQ] = ACTIONS(1429),
    [anon_sym_PIPE_PIPE] = ACTIONS(1429),
    [anon_sym_COMMA] = ACTIONS(1429),
    [anon_sym_GT_GT_GT] = ACTIONS(1429),
    [anon_sym_SEMI] = ACTIONS(1429),
    [anon_sym_PLUS_PLUS] = ACTIONS(410),
    [anon_sym_BANG_EQ] = ACTIONS(1431),
    [anon_sym_LT] = ACTIONS(1431),
    [anon_sym_DOT] = ACTIONS(275),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1431),
    [anon_sym_EQ_EQ] = ACTIONS(1431),
    [anon_sym_PERCENT] = ACTIONS(1429),
    [anon_sym_QMARK] = ACTIONS(1429),
    [anon_sym_RBRACE] = ACTIONS(1429),
    [anon_sym_LT_LT] = ACTIONS(1429),
    [anon_sym_DASH_DASH] = ACTIONS(410),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1429),
  },
  [1068] = {
    [sym_template_string] = STATE(141),
    [sym_arguments] = STATE(141),
    [anon_sym_instanceof] = ACTIONS(1749),
    [anon_sym_GT] = ACTIONS(1751),
    [sym__automatic_semicolon] = ACTIONS(1584),
    [anon_sym_DASH] = ACTIONS(1753),
    [anon_sym_CARET] = ACTIONS(1755),
    [anon_sym_STAR_STAR] = ACTIONS(1757),
    [anon_sym_STAR] = ACTIONS(1759),
    [anon_sym_AMP_AMP] = ACTIONS(1761),
    [anon_sym_GT_GT] = ACTIONS(1759),
    [anon_sym_AMP] = ACTIONS(1763),
    [anon_sym_in] = ACTIONS(1751),
    [anon_sym_LPAREN] = ACTIONS(271),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1749),
    [anon_sym_SLASH] = ACTIONS(1759),
    [anon_sym_GT_EQ] = ACTIONS(1749),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(273),
    [anon_sym_PIPE] = ACTIONS(1765),
    [anon_sym_LT_EQ] = ACTIONS(1749),
    [anon_sym_PIPE_PIPE] = ACTIONS(1755),
    [anon_sym_COMMA] = ACTIONS(1584),
    [anon_sym_GT_GT_GT] = ACTIONS(1770),
    [anon_sym_SEMI] = ACTIONS(1584),
    [anon_sym_PLUS_PLUS] = ACTIONS(410),
    [anon_sym_BANG_EQ] = ACTIONS(1751),
    [anon_sym_LT] = ACTIONS(1751),
    [anon_sym_DOT] = ACTIONS(275),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1753),
    [anon_sym_EQ_EQ] = ACTIONS(1751),
    [anon_sym_PERCENT] = ACTIONS(1770),
    [anon_sym_QMARK] = ACTIONS(1772),
    [anon_sym_RBRACE] = ACTIONS(1584),
    [anon_sym_LT_LT] = ACTIONS(1770),
    [anon_sym_DASH_DASH] = ACTIONS(410),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1749),
  },
  [1069] = {
    [sym_template_string] = STATE(141),
    [sym_arguments] = STATE(141),
    [anon_sym_instanceof] = ACTIONS(1749),
    [anon_sym_GT] = ACTIONS(1751),
    [sym__automatic_semicolon] = ACTIONS(1588),
    [anon_sym_DASH] = ACTIONS(1753),
    [anon_sym_CARET] = ACTIONS(1755),
    [anon_sym_STAR_STAR] = ACTIONS(1757),
    [anon_sym_STAR] = ACTIONS(1759),
    [anon_sym_AMP_AMP] = ACTIONS(1761),
    [anon_sym_GT_GT] = ACTIONS(1759),
    [anon_sym_AMP] = ACTIONS(1763),
    [anon_sym_in] = ACTIONS(1751),
    [anon_sym_LPAREN] = ACTIONS(271),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1749),
    [anon_sym_SLASH] = ACTIONS(1759),
    [anon_sym_GT_EQ] = ACTIONS(1749),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(273),
    [anon_sym_PIPE] = ACTIONS(1765),
    [anon_sym_LT_EQ] = ACTIONS(1749),
    [anon_sym_PIPE_PIPE] = ACTIONS(1755),
    [anon_sym_COMMA] = ACTIONS(1588),
    [anon_sym_GT_GT_GT] = ACTIONS(1770),
    [anon_sym_SEMI] = ACTIONS(1588),
    [anon_sym_PLUS_PLUS] = ACTIONS(410),
    [anon_sym_BANG_EQ] = ACTIONS(1751),
    [anon_sym_LT] = ACTIONS(1751),
    [anon_sym_DOT] = ACTIONS(275),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1753),
    [anon_sym_EQ_EQ] = ACTIONS(1751),
    [anon_sym_PERCENT] = ACTIONS(1770),
    [anon_sym_QMARK] = ACTIONS(1772),
    [anon_sym_RBRACE] = ACTIONS(1588),
    [anon_sym_LT_LT] = ACTIONS(1770),
    [anon_sym_DASH_DASH] = ACTIONS(410),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1749),
  },
  [1070] = {
    [sym_nested_identifier] = STATE(955),
    [sym_jsx_namespace_name] = STATE(956),
    [sym_jsx_identifier] = ACTIONS(2827),
    [sym_comment] = ACTIONS(3),
    [sym_identifier] = ACTIONS(2829),
  },
  [1071] = {
    [sym_formal_parameters] = STATE(957),
    [anon_sym_LPAREN] = ACTIONS(139),
    [sym_comment] = ACTIONS(3),
  },
  [1072] = {
    [sym_formal_parameters] = STATE(958),
    [anon_sym_LPAREN] = ACTIONS(139),
    [sym_comment] = ACTIONS(3),
  },
  [1073] = {
    [sym_arrow_function] = STATE(46),
    [sym__declaration] = STATE(555),
    [sym_subscript_expression] = STATE(42),
    [sym_ternary_expression] = STATE(46),
    [sym_if_statement] = STATE(555),
    [sym_template_string] = STATE(46),
    [sym_do_statement] = STATE(555),
    [sym_return_statement] = STATE(555),
    [sym_yield_expression] = STATE(46),
    [sym_jsx_fragment] = STATE(46),
    [sym_function_declaration] = STATE(555),
    [sym_import_statement] = STATE(555),
    [sym_expression_statement] = STATE(555),
    [sym_switch_statement] = STATE(555),
    [sym_update_expression] = STATE(46),
    [sym_try_statement] = STATE(555),
    [sym_meta_property] = STATE(46),
    [sym_throw_statement] = STATE(555),
    [sym_object] = STATE(43),
    [aux_sym_export_statement_repeat1] = STATE(1129),
    [sym_generator_function] = STATE(46),
    [sym_await_expression] = STATE(46),
    [sym_sequence_expression] = STATE(45),
    [sym_for_of_statement] = STATE(555),
    [sym_continue_statement] = STATE(555),
    [sym_call_expression] = STATE(46),
    [sym_assignment_expression] = STATE(46),
    [sym_statement_block] = STATE(555),
    [sym_binary_expression] = STATE(46),
    [sym_while_statement] = STATE(555),
    [sym_debugger_statement] = STATE(555),
    [sym__expression] = STATE(46),
    [sym_jsx_element] = STATE(46),
    [sym_function] = STATE(47),
    [sym_new_expression] = STATE(46),
    [sym_augmented_assignment_expression] = STATE(46),
    [sym_variable_declaration] = STATE(555),
    [sym_unary_expression] = STATE(46),
    [sym_for_statement] = STATE(555),
    [sym_regex] = STATE(46),
    [sym_with_statement] = STATE(555),
    [sym_empty_statement] = STATE(555),
    [sym_class] = STATE(46),
    [sym_export_statement] = STATE(555),
    [sym_generator_function_declaration] = STATE(555),
    [sym_member_expression] = STATE(42),
    [sym_lexical_declaration] = STATE(555),
    [sym_for_in_statement] = STATE(555),
    [sym_string] = STATE(46),
    [sym_break_statement] = STATE(555),
    [sym_decorator] = STATE(50),
    [sym_labeled_statement] = STATE(555),
    [sym_formal_parameters] = STATE(51),
    [sym_parenthesized_expression] = STATE(46),
    [sym_array] = STATE(52),
    [sym_jsx_opening_element] = STATE(53),
    [sym_jsx_self_closing_element] = STATE(46),
    [sym_class_declaration] = STATE(555),
    [anon_sym_class] = ACTIONS(366),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_delete] = ACTIONS(39),
    [anon_sym_throw] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [anon_sym_get] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(69),
    [sym_false] = ACTIONS(9),
    [sym_number] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_set] = ACTIONS(23),
    [anon_sym_async] = ACTIONS(368),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_try] = ACTIONS(15),
    [anon_sym_for] = ACTIONS(370),
    [anon_sym_typeof] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(5),
    [sym_null] = ACTIONS(9),
    [anon_sym_function] = ACTIONS(372),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_if] = ACTIONS(374),
    [anon_sym_with] = ACTIONS(376),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_SLASH] = ACTIONS(45),
    [sym_undefined] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(378),
    [sym_identifier] = ACTIONS(380),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_switch] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(382),
    [anon_sym_continue] = ACTIONS(13),
    [anon_sym_void] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_do] = ACTIONS(21),
  },
  [1074] = {
    [sym_nested_identifier] = STATE(1101),
    [sym_jsx_namespace_name] = STATE(1102),
    [sym_jsx_identifier] = ACTIONS(1106),
    [sym_comment] = ACTIONS(3),
    [sym_identifier] = ACTIONS(1108),
    [anon_sym_SLASH] = ACTIONS(2831),
  },
  [1075] = {
    [sym_template_string] = STATE(141),
    [sym_arguments] = STATE(141),
    [anon_sym_instanceof] = ACTIONS(1749),
    [anon_sym_GT] = ACTIONS(1751),
    [sym__automatic_semicolon] = ACTIONS(1888),
    [anon_sym_DASH] = ACTIONS(1753),
    [anon_sym_CARET] = ACTIONS(1755),
    [anon_sym_STAR_STAR] = ACTIONS(1757),
    [anon_sym_STAR] = ACTIONS(1759),
    [anon_sym_AMP_AMP] = ACTIONS(1761),
    [anon_sym_GT_GT] = ACTIONS(1759),
    [anon_sym_AMP] = ACTIONS(1763),
    [anon_sym_in] = ACTIONS(1751),
    [anon_sym_LPAREN] = ACTIONS(271),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1749),
    [anon_sym_SLASH] = ACTIONS(1759),
    [anon_sym_GT_EQ] = ACTIONS(1749),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(273),
    [anon_sym_PIPE] = ACTIONS(1765),
    [anon_sym_LT_EQ] = ACTIONS(1749),
    [anon_sym_PIPE_PIPE] = ACTIONS(1755),
    [anon_sym_COMMA] = ACTIONS(1888),
    [anon_sym_GT_GT_GT] = ACTIONS(1770),
    [anon_sym_SEMI] = ACTIONS(1888),
    [anon_sym_PLUS_PLUS] = ACTIONS(410),
    [anon_sym_BANG_EQ] = ACTIONS(1751),
    [anon_sym_LT] = ACTIONS(1751),
    [anon_sym_DOT] = ACTIONS(275),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1753),
    [anon_sym_EQ_EQ] = ACTIONS(1751),
    [anon_sym_PERCENT] = ACTIONS(1770),
    [anon_sym_QMARK] = ACTIONS(1772),
    [anon_sym_RBRACE] = ACTIONS(1888),
    [anon_sym_LT_LT] = ACTIONS(1770),
    [anon_sym_DASH_DASH] = ACTIONS(410),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1749),
  },
  [1076] = {
    [sym_template_string] = STATE(141),
    [sym_arguments] = STATE(141),
    [anon_sym_instanceof] = ACTIONS(1749),
    [anon_sym_GT] = ACTIONS(1751),
    [sym__automatic_semicolon] = ACTIONS(1892),
    [anon_sym_DASH] = ACTIONS(1753),
    [anon_sym_CARET] = ACTIONS(1755),
    [anon_sym_STAR_STAR] = ACTIONS(1757),
    [anon_sym_STAR] = ACTIONS(1759),
    [anon_sym_AMP_AMP] = ACTIONS(1761),
    [anon_sym_GT_GT] = ACTIONS(1759),
    [anon_sym_AMP] = ACTIONS(1763),
    [anon_sym_in] = ACTIONS(1751),
    [anon_sym_LPAREN] = ACTIONS(271),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1749),
    [anon_sym_SLASH] = ACTIONS(1759),
    [anon_sym_GT_EQ] = ACTIONS(1749),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(273),
    [anon_sym_PIPE] = ACTIONS(1765),
    [anon_sym_LT_EQ] = ACTIONS(1749),
    [anon_sym_PIPE_PIPE] = ACTIONS(1755),
    [anon_sym_COMMA] = ACTIONS(1892),
    [anon_sym_GT_GT_GT] = ACTIONS(1770),
    [anon_sym_SEMI] = ACTIONS(1892),
    [anon_sym_PLUS_PLUS] = ACTIONS(410),
    [anon_sym_BANG_EQ] = ACTIONS(1751),
    [anon_sym_LT] = ACTIONS(1751),
    [anon_sym_DOT] = ACTIONS(275),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1753),
    [anon_sym_EQ_EQ] = ACTIONS(1751),
    [anon_sym_PERCENT] = ACTIONS(1770),
    [anon_sym_QMARK] = ACTIONS(1772),
    [anon_sym_RBRACE] = ACTIONS(1892),
    [anon_sym_LT_LT] = ACTIONS(1770),
    [anon_sym_DASH_DASH] = ACTIONS(410),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1749),
  },
  [1077] = {
    [sym_statement_block] = STATE(582),
    [anon_sym_LBRACE] = ACTIONS(532),
    [sym_comment] = ACTIONS(3),
  },
  [1078] = {
    [sym_arrow_function] = STATE(1082),
    [sym_call_expression] = STATE(1082),
    [sym_subscript_expression] = STATE(1127),
    [sym_assignment_expression] = STATE(1082),
    [sym_ternary_expression] = STATE(1082),
    [sym_binary_expression] = STATE(1082),
    [sym_template_string] = STATE(1082),
    [sym__expression] = STATE(1082),
    [sym_yield_expression] = STATE(1082),
    [sym_jsx_element] = STATE(1082),
    [sym_jsx_fragment] = STATE(1082),
    [sym_function] = STATE(47),
    [sym_new_expression] = STATE(1082),
    [sym_augmented_assignment_expression] = STATE(1082),
    [sym_unary_expression] = STATE(1082),
    [sym_update_expression] = STATE(1082),
    [sym_regex] = STATE(1082),
    [sym_meta_property] = STATE(1082),
    [sym_object] = STATE(1128),
    [aux_sym_export_statement_repeat1] = STATE(60),
    [sym_class] = STATE(1082),
    [sym_generator_function] = STATE(1082),
    [sym_await_expression] = STATE(1082),
    [sym_member_expression] = STATE(1127),
    [sym_string] = STATE(1082),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(1013),
    [sym_parenthesized_expression] = STATE(1082),
    [sym_array] = STATE(1130),
    [sym_jsx_opening_element] = STATE(53),
    [sym_jsx_self_closing_element] = STATE(1082),
    [anon_sym_await] = ACTIONS(1282),
    [sym_null] = ACTIONS(2833),
    [anon_sym_class] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(1286),
    [anon_sym_function] = ACTIONS(95),
    [anon_sym_DASH] = ACTIONS(1288),
    [anon_sym_LBRACE] = ACTIONS(97),
    [anon_sym_delete] = ACTIONS(1290),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(1292),
    [sym_this] = ACTIONS(2833),
    [sym_undefined] = ACTIONS(2833),
    [sym_true] = ACTIONS(2833),
    [anon_sym_SLASH] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(49),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(1286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1294),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1292),
    [sym_super] = ACTIONS(63),
    [sym_identifier] = ACTIONS(1296),
    [sym_false] = ACTIONS(2833),
    [anon_sym_LT] = ACTIONS(69),
    [sym_number] = ACTIONS(2835),
    [anon_sym_yield] = ACTIONS(1300),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_set] = ACTIONS(1286),
    [anon_sym_async] = ACTIONS(1302),
    [anon_sym_new] = ACTIONS(1304),
    [anon_sym_PLUS] = ACTIONS(1288),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(1294),
    [anon_sym_void] = ACTIONS(1290),
    [anon_sym_typeof] = ACTIONS(1290),
  },
  [1079] = {
    [sym_statement_block] = STATE(631),
    [anon_sym_LBRACE] = ACTIONS(532),
    [sym_comment] = ACTIONS(3),
  },
  [1080] = {
    [sym_statement_block] = STATE(632),
    [anon_sym_LBRACE] = ACTIONS(532),
    [sym_comment] = ACTIONS(3),
  },
  [1081] = {
    [sym_arrow_function] = STATE(46),
    [sym__declaration] = STATE(646),
    [sym_subscript_expression] = STATE(42),
    [sym_ternary_expression] = STATE(46),
    [sym_if_statement] = STATE(646),
    [sym_template_string] = STATE(46),
    [sym_do_statement] = STATE(646),
    [sym_return_statement] = STATE(646),
    [sym_yield_expression] = STATE(46),
    [sym_jsx_fragment] = STATE(46),
    [sym_function_declaration] = STATE(646),
    [sym_import_statement] = STATE(646),
    [sym_expression_statement] = STATE(646),
    [sym_switch_statement] = STATE(646),
    [sym_update_expression] = STATE(46),
    [sym_try_statement] = STATE(646),
    [sym_meta_property] = STATE(46),
    [sym_throw_statement] = STATE(646),
    [sym_object] = STATE(43),
    [aux_sym_export_statement_repeat1] = STATE(1129),
    [sym_generator_function] = STATE(46),
    [sym_await_expression] = STATE(46),
    [sym_sequence_expression] = STATE(45),
    [sym_for_of_statement] = STATE(646),
    [sym_continue_statement] = STATE(646),
    [sym_call_expression] = STATE(46),
    [sym_assignment_expression] = STATE(46),
    [sym_statement_block] = STATE(646),
    [sym_binary_expression] = STATE(46),
    [sym_while_statement] = STATE(646),
    [sym_debugger_statement] = STATE(646),
    [sym__expression] = STATE(46),
    [sym_jsx_element] = STATE(46),
    [sym_function] = STATE(47),
    [sym_new_expression] = STATE(46),
    [sym_augmented_assignment_expression] = STATE(46),
    [sym_variable_declaration] = STATE(646),
    [sym_unary_expression] = STATE(46),
    [sym_for_statement] = STATE(646),
    [sym_regex] = STATE(46),
    [sym_with_statement] = STATE(646),
    [sym_empty_statement] = STATE(646),
    [sym_class] = STATE(46),
    [sym_export_statement] = STATE(646),
    [sym_generator_function_declaration] = STATE(646),
    [sym_member_expression] = STATE(42),
    [sym_lexical_declaration] = STATE(646),
    [sym_for_in_statement] = STATE(646),
    [sym_string] = STATE(46),
    [sym_break_statement] = STATE(646),
    [sym_decorator] = STATE(50),
    [sym_labeled_statement] = STATE(646),
    [sym_formal_parameters] = STATE(51),
    [sym_parenthesized_expression] = STATE(46),
    [sym_array] = STATE(52),
    [sym_jsx_opening_element] = STATE(53),
    [sym_jsx_self_closing_element] = STATE(46),
    [sym_class_declaration] = STATE(646),
    [anon_sym_class] = ACTIONS(366),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_delete] = ACTIONS(39),
    [anon_sym_throw] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [anon_sym_get] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(69),
    [sym_false] = ACTIONS(9),
    [sym_number] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_set] = ACTIONS(23),
    [anon_sym_async] = ACTIONS(368),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_try] = ACTIONS(15),
    [anon_sym_for] = ACTIONS(370),
    [anon_sym_typeof] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(5),
    [sym_null] = ACTIONS(9),
    [anon_sym_function] = ACTIONS(372),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_if] = ACTIONS(374),
    [anon_sym_with] = ACTIONS(376),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_SLASH] = ACTIONS(45),
    [sym_undefined] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(378),
    [sym_identifier] = ACTIONS(380),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_switch] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(382),
    [anon_sym_continue] = ACTIONS(13),
    [anon_sym_void] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_do] = ACTIONS(21),
  },
  [1082] = {
    [sym_template_string] = STATE(141),
    [sym_arguments] = STATE(141),
    [anon_sym_instanceof] = ACTIONS(1749),
    [anon_sym_GT] = ACTIONS(1751),
    [sym__automatic_semicolon] = ACTIONS(2181),
    [anon_sym_DASH] = ACTIONS(1753),
    [anon_sym_CARET] = ACTIONS(1755),
    [anon_sym_STAR_STAR] = ACTIONS(1757),
    [anon_sym_STAR] = ACTIONS(1759),
    [anon_sym_AMP_AMP] = ACTIONS(1761),
    [anon_sym_GT_GT] = ACTIONS(1759),
    [anon_sym_AMP] = ACTIONS(1763),
    [anon_sym_in] = ACTIONS(1751),
    [anon_sym_LPAREN] = ACTIONS(271),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1749),
    [anon_sym_SLASH] = ACTIONS(1759),
    [anon_sym_GT_EQ] = ACTIONS(1749),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(273),
    [anon_sym_PIPE] = ACTIONS(1765),
    [anon_sym_LT_EQ] = ACTIONS(1749),
    [anon_sym_PIPE_PIPE] = ACTIONS(1755),
    [anon_sym_COMMA] = ACTIONS(2181),
    [anon_sym_GT_GT_GT] = ACTIONS(1770),
    [anon_sym_SEMI] = ACTIONS(2181),
    [anon_sym_PLUS_PLUS] = ACTIONS(410),
    [anon_sym_BANG_EQ] = ACTIONS(1751),
    [anon_sym_LT] = ACTIONS(1751),
    [anon_sym_DOT] = ACTIONS(275),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1753),
    [anon_sym_EQ_EQ] = ACTIONS(1751),
    [anon_sym_PERCENT] = ACTIONS(1770),
    [anon_sym_QMARK] = ACTIONS(1772),
    [anon_sym_RBRACE] = ACTIONS(2181),
    [anon_sym_LT_LT] = ACTIONS(1770),
    [anon_sym_DASH_DASH] = ACTIONS(410),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1749),
  },
  [1083] = {
    [sym_arrow_function] = STATE(46),
    [sym__declaration] = STATE(670),
    [sym_subscript_expression] = STATE(42),
    [sym_ternary_expression] = STATE(46),
    [sym_if_statement] = STATE(670),
    [sym_template_string] = STATE(46),
    [sym_do_statement] = STATE(670),
    [sym_return_statement] = STATE(670),
    [sym_yield_expression] = STATE(46),
    [sym_jsx_fragment] = STATE(46),
    [sym_function_declaration] = STATE(670),
    [sym_import_statement] = STATE(670),
    [sym_expression_statement] = STATE(670),
    [sym_switch_statement] = STATE(670),
    [sym_update_expression] = STATE(46),
    [sym_try_statement] = STATE(670),
    [sym_meta_property] = STATE(46),
    [sym_throw_statement] = STATE(670),
    [sym_object] = STATE(43),
    [aux_sym_export_statement_repeat1] = STATE(1129),
    [sym_generator_function] = STATE(46),
    [sym_await_expression] = STATE(46),
    [sym_sequence_expression] = STATE(45),
    [sym_for_of_statement] = STATE(670),
    [sym_continue_statement] = STATE(670),
    [sym_call_expression] = STATE(46),
    [sym_assignment_expression] = STATE(46),
    [sym_statement_block] = STATE(670),
    [sym_binary_expression] = STATE(46),
    [sym_while_statement] = STATE(670),
    [sym_debugger_statement] = STATE(670),
    [sym__expression] = STATE(46),
    [sym_jsx_element] = STATE(46),
    [sym_function] = STATE(47),
    [sym_new_expression] = STATE(46),
    [sym_augmented_assignment_expression] = STATE(46),
    [sym_variable_declaration] = STATE(670),
    [sym_unary_expression] = STATE(46),
    [sym_for_statement] = STATE(670),
    [sym_regex] = STATE(46),
    [sym_with_statement] = STATE(670),
    [sym_empty_statement] = STATE(670),
    [sym_class] = STATE(46),
    [sym_export_statement] = STATE(670),
    [sym_generator_function_declaration] = STATE(670),
    [sym_member_expression] = STATE(42),
    [sym_lexical_declaration] = STATE(670),
    [sym_for_in_statement] = STATE(670),
    [sym_string] = STATE(46),
    [sym_break_statement] = STATE(670),
    [sym_decorator] = STATE(50),
    [sym_labeled_statement] = STATE(670),
    [sym_formal_parameters] = STATE(51),
    [sym_parenthesized_expression] = STATE(46),
    [sym_array] = STATE(52),
    [sym_jsx_opening_element] = STATE(53),
    [sym_jsx_self_closing_element] = STATE(46),
    [sym_class_declaration] = STATE(670),
    [anon_sym_class] = ACTIONS(366),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_delete] = ACTIONS(39),
    [anon_sym_throw] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [anon_sym_get] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(69),
    [sym_false] = ACTIONS(9),
    [sym_number] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_set] = ACTIONS(23),
    [anon_sym_async] = ACTIONS(368),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_try] = ACTIONS(15),
    [anon_sym_for] = ACTIONS(370),
    [anon_sym_typeof] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(5),
    [sym_null] = ACTIONS(9),
    [anon_sym_function] = ACTIONS(372),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_if] = ACTIONS(374),
    [anon_sym_with] = ACTIONS(376),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_SLASH] = ACTIONS(45),
    [sym_undefined] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(378),
    [sym_identifier] = ACTIONS(380),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_switch] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(382),
    [anon_sym_continue] = ACTIONS(13),
    [anon_sym_void] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_do] = ACTIONS(21),
  },
  [1084] = {
    [sym_arrow_function] = STATE(46),
    [sym__declaration] = STATE(671),
    [sym_subscript_expression] = STATE(42),
    [sym_ternary_expression] = STATE(46),
    [sym_if_statement] = STATE(671),
    [sym_template_string] = STATE(46),
    [sym_do_statement] = STATE(671),
    [sym_return_statement] = STATE(671),
    [sym_yield_expression] = STATE(46),
    [sym_jsx_fragment] = STATE(46),
    [sym_function_declaration] = STATE(671),
    [sym_import_statement] = STATE(671),
    [sym_expression_statement] = STATE(671),
    [sym_switch_statement] = STATE(671),
    [sym_update_expression] = STATE(46),
    [sym_try_statement] = STATE(671),
    [sym_meta_property] = STATE(46),
    [sym_throw_statement] = STATE(671),
    [sym_object] = STATE(43),
    [aux_sym_export_statement_repeat1] = STATE(1129),
    [sym_generator_function] = STATE(46),
    [sym_await_expression] = STATE(46),
    [sym_sequence_expression] = STATE(45),
    [sym_for_of_statement] = STATE(671),
    [sym_continue_statement] = STATE(671),
    [sym_call_expression] = STATE(46),
    [sym_assignment_expression] = STATE(46),
    [sym_statement_block] = STATE(671),
    [sym_binary_expression] = STATE(46),
    [sym_while_statement] = STATE(671),
    [sym_debugger_statement] = STATE(671),
    [sym__expression] = STATE(46),
    [sym_jsx_element] = STATE(46),
    [sym_function] = STATE(47),
    [sym_new_expression] = STATE(46),
    [sym_augmented_assignment_expression] = STATE(46),
    [sym_variable_declaration] = STATE(671),
    [sym_unary_expression] = STATE(46),
    [sym_for_statement] = STATE(671),
    [sym_regex] = STATE(46),
    [sym_with_statement] = STATE(671),
    [sym_empty_statement] = STATE(671),
    [sym_class] = STATE(46),
    [sym_export_statement] = STATE(671),
    [sym_generator_function_declaration] = STATE(671),
    [sym_member_expression] = STATE(42),
    [sym_lexical_declaration] = STATE(671),
    [sym_for_in_statement] = STATE(671),
    [sym_string] = STATE(46),
    [sym_break_statement] = STATE(671),
    [sym_decorator] = STATE(50),
    [sym_labeled_statement] = STATE(671),
    [sym_formal_parameters] = STATE(51),
    [sym_parenthesized_expression] = STATE(46),
    [sym_array] = STATE(52),
    [sym_jsx_opening_element] = STATE(53),
    [sym_jsx_self_closing_element] = STATE(46),
    [sym_class_declaration] = STATE(671),
    [anon_sym_class] = ACTIONS(366),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_delete] = ACTIONS(39),
    [anon_sym_throw] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [anon_sym_get] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(69),
    [sym_false] = ACTIONS(9),
    [sym_number] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_set] = ACTIONS(23),
    [anon_sym_async] = ACTIONS(368),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_try] = ACTIONS(15),
    [anon_sym_for] = ACTIONS(370),
    [anon_sym_typeof] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(5),
    [sym_null] = ACTIONS(9),
    [anon_sym_function] = ACTIONS(372),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_if] = ACTIONS(374),
    [anon_sym_with] = ACTIONS(376),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_SLASH] = ACTIONS(45),
    [sym_undefined] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(378),
    [sym_identifier] = ACTIONS(380),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_switch] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(382),
    [anon_sym_continue] = ACTIONS(13),
    [anon_sym_void] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_do] = ACTIONS(21),
  },
  [1085] = {
    [sym_arrow_function] = STATE(46),
    [sym__declaration] = STATE(672),
    [sym_subscript_expression] = STATE(42),
    [sym_ternary_expression] = STATE(46),
    [sym_if_statement] = STATE(672),
    [sym_template_string] = STATE(46),
    [sym_do_statement] = STATE(672),
    [sym_return_statement] = STATE(672),
    [sym_yield_expression] = STATE(46),
    [sym_jsx_fragment] = STATE(46),
    [sym_function_declaration] = STATE(672),
    [sym_import_statement] = STATE(672),
    [sym_expression_statement] = STATE(672),
    [sym_switch_statement] = STATE(672),
    [sym_update_expression] = STATE(46),
    [sym_try_statement] = STATE(672),
    [sym_meta_property] = STATE(46),
    [sym_throw_statement] = STATE(672),
    [sym_object] = STATE(43),
    [aux_sym_export_statement_repeat1] = STATE(1129),
    [sym_generator_function] = STATE(46),
    [sym_await_expression] = STATE(46),
    [sym_sequence_expression] = STATE(45),
    [sym_for_of_statement] = STATE(672),
    [sym_continue_statement] = STATE(672),
    [sym_call_expression] = STATE(46),
    [sym_assignment_expression] = STATE(46),
    [sym_statement_block] = STATE(672),
    [sym_binary_expression] = STATE(46),
    [sym_while_statement] = STATE(672),
    [sym_debugger_statement] = STATE(672),
    [sym__expression] = STATE(46),
    [sym_jsx_element] = STATE(46),
    [sym_function] = STATE(47),
    [sym_new_expression] = STATE(46),
    [sym_augmented_assignment_expression] = STATE(46),
    [sym_variable_declaration] = STATE(672),
    [sym_unary_expression] = STATE(46),
    [sym_for_statement] = STATE(672),
    [sym_regex] = STATE(46),
    [sym_with_statement] = STATE(672),
    [sym_empty_statement] = STATE(672),
    [sym_class] = STATE(46),
    [sym_export_statement] = STATE(672),
    [sym_generator_function_declaration] = STATE(672),
    [sym_member_expression] = STATE(42),
    [sym_lexical_declaration] = STATE(672),
    [sym_for_in_statement] = STATE(672),
    [sym_string] = STATE(46),
    [sym_break_statement] = STATE(672),
    [sym_decorator] = STATE(50),
    [sym_labeled_statement] = STATE(672),
    [sym_formal_parameters] = STATE(51),
    [sym_parenthesized_expression] = STATE(46),
    [sym_array] = STATE(52),
    [sym_jsx_opening_element] = STATE(53),
    [sym_jsx_self_closing_element] = STATE(46),
    [sym_class_declaration] = STATE(672),
    [anon_sym_class] = ACTIONS(366),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_delete] = ACTIONS(39),
    [anon_sym_throw] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [anon_sym_get] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(69),
    [sym_false] = ACTIONS(9),
    [sym_number] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_set] = ACTIONS(23),
    [anon_sym_async] = ACTIONS(368),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_try] = ACTIONS(15),
    [anon_sym_for] = ACTIONS(370),
    [anon_sym_typeof] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(5),
    [sym_null] = ACTIONS(9),
    [anon_sym_function] = ACTIONS(372),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_if] = ACTIONS(374),
    [anon_sym_with] = ACTIONS(376),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_SLASH] = ACTIONS(45),
    [sym_undefined] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(378),
    [sym_identifier] = ACTIONS(380),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_switch] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(382),
    [anon_sym_continue] = ACTIONS(13),
    [anon_sym_void] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_do] = ACTIONS(21),
  },
  [1086] = {
    [sym_arrow_function] = STATE(46),
    [sym__declaration] = STATE(673),
    [sym_subscript_expression] = STATE(42),
    [sym_ternary_expression] = STATE(46),
    [sym_if_statement] = STATE(673),
    [sym_template_string] = STATE(46),
    [sym_do_statement] = STATE(673),
    [sym_return_statement] = STATE(673),
    [sym_yield_expression] = STATE(46),
    [sym_jsx_fragment] = STATE(46),
    [sym_function_declaration] = STATE(673),
    [sym_import_statement] = STATE(673),
    [sym_expression_statement] = STATE(673),
    [sym_switch_statement] = STATE(673),
    [sym_update_expression] = STATE(46),
    [sym_try_statement] = STATE(673),
    [sym_meta_property] = STATE(46),
    [sym_throw_statement] = STATE(673),
    [sym_object] = STATE(43),
    [aux_sym_export_statement_repeat1] = STATE(1129),
    [sym_generator_function] = STATE(46),
    [sym_await_expression] = STATE(46),
    [sym_sequence_expression] = STATE(45),
    [sym_for_of_statement] = STATE(673),
    [sym_continue_statement] = STATE(673),
    [sym_call_expression] = STATE(46),
    [sym_assignment_expression] = STATE(46),
    [sym_statement_block] = STATE(673),
    [sym_binary_expression] = STATE(46),
    [sym_while_statement] = STATE(673),
    [sym_debugger_statement] = STATE(673),
    [sym__expression] = STATE(46),
    [sym_jsx_element] = STATE(46),
    [sym_function] = STATE(47),
    [sym_new_expression] = STATE(46),
    [sym_augmented_assignment_expression] = STATE(46),
    [sym_variable_declaration] = STATE(673),
    [sym_unary_expression] = STATE(46),
    [sym_for_statement] = STATE(673),
    [sym_regex] = STATE(46),
    [sym_with_statement] = STATE(673),
    [sym_empty_statement] = STATE(673),
    [sym_class] = STATE(46),
    [sym_export_statement] = STATE(673),
    [sym_generator_function_declaration] = STATE(673),
    [sym_member_expression] = STATE(42),
    [sym_lexical_declaration] = STATE(673),
    [sym_for_in_statement] = STATE(673),
    [sym_string] = STATE(46),
    [sym_break_statement] = STATE(673),
    [sym_decorator] = STATE(50),
    [sym_labeled_statement] = STATE(673),
    [sym_formal_parameters] = STATE(51),
    [sym_parenthesized_expression] = STATE(46),
    [sym_array] = STATE(52),
    [sym_jsx_opening_element] = STATE(53),
    [sym_jsx_self_closing_element] = STATE(46),
    [sym_class_declaration] = STATE(673),
    [anon_sym_class] = ACTIONS(366),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_delete] = ACTIONS(39),
    [anon_sym_throw] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [anon_sym_get] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(69),
    [sym_false] = ACTIONS(9),
    [sym_number] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_set] = ACTIONS(23),
    [anon_sym_async] = ACTIONS(368),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_try] = ACTIONS(15),
    [anon_sym_for] = ACTIONS(370),
    [anon_sym_typeof] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(5),
    [sym_null] = ACTIONS(9),
    [anon_sym_function] = ACTIONS(372),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_if] = ACTIONS(374),
    [anon_sym_with] = ACTIONS(376),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_SLASH] = ACTIONS(45),
    [sym_undefined] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(378),
    [sym_identifier] = ACTIONS(380),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_switch] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(382),
    [anon_sym_continue] = ACTIONS(13),
    [anon_sym_void] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_do] = ACTIONS(21),
  },
  [1087] = {
    [sym_arrow_function] = STATE(46),
    [sym__declaration] = STATE(674),
    [sym_subscript_expression] = STATE(42),
    [sym_ternary_expression] = STATE(46),
    [sym_if_statement] = STATE(674),
    [sym_template_string] = STATE(46),
    [sym_do_statement] = STATE(674),
    [sym_return_statement] = STATE(674),
    [sym_yield_expression] = STATE(46),
    [sym_jsx_fragment] = STATE(46),
    [sym_function_declaration] = STATE(674),
    [sym_import_statement] = STATE(674),
    [sym_expression_statement] = STATE(674),
    [sym_switch_statement] = STATE(674),
    [sym_update_expression] = STATE(46),
    [sym_try_statement] = STATE(674),
    [sym_meta_property] = STATE(46),
    [sym_throw_statement] = STATE(674),
    [sym_object] = STATE(43),
    [aux_sym_export_statement_repeat1] = STATE(1129),
    [sym_generator_function] = STATE(46),
    [sym_await_expression] = STATE(46),
    [sym_sequence_expression] = STATE(45),
    [sym_for_of_statement] = STATE(674),
    [sym_continue_statement] = STATE(674),
    [sym_call_expression] = STATE(46),
    [sym_assignment_expression] = STATE(46),
    [sym_statement_block] = STATE(674),
    [sym_binary_expression] = STATE(46),
    [sym_while_statement] = STATE(674),
    [sym_debugger_statement] = STATE(674),
    [sym__expression] = STATE(46),
    [sym_jsx_element] = STATE(46),
    [sym_function] = STATE(47),
    [sym_new_expression] = STATE(46),
    [sym_augmented_assignment_expression] = STATE(46),
    [sym_variable_declaration] = STATE(674),
    [sym_unary_expression] = STATE(46),
    [sym_for_statement] = STATE(674),
    [sym_regex] = STATE(46),
    [sym_with_statement] = STATE(674),
    [sym_empty_statement] = STATE(674),
    [sym_class] = STATE(46),
    [sym_export_statement] = STATE(674),
    [sym_generator_function_declaration] = STATE(674),
    [sym_member_expression] = STATE(42),
    [sym_lexical_declaration] = STATE(674),
    [sym_for_in_statement] = STATE(674),
    [sym_string] = STATE(46),
    [sym_break_statement] = STATE(674),
    [sym_decorator] = STATE(50),
    [sym_labeled_statement] = STATE(674),
    [sym_formal_parameters] = STATE(51),
    [sym_parenthesized_expression] = STATE(46),
    [sym_array] = STATE(52),
    [sym_jsx_opening_element] = STATE(53),
    [sym_jsx_self_closing_element] = STATE(46),
    [sym_class_declaration] = STATE(674),
    [anon_sym_class] = ACTIONS(366),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_delete] = ACTIONS(39),
    [anon_sym_throw] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [anon_sym_get] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(69),
    [sym_false] = ACTIONS(9),
    [sym_number] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_set] = ACTIONS(23),
    [anon_sym_async] = ACTIONS(368),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_try] = ACTIONS(15),
    [anon_sym_for] = ACTIONS(370),
    [anon_sym_typeof] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(5),
    [sym_null] = ACTIONS(9),
    [anon_sym_function] = ACTIONS(372),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_if] = ACTIONS(374),
    [anon_sym_with] = ACTIONS(376),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_SLASH] = ACTIONS(45),
    [sym_undefined] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(378),
    [sym_identifier] = ACTIONS(380),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_switch] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(382),
    [anon_sym_continue] = ACTIONS(13),
    [anon_sym_void] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_do] = ACTIONS(21),
  },
  [1088] = {
    [sym_arrow_function] = STATE(46),
    [sym__declaration] = STATE(675),
    [sym_subscript_expression] = STATE(42),
    [sym_ternary_expression] = STATE(46),
    [sym_if_statement] = STATE(675),
    [sym_template_string] = STATE(46),
    [sym_do_statement] = STATE(675),
    [sym_return_statement] = STATE(675),
    [sym_yield_expression] = STATE(46),
    [sym_jsx_fragment] = STATE(46),
    [sym_function_declaration] = STATE(675),
    [sym_import_statement] = STATE(675),
    [sym_expression_statement] = STATE(675),
    [sym_switch_statement] = STATE(675),
    [sym_update_expression] = STATE(46),
    [sym_try_statement] = STATE(675),
    [sym_meta_property] = STATE(46),
    [sym_throw_statement] = STATE(675),
    [sym_object] = STATE(43),
    [aux_sym_export_statement_repeat1] = STATE(1129),
    [sym_generator_function] = STATE(46),
    [sym_await_expression] = STATE(46),
    [sym_sequence_expression] = STATE(45),
    [sym_for_of_statement] = STATE(675),
    [sym_continue_statement] = STATE(675),
    [sym_call_expression] = STATE(46),
    [sym_assignment_expression] = STATE(46),
    [sym_statement_block] = STATE(675),
    [sym_binary_expression] = STATE(46),
    [sym_while_statement] = STATE(675),
    [sym_debugger_statement] = STATE(675),
    [sym__expression] = STATE(46),
    [sym_jsx_element] = STATE(46),
    [sym_function] = STATE(47),
    [sym_new_expression] = STATE(46),
    [sym_augmented_assignment_expression] = STATE(46),
    [sym_variable_declaration] = STATE(675),
    [sym_unary_expression] = STATE(46),
    [sym_for_statement] = STATE(675),
    [sym_regex] = STATE(46),
    [sym_with_statement] = STATE(675),
    [sym_empty_statement] = STATE(675),
    [sym_class] = STATE(46),
    [sym_export_statement] = STATE(675),
    [sym_generator_function_declaration] = STATE(675),
    [sym_member_expression] = STATE(42),
    [sym_lexical_declaration] = STATE(675),
    [sym_for_in_statement] = STATE(675),
    [sym_string] = STATE(46),
    [sym_break_statement] = STATE(675),
    [sym_decorator] = STATE(50),
    [sym_labeled_statement] = STATE(675),
    [sym_formal_parameters] = STATE(51),
    [sym_parenthesized_expression] = STATE(46),
    [sym_array] = STATE(52),
    [sym_jsx_opening_element] = STATE(53),
    [sym_jsx_self_closing_element] = STATE(46),
    [sym_class_declaration] = STATE(675),
    [anon_sym_class] = ACTIONS(366),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_delete] = ACTIONS(39),
    [anon_sym_throw] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [anon_sym_get] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(69),
    [sym_false] = ACTIONS(9),
    [sym_number] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_set] = ACTIONS(23),
    [anon_sym_async] = ACTIONS(368),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_try] = ACTIONS(15),
    [anon_sym_for] = ACTIONS(370),
    [anon_sym_typeof] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(5),
    [sym_null] = ACTIONS(9),
    [anon_sym_function] = ACTIONS(372),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_if] = ACTIONS(374),
    [anon_sym_with] = ACTIONS(376),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_SLASH] = ACTIONS(45),
    [sym_undefined] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(378),
    [sym_identifier] = ACTIONS(380),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_switch] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(382),
    [anon_sym_continue] = ACTIONS(13),
    [anon_sym_void] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_do] = ACTIONS(21),
  },
  [1089] = {
    [sym_arrow_function] = STATE(46),
    [sym__declaration] = STATE(676),
    [sym_subscript_expression] = STATE(42),
    [sym_ternary_expression] = STATE(46),
    [sym_if_statement] = STATE(676),
    [sym_template_string] = STATE(46),
    [sym_do_statement] = STATE(676),
    [sym_return_statement] = STATE(676),
    [sym_yield_expression] = STATE(46),
    [sym_jsx_fragment] = STATE(46),
    [sym_function_declaration] = STATE(676),
    [sym_import_statement] = STATE(676),
    [sym_expression_statement] = STATE(676),
    [sym_switch_statement] = STATE(676),
    [sym_update_expression] = STATE(46),
    [sym_try_statement] = STATE(676),
    [sym_meta_property] = STATE(46),
    [sym_throw_statement] = STATE(676),
    [sym_object] = STATE(43),
    [aux_sym_export_statement_repeat1] = STATE(1129),
    [sym_generator_function] = STATE(46),
    [sym_await_expression] = STATE(46),
    [sym_sequence_expression] = STATE(45),
    [sym_for_of_statement] = STATE(676),
    [sym_continue_statement] = STATE(676),
    [sym_call_expression] = STATE(46),
    [sym_assignment_expression] = STATE(46),
    [sym_statement_block] = STATE(676),
    [sym_binary_expression] = STATE(46),
    [sym_while_statement] = STATE(676),
    [sym_debugger_statement] = STATE(676),
    [sym__expression] = STATE(46),
    [sym_jsx_element] = STATE(46),
    [sym_function] = STATE(47),
    [sym_new_expression] = STATE(46),
    [sym_augmented_assignment_expression] = STATE(46),
    [sym_variable_declaration] = STATE(676),
    [sym_unary_expression] = STATE(46),
    [sym_for_statement] = STATE(676),
    [sym_regex] = STATE(46),
    [sym_with_statement] = STATE(676),
    [sym_empty_statement] = STATE(676),
    [sym_class] = STATE(46),
    [sym_export_statement] = STATE(676),
    [sym_generator_function_declaration] = STATE(676),
    [sym_member_expression] = STATE(42),
    [sym_lexical_declaration] = STATE(676),
    [sym_for_in_statement] = STATE(676),
    [sym_string] = STATE(46),
    [sym_break_statement] = STATE(676),
    [sym_decorator] = STATE(50),
    [sym_labeled_statement] = STATE(676),
    [sym_formal_parameters] = STATE(51),
    [sym_parenthesized_expression] = STATE(46),
    [sym_array] = STATE(52),
    [sym_jsx_opening_element] = STATE(53),
    [sym_jsx_self_closing_element] = STATE(46),
    [sym_class_declaration] = STATE(676),
    [anon_sym_class] = ACTIONS(366),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_delete] = ACTIONS(39),
    [anon_sym_throw] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [anon_sym_get] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(69),
    [sym_false] = ACTIONS(9),
    [sym_number] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_set] = ACTIONS(23),
    [anon_sym_async] = ACTIONS(368),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_try] = ACTIONS(15),
    [anon_sym_for] = ACTIONS(370),
    [anon_sym_typeof] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(5),
    [sym_null] = ACTIONS(9),
    [anon_sym_function] = ACTIONS(372),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_if] = ACTIONS(374),
    [anon_sym_with] = ACTIONS(376),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_SLASH] = ACTIONS(45),
    [sym_undefined] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(378),
    [sym_identifier] = ACTIONS(380),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_switch] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(382),
    [anon_sym_continue] = ACTIONS(13),
    [anon_sym_void] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_do] = ACTIONS(21),
  },
  [1090] = {
    [sym_arrow_function] = STATE(46),
    [sym__declaration] = STATE(683),
    [sym_subscript_expression] = STATE(42),
    [sym_ternary_expression] = STATE(46),
    [sym_if_statement] = STATE(683),
    [sym_template_string] = STATE(46),
    [sym_do_statement] = STATE(683),
    [sym_return_statement] = STATE(683),
    [sym_yield_expression] = STATE(46),
    [sym_jsx_fragment] = STATE(46),
    [sym_function_declaration] = STATE(683),
    [sym_import_statement] = STATE(683),
    [sym_expression_statement] = STATE(683),
    [sym_switch_statement] = STATE(683),
    [sym_update_expression] = STATE(46),
    [sym_try_statement] = STATE(683),
    [sym_meta_property] = STATE(46),
    [sym_throw_statement] = STATE(683),
    [sym_object] = STATE(43),
    [aux_sym_export_statement_repeat1] = STATE(1129),
    [sym_generator_function] = STATE(46),
    [sym_await_expression] = STATE(46),
    [sym_sequence_expression] = STATE(45),
    [sym_for_of_statement] = STATE(683),
    [sym_continue_statement] = STATE(683),
    [sym_call_expression] = STATE(46),
    [sym_assignment_expression] = STATE(46),
    [sym_statement_block] = STATE(683),
    [sym_binary_expression] = STATE(46),
    [sym_while_statement] = STATE(683),
    [sym_debugger_statement] = STATE(683),
    [sym__expression] = STATE(46),
    [sym_jsx_element] = STATE(46),
    [sym_function] = STATE(47),
    [sym_new_expression] = STATE(46),
    [sym_augmented_assignment_expression] = STATE(46),
    [sym_variable_declaration] = STATE(683),
    [sym_unary_expression] = STATE(46),
    [sym_for_statement] = STATE(683),
    [sym_regex] = STATE(46),
    [sym_with_statement] = STATE(683),
    [sym_empty_statement] = STATE(683),
    [sym_class] = STATE(46),
    [sym_export_statement] = STATE(683),
    [sym_generator_function_declaration] = STATE(683),
    [sym_member_expression] = STATE(42),
    [sym_lexical_declaration] = STATE(683),
    [sym_for_in_statement] = STATE(683),
    [sym_string] = STATE(46),
    [sym_break_statement] = STATE(683),
    [sym_decorator] = STATE(50),
    [sym_labeled_statement] = STATE(683),
    [sym_formal_parameters] = STATE(51),
    [sym_parenthesized_expression] = STATE(46),
    [sym_array] = STATE(52),
    [sym_jsx_opening_element] = STATE(53),
    [sym_jsx_self_closing_element] = STATE(46),
    [sym_class_declaration] = STATE(683),
    [anon_sym_class] = ACTIONS(366),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_delete] = ACTIONS(39),
    [anon_sym_throw] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [anon_sym_get] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(69),
    [sym_false] = ACTIONS(9),
    [sym_number] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_set] = ACTIONS(23),
    [anon_sym_async] = ACTIONS(368),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_try] = ACTIONS(15),
    [anon_sym_for] = ACTIONS(370),
    [anon_sym_typeof] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(5),
    [sym_null] = ACTIONS(9),
    [anon_sym_function] = ACTIONS(372),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_if] = ACTIONS(374),
    [anon_sym_with] = ACTIONS(376),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_SLASH] = ACTIONS(45),
    [sym_undefined] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(378),
    [sym_identifier] = ACTIONS(380),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_switch] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(382),
    [anon_sym_continue] = ACTIONS(13),
    [anon_sym_void] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_do] = ACTIONS(21),
  },
  [1091] = {
    [sym_arrow_function] = STATE(46),
    [sym__declaration] = STATE(684),
    [sym_subscript_expression] = STATE(42),
    [sym_ternary_expression] = STATE(46),
    [sym_if_statement] = STATE(684),
    [sym_template_string] = STATE(46),
    [sym_do_statement] = STATE(684),
    [sym_return_statement] = STATE(684),
    [sym_yield_expression] = STATE(46),
    [sym_jsx_fragment] = STATE(46),
    [sym_function_declaration] = STATE(684),
    [sym_import_statement] = STATE(684),
    [sym_expression_statement] = STATE(684),
    [sym_switch_statement] = STATE(684),
    [sym_update_expression] = STATE(46),
    [sym_try_statement] = STATE(684),
    [sym_meta_property] = STATE(46),
    [sym_throw_statement] = STATE(684),
    [sym_object] = STATE(43),
    [aux_sym_export_statement_repeat1] = STATE(1129),
    [sym_generator_function] = STATE(46),
    [sym_await_expression] = STATE(46),
    [sym_sequence_expression] = STATE(45),
    [sym_for_of_statement] = STATE(684),
    [sym_continue_statement] = STATE(684),
    [sym_call_expression] = STATE(46),
    [sym_assignment_expression] = STATE(46),
    [sym_statement_block] = STATE(684),
    [sym_binary_expression] = STATE(46),
    [sym_while_statement] = STATE(684),
    [sym_debugger_statement] = STATE(684),
    [sym__expression] = STATE(46),
    [sym_jsx_element] = STATE(46),
    [sym_function] = STATE(47),
    [sym_new_expression] = STATE(46),
    [sym_augmented_assignment_expression] = STATE(46),
    [sym_variable_declaration] = STATE(684),
    [sym_unary_expression] = STATE(46),
    [sym_for_statement] = STATE(684),
    [sym_regex] = STATE(46),
    [sym_with_statement] = STATE(684),
    [sym_empty_statement] = STATE(684),
    [sym_class] = STATE(46),
    [sym_export_statement] = STATE(684),
    [sym_generator_function_declaration] = STATE(684),
    [sym_member_expression] = STATE(42),
    [sym_lexical_declaration] = STATE(684),
    [sym_for_in_statement] = STATE(684),
    [sym_string] = STATE(46),
    [sym_break_statement] = STATE(684),
    [sym_decorator] = STATE(50),
    [sym_labeled_statement] = STATE(684),
    [sym_formal_parameters] = STATE(51),
    [sym_parenthesized_expression] = STATE(46),
    [sym_array] = STATE(52),
    [sym_jsx_opening_element] = STATE(53),
    [sym_jsx_self_closing_element] = STATE(46),
    [sym_class_declaration] = STATE(684),
    [anon_sym_class] = ACTIONS(366),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_delete] = ACTIONS(39),
    [anon_sym_throw] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [anon_sym_get] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(69),
    [sym_false] = ACTIONS(9),
    [sym_number] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_set] = ACTIONS(23),
    [anon_sym_async] = ACTIONS(368),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_try] = ACTIONS(15),
    [anon_sym_for] = ACTIONS(370),
    [anon_sym_typeof] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(5),
    [sym_null] = ACTIONS(9),
    [anon_sym_function] = ACTIONS(372),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_if] = ACTIONS(374),
    [anon_sym_with] = ACTIONS(376),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_SLASH] = ACTIONS(45),
    [sym_undefined] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(378),
    [sym_identifier] = ACTIONS(380),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_switch] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(382),
    [anon_sym_continue] = ACTIONS(13),
    [anon_sym_void] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_do] = ACTIONS(21),
  },
  [1092] = {
    [sym_arrow_function] = STATE(46),
    [sym__declaration] = STATE(685),
    [sym_subscript_expression] = STATE(42),
    [sym_ternary_expression] = STATE(46),
    [sym_if_statement] = STATE(685),
    [sym_template_string] = STATE(46),
    [sym_do_statement] = STATE(685),
    [sym_return_statement] = STATE(685),
    [sym_yield_expression] = STATE(46),
    [sym_jsx_fragment] = STATE(46),
    [sym_function_declaration] = STATE(685),
    [sym_import_statement] = STATE(685),
    [sym_expression_statement] = STATE(685),
    [sym_switch_statement] = STATE(685),
    [sym_update_expression] = STATE(46),
    [sym_try_statement] = STATE(685),
    [sym_meta_property] = STATE(46),
    [sym_throw_statement] = STATE(685),
    [sym_object] = STATE(43),
    [aux_sym_export_statement_repeat1] = STATE(1129),
    [sym_generator_function] = STATE(46),
    [sym_await_expression] = STATE(46),
    [sym_sequence_expression] = STATE(45),
    [sym_for_of_statement] = STATE(685),
    [sym_continue_statement] = STATE(685),
    [sym_call_expression] = STATE(46),
    [sym_assignment_expression] = STATE(46),
    [sym_statement_block] = STATE(685),
    [sym_binary_expression] = STATE(46),
    [sym_while_statement] = STATE(685),
    [sym_debugger_statement] = STATE(685),
    [sym__expression] = STATE(46),
    [sym_jsx_element] = STATE(46),
    [sym_function] = STATE(47),
    [sym_new_expression] = STATE(46),
    [sym_augmented_assignment_expression] = STATE(46),
    [sym_variable_declaration] = STATE(685),
    [sym_unary_expression] = STATE(46),
    [sym_for_statement] = STATE(685),
    [sym_regex] = STATE(46),
    [sym_with_statement] = STATE(685),
    [sym_empty_statement] = STATE(685),
    [sym_class] = STATE(46),
    [sym_export_statement] = STATE(685),
    [sym_generator_function_declaration] = STATE(685),
    [sym_member_expression] = STATE(42),
    [sym_lexical_declaration] = STATE(685),
    [sym_for_in_statement] = STATE(685),
    [sym_string] = STATE(46),
    [sym_break_statement] = STATE(685),
    [sym_decorator] = STATE(50),
    [sym_labeled_statement] = STATE(685),
    [sym_formal_parameters] = STATE(51),
    [sym_parenthesized_expression] = STATE(46),
    [sym_array] = STATE(52),
    [sym_jsx_opening_element] = STATE(53),
    [sym_jsx_self_closing_element] = STATE(46),
    [sym_class_declaration] = STATE(685),
    [anon_sym_class] = ACTIONS(366),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_delete] = ACTIONS(39),
    [anon_sym_throw] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [anon_sym_get] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(69),
    [sym_false] = ACTIONS(9),
    [sym_number] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_set] = ACTIONS(23),
    [anon_sym_async] = ACTIONS(368),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_try] = ACTIONS(15),
    [anon_sym_for] = ACTIONS(370),
    [anon_sym_typeof] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(5),
    [sym_null] = ACTIONS(9),
    [anon_sym_function] = ACTIONS(372),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_if] = ACTIONS(374),
    [anon_sym_with] = ACTIONS(376),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_SLASH] = ACTIONS(45),
    [sym_undefined] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(378),
    [sym_identifier] = ACTIONS(380),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_switch] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(382),
    [anon_sym_continue] = ACTIONS(13),
    [anon_sym_void] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_do] = ACTIONS(21),
  },
  [1093] = {
    [sym_arrow_function] = STATE(46),
    [sym__declaration] = STATE(686),
    [sym_subscript_expression] = STATE(42),
    [sym_ternary_expression] = STATE(46),
    [sym_if_statement] = STATE(686),
    [sym_template_string] = STATE(46),
    [sym_do_statement] = STATE(686),
    [sym_return_statement] = STATE(686),
    [sym_yield_expression] = STATE(46),
    [sym_jsx_fragment] = STATE(46),
    [sym_function_declaration] = STATE(686),
    [sym_import_statement] = STATE(686),
    [sym_expression_statement] = STATE(686),
    [sym_switch_statement] = STATE(686),
    [sym_update_expression] = STATE(46),
    [sym_try_statement] = STATE(686),
    [sym_meta_property] = STATE(46),
    [sym_throw_statement] = STATE(686),
    [sym_object] = STATE(43),
    [aux_sym_export_statement_repeat1] = STATE(1129),
    [sym_generator_function] = STATE(46),
    [sym_await_expression] = STATE(46),
    [sym_sequence_expression] = STATE(45),
    [sym_for_of_statement] = STATE(686),
    [sym_continue_statement] = STATE(686),
    [sym_call_expression] = STATE(46),
    [sym_assignment_expression] = STATE(46),
    [sym_statement_block] = STATE(686),
    [sym_binary_expression] = STATE(46),
    [sym_while_statement] = STATE(686),
    [sym_debugger_statement] = STATE(686),
    [sym__expression] = STATE(46),
    [sym_jsx_element] = STATE(46),
    [sym_function] = STATE(47),
    [sym_new_expression] = STATE(46),
    [sym_augmented_assignment_expression] = STATE(46),
    [sym_variable_declaration] = STATE(686),
    [sym_unary_expression] = STATE(46),
    [sym_for_statement] = STATE(686),
    [sym_regex] = STATE(46),
    [sym_with_statement] = STATE(686),
    [sym_empty_statement] = STATE(686),
    [sym_class] = STATE(46),
    [sym_export_statement] = STATE(686),
    [sym_generator_function_declaration] = STATE(686),
    [sym_member_expression] = STATE(42),
    [sym_lexical_declaration] = STATE(686),
    [sym_for_in_statement] = STATE(686),
    [sym_string] = STATE(46),
    [sym_break_statement] = STATE(686),
    [sym_decorator] = STATE(50),
    [sym_labeled_statement] = STATE(686),
    [sym_formal_parameters] = STATE(51),
    [sym_parenthesized_expression] = STATE(46),
    [sym_array] = STATE(52),
    [sym_jsx_opening_element] = STATE(53),
    [sym_jsx_self_closing_element] = STATE(46),
    [sym_class_declaration] = STATE(686),
    [anon_sym_class] = ACTIONS(366),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_delete] = ACTIONS(39),
    [anon_sym_throw] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [anon_sym_get] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(69),
    [sym_false] = ACTIONS(9),
    [sym_number] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_set] = ACTIONS(23),
    [anon_sym_async] = ACTIONS(368),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_try] = ACTIONS(15),
    [anon_sym_for] = ACTIONS(370),
    [anon_sym_typeof] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(5),
    [sym_null] = ACTIONS(9),
    [anon_sym_function] = ACTIONS(372),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_if] = ACTIONS(374),
    [anon_sym_with] = ACTIONS(376),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_SLASH] = ACTIONS(45),
    [sym_undefined] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(378),
    [sym_identifier] = ACTIONS(380),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_switch] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(382),
    [anon_sym_continue] = ACTIONS(13),
    [anon_sym_void] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_do] = ACTIONS(21),
  },
  [1094] = {
    [sym_arrow_function] = STATE(46),
    [sym__declaration] = STATE(687),
    [sym_subscript_expression] = STATE(42),
    [sym_ternary_expression] = STATE(46),
    [sym_if_statement] = STATE(687),
    [sym_template_string] = STATE(46),
    [sym_do_statement] = STATE(687),
    [sym_return_statement] = STATE(687),
    [sym_yield_expression] = STATE(46),
    [sym_jsx_fragment] = STATE(46),
    [sym_function_declaration] = STATE(687),
    [sym_import_statement] = STATE(687),
    [sym_expression_statement] = STATE(687),
    [sym_switch_statement] = STATE(687),
    [sym_update_expression] = STATE(46),
    [sym_try_statement] = STATE(687),
    [sym_meta_property] = STATE(46),
    [sym_throw_statement] = STATE(687),
    [sym_object] = STATE(43),
    [aux_sym_export_statement_repeat1] = STATE(1129),
    [sym_generator_function] = STATE(46),
    [sym_await_expression] = STATE(46),
    [sym_sequence_expression] = STATE(45),
    [sym_for_of_statement] = STATE(687),
    [sym_continue_statement] = STATE(687),
    [sym_call_expression] = STATE(46),
    [sym_assignment_expression] = STATE(46),
    [sym_statement_block] = STATE(687),
    [sym_binary_expression] = STATE(46),
    [sym_while_statement] = STATE(687),
    [sym_debugger_statement] = STATE(687),
    [sym__expression] = STATE(46),
    [sym_jsx_element] = STATE(46),
    [sym_function] = STATE(47),
    [sym_new_expression] = STATE(46),
    [sym_augmented_assignment_expression] = STATE(46),
    [sym_variable_declaration] = STATE(687),
    [sym_unary_expression] = STATE(46),
    [sym_for_statement] = STATE(687),
    [sym_regex] = STATE(46),
    [sym_with_statement] = STATE(687),
    [sym_empty_statement] = STATE(687),
    [sym_class] = STATE(46),
    [sym_export_statement] = STATE(687),
    [sym_generator_function_declaration] = STATE(687),
    [sym_member_expression] = STATE(42),
    [sym_lexical_declaration] = STATE(687),
    [sym_for_in_statement] = STATE(687),
    [sym_string] = STATE(46),
    [sym_break_statement] = STATE(687),
    [sym_decorator] = STATE(50),
    [sym_labeled_statement] = STATE(687),
    [sym_formal_parameters] = STATE(51),
    [sym_parenthesized_expression] = STATE(46),
    [sym_array] = STATE(52),
    [sym_jsx_opening_element] = STATE(53),
    [sym_jsx_self_closing_element] = STATE(46),
    [sym_class_declaration] = STATE(687),
    [anon_sym_class] = ACTIONS(366),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_delete] = ACTIONS(39),
    [anon_sym_throw] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [anon_sym_get] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(69),
    [sym_false] = ACTIONS(9),
    [sym_number] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_set] = ACTIONS(23),
    [anon_sym_async] = ACTIONS(368),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_try] = ACTIONS(15),
    [anon_sym_for] = ACTIONS(370),
    [anon_sym_typeof] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(5),
    [sym_null] = ACTIONS(9),
    [anon_sym_function] = ACTIONS(372),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_if] = ACTIONS(374),
    [anon_sym_with] = ACTIONS(376),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_SLASH] = ACTIONS(45),
    [sym_undefined] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(378),
    [sym_identifier] = ACTIONS(380),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_switch] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(382),
    [anon_sym_continue] = ACTIONS(13),
    [anon_sym_void] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_do] = ACTIONS(21),
  },
  [1095] = {
    [sym_arrow_function] = STATE(46),
    [sym__declaration] = STATE(688),
    [sym_subscript_expression] = STATE(42),
    [sym_ternary_expression] = STATE(46),
    [sym_if_statement] = STATE(688),
    [sym_template_string] = STATE(46),
    [sym_do_statement] = STATE(688),
    [sym_return_statement] = STATE(688),
    [sym_yield_expression] = STATE(46),
    [sym_jsx_fragment] = STATE(46),
    [sym_function_declaration] = STATE(688),
    [sym_import_statement] = STATE(688),
    [sym_expression_statement] = STATE(688),
    [sym_switch_statement] = STATE(688),
    [sym_update_expression] = STATE(46),
    [sym_try_statement] = STATE(688),
    [sym_meta_property] = STATE(46),
    [sym_throw_statement] = STATE(688),
    [sym_object] = STATE(43),
    [aux_sym_export_statement_repeat1] = STATE(1129),
    [sym_generator_function] = STATE(46),
    [sym_await_expression] = STATE(46),
    [sym_sequence_expression] = STATE(45),
    [sym_for_of_statement] = STATE(688),
    [sym_continue_statement] = STATE(688),
    [sym_call_expression] = STATE(46),
    [sym_assignment_expression] = STATE(46),
    [sym_statement_block] = STATE(688),
    [sym_binary_expression] = STATE(46),
    [sym_while_statement] = STATE(688),
    [sym_debugger_statement] = STATE(688),
    [sym__expression] = STATE(46),
    [sym_jsx_element] = STATE(46),
    [sym_function] = STATE(47),
    [sym_new_expression] = STATE(46),
    [sym_augmented_assignment_expression] = STATE(46),
    [sym_variable_declaration] = STATE(688),
    [sym_unary_expression] = STATE(46),
    [sym_for_statement] = STATE(688),
    [sym_regex] = STATE(46),
    [sym_with_statement] = STATE(688),
    [sym_empty_statement] = STATE(688),
    [sym_class] = STATE(46),
    [sym_export_statement] = STATE(688),
    [sym_generator_function_declaration] = STATE(688),
    [sym_member_expression] = STATE(42),
    [sym_lexical_declaration] = STATE(688),
    [sym_for_in_statement] = STATE(688),
    [sym_string] = STATE(46),
    [sym_break_statement] = STATE(688),
    [sym_decorator] = STATE(50),
    [sym_labeled_statement] = STATE(688),
    [sym_formal_parameters] = STATE(51),
    [sym_parenthesized_expression] = STATE(46),
    [sym_array] = STATE(52),
    [sym_jsx_opening_element] = STATE(53),
    [sym_jsx_self_closing_element] = STATE(46),
    [sym_class_declaration] = STATE(688),
    [anon_sym_class] = ACTIONS(366),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_delete] = ACTIONS(39),
    [anon_sym_throw] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [anon_sym_get] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(69),
    [sym_false] = ACTIONS(9),
    [sym_number] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_set] = ACTIONS(23),
    [anon_sym_async] = ACTIONS(368),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_try] = ACTIONS(15),
    [anon_sym_for] = ACTIONS(370),
    [anon_sym_typeof] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(5),
    [sym_null] = ACTIONS(9),
    [anon_sym_function] = ACTIONS(372),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_if] = ACTIONS(374),
    [anon_sym_with] = ACTIONS(376),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_SLASH] = ACTIONS(45),
    [sym_undefined] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(378),
    [sym_identifier] = ACTIONS(380),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_switch] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(382),
    [anon_sym_continue] = ACTIONS(13),
    [anon_sym_void] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_do] = ACTIONS(21),
  },
  [1096] = {
    [sym_arrow_function] = STATE(46),
    [sym__declaration] = STATE(693),
    [sym_subscript_expression] = STATE(42),
    [sym_ternary_expression] = STATE(46),
    [sym_if_statement] = STATE(693),
    [sym_template_string] = STATE(46),
    [sym_do_statement] = STATE(693),
    [sym_return_statement] = STATE(693),
    [sym_yield_expression] = STATE(46),
    [sym_jsx_fragment] = STATE(46),
    [sym_function_declaration] = STATE(693),
    [sym_import_statement] = STATE(693),
    [sym_expression_statement] = STATE(693),
    [sym_switch_statement] = STATE(693),
    [sym_update_expression] = STATE(46),
    [sym_try_statement] = STATE(693),
    [sym_meta_property] = STATE(46),
    [sym_throw_statement] = STATE(693),
    [sym_object] = STATE(43),
    [aux_sym_export_statement_repeat1] = STATE(1129),
    [sym_generator_function] = STATE(46),
    [sym_await_expression] = STATE(46),
    [sym_sequence_expression] = STATE(45),
    [sym_for_of_statement] = STATE(693),
    [sym_continue_statement] = STATE(693),
    [sym_call_expression] = STATE(46),
    [sym_assignment_expression] = STATE(46),
    [sym_statement_block] = STATE(693),
    [sym_binary_expression] = STATE(46),
    [sym_while_statement] = STATE(693),
    [sym_debugger_statement] = STATE(693),
    [sym__expression] = STATE(46),
    [sym_jsx_element] = STATE(46),
    [sym_function] = STATE(47),
    [sym_new_expression] = STATE(46),
    [sym_augmented_assignment_expression] = STATE(46),
    [sym_variable_declaration] = STATE(693),
    [sym_unary_expression] = STATE(46),
    [sym_for_statement] = STATE(693),
    [sym_regex] = STATE(46),
    [sym_with_statement] = STATE(693),
    [sym_empty_statement] = STATE(693),
    [sym_class] = STATE(46),
    [sym_export_statement] = STATE(693),
    [sym_generator_function_declaration] = STATE(693),
    [sym_member_expression] = STATE(42),
    [sym_lexical_declaration] = STATE(693),
    [sym_for_in_statement] = STATE(693),
    [sym_string] = STATE(46),
    [sym_break_statement] = STATE(693),
    [sym_decorator] = STATE(50),
    [sym_labeled_statement] = STATE(693),
    [sym_formal_parameters] = STATE(51),
    [sym_parenthesized_expression] = STATE(46),
    [sym_array] = STATE(52),
    [sym_jsx_opening_element] = STATE(53),
    [sym_jsx_self_closing_element] = STATE(46),
    [sym_class_declaration] = STATE(693),
    [anon_sym_class] = ACTIONS(366),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_delete] = ACTIONS(39),
    [anon_sym_throw] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [anon_sym_get] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(69),
    [sym_false] = ACTIONS(9),
    [sym_number] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_set] = ACTIONS(23),
    [anon_sym_async] = ACTIONS(368),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_try] = ACTIONS(15),
    [anon_sym_for] = ACTIONS(370),
    [anon_sym_typeof] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(5),
    [sym_null] = ACTIONS(9),
    [anon_sym_function] = ACTIONS(372),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_if] = ACTIONS(374),
    [anon_sym_with] = ACTIONS(376),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_SLASH] = ACTIONS(45),
    [sym_undefined] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(378),
    [sym_identifier] = ACTIONS(380),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_switch] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(382),
    [anon_sym_continue] = ACTIONS(13),
    [anon_sym_void] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_do] = ACTIONS(21),
  },
  [1097] = {
    [sym_arrow_function] = STATE(46),
    [sym__declaration] = STATE(694),
    [sym_subscript_expression] = STATE(42),
    [sym_ternary_expression] = STATE(46),
    [sym_if_statement] = STATE(694),
    [sym_template_string] = STATE(46),
    [sym_do_statement] = STATE(694),
    [sym_return_statement] = STATE(694),
    [sym_yield_expression] = STATE(46),
    [sym_jsx_fragment] = STATE(46),
    [sym_function_declaration] = STATE(694),
    [sym_import_statement] = STATE(694),
    [sym_expression_statement] = STATE(694),
    [sym_switch_statement] = STATE(694),
    [sym_update_expression] = STATE(46),
    [sym_try_statement] = STATE(694),
    [sym_meta_property] = STATE(46),
    [sym_throw_statement] = STATE(694),
    [sym_object] = STATE(43),
    [aux_sym_export_statement_repeat1] = STATE(1129),
    [sym_generator_function] = STATE(46),
    [sym_await_expression] = STATE(46),
    [sym_sequence_expression] = STATE(45),
    [sym_for_of_statement] = STATE(694),
    [sym_continue_statement] = STATE(694),
    [sym_call_expression] = STATE(46),
    [sym_assignment_expression] = STATE(46),
    [sym_statement_block] = STATE(694),
    [sym_binary_expression] = STATE(46),
    [sym_while_statement] = STATE(694),
    [sym_debugger_statement] = STATE(694),
    [sym__expression] = STATE(46),
    [sym_jsx_element] = STATE(46),
    [sym_function] = STATE(47),
    [sym_new_expression] = STATE(46),
    [sym_augmented_assignment_expression] = STATE(46),
    [sym_variable_declaration] = STATE(694),
    [sym_unary_expression] = STATE(46),
    [sym_for_statement] = STATE(694),
    [sym_regex] = STATE(46),
    [sym_with_statement] = STATE(694),
    [sym_empty_statement] = STATE(694),
    [sym_class] = STATE(46),
    [sym_export_statement] = STATE(694),
    [sym_generator_function_declaration] = STATE(694),
    [sym_member_expression] = STATE(42),
    [sym_lexical_declaration] = STATE(694),
    [sym_for_in_statement] = STATE(694),
    [sym_string] = STATE(46),
    [sym_break_statement] = STATE(694),
    [sym_decorator] = STATE(50),
    [sym_labeled_statement] = STATE(694),
    [sym_formal_parameters] = STATE(51),
    [sym_parenthesized_expression] = STATE(46),
    [sym_array] = STATE(52),
    [sym_jsx_opening_element] = STATE(53),
    [sym_jsx_self_closing_element] = STATE(46),
    [sym_class_declaration] = STATE(694),
    [anon_sym_class] = ACTIONS(366),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_delete] = ACTIONS(39),
    [anon_sym_throw] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [anon_sym_get] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(69),
    [sym_false] = ACTIONS(9),
    [sym_number] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_set] = ACTIONS(23),
    [anon_sym_async] = ACTIONS(368),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_try] = ACTIONS(15),
    [anon_sym_for] = ACTIONS(370),
    [anon_sym_typeof] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(5),
    [sym_null] = ACTIONS(9),
    [anon_sym_function] = ACTIONS(372),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_if] = ACTIONS(374),
    [anon_sym_with] = ACTIONS(376),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_SLASH] = ACTIONS(45),
    [sym_undefined] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(378),
    [sym_identifier] = ACTIONS(380),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_switch] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(382),
    [anon_sym_continue] = ACTIONS(13),
    [anon_sym_void] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_do] = ACTIONS(21),
  },
  [1098] = {
    [sym_arrow_function] = STATE(46),
    [sym__declaration] = STATE(695),
    [sym_subscript_expression] = STATE(42),
    [sym_ternary_expression] = STATE(46),
    [sym_if_statement] = STATE(695),
    [sym_template_string] = STATE(46),
    [sym_do_statement] = STATE(695),
    [sym_return_statement] = STATE(695),
    [sym_yield_expression] = STATE(46),
    [sym_jsx_fragment] = STATE(46),
    [sym_function_declaration] = STATE(695),
    [sym_import_statement] = STATE(695),
    [sym_expression_statement] = STATE(695),
    [sym_switch_statement] = STATE(695),
    [sym_update_expression] = STATE(46),
    [sym_try_statement] = STATE(695),
    [sym_meta_property] = STATE(46),
    [sym_throw_statement] = STATE(695),
    [sym_object] = STATE(43),
    [aux_sym_export_statement_repeat1] = STATE(1129),
    [sym_generator_function] = STATE(46),
    [sym_await_expression] = STATE(46),
    [sym_sequence_expression] = STATE(45),
    [sym_for_of_statement] = STATE(695),
    [sym_continue_statement] = STATE(695),
    [sym_call_expression] = STATE(46),
    [sym_assignment_expression] = STATE(46),
    [sym_statement_block] = STATE(695),
    [sym_binary_expression] = STATE(46),
    [sym_while_statement] = STATE(695),
    [sym_debugger_statement] = STATE(695),
    [sym__expression] = STATE(46),
    [sym_jsx_element] = STATE(46),
    [sym_function] = STATE(47),
    [sym_new_expression] = STATE(46),
    [sym_augmented_assignment_expression] = STATE(46),
    [sym_variable_declaration] = STATE(695),
    [sym_unary_expression] = STATE(46),
    [sym_for_statement] = STATE(695),
    [sym_regex] = STATE(46),
    [sym_with_statement] = STATE(695),
    [sym_empty_statement] = STATE(695),
    [sym_class] = STATE(46),
    [sym_export_statement] = STATE(695),
    [sym_generator_function_declaration] = STATE(695),
    [sym_member_expression] = STATE(42),
    [sym_lexical_declaration] = STATE(695),
    [sym_for_in_statement] = STATE(695),
    [sym_string] = STATE(46),
    [sym_break_statement] = STATE(695),
    [sym_decorator] = STATE(50),
    [sym_labeled_statement] = STATE(695),
    [sym_formal_parameters] = STATE(51),
    [sym_parenthesized_expression] = STATE(46),
    [sym_array] = STATE(52),
    [sym_jsx_opening_element] = STATE(53),
    [sym_jsx_self_closing_element] = STATE(46),
    [sym_class_declaration] = STATE(695),
    [anon_sym_class] = ACTIONS(366),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_delete] = ACTIONS(39),
    [anon_sym_throw] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [anon_sym_get] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(69),
    [sym_false] = ACTIONS(9),
    [sym_number] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_set] = ACTIONS(23),
    [anon_sym_async] = ACTIONS(368),
    [anon_sym_var] = ACTIONS(85),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_try] = ACTIONS(15),
    [anon_sym_for] = ACTIONS(370),
    [anon_sym_typeof] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(5),
    [sym_null] = ACTIONS(9),
    [anon_sym_function] = ACTIONS(372),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_if] = ACTIONS(374),
    [anon_sym_with] = ACTIONS(376),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_SLASH] = ACTIONS(45),
    [sym_undefined] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_while] = ACTIONS(378),
    [sym_identifier] = ACTIONS(380),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_switch] = ACTIONS(87),
    [anon_sym_export] = ACTIONS(382),
    [anon_sym_continue] = ACTIONS(13),
    [anon_sym_void] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_do] = ACTIONS(21),
  },
  [1099] = {
    [sym_jsx_namespace_name] = STATE(339),
    [sym_jsx_attribute] = STATE(340),
    [sym_jsx_expression] = STATE(340),
    [aux_sym_jsx_opening_element_repeat1] = STATE(1103),
    [anon_sym_LBRACE] = ACTIONS(808),
    [anon_sym_GT] = ACTIONS(810),
    [anon_sym_COLON] = ACTIONS(812),
    [anon_sym_SLASH] = ACTIONS(2837),
    [sym_jsx_identifier] = ACTIONS(816),
    [sym_comment] = ACTIONS(3),
    [sym_identifier] = ACTIONS(818),
    [anon_sym_DOT] = ACTIONS(820),
  },
  [1100] = {
    [sym_jsx_namespace_name] = STATE(339),
    [sym_jsx_attribute] = STATE(340),
    [sym_jsx_expression] = STATE(340),
    [aux_sym_jsx_opening_element_repeat1] = STATE(1103),
    [anon_sym_LBRACE] = ACTIONS(808),
    [sym_jsx_identifier] = ACTIONS(816),
    [anon_sym_GT] = ACTIONS(810),
    [sym_comment] = ACTIONS(3),
    [sym_identifier] = ACTIONS(818),
    [anon_sym_COLON] = ACTIONS(812),
    [anon_sym_SLASH] = ACTIONS(2837),
  },
  [1101] = {
    [sym_jsx_namespace_name] = STATE(339),
    [sym_jsx_attribute] = STATE(340),
    [sym_jsx_expression] = STATE(340),
    [aux_sym_jsx_opening_element_repeat1] = STATE(1103),
    [anon_sym_LBRACE] = ACTIONS(808),
    [sym_jsx_identifier] = ACTIONS(816),
    [anon_sym_GT] = ACTIONS(810),
    [sym_comment] = ACTIONS(3),
    [sym_identifier] = ACTIONS(818),
    [anon_sym_DOT] = ACTIONS(820),
    [anon_sym_SLASH] = ACTIONS(2837),
  },
  [1102] = {
    [sym_jsx_namespace_name] = STATE(339),
    [sym_jsx_attribute] = STATE(340),
    [sym_jsx_expression] = STATE(340),
    [aux_sym_jsx_opening_element_repeat1] = STATE(1103),
    [anon_sym_LBRACE] = ACTIONS(808),
    [sym_jsx_identifier] = ACTIONS(816),
    [anon_sym_GT] = ACTIONS(810),
    [sym_comment] = ACTIONS(3),
    [sym_identifier] = ACTIONS(818),
    [anon_sym_SLASH] = ACTIONS(2837),
  },
  [1103] = {
    [sym_jsx_namespace_name] = STATE(339),
    [sym_jsx_attribute] = STATE(340),
    [sym_jsx_expression] = STATE(340),
    [aux_sym_jsx_opening_element_repeat1] = STATE(481),
    [anon_sym_LBRACE] = ACTIONS(808),
    [sym_jsx_identifier] = ACTIONS(816),
    [anon_sym_GT] = ACTIONS(1463),
    [sym_comment] = ACTIONS(3),
    [sym_identifier] = ACTIONS(818),
    [anon_sym_SLASH] = ACTIONS(2839),
  },
  [1104] = {
    [sym_nested_identifier] = STATE(1101),
    [sym_jsx_namespace_name] = STATE(1102),
    [sym_jsx_identifier] = ACTIONS(1106),
    [sym_comment] = ACTIONS(3),
    [sym_identifier] = ACTIONS(1108),
    [anon_sym_SLASH] = ACTIONS(2841),
  },
  [1105] = {
    [sym_nested_identifier] = STATE(995),
    [sym_jsx_namespace_name] = STATE(996),
    [sym_identifier] = ACTIONS(2843),
    [sym_jsx_identifier] = ACTIONS(2845),
    [sym_comment] = ACTIONS(3),
  },
  [1106] = {
    [sym_nested_identifier] = STATE(1101),
    [sym_jsx_namespace_name] = STATE(1102),
    [sym_jsx_identifier] = ACTIONS(1106),
    [sym_comment] = ACTIONS(3),
    [sym_identifier] = ACTIONS(1108),
    [anon_sym_SLASH] = ACTIONS(2847),
  },
  [1107] = {
    [sym_jsx_namespace_name] = STATE(339),
    [sym_jsx_attribute] = STATE(340),
    [sym_jsx_expression] = STATE(340),
    [aux_sym_jsx_opening_element_repeat1] = STATE(1111),
    [anon_sym_LBRACE] = ACTIONS(808),
    [anon_sym_GT] = ACTIONS(810),
    [anon_sym_COLON] = ACTIONS(812),
    [anon_sym_SLASH] = ACTIONS(2849),
    [sym_jsx_identifier] = ACTIONS(816),
    [sym_comment] = ACTIONS(3),
    [sym_identifier] = ACTIONS(818),
    [anon_sym_DOT] = ACTIONS(820),
  },
  [1108] = {
    [sym_jsx_namespace_name] = STATE(339),
    [sym_jsx_attribute] = STATE(340),
    [sym_jsx_expression] = STATE(340),
    [aux_sym_jsx_opening_element_repeat1] = STATE(1111),
    [anon_sym_LBRACE] = ACTIONS(808),
    [sym_jsx_identifier] = ACTIONS(816),
    [anon_sym_GT] = ACTIONS(810),
    [sym_comment] = ACTIONS(3),
    [sym_identifier] = ACTIONS(818),
    [anon_sym_COLON] = ACTIONS(812),
    [anon_sym_SLASH] = ACTIONS(2849),
  },
  [1109] = {
    [sym_jsx_namespace_name] = STATE(339),
    [sym_jsx_attribute] = STATE(340),
    [sym_jsx_expression] = STATE(340),
    [aux_sym_jsx_opening_element_repeat1] = STATE(1111),
    [anon_sym_LBRACE] = ACTIONS(808),
    [sym_jsx_identifier] = ACTIONS(816),
    [anon_sym_GT] = ACTIONS(810),
    [sym_comment] = ACTIONS(3),
    [sym_identifier] = ACTIONS(818),
    [anon_sym_DOT] = ACTIONS(820),
    [anon_sym_SLASH] = ACTIONS(2849),
  },
  [1110] = {
    [sym_jsx_namespace_name] = STATE(339),
    [sym_jsx_attribute] = STATE(340),
    [sym_jsx_expression] = STATE(340),
    [aux_sym_jsx_opening_element_repeat1] = STATE(1111),
    [anon_sym_LBRACE] = ACTIONS(808),
    [sym_jsx_identifier] = ACTIONS(816),
    [anon_sym_GT] = ACTIONS(810),
    [sym_comment] = ACTIONS(3),
    [sym_identifier] = ACTIONS(818),
    [anon_sym_SLASH] = ACTIONS(2849),
  },
  [1111] = {
    [sym_jsx_namespace_name] = STATE(339),
    [sym_jsx_attribute] = STATE(340),
    [sym_jsx_expression] = STATE(340),
    [aux_sym_jsx_opening_element_repeat1] = STATE(481),
    [anon_sym_LBRACE] = ACTIONS(808),
    [sym_jsx_identifier] = ACTIONS(816),
    [anon_sym_GT] = ACTIONS(1463),
    [sym_comment] = ACTIONS(3),
    [sym_identifier] = ACTIONS(818),
    [anon_sym_SLASH] = ACTIONS(2851),
  },
  [1112] = {
    [sym_nested_identifier] = STATE(1006),
    [sym_jsx_namespace_name] = STATE(1007),
    [sym_identifier] = ACTIONS(2853),
    [sym_jsx_identifier] = ACTIONS(2855),
    [sym_comment] = ACTIONS(3),
  },
  [1113] = {
    [sym_arrow_function] = STATE(1132),
    [sym_call_expression] = STATE(1132),
    [sym_subscript_expression] = STATE(1127),
    [sym_assignment_expression] = STATE(1132),
    [sym_ternary_expression] = STATE(1132),
    [sym_binary_expression] = STATE(1132),
    [sym_template_string] = STATE(1132),
    [sym__expression] = STATE(1132),
    [sym_yield_expression] = STATE(1132),
    [sym_jsx_element] = STATE(1132),
    [sym_jsx_fragment] = STATE(1132),
    [sym_function] = STATE(47),
    [sym_new_expression] = STATE(1132),
    [sym_augmented_assignment_expression] = STATE(1132),
    [sym_unary_expression] = STATE(1132),
    [sym_update_expression] = STATE(1132),
    [sym_regex] = STATE(1132),
    [sym_meta_property] = STATE(1132),
    [sym_object] = STATE(1128),
    [aux_sym_export_statement_repeat1] = STATE(60),
    [sym_class] = STATE(1132),
    [sym_generator_function] = STATE(1132),
    [sym_await_expression] = STATE(1132),
    [sym_member_expression] = STATE(1127),
    [sym_string] = STATE(1132),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(1013),
    [sym_parenthesized_expression] = STATE(1132),
    [sym_array] = STATE(1130),
    [sym_jsx_opening_element] = STATE(53),
    [sym_jsx_self_closing_element] = STATE(1132),
    [anon_sym_await] = ACTIONS(1282),
    [sym_null] = ACTIONS(2857),
    [anon_sym_class] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(1286),
    [anon_sym_function] = ACTIONS(95),
    [anon_sym_DASH] = ACTIONS(1288),
    [anon_sym_LBRACE] = ACTIONS(97),
    [anon_sym_delete] = ACTIONS(1290),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(1292),
    [sym_this] = ACTIONS(2857),
    [sym_undefined] = ACTIONS(2857),
    [sym_true] = ACTIONS(2857),
    [anon_sym_SLASH] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(49),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(1286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1294),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1292),
    [sym_super] = ACTIONS(63),
    [sym_identifier] = ACTIONS(1296),
    [sym_false] = ACTIONS(2857),
    [anon_sym_LT] = ACTIONS(69),
    [sym_number] = ACTIONS(2859),
    [anon_sym_yield] = ACTIONS(1300),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_set] = ACTIONS(1286),
    [anon_sym_async] = ACTIONS(1302),
    [anon_sym_new] = ACTIONS(1304),
    [anon_sym_PLUS] = ACTIONS(1288),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(1294),
    [anon_sym_void] = ACTIONS(1290),
    [anon_sym_typeof] = ACTIONS(1290),
  },
  [1114] = {
    [sym_arrow_function] = STATE(61),
    [sym_call_expression] = STATE(61),
    [sym_subscript_expression] = STATE(1127),
    [sym_assignment_expression] = STATE(61),
    [sym_ternary_expression] = STATE(61),
    [sym_binary_expression] = STATE(61),
    [sym_template_string] = STATE(61),
    [sym__expression] = STATE(61),
    [sym_yield_expression] = STATE(61),
    [sym_jsx_element] = STATE(61),
    [sym_jsx_fragment] = STATE(61),
    [sym_function] = STATE(47),
    [sym_new_expression] = STATE(61),
    [sym_augmented_assignment_expression] = STATE(61),
    [sym_unary_expression] = STATE(61),
    [sym_update_expression] = STATE(61),
    [sym_regex] = STATE(61),
    [sym_meta_property] = STATE(61),
    [sym_object] = STATE(1128),
    [aux_sym_export_statement_repeat1] = STATE(60),
    [sym_class] = STATE(61),
    [sym_generator_function] = STATE(61),
    [sym_await_expression] = STATE(61),
    [sym_member_expression] = STATE(1127),
    [sym_string] = STATE(61),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(1013),
    [sym_parenthesized_expression] = STATE(61),
    [sym_array] = STATE(1130),
    [sym_jsx_opening_element] = STATE(53),
    [sym_jsx_self_closing_element] = STATE(61),
    [anon_sym_await] = ACTIONS(1282),
    [sym_null] = ACTIONS(105),
    [anon_sym_class] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(1286),
    [anon_sym_function] = ACTIONS(95),
    [anon_sym_DASH] = ACTIONS(1288),
    [anon_sym_LBRACE] = ACTIONS(97),
    [anon_sym_delete] = ACTIONS(1290),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(1292),
    [sym_this] = ACTIONS(105),
    [sym_undefined] = ACTIONS(105),
    [sym_true] = ACTIONS(105),
    [anon_sym_SLASH] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(49),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(1286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1294),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1292),
    [sym_super] = ACTIONS(63),
    [sym_identifier] = ACTIONS(1296),
    [sym_false] = ACTIONS(105),
    [anon_sym_LT] = ACTIONS(69),
    [sym_number] = ACTIONS(107),
    [anon_sym_yield] = ACTIONS(1300),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_set] = ACTIONS(1286),
    [anon_sym_async] = ACTIONS(1302),
    [anon_sym_new] = ACTIONS(1304),
    [anon_sym_PLUS] = ACTIONS(1288),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(1294),
    [anon_sym_void] = ACTIONS(1290),
    [anon_sym_typeof] = ACTIONS(1290),
  },
  [1115] = {
    [sym_arrow_function] = STATE(67),
    [sym_call_expression] = STATE(67),
    [sym_subscript_expression] = STATE(1127),
    [sym_assignment_expression] = STATE(67),
    [sym_ternary_expression] = STATE(67),
    [sym_binary_expression] = STATE(67),
    [sym_template_string] = STATE(67),
    [sym__expression] = STATE(67),
    [sym_yield_expression] = STATE(67),
    [sym_jsx_element] = STATE(67),
    [sym_jsx_fragment] = STATE(67),
    [sym_function] = STATE(47),
    [sym_new_expression] = STATE(67),
    [sym_augmented_assignment_expression] = STATE(67),
    [sym_unary_expression] = STATE(67),
    [sym_update_expression] = STATE(67),
    [sym_regex] = STATE(67),
    [sym_meta_property] = STATE(67),
    [sym_object] = STATE(1128),
    [aux_sym_export_statement_repeat1] = STATE(60),
    [sym_class] = STATE(67),
    [sym_generator_function] = STATE(67),
    [sym_await_expression] = STATE(67),
    [sym_member_expression] = STATE(1127),
    [sym_string] = STATE(67),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(1013),
    [sym_parenthesized_expression] = STATE(67),
    [sym_array] = STATE(1130),
    [sym_jsx_opening_element] = STATE(53),
    [sym_jsx_self_closing_element] = STATE(67),
    [anon_sym_await] = ACTIONS(1282),
    [sym_null] = ACTIONS(115),
    [anon_sym_class] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(1286),
    [anon_sym_function] = ACTIONS(95),
    [anon_sym_DASH] = ACTIONS(1288),
    [anon_sym_LBRACE] = ACTIONS(97),
    [anon_sym_delete] = ACTIONS(1290),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(1292),
    [sym_this] = ACTIONS(115),
    [sym_undefined] = ACTIONS(115),
    [sym_true] = ACTIONS(115),
    [anon_sym_SLASH] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(49),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(1286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1294),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1292),
    [sym_super] = ACTIONS(63),
    [sym_identifier] = ACTIONS(1296),
    [sym_false] = ACTIONS(115),
    [anon_sym_LT] = ACTIONS(69),
    [sym_number] = ACTIONS(117),
    [anon_sym_yield] = ACTIONS(1300),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_set] = ACTIONS(1286),
    [anon_sym_async] = ACTIONS(1302),
    [anon_sym_new] = ACTIONS(1304),
    [anon_sym_PLUS] = ACTIONS(1288),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(1294),
    [anon_sym_void] = ACTIONS(1290),
    [anon_sym_typeof] = ACTIONS(1290),
  },
  [1116] = {
    [anon_sym_instanceof] = ACTIONS(129),
    [anon_sym_GT] = ACTIONS(133),
    [sym__automatic_semicolon] = ACTIONS(129),
    [anon_sym_EQ] = ACTIONS(2861),
    [anon_sym_AMP_EQ] = ACTIONS(2863),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2863),
    [anon_sym_GT_GT_EQ] = ACTIONS(2863),
    [anon_sym_STAR_EQ] = ACTIONS(2863),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_CARET] = ACTIONS(133),
    [anon_sym_STAR_STAR] = ACTIONS(133),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(129),
    [anon_sym_GT_GT] = ACTIONS(133),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_in] = ACTIONS(133),
    [anon_sym_LPAREN] = ACTIONS(129),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(129),
    [anon_sym_SLASH] = ACTIONS(133),
    [anon_sym_GT_EQ] = ACTIONS(129),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(129),
    [anon_sym_PIPE_EQ] = ACTIONS(2863),
    [anon_sym_PERCENT_EQ] = ACTIONS(2863),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2863),
    [anon_sym_SLASH_EQ] = ACTIONS(2863),
    [anon_sym_PLUS_EQ] = ACTIONS(2863),
    [anon_sym_PIPE] = ACTIONS(133),
    [anon_sym_LT_EQ] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_COMMA] = ACTIONS(129),
    [anon_sym_GT_GT_GT] = ACTIONS(133),
    [anon_sym_SEMI] = ACTIONS(129),
    [anon_sym_PLUS_PLUS] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(133),
    [anon_sym_LT] = ACTIONS(133),
    [anon_sym_DOT] = ACTIONS(137),
    [anon_sym_BQUOTE] = ACTIONS(129),
    [anon_sym_CARET_EQ] = ACTIONS(2863),
    [anon_sym_LT_LT_EQ] = ACTIONS(2863),
    [anon_sym_DASH_EQ] = ACTIONS(2863),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_EQ_EQ] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_RBRACE] = ACTIONS(129),
    [anon_sym_LT_LT] = ACTIONS(133),
    [anon_sym_DASH_DASH] = ACTIONS(129),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(129),
  },
  [1117] = {
    [sym_formal_parameters] = STATE(80),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(139),
    [sym_identifier] = ACTIONS(2865),
    [anon_sym_STAR] = ACTIONS(2867),
  },
  [1118] = {
    [sym_parenthesized_expression] = STATE(1021),
    [anon_sym_LPAREN] = ACTIONS(153),
    [sym_comment] = ACTIONS(3),
  },
  [1119] = {
    [sym_arrow_function] = STATE(93),
    [sym_call_expression] = STATE(93),
    [sym_subscript_expression] = STATE(1127),
    [sym_assignment_expression] = STATE(93),
    [sym_ternary_expression] = STATE(93),
    [sym_binary_expression] = STATE(93),
    [sym_template_string] = STATE(93),
    [sym__expression] = STATE(93),
    [sym_yield_expression] = STATE(93),
    [sym_jsx_element] = STATE(93),
    [sym_jsx_fragment] = STATE(93),
    [sym_function] = STATE(47),
    [sym_new_expression] = STATE(93),
    [sym_augmented_assignment_expression] = STATE(93),
    [sym_unary_expression] = STATE(93),
    [sym_update_expression] = STATE(93),
    [sym_regex] = STATE(93),
    [sym_meta_property] = STATE(93),
    [sym_object] = STATE(1128),
    [aux_sym_export_statement_repeat1] = STATE(60),
    [sym_class] = STATE(93),
    [sym_generator_function] = STATE(93),
    [sym_await_expression] = STATE(93),
    [sym_member_expression] = STATE(1127),
    [sym_string] = STATE(93),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(1013),
    [sym_parenthesized_expression] = STATE(93),
    [sym_array] = STATE(1130),
    [sym_jsx_opening_element] = STATE(53),
    [sym_jsx_self_closing_element] = STATE(93),
    [anon_sym_await] = ACTIONS(1282),
    [sym_null] = ACTIONS(155),
    [anon_sym_class] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(1286),
    [anon_sym_function] = ACTIONS(95),
    [anon_sym_DASH] = ACTIONS(1288),
    [anon_sym_LBRACE] = ACTIONS(97),
    [anon_sym_delete] = ACTIONS(1290),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(1292),
    [sym_this] = ACTIONS(155),
    [sym_undefined] = ACTIONS(155),
    [sym_true] = ACTIONS(155),
    [anon_sym_SLASH] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(49),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(1286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1294),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1292),
    [sym_super] = ACTIONS(63),
    [sym_identifier] = ACTIONS(1296),
    [sym_false] = ACTIONS(155),
    [anon_sym_LT] = ACTIONS(69),
    [sym_number] = ACTIONS(157),
    [anon_sym_yield] = ACTIONS(1300),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_set] = ACTIONS(1286),
    [anon_sym_async] = ACTIONS(1302),
    [anon_sym_new] = ACTIONS(1304),
    [anon_sym_PLUS] = ACTIONS(1288),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(1294),
    [anon_sym_void] = ACTIONS(1290),
    [anon_sym_typeof] = ACTIONS(1290),
  },
  [1120] = {
    [sym_parenthesized_expression] = STATE(1022),
    [anon_sym_LPAREN] = ACTIONS(153),
    [sym_comment] = ACTIONS(3),
  },
  [1121] = {
    [sym_arrow_function] = STATE(124),
    [sym_call_expression] = STATE(124),
    [sym_subscript_expression] = STATE(1127),
    [sym_assignment_expression] = STATE(124),
    [sym_ternary_expression] = STATE(124),
    [sym_binary_expression] = STATE(124),
    [sym_template_string] = STATE(124),
    [sym__expression] = STATE(124),
    [sym_yield_expression] = STATE(124),
    [sym_jsx_element] = STATE(124),
    [sym_jsx_fragment] = STATE(124),
    [sym_function] = STATE(47),
    [sym_new_expression] = STATE(124),
    [sym_augmented_assignment_expression] = STATE(124),
    [sym_unary_expression] = STATE(124),
    [sym_update_expression] = STATE(124),
    [sym_regex] = STATE(124),
    [sym_meta_property] = STATE(124),
    [sym_object] = STATE(1128),
    [aux_sym_export_statement_repeat1] = STATE(60),
    [sym_class] = STATE(124),
    [sym_generator_function] = STATE(124),
    [sym_await_expression] = STATE(124),
    [sym_member_expression] = STATE(1127),
    [sym_string] = STATE(124),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(1013),
    [sym_parenthesized_expression] = STATE(124),
    [sym_array] = STATE(1130),
    [sym_jsx_opening_element] = STATE(53),
    [sym_jsx_self_closing_element] = STATE(124),
    [anon_sym_await] = ACTIONS(1282),
    [sym_null] = ACTIONS(233),
    [anon_sym_class] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(1286),
    [anon_sym_function] = ACTIONS(95),
    [anon_sym_DASH] = ACTIONS(1288),
    [anon_sym_LBRACE] = ACTIONS(97),
    [anon_sym_delete] = ACTIONS(1290),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(1292),
    [sym_this] = ACTIONS(233),
    [sym_undefined] = ACTIONS(233),
    [sym_true] = ACTIONS(233),
    [anon_sym_SLASH] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(49),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(1286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1294),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1292),
    [sym_super] = ACTIONS(63),
    [sym_identifier] = ACTIONS(1296),
    [sym_false] = ACTIONS(233),
    [anon_sym_LT] = ACTIONS(69),
    [sym_number] = ACTIONS(235),
    [anon_sym_yield] = ACTIONS(1300),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_set] = ACTIONS(1286),
    [anon_sym_async] = ACTIONS(1302),
    [anon_sym_new] = ACTIONS(1304),
    [anon_sym_PLUS] = ACTIONS(1288),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(1294),
    [anon_sym_void] = ACTIONS(1290),
    [anon_sym_typeof] = ACTIONS(1290),
  },
  [1122] = {
    [sym_parenthesized_expression] = STATE(1023),
    [anon_sym_LPAREN] = ACTIONS(153),
    [sym_comment] = ACTIONS(3),
  },
  [1123] = {
    [anon_sym_instanceof] = ACTIONS(277),
    [sym__automatic_semicolon] = ACTIONS(277),
    [anon_sym_COLON] = ACTIONS(2869),
    [anon_sym_AMP_EQ] = ACTIONS(281),
    [anon_sym_GT_GT_EQ] = ACTIONS(281),
    [anon_sym_STAR_EQ] = ACTIONS(281),
    [anon_sym_DASH] = ACTIONS(283),
    [anon_sym_STAR_STAR] = ACTIONS(283),
    [anon_sym_STAR] = ACTIONS(283),
    [anon_sym_AMP] = ACTIONS(283),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_PIPE_EQ] = ACTIONS(281),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(281),
    [anon_sym_SLASH_EQ] = ACTIONS(281),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_COMMA] = ACTIONS(277),
    [anon_sym_PLUS_PLUS] = ACTIONS(277),
    [anon_sym_SEMI] = ACTIONS(277),
    [anon_sym_LT] = ACTIONS(283),
    [anon_sym_LT_LT_EQ] = ACTIONS(281),
    [anon_sym_EQ_EQ] = ACTIONS(283),
    [anon_sym_QMARK] = ACTIONS(277),
    [anon_sym_DASH_DASH] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(283),
    [anon_sym_EQ] = ACTIONS(285),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(281),
    [anon_sym_CARET] = ACTIONS(283),
    [anon_sym_AMP_AMP] = ACTIONS(277),
    [anon_sym_GT_GT] = ACTIONS(283),
    [anon_sym_in] = ACTIONS(287),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(277),
    [anon_sym_SLASH] = ACTIONS(283),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(277),
    [anon_sym_PERCENT_EQ] = ACTIONS(281),
    [anon_sym_EQ_GT] = ACTIONS(289),
    [anon_sym_PLUS_EQ] = ACTIONS(281),
    [anon_sym_PIPE] = ACTIONS(283),
    [anon_sym_PIPE_PIPE] = ACTIONS(277),
    [anon_sym_GT_GT_GT] = ACTIONS(283),
    [anon_sym_BANG_EQ] = ACTIONS(283),
    [anon_sym_DOT] = ACTIONS(275),
    [anon_sym_BQUOTE] = ACTIONS(277),
    [anon_sym_CARET_EQ] = ACTIONS(281),
    [anon_sym_DASH_EQ] = ACTIONS(281),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_PERCENT] = ACTIONS(283),
    [anon_sym_LT_LT] = ACTIONS(283),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(277),
  },
  [1124] = {
    [sym_nested_identifier] = STATE(1031),
    [sym_jsx_namespace_name] = STATE(1032),
    [sym_jsx_identifier] = ACTIONS(2871),
    [anon_sym_GT] = ACTIONS(2873),
    [sym_comment] = ACTIONS(3),
    [sym_identifier] = ACTIONS(2875),
  },
  [1125] = {
    [sym_arrow_function] = STATE(1033),
    [sym_call_expression] = STATE(1033),
    [sym_subscript_expression] = STATE(1127),
    [sym_assignment_expression] = STATE(1033),
    [sym_ternary_expression] = STATE(1033),
    [sym_binary_expression] = STATE(1033),
    [sym_template_string] = STATE(1033),
    [sym__expression] = STATE(1033),
    [sym_yield_expression] = STATE(1033),
    [sym_jsx_element] = STATE(1033),
    [sym_jsx_fragment] = STATE(1033),
    [sym_function] = STATE(47),
    [sym_new_expression] = STATE(1033),
    [sym_augmented_assignment_expression] = STATE(1033),
    [sym_unary_expression] = STATE(1033),
    [sym_update_expression] = STATE(1033),
    [sym_regex] = STATE(1033),
    [sym_meta_property] = STATE(1033),
    [sym_object] = STATE(1128),
    [aux_sym_export_statement_repeat1] = STATE(60),
    [sym_class] = STATE(1033),
    [sym_generator_function] = STATE(1033),
    [sym_await_expression] = STATE(1033),
    [sym_member_expression] = STATE(1127),
    [sym_string] = STATE(1033),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(1013),
    [sym_parenthesized_expression] = STATE(1033),
    [sym_array] = STATE(1130),
    [sym_jsx_opening_element] = STATE(53),
    [sym_jsx_self_closing_element] = STATE(1033),
    [anon_sym_instanceof] = ACTIONS(297),
    [sym__automatic_semicolon] = ACTIONS(299),
    [anon_sym_class] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(1286),
    [anon_sym_DASH] = ACTIONS(1288),
    [anon_sym_STAR_STAR] = ACTIONS(299),
    [anon_sym_STAR] = ACTIONS(297),
    [anon_sym_AMP] = ACTIONS(297),
    [anon_sym_LBRACE] = ACTIONS(97),
    [anon_sym_delete] = ACTIONS(1290),
    [anon_sym_GT_EQ] = ACTIONS(299),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(2877),
    [sym_this] = ACTIONS(2879),
    [sym_true] = ACTIONS(2879),
    [anon_sym_get] = ACTIONS(1286),
    [anon_sym_LT_EQ] = ACTIONS(299),
    [anon_sym_COMMA] = ACTIONS(299),
    [anon_sym_PLUS_PLUS] = ACTIONS(1294),
    [anon_sym_SEMI] = ACTIONS(299),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(1292),
    [sym_super] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(305),
    [sym_false] = ACTIONS(2879),
    [sym_number] = ACTIONS(2881),
    [anon_sym_yield] = ACTIONS(1300),
    [anon_sym_set] = ACTIONS(1286),
    [anon_sym_async] = ACTIONS(1302),
    [anon_sym_EQ_EQ] = ACTIONS(297),
    [anon_sym_QMARK] = ACTIONS(299),
    [anon_sym_RBRACE] = ACTIONS(299),
    [anon_sym_DASH_DASH] = ACTIONS(1294),
    [anon_sym_typeof] = ACTIONS(1290),
    [anon_sym_await] = ACTIONS(1282),
    [anon_sym_GT] = ACTIONS(297),
    [sym_null] = ACTIONS(2879),
    [anon_sym_function] = ACTIONS(95),
    [anon_sym_CARET] = ACTIONS(299),
    [anon_sym_AMP_AMP] = ACTIONS(299),
    [anon_sym_GT_GT] = ACTIONS(297),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_in] = ACTIONS(297),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(299),
    [anon_sym_SLASH] = ACTIONS(45),
    [sym_undefined] = ACTIONS(2879),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_PIPE] = ACTIONS(297),
    [anon_sym_PIPE_PIPE] = ACTIONS(299),
    [anon_sym_GT_GT_GT] = ACTIONS(299),
    [anon_sym_BANG_EQ] = ACTIONS(297),
    [sym_identifier] = ACTIONS(1296),
    [anon_sym_DOT] = ACTIONS(297),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(1304),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(1288),
    [anon_sym_PERCENT] = ACTIONS(299),
    [anon_sym_LT_LT] = ACTIONS(299),
    [anon_sym_void] = ACTIONS(1290),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(299),
  },
  [1126] = {
    [sym_lexical_declaration] = STATE(175),
    [sym__declaration] = STATE(175),
    [sym_decorator] = STATE(50),
    [aux_sym_export_statement_repeat1] = STATE(1136),
    [sym_function_declaration] = STATE(175),
    [sym_variable_declaration] = STATE(175),
    [sym_generator_function_declaration] = STATE(175),
    [sym_export_clause] = STATE(177),
    [sym_class_declaration] = STATE(175),
    [anon_sym_class] = ACTIONS(2781),
    [anon_sym_default] = ACTIONS(336),
    [anon_sym_function] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(340),
    [anon_sym_STAR] = ACTIONS(342),
    [anon_sym_LBRACE] = ACTIONS(344),
    [anon_sym_async] = ACTIONS(2783),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_var] = ACTIONS(348),
    [anon_sym_const] = ACTIONS(340),
    [sym_comment] = ACTIONS(3),
  },
  [1127] = {
    [anon_sym_instanceof] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(283),
    [sym__automatic_semicolon] = ACTIONS(277),
    [anon_sym_EQ] = ACTIONS(2737),
    [anon_sym_AMP_EQ] = ACTIONS(2739),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2739),
    [anon_sym_GT_GT_EQ] = ACTIONS(2739),
    [anon_sym_STAR_EQ] = ACTIONS(2739),
    [anon_sym_DASH] = ACTIONS(283),
    [anon_sym_CARET] = ACTIONS(283),
    [anon_sym_STAR_STAR] = ACTIONS(283),
    [anon_sym_STAR] = ACTIONS(283),
    [anon_sym_AMP_AMP] = ACTIONS(277),
    [anon_sym_GT_GT] = ACTIONS(283),
    [anon_sym_AMP] = ACTIONS(283),
    [anon_sym_in] = ACTIONS(283),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(277),
    [anon_sym_SLASH] = ACTIONS(283),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(277),
    [anon_sym_PIPE_EQ] = ACTIONS(2739),
    [anon_sym_PERCENT_EQ] = ACTIONS(2739),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2739),
    [anon_sym_SLASH_EQ] = ACTIONS(2739),
    [anon_sym_PLUS_EQ] = ACTIONS(2739),
    [anon_sym_PIPE] = ACTIONS(283),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_PIPE_PIPE] = ACTIONS(277),
    [anon_sym_COMMA] = ACTIONS(277),
    [anon_sym_GT_GT_GT] = ACTIONS(283),
    [anon_sym_SEMI] = ACTIONS(277),
    [anon_sym_PLUS_PLUS] = ACTIONS(277),
    [anon_sym_BANG_EQ] = ACTIONS(283),
    [anon_sym_LT] = ACTIONS(283),
    [anon_sym_DOT] = ACTIONS(277),
    [anon_sym_BQUOTE] = ACTIONS(277),
    [anon_sym_CARET_EQ] = ACTIONS(2739),
    [anon_sym_LT_LT_EQ] = ACTIONS(2739),
    [anon_sym_DASH_EQ] = ACTIONS(2739),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_EQ_EQ] = ACTIONS(283),
    [anon_sym_PERCENT] = ACTIONS(283),
    [anon_sym_QMARK] = ACTIONS(277),
    [anon_sym_RBRACE] = ACTIONS(277),
    [anon_sym_LT_LT] = ACTIONS(283),
    [anon_sym_DASH_DASH] = ACTIONS(277),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(277),
  },
  [1128] = {
    [anon_sym_instanceof] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(283),
    [sym__automatic_semicolon] = ACTIONS(277),
    [anon_sym_EQ] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(283),
    [anon_sym_CARET] = ACTIONS(277),
    [anon_sym_STAR_STAR] = ACTIONS(277),
    [anon_sym_STAR] = ACTIONS(283),
    [anon_sym_AMP_AMP] = ACTIONS(277),
    [anon_sym_GT_GT] = ACTIONS(283),
    [anon_sym_AMP] = ACTIONS(283),
    [anon_sym_in] = ACTIONS(1751),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(277),
    [anon_sym_SLASH] = ACTIONS(283),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(277),
    [anon_sym_PIPE] = ACTIONS(283),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_PIPE_PIPE] = ACTIONS(277),
    [anon_sym_COMMA] = ACTIONS(277),
    [anon_sym_GT_GT_GT] = ACTIONS(277),
    [anon_sym_SEMI] = ACTIONS(277),
    [anon_sym_PLUS_PLUS] = ACTIONS(277),
    [anon_sym_BANG_EQ] = ACTIONS(283),
    [anon_sym_LT] = ACTIONS(283),
    [anon_sym_DOT] = ACTIONS(277),
    [anon_sym_BQUOTE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_EQ_EQ] = ACTIONS(283),
    [anon_sym_PERCENT] = ACTIONS(277),
    [anon_sym_QMARK] = ACTIONS(277),
    [anon_sym_RBRACE] = ACTIONS(277),
    [anon_sym_LT_LT] = ACTIONS(277),
    [anon_sym_DASH_DASH] = ACTIONS(277),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(277),
  },
  [1129] = {
    [sym_decorator] = STATE(50),
    [aux_sym_export_statement_repeat1] = STATE(191),
    [anon_sym_export] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2887),
    [sym_comment] = ACTIONS(3),
    [anon_sym_AT] = ACTIONS(77),
  },
  [1130] = {
    [anon_sym_instanceof] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(283),
    [sym__automatic_semicolon] = ACTIONS(277),
    [anon_sym_EQ] = ACTIONS(2889),
    [anon_sym_DASH] = ACTIONS(283),
    [anon_sym_CARET] = ACTIONS(277),
    [anon_sym_STAR_STAR] = ACTIONS(277),
    [anon_sym_STAR] = ACTIONS(283),
    [anon_sym_AMP_AMP] = ACTIONS(277),
    [anon_sym_GT_GT] = ACTIONS(283),
    [anon_sym_AMP] = ACTIONS(283),
    [anon_sym_in] = ACTIONS(1751),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(277),
    [anon_sym_SLASH] = ACTIONS(283),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(277),
    [anon_sym_PIPE] = ACTIONS(283),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_PIPE_PIPE] = ACTIONS(277),
    [anon_sym_COMMA] = ACTIONS(277),
    [anon_sym_GT_GT_GT] = ACTIONS(277),
    [anon_sym_SEMI] = ACTIONS(277),
    [anon_sym_PLUS_PLUS] = ACTIONS(277),
    [anon_sym_BANG_EQ] = ACTIONS(283),
    [anon_sym_LT] = ACTIONS(283),
    [anon_sym_DOT] = ACTIONS(277),
    [anon_sym_BQUOTE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_EQ_EQ] = ACTIONS(283),
    [anon_sym_PERCENT] = ACTIONS(277),
    [anon_sym_QMARK] = ACTIONS(277),
    [anon_sym_RBRACE] = ACTIONS(277),
    [anon_sym_LT_LT] = ACTIONS(277),
    [anon_sym_DASH_DASH] = ACTIONS(277),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(277),
  },
  [1131] = {
    [sym_formal_parameters] = STATE(1035),
    [anon_sym_instanceof] = ACTIONS(133),
    [anon_sym_GT] = ACTIONS(133),
    [sym__automatic_semicolon] = ACTIONS(129),
    [anon_sym_EQ] = ACTIONS(2861),
    [anon_sym_AMP_EQ] = ACTIONS(2863),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2863),
    [anon_sym_GT_GT_EQ] = ACTIONS(2863),
    [anon_sym_function] = ACTIONS(452),
    [anon_sym_STAR_EQ] = ACTIONS(2863),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_CARET] = ACTIONS(133),
    [anon_sym_STAR_STAR] = ACTIONS(133),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(129),
    [anon_sym_GT_GT] = ACTIONS(133),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_in] = ACTIONS(133),
    [anon_sym_LPAREN] = ACTIONS(311),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(129),
    [anon_sym_SLASH] = ACTIONS(133),
    [anon_sym_GT_EQ] = ACTIONS(129),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(129),
    [anon_sym_PIPE_EQ] = ACTIONS(2863),
    [anon_sym_PERCENT_EQ] = ACTIONS(2863),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2863),
    [anon_sym_SLASH_EQ] = ACTIONS(2863),
    [anon_sym_PLUS_EQ] = ACTIONS(2863),
    [anon_sym_PIPE] = ACTIONS(133),
    [anon_sym_LT_EQ] = ACTIONS(129),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_COMMA] = ACTIONS(129),
    [anon_sym_GT_GT_GT] = ACTIONS(133),
    [anon_sym_SEMI] = ACTIONS(129),
    [anon_sym_PLUS_PLUS] = ACTIONS(129),
    [anon_sym_BANG_EQ] = ACTIONS(133),
    [anon_sym_LT] = ACTIONS(133),
    [anon_sym_DOT] = ACTIONS(137),
    [anon_sym_BQUOTE] = ACTIONS(129),
    [sym_identifier] = ACTIONS(2773),
    [anon_sym_CARET_EQ] = ACTIONS(2863),
    [anon_sym_LT_LT_EQ] = ACTIONS(2863),
    [anon_sym_DASH_EQ] = ACTIONS(2863),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_EQ_EQ] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_RBRACE] = ACTIONS(129),
    [anon_sym_LT_LT] = ACTIONS(133),
    [anon_sym_DASH_DASH] = ACTIONS(129),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(129),
  },
  [1132] = {
    [sym_template_string] = STATE(141),
    [sym_arguments] = STATE(141),
    [anon_sym_instanceof] = ACTIONS(1749),
    [anon_sym_GT] = ACTIONS(1751),
    [sym__automatic_semicolon] = ACTIONS(454),
    [anon_sym_DASH] = ACTIONS(1753),
    [anon_sym_CARET] = ACTIONS(1755),
    [anon_sym_STAR_STAR] = ACTIONS(1757),
    [anon_sym_STAR] = ACTIONS(1759),
    [anon_sym_AMP_AMP] = ACTIONS(1761),
    [anon_sym_GT_GT] = ACTIONS(1759),
    [anon_sym_AMP] = ACTIONS(1763),
    [anon_sym_in] = ACTIONS(1751),
    [anon_sym_LPAREN] = ACTIONS(271),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1749),
    [anon_sym_SLASH] = ACTIONS(1759),
    [anon_sym_GT_EQ] = ACTIONS(1749),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(273),
    [anon_sym_PIPE] = ACTIONS(1765),
    [anon_sym_LT_EQ] = ACTIONS(1749),
    [anon_sym_PIPE_PIPE] = ACTIONS(1755),
    [anon_sym_COMMA] = ACTIONS(454),
    [anon_sym_GT_GT_GT] = ACTIONS(1770),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_PLUS_PLUS] = ACTIONS(410),
    [anon_sym_BANG_EQ] = ACTIONS(1751),
    [anon_sym_LT] = ACTIONS(1751),
    [anon_sym_DOT] = ACTIONS(275),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(1753),
    [anon_sym_EQ_EQ] = ACTIONS(1751),
    [anon_sym_PERCENT] = ACTIONS(1770),
    [anon_sym_QMARK] = ACTIONS(1772),
    [anon_sym_RBRACE] = ACTIONS(454),
    [anon_sym_LT_LT] = ACTIONS(1770),
    [anon_sym_DASH_DASH] = ACTIONS(410),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1749),
  },
  [1133] = {
    [sym_formal_parameters] = STATE(252),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(139),
    [sym_identifier] = ACTIONS(2891),
  },
  [1134] = {
    [sym_jsx_expression] = STATE(1139),
    [aux_sym_jsx_element_repeat1] = STATE(1139),
    [sym_jsx_opening_element] = STATE(967),
    [sym_jsx_self_closing_element] = STATE(1139),
    [sym_jsx_element] = STATE(1139),
    [anon_sym_LBRACE] = ACTIONS(426),
    [sym_comment] = ACTIONS(237),
    [sym_jsx_text] = ACTIONS(2893),
    [anon_sym_LT] = ACTIONS(2895),
  },
  [1135] = {
    [sym_formal_parameters] = STATE(346),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(139),
    [sym_identifier] = ACTIONS(2897),
  },
  [1136] = {
    [sym_decorator] = STATE(50),
    [aux_sym_export_statement_repeat1] = STATE(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(2899),
    [anon_sym_AT] = ACTIONS(77),
  },
  [1137] = {
    [sym_nested_identifier] = STATE(1101),
    [sym_jsx_namespace_name] = STATE(1102),
    [sym_jsx_identifier] = ACTIONS(1106),
    [sym_comment] = ACTIONS(3),
    [sym_identifier] = ACTIONS(1108),
    [anon_sym_SLASH] = ACTIONS(2901),
  },
  [1138] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_while] = ACTIONS(1258),
    [anon_sym_else] = ACTIONS(2903),
  },
  [1139] = {
    [sym_jsx_expression] = STATE(404),
    [aux_sym_jsx_element_repeat1] = STATE(404),
    [sym_jsx_opening_element] = STATE(967),
    [sym_jsx_self_closing_element] = STATE(404),
    [sym_jsx_element] = STATE(404),
    [anon_sym_LBRACE] = ACTIONS(426),
    [sym_comment] = ACTIONS(237),
    [sym_jsx_text] = ACTIONS(1116),
    [anon_sym_LT] = ACTIONS(2905),
  },
  [1140] = {
    [sym_formal_parameters] = STATE(1077),
    [anon_sym_LPAREN] = ACTIONS(139),
    [sym_comment] = ACTIONS(3),
  },
  [1141] = {
    [sym_template_string] = STATE(719),
    [sym_arguments] = STATE(719),
    [anon_sym_instanceof] = ACTIONS(696),
    [anon_sym_GT] = ACTIONS(676),
    [anon_sym_COLON] = ACTIONS(2907),
    [anon_sym_DASH] = ACTIONS(698),
    [anon_sym_CARET] = ACTIONS(700),
    [anon_sym_STAR_STAR] = ACTIONS(702),
    [anon_sym_STAR] = ACTIONS(704),
    [anon_sym_AMP_AMP] = ACTIONS(706),
    [anon_sym_GT_GT] = ACTIONS(704),
    [anon_sym_AMP] = ACTIONS(708),
    [anon_sym_in] = ACTIONS(676),
    [anon_sym_LPAREN] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(696),
    [anon_sym_GT_EQ] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(704),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(710),
    [anon_sym_PIPE] = ACTIONS(712),
    [anon_sym_LT_EQ] = ACTIONS(696),
    [anon_sym_PIPE_PIPE] = ACTIONS(700),
    [anon_sym_GT_GT_GT] = ACTIONS(714),
    [anon_sym_PLUS_PLUS] = ACTIONS(716),
    [anon_sym_BANG_EQ] = ACTIONS(676),
    [anon_sym_LT] = ACTIONS(676),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_PLUS] = ACTIONS(698),
    [anon_sym_EQ_EQ] = ACTIONS(676),
    [anon_sym_PERCENT] = ACTIONS(714),
    [anon_sym_QMARK] = ACTIONS(722),
    [anon_sym_LT_LT] = ACTIONS(714),
    [anon_sym_DASH_DASH] = ACTIONS(716),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(696),
  },
  [1142] = {
    [sym_formal_parameters] = STATE(1079),
    [anon_sym_LPAREN] = ACTIONS(139),
    [sym_comment] = ACTIONS(3),
  },
  [1143] = {
    [sym_formal_parameters] = STATE(1080),
    [anon_sym_LPAREN] = ACTIONS(139),
    [sym_comment] = ACTIONS(3),
  },
  [1144] = {
    [sym_arrow_function] = STATE(1148),
    [sym_call_expression] = STATE(1148),
    [sym_subscript_expression] = STATE(701),
    [sym_assignment_expression] = STATE(1148),
    [sym_ternary_expression] = STATE(1148),
    [sym_binary_expression] = STATE(1148),
    [sym_template_string] = STATE(1148),
    [sym__expression] = STATE(1148),
    [sym_yield_expression] = STATE(1148),
    [sym_jsx_element] = STATE(1148),
    [sym_jsx_fragment] = STATE(1148),
    [sym_function] = STATE(703),
    [sym_new_expression] = STATE(1148),
    [sym_augmented_assignment_expression] = STATE(1148),
    [sym_unary_expression] = STATE(1148),
    [sym_update_expression] = STATE(1148),
    [sym_regex] = STATE(1148),
    [sym_meta_property] = STATE(1148),
    [sym_object] = STATE(702),
    [aux_sym_export_statement_repeat1] = STATE(1016),
    [sym_class] = STATE(1148),
    [sym_generator_function] = STATE(1148),
    [sym_await_expression] = STATE(1148),
    [sym_member_expression] = STATE(701),
    [sym_sequence_expression] = STATE(1149),
    [sym_string] = STATE(1148),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(874),
    [sym_parenthesized_expression] = STATE(1148),
    [sym_array] = STATE(704),
    [sym_jsx_opening_element] = STATE(875),
    [sym_jsx_self_closing_element] = STATE(1148),
    [anon_sym_await] = ACTIONS(217),
    [sym_null] = ACTIONS(2909),
    [anon_sym_class] = ACTIONS(183),
    [anon_sym_static] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(219),
    [anon_sym_DASH] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_delete] = ACTIONS(191),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [anon_sym_LPAREN] = ACTIONS(193),
    [anon_sym_BANG] = ACTIONS(195),
    [sym_this] = ACTIONS(2909),
    [sym_undefined] = ACTIONS(2909),
    [sym_true] = ACTIONS(2909),
    [anon_sym_SLASH] = ACTIONS(223),
    [anon_sym_LBRACK] = ACTIONS(225),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(243),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_RPAREN] = ACTIONS(2911),
    [anon_sym_TILDE] = ACTIONS(195),
    [sym_super] = ACTIONS(207),
    [sym_identifier] = ACTIONS(253),
    [sym_false] = ACTIONS(2909),
    [anon_sym_LT] = ACTIONS(209),
    [sym_number] = ACTIONS(2913),
    [anon_sym_yield] = ACTIONS(213),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_set] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(251),
    [anon_sym_new] = ACTIONS(231),
    [anon_sym_PLUS] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_void] = ACTIONS(191),
    [anon_sym_typeof] = ACTIONS(191),
  },
  [1145] = {
    [sym_template_string] = STATE(141),
    [sym_arguments] = STATE(141),
    [anon_sym_instanceof] = ACTIONS(1429),
    [anon_sym_GT] = ACTIONS(1431),
    [sym__automatic_semicolon] = ACTIONS(1429),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_CARET] = ACTIONS(1429),
    [anon_sym_STAR_STAR] = ACTIONS(398),
    [anon_sym_STAR] = ACTIONS(400),
    [anon_sym_AMP_AMP] = ACTIONS(1429),
    [anon_sym_GT_GT] = ACTIONS(400),
    [anon_sym_AMP] = ACTIONS(1431),
    [anon_sym_in] = ACTIONS(1431),
    [anon_sym_LPAREN] = ACTIONS(271),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1429),
    [anon_sym_SLASH] = ACTIONS(400),
    [anon_sym_GT_EQ] = ACTIONS(1429),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(273),
    [anon_sym_PIPE] = ACTIONS(1431),
    [anon_sym_LT_EQ] = ACTIONS(1429),
    [anon_sym_PIPE_PIPE] = ACTIONS(1429),
    [anon_sym_COMMA] = ACTIONS(1429),
    [anon_sym_GT_GT_GT] = ACTIONS(408),
    [anon_sym_SEMI] = ACTIONS(1429),
    [anon_sym_PLUS_PLUS] = ACTIONS(410),
    [anon_sym_BANG_EQ] = ACTIONS(1431),
    [anon_sym_RPAREN] = ACTIONS(2915),
    [anon_sym_LT] = ACTIONS(1431),
    [anon_sym_DOT] = ACTIONS(275),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_EQ_EQ] = ACTIONS(1431),
    [anon_sym_PERCENT] = ACTIONS(408),
    [anon_sym_QMARK] = ACTIONS(1429),
    [anon_sym_LT_LT] = ACTIONS(408),
    [anon_sym_DASH_DASH] = ACTIONS(410),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1429),
  },
  [1146] = {
    [anon_sym_RPAREN] = ACTIONS(2915),
    [sym_comment] = ACTIONS(3),
  },
  [1147] = {
    [sym_template_string] = STATE(719),
    [sym_arguments] = STATE(719),
    [anon_sym_instanceof] = ACTIONS(696),
    [anon_sym_GT] = ACTIONS(676),
    [anon_sym_DASH] = ACTIONS(698),
    [anon_sym_CARET] = ACTIONS(700),
    [anon_sym_STAR_STAR] = ACTIONS(702),
    [anon_sym_STAR] = ACTIONS(704),
    [anon_sym_AMP_AMP] = ACTIONS(706),
    [anon_sym_GT_GT] = ACTIONS(704),
    [anon_sym_AMP] = ACTIONS(708),
    [anon_sym_in] = ACTIONS(676),
    [anon_sym_LPAREN] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(696),
    [anon_sym_GT_EQ] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(704),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(710),
    [anon_sym_PIPE] = ACTIONS(712),
    [anon_sym_LT_EQ] = ACTIONS(696),
    [anon_sym_PIPE_PIPE] = ACTIONS(700),
    [anon_sym_GT_GT_GT] = ACTIONS(714),
    [anon_sym_PLUS_PLUS] = ACTIONS(716),
    [anon_sym_BANG_EQ] = ACTIONS(676),
    [anon_sym_RPAREN] = ACTIONS(2917),
    [anon_sym_LT] = ACTIONS(676),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_PLUS] = ACTIONS(698),
    [anon_sym_EQ_EQ] = ACTIONS(676),
    [anon_sym_PERCENT] = ACTIONS(714),
    [anon_sym_QMARK] = ACTIONS(722),
    [anon_sym_LT_LT] = ACTIONS(714),
    [anon_sym_DASH_DASH] = ACTIONS(716),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(696),
  },
  [1148] = {
    [sym_template_string] = STATE(719),
    [sym_arguments] = STATE(719),
    [anon_sym_instanceof] = ACTIONS(696),
    [anon_sym_GT] = ACTIONS(676),
    [anon_sym_DASH] = ACTIONS(698),
    [anon_sym_CARET] = ACTIONS(700),
    [anon_sym_STAR_STAR] = ACTIONS(702),
    [anon_sym_STAR] = ACTIONS(704),
    [anon_sym_AMP_AMP] = ACTIONS(706),
    [anon_sym_GT_GT] = ACTIONS(704),
    [anon_sym_AMP] = ACTIONS(708),
    [anon_sym_in] = ACTIONS(676),
    [anon_sym_LPAREN] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(696),
    [anon_sym_GT_EQ] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(704),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(710),
    [anon_sym_PIPE] = ACTIONS(712),
    [anon_sym_LT_EQ] = ACTIONS(696),
    [anon_sym_PIPE_PIPE] = ACTIONS(700),
    [anon_sym_GT_GT_GT] = ACTIONS(714),
    [anon_sym_PLUS_PLUS] = ACTIONS(716),
    [anon_sym_COMMA] = ACTIONS(718),
    [anon_sym_BANG_EQ] = ACTIONS(676),
    [anon_sym_RPAREN] = ACTIONS(2919),
    [anon_sym_LT] = ACTIONS(676),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_PLUS] = ACTIONS(698),
    [anon_sym_EQ_EQ] = ACTIONS(676),
    [anon_sym_PERCENT] = ACTIONS(714),
    [anon_sym_QMARK] = ACTIONS(722),
    [anon_sym_LT_LT] = ACTIONS(714),
    [anon_sym_DASH_DASH] = ACTIONS(716),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(696),
  },
  [1149] = {
    [anon_sym_RPAREN] = ACTIONS(2919),
    [sym_comment] = ACTIONS(3),
  },
  [1150] = {
    [sym_template_string] = STATE(719),
    [sym_arguments] = STATE(719),
    [anon_sym_instanceof] = ACTIONS(696),
    [anon_sym_GT] = ACTIONS(676),
    [anon_sym_DASH] = ACTIONS(698),
    [anon_sym_CARET] = ACTIONS(700),
    [anon_sym_STAR_STAR] = ACTIONS(702),
    [anon_sym_STAR] = ACTIONS(704),
    [anon_sym_AMP_AMP] = ACTIONS(706),
    [anon_sym_GT_GT] = ACTIONS(704),
    [anon_sym_AMP] = ACTIONS(708),
    [anon_sym_in] = ACTIONS(676),
    [anon_sym_LPAREN] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(696),
    [anon_sym_GT_EQ] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(704),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(710),
    [anon_sym_PIPE] = ACTIONS(712),
    [anon_sym_LT_EQ] = ACTIONS(696),
    [anon_sym_PIPE_PIPE] = ACTIONS(700),
    [anon_sym_GT_GT_GT] = ACTIONS(714),
    [anon_sym_PLUS_PLUS] = ACTIONS(716),
    [anon_sym_BANG_EQ] = ACTIONS(676),
    [anon_sym_RPAREN] = ACTIONS(2921),
    [anon_sym_LT] = ACTIONS(676),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_PLUS] = ACTIONS(698),
    [anon_sym_EQ_EQ] = ACTIONS(676),
    [anon_sym_PERCENT] = ACTIONS(714),
    [anon_sym_QMARK] = ACTIONS(722),
    [anon_sym_LT_LT] = ACTIONS(714),
    [anon_sym_DASH_DASH] = ACTIONS(716),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(696),
  },
  [1151] = {
    [sym_template_string] = STATE(141),
    [sym_arguments] = STATE(141),
    [anon_sym_instanceof] = ACTIONS(1429),
    [anon_sym_GT] = ACTIONS(1431),
    [sym__automatic_semicolon] = ACTIONS(1429),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_CARET] = ACTIONS(1429),
    [anon_sym_STAR_STAR] = ACTIONS(398),
    [anon_sym_STAR] = ACTIONS(400),
    [anon_sym_AMP_AMP] = ACTIONS(1429),
    [anon_sym_GT_GT] = ACTIONS(400),
    [anon_sym_AMP] = ACTIONS(1431),
    [anon_sym_in] = ACTIONS(1431),
    [anon_sym_LPAREN] = ACTIONS(271),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1429),
    [anon_sym_SLASH] = ACTIONS(400),
    [anon_sym_GT_EQ] = ACTIONS(1429),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(273),
    [anon_sym_PIPE] = ACTIONS(1431),
    [anon_sym_LT_EQ] = ACTIONS(1429),
    [anon_sym_PIPE_PIPE] = ACTIONS(1429),
    [anon_sym_COMMA] = ACTIONS(1429),
    [anon_sym_GT_GT_GT] = ACTIONS(408),
    [anon_sym_SEMI] = ACTIONS(1429),
    [anon_sym_PLUS_PLUS] = ACTIONS(410),
    [anon_sym_BANG_EQ] = ACTIONS(1431),
    [anon_sym_RPAREN] = ACTIONS(2923),
    [anon_sym_LT] = ACTIONS(1431),
    [anon_sym_DOT] = ACTIONS(275),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_EQ_EQ] = ACTIONS(1431),
    [anon_sym_PERCENT] = ACTIONS(408),
    [anon_sym_QMARK] = ACTIONS(1429),
    [anon_sym_LT_LT] = ACTIONS(408),
    [anon_sym_DASH_DASH] = ACTIONS(410),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1429),
  },
  [1152] = {
    [anon_sym_RPAREN] = ACTIONS(2923),
    [sym_comment] = ACTIONS(3),
  },
  [1153] = {
    [sym_template_string] = STATE(719),
    [sym_arguments] = STATE(719),
    [anon_sym_instanceof] = ACTIONS(696),
    [anon_sym_GT] = ACTIONS(676),
    [anon_sym_DASH] = ACTIONS(698),
    [anon_sym_CARET] = ACTIONS(700),
    [anon_sym_STAR_STAR] = ACTIONS(702),
    [anon_sym_STAR] = ACTIONS(704),
    [anon_sym_AMP_AMP] = ACTIONS(706),
    [anon_sym_GT_GT] = ACTIONS(704),
    [anon_sym_AMP] = ACTIONS(708),
    [anon_sym_in] = ACTIONS(676),
    [anon_sym_LPAREN] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(696),
    [anon_sym_GT_EQ] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(704),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(710),
    [anon_sym_PIPE] = ACTIONS(712),
    [anon_sym_LT_EQ] = ACTIONS(696),
    [anon_sym_PIPE_PIPE] = ACTIONS(700),
    [anon_sym_GT_GT_GT] = ACTIONS(714),
    [anon_sym_PLUS_PLUS] = ACTIONS(716),
    [anon_sym_BANG_EQ] = ACTIONS(676),
    [anon_sym_RPAREN] = ACTIONS(2925),
    [anon_sym_LT] = ACTIONS(676),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_PLUS] = ACTIONS(698),
    [anon_sym_EQ_EQ] = ACTIONS(676),
    [anon_sym_PERCENT] = ACTIONS(714),
    [anon_sym_QMARK] = ACTIONS(722),
    [anon_sym_LT_LT] = ACTIONS(714),
    [anon_sym_DASH_DASH] = ACTIONS(716),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(696),
  },
  [1154] = {
    [sym_template_string] = STATE(141),
    [sym_arguments] = STATE(141),
    [anon_sym_instanceof] = ACTIONS(1429),
    [anon_sym_GT] = ACTIONS(1431),
    [sym__automatic_semicolon] = ACTIONS(1429),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_CARET] = ACTIONS(1429),
    [anon_sym_STAR_STAR] = ACTIONS(398),
    [anon_sym_STAR] = ACTIONS(400),
    [anon_sym_AMP_AMP] = ACTIONS(1429),
    [anon_sym_GT_GT] = ACTIONS(400),
    [anon_sym_AMP] = ACTIONS(1431),
    [anon_sym_in] = ACTIONS(1431),
    [anon_sym_LPAREN] = ACTIONS(271),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1429),
    [anon_sym_SLASH] = ACTIONS(400),
    [anon_sym_GT_EQ] = ACTIONS(1429),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(273),
    [anon_sym_PIPE] = ACTIONS(1431),
    [anon_sym_LT_EQ] = ACTIONS(1429),
    [anon_sym_PIPE_PIPE] = ACTIONS(1429),
    [anon_sym_COMMA] = ACTIONS(1429),
    [anon_sym_GT_GT_GT] = ACTIONS(408),
    [anon_sym_SEMI] = ACTIONS(1429),
    [anon_sym_PLUS_PLUS] = ACTIONS(410),
    [anon_sym_BANG_EQ] = ACTIONS(1431),
    [anon_sym_RPAREN] = ACTIONS(2927),
    [anon_sym_LT] = ACTIONS(1431),
    [anon_sym_DOT] = ACTIONS(275),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_EQ_EQ] = ACTIONS(1431),
    [anon_sym_PERCENT] = ACTIONS(408),
    [anon_sym_QMARK] = ACTIONS(1429),
    [anon_sym_LT_LT] = ACTIONS(408),
    [anon_sym_DASH_DASH] = ACTIONS(410),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1429),
  },
  [1155] = {
    [anon_sym_RPAREN] = ACTIONS(2927),
    [sym_comment] = ACTIONS(3),
  },
  [1156] = {
    [sym_template_string] = STATE(719),
    [sym_arguments] = STATE(719),
    [anon_sym_instanceof] = ACTIONS(696),
    [anon_sym_GT] = ACTIONS(676),
    [anon_sym_DASH] = ACTIONS(698),
    [anon_sym_CARET] = ACTIONS(700),
    [anon_sym_STAR_STAR] = ACTIONS(702),
    [anon_sym_STAR] = ACTIONS(704),
    [anon_sym_AMP_AMP] = ACTIONS(706),
    [anon_sym_GT_GT] = ACTIONS(704),
    [anon_sym_AMP] = ACTIONS(708),
    [anon_sym_in] = ACTIONS(676),
    [anon_sym_LPAREN] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(696),
    [anon_sym_GT_EQ] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(704),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(710),
    [anon_sym_PIPE] = ACTIONS(712),
    [anon_sym_LT_EQ] = ACTIONS(696),
    [anon_sym_PIPE_PIPE] = ACTIONS(700),
    [anon_sym_GT_GT_GT] = ACTIONS(714),
    [anon_sym_PLUS_PLUS] = ACTIONS(716),
    [anon_sym_BANG_EQ] = ACTIONS(676),
    [anon_sym_RPAREN] = ACTIONS(2929),
    [anon_sym_LT] = ACTIONS(676),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_PLUS] = ACTIONS(698),
    [anon_sym_EQ_EQ] = ACTIONS(676),
    [anon_sym_PERCENT] = ACTIONS(714),
    [anon_sym_QMARK] = ACTIONS(722),
    [anon_sym_LT_LT] = ACTIONS(714),
    [anon_sym_DASH_DASH] = ACTIONS(716),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(696),
  },
  [1157] = {
    [sym_template_string] = STATE(719),
    [sym_arguments] = STATE(719),
    [anon_sym_instanceof] = ACTIONS(696),
    [anon_sym_GT] = ACTIONS(676),
    [anon_sym_DASH] = ACTIONS(698),
    [anon_sym_CARET] = ACTIONS(700),
    [anon_sym_STAR_STAR] = ACTIONS(702),
    [anon_sym_STAR] = ACTIONS(704),
    [anon_sym_AMP_AMP] = ACTIONS(706),
    [anon_sym_GT_GT] = ACTIONS(704),
    [anon_sym_AMP] = ACTIONS(708),
    [anon_sym_in] = ACTIONS(676),
    [anon_sym_LPAREN] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(696),
    [anon_sym_GT_EQ] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(704),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(710),
    [anon_sym_PIPE] = ACTIONS(712),
    [anon_sym_LT_EQ] = ACTIONS(696),
    [anon_sym_PIPE_PIPE] = ACTIONS(700),
    [anon_sym_GT_GT_GT] = ACTIONS(714),
    [anon_sym_PLUS_PLUS] = ACTIONS(716),
    [anon_sym_COMMA] = ACTIONS(718),
    [anon_sym_BANG_EQ] = ACTIONS(676),
    [anon_sym_RPAREN] = ACTIONS(2931),
    [anon_sym_LT] = ACTIONS(676),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_PLUS] = ACTIONS(698),
    [anon_sym_EQ_EQ] = ACTIONS(676),
    [anon_sym_PERCENT] = ACTIONS(714),
    [anon_sym_QMARK] = ACTIONS(722),
    [anon_sym_LT_LT] = ACTIONS(714),
    [anon_sym_DASH_DASH] = ACTIONS(716),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(696),
  },
  [1158] = {
    [anon_sym_RPAREN] = ACTIONS(2931),
    [sym_comment] = ACTIONS(3),
  },
  [1159] = {
    [sym_template_string] = STATE(719),
    [sym_arguments] = STATE(719),
    [anon_sym_instanceof] = ACTIONS(696),
    [anon_sym_GT] = ACTIONS(676),
    [anon_sym_DASH] = ACTIONS(698),
    [anon_sym_CARET] = ACTIONS(700),
    [anon_sym_STAR_STAR] = ACTIONS(702),
    [anon_sym_STAR] = ACTIONS(704),
    [anon_sym_AMP_AMP] = ACTIONS(706),
    [anon_sym_GT_GT] = ACTIONS(704),
    [anon_sym_AMP] = ACTIONS(708),
    [anon_sym_in] = ACTIONS(676),
    [anon_sym_LPAREN] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(696),
    [anon_sym_GT_EQ] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(704),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(710),
    [anon_sym_PIPE] = ACTIONS(712),
    [anon_sym_LT_EQ] = ACTIONS(696),
    [anon_sym_PIPE_PIPE] = ACTIONS(700),
    [anon_sym_GT_GT_GT] = ACTIONS(714),
    [anon_sym_PLUS_PLUS] = ACTIONS(716),
    [anon_sym_BANG_EQ] = ACTIONS(676),
    [anon_sym_RPAREN] = ACTIONS(2933),
    [anon_sym_LT] = ACTIONS(676),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_PLUS] = ACTIONS(698),
    [anon_sym_EQ_EQ] = ACTIONS(676),
    [anon_sym_PERCENT] = ACTIONS(714),
    [anon_sym_QMARK] = ACTIONS(722),
    [anon_sym_LT_LT] = ACTIONS(714),
    [anon_sym_DASH_DASH] = ACTIONS(716),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(696),
  },
  [1160] = {
    [sym_template_string] = STATE(719),
    [sym_arguments] = STATE(719),
    [anon_sym_instanceof] = ACTIONS(696),
    [anon_sym_GT] = ACTIONS(676),
    [anon_sym_DASH] = ACTIONS(698),
    [anon_sym_CARET] = ACTIONS(700),
    [anon_sym_STAR_STAR] = ACTIONS(702),
    [anon_sym_STAR] = ACTIONS(704),
    [anon_sym_AMP_AMP] = ACTIONS(706),
    [anon_sym_GT_GT] = ACTIONS(704),
    [anon_sym_AMP] = ACTIONS(708),
    [anon_sym_in] = ACTIONS(676),
    [anon_sym_LPAREN] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(696),
    [anon_sym_GT_EQ] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(704),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(710),
    [anon_sym_PIPE] = ACTIONS(712),
    [anon_sym_LT_EQ] = ACTIONS(696),
    [anon_sym_PIPE_PIPE] = ACTIONS(700),
    [anon_sym_GT_GT_GT] = ACTIONS(714),
    [anon_sym_PLUS_PLUS] = ACTIONS(716),
    [anon_sym_COMMA] = ACTIONS(718),
    [anon_sym_BANG_EQ] = ACTIONS(676),
    [anon_sym_RPAREN] = ACTIONS(2935),
    [anon_sym_LT] = ACTIONS(676),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_PLUS] = ACTIONS(698),
    [anon_sym_EQ_EQ] = ACTIONS(676),
    [anon_sym_PERCENT] = ACTIONS(714),
    [anon_sym_QMARK] = ACTIONS(722),
    [anon_sym_LT_LT] = ACTIONS(714),
    [anon_sym_DASH_DASH] = ACTIONS(716),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(696),
  },
  [1161] = {
    [anon_sym_RPAREN] = ACTIONS(2935),
    [sym_comment] = ACTIONS(3),
  },
  [1162] = {
    [sym_template_string] = STATE(719),
    [sym_arguments] = STATE(719),
    [anon_sym_instanceof] = ACTIONS(696),
    [anon_sym_GT] = ACTIONS(676),
    [anon_sym_DASH] = ACTIONS(698),
    [anon_sym_CARET] = ACTIONS(700),
    [anon_sym_STAR_STAR] = ACTIONS(702),
    [anon_sym_STAR] = ACTIONS(704),
    [anon_sym_AMP_AMP] = ACTIONS(706),
    [anon_sym_GT_GT] = ACTIONS(704),
    [anon_sym_AMP] = ACTIONS(708),
    [anon_sym_in] = ACTIONS(676),
    [anon_sym_LPAREN] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(696),
    [anon_sym_GT_EQ] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(704),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(710),
    [anon_sym_PIPE] = ACTIONS(712),
    [anon_sym_LT_EQ] = ACTIONS(696),
    [anon_sym_PIPE_PIPE] = ACTIONS(700),
    [anon_sym_GT_GT_GT] = ACTIONS(714),
    [anon_sym_PLUS_PLUS] = ACTIONS(716),
    [anon_sym_BANG_EQ] = ACTIONS(676),
    [anon_sym_RPAREN] = ACTIONS(2937),
    [anon_sym_LT] = ACTIONS(676),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_PLUS] = ACTIONS(698),
    [anon_sym_EQ_EQ] = ACTIONS(676),
    [anon_sym_PERCENT] = ACTIONS(714),
    [anon_sym_QMARK] = ACTIONS(722),
    [anon_sym_LT_LT] = ACTIONS(714),
    [anon_sym_DASH_DASH] = ACTIONS(716),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(696),
  },
  [1163] = {
    [sym_template_string] = STATE(719),
    [sym_arguments] = STATE(719),
    [anon_sym_instanceof] = ACTIONS(696),
    [anon_sym_GT] = ACTIONS(676),
    [anon_sym_DASH] = ACTIONS(698),
    [anon_sym_CARET] = ACTIONS(700),
    [anon_sym_STAR_STAR] = ACTIONS(702),
    [anon_sym_STAR] = ACTIONS(704),
    [anon_sym_AMP_AMP] = ACTIONS(706),
    [anon_sym_GT_GT] = ACTIONS(704),
    [anon_sym_AMP] = ACTIONS(708),
    [anon_sym_in] = ACTIONS(676),
    [anon_sym_LPAREN] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(696),
    [anon_sym_GT_EQ] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(704),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(710),
    [anon_sym_PIPE] = ACTIONS(712),
    [anon_sym_LT_EQ] = ACTIONS(696),
    [anon_sym_PIPE_PIPE] = ACTIONS(700),
    [anon_sym_GT_GT_GT] = ACTIONS(714),
    [anon_sym_PLUS_PLUS] = ACTIONS(716),
    [anon_sym_COMMA] = ACTIONS(718),
    [anon_sym_BANG_EQ] = ACTIONS(676),
    [anon_sym_RPAREN] = ACTIONS(2939),
    [anon_sym_LT] = ACTIONS(676),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_PLUS] = ACTIONS(698),
    [anon_sym_EQ_EQ] = ACTIONS(676),
    [anon_sym_PERCENT] = ACTIONS(714),
    [anon_sym_QMARK] = ACTIONS(722),
    [anon_sym_LT_LT] = ACTIONS(714),
    [anon_sym_DASH_DASH] = ACTIONS(716),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(696),
  },
  [1164] = {
    [anon_sym_RPAREN] = ACTIONS(2939),
    [sym_comment] = ACTIONS(3),
  },
  [1165] = {
    [sym_template_string] = STATE(719),
    [sym_arguments] = STATE(719),
    [anon_sym_instanceof] = ACTIONS(696),
    [anon_sym_GT] = ACTIONS(676),
    [anon_sym_DASH] = ACTIONS(698),
    [anon_sym_CARET] = ACTIONS(700),
    [anon_sym_STAR_STAR] = ACTIONS(702),
    [anon_sym_STAR] = ACTIONS(704),
    [anon_sym_AMP_AMP] = ACTIONS(706),
    [anon_sym_GT_GT] = ACTIONS(704),
    [anon_sym_AMP] = ACTIONS(708),
    [anon_sym_in] = ACTIONS(676),
    [anon_sym_LPAREN] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(696),
    [anon_sym_GT_EQ] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(704),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(710),
    [anon_sym_PIPE] = ACTIONS(712),
    [anon_sym_LT_EQ] = ACTIONS(696),
    [anon_sym_PIPE_PIPE] = ACTIONS(700),
    [anon_sym_GT_GT_GT] = ACTIONS(714),
    [anon_sym_PLUS_PLUS] = ACTIONS(716),
    [anon_sym_BANG_EQ] = ACTIONS(676),
    [anon_sym_RPAREN] = ACTIONS(2941),
    [anon_sym_LT] = ACTIONS(676),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_PLUS] = ACTIONS(698),
    [anon_sym_EQ_EQ] = ACTIONS(676),
    [anon_sym_PERCENT] = ACTIONS(714),
    [anon_sym_QMARK] = ACTIONS(722),
    [anon_sym_LT_LT] = ACTIONS(714),
    [anon_sym_DASH_DASH] = ACTIONS(716),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(696),
  },
  [1166] = {
    [sym_template_string] = STATE(719),
    [sym_arguments] = STATE(719),
    [anon_sym_instanceof] = ACTIONS(696),
    [anon_sym_GT] = ACTIONS(676),
    [anon_sym_DASH] = ACTIONS(698),
    [anon_sym_CARET] = ACTIONS(700),
    [anon_sym_STAR_STAR] = ACTIONS(702),
    [anon_sym_STAR] = ACTIONS(704),
    [anon_sym_AMP_AMP] = ACTIONS(706),
    [anon_sym_GT_GT] = ACTIONS(704),
    [anon_sym_AMP] = ACTIONS(708),
    [anon_sym_in] = ACTIONS(676),
    [anon_sym_LPAREN] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(696),
    [anon_sym_GT_EQ] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(704),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(710),
    [anon_sym_PIPE] = ACTIONS(712),
    [anon_sym_LT_EQ] = ACTIONS(696),
    [anon_sym_PIPE_PIPE] = ACTIONS(700),
    [anon_sym_GT_GT_GT] = ACTIONS(714),
    [anon_sym_PLUS_PLUS] = ACTIONS(716),
    [anon_sym_BANG_EQ] = ACTIONS(676),
    [anon_sym_RPAREN] = ACTIONS(2943),
    [anon_sym_LT] = ACTIONS(676),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_PLUS] = ACTIONS(698),
    [anon_sym_EQ_EQ] = ACTIONS(676),
    [anon_sym_PERCENT] = ACTIONS(714),
    [anon_sym_QMARK] = ACTIONS(722),
    [anon_sym_LT_LT] = ACTIONS(714),
    [anon_sym_DASH_DASH] = ACTIONS(716),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(696),
  },
  [1167] = {
    [sym_template_string] = STATE(719),
    [sym_arguments] = STATE(719),
    [anon_sym_instanceof] = ACTIONS(696),
    [anon_sym_GT] = ACTIONS(676),
    [anon_sym_DASH] = ACTIONS(698),
    [anon_sym_CARET] = ACTIONS(700),
    [anon_sym_STAR_STAR] = ACTIONS(702),
    [anon_sym_STAR] = ACTIONS(704),
    [anon_sym_AMP_AMP] = ACTIONS(706),
    [anon_sym_GT_GT] = ACTIONS(704),
    [anon_sym_AMP] = ACTIONS(708),
    [anon_sym_in] = ACTIONS(676),
    [anon_sym_LPAREN] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(696),
    [anon_sym_GT_EQ] = ACTIONS(696),
    [anon_sym_SLASH] = ACTIONS(704),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(710),
    [anon_sym_PIPE] = ACTIONS(712),
    [anon_sym_LT_EQ] = ACTIONS(696),
    [anon_sym_PIPE_PIPE] = ACTIONS(700),
    [anon_sym_GT_GT_GT] = ACTIONS(714),
    [anon_sym_PLUS_PLUS] = ACTIONS(716),
    [anon_sym_BANG_EQ] = ACTIONS(676),
    [anon_sym_RPAREN] = ACTIONS(2945),
    [anon_sym_LT] = ACTIONS(676),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_PLUS] = ACTIONS(698),
    [anon_sym_EQ_EQ] = ACTIONS(676),
    [anon_sym_PERCENT] = ACTIONS(714),
    [anon_sym_QMARK] = ACTIONS(722),
    [anon_sym_LT_LT] = ACTIONS(714),
    [anon_sym_DASH_DASH] = ACTIONS(716),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(696),
  },
  [1168] = {
    [sym_nested_identifier] = STATE(1109),
    [sym_jsx_namespace_name] = STATE(1110),
    [sym_jsx_identifier] = ACTIONS(2947),
    [anon_sym_GT] = ACTIONS(2949),
    [sym_comment] = ACTIONS(3),
    [sym_identifier] = ACTIONS(2951),
  },
  [1169] = {
    [aux_sym_jsx_element_repeat1] = STATE(1171),
    [sym_jsx_opening_element] = STATE(967),
    [sym_jsx_expression] = STATE(1171),
    [sym_jsx_self_closing_element] = STATE(1171),
    [sym_jsx_element] = STATE(1171),
    [anon_sym_LBRACE] = ACTIONS(426),
    [sym_comment] = ACTIONS(237),
    [sym_jsx_text] = ACTIONS(2953),
    [anon_sym_LT] = ACTIONS(2955),
  },
  [1170] = {
    [sym_nested_identifier] = STATE(1101),
    [sym_jsx_namespace_name] = STATE(1102),
    [sym_jsx_identifier] = ACTIONS(1106),
    [sym_comment] = ACTIONS(3),
    [sym_identifier] = ACTIONS(1108),
    [anon_sym_SLASH] = ACTIONS(2957),
  },
  [1171] = {
    [aux_sym_jsx_element_repeat1] = STATE(404),
    [sym_jsx_opening_element] = STATE(967),
    [sym_jsx_expression] = STATE(404),
    [sym_jsx_self_closing_element] = STATE(404),
    [sym_jsx_element] = STATE(404),
    [anon_sym_LBRACE] = ACTIONS(426),
    [sym_comment] = ACTIONS(237),
    [sym_jsx_text] = ACTIONS(1116),
    [anon_sym_LT] = ACTIONS(2959),
  },
  [1172] = {
    [sym_nested_identifier] = STATE(1101),
    [sym_jsx_namespace_name] = STATE(1102),
    [sym_jsx_identifier] = ACTIONS(1106),
    [sym_comment] = ACTIONS(3),
    [sym_identifier] = ACTIONS(1108),
    [anon_sym_SLASH] = ACTIONS(2961),
  },
  [1173] = {
    [sym_formal_parameters] = STATE(156),
    [anon_sym_instanceof] = ACTIONS(133),
    [sym__automatic_semicolon] = ACTIONS(129),
    [anon_sym_AMP_EQ] = ACTIONS(131),
    [anon_sym_GT_GT_EQ] = ACTIONS(131),
    [anon_sym_STAR_EQ] = ACTIONS(131),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_STAR_STAR] = ACTIONS(133),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_AMP] = ACTIONS(133),
    [anon_sym_GT_EQ] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(311),
    [anon_sym_PIPE_EQ] = ACTIONS(131),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(131),
    [anon_sym_SLASH_EQ] = ACTIONS(131),
    [anon_sym_LT_EQ] = ACTIONS(129),
    [anon_sym_COMMA] = ACTIONS(129),
    [anon_sym_PLUS_PLUS] = ACTIONS(129),
    [anon_sym_SEMI] = ACTIONS(129),
    [anon_sym_LT] = ACTIONS(133),
    [anon_sym_LT_LT_EQ] = ACTIONS(131),
    [anon_sym_EQ_EQ] = ACTIONS(133),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_DASH_DASH] = ACTIONS(129),
    [anon_sym_GT] = ACTIONS(133),
    [anon_sym_EQ] = ACTIONS(135),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(2963),
    [anon_sym_CARET] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(129),
    [anon_sym_GT_GT] = ACTIONS(133),
    [anon_sym_in] = ACTIONS(133),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(129),
    [anon_sym_SLASH] = ACTIONS(133),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(129),
    [anon_sym_PERCENT_EQ] = ACTIONS(131),
    [anon_sym_PLUS_EQ] = ACTIONS(131),
    [anon_sym_PIPE] = ACTIONS(133),
    [anon_sym_PIPE_PIPE] = ACTIONS(129),
    [anon_sym_GT_GT_GT] = ACTIONS(133),
    [anon_sym_BANG_EQ] = ACTIONS(133),
    [sym_identifier] = ACTIONS(316),
    [anon_sym_DOT] = ACTIONS(137),
    [anon_sym_BQUOTE] = ACTIONS(129),
    [anon_sym_CARET_EQ] = ACTIONS(131),
    [anon_sym_DASH_EQ] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_LT_LT] = ACTIONS(133),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(129),
  },
  [1174] = {
    [sym_comment] = ACTIONS(3),
    [sym_identifier] = ACTIONS(2965),
    [anon_sym_STAR] = ACTIONS(2967),
  },
  [1175] = {
    [sym_arrow_function] = STATE(1141),
    [sym_call_expression] = STATE(1141),
    [sym_subscript_expression] = STATE(701),
    [sym_assignment_expression] = STATE(1141),
    [sym_ternary_expression] = STATE(1141),
    [sym_binary_expression] = STATE(1141),
    [sym_template_string] = STATE(1141),
    [sym__expression] = STATE(1141),
    [sym_yield_expression] = STATE(1141),
    [sym_jsx_element] = STATE(1141),
    [sym_jsx_fragment] = STATE(1141),
    [sym_function] = STATE(703),
    [sym_new_expression] = STATE(1141),
    [sym_augmented_assignment_expression] = STATE(1141),
    [sym_unary_expression] = STATE(1141),
    [sym_update_expression] = STATE(1141),
    [sym_regex] = STATE(1141),
    [sym_meta_property] = STATE(1141),
    [sym_object] = STATE(702),
    [aux_sym_export_statement_repeat1] = STATE(1016),
    [sym_class] = STATE(1141),
    [sym_generator_function] = STATE(1141),
    [sym_await_expression] = STATE(1141),
    [sym_member_expression] = STATE(701),
    [sym_string] = STATE(1141),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(874),
    [sym_parenthesized_expression] = STATE(1141),
    [sym_array] = STATE(704),
    [sym_jsx_opening_element] = STATE(875),
    [sym_jsx_self_closing_element] = STATE(1141),
    [anon_sym_await] = ACTIONS(217),
    [sym_null] = ACTIONS(2969),
    [anon_sym_class] = ACTIONS(183),
    [anon_sym_static] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(219),
    [anon_sym_DASH] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_delete] = ACTIONS(191),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [anon_sym_LPAREN] = ACTIONS(193),
    [anon_sym_BANG] = ACTIONS(195),
    [sym_this] = ACTIONS(2969),
    [sym_undefined] = ACTIONS(2969),
    [sym_true] = ACTIONS(2969),
    [anon_sym_SLASH] = ACTIONS(223),
    [anon_sym_LBRACK] = ACTIONS(225),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(243),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_TILDE] = ACTIONS(195),
    [sym_super] = ACTIONS(207),
    [sym_identifier] = ACTIONS(253),
    [sym_false] = ACTIONS(2969),
    [anon_sym_LT] = ACTIONS(209),
    [sym_number] = ACTIONS(2971),
    [anon_sym_yield] = ACTIONS(213),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_set] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(251),
    [anon_sym_new] = ACTIONS(231),
    [anon_sym_PLUS] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_void] = ACTIONS(191),
    [anon_sym_typeof] = ACTIONS(191),
  },
  [1176] = {
    [sym_identifier] = ACTIONS(2973),
    [sym_comment] = ACTIONS(3),
  },
  [1177] = {
    [sym_identifier] = ACTIONS(2975),
    [sym_comment] = ACTIONS(3),
  },
  [1178] = {
    [sym_arrow_function] = STATE(46),
    [sym_call_expression] = STATE(46),
    [sym_subscript_expression] = STATE(42),
    [sym_assignment_expression] = STATE(46),
    [sym_ternary_expression] = STATE(46),
    [sym_binary_expression] = STATE(46),
    [sym_template_string] = STATE(46),
    [sym__expression] = STATE(46),
    [sym_yield_expression] = STATE(46),
    [sym_jsx_element] = STATE(46),
    [sym_jsx_fragment] = STATE(46),
    [sym_function] = STATE(47),
    [sym_new_expression] = STATE(46),
    [sym_augmented_assignment_expression] = STATE(46),
    [sym_expression_statement] = STATE(1144),
    [sym_unary_expression] = STATE(46),
    [sym_update_expression] = STATE(46),
    [sym_regex] = STATE(46),
    [sym_meta_property] = STATE(46),
    [sym_empty_statement] = STATE(1144),
    [sym_object] = STATE(43),
    [aux_sym_export_statement_repeat1] = STATE(60),
    [sym_class] = STATE(46),
    [sym_generator_function] = STATE(46),
    [sym_await_expression] = STATE(46),
    [sym_member_expression] = STATE(42),
    [sym_sequence_expression] = STATE(45),
    [sym_string] = STATE(46),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(51),
    [sym_parenthesized_expression] = STATE(46),
    [sym_array] = STATE(52),
    [sym_jsx_opening_element] = STATE(53),
    [sym_jsx_self_closing_element] = STATE(46),
    [anon_sym_await] = ACTIONS(5),
    [sym_null] = ACTIONS(9),
    [anon_sym_class] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_function] = ACTIONS(95),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(97),
    [anon_sym_delete] = ACTIONS(39),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(9),
    [sym_undefined] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [anon_sym_SLASH] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(49),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(63),
    [sym_identifier] = ACTIONS(99),
    [sym_false] = ACTIONS(9),
    [anon_sym_LT] = ACTIONS(69),
    [sym_number] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_set] = ACTIONS(23),
    [anon_sym_async] = ACTIONS(103),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_void] = ACTIONS(39),
    [anon_sym_typeof] = ACTIONS(39),
  },
  [1179] = {
    [sym_arrow_function] = STATE(1145),
    [sym_call_expression] = STATE(1145),
    [sym_subscript_expression] = STATE(42),
    [sym_assignment_expression] = STATE(1145),
    [sym_ternary_expression] = STATE(1145),
    [sym_binary_expression] = STATE(1145),
    [sym_template_string] = STATE(1145),
    [sym__expression] = STATE(1145),
    [sym_yield_expression] = STATE(1145),
    [sym_jsx_element] = STATE(1145),
    [sym_jsx_fragment] = STATE(1145),
    [sym_function] = STATE(47),
    [sym_new_expression] = STATE(1145),
    [sym_augmented_assignment_expression] = STATE(1145),
    [sym_unary_expression] = STATE(1145),
    [sym_update_expression] = STATE(1145),
    [sym_regex] = STATE(1145),
    [sym_meta_property] = STATE(1145),
    [sym_object] = STATE(43),
    [aux_sym_export_statement_repeat1] = STATE(60),
    [sym_class] = STATE(1145),
    [sym_generator_function] = STATE(1145),
    [sym_await_expression] = STATE(1145),
    [sym_member_expression] = STATE(42),
    [sym_sequence_expression] = STATE(1146),
    [sym_string] = STATE(1145),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(51),
    [sym_parenthesized_expression] = STATE(1145),
    [sym_array] = STATE(52),
    [sym_jsx_opening_element] = STATE(53),
    [sym_jsx_self_closing_element] = STATE(1145),
    [anon_sym_await] = ACTIONS(5),
    [sym_null] = ACTIONS(2977),
    [anon_sym_class] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_function] = ACTIONS(95),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(97),
    [anon_sym_delete] = ACTIONS(39),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(2977),
    [sym_undefined] = ACTIONS(2977),
    [sym_true] = ACTIONS(2977),
    [anon_sym_SLASH] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(49),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(63),
    [sym_identifier] = ACTIONS(99),
    [sym_false] = ACTIONS(2977),
    [anon_sym_LT] = ACTIONS(69),
    [sym_number] = ACTIONS(2979),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_set] = ACTIONS(23),
    [anon_sym_async] = ACTIONS(103),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_void] = ACTIONS(39),
    [anon_sym_typeof] = ACTIONS(39),
  },
  [1180] = {
    [sym_arrow_function] = STATE(1147),
    [sym_call_expression] = STATE(1147),
    [sym_subscript_expression] = STATE(701),
    [sym_assignment_expression] = STATE(1147),
    [sym_ternary_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_template_string] = STATE(1147),
    [sym__expression] = STATE(1147),
    [sym_yield_expression] = STATE(1147),
    [sym_jsx_element] = STATE(1147),
    [sym_jsx_fragment] = STATE(1147),
    [sym_function] = STATE(703),
    [sym_new_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_unary_expression] = STATE(1147),
    [sym_update_expression] = STATE(1147),
    [sym_regex] = STATE(1147),
    [sym_meta_property] = STATE(1147),
    [sym_object] = STATE(702),
    [aux_sym_export_statement_repeat1] = STATE(1016),
    [sym_class] = STATE(1147),
    [sym_generator_function] = STATE(1147),
    [sym_await_expression] = STATE(1147),
    [sym_member_expression] = STATE(701),
    [sym_string] = STATE(1147),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(874),
    [sym_parenthesized_expression] = STATE(1147),
    [sym_array] = STATE(704),
    [sym_jsx_opening_element] = STATE(875),
    [sym_jsx_self_closing_element] = STATE(1147),
    [anon_sym_await] = ACTIONS(217),
    [sym_null] = ACTIONS(2981),
    [anon_sym_class] = ACTIONS(183),
    [anon_sym_static] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(219),
    [anon_sym_DASH] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_delete] = ACTIONS(191),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [anon_sym_LPAREN] = ACTIONS(193),
    [anon_sym_BANG] = ACTIONS(195),
    [sym_this] = ACTIONS(2981),
    [sym_undefined] = ACTIONS(2981),
    [sym_true] = ACTIONS(2981),
    [anon_sym_SLASH] = ACTIONS(223),
    [anon_sym_LBRACK] = ACTIONS(225),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(243),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_TILDE] = ACTIONS(195),
    [sym_super] = ACTIONS(207),
    [sym_identifier] = ACTIONS(253),
    [sym_false] = ACTIONS(2981),
    [anon_sym_LT] = ACTIONS(209),
    [sym_number] = ACTIONS(2983),
    [anon_sym_yield] = ACTIONS(213),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_set] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(251),
    [anon_sym_new] = ACTIONS(231),
    [anon_sym_PLUS] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_void] = ACTIONS(191),
    [anon_sym_typeof] = ACTIONS(191),
  },
  [1181] = {
    [sym_arrow_function] = STATE(1150),
    [sym_call_expression] = STATE(1150),
    [sym_subscript_expression] = STATE(701),
    [sym_assignment_expression] = STATE(1150),
    [sym_ternary_expression] = STATE(1150),
    [sym_binary_expression] = STATE(1150),
    [sym_template_string] = STATE(1150),
    [sym__expression] = STATE(1150),
    [sym_yield_expression] = STATE(1150),
    [sym_jsx_element] = STATE(1150),
    [sym_jsx_fragment] = STATE(1150),
    [sym_function] = STATE(703),
    [sym_new_expression] = STATE(1150),
    [sym_augmented_assignment_expression] = STATE(1150),
    [sym_unary_expression] = STATE(1150),
    [sym_update_expression] = STATE(1150),
    [sym_regex] = STATE(1150),
    [sym_meta_property] = STATE(1150),
    [sym_object] = STATE(702),
    [aux_sym_export_statement_repeat1] = STATE(1016),
    [sym_class] = STATE(1150),
    [sym_generator_function] = STATE(1150),
    [sym_await_expression] = STATE(1150),
    [sym_member_expression] = STATE(701),
    [sym_string] = STATE(1150),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(874),
    [sym_parenthesized_expression] = STATE(1150),
    [sym_array] = STATE(704),
    [sym_jsx_opening_element] = STATE(875),
    [sym_jsx_self_closing_element] = STATE(1150),
    [anon_sym_await] = ACTIONS(217),
    [sym_null] = ACTIONS(2985),
    [anon_sym_class] = ACTIONS(183),
    [anon_sym_static] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(219),
    [anon_sym_DASH] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_delete] = ACTIONS(191),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [anon_sym_LPAREN] = ACTIONS(193),
    [anon_sym_BANG] = ACTIONS(195),
    [sym_this] = ACTIONS(2985),
    [sym_undefined] = ACTIONS(2985),
    [sym_true] = ACTIONS(2985),
    [anon_sym_SLASH] = ACTIONS(223),
    [anon_sym_LBRACK] = ACTIONS(225),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(243),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_TILDE] = ACTIONS(195),
    [sym_super] = ACTIONS(207),
    [sym_identifier] = ACTIONS(253),
    [sym_false] = ACTIONS(2985),
    [anon_sym_LT] = ACTIONS(209),
    [sym_number] = ACTIONS(2987),
    [anon_sym_yield] = ACTIONS(213),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_set] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(251),
    [anon_sym_new] = ACTIONS(231),
    [anon_sym_PLUS] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_void] = ACTIONS(191),
    [anon_sym_typeof] = ACTIONS(191),
  },
  [1182] = {
    [sym_arrow_function] = STATE(1151),
    [sym_call_expression] = STATE(1151),
    [sym_subscript_expression] = STATE(42),
    [sym_assignment_expression] = STATE(1151),
    [sym_ternary_expression] = STATE(1151),
    [sym_binary_expression] = STATE(1151),
    [sym_template_string] = STATE(1151),
    [sym__expression] = STATE(1151),
    [sym_yield_expression] = STATE(1151),
    [sym_jsx_element] = STATE(1151),
    [sym_jsx_fragment] = STATE(1151),
    [sym_function] = STATE(47),
    [sym_new_expression] = STATE(1151),
    [sym_augmented_assignment_expression] = STATE(1151),
    [sym_unary_expression] = STATE(1151),
    [sym_update_expression] = STATE(1151),
    [sym_regex] = STATE(1151),
    [sym_meta_property] = STATE(1151),
    [sym_object] = STATE(43),
    [aux_sym_export_statement_repeat1] = STATE(60),
    [sym_class] = STATE(1151),
    [sym_generator_function] = STATE(1151),
    [sym_await_expression] = STATE(1151),
    [sym_member_expression] = STATE(42),
    [sym_sequence_expression] = STATE(1152),
    [sym_string] = STATE(1151),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(51),
    [sym_parenthesized_expression] = STATE(1151),
    [sym_array] = STATE(52),
    [sym_jsx_opening_element] = STATE(53),
    [sym_jsx_self_closing_element] = STATE(1151),
    [anon_sym_await] = ACTIONS(5),
    [sym_null] = ACTIONS(2989),
    [anon_sym_class] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_function] = ACTIONS(95),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(97),
    [anon_sym_delete] = ACTIONS(39),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(2989),
    [sym_undefined] = ACTIONS(2989),
    [sym_true] = ACTIONS(2989),
    [anon_sym_SLASH] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(49),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(63),
    [sym_identifier] = ACTIONS(99),
    [sym_false] = ACTIONS(2989),
    [anon_sym_LT] = ACTIONS(69),
    [sym_number] = ACTIONS(2991),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_set] = ACTIONS(23),
    [anon_sym_async] = ACTIONS(103),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_void] = ACTIONS(39),
    [anon_sym_typeof] = ACTIONS(39),
  },
  [1183] = {
    [sym_arrow_function] = STATE(1153),
    [sym_call_expression] = STATE(1153),
    [sym_subscript_expression] = STATE(701),
    [sym_assignment_expression] = STATE(1153),
    [sym_ternary_expression] = STATE(1153),
    [sym_binary_expression] = STATE(1153),
    [sym_template_string] = STATE(1153),
    [sym__expression] = STATE(1153),
    [sym_yield_expression] = STATE(1153),
    [sym_jsx_element] = STATE(1153),
    [sym_jsx_fragment] = STATE(1153),
    [sym_function] = STATE(703),
    [sym_new_expression] = STATE(1153),
    [sym_augmented_assignment_expression] = STATE(1153),
    [sym_unary_expression] = STATE(1153),
    [sym_update_expression] = STATE(1153),
    [sym_regex] = STATE(1153),
    [sym_meta_property] = STATE(1153),
    [sym_object] = STATE(702),
    [aux_sym_export_statement_repeat1] = STATE(1016),
    [sym_class] = STATE(1153),
    [sym_generator_function] = STATE(1153),
    [sym_await_expression] = STATE(1153),
    [sym_member_expression] = STATE(701),
    [sym_string] = STATE(1153),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(874),
    [sym_parenthesized_expression] = STATE(1153),
    [sym_array] = STATE(704),
    [sym_jsx_opening_element] = STATE(875),
    [sym_jsx_self_closing_element] = STATE(1153),
    [anon_sym_await] = ACTIONS(217),
    [sym_null] = ACTIONS(2993),
    [anon_sym_class] = ACTIONS(183),
    [anon_sym_static] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(219),
    [anon_sym_DASH] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_delete] = ACTIONS(191),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [anon_sym_LPAREN] = ACTIONS(193),
    [anon_sym_BANG] = ACTIONS(195),
    [sym_this] = ACTIONS(2993),
    [sym_undefined] = ACTIONS(2993),
    [sym_true] = ACTIONS(2993),
    [anon_sym_SLASH] = ACTIONS(223),
    [anon_sym_LBRACK] = ACTIONS(225),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(243),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_TILDE] = ACTIONS(195),
    [sym_super] = ACTIONS(207),
    [sym_identifier] = ACTIONS(253),
    [sym_false] = ACTIONS(2993),
    [anon_sym_LT] = ACTIONS(209),
    [sym_number] = ACTIONS(2995),
    [anon_sym_yield] = ACTIONS(213),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_set] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(251),
    [anon_sym_new] = ACTIONS(231),
    [anon_sym_PLUS] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_void] = ACTIONS(191),
    [anon_sym_typeof] = ACTIONS(191),
  },
  [1184] = {
    [sym_arrow_function] = STATE(1154),
    [sym_call_expression] = STATE(1154),
    [sym_subscript_expression] = STATE(42),
    [sym_assignment_expression] = STATE(1154),
    [sym_ternary_expression] = STATE(1154),
    [sym_binary_expression] = STATE(1154),
    [sym_template_string] = STATE(1154),
    [sym__expression] = STATE(1154),
    [sym_yield_expression] = STATE(1154),
    [sym_jsx_element] = STATE(1154),
    [sym_jsx_fragment] = STATE(1154),
    [sym_function] = STATE(47),
    [sym_new_expression] = STATE(1154),
    [sym_augmented_assignment_expression] = STATE(1154),
    [sym_unary_expression] = STATE(1154),
    [sym_update_expression] = STATE(1154),
    [sym_regex] = STATE(1154),
    [sym_meta_property] = STATE(1154),
    [sym_object] = STATE(43),
    [aux_sym_export_statement_repeat1] = STATE(60),
    [sym_class] = STATE(1154),
    [sym_generator_function] = STATE(1154),
    [sym_await_expression] = STATE(1154),
    [sym_member_expression] = STATE(42),
    [sym_sequence_expression] = STATE(1155),
    [sym_string] = STATE(1154),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(51),
    [sym_parenthesized_expression] = STATE(1154),
    [sym_array] = STATE(52),
    [sym_jsx_opening_element] = STATE(53),
    [sym_jsx_self_closing_element] = STATE(1154),
    [anon_sym_await] = ACTIONS(5),
    [sym_null] = ACTIONS(2997),
    [anon_sym_class] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_function] = ACTIONS(95),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(97),
    [anon_sym_delete] = ACTIONS(39),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(2997),
    [sym_undefined] = ACTIONS(2997),
    [sym_true] = ACTIONS(2997),
    [anon_sym_SLASH] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(49),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(63),
    [sym_identifier] = ACTIONS(99),
    [sym_false] = ACTIONS(2997),
    [anon_sym_LT] = ACTIONS(69),
    [sym_number] = ACTIONS(2999),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_set] = ACTIONS(23),
    [anon_sym_async] = ACTIONS(103),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_void] = ACTIONS(39),
    [anon_sym_typeof] = ACTIONS(39),
  },
  [1185] = {
    [sym_arrow_function] = STATE(1156),
    [sym_call_expression] = STATE(1156),
    [sym_subscript_expression] = STATE(701),
    [sym_assignment_expression] = STATE(1156),
    [sym_ternary_expression] = STATE(1156),
    [sym_binary_expression] = STATE(1156),
    [sym_template_string] = STATE(1156),
    [sym__expression] = STATE(1156),
    [sym_yield_expression] = STATE(1156),
    [sym_jsx_element] = STATE(1156),
    [sym_jsx_fragment] = STATE(1156),
    [sym_function] = STATE(703),
    [sym_new_expression] = STATE(1156),
    [sym_augmented_assignment_expression] = STATE(1156),
    [sym_unary_expression] = STATE(1156),
    [sym_update_expression] = STATE(1156),
    [sym_regex] = STATE(1156),
    [sym_meta_property] = STATE(1156),
    [sym_object] = STATE(702),
    [aux_sym_export_statement_repeat1] = STATE(1016),
    [sym_class] = STATE(1156),
    [sym_generator_function] = STATE(1156),
    [sym_await_expression] = STATE(1156),
    [sym_member_expression] = STATE(701),
    [sym_string] = STATE(1156),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(874),
    [sym_parenthesized_expression] = STATE(1156),
    [sym_array] = STATE(704),
    [sym_jsx_opening_element] = STATE(875),
    [sym_jsx_self_closing_element] = STATE(1156),
    [anon_sym_await] = ACTIONS(217),
    [sym_null] = ACTIONS(3001),
    [anon_sym_class] = ACTIONS(183),
    [anon_sym_static] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(219),
    [anon_sym_DASH] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_delete] = ACTIONS(191),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [anon_sym_LPAREN] = ACTIONS(193),
    [anon_sym_BANG] = ACTIONS(195),
    [sym_this] = ACTIONS(3001),
    [sym_undefined] = ACTIONS(3001),
    [sym_true] = ACTIONS(3001),
    [anon_sym_SLASH] = ACTIONS(223),
    [anon_sym_LBRACK] = ACTIONS(225),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(243),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_TILDE] = ACTIONS(195),
    [sym_super] = ACTIONS(207),
    [sym_identifier] = ACTIONS(253),
    [sym_false] = ACTIONS(3001),
    [anon_sym_LT] = ACTIONS(209),
    [sym_number] = ACTIONS(3003),
    [anon_sym_yield] = ACTIONS(213),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_set] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(251),
    [anon_sym_new] = ACTIONS(231),
    [anon_sym_PLUS] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_void] = ACTIONS(191),
    [anon_sym_typeof] = ACTIONS(191),
  },
  [1186] = {
    [sym_arrow_function] = STATE(1157),
    [sym_call_expression] = STATE(1157),
    [sym_subscript_expression] = STATE(701),
    [sym_assignment_expression] = STATE(1157),
    [sym_ternary_expression] = STATE(1157),
    [sym_binary_expression] = STATE(1157),
    [sym_template_string] = STATE(1157),
    [sym__expression] = STATE(1157),
    [sym_yield_expression] = STATE(1157),
    [sym_jsx_element] = STATE(1157),
    [sym_jsx_fragment] = STATE(1157),
    [sym_function] = STATE(703),
    [sym_new_expression] = STATE(1157),
    [sym_augmented_assignment_expression] = STATE(1157),
    [sym_unary_expression] = STATE(1157),
    [sym_update_expression] = STATE(1157),
    [sym_regex] = STATE(1157),
    [sym_meta_property] = STATE(1157),
    [sym_object] = STATE(702),
    [aux_sym_export_statement_repeat1] = STATE(1016),
    [sym_class] = STATE(1157),
    [sym_generator_function] = STATE(1157),
    [sym_await_expression] = STATE(1157),
    [sym_member_expression] = STATE(701),
    [sym_sequence_expression] = STATE(1158),
    [sym_string] = STATE(1157),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(874),
    [sym_parenthesized_expression] = STATE(1157),
    [sym_array] = STATE(704),
    [sym_jsx_opening_element] = STATE(875),
    [sym_jsx_self_closing_element] = STATE(1157),
    [anon_sym_await] = ACTIONS(217),
    [sym_null] = ACTIONS(3005),
    [anon_sym_class] = ACTIONS(183),
    [anon_sym_static] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(219),
    [anon_sym_DASH] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_delete] = ACTIONS(191),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [anon_sym_LPAREN] = ACTIONS(193),
    [anon_sym_BANG] = ACTIONS(195),
    [sym_this] = ACTIONS(3005),
    [sym_undefined] = ACTIONS(3005),
    [sym_true] = ACTIONS(3005),
    [anon_sym_SLASH] = ACTIONS(223),
    [anon_sym_LBRACK] = ACTIONS(225),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(243),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_TILDE] = ACTIONS(195),
    [sym_super] = ACTIONS(207),
    [sym_identifier] = ACTIONS(253),
    [sym_false] = ACTIONS(3005),
    [anon_sym_LT] = ACTIONS(209),
    [sym_number] = ACTIONS(3007),
    [anon_sym_yield] = ACTIONS(213),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_set] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(251),
    [anon_sym_new] = ACTIONS(231),
    [anon_sym_PLUS] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_void] = ACTIONS(191),
    [anon_sym_typeof] = ACTIONS(191),
  },
  [1187] = {
    [sym_arrow_function] = STATE(1159),
    [sym_call_expression] = STATE(1159),
    [sym_subscript_expression] = STATE(701),
    [sym_assignment_expression] = STATE(1159),
    [sym_ternary_expression] = STATE(1159),
    [sym_binary_expression] = STATE(1159),
    [sym_template_string] = STATE(1159),
    [sym__expression] = STATE(1159),
    [sym_yield_expression] = STATE(1159),
    [sym_jsx_element] = STATE(1159),
    [sym_jsx_fragment] = STATE(1159),
    [sym_function] = STATE(703),
    [sym_new_expression] = STATE(1159),
    [sym_augmented_assignment_expression] = STATE(1159),
    [sym_unary_expression] = STATE(1159),
    [sym_update_expression] = STATE(1159),
    [sym_regex] = STATE(1159),
    [sym_meta_property] = STATE(1159),
    [sym_object] = STATE(702),
    [aux_sym_export_statement_repeat1] = STATE(1016),
    [sym_class] = STATE(1159),
    [sym_generator_function] = STATE(1159),
    [sym_await_expression] = STATE(1159),
    [sym_member_expression] = STATE(701),
    [sym_string] = STATE(1159),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(874),
    [sym_parenthesized_expression] = STATE(1159),
    [sym_array] = STATE(704),
    [sym_jsx_opening_element] = STATE(875),
    [sym_jsx_self_closing_element] = STATE(1159),
    [anon_sym_await] = ACTIONS(217),
    [sym_null] = ACTIONS(3009),
    [anon_sym_class] = ACTIONS(183),
    [anon_sym_static] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(219),
    [anon_sym_DASH] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_delete] = ACTIONS(191),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [anon_sym_LPAREN] = ACTIONS(193),
    [anon_sym_BANG] = ACTIONS(195),
    [sym_this] = ACTIONS(3009),
    [sym_undefined] = ACTIONS(3009),
    [sym_true] = ACTIONS(3009),
    [anon_sym_SLASH] = ACTIONS(223),
    [anon_sym_LBRACK] = ACTIONS(225),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(243),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_TILDE] = ACTIONS(195),
    [sym_super] = ACTIONS(207),
    [sym_identifier] = ACTIONS(253),
    [sym_false] = ACTIONS(3009),
    [anon_sym_LT] = ACTIONS(209),
    [sym_number] = ACTIONS(3011),
    [anon_sym_yield] = ACTIONS(213),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_set] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(251),
    [anon_sym_new] = ACTIONS(231),
    [anon_sym_PLUS] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_void] = ACTIONS(191),
    [anon_sym_typeof] = ACTIONS(191),
  },
  [1188] = {
    [sym_arrow_function] = STATE(1160),
    [sym_call_expression] = STATE(1160),
    [sym_subscript_expression] = STATE(701),
    [sym_assignment_expression] = STATE(1160),
    [sym_ternary_expression] = STATE(1160),
    [sym_binary_expression] = STATE(1160),
    [sym_template_string] = STATE(1160),
    [sym__expression] = STATE(1160),
    [sym_yield_expression] = STATE(1160),
    [sym_jsx_element] = STATE(1160),
    [sym_jsx_fragment] = STATE(1160),
    [sym_function] = STATE(703),
    [sym_new_expression] = STATE(1160),
    [sym_augmented_assignment_expression] = STATE(1160),
    [sym_unary_expression] = STATE(1160),
    [sym_update_expression] = STATE(1160),
    [sym_regex] = STATE(1160),
    [sym_meta_property] = STATE(1160),
    [sym_object] = STATE(702),
    [aux_sym_export_statement_repeat1] = STATE(1016),
    [sym_class] = STATE(1160),
    [sym_generator_function] = STATE(1160),
    [sym_await_expression] = STATE(1160),
    [sym_member_expression] = STATE(701),
    [sym_sequence_expression] = STATE(1161),
    [sym_string] = STATE(1160),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(874),
    [sym_parenthesized_expression] = STATE(1160),
    [sym_array] = STATE(704),
    [sym_jsx_opening_element] = STATE(875),
    [sym_jsx_self_closing_element] = STATE(1160),
    [anon_sym_await] = ACTIONS(217),
    [sym_null] = ACTIONS(3013),
    [anon_sym_class] = ACTIONS(183),
    [anon_sym_static] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(219),
    [anon_sym_DASH] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_delete] = ACTIONS(191),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [anon_sym_LPAREN] = ACTIONS(193),
    [anon_sym_BANG] = ACTIONS(195),
    [sym_this] = ACTIONS(3013),
    [sym_undefined] = ACTIONS(3013),
    [sym_true] = ACTIONS(3013),
    [anon_sym_SLASH] = ACTIONS(223),
    [anon_sym_LBRACK] = ACTIONS(225),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(243),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_TILDE] = ACTIONS(195),
    [sym_super] = ACTIONS(207),
    [sym_identifier] = ACTIONS(253),
    [sym_false] = ACTIONS(3013),
    [anon_sym_LT] = ACTIONS(209),
    [sym_number] = ACTIONS(3015),
    [anon_sym_yield] = ACTIONS(213),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_set] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(251),
    [anon_sym_new] = ACTIONS(231),
    [anon_sym_PLUS] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_void] = ACTIONS(191),
    [anon_sym_typeof] = ACTIONS(191),
  },
  [1189] = {
    [sym_arrow_function] = STATE(1162),
    [sym_call_expression] = STATE(1162),
    [sym_subscript_expression] = STATE(701),
    [sym_assignment_expression] = STATE(1162),
    [sym_ternary_expression] = STATE(1162),
    [sym_binary_expression] = STATE(1162),
    [sym_template_string] = STATE(1162),
    [sym__expression] = STATE(1162),
    [sym_yield_expression] = STATE(1162),
    [sym_jsx_element] = STATE(1162),
    [sym_jsx_fragment] = STATE(1162),
    [sym_function] = STATE(703),
    [sym_new_expression] = STATE(1162),
    [sym_augmented_assignment_expression] = STATE(1162),
    [sym_unary_expression] = STATE(1162),
    [sym_update_expression] = STATE(1162),
    [sym_regex] = STATE(1162),
    [sym_meta_property] = STATE(1162),
    [sym_object] = STATE(702),
    [aux_sym_export_statement_repeat1] = STATE(1016),
    [sym_class] = STATE(1162),
    [sym_generator_function] = STATE(1162),
    [sym_await_expression] = STATE(1162),
    [sym_member_expression] = STATE(701),
    [sym_string] = STATE(1162),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(874),
    [sym_parenthesized_expression] = STATE(1162),
    [sym_array] = STATE(704),
    [sym_jsx_opening_element] = STATE(875),
    [sym_jsx_self_closing_element] = STATE(1162),
    [anon_sym_await] = ACTIONS(217),
    [sym_null] = ACTIONS(3017),
    [anon_sym_class] = ACTIONS(183),
    [anon_sym_static] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(219),
    [anon_sym_DASH] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_delete] = ACTIONS(191),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [anon_sym_LPAREN] = ACTIONS(193),
    [anon_sym_BANG] = ACTIONS(195),
    [sym_this] = ACTIONS(3017),
    [sym_undefined] = ACTIONS(3017),
    [sym_true] = ACTIONS(3017),
    [anon_sym_SLASH] = ACTIONS(223),
    [anon_sym_LBRACK] = ACTIONS(225),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(243),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_TILDE] = ACTIONS(195),
    [sym_super] = ACTIONS(207),
    [sym_identifier] = ACTIONS(253),
    [sym_false] = ACTIONS(3017),
    [anon_sym_LT] = ACTIONS(209),
    [sym_number] = ACTIONS(3019),
    [anon_sym_yield] = ACTIONS(213),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_set] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(251),
    [anon_sym_new] = ACTIONS(231),
    [anon_sym_PLUS] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_void] = ACTIONS(191),
    [anon_sym_typeof] = ACTIONS(191),
  },
  [1190] = {
    [sym_arrow_function] = STATE(1163),
    [sym_call_expression] = STATE(1163),
    [sym_subscript_expression] = STATE(701),
    [sym_assignment_expression] = STATE(1163),
    [sym_ternary_expression] = STATE(1163),
    [sym_binary_expression] = STATE(1163),
    [sym_template_string] = STATE(1163),
    [sym__expression] = STATE(1163),
    [sym_yield_expression] = STATE(1163),
    [sym_jsx_element] = STATE(1163),
    [sym_jsx_fragment] = STATE(1163),
    [sym_function] = STATE(703),
    [sym_new_expression] = STATE(1163),
    [sym_augmented_assignment_expression] = STATE(1163),
    [sym_unary_expression] = STATE(1163),
    [sym_update_expression] = STATE(1163),
    [sym_regex] = STATE(1163),
    [sym_meta_property] = STATE(1163),
    [sym_object] = STATE(702),
    [aux_sym_export_statement_repeat1] = STATE(1016),
    [sym_class] = STATE(1163),
    [sym_generator_function] = STATE(1163),
    [sym_await_expression] = STATE(1163),
    [sym_member_expression] = STATE(701),
    [sym_sequence_expression] = STATE(1164),
    [sym_string] = STATE(1163),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(874),
    [sym_parenthesized_expression] = STATE(1163),
    [sym_array] = STATE(704),
    [sym_jsx_opening_element] = STATE(875),
    [sym_jsx_self_closing_element] = STATE(1163),
    [anon_sym_await] = ACTIONS(217),
    [sym_null] = ACTIONS(3021),
    [anon_sym_class] = ACTIONS(183),
    [anon_sym_static] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(219),
    [anon_sym_DASH] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_delete] = ACTIONS(191),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [anon_sym_LPAREN] = ACTIONS(193),
    [anon_sym_BANG] = ACTIONS(195),
    [sym_this] = ACTIONS(3021),
    [sym_undefined] = ACTIONS(3021),
    [sym_true] = ACTIONS(3021),
    [anon_sym_SLASH] = ACTIONS(223),
    [anon_sym_LBRACK] = ACTIONS(225),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(243),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_TILDE] = ACTIONS(195),
    [sym_super] = ACTIONS(207),
    [sym_identifier] = ACTIONS(253),
    [sym_false] = ACTIONS(3021),
    [anon_sym_LT] = ACTIONS(209),
    [sym_number] = ACTIONS(3023),
    [anon_sym_yield] = ACTIONS(213),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_set] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(251),
    [anon_sym_new] = ACTIONS(231),
    [anon_sym_PLUS] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_void] = ACTIONS(191),
    [anon_sym_typeof] = ACTIONS(191),
  },
  [1191] = {
    [sym_arrow_function] = STATE(1165),
    [sym_call_expression] = STATE(1165),
    [sym_subscript_expression] = STATE(701),
    [sym_assignment_expression] = STATE(1165),
    [sym_ternary_expression] = STATE(1165),
    [sym_binary_expression] = STATE(1165),
    [sym_template_string] = STATE(1165),
    [sym__expression] = STATE(1165),
    [sym_yield_expression] = STATE(1165),
    [sym_jsx_element] = STATE(1165),
    [sym_jsx_fragment] = STATE(1165),
    [sym_function] = STATE(703),
    [sym_new_expression] = STATE(1165),
    [sym_augmented_assignment_expression] = STATE(1165),
    [sym_unary_expression] = STATE(1165),
    [sym_update_expression] = STATE(1165),
    [sym_regex] = STATE(1165),
    [sym_meta_property] = STATE(1165),
    [sym_object] = STATE(702),
    [aux_sym_export_statement_repeat1] = STATE(1016),
    [sym_class] = STATE(1165),
    [sym_generator_function] = STATE(1165),
    [sym_await_expression] = STATE(1165),
    [sym_member_expression] = STATE(701),
    [sym_string] = STATE(1165),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(874),
    [sym_parenthesized_expression] = STATE(1165),
    [sym_array] = STATE(704),
    [sym_jsx_opening_element] = STATE(875),
    [sym_jsx_self_closing_element] = STATE(1165),
    [anon_sym_await] = ACTIONS(217),
    [sym_null] = ACTIONS(3025),
    [anon_sym_class] = ACTIONS(183),
    [anon_sym_static] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(219),
    [anon_sym_DASH] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_delete] = ACTIONS(191),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [anon_sym_LPAREN] = ACTIONS(193),
    [anon_sym_BANG] = ACTIONS(195),
    [sym_this] = ACTIONS(3025),
    [sym_undefined] = ACTIONS(3025),
    [sym_true] = ACTIONS(3025),
    [anon_sym_SLASH] = ACTIONS(223),
    [anon_sym_LBRACK] = ACTIONS(225),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(243),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_TILDE] = ACTIONS(195),
    [sym_super] = ACTIONS(207),
    [sym_identifier] = ACTIONS(253),
    [sym_false] = ACTIONS(3025),
    [anon_sym_LT] = ACTIONS(209),
    [sym_number] = ACTIONS(3027),
    [anon_sym_yield] = ACTIONS(213),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_set] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(251),
    [anon_sym_new] = ACTIONS(231),
    [anon_sym_PLUS] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_void] = ACTIONS(191),
    [anon_sym_typeof] = ACTIONS(191),
  },
  [1192] = {
    [sym_arrow_function] = STATE(1166),
    [sym_call_expression] = STATE(1166),
    [sym_subscript_expression] = STATE(701),
    [sym_assignment_expression] = STATE(1166),
    [sym_ternary_expression] = STATE(1166),
    [sym_binary_expression] = STATE(1166),
    [sym_template_string] = STATE(1166),
    [sym__expression] = STATE(1166),
    [sym_yield_expression] = STATE(1166),
    [sym_jsx_element] = STATE(1166),
    [sym_jsx_fragment] = STATE(1166),
    [sym_function] = STATE(703),
    [sym_new_expression] = STATE(1166),
    [sym_augmented_assignment_expression] = STATE(1166),
    [sym_unary_expression] = STATE(1166),
    [sym_update_expression] = STATE(1166),
    [sym_regex] = STATE(1166),
    [sym_meta_property] = STATE(1166),
    [sym_object] = STATE(702),
    [aux_sym_export_statement_repeat1] = STATE(1016),
    [sym_class] = STATE(1166),
    [sym_generator_function] = STATE(1166),
    [sym_await_expression] = STATE(1166),
    [sym_member_expression] = STATE(701),
    [sym_string] = STATE(1166),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(874),
    [sym_parenthesized_expression] = STATE(1166),
    [sym_array] = STATE(704),
    [sym_jsx_opening_element] = STATE(875),
    [sym_jsx_self_closing_element] = STATE(1166),
    [anon_sym_await] = ACTIONS(217),
    [sym_null] = ACTIONS(3029),
    [anon_sym_class] = ACTIONS(183),
    [anon_sym_static] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(219),
    [anon_sym_DASH] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_delete] = ACTIONS(191),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [anon_sym_LPAREN] = ACTIONS(193),
    [anon_sym_BANG] = ACTIONS(195),
    [sym_this] = ACTIONS(3029),
    [sym_undefined] = ACTIONS(3029),
    [sym_true] = ACTIONS(3029),
    [anon_sym_SLASH] = ACTIONS(223),
    [anon_sym_LBRACK] = ACTIONS(225),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(243),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_TILDE] = ACTIONS(195),
    [sym_super] = ACTIONS(207),
    [sym_identifier] = ACTIONS(253),
    [sym_false] = ACTIONS(3029),
    [anon_sym_LT] = ACTIONS(209),
    [sym_number] = ACTIONS(3031),
    [anon_sym_yield] = ACTIONS(213),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_set] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(251),
    [anon_sym_new] = ACTIONS(231),
    [anon_sym_PLUS] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_void] = ACTIONS(191),
    [anon_sym_typeof] = ACTIONS(191),
  },
  [1193] = {
    [sym_arrow_function] = STATE(1167),
    [sym_call_expression] = STATE(1167),
    [sym_subscript_expression] = STATE(701),
    [sym_assignment_expression] = STATE(1167),
    [sym_ternary_expression] = STATE(1167),
    [sym_binary_expression] = STATE(1167),
    [sym_template_string] = STATE(1167),
    [sym__expression] = STATE(1167),
    [sym_yield_expression] = STATE(1167),
    [sym_jsx_element] = STATE(1167),
    [sym_jsx_fragment] = STATE(1167),
    [sym_function] = STATE(703),
    [sym_new_expression] = STATE(1167),
    [sym_augmented_assignment_expression] = STATE(1167),
    [sym_unary_expression] = STATE(1167),
    [sym_update_expression] = STATE(1167),
    [sym_regex] = STATE(1167),
    [sym_meta_property] = STATE(1167),
    [sym_object] = STATE(702),
    [aux_sym_export_statement_repeat1] = STATE(1016),
    [sym_class] = STATE(1167),
    [sym_generator_function] = STATE(1167),
    [sym_await_expression] = STATE(1167),
    [sym_member_expression] = STATE(701),
    [sym_string] = STATE(1167),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(874),
    [sym_parenthesized_expression] = STATE(1167),
    [sym_array] = STATE(704),
    [sym_jsx_opening_element] = STATE(875),
    [sym_jsx_self_closing_element] = STATE(1167),
    [anon_sym_await] = ACTIONS(217),
    [sym_null] = ACTIONS(3033),
    [anon_sym_class] = ACTIONS(183),
    [anon_sym_static] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(219),
    [anon_sym_DASH] = ACTIONS(187),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_delete] = ACTIONS(191),
    [anon_sym_SQUOTE] = ACTIONS(221),
    [anon_sym_LPAREN] = ACTIONS(193),
    [anon_sym_BANG] = ACTIONS(195),
    [sym_this] = ACTIONS(3033),
    [sym_undefined] = ACTIONS(3033),
    [sym_true] = ACTIONS(3033),
    [anon_sym_SLASH] = ACTIONS(223),
    [anon_sym_LBRACK] = ACTIONS(225),
    [sym_comment] = ACTIONS(3),
    [anon_sym_get] = ACTIONS(243),
    [anon_sym_PLUS_PLUS] = ACTIONS(201),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [anon_sym_TILDE] = ACTIONS(195),
    [sym_super] = ACTIONS(207),
    [sym_identifier] = ACTIONS(253),
    [sym_false] = ACTIONS(3033),
    [anon_sym_LT] = ACTIONS(209),
    [sym_number] = ACTIONS(3035),
    [anon_sym_yield] = ACTIONS(213),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_set] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(251),
    [anon_sym_new] = ACTIONS(231),
    [anon_sym_PLUS] = ACTIONS(187),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(201),
    [anon_sym_void] = ACTIONS(191),
    [anon_sym_typeof] = ACTIONS(191),
  },
  [1194] = {
    [anon_sym_function] = ACTIONS(3037),
    [sym_comment] = ACTIONS(3),
  },
  [1195] = {
    [sym_arrow_function] = STATE(46),
    [sym_call_expression] = STATE(46),
    [sym_subscript_expression] = STATE(42),
    [sym_assignment_expression] = STATE(46),
    [sym_ternary_expression] = STATE(46),
    [sym_binary_expression] = STATE(46),
    [sym_template_string] = STATE(46),
    [sym__expression] = STATE(46),
    [sym_yield_expression] = STATE(46),
    [sym_jsx_element] = STATE(46),
    [sym_jsx_fragment] = STATE(46),
    [sym_function] = STATE(47),
    [sym_new_expression] = STATE(46),
    [sym_augmented_assignment_expression] = STATE(46),
    [sym_expression_statement] = STATE(1178),
    [sym_unary_expression] = STATE(46),
    [sym_update_expression] = STATE(46),
    [sym_regex] = STATE(46),
    [sym_meta_property] = STATE(46),
    [sym_variable_declaration] = STATE(1178),
    [sym_empty_statement] = STATE(1178),
    [sym_object] = STATE(1197),
    [aux_sym_export_statement_repeat1] = STATE(60),
    [sym_class] = STATE(46),
    [sym_generator_function] = STATE(46),
    [sym_await_expression] = STATE(46),
    [sym_member_expression] = STATE(42),
    [sym_lexical_declaration] = STATE(1178),
    [sym_sequence_expression] = STATE(45),
    [sym_string] = STATE(46),
    [sym_decorator] = STATE(50),
    [sym_formal_parameters] = STATE(51),
    [sym_parenthesized_expression] = STATE(46),
    [sym_array] = STATE(1198),
    [sym_jsx_opening_element] = STATE(53),
    [sym_jsx_self_closing_element] = STATE(46),
    [anon_sym_class] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(97),
    [anon_sym_delete] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [sym_this] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [anon_sym_get] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(43),
    [sym_super] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(69),
    [sym_false] = ACTIONS(9),
    [sym_number] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_set] = ACTIONS(23),
    [anon_sym_async] = ACTIONS(103),
    [anon_sym_var] = ACTIONS(3039),
    [anon_sym_const] = ACTIONS(3041),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_typeof] = ACTIONS(39),
    [anon_sym_await] = ACTIONS(5),
    [sym_null] = ACTIONS(9),
    [anon_sym_function] = ACTIONS(95),
    [anon_sym_let] = ACTIONS(3041),
    [anon_sym_SQUOTE] = ACTIONS(47),
    [anon_sym_SLASH] = ACTIONS(45),
    [sym_undefined] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(49),
    [sym_identifier] = ACTIONS(3043),
    [anon_sym_BQUOTE] = ACTIONS(67),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(77),
    [anon_sym_PLUS] = ACTIONS(7),
    [anon_sym_void] = ACTIONS(39),
  },
  [1196] = {
    [anon_sym_instanceof] = ACTIONS(277),
    [sym__automatic_semicolon] = ACTIONS(277),
    [anon_sym_AMP_EQ] = ACTIONS(281),
    [anon_sym_GT_GT_EQ] = ACTIONS(281),
    [anon_sym_STAR_EQ] = ACTIONS(281),
    [anon_sym_DASH] = ACTIONS(283),
    [anon_sym_STAR_STAR] = ACTIONS(283),
    [anon_sym_STAR] = ACTIONS(283),
    [anon_sym_AMP] = ACTIONS(283),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_PIPE_EQ] = ACTIONS(281),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(281),
    [anon_sym_SLASH_EQ] = ACTIONS(281),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_COMMA] = ACTIONS(277),
    [anon_sym_PLUS_PLUS] = ACTIONS(277),
    [anon_sym_SEMI] = ACTIONS(277),
    [anon_sym_LT] = ACTIONS(283),
    [anon_sym_LT_LT_EQ] = ACTIONS(281),
    [anon_sym_EQ_EQ] = ACTIONS(283),
    [anon_sym_QMARK] = ACTIONS(277),
    [anon_sym_DASH_DASH] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(283),
    [anon_sym_EQ] = ACTIONS(285),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(281),
    [anon_sym_CARET] = ACTIONS(283),
    [anon_sym_AMP_AMP] = ACTIONS(277),
    [anon_sym_GT_GT] = ACTIONS(283),
    [anon_sym_in] = ACTIONS(3045),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(277),
    [anon_sym_of] = ACTIONS(3047),
    [anon_sym_SLASH] = ACTIONS(283),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(277),
    [anon_sym_PERCENT_EQ] = ACTIONS(281),
    [anon_sym_EQ_GT] = ACTIONS(289),
    [anon_sym_PLUS_EQ] = ACTIONS(281),
    [anon_sym_PIPE] = ACTIONS(283),
    [anon_sym_PIPE_PIPE] = ACTIONS(277),
    [anon_sym_GT_GT_GT] = ACTIONS(283),
    [anon_sym_BANG_EQ] = ACTIONS(283),
    [anon_sym_DOT] = ACTIONS(275),
    [anon_sym_BQUOTE] = ACTIONS(277),
    [anon_sym_CARET_EQ] = ACTIONS(281),
    [anon_sym_DASH_EQ] = ACTIONS(281),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_PERCENT] = ACTIONS(283),
    [anon_sym_LT_LT] = ACTIONS(283),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(277),
  },
  [1197] = {
    [anon_sym_instanceof] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(283),
    [sym__automatic_semicolon] = ACTIONS(277),
    [anon_sym_EQ] = ACTIONS(384),
    [anon_sym_DASH] = ACTIONS(283),
    [anon_sym_CARET] = ACTIONS(277),
    [anon_sym_STAR_STAR] = ACTIONS(277),
    [anon_sym_STAR] = ACTIONS(283),
    [anon_sym_AMP_AMP] = ACTIONS(277),
    [anon_sym_GT_GT] = ACTIONS(283),
    [anon_sym_AMP] = ACTIONS(283),
    [anon_sym_in] = ACTIONS(3049),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(277),
    [anon_sym_SLASH] = ACTIONS(283),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [anon_sym_of] = ACTIONS(3051),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(277),
    [anon_sym_PIPE] = ACTIONS(283),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_PIPE_PIPE] = ACTIONS(277),
    [anon_sym_COMMA] = ACTIONS(277),
    [anon_sym_GT_GT_GT] = ACTIONS(277),
    [anon_sym_SEMI] = ACTIONS(277),
    [anon_sym_PLUS_PLUS] = ACTIONS(277),
    [anon_sym_BANG_EQ] = ACTIONS(283),
    [anon_sym_LT] = ACTIONS(283),
    [anon_sym_DOT] = ACTIONS(277),
    [anon_sym_BQUOTE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_EQ_EQ] = ACTIONS(283),
    [anon_sym_PERCENT] = ACTIONS(277),
    [anon_sym_QMARK] = ACTIONS(277),
    [anon_sym_LT_LT] = ACTIONS(277),
    [anon_sym_DASH_DASH] = ACTIONS(277),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(277),
  },
  [1198] = {
    [anon_sym_instanceof] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(283),
    [sym__automatic_semicolon] = ACTIONS(277),
    [anon_sym_EQ] = ACTIONS(424),
    [anon_sym_DASH] = ACTIONS(283),
    [anon_sym_CARET] = ACTIONS(277),
    [anon_sym_STAR_STAR] = ACTIONS(277),
    [anon_sym_STAR] = ACTIONS(283),
    [anon_sym_AMP_AMP] = ACTIONS(277),
    [anon_sym_GT_GT] = ACTIONS(283),
    [anon_sym_AMP] = ACTIONS(283),
    [anon_sym_in] = ACTIONS(3053),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(277),
    [anon_sym_SLASH] = ACTIONS(283),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [anon_sym_of] = ACTIONS(3055),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(277),
    [anon_sym_PIPE] = ACTIONS(283),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_PIPE_PIPE] = ACTIONS(277),
    [anon_sym_COMMA] = ACTIONS(277),
    [anon_sym_GT_GT_GT] = ACTIONS(277),
    [anon_sym_SEMI] = ACTIONS(277),
    [anon_sym_PLUS_PLUS] = ACTIONS(277),
    [anon_sym_BANG_EQ] = ACTIONS(283),
    [anon_sym_LT] = ACTIONS(283),
    [anon_sym_DOT] = ACTIONS(277),
    [anon_sym_BQUOTE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_EQ_EQ] = ACTIONS(283),
    [anon_sym_PERCENT] = ACTIONS(277),
    [anon_sym_QMARK] = ACTIONS(277),
    [anon_sym_LT_LT] = ACTIONS(277),
    [anon_sym_DASH_DASH] = ACTIONS(277),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(277),
  },
  [1199] = {
    [sym__initializer] = STATE(255),
    [sym__automatic_semicolon] = ACTIONS(534),
    [anon_sym_in] = ACTIONS(3057),
    [anon_sym_of] = ACTIONS(3059),
    [anon_sym_COMMA] = ACTIONS(534),
    [anon_sym_EQ] = ACTIONS(536),
    [anon_sym_SEMI] = ACTIONS(534),
    [sym_comment] = ACTIONS(3),
  },
  [1200] = {
    [sym__initializer] = STATE(259),
    [sym__automatic_semicolon] = ACTIONS(542),
    [anon_sym_in] = ACTIONS(3061),
    [anon_sym_of] = ACTIONS(3063),
    [anon_sym_COMMA] = ACTIONS(542),
    [anon_sym_EQ] = ACTIONS(536),
    [anon_sym_SEMI] = ACTIONS(542),
    [sym_comment] = ACTIONS(3),
  },
  [1201] = {
    [sym__initializer] = STATE(260),
    [sym__automatic_semicolon] = ACTIONS(544),
    [anon_sym_in] = ACTIONS(3065),
    [anon_sym_of] = ACTIONS(3067),
    [anon_sym_COMMA] = ACTIONS(544),
    [anon_sym_EQ] = ACTIONS(536),
    [anon_sym_SEMI] = ACTIONS(544),
    [sym_comment] = ACTIONS(3),
  },
  [1202] = {
    [anon_sym_of] = ACTIONS(3059),
    [sym_comment] = ACTIONS(3),
  },
  [1203] = {
    [anon_sym_of] = ACTIONS(3063),
    [sym_comment] = ACTIONS(3),
  },
  [1204] = {
    [anon_sym_of] = ACTIONS(3067),
    [sym_comment] = ACTIONS(3),
  },
  [1205] = {
    [anon_sym_of] = ACTIONS(3069),
    [sym_comment] = ACTIONS(3),
  },
  [1206] = {
    [anon_sym_of] = ACTIONS(3071),
    [sym_comment] = ACTIONS(3),
  },
  [1207] = {
    [anon_sym_of] = ACTIONS(3073),
    [sym_comment] = ACTIONS(3),
  },
  [1208] = {
    [anon_sym_await] = ACTIONS(3075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(3077),
  },
  [1209] = {
    [sym_variable_declarator] = STATE(82),
    [sym_array] = STATE(1200),
    [sym_object] = STATE(1201),
    [anon_sym_LBRACE] = ACTIONS(1546),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(1548),
    [sym_identifier] = ACTIONS(3079),
  },
  [1210] = {
    [sym_variable_declarator] = STATE(167),
    [sym_array] = STATE(1200),
    [sym_object] = STATE(1201),
    [anon_sym_LBRACE] = ACTIONS(1546),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(1548),
    [sym_identifier] = ACTIONS(3079),
  },
  [1211] = {
    [sym_array] = STATE(1203),
    [sym_object] = STATE(1204),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_var] = ACTIONS(3081),
    [anon_sym_const] = ACTIONS(3081),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(225),
    [anon_sym_let] = ACTIONS(3081),
    [sym_identifier] = ACTIONS(3083),
  },
  [1212] = {
    [sym_array] = STATE(1206),
    [sym_object] = STATE(1207),
    [anon_sym_LBRACE] = ACTIONS(189),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(225),
    [sym_identifier] = ACTIONS(3085),
  },
  [1213] = {
    [anon_sym_LPAREN] = ACTIONS(3087),
    [sym_comment] = ACTIONS(3),
  },
};

static TSParseActionEntry ts_parse_actions[] = {
  [0] = {.count = 0, .reusable = false},
  [1] = {.count = 1, .reusable = false}, RECOVER(),
  [3] = {.count = 1, .reusable = true}, SHIFT_EXTRA(),
  [5] = {.count = 1, .reusable = false}, SHIFT(2),
  [7] = {.count = 1, .reusable = false}, SHIFT(13),
  [9] = {.count = 1, .reusable = false}, SHIFT(46),
  [11] = {.count = 1, .reusable = false}, SHIFT(4),
  [13] = {.count = 1, .reusable = false}, SHIFT(37),
  [15] = {.count = 1, .reusable = false}, SHIFT(38),
  [17] = {.count = 1, .reusable = false}, SHIFT(39),
  [19] = {.count = 1, .reusable = false}, SHIFT(40),
  [21] = {.count = 1, .reusable = false}, SHIFT(41),
  [23] = {.count = 1, .reusable = false}, SHIFT(8),
  [25] = {.count = 1, .reusable = false}, SHIFT(9),
  [27] = {.count = 1, .reusable = false}, SHIFT(10),
  [29] = {.count = 1, .reusable = false}, SHIFT(11),
  [31] = {.count = 1, .reusable = false}, SHIFT(12),
  [33] = {.count = 1, .reusable = true}, SHIFT(14),
  [35] = {.count = 1, .reusable = false}, SHIFT(15),
  [37] = {.count = 1, .reusable = false}, SHIFT(16),
  [39] = {.count = 1, .reusable = false}, SHIFT(3),
  [41] = {.count = 1, .reusable = true}, SHIFT(17),
  [43] = {.count = 1, .reusable = true}, SHIFT(18),
  [45] = {.count = 1, .reusable = false}, SHIFT(21),
  [47] = {.count = 1, .reusable = true}, SHIFT(19),
  [49] = {.count = 1, .reusable = true}, SHIFT(20),
  [51] = {.count = 1, .reusable = true}, SHIFT(22),
  [53] = {.count = 1, .reusable = false}, SHIFT(23),
  [55] = {.count = 1, .reusable = true}, SHIFT(24),
  [57] = {.count = 1, .reusable = false}, SHIFT(25),
  [59] = {.count = 1, .reusable = true}, SHIFT(5),
  [61] = {.count = 1, .reusable = false}, SHIFT(26),
  [63] = {.count = 1, .reusable = false}, SHIFT(27),
  [65] = {.count = 1, .reusable = false}, SHIFT(28),
  [67] = {.count = 1, .reusable = true}, SHIFT(6),
  [69] = {.count = 1, .reusable = true}, SHIFT(29),
  [71] = {.count = 1, .reusable = true}, SHIFT(46),
  [73] = {.count = 1, .reusable = false}, SHIFT(30),
  [75] = {.count = 1, .reusable = true}, REDUCE(sym_program, 0),
  [77] = {.count = 1, .reusable = true}, SHIFT(7),
  [79] = {.count = 1, .reusable = true}, SHIFT(31),
  [81] = {.count = 1, .reusable = false}, SHIFT(32),
  [83] = {.count = 1, .reusable = false}, SHIFT(33),
  [85] = {.count = 1, .reusable = false}, SHIFT(34),
  [87] = {.count = 1, .reusable = false}, SHIFT(35),
  [89] = {.count = 1, .reusable = false}, SHIFT(36),
  [91] = {.count = 1, .reusable = false}, SHIFT(59),
  [93] = {.count = 1, .reusable = false}, SHIFT(54),
  [95] = {.count = 1, .reusable = false}, SHIFT(55),
  [97] = {.count = 1, .reusable = true}, SHIFT(56),
  [99] = {.count = 1, .reusable = false}, SHIFT(57),
  [101] = {.count = 1, .reusable = true}, SHIFT(59),
  [103] = {.count = 1, .reusable = false}, SHIFT(58),
  [105] = {.count = 1, .reusable = false}, SHIFT(61),
  [107] = {.count = 1, .reusable = true}, SHIFT(61),
  [109] = {.count = 1, .reusable = true}, SHIFT(62),
  [111] = {.count = 1, .reusable = false}, SHIFT(63),
  [113] = {.count = 1, .reusable = false}, SHIFT(64),
  [115] = {.count = 1, .reusable = false}, SHIFT(67),
  [117] = {.count = 1, .reusable = true}, SHIFT(67),
  [119] = {.count = 1, .reusable = true}, SHIFT(68),
  [121] = {.count = 1, .reusable = true}, SHIFT(70),
  [123] = {.count = 1, .reusable = true}, SHIFT(69),
  [125] = {.count = 1, .reusable = false}, SHIFT(71),
  [127] = {.count = 1, .reusable = false}, SHIFT(72),
  [129] = {.count = 1, .reusable = true}, REDUCE(sym__expression, 1, .production_id = 1),
  [131] = {.count = 1, .reusable = true}, SHIFT(74),
  [133] = {.count = 1, .reusable = false}, REDUCE(sym__expression, 1, .production_id = 1),
  [135] = {.count = 1, .reusable = false}, SHIFT(75),
  [137] = {.count = 1, .reusable = true}, SHIFT(76),
  [139] = {.count = 1, .reusable = true}, SHIFT(77),
  [141] = {.count = 1, .reusable = true}, SHIFT(78),
  [143] = {.count = 1, .reusable = true}, SHIFT(79),
  [145] = {.count = 1, .reusable = true}, SHIFT(81),
  [147] = {.count = 1, .reusable = true}, SHIFT(85),
  [149] = {.count = 1, .reusable = true}, SHIFT(86),
  [151] = {.count = 1, .reusable = true}, SHIFT(87),
  [153] = {.count = 1, .reusable = true}, SHIFT(91),
  [155] = {.count = 1, .reusable = false}, SHIFT(93),
  [157] = {.count = 1, .reusable = true}, SHIFT(93),
  [159] = {.count = 1, .reusable = false}, SHIFT(94),
  [161] = {.count = 1, .reusable = true}, SHIFT(95),
  [163] = {.count = 1, .reusable = false}, SHIFT(96),
  [165] = {.count = 1, .reusable = true}, SHIFT(97),
  [167] = {.count = 1, .reusable = true}, SHIFT(98),
  [169] = {.count = 1, .reusable = true}, SHIFT(99),
  [171] = {.count = 1, .reusable = false}, SHIFT(100),
  [173] = {.count = 1, .reusable = true}, SHIFT(101),
  [175] = {.count = 1, .reusable = true}, SHIFT(102),
  [177] = {.count = 1, .reusable = false}, SHIFT(103),
  [179] = {.count = 1, .reusable = false}, SHIFT(112),
  [181] = {.count = 1, .reusable = true}, SHIFT(112),
  [183] = {.count = 1, .reusable = false}, SHIFT(876),
  [185] = {.count = 1, .reusable = false}, SHIFT(114),
  [187] = {.count = 1, .reusable = false}, SHIFT(698),
  [189] = {.count = 1, .reusable = true}, SHIFT(877),
  [191] = {.count = 1, .reusable = false}, SHIFT(866),
  [193] = {.count = 1, .reusable = true}, SHIFT(1010),
  [195] = {.count = 1, .reusable = true}, SHIFT(699),
  [197] = {.count = 1, .reusable = false}, SHIFT(120),
  [199] = {.count = 1, .reusable = true}, SHIFT(115),
  [201] = {.count = 1, .reusable = true}, SHIFT(696),
  [203] = {.count = 1, .reusable = true}, SHIFT(872),
  [205] = {.count = 1, .reusable = true}, SHIFT(116),
  [207] = {.count = 1, .reusable = false}, SHIFT(871),
  [209] = {.count = 1, .reusable = true}, SHIFT(1124),
  [211] = {.count = 1, .reusable = true}, SHIFT(120),
  [213] = {.count = 1, .reusable = false}, SHIFT(700),
  [215] = {.count = 1, .reusable = false}, SHIFT(118),
  [217] = {.count = 1, .reusable = false}, SHIFT(865),
  [219] = {.count = 1, .reusable = false}, SHIFT(1014),
  [221] = {.count = 1, .reusable = true}, SHIFT(869),
  [223] = {.count = 1, .reusable = false}, SHIFT(1011),
  [225] = {.count = 1, .reusable = true}, SHIFT(870),
  [227] = {.count = 1, .reusable = false}, SHIFT(117),
  [229] = {.count = 1, .reusable = true}, SHIFT(867),
  [231] = {.count = 1, .reusable = false}, SHIFT(873),
  [233] = {.count = 1, .reusable = false}, SHIFT(124),
  [235] = {.count = 1, .reusable = true}, SHIFT(124),
  [237] = {.count = 1, .reusable = false}, SHIFT_EXTRA(),
  [239] = {.count = 1, .reusable = false}, SHIFT(125),
  [241] = {.count = 1, .reusable = true}, SHIFT(126),
  [243] = {.count = 1, .reusable = false}, SHIFT(697),
  [245] = {.count = 1, .reusable = false}, SHIFT(129),
  [247] = {.count = 1, .reusable = true}, SHIFT(127),
  [249] = {.count = 1, .reusable = true}, SHIFT(129),
  [251] = {.count = 1, .reusable = false}, SHIFT(706),
  [253] = {.count = 1, .reusable = false}, SHIFT(705),
  [255] = {.count = 1, .reusable = true}, SHIFT(128),
  [257] = {.count = 1, .reusable = false}, SHIFT(132),
  [259] = {.count = 1, .reusable = true}, REDUCE(sym_program, 1),
  [261] = {.count = 1, .reusable = true}, SHIFT(134),
  [263] = {.count = 1, .reusable = true}, SHIFT(135),
  [265] = {.count = 1, .reusable = false}, REDUCE(sym_empty_statement, 1),
  [267] = {.count = 1, .reusable = true}, REDUCE(sym_empty_statement, 1),
  [269] = {.count = 1, .reusable = true}, SHIFT(136),
  [271] = {.count = 1, .reusable = true}, SHIFT(139),
  [273] = {.count = 1, .reusable = true}, SHIFT(138),
  [275] = {.count = 1, .reusable = true}, SHIFT(140),
  [277] = {.count = 1, .reusable = true}, REDUCE(sym__expression, 1),
  [279] = {.count = 1, .reusable = true}, SHIFT(143),
  [281] = {.count = 1, .reusable = true}, SHIFT(142),
  [283] = {.count = 1, .reusable = false}, REDUCE(sym__expression, 1),
  [285] = {.count = 1, .reusable = false}, SHIFT(144),
  [287] = {.count = 1, .reusable = false}, SHIFT(145),
  [289] = {.count = 1, .reusable = true}, SHIFT(146),
  [291] = {.count = 1, .reusable = true}, SHIFT(148),
  [293] = {.count = 1, .reusable = true}, SHIFT(149),
  [295] = {.count = 1, .reusable = false}, SHIFT(147),
  [297] = {.count = 1, .reusable = false}, REDUCE(sym_yield_expression, 1),
  [299] = {.count = 1, .reusable = true}, REDUCE(sym_yield_expression, 1),
  [301] = {.count = 1, .reusable = false}, SHIFT(18),
  [303] = {.count = 1, .reusable = false}, SHIFT(152),
  [305] = {.count = 1, .reusable = false}, SHIFT(29),
  [307] = {.count = 1, .reusable = true}, SHIFT(152),
  [309] = {.count = 1, .reusable = true}, SHIFT(153),
  [311] = {.count = 2, .reusable = true}, REDUCE(sym__expression, 1, .production_id = 1), SHIFT(77),
  [314] = {.count = 1, .reusable = false}, SHIFT(154),
  [316] = {.count = 1, .reusable = false}, SHIFT(155),
  [318] = {.count = 1, .reusable = false}, SHIFT(157),
  [320] = {.count = 1, .reusable = false}, SHIFT(158),
  [322] = {.count = 1, .reusable = false}, SHIFT(965),
  [324] = {.count = 1, .reusable = false}, SHIFT(159),
  [326] = {.count = 1, .reusable = true}, SHIFT(157),
  [328] = {.count = 1, .reusable = false}, SHIFT(160),
  [330] = {.count = 1, .reusable = false}, SHIFT(161),
  [332] = {.count = 1, .reusable = true}, SHIFT(168),
  [334] = {.count = 1, .reusable = true}, SHIFT(170),
  [336] = {.count = 1, .reusable = true}, SHIFT(171),
  [338] = {.count = 1, .reusable = true}, SHIFT(173),
  [340] = {.count = 1, .reusable = true}, SHIFT(10),
  [342] = {.count = 1, .reusable = true}, SHIFT(174),
  [344] = {.count = 1, .reusable = true}, SHIFT(169),
  [346] = {.count = 1, .reusable = true}, SHIFT(172),
  [348] = {.count = 1, .reusable = true}, SHIFT(34),
  [350] = {.count = 1, .reusable = true}, SHIFT(178),
  [352] = {.count = 1, .reusable = true}, SHIFT(179),
  [354] = {.count = 1, .reusable = true}, SHIFT(180),
  [356] = {.count = 1, .reusable = true}, SHIFT(182),
  [358] = {.count = 1, .reusable = false}, SHIFT(183),
  [360] = {.count = 1, .reusable = true}, SHIFT(183),
  [362] = {.count = 1, .reusable = true}, SHIFT(186),
  [364] = {.count = 1, .reusable = true}, SHIFT(185),
  [366] = {.count = 1, .reusable = false}, SHIFT(1008),
  [368] = {.count = 1, .reusable = false}, SHIFT(1173),
  [370] = {.count = 1, .reusable = false}, SHIFT(1208),
  [372] = {.count = 1, .reusable = false}, SHIFT(1117),
  [374] = {.count = 1, .reusable = false}, SHIFT(1118),
  [376] = {.count = 1, .reusable = false}, SHIFT(1120),
  [378] = {.count = 1, .reusable = false}, SHIFT(1122),
  [380] = {.count = 1, .reusable = false}, SHIFT(1123),
  [382] = {.count = 1, .reusable = false}, SHIFT(1126),
  [384] = {.count = 1, .reusable = false}, SHIFT(188),
  [386] = {.count = 1, .reusable = true}, SHIFT(189),
  [388] = {.count = 1, .reusable = true}, SHIFT(190),
  [390] = {.count = 1, .reusable = true}, SHIFT(192),
  [392] = {.count = 1, .reusable = true}, SHIFT(145),
  [394] = {.count = 1, .reusable = false}, SHIFT(193),
  [396] = {.count = 1, .reusable = true}, SHIFT(194),
  [398] = {.count = 1, .reusable = true}, SHIFT(195),
  [400] = {.count = 1, .reusable = false}, SHIFT(197),
  [402] = {.count = 1, .reusable = true}, SHIFT(196),
  [404] = {.count = 1, .reusable = false}, SHIFT(196),
  [406] = {.count = 1, .reusable = false}, SHIFT(194),
  [408] = {.count = 1, .reusable = true}, SHIFT(197),
  [410] = {.count = 1, .reusable = true}, SHIFT(198),
  [412] = {.count = 1, .reusable = true}, SHIFT(199),
  [414] = {.count = 1, .reusable = true}, SHIFT(200),
  [416] = {.count = 1, .reusable = true},  ACCEPT_INPUT(),
  [418] = {.count = 1, .reusable = false}, REDUCE(aux_sym_export_statement_repeat1, 1, .production_id = 2),
  [420] = {.count = 1, .reusable = true}, REDUCE(aux_sym_export_statement_repeat1, 1, .production_id = 2),
  [422] = {.count = 1, .reusable = true}, SHIFT(202),
  [424] = {.count = 1, .reusable = false}, SHIFT(203),
  [426] = {.count = 1, .reusable = false}, SHIFT(204),
  [428] = {.count = 1, .reusable = false}, SHIFT(207),
  [430] = {.count = 1, .reusable = false}, SHIFT(205),
  [432] = {.count = 1, .reusable = false}, SHIFT(208),
  [434] = {.count = 1, .reusable = true}, SHIFT(209),
  [436] = {.count = 1, .reusable = true}, SHIFT(210),
  [438] = {.count = 1, .reusable = false}, SHIFT(211),
  [440] = {.count = 1, .reusable = false}, SHIFT(212),
  [442] = {.count = 1, .reusable = true}, SHIFT(107),
  [444] = {.count = 1, .reusable = false}, SHIFT(213),
  [446] = {.count = 1, .reusable = false}, SHIFT(214),
  [448] = {.count = 1, .reusable = true}, SHIFT(887),
  [450] = {.count = 1, .reusable = true}, SHIFT(215),
  [452] = {.count = 1, .reusable = false}, SHIFT(219),
  [454] = {.count = 1, .reusable = true}, REDUCE(sym_await_expression, 2),
  [456] = {.count = 1, .reusable = true}, SHIFT(220),
  [458] = {.count = 1, .reusable = true}, REDUCE(sym_unary_expression, 2, .production_id = 3),
  [460] = {.count = 1, .reusable = false}, REDUCE(sym_unary_expression, 2, .production_id = 3),
  [462] = {.count = 1, .reusable = false}, SHIFT(223),
  [464] = {.count = 1, .reusable = false}, SHIFT(226),
  [466] = {.count = 1, .reusable = true}, SHIFT(229),
  [468] = {.count = 1, .reusable = false}, SHIFT(221),
  [470] = {.count = 1, .reusable = false}, SHIFT(222),
  [472] = {.count = 1, .reusable = true}, SHIFT(224),
  [474] = {.count = 1, .reusable = true}, SHIFT(225),
  [476] = {.count = 1, .reusable = true}, SHIFT(64),
  [478] = {.count = 1, .reusable = false}, SHIFT(233),
  [480] = {.count = 1, .reusable = true}, SHIFT(233),
  [482] = {.count = 1, .reusable = true}, REDUCE(sym_class, 2, .production_id = 4),
  [484] = {.count = 1, .reusable = false}, REDUCE(sym_class, 2, .production_id = 4),
  [486] = {.count = 1, .reusable = true}, REDUCE(sym_update_expression, 2, .production_id = 3),
  [488] = {.count = 1, .reusable = false}, REDUCE(sym_update_expression, 2, .production_id = 3),
  [490] = {.count = 1, .reusable = false}, SHIFT(235),
  [492] = {.count = 1, .reusable = true}, SHIFT(235),
  [494] = {.count = 1, .reusable = true}, REDUCE(sym_template_string, 2),
  [496] = {.count = 1, .reusable = false}, REDUCE(sym_template_string, 2),
  [498] = {.count = 1, .reusable = true}, SHIFT(238),
  [500] = {.count = 1, .reusable = true}, SHIFT(237),
  [502] = {.count = 1, .reusable = false}, REDUCE(sym_decorator, 2, .production_id = 5),
  [504] = {.count = 1, .reusable = true}, REDUCE(sym_decorator, 2, .production_id = 5),
  [506] = {.count = 1, .reusable = false}, SHIFT(239),
  [508] = {.count = 1, .reusable = true}, SHIFT(899),
  [510] = {.count = 1, .reusable = false}, REDUCE(sym_decorator, 2),
  [512] = {.count = 1, .reusable = true}, REDUCE(sym_decorator, 2),
  [514] = {.count = 1, .reusable = false}, SHIFT(241),
  [516] = {.count = 1, .reusable = false}, SHIFT(243),
  [518] = {.count = 1, .reusable = true}, SHIFT(243),
  [520] = {.count = 1, .reusable = false}, SHIFT(244),
  [522] = {.count = 1, .reusable = true}, SHIFT(244),
  [524] = {.count = 1, .reusable = true}, SHIFT(245),
  [526] = {.count = 1, .reusable = false}, SHIFT(246),
  [528] = {.count = 1, .reusable = false}, SHIFT(247),
  [530] = {.count = 1, .reusable = true}, SHIFT(251),
  [532] = {.count = 1, .reusable = true}, SHIFT(908),
  [534] = {.count = 1, .reusable = true}, REDUCE(sym_variable_declarator, 1, .production_id = 6),
  [536] = {.count = 1, .reusable = true}, SHIFT(254),
  [538] = {.count = 1, .reusable = true}, SHIFT(256),
  [540] = {.count = 1, .reusable = true}, SHIFT(257),
  [542] = {.count = 1, .reusable = true}, REDUCE(sym_variable_declarator, 1, .production_id = 7),
  [544] = {.count = 1, .reusable = true}, REDUCE(sym_variable_declarator, 1, .production_id = 8),
  [546] = {.count = 1, .reusable = true}, SHIFT(263),
  [548] = {.count = 1, .reusable = true}, SHIFT(261),
  [550] = {.count = 1, .reusable = true}, SHIFT(262),
  [552] = {.count = 1, .reusable = true}, REDUCE(sym_import_clause, 1),
  [554] = {.count = 1, .reusable = true}, SHIFT(265),
  [556] = {.count = 1, .reusable = true}, SHIFT(266),
  [558] = {.count = 1, .reusable = true}, SHIFT(267),
  [560] = {.count = 1, .reusable = true}, SHIFT(269),
  [562] = {.count = 1, .reusable = false}, SHIFT(892),
  [564] = {.count = 1, .reusable = true}, SHIFT(892),
  [566] = {.count = 1, .reusable = true}, REDUCE(sym__property_name, 1, .production_id = 9),
  [568] = {.count = 1, .reusable = false}, SHIFT(746),
  [570] = {.count = 2, .reusable = false}, REDUCE(sym__expression, 1, .production_id = 1), SHIFT(272),
  [573] = {.count = 2, .reusable = true}, REDUCE(sym__expression, 1, .production_id = 1), REDUCE(sym__property_name, 1, .production_id = 9),
  [576] = {.count = 1, .reusable = false}, SHIFT(273),
  [578] = {.count = 1, .reusable = true}, SHIFT(276),
  [580] = {.count = 1, .reusable = false}, SHIFT(274),
  [582] = {.count = 1, .reusable = true}, SHIFT(271),
  [584] = {.count = 2, .reusable = true}, REDUCE(sym__expression, 1, .production_id = 1), SHIFT(1051),
  [587] = {.count = 1, .reusable = false}, SHIFT(76),
  [589] = {.count = 1, .reusable = true}, SHIFT(1051),
  [591] = {.count = 1, .reusable = false}, SHIFT(277),
  [593] = {.count = 1, .reusable = true}, SHIFT(277),
  [595] = {.count = 1, .reusable = true}, REDUCE(aux_sym_object_repeat1, 1),
  [597] = {.count = 1, .reusable = false}, SHIFT(280),
  [599] = {.count = 1, .reusable = false}, SHIFT(281),
  [601] = {.count = 1, .reusable = false}, SHIFT(278),
  [603] = {.count = 1, .reusable = false}, SHIFT(279),
  [605] = {.count = 1, .reusable = true}, REDUCE(sym__property_name, 1),
  [607] = {.count = 2, .reusable = true}, REDUCE(sym__expression, 1), REDUCE(sym__property_name, 1),
  [610] = {.count = 3, .reusable = true}, REDUCE(sym__expression, 1, .production_id = 1), REDUCE(sym__property_name, 1, .production_id = 9), SHIFT(77),
  [614] = {.count = 1, .reusable = false}, SHIFT(283),
  [616] = {.count = 1, .reusable = false}, REDUCE(sym_object, 2),
  [618] = {.count = 1, .reusable = true}, REDUCE(sym_object, 2),
  [620] = {.count = 1, .reusable = false}, REDUCE(sym_statement_block, 2),
  [622] = {.count = 1, .reusable = true}, REDUCE(sym_statement_block, 2),
  [624] = {.count = 1, .reusable = false}, SHIFT(284),
  [626] = {.count = 1, .reusable = true}, SHIFT(284),
  [628] = {.count = 2, .reusable = true}, REDUCE(sym__property_name, 1, .production_id = 9), SHIFT(143),
  [631] = {.count = 2, .reusable = true}, REDUCE(sym__expression, 1), REDUCE(sym__property_name, 1, .production_id = 9),
  [634] = {.count = 1, .reusable = false}, SHIFT(285),
  [636] = {.count = 1, .reusable = true}, SHIFT(286),
  [638] = {.count = 1, .reusable = false}, SHIFT(288),
  [640] = {.count = 1, .reusable = false}, SHIFT(190),
  [642] = {.count = 1, .reusable = false}, SHIFT(289),
  [644] = {.count = 1, .reusable = false}, SHIFT(189),
  [646] = {.count = 1, .reusable = true}, SHIFT(272),
  [648] = {.count = 1, .reusable = true}, SHIFT(290),
  [650] = {.count = 1, .reusable = true}, SHIFT(292),
  [652] = {.count = 1, .reusable = false}, SHIFT(294),
  [654] = {.count = 1, .reusable = true}, SHIFT(296),
  [656] = {.count = 1, .reusable = false}, SHIFT(713),
  [658] = {.count = 1, .reusable = true}, SHIFT(712),
  [660] = {.count = 2, .reusable = true}, REDUCE(sym__expression, 1, .production_id = 1), SHIFT(297),
  [663] = {.count = 2, .reusable = true}, REDUCE(sym__expression, 1, .production_id = 1), SHIFT(298),
  [666] = {.count = 1, .reusable = true}, SHIFT(882),
  [668] = {.count = 1, .reusable = true}, SHIFT(300),
  [670] = {.count = 1, .reusable = true}, REDUCE(sym_formal_parameters, 2),
  [672] = {.count = 1, .reusable = false}, SHIFT(757),
  [674] = {.count = 1, .reusable = true}, SHIFT(720),
  [676] = {.count = 1, .reusable = false}, SHIFT(722),
  [678] = {.count = 1, .reusable = true}, SHIFT(723),
  [680] = {.count = 2, .reusable = true}, REDUCE(sym__expression, 1), SHIFT(301),
  [683] = {.count = 2, .reusable = true}, REDUCE(sym__expression, 1), SHIFT(302),
  [686] = {.count = 1, .reusable = true}, SHIFT(900),
  [688] = {.count = 1, .reusable = false}, SHIFT(1050),
  [690] = {.count = 1, .reusable = false}, SHIFT(903),
  [692] = {.count = 1, .reusable = true}, SHIFT(302),
  [694] = {.count = 1, .reusable = true}, SHIFT(301),
  [696] = {.count = 1, .reusable = true}, SHIFT(722),
  [698] = {.count = 1, .reusable = false}, SHIFT(734),
  [700] = {.count = 1, .reusable = true}, SHIFT(735),
  [702] = {.count = 1, .reusable = true}, SHIFT(736),
  [704] = {.count = 1, .reusable = false}, SHIFT(738),
  [706] = {.count = 1, .reusable = true}, SHIFT(737),
  [708] = {.count = 1, .reusable = false}, SHIFT(737),
  [710] = {.count = 1, .reusable = true}, SHIFT(1024),
  [712] = {.count = 1, .reusable = false}, SHIFT(735),
  [714] = {.count = 1, .reusable = true}, SHIFT(738),
  [716] = {.count = 1, .reusable = true}, SHIFT(739),
  [718] = {.count = 1, .reusable = true}, SHIFT(740),
  [720] = {.count = 1, .reusable = true}, SHIFT(304),
  [722] = {.count = 1, .reusable = true}, SHIFT(1046),
  [724] = {.count = 1, .reusable = false}, SHIFT(759),
  [726] = {.count = 2, .reusable = true}, REDUCE(sym__expression, 1), SHIFT(306),
  [729] = {.count = 2, .reusable = true}, REDUCE(sym__expression, 1), SHIFT(305),
  [732] = {.count = 1, .reusable = false}, SHIFT(761),
  [734] = {.count = 2, .reusable = true}, REDUCE(sym__expression, 1), SHIFT(309),
  [737] = {.count = 2, .reusable = true}, REDUCE(sym__expression, 1), SHIFT(308),
  [740] = {.count = 1, .reusable = true}, REDUCE(sym_string, 2),
  [742] = {.count = 1, .reusable = false}, REDUCE(sym_string, 2),
  [744] = {.count = 1, .reusable = false}, SHIFT(311),
  [746] = {.count = 1, .reusable = true}, SHIFT(312),
  [748] = {.count = 1, .reusable = false}, SHIFT(313),
  [750] = {.count = 1, .reusable = true}, REDUCE(aux_sym_array_repeat1, 1),
  [752] = {.count = 1, .reusable = true}, SHIFT(313),
  [754] = {.count = 1, .reusable = true}, REDUCE(sym_array, 2),
  [756] = {.count = 1, .reusable = false}, REDUCE(sym_array, 2),
  [758] = {.count = 1, .reusable = true}, SHIFT(315),
  [760] = {.count = 1, .reusable = false}, SHIFT(318),
  [762] = {.count = 1, .reusable = true}, REDUCE(sym_program, 2),
  [764] = {.count = 1, .reusable = false}, REDUCE(sym_break_statement, 2),
  [766] = {.count = 1, .reusable = true}, REDUCE(sym_break_statement, 2),
  [768] = {.count = 1, .reusable = true}, SHIFT(319),
  [770] = {.count = 1, .reusable = false}, REDUCE(sym_debugger_statement, 2),
  [772] = {.count = 1, .reusable = true}, REDUCE(sym_debugger_statement, 2),
  [774] = {.count = 1, .reusable = false}, SHIFT(321),
  [776] = {.count = 1, .reusable = true}, SHIFT(321),
  [778] = {.count = 1, .reusable = false}, SHIFT(324),
  [780] = {.count = 1, .reusable = true}, SHIFT(323),
  [782] = {.count = 1, .reusable = true}, SHIFT(324),
  [784] = {.count = 1, .reusable = true}, SHIFT(327),
  [786] = {.count = 1, .reusable = true}, REDUCE(sym_call_expression, 2, .production_id = 10),
  [788] = {.count = 1, .reusable = false}, REDUCE(sym_call_expression, 2, .production_id = 10),
  [790] = {.count = 1, .reusable = false}, SHIFT(328),
  [792] = {.count = 1, .reusable = true}, SHIFT(328),
  [794] = {.count = 1, .reusable = false}, SHIFT(330),
  [796] = {.count = 1, .reusable = true}, SHIFT(330),
  [798] = {.count = 1, .reusable = false}, SHIFT(331),
  [800] = {.count = 1, .reusable = true}, SHIFT(331),
  [802] = {.count = 1, .reusable = false}, SHIFT(333),
  [804] = {.count = 1, .reusable = true}, SHIFT(1009),
  [806] = {.count = 1, .reusable = true}, SHIFT(333),
  [808] = {.count = 1, .reusable = true}, SHIFT(910),
  [810] = {.count = 1, .reusable = true}, SHIFT(335),
  [812] = {.count = 1, .reusable = true}, SHIFT(337),
  [814] = {.count = 1, .reusable = false}, SHIFT(338),
  [816] = {.count = 1, .reusable = true}, SHIFT(334),
  [818] = {.count = 1, .reusable = false}, SHIFT(334),
  [820] = {.count = 1, .reusable = true}, SHIFT(336),
  [822] = {.count = 1, .reusable = false}, SHIFT(343),
  [824] = {.count = 1, .reusable = false}, SHIFT(342),
  [826] = {.count = 1, .reusable = true}, REDUCE(sym_yield_expression, 2, .production_id = 11),
  [828] = {.count = 1, .reusable = true}, SHIFT(344),
  [830] = {.count = 1, .reusable = true}, SHIFT(345),
  [832] = {.count = 1, .reusable = true}, SHIFT(347),
  [834] = {.count = 1, .reusable = true}, SHIFT(348),
  [836] = {.count = 1, .reusable = true}, REDUCE(sym_new_expression, 2, .production_id = 12),
  [838] = {.count = 1, .reusable = false}, REDUCE(sym_new_expression, 2, .production_id = 12),
  [840] = {.count = 1, .reusable = true}, REDUCE(sym_new_expression, 2, .production_id = 13),
  [842] = {.count = 1, .reusable = false}, REDUCE(sym_new_expression, 2, .production_id = 13),
  [844] = {.count = 1, .reusable = false}, SHIFT(721),
  [846] = {.count = 1, .reusable = true}, SHIFT(351),
  [848] = {.count = 1, .reusable = false}, SHIFT(733),
  [850] = {.count = 1, .reusable = false}, SHIFT(742),
  [852] = {.count = 1, .reusable = true}, SHIFT(353),
  [854] = {.count = 1, .reusable = false}, SHIFT(355),
  [856] = {.count = 1, .reusable = true}, SHIFT(355),
  [858] = {.count = 1, .reusable = true}, SHIFT(358),
  [860] = {.count = 1, .reusable = true}, SHIFT(357),
  [862] = {.count = 1, .reusable = true}, SHIFT(360),
  [864] = {.count = 1, .reusable = false}, SHIFT(361),
  [866] = {.count = 1, .reusable = true}, SHIFT(361),
  [868] = {.count = 1, .reusable = true}, SHIFT(362),
  [870] = {.count = 1, .reusable = true}, SHIFT(363),
  [872] = {.count = 1, .reusable = true}, SHIFT(364),
  [874] = {.count = 1, .reusable = false}, REDUCE(sym_export_statement, 2, .production_id = 14),
  [876] = {.count = 1, .reusable = true}, REDUCE(sym_export_statement, 2, .production_id = 14),
  [878] = {.count = 1, .reusable = true}, SHIFT(366),
  [880] = {.count = 1, .reusable = true}, SHIFT(367),
  [882] = {.count = 1, .reusable = false}, REDUCE(sym_continue_statement, 2),
  [884] = {.count = 1, .reusable = true}, REDUCE(sym_continue_statement, 2),
  [886] = {.count = 1, .reusable = true}, SHIFT(368),
  [888] = {.count = 1, .reusable = true}, SHIFT(369),
  [890] = {.count = 1, .reusable = false}, REDUCE(sym_try_statement, 2, .production_id = 4),
  [892] = {.count = 1, .reusable = true}, REDUCE(sym_try_statement, 2, .production_id = 4),
  [894] = {.count = 1, .reusable = false}, SHIFT(370),
  [896] = {.count = 1, .reusable = false}, SHIFT(371),
  [898] = {.count = 1, .reusable = false}, REDUCE(sym_return_statement, 2),
  [900] = {.count = 1, .reusable = true}, REDUCE(sym_return_statement, 2),
  [902] = {.count = 1, .reusable = true}, SHIFT(374),
  [904] = {.count = 1, .reusable = false}, SHIFT(377),
  [906] = {.count = 1, .reusable = false}, SHIFT(375),
  [908] = {.count = 1, .reusable = false}, SHIFT(376),
  [910] = {.count = 1, .reusable = true}, SHIFT(381),
  [912] = {.count = 1, .reusable = true}, SHIFT(382),
  [914] = {.count = 1, .reusable = false}, SHIFT(383),
  [916] = {.count = 1, .reusable = true}, SHIFT(383),
  [918] = {.count = 1, .reusable = true}, SHIFT(384),
  [920] = {.count = 1, .reusable = false}, SHIFT(386),
  [922] = {.count = 1, .reusable = false}, REDUCE(aux_sym_export_statement_repeat1, 2, .production_id = 15),
  [924] = {.count = 1, .reusable = true}, REDUCE(aux_sym_export_statement_repeat1, 2, .production_id = 15),
  [926] = {.count = 2, .reusable = true}, REDUCE(aux_sym_export_statement_repeat1, 2, .production_id = 15), SHIFT_REPEAT(7),
  [929] = {.count = 1, .reusable = false}, REDUCE(sym_expression_statement, 2),
  [931] = {.count = 1, .reusable = true}, REDUCE(sym_expression_statement, 2),
  [933] = {.count = 1, .reusable = false}, SHIFT(388),
  [935] = {.count = 1, .reusable = true}, SHIFT(388),
  [937] = {.count = 1, .reusable = false}, SHIFT(389),
  [939] = {.count = 1, .reusable = true}, SHIFT(389),
  [941] = {.count = 1, .reusable = false}, SHIFT(390),
  [943] = {.count = 1, .reusable = true}, SHIFT(390),
  [945] = {.count = 1, .reusable = false}, SHIFT(391),
  [947] = {.count = 1, .reusable = true}, SHIFT(391),
  [949] = {.count = 1, .reusable = false}, SHIFT(392),
  [951] = {.count = 1, .reusable = true}, SHIFT(392),
  [953] = {.count = 1, .reusable = true}, REDUCE(sym_update_expression, 2, .production_id = 16),
  [955] = {.count = 1, .reusable = false}, REDUCE(sym_update_expression, 2, .production_id = 16),
  [957] = {.count = 1, .reusable = false}, SHIFT(393),
  [959] = {.count = 1, .reusable = true}, SHIFT(393),
  [961] = {.count = 1, .reusable = false}, SHIFT(395),
  [963] = {.count = 1, .reusable = true}, SHIFT(395),
  [965] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(4),
  [968] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(8),
  [971] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(13),
  [974] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(11),
  [977] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(14),
  [980] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(3),
  [983] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(16),
  [986] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(17),
  [989] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(18),
  [992] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(46),
  [995] = {.count = 1, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2),
  [997] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(5),
  [1000] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(24),
  [1003] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(31),
  [1006] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(27),
  [1009] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(29),
  [1012] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(46),
  [1015] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(30),
  [1018] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(32),
  [1021] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(34),
  [1024] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(10),
  [1027] = {.count = 1, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2),
  [1029] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(38),
  [1032] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(40),
  [1035] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2),
  [1038] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(9),
  [1041] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(12),
  [1044] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(15),
  [1047] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(19),
  [1050] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(21),
  [1053] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(20),
  [1056] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(23),
  [1059] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(25),
  [1062] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(26),
  [1065] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(28),
  [1068] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(6),
  [1071] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(33),
  [1074] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(7),
  [1077] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(35),
  [1080] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(36),
  [1083] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(37),
  [1086] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(39),
  [1089] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(41),
  [1092] = {.count = 1, .reusable = false}, SHIFT(397),
  [1094] = {.count = 1, .reusable = true}, SHIFT(397),
  [1096] = {.count = 1, .reusable = false}, SHIFT(398),
  [1098] = {.count = 1, .reusable = true}, SHIFT(398),
  [1100] = {.count = 1, .reusable = false}, SHIFT(400),
  [1102] = {.count = 1, .reusable = true}, SHIFT(400),
  [1104] = {.count = 1, .reusable = true}, SHIFT(399),
  [1106] = {.count = 1, .reusable = true}, SHIFT(1100),
  [1108] = {.count = 1, .reusable = false}, SHIFT(1099),
  [1110] = {.count = 1, .reusable = false}, SHIFT(402),
  [1112] = {.count = 1, .reusable = true}, REDUCE(sym_jsx_element, 2, .production_id = 17),
  [1114] = {.count = 1, .reusable = false}, REDUCE(sym_jsx_element, 2, .production_id = 17),
  [1116] = {.count = 1, .reusable = false}, SHIFT(404),
  [1118] = {.count = 1, .reusable = true}, SHIFT(408),
  [1120] = {.count = 1, .reusable = true}, SHIFT(409),
  [1122] = {.count = 1, .reusable = true}, SHIFT(410),
  [1124] = {.count = 1, .reusable = true}, SHIFT(411),
  [1126] = {.count = 1, .reusable = true}, SHIFT(412),
  [1128] = {.count = 1, .reusable = false}, SHIFT(413),
  [1130] = {.count = 1, .reusable = true}, SHIFT(414),
  [1132] = {.count = 1, .reusable = false}, SHIFT(755),
  [1134] = {.count = 1, .reusable = false}, SHIFT(756),
  [1136] = {.count = 1, .reusable = false}, SHIFT(415),
  [1138] = {.count = 1, .reusable = true}, SHIFT(415),
  [1140] = {.count = 1, .reusable = false}, REDUCE(sym_class_body, 2),
  [1142] = {.count = 1, .reusable = true}, REDUCE(sym_class_body, 2),
  [1144] = {.count = 1, .reusable = false}, REDUCE(aux_sym_class_body_repeat1, 1, .production_id = 18),
  [1146] = {.count = 1, .reusable = true}, REDUCE(aux_sym_class_body_repeat1, 1, .production_id = 18),
  [1148] = {.count = 1, .reusable = true}, SHIFT(416),
  [1150] = {.count = 1, .reusable = true}, REDUCE(sym_public_field_definition, 1, .production_id = 19),
  [1152] = {.count = 1, .reusable = true}, SHIFT(418),
  [1154] = {.count = 1, .reusable = false}, REDUCE(sym_class, 3, .production_id = 20),
  [1156] = {.count = 1, .reusable = true}, SHIFT(420),
  [1158] = {.count = 1, .reusable = false}, REDUCE(sym_class_declaration, 3, .production_id = 20),
  [1160] = {.count = 1, .reusable = true}, REDUCE(sym_class, 3, .production_id = 20),
  [1162] = {.count = 1, .reusable = true}, REDUCE(sym_class_declaration, 3, .production_id = 20),
  [1164] = {.count = 1, .reusable = true}, REDUCE(sym_class_heritage, 2),
  [1166] = {.count = 1, .reusable = true}, REDUCE(sym_class, 3, .production_id = 21),
  [1168] = {.count = 1, .reusable = false}, REDUCE(sym_class, 3, .production_id = 21),
  [1170] = {.count = 1, .reusable = true}, SHIFT(422),
  [1172] = {.count = 1, .reusable = true}, REDUCE(sym_template_string, 3),
  [1174] = {.count = 1, .reusable = false}, REDUCE(sym_template_string, 3),
  [1176] = {.count = 2, .reusable = true}, REDUCE(aux_sym_template_string_repeat1, 2), SHIFT_REPEAT(68),
  [1179] = {.count = 2, .reusable = true}, REDUCE(aux_sym_template_string_repeat1, 2), SHIFT_REPEAT(238),
  [1182] = {.count = 1, .reusable = true}, REDUCE(aux_sym_template_string_repeat1, 2),
  [1184] = {.count = 1, .reusable = true}, SHIFT(423),
  [1186] = {.count = 1, .reusable = false}, REDUCE(sym_decorator_call_expression, 2, .production_id = 22),
  [1188] = {.count = 1, .reusable = true}, REDUCE(sym_decorator_call_expression, 2, .production_id = 22),
  [1190] = {.count = 1, .reusable = true}, SHIFT(424),
  [1192] = {.count = 1, .reusable = false}, REDUCE(sym_decorator_call_expression, 2, .production_id = 10),
  [1194] = {.count = 1, .reusable = true}, REDUCE(sym_decorator_call_expression, 2, .production_id = 10),
  [1196] = {.count = 1, .reusable = true}, REDUCE(sym_augmented_assignment_expression, 3, .production_id = 23),
  [1198] = {.count = 1, .reusable = true}, REDUCE(sym_assignment_expression, 3, .production_id = 23),
  [1200] = {.count = 1, .reusable = true}, REDUCE(sym_member_expression, 3, .production_id = 24),
  [1202] = {.count = 1, .reusable = false}, REDUCE(sym_member_expression, 3, .production_id = 24),
  [1204] = {.count = 1, .reusable = true}, SHIFT(298),
  [1206] = {.count = 1, .reusable = true}, SHIFT(297),
  [1208] = {.count = 1, .reusable = true}, SHIFT(308),
  [1210] = {.count = 1, .reusable = true}, SHIFT(309),
  [1212] = {.count = 1, .reusable = true}, SHIFT(305),
  [1214] = {.count = 1, .reusable = true}, SHIFT(306),
  [1216] = {.count = 1, .reusable = true}, REDUCE(sym_function, 3, .production_id = 25),
  [1218] = {.count = 1, .reusable = false}, REDUCE(sym_function, 3, .production_id = 25),
  [1220] = {.count = 1, .reusable = false}, SHIFT(428),
  [1222] = {.count = 1, .reusable = true}, SHIFT(428),
  [1224] = {.count = 1, .reusable = true}, REDUCE(sym_variable_declarator, 2, .production_id = 26),
  [1226] = {.count = 1, .reusable = false}, REDUCE(sym_lexical_declaration, 3),
  [1228] = {.count = 1, .reusable = true}, REDUCE(sym_lexical_declaration, 3),
  [1230] = {.count = 1, .reusable = true}, SHIFT(430),
  [1232] = {.count = 1, .reusable = true}, REDUCE(sym_variable_declarator, 2, .production_id = 27),
  [1234] = {.count = 1, .reusable = true}, REDUCE(sym_variable_declarator, 2, .production_id = 28),
  [1236] = {.count = 1, .reusable = true}, REDUCE(sym__import_export_specifier, 1, .production_id = 6),
  [1238] = {.count = 1, .reusable = true}, SHIFT(432),
  [1240] = {.count = 1, .reusable = true}, SHIFT(433),
  [1242] = {.count = 1, .reusable = true}, REDUCE(sym_named_imports, 2),
  [1244] = {.count = 1, .reusable = true}, SHIFT(434),
  [1246] = {.count = 1, .reusable = true}, SHIFT(435),
  [1248] = {.count = 1, .reusable = true}, SHIFT(438),
  [1250] = {.count = 1, .reusable = true}, SHIFT(440),
  [1252] = {.count = 1, .reusable = false}, REDUCE(sym_import_statement, 3, .production_id = 29),
  [1254] = {.count = 1, .reusable = true}, REDUCE(sym_import_statement, 3, .production_id = 29),
  [1256] = {.count = 1, .reusable = false}, REDUCE(sym_if_statement, 3, .production_id = 30),
  [1258] = {.count = 1, .reusable = true}, REDUCE(sym_if_statement, 3, .production_id = 30),
  [1260] = {.count = 1, .reusable = false}, SHIFT(441),
  [1262] = {.count = 1, .reusable = true}, REDUCE(sym_object, 3, .production_id = 31),
  [1264] = {.count = 1, .reusable = false}, REDUCE(sym_object, 3, .production_id = 31),
  [1266] = {.count = 1, .reusable = true}, SHIFT(442),
  [1268] = {.count = 1, .reusable = true}, SHIFT(443),
  [1270] = {.count = 1, .reusable = false}, SHIFT(444),
  [1272] = {.count = 1, .reusable = true}, SHIFT(445),
  [1274] = {.count = 1, .reusable = true}, REDUCE(sym_spread_element, 2),
  [1276] = {.count = 1, .reusable = true}, REDUCE(aux_sym_object_repeat1, 2, .production_id = 31),
  [1278] = {.count = 1, .reusable = true}, REDUCE(aux_sym_object_repeat1, 2),
  [1280] = {.count = 1, .reusable = true}, SHIFT(447),
  [1282] = {.count = 1, .reusable = false}, SHIFT(1113),
  [1284] = {.count = 1, .reusable = false}, SHIFT(448),
  [1286] = {.count = 1, .reusable = false}, SHIFT(1116),
  [1288] = {.count = 1, .reusable = false}, SHIFT(1119),
  [1290] = {.count = 1, .reusable = false}, SHIFT(1114),
  [1292] = {.count = 1, .reusable = true}, SHIFT(1121),
  [1294] = {.count = 1, .reusable = true}, SHIFT(1115),
  [1296] = {.count = 1, .reusable = false}, SHIFT(1015),
  [1298] = {.count = 1, .reusable = true}, SHIFT(448),
  [1300] = {.count = 1, .reusable = false}, SHIFT(1125),
  [1302] = {.count = 1, .reusable = false}, SHIFT(1131),
  [1304] = {.count = 1, .reusable = false}, SHIFT(1012),
  [1306] = {.count = 1, .reusable = true}, REDUCE(sym_object, 3),
  [1308] = {.count = 1, .reusable = false}, REDUCE(sym_object, 3),
  [1310] = {.count = 1, .reusable = true}, SHIFT(449),
  [1312] = {.count = 1, .reusable = false}, SHIFT(450),
  [1314] = {.count = 1, .reusable = true}, SHIFT(450),
  [1316] = {.count = 1, .reusable = false}, SHIFT(451),
  [1318] = {.count = 1, .reusable = false}, SHIFT(452),
  [1320] = {.count = 1, .reusable = true}, SHIFT(452),
  [1322] = {.count = 1, .reusable = false}, REDUCE(sym_statement_block, 3),
  [1324] = {.count = 1, .reusable = true}, REDUCE(sym_statement_block, 3),
  [1326] = {.count = 2, .reusable = true}, REDUCE(aux_sym_object_repeat1, 2), SHIFT_REPEAT(98),
  [1329] = {.count = 1, .reusable = false}, SHIFT(454),
  [1331] = {.count = 1, .reusable = true}, SHIFT(454),
  [1333] = {.count = 1, .reusable = false}, REDUCE(sym_with_statement, 3, .production_id = 32),
  [1335] = {.count = 1, .reusable = true}, REDUCE(sym_with_statement, 3, .production_id = 32),
  [1337] = {.count = 1, .reusable = false}, REDUCE(sym_throw_statement, 3, .production_id = 11),
  [1339] = {.count = 1, .reusable = true}, REDUCE(sym_throw_statement, 3, .production_id = 11),
  [1341] = {.count = 1, .reusable = false}, SHIFT(455),
  [1343] = {.count = 1, .reusable = true}, SHIFT(456),
  [1345] = {.count = 1, .reusable = false}, SHIFT(457),
  [1347] = {.count = 1, .reusable = true}, REDUCE(sym_formal_parameters, 3, .production_id = 5),
  [1349] = {.count = 1, .reusable = true}, SHIFT(461),
  [1351] = {.count = 1, .reusable = true}, REDUCE(sym_rest_parameter, 2),
  [1353] = {.count = 1, .reusable = true}, SHIFT(463),
  [1355] = {.count = 1, .reusable = true}, REDUCE(sym_formal_parameters, 3),
  [1357] = {.count = 1, .reusable = true}, SHIFT(464),
  [1359] = {.count = 1, .reusable = true}, REDUCE(sym_parenthesized_expression, 3),
  [1361] = {.count = 1, .reusable = false}, REDUCE(sym_parenthesized_expression, 3),
  [1363] = {.count = 1, .reusable = true}, REDUCE(sym_formal_parameters, 3, .production_id = 33),
  [1365] = {.count = 1, .reusable = true}, SHIFT(465),
  [1367] = {.count = 1, .reusable = true}, SHIFT(466),
  [1369] = {.count = 1, .reusable = true}, REDUCE(sym_formal_parameters, 3, .production_id = 34),
  [1371] = {.count = 1, .reusable = true}, SHIFT(467),
  [1373] = {.count = 1, .reusable = true}, SHIFT(468),
  [1375] = {.count = 1, .reusable = true}, REDUCE(sym_string, 3),
  [1377] = {.count = 1, .reusable = false}, REDUCE(sym_string, 3),
  [1379] = {.count = 1, .reusable = false}, REDUCE(aux_sym_string_repeat2, 2),
  [1381] = {.count = 2, .reusable = true}, REDUCE(aux_sym_string_repeat2, 2), SHIFT_REPEAT(312),
  [1384] = {.count = 1, .reusable = true}, REDUCE(aux_sym_array_repeat1, 2),
  [1386] = {.count = 1, .reusable = true}, REDUCE(sym_array, 3),
  [1388] = {.count = 1, .reusable = false}, REDUCE(sym_array, 3),
  [1390] = {.count = 1, .reusable = true}, SHIFT(469),
  [1392] = {.count = 2, .reusable = true}, REDUCE(aux_sym_array_repeat1, 2), SHIFT_REPEAT(127),
  [1395] = {.count = 1, .reusable = false}, REDUCE(sym_regex, 3, .production_id = 35),
  [1397] = {.count = 1, .reusable = true}, REDUCE(sym_regex, 3, .production_id = 35),
  [1399] = {.count = 1, .reusable = false}, SHIFT(470),
  [1401] = {.count = 1, .reusable = false}, REDUCE(sym_break_statement, 3, .production_id = 36),
  [1403] = {.count = 1, .reusable = true}, REDUCE(sym_break_statement, 3, .production_id = 36),
  [1405] = {.count = 1, .reusable = false}, REDUCE(sym_while_statement, 3, .production_id = 37),
  [1407] = {.count = 1, .reusable = true}, REDUCE(sym_while_statement, 3, .production_id = 37),
  [1409] = {.count = 1, .reusable = true}, SHIFT(471),
  [1411] = {.count = 1, .reusable = true}, REDUCE(sym_arguments, 2),
  [1413] = {.count = 1, .reusable = false}, REDUCE(sym_arguments, 2),
  [1415] = {.count = 1, .reusable = true}, SHIFT(472),
  [1417] = {.count = 1, .reusable = true}, REDUCE(sym_member_expression, 3, .production_id = 38),
  [1419] = {.count = 1, .reusable = false}, REDUCE(sym_member_expression, 3, .production_id = 38),
  [1421] = {.count = 1, .reusable = true}, REDUCE(sym_augmented_assignment_expression, 3, .production_id = 39),
  [1423] = {.count = 1, .reusable = false}, REDUCE(sym_labeled_statement, 3, .dynamic_precedence = -1, .production_id = 40),
  [1425] = {.count = 1, .reusable = true}, REDUCE(sym_labeled_statement, 3, .dynamic_precedence = -1, .production_id = 40),
  [1427] = {.count = 1, .reusable = true}, REDUCE(sym_assignment_expression, 3, .production_id = 39),
  [1429] = {.count = 1, .reusable = true}, REDUCE(sym_binary_expression, 3, .production_id = 41),
  [1431] = {.count = 1, .reusable = false}, REDUCE(sym_binary_expression, 3, .production_id = 41),
  [1433] = {.count = 1, .reusable = true}, REDUCE(sym_arrow_function, 3, .production_id = 42),
  [1435] = {.count = 1, .reusable = false}, REDUCE(sym_arrow_function, 3, .production_id = 42),
  [1437] = {.count = 1, .reusable = true}, REDUCE(sym_jsx_attribute, 1, .production_id = 9),
  [1439] = {.count = 1, .reusable = true}, SHIFT(474),
  [1441] = {.count = 1, .reusable = false}, REDUCE(sym_jsx_attribute, 1, .production_id = 9),
  [1443] = {.count = 1, .reusable = false}, REDUCE(sym_jsx_opening_element, 3, .dynamic_precedence = -1, .production_id = 43),
  [1445] = {.count = 1, .reusable = true}, SHIFT(475),
  [1447] = {.count = 1, .reusable = true}, SHIFT(476),
  [1449] = {.count = 1, .reusable = false}, SHIFT(476),
  [1451] = {.count = 1, .reusable = true}, SHIFT(477),
  [1453] = {.count = 1, .reusable = true}, REDUCE(sym_jsx_attribute, 1),
  [1455] = {.count = 1, .reusable = false}, REDUCE(sym_jsx_attribute, 1),
  [1457] = {.count = 1, .reusable = true}, SHIFT(478),
  [1459] = {.count = 1, .reusable = true}, REDUCE(aux_sym_jsx_opening_element_repeat1, 1, .production_id = 44),
  [1461] = {.count = 1, .reusable = false}, REDUCE(aux_sym_jsx_opening_element_repeat1, 1, .production_id = 44),
  [1463] = {.count = 1, .reusable = true}, SHIFT(479),
  [1465] = {.count = 1, .reusable = false}, SHIFT(480),
  [1467] = {.count = 1, .reusable = false}, SHIFT(482),
  [1469] = {.count = 1, .reusable = false}, SHIFT(483),
  [1471] = {.count = 1, .reusable = false}, REDUCE(aux_sym_string_repeat1, 2),
  [1473] = {.count = 2, .reusable = true}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(344),
  [1476] = {.count = 1, .reusable = false}, SHIFT(487),
  [1478] = {.count = 1, .reusable = true}, SHIFT(487),
  [1480] = {.count = 1, .reusable = false}, SHIFT(489),
  [1482] = {.count = 1, .reusable = true}, SHIFT(489),
  [1484] = {.count = 1, .reusable = true}, REDUCE(sym_new_expression, 3, .production_id = 45),
  [1486] = {.count = 1, .reusable = false}, REDUCE(sym_new_expression, 3, .production_id = 45),
  [1488] = {.count = 1, .reusable = true}, REDUCE(sym_new_expression, 3, .production_id = 46),
  [1490] = {.count = 1, .reusable = false}, REDUCE(sym_new_expression, 3, .production_id = 46),
  [1492] = {.count = 1, .reusable = true}, REDUCE(sym_meta_property, 3),
  [1494] = {.count = 1, .reusable = false}, REDUCE(sym_meta_property, 3),
  [1496] = {.count = 1, .reusable = false}, REDUCE(sym_variable_declaration, 3),
  [1498] = {.count = 1, .reusable = true}, REDUCE(sym_variable_declaration, 3),
  [1500] = {.count = 1, .reusable = true}, SHIFT(492),
  [1502] = {.count = 1, .reusable = true}, SHIFT(493),
  [1504] = {.count = 1, .reusable = true}, SHIFT(494),
  [1506] = {.count = 1, .reusable = true}, REDUCE(sym_export_clause, 2),
  [1508] = {.count = 1, .reusable = true}, SHIFT(495),
  [1510] = {.count = 1, .reusable = true}, SHIFT(496),
  [1512] = {.count = 1, .reusable = true}, SHIFT(969),
  [1514] = {.count = 1, .reusable = true}, SHIFT(500),
  [1516] = {.count = 1, .reusable = true}, SHIFT(501),
  [1518] = {.count = 1, .reusable = true}, SHIFT(503),
  [1520] = {.count = 1, .reusable = true}, SHIFT(504),
  [1522] = {.count = 1, .reusable = true}, SHIFT(505),
  [1524] = {.count = 1, .reusable = false}, REDUCE(sym_export_statement, 3),
  [1526] = {.count = 1, .reusable = true}, REDUCE(sym_export_statement, 3),
  [1528] = {.count = 1, .reusable = false}, REDUCE(sym_continue_statement, 3, .production_id = 36),
  [1530] = {.count = 1, .reusable = true}, REDUCE(sym_continue_statement, 3, .production_id = 36),
  [1532] = {.count = 1, .reusable = true}, SHIFT(506),
  [1534] = {.count = 1, .reusable = false}, REDUCE(sym_try_statement, 3, .production_id = 47),
  [1536] = {.count = 1, .reusable = true}, REDUCE(sym_try_statement, 3, .production_id = 47),
  [1538] = {.count = 1, .reusable = false}, REDUCE(sym_try_statement, 3, .production_id = 48),
  [1540] = {.count = 1, .reusable = true}, REDUCE(sym_try_statement, 3, .production_id = 48),
  [1542] = {.count = 1, .reusable = false}, REDUCE(sym_return_statement, 3, .production_id = 11),
  [1544] = {.count = 1, .reusable = true}, REDUCE(sym_return_statement, 3, .production_id = 11),
  [1546] = {.count = 1, .reusable = true}, SHIFT(968),
  [1548] = {.count = 1, .reusable = true}, SHIFT(964),
  [1550] = {.count = 1, .reusable = true}, SHIFT(510),
  [1552] = {.count = 1, .reusable = false}, SHIFT(513),
  [1554] = {.count = 1, .reusable = true}, SHIFT(514),
  [1556] = {.count = 1, .reusable = false}, SHIFT(517),
  [1558] = {.count = 1, .reusable = true}, SHIFT(516),
  [1560] = {.count = 1, .reusable = false}, SHIFT(519),
  [1562] = {.count = 1, .reusable = true}, SHIFT(518),
  [1564] = {.count = 1, .reusable = false}, SHIFT(520),
  [1566] = {.count = 1, .reusable = false}, SHIFT(521),
  [1568] = {.count = 1, .reusable = true}, SHIFT(1020),
  [1570] = {.count = 1, .reusable = true}, REDUCE(sym_assignment_expression, 3, .production_id = 49),
  [1572] = {.count = 1, .reusable = false}, SHIFT(525),
  [1574] = {.count = 1, .reusable = true}, SHIFT(525),
  [1576] = {.count = 1, .reusable = false}, REDUCE(sym_export_statement, 3, .production_id = 50),
  [1578] = {.count = 1, .reusable = true}, REDUCE(sym_export_statement, 3, .production_id = 50),
  [1580] = {.count = 1, .reusable = true}, REDUCE(sym_sequence_expression, 3, .production_id = 39),
  [1582] = {.count = 1, .reusable = true}, SHIFT(529),
  [1584] = {.count = 1, .reusable = true}, REDUCE(sym_arrow_function, 3, .production_id = 51),
  [1586] = {.count = 1, .reusable = false}, REDUCE(sym_arrow_function, 3, .production_id = 51),
  [1588] = {.count = 1, .reusable = true}, REDUCE(sym_assignment_expression, 3, .production_id = 52),
  [1590] = {.count = 1, .reusable = false}, REDUCE(sym_jsx_expression, 2),
  [1592] = {.count = 1, .reusable = true}, SHIFT(530),
  [1594] = {.count = 1, .reusable = true}, SHIFT(532),
  [1596] = {.count = 1, .reusable = false}, SHIFT(531),
  [1598] = {.count = 1, .reusable = true}, REDUCE(sym_jsx_element, 3, .production_id = 53),
  [1600] = {.count = 1, .reusable = false}, REDUCE(sym_jsx_element, 3, .production_id = 53),
  [1602] = {.count = 2, .reusable = false}, REDUCE(aux_sym_jsx_element_repeat1, 2), SHIFT_REPEAT(204),
  [1605] = {.count = 2, .reusable = false}, REDUCE(aux_sym_jsx_element_repeat1, 2), SHIFT_REPEAT(404),
  [1608] = {.count = 2, .reusable = false}, REDUCE(aux_sym_jsx_element_repeat1, 2), SHIFT_REPEAT(535),
  [1611] = {.count = 1, .reusable = false}, SHIFT(539),
  [1613] = {.count = 1, .reusable = true}, SHIFT(539),
  [1615] = {.count = 1, .reusable = false}, SHIFT(540),
  [1617] = {.count = 1, .reusable = true}, SHIFT(540),
  [1619] = {.count = 1, .reusable = false}, SHIFT(541),
  [1621] = {.count = 1, .reusable = true}, SHIFT(541),
  [1623] = {.count = 1, .reusable = true}, REDUCE(sym_public_field_definition, 2, .production_id = 54),
  [1625] = {.count = 1, .reusable = true}, SHIFT(546),
  [1627] = {.count = 1, .reusable = false}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 18),
  [1629] = {.count = 1, .reusable = true}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 18),
  [1631] = {.count = 1, .reusable = true}, REDUCE(sym_public_field_definition, 2, .production_id = 55),
  [1633] = {.count = 1, .reusable = false}, REDUCE(sym_class_body, 3, .production_id = 56),
  [1635] = {.count = 1, .reusable = true}, REDUCE(sym_class_body, 3, .production_id = 56),
  [1637] = {.count = 2, .reusable = false}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 57), SHIFT_REPEAT(221),
  [1640] = {.count = 2, .reusable = true}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 57), SHIFT_REPEAT(19),
  [1643] = {.count = 2, .reusable = false}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 57), SHIFT_REPEAT(222),
  [1646] = {.count = 2, .reusable = true}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 57), SHIFT_REPEAT(7),
  [1649] = {.count = 2, .reusable = true}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 57), SHIFT_REPEAT(31),
  [1652] = {.count = 2, .reusable = false}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 57), SHIFT_REPEAT(223),
  [1655] = {.count = 2, .reusable = true}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 57), SHIFT_REPEAT(224),
  [1658] = {.count = 1, .reusable = true}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 57),
  [1660] = {.count = 2, .reusable = false}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 57), SHIFT_REPEAT(226),
  [1663] = {.count = 2, .reusable = true}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 57), SHIFT_REPEAT(95),
  [1666] = {.count = 2, .reusable = true}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 57), SHIFT_REPEAT(229),
  [1669] = {.count = 1, .reusable = false}, REDUCE(sym_class_declaration, 4, .production_id = 20),
  [1671] = {.count = 1, .reusable = true}, REDUCE(sym_class_declaration, 4, .production_id = 20),
  [1673] = {.count = 1, .reusable = false}, REDUCE(sym_class, 4, .production_id = 58),
  [1675] = {.count = 1, .reusable = true}, SHIFT(547),
  [1677] = {.count = 1, .reusable = false}, REDUCE(sym_class_declaration, 4, .production_id = 58),
  [1679] = {.count = 1, .reusable = true}, REDUCE(sym_class, 4, .production_id = 58),
  [1681] = {.count = 1, .reusable = true}, REDUCE(sym_class_declaration, 4, .production_id = 58),
  [1683] = {.count = 1, .reusable = true}, REDUCE(sym_template_substitution, 3),
  [1685] = {.count = 1, .reusable = false}, REDUCE(sym_decorator_member_expression, 3, .production_id = 24),
  [1687] = {.count = 1, .reusable = true}, REDUCE(sym_decorator_member_expression, 3, .production_id = 24),
  [1689] = {.count = 1, .reusable = false}, REDUCE(sym_decorator_member_expression, 3, .production_id = 38),
  [1691] = {.count = 1, .reusable = true}, REDUCE(sym_decorator_member_expression, 3, .production_id = 38),
  [1693] = {.count = 1, .reusable = false}, REDUCE(sym_function, 4, .production_id = 59),
  [1695] = {.count = 1, .reusable = true}, SHIFT(548),
  [1697] = {.count = 1, .reusable = false}, REDUCE(sym_function_declaration, 4, .production_id = 59),
  [1699] = {.count = 1, .reusable = true}, REDUCE(sym_function, 4, .production_id = 59),
  [1701] = {.count = 1, .reusable = true}, REDUCE(sym_function_declaration, 4, .production_id = 59),
  [1703] = {.count = 1, .reusable = true}, REDUCE(sym_generator_function, 4, .production_id = 60),
  [1705] = {.count = 1, .reusable = false}, REDUCE(sym_generator_function, 4, .production_id = 60),
  [1707] = {.count = 1, .reusable = true}, REDUCE(sym__initializer, 2, .production_id = 61),
  [1709] = {.count = 1, .reusable = true}, REDUCE(aux_sym_variable_declaration_repeat1, 2),
  [1711] = {.count = 1, .reusable = false}, REDUCE(sym_lexical_declaration, 4),
  [1713] = {.count = 1, .reusable = true}, REDUCE(sym_lexical_declaration, 4),
  [1715] = {.count = 2, .reusable = true}, REDUCE(aux_sym_variable_declaration_repeat1, 2), SHIFT_REPEAT(257),
  [1718] = {.count = 1, .reusable = true}, SHIFT(550),
  [1720] = {.count = 1, .reusable = true}, REDUCE(sym_named_imports, 3),
  [1722] = {.count = 1, .reusable = true}, SHIFT(551),
  [1724] = {.count = 1, .reusable = true}, REDUCE(sym_named_imports, 3, .production_id = 62),
  [1726] = {.count = 1, .reusable = true}, SHIFT(553),
  [1728] = {.count = 1, .reusable = true}, REDUCE(sym_import_clause, 3),
  [1730] = {.count = 1, .reusable = true}, REDUCE(sym_namespace_import, 3),
  [1732] = {.count = 1, .reusable = true}, REDUCE(sym__from_clause, 2, .production_id = 29),
  [1734] = {.count = 1, .reusable = false}, REDUCE(sym_import_statement, 4, .production_id = 63),
  [1736] = {.count = 1, .reusable = true}, REDUCE(sym_import_statement, 4, .production_id = 63),
  [1738] = {.count = 1, .reusable = true}, SHIFT(557),
  [1740] = {.count = 1, .reusable = true}, REDUCE(sym_object, 4, .production_id = 31),
  [1742] = {.count = 1, .reusable = false}, REDUCE(sym_object, 4, .production_id = 31),
  [1744] = {.count = 1, .reusable = true}, REDUCE(sym_computed_property_name, 3),
  [1746] = {.count = 2, .reusable = true}, REDUCE(sym_array, 3), REDUCE(sym_computed_property_name, 3),
  [1749] = {.count = 1, .reusable = true}, SHIFT(1028),
  [1751] = {.count = 1, .reusable = false}, SHIFT(1028),
  [1753] = {.count = 1, .reusable = false}, SHIFT(1041),
  [1755] = {.count = 1, .reusable = true}, SHIFT(1042),
  [1757] = {.count = 1, .reusable = true}, SHIFT(1043),
  [1759] = {.count = 1, .reusable = false}, SHIFT(1045),
  [1761] = {.count = 1, .reusable = true}, SHIFT(1044),
  [1763] = {.count = 1, .reusable = false}, SHIFT(1044),
  [1765] = {.count = 1, .reusable = false}, SHIFT(1042),
  [1767] = {.count = 2, .reusable = true}, REDUCE(sym_assignment_pattern, 3, .production_id = 64), REDUCE(sym_assignment_expression, 3, .production_id = 39),
  [1770] = {.count = 1, .reusable = true}, SHIFT(1045),
  [1772] = {.count = 1, .reusable = true}, SHIFT(1175),
  [1774] = {.count = 1, .reusable = true}, REDUCE(sym_assignment_pattern, 3, .production_id = 64),
  [1776] = {.count = 1, .reusable = true}, REDUCE(sym_object, 4),
  [1778] = {.count = 1, .reusable = false}, REDUCE(sym_object, 4),
  [1780] = {.count = 2, .reusable = true}, REDUCE(sym_assignment_pattern, 3, .production_id = 49), REDUCE(sym_assignment_expression, 3, .production_id = 49),
  [1783] = {.count = 1, .reusable = true}, REDUCE(sym_assignment_pattern, 3, .production_id = 49),
  [1785] = {.count = 1, .reusable = true}, SHIFT(559),
  [1787] = {.count = 1, .reusable = false}, SHIFT(560),
  [1789] = {.count = 1, .reusable = true}, REDUCE(sym_pair, 3, .production_id = 65),
  [1791] = {.count = 1, .reusable = true}, REDUCE(sym_method_definition, 3, .production_id = 66),
  [1793] = {.count = 1, .reusable = false}, REDUCE(sym_method_definition, 3, .production_id = 66),
  [1795] = {.count = 2, .reusable = true}, REDUCE(sym_assignment_pattern, 3, .production_id = 52), REDUCE(sym_assignment_expression, 3, .production_id = 52),
  [1798] = {.count = 1, .reusable = true}, REDUCE(sym_assignment_pattern, 3, .production_id = 52),
  [1800] = {.count = 1, .reusable = true}, REDUCE(aux_sym_formal_parameters_repeat1, 2, .production_id = 5),
  [1802] = {.count = 1, .reusable = true}, REDUCE(sym_formal_parameters, 4, .production_id = 5),
  [1804] = {.count = 1, .reusable = true}, REDUCE(aux_sym_formal_parameters_repeat1, 2),
  [1806] = {.count = 1, .reusable = true}, REDUCE(aux_sym_formal_parameters_repeat1, 2, .production_id = 34),
  [1808] = {.count = 1, .reusable = true}, REDUCE(aux_sym_formal_parameters_repeat1, 2, .production_id = 33),
  [1810] = {.count = 1, .reusable = true}, SHIFT(561),
  [1812] = {.count = 2, .reusable = true}, REDUCE(aux_sym_formal_parameters_repeat1, 2), SHIFT_REPEAT(562),
  [1815] = {.count = 1, .reusable = true}, REDUCE(sym_formal_parameters, 4),
  [1817] = {.count = 1, .reusable = true}, SHIFT(563),
  [1819] = {.count = 1, .reusable = true}, REDUCE(sym_formal_parameters, 4, .production_id = 33),
  [1821] = {.count = 1, .reusable = true}, SHIFT(564),
  [1823] = {.count = 1, .reusable = true}, REDUCE(sym_formal_parameters, 4, .production_id = 34),
  [1825] = {.count = 1, .reusable = true}, SHIFT(565),
  [1827] = {.count = 1, .reusable = true}, REDUCE(sym_array, 4),
  [1829] = {.count = 1, .reusable = false}, REDUCE(sym_array, 4),
  [1831] = {.count = 1, .reusable = true}, REDUCE(sym_regex, 4, .production_id = 67),
  [1833] = {.count = 1, .reusable = false}, REDUCE(sym_regex, 4, .production_id = 67),
  [1835] = {.count = 1, .reusable = true}, REDUCE(sym_subscript_expression, 4, .production_id = 68),
  [1837] = {.count = 1, .reusable = false}, REDUCE(sym_subscript_expression, 4, .production_id = 68),
  [1839] = {.count = 1, .reusable = true}, REDUCE(sym_arguments, 3),
  [1841] = {.count = 1, .reusable = false}, REDUCE(sym_arguments, 3),
  [1843] = {.count = 1, .reusable = true}, SHIFT(566),
  [1845] = {.count = 1, .reusable = true}, SHIFT(966),
  [1847] = {.count = 1, .reusable = true}, SHIFT(963),
  [1849] = {.count = 1, .reusable = true}, SHIFT(1168),
  [1851] = {.count = 1, .reusable = true}, REDUCE(sym_nested_identifier, 3),
  [1853] = {.count = 1, .reusable = false}, REDUCE(sym_nested_identifier, 3),
  [1855] = {.count = 1, .reusable = true}, REDUCE(sym_jsx_namespace_name, 3),
  [1857] = {.count = 1, .reusable = false}, REDUCE(sym_jsx_namespace_name, 3),
  [1859] = {.count = 1, .reusable = true}, REDUCE(sym_jsx_self_closing_element, 4, .production_id = 43),
  [1861] = {.count = 1, .reusable = false}, REDUCE(sym_jsx_self_closing_element, 4, .production_id = 43),
  [1863] = {.count = 1, .reusable = false}, REDUCE(sym_jsx_opening_element, 4, .dynamic_precedence = -1, .production_id = 69),
  [1865] = {.count = 1, .reusable = true}, SHIFT(569),
  [1867] = {.count = 2, .reusable = true}, REDUCE(aux_sym_jsx_opening_element_repeat1, 2, .production_id = 70), SHIFT_REPEAT(910),
  [1870] = {.count = 1, .reusable = true}, REDUCE(aux_sym_jsx_opening_element_repeat1, 2, .production_id = 70),
  [1872] = {.count = 2, .reusable = true}, REDUCE(aux_sym_jsx_opening_element_repeat1, 2, .production_id = 70), SHIFT_REPEAT(334),
  [1875] = {.count = 2, .reusable = false}, REDUCE(aux_sym_jsx_opening_element_repeat1, 2, .production_id = 70), SHIFT_REPEAT(334),
  [1878] = {.count = 1, .reusable = false}, REDUCE(aux_sym_jsx_opening_element_repeat1, 2, .production_id = 70),
  [1880] = {.count = 1, .reusable = true}, SHIFT(570),
  [1882] = {.count = 1, .reusable = false}, SHIFT(571),
  [1884] = {.count = 1, .reusable = true}, REDUCE(sym_function, 4, .production_id = 60),
  [1886] = {.count = 1, .reusable = false}, REDUCE(sym_function, 4, .production_id = 60),
  [1888] = {.count = 1, .reusable = true}, REDUCE(sym_arrow_function, 4, .production_id = 71),
  [1890] = {.count = 1, .reusable = false}, REDUCE(sym_arrow_function, 4, .production_id = 71),
  [1892] = {.count = 1, .reusable = true}, REDUCE(sym_arrow_function, 4, .production_id = 72),
  [1894] = {.count = 1, .reusable = false}, REDUCE(sym_arrow_function, 4, .production_id = 72),
  [1896] = {.count = 1, .reusable = false}, SHIFT(573),
  [1898] = {.count = 1, .reusable = false}, REDUCE(sym_variable_declaration, 4),
  [1900] = {.count = 1, .reusable = true}, REDUCE(sym_variable_declaration, 4),
  [1902] = {.count = 1, .reusable = true}, SHIFT(574),
  [1904] = {.count = 1, .reusable = true}, REDUCE(sym_export_clause, 3),
  [1906] = {.count = 1, .reusable = true}, SHIFT(576),
  [1908] = {.count = 1, .reusable = true}, REDUCE(sym_export_clause, 3, .production_id = 73),
  [1910] = {.count = 1, .reusable = true}, SHIFT(578),
  [1912] = {.count = 1, .reusable = false}, REDUCE(sym_export_statement, 4, .production_id = 74),
  [1914] = {.count = 1, .reusable = true}, REDUCE(sym_export_statement, 4, .production_id = 74),
  [1916] = {.count = 1, .reusable = true}, SHIFT(1000),
  [1918] = {.count = 1, .reusable = false}, REDUCE(sym_export_statement, 4, .production_id = 63),
  [1920] = {.count = 1, .reusable = true}, REDUCE(sym_export_statement, 4, .production_id = 63),
  [1922] = {.count = 1, .reusable = true}, SHIFT(586),
  [1924] = {.count = 1, .reusable = false}, REDUCE(sym_catch_clause, 2, .production_id = 4),
  [1926] = {.count = 1, .reusable = true}, REDUCE(sym_catch_clause, 2, .production_id = 4),
  [1928] = {.count = 1, .reusable = false}, REDUCE(sym_finally_clause, 2, .production_id = 4),
  [1930] = {.count = 1, .reusable = true}, REDUCE(sym_finally_clause, 2, .production_id = 4),
  [1932] = {.count = 1, .reusable = false}, REDUCE(sym_try_statement, 4, .production_id = 75),
  [1934] = {.count = 1, .reusable = true}, REDUCE(sym_try_statement, 4, .production_id = 75),
  [1936] = {.count = 1, .reusable = true}, SHIFT(588),
  [1938] = {.count = 1, .reusable = true}, SHIFT(587),
  [1940] = {.count = 1, .reusable = true}, SHIFT(590),
  [1942] = {.count = 1, .reusable = true}, SHIFT(589),
  [1944] = {.count = 1, .reusable = true}, SHIFT(592),
  [1946] = {.count = 1, .reusable = true}, SHIFT(591),
  [1948] = {.count = 1, .reusable = false}, SHIFT(593),
  [1950] = {.count = 1, .reusable = true}, SHIFT(593),
  [1952] = {.count = 1, .reusable = false}, SHIFT(595),
  [1954] = {.count = 1, .reusable = true}, SHIFT(595),
  [1956] = {.count = 1, .reusable = false}, SHIFT(597),
  [1958] = {.count = 1, .reusable = true}, SHIFT(596),
  [1960] = {.count = 1, .reusable = true}, SHIFT(597),
  [1962] = {.count = 1, .reusable = false}, SHIFT(599),
  [1964] = {.count = 1, .reusable = true}, SHIFT(599),
  [1966] = {.count = 1, .reusable = false}, SHIFT(600),
  [1968] = {.count = 1, .reusable = true}, SHIFT(600),
  [1970] = {.count = 1, .reusable = false}, SHIFT(602),
  [1972] = {.count = 1, .reusable = true}, SHIFT(602),
  [1974] = {.count = 1, .reusable = false}, SHIFT(603),
  [1976] = {.count = 1, .reusable = true}, SHIFT(603),
  [1978] = {.count = 1, .reusable = true}, SHIFT(605),
  [1980] = {.count = 1, .reusable = true}, SHIFT(608),
  [1982] = {.count = 1, .reusable = true}, SHIFT(609),
  [1984] = {.count = 1, .reusable = false}, REDUCE(sym_class, 4, .production_id = 76),
  [1986] = {.count = 1, .reusable = true}, SHIFT(610),
  [1988] = {.count = 1, .reusable = false}, REDUCE(sym_class_declaration, 4, .production_id = 76),
  [1990] = {.count = 1, .reusable = true}, REDUCE(sym_class, 4, .production_id = 76),
  [1992] = {.count = 1, .reusable = true}, REDUCE(sym_class_declaration, 4, .production_id = 76),
  [1994] = {.count = 1, .reusable = true}, REDUCE(sym_class, 4, .production_id = 77),
  [1996] = {.count = 1, .reusable = false}, REDUCE(sym_class, 4, .production_id = 77),
  [1998] = {.count = 1, .reusable = false}, SHIFT(612),
  [2000] = {.count = 1, .reusable = true}, SHIFT(612),
  [2002] = {.count = 1, .reusable = false}, REDUCE(sym_jsx_expression, 3),
  [2004] = {.count = 1, .reusable = true}, SHIFT(613),
  [2006] = {.count = 1, .reusable = true}, REDUCE(sym_public_field_definition, 3, .production_id = 78),
  [2008] = {.count = 1, .reusable = false}, REDUCE(sym_class_declaration, 5, .production_id = 58),
  [2010] = {.count = 1, .reusable = true}, REDUCE(sym_class_declaration, 5, .production_id = 58),
  [2012] = {.count = 1, .reusable = false}, REDUCE(sym_function_declaration, 5, .production_id = 59),
  [2014] = {.count = 1, .reusable = true}, REDUCE(sym_function_declaration, 5, .production_id = 59),
  [2016] = {.count = 1, .reusable = false}, REDUCE(sym_generator_function, 5, .production_id = 79),
  [2018] = {.count = 1, .reusable = true}, SHIFT(617),
  [2020] = {.count = 1, .reusable = false}, REDUCE(sym_generator_function_declaration, 5, .production_id = 79),
  [2022] = {.count = 1, .reusable = true}, REDUCE(sym_generator_function, 5, .production_id = 79),
  [2024] = {.count = 1, .reusable = true}, REDUCE(sym_generator_function_declaration, 5, .production_id = 79),
  [2026] = {.count = 1, .reusable = true}, REDUCE(sym__import_export_specifier, 3, .production_id = 80),
  [2028] = {.count = 1, .reusable = true}, REDUCE(sym_named_imports, 4, .production_id = 62),
  [2030] = {.count = 1, .reusable = true}, REDUCE(aux_sym_named_imports_repeat1, 2, .production_id = 62),
  [2032] = {.count = 1, .reusable = true}, SHIFT(618),
  [2034] = {.count = 2, .reusable = true}, REDUCE(aux_sym_named_imports_repeat1, 2), SHIFT_REPEAT(619),
  [2037] = {.count = 1, .reusable = true}, REDUCE(aux_sym_named_imports_repeat1, 2),
  [2039] = {.count = 1, .reusable = false}, REDUCE(sym_if_statement, 5, .production_id = 81),
  [2041] = {.count = 1, .reusable = true}, REDUCE(sym_if_statement, 5, .production_id = 81),
  [2043] = {.count = 1, .reusable = true}, REDUCE(sym_method_definition, 4, .production_id = 59),
  [2045] = {.count = 1, .reusable = false}, REDUCE(sym_method_definition, 4, .production_id = 59),
  [2047] = {.count = 1, .reusable = true}, SHIFT(622),
  [2049] = {.count = 1, .reusable = true}, REDUCE(sym_formal_parameters, 5, .production_id = 5),
  [2051] = {.count = 1, .reusable = true}, REDUCE(sym_formal_parameters, 5),
  [2053] = {.count = 1, .reusable = true}, REDUCE(sym_formal_parameters, 5, .production_id = 33),
  [2055] = {.count = 1, .reusable = true}, REDUCE(sym_formal_parameters, 5, .production_id = 34),
  [2057] = {.count = 1, .reusable = true}, REDUCE(sym_arguments, 4),
  [2059] = {.count = 1, .reusable = false}, REDUCE(sym_arguments, 4),
  [2061] = {.count = 1, .reusable = true}, REDUCE(sym_jsx_attribute, 3, .production_id = 9),
  [2063] = {.count = 1, .reusable = false}, REDUCE(sym_jsx_attribute, 3, .production_id = 9),
  [2065] = {.count = 1, .reusable = true}, REDUCE(sym_jsx_attribute, 3),
  [2067] = {.count = 1, .reusable = false}, REDUCE(sym_jsx_attribute, 3),
  [2069] = {.count = 1, .reusable = true}, REDUCE(sym_jsx_self_closing_element, 5, .production_id = 69),
  [2071] = {.count = 1, .reusable = false}, REDUCE(sym_jsx_self_closing_element, 5, .production_id = 69),
  [2073] = {.count = 1, .reusable = true}, REDUCE(sym_jsx_fragment, 5),
  [2075] = {.count = 1, .reusable = false}, REDUCE(sym_jsx_fragment, 5),
  [2077] = {.count = 1, .reusable = true}, SHIFT(623),
  [2079] = {.count = 1, .reusable = false}, REDUCE(sym_function, 5, .production_id = 79),
  [2081] = {.count = 1, .reusable = true}, SHIFT(624),
  [2083] = {.count = 1, .reusable = false}, REDUCE(sym_function_declaration, 5, .production_id = 79),
  [2085] = {.count = 1, .reusable = true}, REDUCE(sym_function, 5, .production_id = 79),
  [2087] = {.count = 1, .reusable = true}, REDUCE(sym_function_declaration, 5, .production_id = 79),
  [2089] = {.count = 2, .reusable = true}, REDUCE(sym__expression, 1), REDUCE(sym_rest_parameter, 2),
  [2092] = {.count = 1, .reusable = true}, SHIFT(625),
  [2094] = {.count = 1, .reusable = true}, SHIFT(626),
  [2096] = {.count = 1, .reusable = true}, SHIFT(627),
  [2098] = {.count = 1, .reusable = false}, REDUCE(sym_switch_statement, 5, .production_id = 82),
  [2100] = {.count = 1, .reusable = true}, REDUCE(sym_switch_statement, 5, .production_id = 82),
  [2102] = {.count = 1, .reusable = true}, REDUCE(sym_export_clause, 4, .production_id = 73),
  [2104] = {.count = 1, .reusable = true}, REDUCE(aux_sym_export_clause_repeat1, 2, .production_id = 73),
  [2106] = {.count = 1, .reusable = true}, SHIFT(629),
  [2108] = {.count = 2, .reusable = true}, REDUCE(aux_sym_export_clause_repeat1, 2), SHIFT_REPEAT(630),
  [2111] = {.count = 1, .reusable = true}, REDUCE(aux_sym_export_clause_repeat1, 2),
  [2113] = {.count = 1, .reusable = true}, SHIFT(634),
  [2115] = {.count = 1, .reusable = false}, SHIFT(635),
  [2117] = {.count = 1, .reusable = true}, SHIFT(635),
  [2119] = {.count = 1, .reusable = false}, SHIFT(636),
  [2121] = {.count = 1, .reusable = true}, SHIFT(636),
  [2123] = {.count = 1, .reusable = false}, SHIFT(638),
  [2125] = {.count = 1, .reusable = true}, SHIFT(638),
  [2127] = {.count = 1, .reusable = false}, SHIFT(639),
  [2129] = {.count = 1, .reusable = true}, SHIFT(639),
  [2131] = {.count = 1, .reusable = false}, SHIFT(641),
  [2133] = {.count = 1, .reusable = true}, SHIFT(641),
  [2135] = {.count = 1, .reusable = false}, SHIFT(642),
  [2137] = {.count = 1, .reusable = true}, SHIFT(642),
  [2139] = {.count = 1, .reusable = true}, SHIFT(644),
  [2141] = {.count = 1, .reusable = true}, SHIFT(645),
  [2143] = {.count = 1, .reusable = true}, SHIFT(647),
  [2145] = {.count = 1, .reusable = true}, SHIFT(648),
  [2147] = {.count = 1, .reusable = true}, SHIFT(649),
  [2149] = {.count = 1, .reusable = true}, SHIFT(650),
  [2151] = {.count = 1, .reusable = true}, SHIFT(651),
  [2153] = {.count = 1, .reusable = true}, SHIFT(652),
  [2155] = {.count = 1, .reusable = true}, SHIFT(653),
  [2157] = {.count = 1, .reusable = true}, SHIFT(654),
  [2159] = {.count = 1, .reusable = false}, REDUCE(sym_do_statement, 5, .production_id = 83),
  [2161] = {.count = 1, .reusable = true}, REDUCE(sym_do_statement, 5, .production_id = 83),
  [2163] = {.count = 1, .reusable = false}, REDUCE(sym_export_statement, 5, .production_id = 84),
  [2165] = {.count = 1, .reusable = true}, REDUCE(sym_export_statement, 5, .production_id = 84),
  [2167] = {.count = 1, .reusable = false}, REDUCE(sym_class_declaration, 5, .production_id = 76),
  [2169] = {.count = 1, .reusable = true}, REDUCE(sym_class_declaration, 5, .production_id = 76),
  [2171] = {.count = 1, .reusable = false}, REDUCE(sym_class, 5, .production_id = 85),
  [2173] = {.count = 1, .reusable = true}, SHIFT(655),
  [2175] = {.count = 1, .reusable = false}, REDUCE(sym_class_declaration, 5, .production_id = 85),
  [2177] = {.count = 1, .reusable = true}, REDUCE(sym_class, 5, .production_id = 85),
  [2179] = {.count = 1, .reusable = true}, REDUCE(sym_class_declaration, 5, .production_id = 85),
  [2181] = {.count = 1, .reusable = true}, REDUCE(sym_ternary_expression, 5, .production_id = 86),
  [2183] = {.count = 1, .reusable = true}, REDUCE(sym_jsx_closing_element, 4, .production_id = 87),
  [2185] = {.count = 1, .reusable = false}, REDUCE(sym_jsx_closing_element, 4, .production_id = 87),
  [2187] = {.count = 1, .reusable = false}, REDUCE(sym_generator_function_declaration, 6, .production_id = 79),
  [2189] = {.count = 1, .reusable = true}, REDUCE(sym_generator_function_declaration, 6, .production_id = 79),
  [2191] = {.count = 1, .reusable = true}, REDUCE(sym_named_imports, 5, .production_id = 62),
  [2193] = {.count = 1, .reusable = true}, REDUCE(sym_method_definition, 5, .production_id = 79),
  [2195] = {.count = 1, .reusable = false}, REDUCE(sym_method_definition, 5, .production_id = 79),
  [2197] = {.count = 1, .reusable = true}, REDUCE(sym_jsx_fragment, 6),
  [2199] = {.count = 1, .reusable = false}, REDUCE(sym_jsx_fragment, 6),
  [2201] = {.count = 1, .reusable = false}, REDUCE(sym_function_declaration, 6, .production_id = 79),
  [2203] = {.count = 1, .reusable = true}, REDUCE(sym_function_declaration, 6, .production_id = 79),
  [2205] = {.count = 1, .reusable = false}, SHIFT(658),
  [2207] = {.count = 1, .reusable = true}, SHIFT(658),
  [2209] = {.count = 1, .reusable = false}, REDUCE(sym_switch_body, 2),
  [2211] = {.count = 1, .reusable = true}, REDUCE(sym_switch_body, 2),
  [2213] = {.count = 1, .reusable = true}, SHIFT(660),
  [2215] = {.count = 1, .reusable = true}, SHIFT(661),
  [2217] = {.count = 1, .reusable = true}, REDUCE(sym_export_clause, 5, .production_id = 73),
  [2219] = {.count = 1, .reusable = true}, SHIFT(664),
  [2221] = {.count = 1, .reusable = true}, SHIFT(665),
  [2223] = {.count = 1, .reusable = true}, SHIFT(666),
  [2225] = {.count = 1, .reusable = true}, SHIFT(667),
  [2227] = {.count = 1, .reusable = true}, SHIFT(668),
  [2229] = {.count = 1, .reusable = true}, SHIFT(669),
  [2231] = {.count = 1, .reusable = false}, REDUCE(sym_for_statement, 6, .production_id = 88),
  [2233] = {.count = 1, .reusable = true}, REDUCE(sym_for_statement, 6, .production_id = 88),
  [2235] = {.count = 1, .reusable = false}, SHIFT(677),
  [2237] = {.count = 1, .reusable = true}, SHIFT(677),
  [2239] = {.count = 1, .reusable = false}, SHIFT(678),
  [2241] = {.count = 1, .reusable = true}, SHIFT(678),
  [2243] = {.count = 1, .reusable = false}, SHIFT(679),
  [2245] = {.count = 1, .reusable = true}, SHIFT(679),
  [2247] = {.count = 1, .reusable = false}, REDUCE(sym_class_declaration, 6, .production_id = 85),
  [2249] = {.count = 1, .reusable = true}, REDUCE(sym_class_declaration, 6, .production_id = 85),
  [2251] = {.count = 1, .reusable = true}, REDUCE(sym_method_definition, 6, .production_id = 89),
  [2253] = {.count = 1, .reusable = false}, REDUCE(sym_method_definition, 6, .production_id = 89),
  [2255] = {.count = 1, .reusable = true}, SHIFT(681),
  [2257] = {.count = 1, .reusable = false}, REDUCE(sym_switch_default, 2),
  [2259] = {.count = 1, .reusable = true}, REDUCE(sym_switch_default, 2),
  [2261] = {.count = 1, .reusable = false}, REDUCE(sym_switch_body, 3),
  [2263] = {.count = 1, .reusable = true}, REDUCE(sym_switch_body, 3),
  [2265] = {.count = 2, .reusable = true}, REDUCE(aux_sym_switch_body_repeat1, 2), SHIFT_REPEAT(625),
  [2268] = {.count = 1, .reusable = true}, REDUCE(aux_sym_switch_body_repeat1, 2),
  [2270] = {.count = 2, .reusable = true}, REDUCE(aux_sym_switch_body_repeat1, 2), SHIFT_REPEAT(627),
  [2273] = {.count = 1, .reusable = false}, REDUCE(sym_catch_clause, 5, .production_id = 90),
  [2275] = {.count = 1, .reusable = true}, REDUCE(sym_catch_clause, 5, .production_id = 90),
  [2277] = {.count = 1, .reusable = false}, REDUCE(sym_for_in_statement, 7, .production_id = 91),
  [2279] = {.count = 1, .reusable = true}, REDUCE(sym_for_in_statement, 7, .production_id = 91),
  [2281] = {.count = 1, .reusable = false}, REDUCE(sym_for_of_statement, 7, .production_id = 91),
  [2283] = {.count = 1, .reusable = true}, REDUCE(sym_for_of_statement, 7, .production_id = 91),
  [2285] = {.count = 1, .reusable = false}, REDUCE(sym_for_statement, 7, .production_id = 92),
  [2287] = {.count = 1, .reusable = true}, REDUCE(sym_for_statement, 7, .production_id = 92),
  [2289] = {.count = 1, .reusable = false}, REDUCE(sym_for_of_statement, 7, .production_id = 93),
  [2291] = {.count = 1, .reusable = true}, REDUCE(sym_for_of_statement, 7, .production_id = 93),
  [2293] = {.count = 1, .reusable = false}, REDUCE(sym_for_in_statement, 7, .production_id = 93),
  [2295] = {.count = 1, .reusable = true}, REDUCE(sym_for_in_statement, 7, .production_id = 93),
  [2297] = {.count = 1, .reusable = false}, REDUCE(sym_for_of_statement, 7, .production_id = 94),
  [2299] = {.count = 1, .reusable = true}, REDUCE(sym_for_of_statement, 7, .production_id = 94),
  [2301] = {.count = 1, .reusable = false}, REDUCE(sym_for_in_statement, 7, .production_id = 94),
  [2303] = {.count = 1, .reusable = true}, REDUCE(sym_for_in_statement, 7, .production_id = 94),
  [2305] = {.count = 1, .reusable = true}, SHIFT(689),
  [2307] = {.count = 1, .reusable = true}, SHIFT(690),
  [2309] = {.count = 1, .reusable = true}, SHIFT(691),
  [2311] = {.count = 1, .reusable = true}, REDUCE(sym_method_definition, 7, .production_id = 95),
  [2313] = {.count = 1, .reusable = false}, REDUCE(sym_method_definition, 7, .production_id = 95),
  [2315] = {.count = 1, .reusable = false}, REDUCE(sym_switch_case, 3, .production_id = 61),
  [2317] = {.count = 1, .reusable = true}, REDUCE(sym_switch_case, 3, .production_id = 61),
  [2319] = {.count = 1, .reusable = false}, REDUCE(sym_switch_default, 3),
  [2321] = {.count = 1, .reusable = true}, REDUCE(sym_switch_default, 3),
  [2323] = {.count = 1, .reusable = false}, REDUCE(sym_for_of_statement, 8, .production_id = 96),
  [2325] = {.count = 1, .reusable = true}, REDUCE(sym_for_of_statement, 8, .production_id = 96),
  [2327] = {.count = 1, .reusable = false}, REDUCE(sym_for_in_statement, 8, .production_id = 96),
  [2329] = {.count = 1, .reusable = true}, REDUCE(sym_for_in_statement, 8, .production_id = 96),
  [2331] = {.count = 1, .reusable = false}, REDUCE(sym_for_of_statement, 8, .production_id = 97),
  [2333] = {.count = 1, .reusable = true}, REDUCE(sym_for_of_statement, 8, .production_id = 97),
  [2335] = {.count = 1, .reusable = false}, REDUCE(sym_for_in_statement, 8, .production_id = 97),
  [2337] = {.count = 1, .reusable = true}, REDUCE(sym_for_in_statement, 8, .production_id = 97),
  [2339] = {.count = 1, .reusable = false}, REDUCE(sym_for_of_statement, 8, .production_id = 98),
  [2341] = {.count = 1, .reusable = true}, REDUCE(sym_for_of_statement, 8, .production_id = 98),
  [2343] = {.count = 1, .reusable = false}, REDUCE(sym_for_in_statement, 8, .production_id = 98),
  [2345] = {.count = 1, .reusable = true}, REDUCE(sym_for_in_statement, 8, .production_id = 98),
  [2347] = {.count = 1, .reusable = false}, REDUCE(sym_switch_case, 4, .production_id = 61),
  [2349] = {.count = 1, .reusable = true}, REDUCE(sym_switch_case, 4, .production_id = 61),
  [2351] = {.count = 1, .reusable = false}, REDUCE(sym_for_of_statement, 9, .production_id = 99),
  [2353] = {.count = 1, .reusable = true}, REDUCE(sym_for_of_statement, 9, .production_id = 99),
  [2355] = {.count = 1, .reusable = false}, REDUCE(sym_for_of_statement, 9, .production_id = 100),
  [2357] = {.count = 1, .reusable = true}, REDUCE(sym_for_of_statement, 9, .production_id = 100),
  [2359] = {.count = 1, .reusable = false}, REDUCE(sym_for_of_statement, 9, .production_id = 101),
  [2361] = {.count = 1, .reusable = true}, REDUCE(sym_for_of_statement, 9, .production_id = 101),
  [2363] = {.count = 1, .reusable = false}, SHIFT(710),
  [2365] = {.count = 1, .reusable = true}, SHIFT(710),
  [2367] = {.count = 1, .reusable = false}, SHIFT(714),
  [2369] = {.count = 1, .reusable = true}, SHIFT(714),
  [2371] = {.count = 1, .reusable = false}, SHIFT(716),
  [2373] = {.count = 1, .reusable = true}, SHIFT(716),
  [2375] = {.count = 1, .reusable = false}, SHIFT(699),
  [2377] = {.count = 1, .reusable = false}, SHIFT(724),
  [2379] = {.count = 1, .reusable = false}, SHIFT(1124),
  [2381] = {.count = 1, .reusable = true}, SHIFT(724),
  [2383] = {.count = 1, .reusable = false}, SHIFT(750),
  [2385] = {.count = 1, .reusable = true}, SHIFT(750),
  [2387] = {.count = 1, .reusable = false}, SHIFT(751),
  [2389] = {.count = 1, .reusable = true}, SHIFT(751),
  [2391] = {.count = 1, .reusable = false}, SHIFT(768),
  [2393] = {.count = 1, .reusable = true}, SHIFT(768),
  [2395] = {.count = 1, .reusable = false}, SHIFT(769),
  [2397] = {.count = 1, .reusable = true}, SHIFT(769),
  [2399] = {.count = 1, .reusable = false}, SHIFT(770),
  [2401] = {.count = 1, .reusable = true}, SHIFT(770),
  [2403] = {.count = 1, .reusable = false}, SHIFT(772),
  [2405] = {.count = 1, .reusable = true}, SHIFT(868),
  [2407] = {.count = 1, .reusable = true}, SHIFT(772),
  [2409] = {.count = 1, .reusable = false}, SHIFT(780),
  [2411] = {.count = 1, .reusable = true}, SHIFT(780),
  [2413] = {.count = 1, .reusable = false}, SHIFT(781),
  [2415] = {.count = 1, .reusable = true}, SHIFT(781),
  [2417] = {.count = 1, .reusable = false}, SHIFT(782),
  [2419] = {.count = 1, .reusable = true}, SHIFT(782),
  [2421] = {.count = 1, .reusable = false}, SHIFT(783),
  [2423] = {.count = 1, .reusable = true}, SHIFT(783),
  [2425] = {.count = 1, .reusable = false}, SHIFT(784),
  [2427] = {.count = 1, .reusable = true}, SHIFT(784),
  [2429] = {.count = 1, .reusable = false}, SHIFT(785),
  [2431] = {.count = 1, .reusable = true}, SHIFT(785),
  [2433] = {.count = 1, .reusable = false}, SHIFT(786),
  [2435] = {.count = 1, .reusable = true}, SHIFT(786),
  [2437] = {.count = 1, .reusable = false}, SHIFT(789),
  [2439] = {.count = 1, .reusable = true}, SHIFT(789),
  [2441] = {.count = 1, .reusable = false}, SHIFT(790),
  [2443] = {.count = 1, .reusable = true}, SHIFT(790),
  [2445] = {.count = 1, .reusable = false}, SHIFT(800),
  [2447] = {.count = 1, .reusable = true}, SHIFT(800),
  [2449] = {.count = 1, .reusable = false}, SHIFT(802),
  [2451] = {.count = 1, .reusable = true}, SHIFT(802),
  [2453] = {.count = 1, .reusable = false}, SHIFT(803),
  [2455] = {.count = 1, .reusable = true}, SHIFT(803),
  [2457] = {.count = 1, .reusable = false}, SHIFT(805),
  [2459] = {.count = 1, .reusable = false}, SHIFT(811),
  [2461] = {.count = 1, .reusable = true}, SHIFT(811),
  [2463] = {.count = 1, .reusable = false}, SHIFT(813),
  [2465] = {.count = 1, .reusable = true}, SHIFT(813),
  [2467] = {.count = 1, .reusable = true}, REDUCE(sym_jsx_expression, 2),
  [2469] = {.count = 1, .reusable = false}, SHIFT(829),
  [2471] = {.count = 1, .reusable = true}, SHIFT(829),
  [2473] = {.count = 1, .reusable = true}, REDUCE(sym_jsx_expression, 3),
  [2475] = {.count = 1, .reusable = false}, SHIFT(707),
  [2477] = {.count = 1, .reusable = true}, SHIFT(707),
  [2479] = {.count = 1, .reusable = false}, SHIFT(708),
  [2481] = {.count = 1, .reusable = true}, SHIFT(708),
  [2483] = {.count = 1, .reusable = true}, SHIFT(881),
  [2485] = {.count = 1, .reusable = true}, SHIFT(711),
  [2487] = {.count = 1, .reusable = false}, SHIFT(884),
  [2489] = {.count = 1, .reusable = false}, SHIFT(885),
  [2491] = {.count = 1, .reusable = false}, SHIFT(886),
  [2493] = {.count = 1, .reusable = true}, SHIFT(715),
  [2495] = {.count = 1, .reusable = false}, SHIFT(888),
  [2497] = {.count = 1, .reusable = false}, SHIFT(717),
  [2499] = {.count = 1, .reusable = true}, SHIFT(894),
  [2501] = {.count = 1, .reusable = false}, SHIFT(895),
  [2503] = {.count = 1, .reusable = true}, SHIFT(895),
  [2505] = {.count = 1, .reusable = true}, SHIFT(718),
  [2507] = {.count = 1, .reusable = true}, SHIFT(902),
  [2509] = {.count = 1, .reusable = false}, SHIFT(725),
  [2511] = {.count = 1, .reusable = false}, SHIFT(726),
  [2513] = {.count = 1, .reusable = false}, SHIFT(727),
  [2515] = {.count = 1, .reusable = true}, SHIFT(725),
  [2517] = {.count = 1, .reusable = false}, SHIFT(906),
  [2519] = {.count = 1, .reusable = false}, SHIFT(728),
  [2521] = {.count = 1, .reusable = true}, SHIFT(741),
  [2523] = {.count = 1, .reusable = false}, SHIFT(911),
  [2525] = {.count = 1, .reusable = false}, SHIFT(1137),
  [2527] = {.count = 1, .reusable = true}, SHIFT(878),
  [2529] = {.count = 1, .reusable = false}, SHIFT(912),
  [2531] = {.count = 1, .reusable = false}, SHIFT(913),
  [2533] = {.count = 1, .reusable = false}, SHIFT(914),
  [2535] = {.count = 1, .reusable = false}, SHIFT(915),
  [2537] = {.count = 1, .reusable = false}, SHIFT(916),
  [2539] = {.count = 1, .reusable = true}, SHIFT(744),
  [2541] = {.count = 1, .reusable = true}, SHIFT(745),
  [2543] = {.count = 1, .reusable = true}, SHIFT(749),
  [2545] = {.count = 1, .reusable = true}, SHIFT(752),
  [2547] = {.count = 1, .reusable = true}, SHIFT(980),
  [2549] = {.count = 1, .reusable = true}, SHIFT(754),
  [2551] = {.count = 1, .reusable = false}, SHIFT(923),
  [2553] = {.count = 1, .reusable = true}, SHIFT(923),
  [2555] = {.count = 1, .reusable = true}, SHIFT(758),
  [2557] = {.count = 1, .reusable = true}, SHIFT(760),
  [2559] = {.count = 1, .reusable = true}, SHIFT(762),
  [2561] = {.count = 1, .reusable = false}, SHIFT(763),
  [2563] = {.count = 1, .reusable = true}, SHIFT(764),
  [2565] = {.count = 1, .reusable = false}, SHIFT(765),
  [2567] = {.count = 1, .reusable = false}, SHIFT(928),
  [2569] = {.count = 1, .reusable = true}, SHIFT(766),
  [2571] = {.count = 1, .reusable = true}, SHIFT(928),
  [2573] = {.count = 1, .reusable = true}, SHIFT(767),
  [2575] = {.count = 1, .reusable = false}, SHIFT(1058),
  [2577] = {.count = 1, .reusable = true}, SHIFT(962),
  [2579] = {.count = 1, .reusable = true}, SHIFT(1058),
  [2581] = {.count = 1, .reusable = true}, SHIFT(773),
  [2583] = {.count = 1, .reusable = true}, SHIFT(774),
  [2585] = {.count = 1, .reusable = true}, SHIFT(901),
  [2587] = {.count = 1, .reusable = true}, SHIFT(777),
  [2589] = {.count = 1, .reusable = true}, SHIFT(779),
  [2591] = {.count = 1, .reusable = false}, SHIFT(1068),
  [2593] = {.count = 1, .reusable = true}, SHIFT(1068),
  [2595] = {.count = 1, .reusable = false}, SHIFT(939),
  [2597] = {.count = 1, .reusable = true}, SHIFT(939),
  [2599] = {.count = 1, .reusable = true}, SHIFT(791),
  [2601] = {.count = 1, .reusable = false}, SHIFT(943),
  [2603] = {.count = 1, .reusable = true}, SHIFT(794),
  [2605] = {.count = 1, .reusable = true}, SHIFT(798),
  [2607] = {.count = 1, .reusable = true}, SHIFT(799),
  [2609] = {.count = 1, .reusable = true}, SHIFT(801),
  [2611] = {.count = 1, .reusable = true}, SHIFT(804),
  [2613] = {.count = 1, .reusable = true}, SHIFT(806),
  [2615] = {.count = 1, .reusable = true}, SHIFT(807),
  [2617] = {.count = 1, .reusable = true}, SHIFT(808),
  [2619] = {.count = 1, .reusable = false}, SHIFT(1075),
  [2621] = {.count = 1, .reusable = true}, SHIFT(1075),
  [2623] = {.count = 1, .reusable = false}, SHIFT(1076),
  [2625] = {.count = 1, .reusable = true}, SHIFT(1076),
  [2627] = {.count = 1, .reusable = true}, SHIFT(817),
  [2629] = {.count = 1, .reusable = true}, SHIFT(818),
  [2631] = {.count = 1, .reusable = true}, SHIFT(822),
  [2633] = {.count = 1, .reusable = true}, SHIFT(824),
  [2635] = {.count = 1, .reusable = true}, SHIFT(825),
  [2637] = {.count = 1, .reusable = true}, SHIFT(826),
  [2639] = {.count = 1, .reusable = true}, SHIFT(830),
  [2641] = {.count = 1, .reusable = true}, SHIFT(834),
  [2643] = {.count = 1, .reusable = true}, SHIFT(835),
  [2645] = {.count = 1, .reusable = false}, SHIFT(836),
  [2647] = {.count = 1, .reusable = true}, SHIFT(975),
  [2649] = {.count = 1, .reusable = false}, SHIFT(976),
  [2651] = {.count = 1, .reusable = true}, SHIFT(976),
  [2653] = {.count = 1, .reusable = true}, SHIFT(837),
  [2655] = {.count = 1, .reusable = true}, SHIFT(979),
  [2657] = {.count = 1, .reusable = false}, SHIFT(981),
  [2659] = {.count = 1, .reusable = false}, SHIFT(1170),
  [2661] = {.count = 1, .reusable = false}, SHIFT(982),
  [2663] = {.count = 1, .reusable = false}, SHIFT(983),
  [2665] = {.count = 1, .reusable = false}, SHIFT(984),
  [2667] = {.count = 1, .reusable = false}, SHIFT(985),
  [2669] = {.count = 1, .reusable = true}, SHIFT(839),
  [2671] = {.count = 1, .reusable = true}, SHIFT(840),
  [2673] = {.count = 1, .reusable = true}, SHIFT(842),
  [2675] = {.count = 1, .reusable = true}, SHIFT(843),
  [2677] = {.count = 1, .reusable = true}, SHIFT(844),
  [2679] = {.count = 1, .reusable = false}, SHIFT(845),
  [2681] = {.count = 1, .reusable = true}, SHIFT(846),
  [2683] = {.count = 1, .reusable = true}, SHIFT(847),
  [2685] = {.count = 1, .reusable = true}, SHIFT(841),
  [2687] = {.count = 1, .reusable = true}, SHIFT(849),
  [2689] = {.count = 1, .reusable = true}, SHIFT(850),
  [2691] = {.count = 1, .reusable = true}, SHIFT(851),
  [2693] = {.count = 1, .reusable = true}, SHIFT(852),
  [2695] = {.count = 1, .reusable = true}, SHIFT(853),
  [2697] = {.count = 1, .reusable = true}, SHIFT(854),
  [2699] = {.count = 1, .reusable = true}, SHIFT(855),
  [2701] = {.count = 1, .reusable = true}, SHIFT(856),
  [2703] = {.count = 1, .reusable = true}, SHIFT(857),
  [2705] = {.count = 1, .reusable = false}, SHIFT(1001),
  [2707] = {.count = 1, .reusable = false}, SHIFT(1172),
  [2709] = {.count = 1, .reusable = true}, SHIFT(859),
  [2711] = {.count = 1, .reusable = true}, SHIFT(860),
  [2713] = {.count = 1, .reusable = true}, SHIFT(862),
  [2715] = {.count = 1, .reusable = true}, SHIFT(863),
  [2717] = {.count = 1, .reusable = true}, SHIFT(864),
  [2719] = {.count = 1, .reusable = false}, SHIFT(879),
  [2721] = {.count = 1, .reusable = false}, SHIFT(973),
  [2723] = {.count = 1, .reusable = true}, SHIFT(973),
  [2725] = {.count = 1, .reusable = false}, SHIFT(898),
  [2727] = {.count = 1, .reusable = false}, SHIFT(905),
  [2729] = {.count = 1, .reusable = false}, SHIFT(1036),
  [2731] = {.count = 1, .reusable = true}, SHIFT(909),
  [2733] = {.count = 1, .reusable = true}, SHIFT(1048),
  [2735] = {.count = 1, .reusable = true}, SHIFT(1049),
  [2737] = {.count = 1, .reusable = false}, SHIFT(1027),
  [2739] = {.count = 1, .reusable = true}, SHIFT(1025),
  [2741] = {.count = 1, .reusable = true}, SHIFT(917),
  [2743] = {.count = 1, .reusable = false}, SHIFT(1052),
  [2745] = {.count = 1, .reusable = true}, SHIFT(1052),
  [2747] = {.count = 1, .reusable = false}, SHIFT(1053),
  [2749] = {.count = 1, .reusable = true}, SHIFT(1053),
  [2751] = {.count = 1, .reusable = false}, SHIFT(926),
  [2753] = {.count = 1, .reusable = true}, SHIFT(926),
  [2755] = {.count = 1, .reusable = false}, SHIFT(1055),
  [2757] = {.count = 1, .reusable = true}, SHIFT(1055),
  [2759] = {.count = 1, .reusable = false}, SHIFT(1056),
  [2761] = {.count = 1, .reusable = true}, SHIFT(1056),
  [2763] = {.count = 1, .reusable = false}, SHIFT(1057),
  [2765] = {.count = 1, .reusable = true}, SHIFT(1057),
  [2767] = {.count = 1, .reusable = false}, SHIFT(931),
  [2769] = {.count = 1, .reusable = true}, SHIFT(933),
  [2771] = {.count = 1, .reusable = true}, SHIFT(934),
  [2773] = {.count = 1, .reusable = false}, SHIFT(1034),
  [2775] = {.count = 1, .reusable = true}, SHIFT(935),
  [2777] = {.count = 1, .reusable = false}, SHIFT(1063),
  [2779] = {.count = 1, .reusable = true}, SHIFT(1063),
  [2781] = {.count = 1, .reusable = true}, SHIFT(1037),
  [2783] = {.count = 1, .reusable = true}, SHIFT(1194),
  [2785] = {.count = 1, .reusable = true}, SHIFT(1174),
  [2787] = {.count = 1, .reusable = false}, SHIFT(936),
  [2789] = {.count = 1, .reusable = false}, SHIFT(1064),
  [2791] = {.count = 1, .reusable = true}, SHIFT(1064),
  [2793] = {.count = 1, .reusable = false}, SHIFT(1065),
  [2795] = {.count = 1, .reusable = true}, SHIFT(1065),
  [2797] = {.count = 1, .reusable = false}, SHIFT(1066),
  [2799] = {.count = 1, .reusable = true}, SHIFT(1066),
  [2801] = {.count = 1, .reusable = false}, SHIFT(1067),
  [2803] = {.count = 1, .reusable = true}, SHIFT(1067),
  [2805] = {.count = 1, .reusable = false}, SHIFT(938),
  [2807] = {.count = 1, .reusable = true}, SHIFT(938),
  [2809] = {.count = 1, .reusable = false}, SHIFT(1069),
  [2811] = {.count = 1, .reusable = true}, SHIFT(1069),
  [2813] = {.count = 1, .reusable = true}, SHIFT(1071),
  [2815] = {.count = 1, .reusable = true}, SHIFT(1072),
  [2817] = {.count = 1, .reusable = false}, SHIFT(944),
  [2819] = {.count = 1, .reusable = true}, SHIFT(944),
  [2821] = {.count = 1, .reusable = false}, SHIFT(947),
  [2823] = {.count = 1, .reusable = false}, SHIFT(948),
  [2825] = {.count = 1, .reusable = true}, SHIFT(951),
  [2827] = {.count = 1, .reusable = true}, SHIFT(954),
  [2829] = {.count = 1, .reusable = false}, SHIFT(953),
  [2831] = {.count = 1, .reusable = false}, SHIFT(960),
  [2833] = {.count = 1, .reusable = false}, SHIFT(1082),
  [2835] = {.count = 1, .reusable = true}, SHIFT(1082),
  [2837] = {.count = 1, .reusable = false}, SHIFT(990),
  [2839] = {.count = 1, .reusable = false}, SHIFT(991),
  [2841] = {.count = 1, .reusable = false}, SHIFT(992),
  [2843] = {.count = 1, .reusable = false}, SHIFT(993),
  [2845] = {.count = 1, .reusable = true}, SHIFT(994),
  [2847] = {.count = 1, .reusable = false}, SHIFT(997),
  [2849] = {.count = 1, .reusable = false}, SHIFT(1002),
  [2851] = {.count = 1, .reusable = false}, SHIFT(1003),
  [2853] = {.count = 1, .reusable = false}, SHIFT(1004),
  [2855] = {.count = 1, .reusable = true}, SHIFT(1005),
  [2857] = {.count = 1, .reusable = false}, SHIFT(1132),
  [2859] = {.count = 1, .reusable = true}, SHIFT(1132),
  [2861] = {.count = 1, .reusable = false}, SHIFT(1018),
  [2863] = {.count = 1, .reusable = true}, SHIFT(1017),
  [2865] = {.count = 1, .reusable = true}, SHIFT(1019),
  [2867] = {.count = 1, .reusable = true}, SHIFT(1133),
  [2869] = {.count = 1, .reusable = true}, SHIFT(1026),
  [2871] = {.count = 1, .reusable = true}, SHIFT(1030),
  [2873] = {.count = 1, .reusable = true}, SHIFT(1134),
  [2875] = {.count = 1, .reusable = false}, SHIFT(1029),
  [2877] = {.count = 1, .reusable = false}, SHIFT(1121),
  [2879] = {.count = 1, .reusable = false}, SHIFT(1033),
  [2881] = {.count = 1, .reusable = true}, SHIFT(1033),
  [2883] = {.count = 1, .reusable = false}, SHIFT(1038),
  [2885] = {.count = 1, .reusable = true}, SHIFT(1039),
  [2887] = {.count = 1, .reusable = true}, SHIFT(1040),
  [2889] = {.count = 1, .reusable = false}, SHIFT(1047),
  [2891] = {.count = 1, .reusable = true}, SHIFT(1054),
  [2893] = {.count = 1, .reusable = false}, SHIFT(1139),
  [2895] = {.count = 1, .reusable = false}, SHIFT(1060),
  [2897] = {.count = 1, .reusable = true}, SHIFT(1061),
  [2899] = {.count = 1, .reusable = true}, SHIFT(1062),
  [2901] = {.count = 1, .reusable = false}, SHIFT(1070),
  [2903] = {.count = 1, .reusable = true}, SHIFT(1073),
  [2905] = {.count = 1, .reusable = false}, SHIFT(1074),
  [2907] = {.count = 1, .reusable = true}, SHIFT(1078),
  [2909] = {.count = 1, .reusable = false}, SHIFT(1148),
  [2911] = {.count = 1, .reusable = true}, SHIFT(1081),
  [2913] = {.count = 1, .reusable = true}, SHIFT(1148),
  [2915] = {.count = 1, .reusable = true}, SHIFT(1083),
  [2917] = {.count = 1, .reusable = true}, SHIFT(1084),
  [2919] = {.count = 1, .reusable = true}, SHIFT(1085),
  [2921] = {.count = 1, .reusable = true}, SHIFT(1086),
  [2923] = {.count = 1, .reusable = true}, SHIFT(1087),
  [2925] = {.count = 1, .reusable = true}, SHIFT(1088),
  [2927] = {.count = 1, .reusable = true}, SHIFT(1089),
  [2929] = {.count = 1, .reusable = true}, SHIFT(1090),
  [2931] = {.count = 1, .reusable = true}, SHIFT(1091),
  [2933] = {.count = 1, .reusable = true}, SHIFT(1092),
  [2935] = {.count = 1, .reusable = true}, SHIFT(1093),
  [2937] = {.count = 1, .reusable = true}, SHIFT(1094),
  [2939] = {.count = 1, .reusable = true}, SHIFT(1095),
  [2941] = {.count = 1, .reusable = true}, SHIFT(1096),
  [2943] = {.count = 1, .reusable = true}, SHIFT(1097),
  [2945] = {.count = 1, .reusable = true}, SHIFT(1098),
  [2947] = {.count = 1, .reusable = true}, SHIFT(1108),
  [2949] = {.count = 1, .reusable = true}, SHIFT(1169),
  [2951] = {.count = 1, .reusable = false}, SHIFT(1107),
  [2953] = {.count = 1, .reusable = false}, SHIFT(1171),
  [2955] = {.count = 1, .reusable = false}, SHIFT(1104),
  [2957] = {.count = 1, .reusable = false}, SHIFT(1105),
  [2959] = {.count = 1, .reusable = false}, SHIFT(1106),
  [2961] = {.count = 1, .reusable = false}, SHIFT(1112),
  [2963] = {.count = 1, .reusable = false}, SHIFT(1135),
  [2965] = {.count = 1, .reusable = true}, SHIFT(1140),
  [2967] = {.count = 1, .reusable = true}, SHIFT(1177),
  [2969] = {.count = 1, .reusable = false}, SHIFT(1141),
  [2971] = {.count = 1, .reusable = true}, SHIFT(1141),
  [2973] = {.count = 1, .reusable = true}, SHIFT(1142),
  [2975] = {.count = 1, .reusable = true}, SHIFT(1143),
  [2977] = {.count = 1, .reusable = false}, SHIFT(1145),
  [2979] = {.count = 1, .reusable = true}, SHIFT(1145),
  [2981] = {.count = 1, .reusable = false}, SHIFT(1147),
  [2983] = {.count = 1, .reusable = true}, SHIFT(1147),
  [2985] = {.count = 1, .reusable = false}, SHIFT(1150),
  [2987] = {.count = 1, .reusable = true}, SHIFT(1150),
  [2989] = {.count = 1, .reusable = false}, SHIFT(1151),
  [2991] = {.count = 1, .reusable = true}, SHIFT(1151),
  [2993] = {.count = 1, .reusable = false}, SHIFT(1153),
  [2995] = {.count = 1, .reusable = true}, SHIFT(1153),
  [2997] = {.count = 1, .reusable = false}, SHIFT(1154),
  [2999] = {.count = 1, .reusable = true}, SHIFT(1154),
  [3001] = {.count = 1, .reusable = false}, SHIFT(1156),
  [3003] = {.count = 1, .reusable = true}, SHIFT(1156),
  [3005] = {.count = 1, .reusable = false}, SHIFT(1157),
  [3007] = {.count = 1, .reusable = true}, SHIFT(1157),
  [3009] = {.count = 1, .reusable = false}, SHIFT(1159),
  [3011] = {.count = 1, .reusable = true}, SHIFT(1159),
  [3013] = {.count = 1, .reusable = false}, SHIFT(1160),
  [3015] = {.count = 1, .reusable = true}, SHIFT(1160),
  [3017] = {.count = 1, .reusable = false}, SHIFT(1162),
  [3019] = {.count = 1, .reusable = true}, SHIFT(1162),
  [3021] = {.count = 1, .reusable = false}, SHIFT(1163),
  [3023] = {.count = 1, .reusable = true}, SHIFT(1163),
  [3025] = {.count = 1, .reusable = false}, SHIFT(1165),
  [3027] = {.count = 1, .reusable = true}, SHIFT(1165),
  [3029] = {.count = 1, .reusable = false}, SHIFT(1166),
  [3031] = {.count = 1, .reusable = true}, SHIFT(1166),
  [3033] = {.count = 1, .reusable = false}, SHIFT(1167),
  [3035] = {.count = 1, .reusable = true}, SHIFT(1167),
  [3037] = {.count = 1, .reusable = true}, SHIFT(1176),
  [3039] = {.count = 1, .reusable = false}, SHIFT(1210),
  [3041] = {.count = 1, .reusable = false}, SHIFT(1209),
  [3043] = {.count = 1, .reusable = false}, SHIFT(1196),
  [3045] = {.count = 1, .reusable = false}, SHIFT(1179),
  [3047] = {.count = 1, .reusable = true}, SHIFT(1180),
  [3049] = {.count = 1, .reusable = false}, SHIFT(1182),
  [3051] = {.count = 1, .reusable = true}, SHIFT(1181),
  [3053] = {.count = 1, .reusable = false}, SHIFT(1184),
  [3055] = {.count = 1, .reusable = true}, SHIFT(1183),
  [3057] = {.count = 1, .reusable = true}, SHIFT(1186),
  [3059] = {.count = 1, .reusable = true}, SHIFT(1185),
  [3061] = {.count = 1, .reusable = true}, SHIFT(1188),
  [3063] = {.count = 1, .reusable = true}, SHIFT(1187),
  [3065] = {.count = 1, .reusable = true}, SHIFT(1190),
  [3067] = {.count = 1, .reusable = true}, SHIFT(1189),
  [3069] = {.count = 1, .reusable = true}, SHIFT(1191),
  [3071] = {.count = 1, .reusable = true}, SHIFT(1192),
  [3073] = {.count = 1, .reusable = true}, SHIFT(1193),
  [3075] = {.count = 1, .reusable = true}, SHIFT(1213),
  [3077] = {.count = 1, .reusable = true}, SHIFT(1195),
  [3079] = {.count = 1, .reusable = true}, SHIFT(1199),
  [3081] = {.count = 1, .reusable = false}, SHIFT(1212),
  [3083] = {.count = 1, .reusable = false}, SHIFT(1202),
  [3085] = {.count = 1, .reusable = true}, SHIFT(1205),
  [3087] = {.count = 1, .reusable = true}, SHIFT(1211),
};

void *tree_sitter_javascript_external_scanner_create(void);
void tree_sitter_javascript_external_scanner_destroy(void *);
bool tree_sitter_javascript_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_javascript_external_scanner_serialize(void *, char *);
void tree_sitter_javascript_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef _WIN32
#define extern __declspec(dllexport)
#endif

extern const TSLanguage *tree_sitter_javascript(void) {
  static TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .symbol_metadata = ts_symbol_metadata,
    .parse_table = (const unsigned short *)ts_parse_table,
    .parse_actions = ts_parse_actions,
    .lex_modes = ts_lex_modes,
    .symbol_names = ts_symbol_names,
    .alias_sequences = (const TSSymbol *)ts_alias_sequences,
    .field_count = FIELD_COUNT,
    .field_names = ts_field_names,
    .field_map_slices = (const TSFieldMapSlice *)ts_field_map_slices,
    .field_map_entries = (const TSFieldMapEntry *)ts_field_map_entries,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_identifier,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .external_scanner = {
      (const bool *)ts_external_scanner_states,
      ts_external_scanner_symbol_map,
      tree_sitter_javascript_external_scanner_create,
      tree_sitter_javascript_external_scanner_destroy,
      tree_sitter_javascript_external_scanner_scan,
      tree_sitter_javascript_external_scanner_serialize,
      tree_sitter_javascript_external_scanner_deserialize,
    },
  };
  return &language;
}
